var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point4_Layer : Point4Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point4_Layer : Point4Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point4_layer-point4controller\"></a></div>\n\
<p>The <strong>Point4_Layer Controller</strong> is created and used by the Animation Layer system to manage layers of Point4 controllers.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases</strong></p>\n\
<div class=\'codeBlock\'><pre>Point4_Layer Point4Layer Properties:\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.average (Average_Weights) : boolean\n\
</pre></div><p>Get/Set whether to average the layers&#39; weights.</p>\n\
<div class=\'codeBlock\'><pre>.exposedX (X) : float\n\
</pre></div><p>Get/Set the exposed X value.</p>\n\
<div class=\'codeBlock\'><pre>.exposedY (Y) : float\n\
</pre></div><p>Get/Set the exposed Y value.</p>\n\
<div class=\'codeBlock\'><pre>.exposedZ (Z) : float\n\
</pre></div><p>Get/Set the exposed Z value.</p>\n\
<p><strong>Point4_Layer interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: layer\n\
</pre></div><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer-Controller-Interfaces.html\' title=\'\'>SeeLayer Controller Interfacesfor Properties and Methods</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";