var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controller Key Reducer</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controller Key Reducer</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controller-key-reducer\"></a></div>\n\
<div class=\'codeBlock\'><pre>reduceKeys &lt;controller&gt; &lt;threshold&gt; &lt;step&gt; [ &lt;range&gt; ]\n\
</pre></div><p>where <span class=\'code\'>&lt;threshold&gt;</span> is the closeness that the key-reduced controller will match the original keys, <span class=\'code\'>&lt;step&gt;</span> is the time step at which the controller will be sampled and <span class=\'code\'>&lt;range&gt;</span> is an optional time range within which the keys are reduced given as either 2 time values or an Interval value, defaulting to the active animation range.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` reduceKeys $foo.pos.controller 0.5 1f</p>\n\
<p>```</p>\n\
<p>reduce keys on foo’s position, retain 0.5 units accuracy, sample every frame.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` reduceKeys $baz.bend.angle.controller 0.1 0.5f (interval 20 75)</p>\n\
<p>```</p>\n\
<p>Reduce keys on baz’s bend angle, retain 0.1 units accuracy, sample every half frame, reduce within the interval 20f to 75f.</p>\n\
</blockquote>\n\
<p>As with the reducer in the track view, a progress bar and cancel button is displayed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";