var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BezierDefaultParams Structure</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BezierDefaultParams Structure</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bezierdefaultparams-structure\"></a></div>\n\
<p>The <strong>BezierDefaultParams</strong> Structure allows you to set the default Bezier key parameters to be used for newly created Bezier controller keys.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>BezierDefaultParams.inTangentType BezierDefaultParams.outTangentType\n\
</pre></div><p>Get/set the default Bezier key in and out Tangent Types.</p>\n\
<p>Valid values are: <span class=\'code\'>#smooth | #linear | #step | #fast | #slow | #custom | #flat</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F430C53E-7148-4E92-8F30-D14C2E09B342-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";