var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dynamics Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dynamics Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dynamics-controllers\"></a></div>\n\
<div class=\'codeBlock\'><pre>Dynamics_Position_Controller : positionController\n\
Dynamics_Rotation_Controller : rotationController\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<p>The Dynamics controllers are created by the Dynamics utility, and are <strong>not creatable</strong> in MAXScript. The Dynamics utility itself has been <strong>retired</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>When you solve a dynamics solution in the Dynamics utility, the Dynamics controllers are assigned as the position and rotation controllers of all objects not flagged as unyielding. These controllers are similar to List controllers in that they contain multiple sub-controllers. The first sub-controller is a Bezier controller of the appropriate type that contains the keys generated while solving the dynamics solution. This controller can be accessed as the <span class=\'code\'>Dynamic_position_controller</span> or <span class=\'code\'>Dynamic_rotation_controller</span> property of the dynamics controller. The second sub-controller is the original position or rotation controller assigned to the object, and can be accessed as the <span class=\'code\'>old_position</span> or <span class=\'code\'>old_position</span> property.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";