var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FloatController : MAXWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FloatController : MAXWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"floatcontroller-maxwrapper\"></a></div>\n\
<p><span class=\'code\'>FloatController</span> is the superclass for all <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Controllers-1.html\' title=\'\'>controllers</a> that can be assigned to parameters that are simple numbers (Float or Integer).</p>\n\
<p>The following is a list of the core <span class=\'code\'>FloatController</span> classes accessible in MAXScript:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Audio-Controllers.html\' title=\'\'>AudioFloat</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/boolean_float-FloatController.html\' title=\'\'>Boolean_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/Bezier-Controllers-1.html\' title=\'\'>Bezier_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Block-FloatController.html\' title=\'\'>Block</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Expression-Controllers.html\' title=\'\'>Float_Expression</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/List-Controllers.html\' title=\'\'>Float_List</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Motion-Capture-Controllers.html\' title=\'\'>Float_Motion_Capture</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Reactor-Controllers/Reactor-Controllers-1.html\' title=\'\'>Float_Reactor</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Float_Script</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Linear-Controllers/Linear-Controllers-1.html\' title=\'\'>Linear_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/LOD_Controller-FloatController.html\' title=\'\'>LOD_Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Noise-Controllers.html\' title=\'\'>Noise_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/On_Off-FloatController.html\' title=\'\'>On_Off</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Driven-Controllers.html\' title=\'\'>DrivenFloat</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCB-Controllers-1.html\' title=\'\'>TCB_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Waveform_Float-FloatController.html\' title=\'\'>Waveform_Float</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Float_Layer-FloatController.html\' title=\'\'>Float_Layer</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer_Output-FloatController.html\' title=\'\'>Layer_Output</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";