var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FloatReactor - superclass: FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FloatReactor - superclass: FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"floatreactor---superclass-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>FloatReactor - superclass: FloatController; super-superclass:MAXWrapper - 0:0 - classID: #(1904049439, 306976571) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>FloatReactor...      \n\
Float_Reactor...   \n\
</pre></div><p><strong>FloatReactor interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: reactions \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.editStateMode : boolean : Read|Write \n\
</pre></div><p>Get/set the edit state of the reactor controller.</p>\n\
<div class=\'codeBlock\'><pre>.useCurve : boolean : Read|Write \n\
</pre></div><p>Get/set whether the reactor controller uses the curve control.</p>\n\
<div class=\'codeBlock\'><pre>.createMode : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Create mode.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;reactTo &lt;maxObject&gt;object \n\
</pre></div><p>Set the react-to object of the reactor controller.Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;createname:&lt;string&gt; \n\
</pre></div><p><span class=\'code\'>name</span> default value: &quot;scriptCreated&quot;</p>\n\
<p>Create a new reaction with the specified name. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;delete &lt;index&gt;index \n\
</pre></div><p>Delete the indexed reaction. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getCount () \n\
</pre></div><p>Returns the number of reactions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;select &lt;index&gt;index \n\
</pre></div><p>Select the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getSelected () \n\
</pre></div><p>Returns the selected reaction’s index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setStateToCurrent &lt;index&gt;index \n\
</pre></div><p>Sets the indexed reaction’s state to the current state. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setFloatState &lt;index&gt;index &lt;float&gt;state \n\
</pre></div><p>Sets the state of the indexed reaction in a float reactor controller to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setVectorState &lt;index&gt;index &lt;point3&gt;state \n\
</pre></div><p>Sets the state of the indexed reaction in a point3 reactor controller to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setRotationState &lt;index&gt;index &lt;quat&gt;state \n\
</pre></div><p>Sets the state of the indexed reaction in a rotation reactor controller to the specified float value</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getState &lt;index&gt;index \n\
</pre></div><p>Returns the state of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueToCurrent &lt;index&gt;index \n\
</pre></div><p>Sets the value of the indexed reaction to the current value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsFloat &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the value of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsVector &lt;index&gt;index &lt;point3&gt;value \n\
</pre></div><p>Sets the value of the indexed reaction to the specified point3 value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsQuat &lt;index&gt;index &lt;quat&gt;value \n\
</pre></div><p>Sets the value of the indexed reaction to the specified quaternion value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getValue &lt;index&gt;index \n\
</pre></div><p>Returns the value of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setInfluence &lt;index&gt;index &lt;float&gt;influence \n\
</pre></div><p>Sets the influence of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getInfluence &lt;index&gt;index \n\
</pre></div><p>Returns the influence of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setStrength &lt;index&gt;index &lt;float&gt;strength \n\
</pre></div><p>Sets the strength of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getStrength &lt;index&gt;index \n\
</pre></div><p>Returns the strength of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setFalloff &lt;index&gt;index &lt;float&gt;influence \n\
</pre></div><p>Sets the falloff of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getFalloff &lt;index&gt;index \n\
</pre></div><p>Returns the falloff of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;index&gt;index &lt;string&gt;name \n\
</pre></div><p>Sets the name of the indexed reaction to the specified string. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getType () \n\
getType enums: {#floatReaction|#positionalReaction|#rotationalReaction|#scaleReaction} \n\
</pre></div><p>Returns the falloff of the indexed reaction.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";