var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Populate : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Populate : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"populate-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Populate : FloatController {288863b5,4a7e7d67}\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Populate</strong> FloatController is part of the Populate toolset.</p>\n\
<p>It is assigned automatically to the Populate track under the Populate Global Track.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p>This controller is created internally - see the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\' title=\'\'>Interface: pop Core Interface</a> for Flow creation methods.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.numFrames : integer\n\
</pre></div><p>Get/set the number of frames in the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.showEnvObjs : boolean\n\
</pre></div><p>Get/set the visibility of the environment objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.showChars : boolean\n\
</pre></div><p>Get/set the visibility of the characters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.pedFlows : node array\n\
</pre></div><p>Get/set the array of pedestrian flow nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.idleAreas  : node array\n\
</pre></div><p>Get/set the array of Idle Area nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.peds : maxObject array\n\
</pre></div><p>Get/set the array of pedestrian character objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.idlers : maxObject array\n\
</pre></div><p>Get/set the array of idling character objects</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.sitters : maxObject array\n\
</pre></div><p>Get/set the array of sitting character objects</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.showDebugInfo : boolean\n\
</pre></div><p>Get/set the state of the show debug info switch.</p>\n\
<p>When set to True, debug information will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.compressAnim : boolean\n\
</pre></div><p>Get/set the state of the animation compression option.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.realWorldScale : float\n\
</pre></div><p>Get/set the real world scale value.</p>\n\
<p>This value can be used to scale the Populate system up and down relative to the scene units.</p>\n\
<p>Default is 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Populate&gt;.internalScale : float\n\
</pre></div><p>Get/set the internal scale value.</p>\n\
<p>This is the factor which converts the Scene System Units to the internal units of the Populate system which operates in Centimeters.</p>\n\
<p>For example, when the scene System Units are set to 1 GU = 1 Inch, the .internalScale value will be 0.393701 because 0.393701*2.54 = 1.0.</p>\n\
<p>Changing the System Units to 1 GU = 1 Centimeter will cause the .internalScale value to change automatically to 1.0.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";