var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>XRef_Controller : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>XRef_Controller : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xref_controller-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>XRef_Controller - superclass: Matrix3Controller; super-superclass:MAXWrapper - 7:7 - classID: #(855328311, 1711097899) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>xref_controller… \n\
</pre></div><p><strong>XRef_Controller Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefItem \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Controller&gt;.xrefCtrlStatus     Name    default: #XRefed   --  enum\n\
</pre></div><p>Get/set the XRef Controller&#39;s Status as a name value.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#XRefed</strong></p>\n\
<p><strong>#Local</strong></p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.srcFileName : filename : Read|Write \n\
</pre></div><p>Get/Set the XRef source filename.</p>\n\
<div class=\'codeBlock\'><pre>.srcItemName : string : Read|Write \n\
</pre></div><p>Get/Set the source item name as string.</p>\n\
<div class=\'codeBlock\'><pre>.xrefRecord : Interface : Read \n\
</pre></div><p>Get the XRef Record Interface.</p>\n\
<div class=\'codeBlock\'><pre>.unresolved : boolean : Read \n\
</pre></div><p>Contains true if the XRef is unresolved, false if resolved.</p>\n\
<div class=\'codeBlock\'><pre>.nested : boolean : Read \n\
</pre></div><p>Contains true if the XRef is nested, false if not nested.</p>\n\
<div class=\'codeBlock\'><pre>.retargetable : boolean : Read \n\
</pre></div><p>Contains true if the XRef is retargetable, false of not.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetSrcItem resolveNested:&lt;boolean&gt; \n\
resolveNested default value: false \n\
</pre></div><p>Returns the source item as maxObject. If resolveNested is set to false or not supplied, nested XRefs will not be resolved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
parentItems is Out parameter \n\
</pre></div><p>Returns the Parent Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
rootItems is Out parameter \n\
</pre></div><p>Returns the Root Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
childItems is Out parameter \n\
</pre></div><p>Returns the Child Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetNodes &lt;&amp;node array&gt;xrefNodes \n\
xrefNodes is Out parameter \n\
</pre></div><p>Returns the Nodes using the XRef Controller into the array passed as by-reference parameter.</p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefCtrl \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.xrefCtrlStatus : enum : Read|Write\n\
xrefCtrlStatus enums: {#XRefed|#Local}\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;GetSourceCtrl &lt;boolean&gt;resolveNestedXRef \n\
</pre></div><p>Returns the Source Controller of the XRef Controller. If the argument is passed as true, nested XRefs will be resolved. If passed as false, nested XRefs will not be resolved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetOffsetTM ()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";