var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Noise Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Noise Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"noise-controllers\"></a></div>\n\
<div class=\'codeBlock\'><pre>noise_float : floatController \n\
noise_point3 : point3Controller\n\
noise_position : positionController\n\
noise_rotation : rotationController\n\
noise_scale : scaleController\n\
\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>noise_float ... noise_point3 ... noise_position ... noise_rotation ... noise_scale ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>Access to the following properties is available on all noise controllers:</p>\n\
<div class=\'codeBlock\'><pre>&lt;noise_controller&gt;.seed Integer default: 0\n\
&lt;noise_controller&gt;.frequency Float default: 0.5\n\
&lt;noise_controller&gt;.fractal Boolean default: true\n\
&lt;noise_controller&gt;.roughness Float default: 0.0\n\
&lt;noise_controller&gt;.rampin Time default: 0f\n\
&lt;noise_controller&gt;.rampout Time default: 0f\n\
</pre></div><p>In addition, for noise <strong>float</strong> controllers you can get these properties:</p>\n\
<div class=\'codeBlock\'><pre>&lt;noise_controller&gt;.noise_strength Float default: 5 -- animatable\n\
&lt;noise_controller&gt;.positive Boolean default: false\n\
</pre></div><p>Limits values to &gt; 0.</p>\n\
<p>For noise <strong>position</strong>, <strong>point3</strong>, <strong>rotation</strong>, and <strong>scale</strong> controllers:</p>\n\
<div class=\'codeBlock\'><pre>&lt;noise_controller&gt;.noise_strength Point3 default: varies -- animatable\n\
position and point3 default: [50,50,50]\n\
rotation default: [0.785398,0.785398,0.785398]\n\
scale default: [0.5,0.5,0.5]\n\
&lt;noise_controller&gt;.x_positive Boolean default: false\n\
&lt;noise_controller&gt;.y_positive Boolean default: false\n\
&lt;noise_controller&gt;.z_positive Boolean default: false\n\
</pre></div><p>Limits values to &gt; 0.</p>\n\
<p>Note:</p>\n\
<p>You need to access these properties explicitly on a controller.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` $box01.position.controller.x_strength = 100</p>\n\
<p>```</p>\n\
<p>or</p>\n\
<p>``` c = $box01.rotation.controller c.seed = random 0 100 c.fractal = off c.frequency = random 0.1 0.2</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";