var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point3_Wire : Point3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point3_Wire : Point3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point3_wire-point3controller\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>Aliases</strong></p>\n\
<div class=\'codeBlock\'><pre>Point3_Wire WirePoint3 \n\
</pre></div><p><strong>Point3_Wire interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: wireController \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_Wire&gt;.numWires : integer : Read \n\
</pre></div><p>This property returns the number of wires out of this controller (i.e. the number of dependent params).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_Wire&gt;.isDriver : boolean : Read \n\
</pre></div><p>This property will return <span class=\'code\'>True</span> if the wire is a driver predicate, otherwise it will return <span class=\'code\'>False</span> .</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>isMaster</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_Wire&gt;.isDriven : boolean : Read \n\
</pre></div><p>This property will return <span class=\'code\'>True</span> if the wire is a driven predicate, otherwise it will return <span class=\'code\'>False</span> .</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>isSlave</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_Wire&gt;.isTwoWay : boolean : Read \n\
</pre></div><p>This property will return <span class=\'code\'>True</span> if the wire is a two-way predicate, otherwise it will return <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_Wire&gt;.drivenAnimation : control : Read|Write \n\
</pre></div><p>This property returns a pointer to the driven animation controller and allows you to set the driven animation controller.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>slaveAnimation</span>.</p>\n\
</blockquote>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;Point3_Wire&gt;.getWireParent &lt;index&gt;index \n\
</pre></div><p>This method returns a pointer to the i-th dependent parameter parent.</p>\n\
<p><span class=\'code\'>&lt;index&gt;index</span> : The index you wish to retrieve.</p>\n\
<p><span class=\'code\'>&lt;index&gt;getWireSubnum</span> <index>index<p>\n\
<p>This method returns the i-th dependent parameter subanim num in the animatable.</p>\n\
<p><span class=\'code\'>&lt;index&gt;index</span> : The index of the subanim.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;&lt;Point3_Wire&gt;.getCoController &lt;index&gt;index \n\
</pre></div><p>This method returns a pointer to the i-th <span class=\'code\'>CoController</span> .</p>\n\
<p><span class=\'code\'>&lt;index&gt;index</span> : The index of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;Point3_Wire&gt;.getExprText &lt;index&gt;index \n\
</pre></div><p>This method returns the expression string of the i-th wire parameter.</p>\n\
<p><span class=\'code\'>&lt;index&gt;index</span> : The index of the parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Point3_Wire&gt;.setExprText &lt;index&gt;index &lt;string&gt;text \n\
</pre></div><p>This method allows you to set the expression string of the i-th wire parameter.</p>\n\
<p><span class=\'code\'>&lt;index&gt;index</span> : The index of the parameter</p>\n\
<p><span class=\'code\'>&lt;string&gt;text</span> : The expression you wish to set.</p>\n\
</index>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";