var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpringPoint3Controller - superclass: Point3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpringPoint3Controller - superclass: Point3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"springpoint3controller---superclass-point3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpringPoint3Controller - superclass: Point3Controller; super-superclass:MAXWrapper - 4:4 - classID: #(327754098, 1754751609) \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>SpringPoint3Controller ... Point3Spring...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpringPoint3Controller&gt;.position Point3 default: [0,0,0] -- animatable; point3 \n\
&lt;SpringPoint3Controller&gt;.x_effect Float default: 100.0 \n\
</pre></div><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpringPoint3Controller&gt;.y_effect Float default: 100.0 \n\
</pre></div><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpringPoint3Controller&gt;.z_effect Float default: 100.0 \n\
</pre></div><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.See Also</p>\n\
<p><strong>SpringPoint3Controller Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:Spring \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getMass () \n\
</pre></div><p>Returns the mass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setMass &lt;float&gt;mass \n\
</pre></div><p>Sets the mass. The mass of the object to which the Spring controller is applied. Increasing the mass causes the &quot;bouncing&quot; spring motion to become more exaggerated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getDrag () \n\
</pre></div><p>Returns the drag.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setDrag &lt;float&gt;drag \n\
</pre></div><p>Sets the drag. Acts as air friction on the spring motion. A low Drag setting results in a greater &quot;bouncing&quot; effect, while a high Drag results in subdued bouncing. Default=1. Range=0 to 10.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getTension &lt;index&gt;springIndex \n\
</pre></div><p>Gets the tension for the spring corresponding to the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTension &lt;index&gt;springIndex&lt;float&gt;tension \n\
</pre></div><p>Sets the tension for the spring corresponding to the index. The &quot;stiffness&quot; of the virtual spring between the controlled object and the highlighted spring object(s).</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getDampening &lt;index&gt;springIndex \n\
</pre></div><p>Gets the dampening for the spring corresponding to the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setDampening &lt;index&gt;springIndex&lt;float&gt;dampening \n\
</pre></div><p>Sets the dampening for the spring corresponding to the index. Acts as a multiplier of an internal factor that determines how quickly the object comes to rest. With the Self Influence spring, changing Dampening has the same effect as changing Drag. With other springs, Dampening affects only the movement caused by that spring. Internally, the dampening value is proportional to the tension, so as you increase the tension and make the solution more stiff, the dampening is increased to maintain system stability.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addSpring &lt;node&gt;node \n\
</pre></div><p>Adds the node to the spring list. Returns <span class=\'code\'>true</span> if successful, <span class=\'code\'>false</span> otherwise</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getSpringCount () \n\
</pre></div><p>Returns the number of springs in the spring system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeSpringByIndex &lt;index&gt;springIndex \n\
</pre></div><p>Removes the spring corresponding to the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeSpring &lt;node&gt;node \n\
</pre></div><p>Removes the spring if the node is in the spring list.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";