var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point4_Wire : Point4Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point4_Wire : Point4Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point4_wire-point4controller\"></a></div>\n\
<p>Point4 Wire Controller.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Constructed by the MAXScript Wiring methods. \n\
</pre></div><p><strong>Alias:</strong></p>\n\
<div class=\'codeBlock\'><pre>WirePoint4 \n\
</pre></div><div class=\'section\'><a id=\"point4_wire-interfaces\"></a><h2 id=\"point4_wire-interfaces\">Point4_Wire interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:wireController \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> .numWires : integer : Read \n\
</pre></div><p>Contains the number of wires.</p>\n\
<div class=\'codeBlock\'><pre>.isDriver: boolean : Read \n\
</pre></div><p>Contains true if the Wire Controller is Driver.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>isMaster</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.isDriven: boolean : Read \n\
</pre></div><p>Contains true if the Wire Controller is Driven.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>isSlave</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.isTwoWay: boolean : Read \n\
</pre></div><p>Contains true if the Wire Controller is Two-Way.</p>\n\
<div class=\'codeBlock\'><pre> .drivenAnimation : control : Read|Write \n\
</pre></div><p>Get/set the driven animation controller.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>slaveAnimation</span>.</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;maxObject&gt;getWireParent &lt;index&gt;index \n\
</pre></div><p>Returns the parent of the indexed Wire.</p>\n\
<div class=\'codeBlock\'><pre> &lt;index&gt;getWireSubnum &lt;index&gt;index \n\
</pre></div><p>Returns the sub-anim index of the indexed Wire.</p>\n\
<div class=\'codeBlock\'><pre> &lt;control&gt;getCoController &lt;index&gt;index \n\
</pre></div><p>Returns the co-controller of the indexed Wire.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;getExprText &lt;index&gt;index \n\
</pre></div><p>Returns the expression text of the indexed Wire.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;setExprText &lt;index&gt;index &lt;string&gt;text \n\
</pre></div><p>Sets the expression text of the indexed Wire to the supplied second string argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";