var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TCB Controller Keys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TCB Controller Keys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tcb-controller-keys\"></a></div>\n\
<p>For <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCB-Controllers-1.html\' title=\'\'>TCB controller</a> keys, the following additional properties are accessible:</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.time Time\n\
</pre></div><p>Get/Set the key&#39;s time - expects a time value or number (interpreted as frames)</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.selected Boolean\n\
</pre></div><p>Get/Set the selected state of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.value varies\n\
</pre></div><p>Get/Set the value of the key. The class of the value is determined by its containing controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.tension Float default: 25.0\n\
</pre></div><p>Get/Set the Tension of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.continuity Float default: 25.0\n\
</pre></div><p>Get/Set the Continuity of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.bias Float default: 25.0\n\
</pre></div><p>Get/Set the Bias of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.easeTo Float default: 0.0\n\
</pre></div><p>Get/Set the Ease To value of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.easeFrom Float default: 0.0\n\
</pre></div><p>Get/Set the Ease From value of the key.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CED04584-74AE-4EF5-BB74-977105B698C5-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";