var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TCBDefaultParams Structure</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TCBDefaultParams Structure</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tcbdefaultparams-structure\"></a></div>\n\
<p>The <strong>TCBDefaultParams Structure</strong> allows you to set the default TCB key parameters to be used for newly created TCB controller keys.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>TCBDefaultParams.tension\n\
</pre></div><p>Get/set the default TCB key tension.</p>\n\
<div class=\'codeBlock\'><pre>TCBDefaultParams.continuity\n\
</pre></div><p>Get/set the default TCB key continuity.</p>\n\
<div class=\'codeBlock\'><pre>TCBDefaultParams.bias\n\
</pre></div><p>Get/set the default TCB key bias.</p>\n\
<div class=\'codeBlock\'><pre>TCBDefaultParams.easeTo\n\
</pre></div><p>Get/set the default TCB key easeTo value.</p>\n\
<div class=\'codeBlock\'><pre>TCBDefaultParams.easeFrom\n\
</pre></div><p>Get/set the default TCB key easeFrom value.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2CE95FED-A1C4-4C7E-A042-9CEBFD141449-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";