var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>XYZ Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>XYZ Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xyz-controllers\"></a></div>\n\
<div class=\'codeBlock\'><pre>Color_RGB:Point3Controller\n\
Euler_XYZ:RotationController\n\
Local_Euler_XYZ:RotationController\n\
Point3_XYZ:Point3Controller\n\
Position_XYZ:PositionController\n\
ScaleXYZ:ScaleController\n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Color_RGB ... Euler_XYZ ... Local_Euler_XYZ ... Point3_XYZ ... Position_XYZ ... ScaleXYZ ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>The property names for the XYZ controllers vary between the specific controllers.</p>\n\
<p><strong>Color_RGB:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_RGB&gt;.r Float default: 0.0 -- animatable \n\
&lt;Color_RGB&gt;.g Float default: 0.0 -- animatable \n\
&lt;Color_RGB&gt;.b Float default: 0.0 -- animatable   \n\
</pre></div><p><strong>Euler_XYZ:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Euler_XYZ&gt;.x_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.y_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.z_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.axisOrder Integer default: 1 \n\
</pre></div><p>Get/set the order of application of the axis angles. Its value can be any of the following:</p>\n\
<p>1 - XYZ</p>\n\
<p>2 - XZY</p>\n\
<p>3 - YZX</p>\n\
<p>4 - YXZ</p>\n\
<p>5 - ZXY</p>\n\
<p>6 - ZYX</p>\n\
<p>7 - XYX</p>\n\
<p>8 - YZY</p>\n\
<p>9 - ZXZ Local_Euler_XYZ:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Local_Euler_XYZ&gt;.local_x_rotation Float default: 0.0 -- animatable \n\
&lt;Local_Euler_XYZ&gt;.local_y_rotation Float default: 0.0 -- animatable\n\
&lt;Local_Euler_XYZ&gt;.local_z_rotation Float default: 0.0 -- animatable \n\
&lt;Local_Euler_XYZ&gt;.axisOrder Integer default: 1 \n\
</pre></div><p>Get/set the order of application of the axis angles. Its value can be any of the following:</p>\n\
<p>1 - XYZ</p>\n\
<p>2 - XZY</p>\n\
<p>3 - YZX</p>\n\
<p>4 - YXZ</p>\n\
<p>5 - ZXY</p>\n\
<p>6 - ZYX</p>\n\
<p>7 - XYX</p>\n\
<p>8 - YZY</p>\n\
<p>9 - ZXZ</p>\n\
<p><strong>Point3_XYZ:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XYZ&gt;.x Float default: 0.0 -- animatable \n\
&lt;Point3_XYZ&gt;.y Float default: 0.0 -- animatable \n\
&lt;Point3_XYZ&gt;.z Float default: 0.0 -- animatable \n\
</pre></div><p><strong>Position_XYZ:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_XYZ&gt;.x_position Float default: 0.0 -- animatable \n\
&lt;Position_XYZ&gt;.y_position Float default: 0.0 -- animatable \n\
&lt;Position_XYZ&gt;.z_position Float default: 0.0 -- animatable \n\
</pre></div><p><strong>ScaleXYZ:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ScaleXYZ&gt;.x_scale Float default: 0.0 -- animatable \n\
&lt;ScaleXYZ&gt;.y_scale Float default: 0.0 -- animatable \n\
&lt;ScaleXYZ&gt;.z_scale Float default: 0.0 -- animatable \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getXYZControllers &lt;controller&gt; \n\
</pre></div><p>Returns an array of the X, Y, and Z sub-controllers of the specified controller</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";