var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Setting explosion start and end times for Fire_Effect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Setting explosion start and end times for Fire_Effect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"setting-explosion-start-and-end-times-for-fire_effect\"></a></div>\n\
<p>The start and end spinners in the Explosion Setup dialog for Fire-Effect effectively install keyframes and set times and values for them in the controller for <strong>phase</strong>. You can achieve the same effect by manually constructing a phase controller and its keyframes. In the following example, the start and end times are set at 20 and 75:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` c = fire_effect density:20 outer_color:red -- to set up a new phase controller like the setup dialog does: -- make and set the controller pc = bezier_float () c.phase.controller = pc -- add key 1 at 20 &amp; set properties k = addNewKey pc 20 k.value = 0 k.inTangentType = #slow k.outTangentType = #fast -- add key 2 at 75 &amp; set k = addNewKey pc 75 k.value = 300 k.inTangentType = #slow k.outTangentType = #fast -- or, to change times if the keys are already there: c.phase.keys[1].time = 20 c.phase.keys[2].time = 75</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";