var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Volume_Fog : Atmospheric</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Volume_Fog : Atmospheric</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"volume_fog-atmospheric\"></a></div>\n\
<div class=\'codeBlock\'><pre>Volume_Fog - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(268435473, 0) \n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>volume_fog ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Soften_Gizmo_Edges Float default: 0.2 -- animatable \n\
</pre></div><p>Get/set the Soften Gizmo Edges value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Fog_Color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Get/set the fog color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Exponential Integer default: 0 \n\
</pre></div><p>Get/set the state of the exponential fog option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Density Float default: 20.0 -- animatable \n\
</pre></div><p>Get/set the Fog density value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Step_Size Float default: 4.0 \n\
</pre></div><p>Get/set the Step size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Max_Steps Integer default: 100 \n\
</pre></div><p>Get/set the Maximum Steps value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Fog_Background Integer default: 1 \n\
</pre></div><p>Get/set the FogBackground option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Noise_Type Integer default: 0 \n\
</pre></div><p>Get/set theNoiseType.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Regular</p>\n\
<p>1 - Fractal</p>\n\
<p>2 - Turbulence</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.invert Integer default: 0 \n\
</pre></div><p>Get/set the noise invert option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.High_Threshold Float default: 1.0 -- animatable \n\
</pre></div><p>Get/set the noise high threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Low_Threshold Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the noise low threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Uniformity Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the noise uniformity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Levels Float default: 3.0 -- animatable \n\
</pre></div><p>Get/set the noise levels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.size Float default: 20.0 -- animatable \n\
</pre></div><p>Get/set the noise size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the noise phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Wind_Strength Float default: 0.0 \n\
</pre></div><p>Get/set the wind strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Fog&gt;.Wind_Direction Integer default: 0 \n\
</pre></div><p>Get/set the winddirection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Front</p>\n\
<p>1 - Back</p>\n\
<p>2 - Left</p>\n\
<p>3 - Right</p>\n\
<p>4 - Top</p>\n\
<p>5 - Bottom</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";