var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Atmospheric : MAXWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Atmospheric : MAXWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"atmospheric-maxwrapper\"></a></div>\n\
<p>The Atmospheric class lets you set up volumetric rendering effects with MAXScript. You can create atmospherics like fire and fog, access various properties on them and maintain their list of gizmo nodes such as lights and atmospheric helpers.</p>\n\
<p>The classes derived directly from the Atmospheric class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Atmospheric-Effect-Types/Atmospheric-Effect-Types-1.html\' title=\'\'>Atmospheric Effect Types</a>.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the Atmospheric class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Atmospheric-Effects-Common.html\' title=\'\'>Atmospheric Effects Common Properties, Operators, and Methods</a>.</p>\n\
<p>The Atmospheric class is derived from the MAXWrapper class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
<p>The topic <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Working-with-Atmospherics.html\' title=\'\'>Working with Atmospherics</a> contains an example of adding Atmospheric Effects to the environment.</p>\n\
<p>Atmospheric Effects are managed in the 3ds Max User Interface through the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";