var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bake Elements</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bake Elements</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bake-elements\"></a></div>\n\
<p>The following list containsthe BakeElement classes shipping with <strong>3ds Max</strong>.</p>\n\
<p>They implement the rendering to texture (a.k.a. &quot;texture baking&quot;).</p>\n\
<p>You can bake multiple maps in a single pass by applying more than one BakeElement to a geometry scene object using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\' title=\'\'>INodeBakePropertiesinterface</a>:</p>\n\
<div class=\'section\'><a id=\"bake-element-classes\"></a><h2 id=\"bake-element-classes\">Bake Element Classes:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/AlphaMap-BakeElement.html\' title=\'\'>AlphaMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/Ambient_Occlusion-BakeElement.html\' title=\'\'>Ambient_Occlusion : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/BlendMap-BakeElement.html\' title=\'\'>BlendMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/CompleteMap-BakeElement.html\' title=\'\'>CompleteMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/diffuseMap-BakeElement.html\' title=\'\'>diffuseMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/HeightMap-BakeElement.html\' title=\'\'>HeightMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/LightingMap-BakeElement.html\' title=\'\'>LightingMap: BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/Missing_Texture_Bake_Element.html\' title=\'\'>Missing_Texture_Bake_Element : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/NormalsMap-BakeElement.html\' title=\'\'>NormalsMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/ShadowsMap-BakeElement.html\' title=\'\'>ShadowsMap : BakeElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/specularMap-BakeElement.html\' title=\'\'>specularMap : BakeElement</a></p>\n\
<p>All Bake Elements expose the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\' title=\'\'>BakeElementProperties</a> interface.</p>\n\
<p>The Render To Texture utility itself is implemented in MAXScript. To learn more about Texture Baking using MAXScript, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-To-Texture/Render-To-Texture-Using.html\' title=\'\'>Render To Texture Using MAXScript</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";