var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShadowsMap : BakeElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShadowsMap : BakeElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shadowsmap-bakeelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>ShadowsMap - superclass: BakeElement; super-superclass:MAXWrapper - classID: #(65541, 0) \n\
</pre></div><p>This BakeElement allows a shadow map to be baked. This is a mono map, with a multiplier value in the rgb channels and the matting version in the alpha channel, as opposed to the lightingMap which is color.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>ShadowsMap ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.autoSzOn Boolean default: false -- boolean; Auto_Size_On \n\
</pre></div><p>Enable/Disable AutoSize.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.bitmap Bitmap default: undefined -- bitmap \n\
</pre></div><p>Get the bake element’s bitmap. This property cannot be set through MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.elementName String default: &quot;ShadowsMap&quot; -- string \n\
</pre></div><p>Get/Set the bake element’s name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.enabled Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the bake element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.fileName Filenamedefault: &quot;&quot; -- string; \n\
</pre></div><p>Get/Set the element’s output file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.filenameUnique Boolean default: false -- boolean; Filename_Unique \n\
</pre></div><p>Enable/Disable unique file name generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.fileType Filenamedefault: &quot;&quot; -- string; \n\
</pre></div><p>Get/Set the bake element’s output file type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.filterOn Boolean default: true -- boolean; FilteringOn \n\
</pre></div><p>Enable/Disable filtering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.outputSzX Integer default: 256 -- integer; output_width \n\
</pre></div><p>Get/Set the output width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.outputSzY Integer default: 256 -- integer; output_height \n\
</pre></div><p>Get/Set the output height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShadowsMap&gt;.targetMapSlotName String default: &quot;&quot;&quot;&quot; -- string; \n\
</pre></div><p>Get/Set the name of the map slot where element output will be applied</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";