var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TIF interfaces:</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TIF interfaces:</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tif-interfaces\"></a></div>\n\
<div class=\'codeBlock\'><pre>TIF - superclass: BitmapIO; super-superclass:MAXWrapper - classID: #(64530, 0) \n\
</pre></div><p>The TIF BitmapIO class provides a function published interface for <strong>tiff I/O</strong> that gives access to the settings of the image format to be saved.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>TIF tifio \n\
</pre></div><p><strong>TIF interfaces</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: itifio \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;TIF.getType () \n\
\n\
getType enums: {#mono | #color | #logL | #logLUV | #color16 } \n\
</pre></div><p>This method returns the format type, which is one of the enum types.</p>\n\
<p>Thetype <span class=\'code\'>#color16</span> wasaddedin <strong>3ds Max 8</strong> to provide access to the new 16-bit color option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;TIF.setType &lt;enum&gt;type \n\
\n\
type enums: {#mono | #color | #logL | #logLUV | #color16 } \n\
</pre></div><p>This method allows you to set the format type.</p>\n\
<p>Thetype <span class=\'code\'>#color16</span> wasaddedin <strong>3ds Max 8</strong> to provide access to the new 16-bit color option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;TIF.getShowControl () \n\
\n\
getShowControl enums: {#true | #false} \n\
&lt;void&gt;TIF.setShowControl &lt;enum&gt;showControl \n\
\n\
showControl enums: {#true | #false} \n\
&lt;enum&gt;TIF.getCompression () \n\
\n\
getCompression enums: {#none | #packBits} \n\
&lt;void&gt;TIF.setCompression &lt;enum&gt;compression \n\
\n\
compression enums: {#none | #packBits} \n\
&lt;enum&gt;TIF.getAlpha () \n\
\n\
getAlpha enums: {#true | #false} \n\
&lt;void&gt;TIF.setAlpha &lt;enum&gt;onOff \n\
\n\
onOff enums: {#true | #false} \n\
&lt;float&gt;TIF.getDPI () \n\
</pre></div><p>This method returns the DPI resolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;TIF.setDPI &lt;float&gt;dpi \n\
</pre></div><p>This method allows you to set the DPI resolution</p>\n\
<p>The methods in this interface can be accessed by specifying the class, interface, and method. For example: <span class=\'code\'>tif.itifio.getType()</span> .</p>\n\
<p>MAXScript will automatically search through a class’ interfaces for a property or method name if the name isn’t found as a class method or property. This allows you to say: <span class=\'code\'>tif.getType()</span> .</p>\n\
<p>Providing the fully qualified name of the method results in faster script execution. Providing the fully qualified name is also safer, as at some point in time another interface could be specified for the class, and a method or property with the same name could be defined in that interface. Which method or property is used would then be dependent on the order in which the interfaces were searched for the method or property name.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";