var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MSCustAttribDef Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MSCustAttribDef Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mscustattribdef-class\"></a></div>\n\
<p>This class derives from the MSPluginClass which in turn derives from the MAXClass. Custom Attributes are instances of this class.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MSCustAttribDef&gt;.ispb2based\n\
</pre></div><p>Read-only Boolean property. Always returns True since Custom Attributes use <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/GUID-461915FA-31A2-49CE-84AF-2544B782ACA3.html\' title=\'\'>ParamBlock2</a>. This property is also available in MAXClass and MSPluginClass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MSCustAttribDef&gt;.isMSPluginClass\n\
</pre></div><p>Read-only property of custom attribute definition. Also available in MAXClass, and MSPluginClass. SinceMSPluginClass derives from MAXClass, and MSCustAttribDef derives from MSPluginClass, the property always returns True for custom attribute definitions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MSCustAttribDef&gt;.isMSCustAttribClass\n\
</pre></div><p>A read-only property, always <span class=\'code\'>true</span> for custom attribute definitions. Also available in MAXClass and MSPluginClass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MSCustAttribDef&gt;.version\n\
</pre></div><p>A read-only property of custom attribute definition. Also available in MSPluginClass. The property contains the version of the custom attribute definitions.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Adding-Custom-Attributes.html\' title=\'\'>Adding Custom Attributes</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";