var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Meshop Editable_Mesh UI property methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Meshop Editable_Mesh UI property methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshop-editable_mesh-ui-property-methods\"></a></div>\n\
<blockquote>\n\
<p>Note: All methods below are applicable on <strong>Editable Mesh only</strong></p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>meshop.getAffectBackfacing &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Affect Backfacing checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setAffectBackfacing &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Affect Backfacing checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getBubble &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Bubble value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setBubble &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Bubble value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getDisplacementMapping &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Displacement Mapping option.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setDisplacementMapping &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Displacement Mapping option.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getExtrusionType &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Extrusion type:</p>\n\
<p>1 - <strong>Group</strong></p>\n\
<p>2 - <strong>Local</strong></p>\n\
<div class=\'codeBlock\'><pre>meshop.setExtrusionType &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Extrusion type:</p>\n\
<p>1 - <strong>Group</strong></p>\n\
<p>2 - <strong>Local</strong></p>\n\
<div class=\'codeBlock\'><pre>meshop.getFalloff &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Falloff value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setFalloff &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Falloff value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getIgnoreBackfacing &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Ignore Backfacing checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setIgnoreBackfacing &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Ignore Backfacing checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getIgnoreVisEdges &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Ignore Visible Edges checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setIgnoreVisEdges &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Ignore Visible Edges checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getNormalSize &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Scale value used for Normal display in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setNormalSize &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Scale value used for Normal display in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getPinch &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Pinch value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setPinch &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Pinch value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getPlanarThreshold &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Planar Thresh. value in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setPlanarThreshold &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Planar Thresh. value in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSelByVertex &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the By Vertex checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSelByVertex &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the By Vertex checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getShowFNormals &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Show Normals checkbox in the Selection rollout when in Face, Polygon or Element Sub-Object Mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setShowFNormals &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Show Normals checkbox in the Selection rollout when in Face, Polygon or Element Sub-Object Mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getShowVNormals &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Show Normals checkbox in the Selection rollout when in Vertex Sub-Object Mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setShowVNormals &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Returns the state of the Show Normals checkbox in the Selection rollout when in Vertex Sub-Object Mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSoftSel &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Use Soft Selection checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSoftSel &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Use Soft Selection checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSplitMesh &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Split Mesh checkbox in the Surface Properties rollout when in Object mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSplitMesh &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Split Mesh checkbox in the Surface Properties rollout when in Object mode.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSSEdgeDist &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Soft Selection Edge Distance value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSSEdgeDist &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Soft Selection Edge Distance value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSSUseEdgeDist &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Soft Selection Edge Distance checkbox.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSSUseEdgeDist &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Soft Selection Edge Distance checkbox.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionAngle &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Angle value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionAngle &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Subdivision Angle value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionDisplacement &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the Subdivision Displacement checkbox.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionDisplacement &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the state of the Subdivision Displacement checkbox.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionDistance &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Distance value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionDistance &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Subdivision Distance value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionEdge &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Edge value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionEdge &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Set the Subdivision Edge value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionMaxLevels &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Maximum Subdivision Levels value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionMaxLevels &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Maximum Subdivision Levels value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionMaxTriangles &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Maximum Number of Triangles value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionMaxTriangles &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Maximum Number of Triangles value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionMethod &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Method. It can be one of the following: #regular, #spatial, #curvature, #spatialAndCurvature</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionMethod &lt;Mesh mesh&gt; {#regular | #spatial | #curvature | #spatialAndCurvature}\n\
</pre></div><p>Sets the Subdivision Method.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionMinLevels &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Minimum Subdivision Levels value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionMinLevels &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Minimum Subdivision Levels value found under Advanced Properties... dialog of the Subdivision Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionSteps &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Steps value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionSteps &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Subdivision Steps value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionStyle &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Subdivision Style. It can be one of the following: #tree, #grid, #delaunay</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionStyle &lt;Mesh mesh&gt; {#tree | #grid | #delaunay}\n\
</pre></div><p>Sets the Subdivision Style.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getSubdivisionView &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the state of the View-Dependent checkbox in the Surface Properties.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setSubdivisionView &lt;Mesh mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Set the state of the View-Dependent checkbox in the Surface Properties.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getWeldPixels &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Target Weld pixels value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setWeldPixels &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the Target Weld pixels value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getWeldThreshold &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the Weld Selected Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setWeldThreshold &lt;Mesh mesh&gt; &lt;float&gt;\n\
</pre></div><p>Sets the Weld Selected Threshold value.</p>\n\
<blockquote>\n\
<p>Note: All methods above are applicable on <strong>Editable Mesh only</strong>!</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";