var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-methods\"></a></div>\n\
<p>The following topic lists the <strong>polyOp</strong> methods which are applicable to objects collapsed to the Editable_Poly base object.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Topics Navigation:</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable-Poly-Get-Set-Selection.html\' title=\'\'>Get/Set Selection</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>Get By Flag</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-Count-Methods.html\' title=\'\'>Get Count</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-Set-Hidden.html\' title=\'\'>Get/Set Hidden</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Edge-Visibility.html\' title=\'\'>Edge Visibility</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Open-Edges-Methods.html\' title=\'\'>Open Edges</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Face.html\' title=\'\'>Get By Face</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Edge.html\' title=\'\'>Get By Edge</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Dead-Elements.html\' title=\'\'>Dead Elements</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Face-Material-ID.html\' title=\'\'>Face Material IDs</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Manipulate-Vertex.html\' title=\'\'>Manipulate Vertex</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Fill-In-Mesh.html\' title=\'\'>Fill In Mesh</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-A-Using-B.html\' title=\'\'>Get A Using B</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-Face-Center.html\' title=\'\'>Get Face, Center, Normal and Area</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Attach-Method.html\' title=\'\'>Attach</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Delete-Methods.html\' title=\'\'>Delete</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Weld-Methods.html\' title=\'\'>Weld</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Create-Methods.html\' title=\'\'>Create</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Auto-Smooth-Method.html\' title=\'\'>Auto-Smooth</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Triangulation.html\' title=\'\'>Triangulation</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Subdivision.html\' title=\'\'>Subdivisions</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Face-Smoothing.html\' title=\'\'>Face_Smoothing_Groups</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Break-Divide-and.html\' title=\'\'>Break, Divide, Split</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Collapse-Methods.html\' title=\'\'>Collapse</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Propogate-Flags.html\' title=\'\'>Propagate_Flags</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Tesselate-Methods.html\' title=\'\'>Tessellate</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\' title=\'\'>Detach</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Slice-Plane.html\' title=\'\'>Slice Plane</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Cut-Methods.html\' title=\'\'>Cut</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Cap-Holes-Methods.html\' title=\'\'>Cap Holes</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Make-Planar.html\' title=\'\'>Make Planar</a><br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Extrude-Bevel-and.html\' title=\'\'>Extrude, Bevel, Chamfer</a></td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"about-polyop-methods-first-argument\"></a><h2 id=\"about-polyop-methods-first-argument\">About polyOp Methods First Argument:</h2></div>\n\
<p>All <strong>polyOp</strong> methods take as an argument <span class=\'code\'>&lt;poly&gt;</span>, the poly to operate on. This argument can be either a node value where the base object of the node is an Editable_Poly, or the Editable_Poly base object.</p>\n\
<p><strong>About polyOp Methods Sub-Object Arguments:</strong></p>\n\
<p>Many of the polyOp methods take as an argument <vertlist>, <facelist>, or <edgelist>.<p>\n\
<p>These arguments specify the Sub-Object elements to operate on.</p>\n\
<p>These arguments can be specified as:</p>\n\
<p><span class=\'code\'>#all</span> - all Sub-Object elements of that type.</p>\n\
<p><span class=\'code\'>#selection</span> - the current Sub-Object selection of that type.</p>\n\
<p><span class=\'code\'>#none</span> - none of the Sub-Object elements of that type.</p>\n\
<p>An array of integers, where each integer value specifies a Sub-Object element index.</p>\n\
<p>A bitarray, where each bit specifies a Sub-Object element index.</p>\n\
<p>A value convertible to an integer that specifies a Sub-Object element index.</p>\n\
<p>A VertexSelection, EdgeSelection, or FaceSelection value. The value type must match the specified Sub-Object type.</p>\n\
<div class=\'section\'><a id=\"about-editable_poly-dead-sub-object-elements\"></a><h2 id=\"about-editable_poly-dead-sub-object-elements\">About Editable_Poly Dead Sub-Object Elements:</h2></div>\n\
<p>Editable polys can have &quot;dead&quot; vertices, edges, and faces.</p>\n\
<p>These are Sub-Object elements that are deleted from the poly, but are not removed from the corresponding lists of Sub-Object elements.</p>\n\
<p>Sub-Object elements might be marked as dead in the process of performing certain operations on the poly, but the Sub-Object element lists are normally collapsed (all the dead Sub-Object elements removed) at the end of the operation or at file I/O operations. Thus, normally there must not be any dead Sub-Object elements present in the poly.</p>\n\
<p>If you flag a Sub-Object element as dead using one of the <strong>polyOp</strong> methods, you must also call <strong><span class=\'code\'>polyOp.collapseDeadStructs()</span></strong> to collapse the Sub-Object element lists.</p>\n\
<p>Other than the methods that get/set Sub-Object element flags, the dead Sub-Object elements are normally ignored by the polyOp methods. If a method returns a value other than OK, takes a single Sub-Object element index, and that SO element is dead, a value of <strong><span class=\'code\'>undefined</span></strong> is normally returned.</p>\n\
</edgelist></facelist></vertlist>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";