var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Cut Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Cut Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-cut-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.cutVert &lt;Poly poly&gt; &lt;int start_vert&gt; &lt;point3 destination&gt; &lt;point3 projdir&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, <span class=\'code\'>&lt;destination&gt;</span> and <span class=\'code\'>&lt;projdir&gt;</span> are in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, <span class=\'code\'>&lt;destination&gt;</span> and <span class=\'code\'>&lt;projdir&gt;</span> are in the poly&#39;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or <span class=\'code\'>undefined</span> if no vertex is created.</p>\n\
<div class=\'codeBlock\'><pre>polyop.cutFace &lt;Poly poly&gt; &lt;int face&gt; &lt;point3 start&gt; &lt;point3 destination&gt; &lt;point3 projdir&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, <span class=\'code\'>&lt;start&gt;</span>, <span class=\'code\'>&lt;destination&gt;</span>, and <span class=\'code\'>&lt;projdir&gt;</span> are in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, <span class=\'code\'>&lt;start&gt;</span>, <span class=\'code\'>&lt;destination&gt;</span>, and <span class=\'code\'>&lt;projdir&gt;</span> are in the poly&#39;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or <span class=\'code\'>undefined</span> if no vertex is created.</p>\n\
<div class=\'codeBlock\'><pre>polyop.cutEdge &lt;Poly poly&gt; &lt;int edge1&gt; &lt;float prop1&gt; &lt;int edge2&gt; \\\n\
&lt;float prop2&gt;&lt;point3 projdir&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, <span class=\'code\'>&lt;projdir&gt;</span> is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, <span class=\'code\'>&lt;projdir&gt;</span> is in the poly&#39;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or undefined if no vertex is created.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";