var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Detach Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Detach Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-detach-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.detachFaces &lt;Poly poly&gt; &lt;facelist&gt; delete:&lt;boolean=true&gt; \\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Detaches the specified faces.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>true</span> , the faces are deleted after being detached.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>false</span> , the faces are not deleted.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , the faces are detached as a separate node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>false</span> , the faces are detached as an element in the poly.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , <span class=\'code\'>&lt;name&gt;</span> specifies the name of the new node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> and <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly (not a node), <span class=\'code\'>&lt;node&gt;</span> must be specified.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the operation is successful.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` --The following script explodes an EditablePoly object to elements, --each polygon becomes one element macroScript PolyToElements category:&quot;Help_Examples&quot; ( on isEnabled return selection.count == 1 and classof selection[1].baseobject == Editable_Poly on execute do ( obj = selection[1] for p = polyop.getNumFaces obj to 1 by -1 do polyOp.detachFaces obj #{p} ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>polyop.detachEdges &lt;Poly poly&gt; &lt;edgelist&gt; delete:&lt;boolean=true&gt;\\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Detaches the faces used by the specified edges.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>true</span> , the faces are deleted after being detached.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>false</span> , the faces are not deleted.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , the faces are detached as a separate node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>false</span> , the faces are detached as an element in the poly.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , <span class=\'code\'>&lt;name&gt;</span> specifies the name of the new node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is true and <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly (not a node), <span class=\'code\'>&lt;node&gt;</span> must be specified.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the operation is successful.</p>\n\
<div class=\'codeBlock\'><pre>polyop.detachVerts &lt;Poly poly&gt; &lt;vertlist&gt; delete:&lt;boolean=true&gt; \\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Detaches the faces used by the specified vertices.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>true</span> , the faces are deleted after being detached.</p>\n\
<p>If <span class=\'code\'>&lt;delete&gt;</span> is <span class=\'code\'>false</span> , the faces are not deleted.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , the faces are detached as a separate node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>false</span> , the faces are detached as an element in the poly.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> , <span class=\'code\'>&lt;name&gt;</span> specifies the name of the new node.</p>\n\
<p>If <span class=\'code\'>&lt;asNode&gt;</span> is <span class=\'code\'>true</span> and <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly (not a node), <span class=\'code\'>&lt;node&gt;</span> must be specified.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the operation is successful.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";