var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Get A Using B Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Get A Using B Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-get-a-using-b-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.getEdgesUsingVert &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding edge uses one of the vertices in <span class=\'code\'>&lt;vertlist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFacesUsingVert &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding face uses one of the vertices in <span class=\'code\'>&lt;vertlist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsUsingEdge &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding vertex uses one of the edges in <span class=\'code\'>&lt;edgelist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFacesUsingEdge &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding face uses one of the edges in <span class=\'code\'>&lt;edgelist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsUsingFace &lt;Poly poly&gt; &lt;facelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding vertex uses one of the faces in <span class=\'code\'>&lt;facelist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getEdgesUsingFace &lt;Poly poly&gt; &lt;facelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding edge uses one of the faces in <span class=\'code\'>&lt;facelist&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.getElementsUsingFace &lt;Poly poly&gt; &lt;facelist&gt; fence:&lt;fence_facelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set for all faces in the same &quot;element&quot; or connected component with faces in <span class=\'code\'>&lt;facelist&gt;</span>.</p>\n\
<p>If <span class=\'code\'>&lt;fence_facelist&gt;</span> is specified, those faces are considered as &quot;walls&quot; for this processing and are not evaluated. That is, if face i is specified in <span class=\'code\'>&lt;facelist&gt;</span>, and a ring of faces around it is specified in <span class=\'code\'>&lt;fence_facelist&gt;</span>, the algorithm stops at that ring.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsUsedOnlyByFaces &lt;Poly poly&gt; &lt;facelist&gt;\n\
</pre></div><p>Bits in the result bitarray are set if the corresponding vertex is only used by faces in <span class=\'code\'>&lt;edgelist&gt;</span>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";