var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Make Planar Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Make Planar Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-make-planar-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.makeVertsPlana &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Moves the specified vertices so that they are planar.</p>\n\
<div class=\'codeBlock\'><pre>polyop.moveVertsToPlane &lt;Poly poly&gt; &lt;vertlist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node&gt;\n\
</pre></div><p>Moves the specified vertices into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
<div class=\'codeBlock\'><pre>polyop.makeEdgesPlanar &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Moves the vertices associated with the specified edges so that they are planar.</p>\n\
<div class=\'codeBlock\'><pre>polyop.moveEdgesToPlane &lt;Poly poly&gt; &lt;edgelist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Moves the vertices associated with the specified edges into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
<div class=\'codeBlock\'><pre>polyop.makeFacesPlanar &lt;Poly poly&gt; &lt;facelist&gt;\n\
</pre></div><p>Moves the vertices associated with the specified faces so that they are planar.</p>\n\
<div class=\'codeBlock\'><pre>polyop.moveFacesToPlane &lt;Poly poly&gt; &lt;facelist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
\n\
</pre></div><p>Moves the vertices associated with the specified faces into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";