var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Propogate Flags Method</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Propogate Flags Method</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-propogate-flags-method\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.propagateFlags &lt;Polypoly&gt; &lt;toSOLevel&gt; &lt;toFlag_int&gt;&lt;fromSOLevel&gt; &lt;fromFlag_int&gt; \\\n\
ampersand:&lt;boolean=false&gt; set:&lt;boolean=true&gt; undoable:&lt;boolean=true&gt;\n\
</pre></div><p>where <span class=\'code\'>toSOLevel/fromSOLevel</span> = <span class=\'code\'>{#object | #vertex | #edge | #face}</span></p>\n\
<p>Propagates component flags.</p>\n\
<p>For each <span class=\'code\'>&lt;fromSOLevel&gt;</span> element that has flag <span class=\'code\'>&lt;fromFlag_int&gt;</span> set, the <span class=\'code\'>&lt;toSOLevel&gt;</span> elements that use or are used by the element have their internal flag variable bits set based on <span class=\'code\'>&lt;toFlag_int&gt;</span>.</p>\n\
<p>Only the bits corresponding to the bits that are set in <span class=\'code\'>&lt;toFlag_int&gt;</span> are affected.</p>\n\
<p>If <span class=\'code\'>&lt;ampersand&gt;</span> is <span class=\'code\'>false</span> , and <span class=\'code\'>&lt;fromFlag_int&gt;</span> has more than one bit set, the <span class=\'code\'>&lt;fromSOLevel&gt;</span> elements are tested to see whether they have any of the corresponding bits set. If <span class=\'code\'>true</span> , the <span class=\'code\'>&lt;fromSOLevel&gt;</span> component elements are tested to see whether they have all the corresponding bits set.</p>\n\
<p>If <span class=\'code\'>&lt;set&gt;</span> is <span class=\'code\'>true</span> , the <span class=\'code\'>&lt;toSOLevel&gt;</span> elements have flags <span class=\'code\'>&lt;toFlag_int&gt;</span> set. If <span class=\'code\'>false</span> , these flags are cleared.</p>\n\
<p>If <span class=\'code\'>&lt;undoable&gt;</span> is <span class=\'code\'>true</span> , the operation in undoable, otherwise it is not.</p>\n\
<p>If bits 1 or 2 of <span class=\'code\'>&lt;toFlag_int&gt;</span> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<p>Returns the number of <span class=\'code\'>&lt;fromSOLevel&gt;</span> elements that tested positive for the <span class=\'code\'>&lt;fromFlag_int&gt;</span> flags.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";