var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Weld Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Weld Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-weld-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.weldVertsByThreshold &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Welds the specified vertices that are within the threshold distance.</p>\n\
<p>The threshold distance is a property (weldThreshold) of the editable poly.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<div class=\'codeBlock\'><pre>polyop.weldVerts &lt;Poly poly&gt; &lt;int vert1&gt; &lt;int vert2&gt; &lt;point3 location&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Welds the two specified vertices with the resulting vertex positioned at the specified location.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the location is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the location is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.weldEdgesByThreshold &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Welds the vertices associated with the specified edges that are within the threshold distance.</p>\n\
<p>The threshold distance is a property ( <span class=\'code\'>weldThreshold</span> ) of the editable poly.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<div class=\'codeBlock\'><pre>polyop.weldEdges &lt;Poly poly&gt; &lt;int edge1&gt; &lt;int edge2&gt;\n\
</pre></div><p>Welds the vertices associated with the specified edges.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";