var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-properties\"></a></div>\n\
<p><strong>Properties by Rollout:</strong></p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"selection-rollout\"></a><h2 id=\"selection-rollout\">Selection Rollout</h2></div>\n\
<div class=\'section\'><a id=\"selection-properties\"></a><h3 id=\"selection-properties\">Selection Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.selByVertex Boolean default: false -- boolean; Select_By_Vertex\n\
</pre></div><p>Get/Set the <strong>By Vertex</strong> checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.ignoreBackfacing Boolean default: false -- boolean; Ignore_Backfacing_in_Selections\n\
</pre></div><p>Get/Set the state of the <strong>Ignore Backfacing</strong> checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.selectByAngle BooleanClass default: false -- boolean; Select_by_Angle\n\
</pre></div><p>Get/set the state of the <strong>By Angle</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.selectAngle Float default: 45.0 -- angle; Selection_Angle\n\
</pre></div><p>Get/Set the <strong>By Angle</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.ringEdgeSel Integer default: 0 -- integer; Ring_Sel\n\
</pre></div><p>Get/Set the <strong>Edge Ring</strong> value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.loopEdgeSel Integer default: 0 -- integer; Loop_Sel\n\
</pre></div><p>Get/Set the <strong>Edge Loop</strong> value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"preview-selection\"></a><h3 id=\"preview-selection\">Preview Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.selectMode Integer default: 0 -- integer; Select_Mode\n\
</pre></div><p>Get/Set the <strong>Preview Selection Mode</strong> in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>SubObj</strong></p>\n\
<p>2 - <strong>Multi</strong></p>\n\
<div class=\'section\'><a id=\"soft-selection-rollout\"></a><h2 id=\"soft-selection-rollout\">Soft Selection Rollout</h2></div>\n\
<div class=\'section\'><a id=\"soft-selectionproperties\"></a><h3 id=\"soft-selectionproperties\">Soft SelectionProperties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.useSoftSel Boolean default: false -- boolean; Use_Soft_Selection\n\
</pre></div><p>Get/Set the state of the &quot;Use Soft Selection&quot; checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.ssUseEdgeDist Boolean default: false -- boolean; Use_Edge_Distance\n\
</pre></div><p>Get/Set the state of the <strong>Edge Distance</strong> checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.ssEdgeDist Integer default: 1 -- integer; Edge_Distance\n\
</pre></div><p>Get/Set the <strong>Edge Distance</strong> value in the Soft Selection rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.affectBackfacing Boolean default: true -- boolean; Affect_Backfacing\n\
</pre></div><p>Get/Set thestate of the <strong>Affect Backfacing</strong> checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.falloff Float default: 20.0 -- animatable; world units\n\
</pre></div><p>Get/Set the Falloff value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.pinch Float default: 0.0 -- animatable; world units\n\
</pre></div><p>Get/Set the Pinch value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bubble Float default: 0.0 -- animatable; world units\n\
</pre></div><p>Get/Set the Bubble value in the Soft Selection rollout.</p>\n\
<div class=\'section\'><a id=\"paint-soft-selection\"></a><h3 id=\"paint-soft-selection\">Paint Soft Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.lockSoftSel BooleanClass default: false -- boolean; Lock_Soft_Selection\n\
</pre></div><p>Get/Set the state of the Lock Soft Selection checkbox.</p>\n\
<p>When locked, the soft selection will not be recalculated dynamically based on the existing &quot;hard&quot; selection and will allow for custom soft selection values to be painted using a brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintSelSize Float default: 10.0 -- world units; Brush_Size\n\
</pre></div><p>Get/Set the Size of the Soft Selection brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintSelStrength Float default: 1.0 -- float; Brush_Strength\n\
</pre></div><p>Get/Set the Strength of the Soft Selection brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintSelValue Float default: 1.0 -- float; Selection_Value\n\
</pre></div><p>Get/Set the Soft Selection Value to be painted with.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintSelMode     Integer    default: 0   --  integer; Paint_Mode\n\
</pre></div><p>Get/Set the Paint Soft Selection mode, where:</p>\n\
<ul>\n\
<li>0 = disabled / off</li>\n\
<li>1 = Paint</li>\n\
<li>2 = Revert</li>\n\
<li>3 = Blur</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"edit-vertices-rollout\"></a><h2 id=\"edit-vertices-rollout\">Edit Vertices Rollout</h2></div>\n\
<div class=\'section\'><a id=\"remove-vertex\"></a><h3 id=\"remove-vertex\">Remove Vertex</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to removing vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#remove\' title=\'\'>EditablePoly Interface -Remove</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Remove method</a></p>\n\
<div class=\'section\'><a id=\"break-vertex\"></a><h3 id=\"break-vertex\">Break Vertex</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertexBreak Float default: 0.0 -- worldUnits; Vertex_Break\n\
</pre></div><p>Get/Set the Vertex Break value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>For <strong>methods</strong> related to breaking vertices, see</p>\n\
<p>EditablePoly Methods - Break / Divide / Split</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#break-split-divide\' title=\'\'>EditablePoly Interface - Break / Split / Divide</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #BreakVertex method</a></p>\n\
<div class=\'section\'><a id=\"vertex-extrudechamfer-values\"></a><h3 id=\"vertex-extrudechamfer-values\">Vertex Extrude/Chamfer Values</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertexChamfer Float default: 1.0 -- world units; Vertex_Chamfer_Amount\n\
</pre></div><p>Get/Set the Vertex Chamfer Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertexChamferOpen BooleanClass default: false -- boolean; Open_Chamfer\n\
</pre></div><p>Get/Set the state of the &quot;Open&quot; checkbox in the Vertex Chamfer options dialog.</p>\n\
<p>When set to True, the new polygons created by the Chamfer operation will be removed, leaving an opening.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.chamferVertexDepth     Float    default: 0.5   --  float; Vertex_Depth\n\
</pre></div><p>Get/set the Vertex Chamfer depth value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.chamferVertexSegments     Integer    default: 1   --  integer; Vertex_Chamfer_Segments\n\
</pre></div><p>Get/set the Vertex Chamfer number of segments value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.chamferVertexSmooth     BooleanClass    default: true   --  boolean; Smooth\n\
</pre></div><p>Get/set the Vertex Chamfer smooth setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.chamferVertexSmoothThreshold     Float    default: 30.0   --  float; Smooth_Threshold\n\
</pre></div><p>Get/set the Vertex Chamfer smoothing threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.chamferVertexSmoothType     Integer    default: 0   --  integer; Smooth_Type\n\
</pre></div><p>Get/set the Vertex Chamfer smoothing type, where:</p>\n\
<ul>\n\
<li>0 = smooth entire object</li>\n\
<li>1 = smooth chamfers only</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertexExtrudeHeight Float default: 10.0 -- world units; Vertex_Extrude_Height\n\
</pre></div><p>Get/Set the Vertex Extrusion Height value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertexExtrudeWidth Float default: 3.0 -- float; Vertex_Extrude_Width\n\
</pre></div><p>Get/Set the vertex extrusion Base Width value</p>\n\
<p>For <strong>methods</strong> related to extruding and chamfering vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#chamfer\' title=\'\'>EditablePoly Interface - Chamfer</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Chamfer method</a></p>\n\
<div class=\'section\'><a id=\"weld\"></a><h3 id=\"weld\">Weld</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.weldPixels Integer default: 4 -- integer; Weld_Pixel_Threshold\n\
</pre></div><p>Get/Set the Target Weld Pixel Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.weldThreshold Float default: 0.1 -- world units; Vertex_Weld_Threshold\n\
</pre></div><p>Get/Set the Weld Threshold value.</p>\n\
<p>For <strong>methods</strong> related toweldingvertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#weld\' title=\'\'>EditablePoly Interface - Weld</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #WeldSelected method</a></p>\n\
<div class=\'section\'><a id=\"connect\"></a><h3 id=\"connect\">Connect</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to connecting vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#connect\' title=\'\'>EditablePoly Interface - Connect</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UICommands - buttonOp #ConnectVertices method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#preview-mode\' title=\'\'>EditablePoly Interface - PreviewMode - previewBegin #ConnectVertices and popupDialog #ConnectVertices methods</a></p>\n\
<div class=\'section\'><a id=\"remove-isolated-vertices\"></a><h3 id=\"remove-isolated-vertices\">Remove Isolated Vertices</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to removing isolated vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#delete\' title=\'\'>EditablePoly Interface - Delete</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UICommands - buttonOp #ConnectVertices method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#preview-mode\' title=\'\'>EditablePoly Interface - PreviewMode - previewBegin #ConnectVertices and popupDialog #ConnectVertices methods</a></p>\n\
<div class=\'section\'><a id=\"remove-unused-map-vertices\"></a><h3 id=\"remove-unused-map-vertices\">Remove Unused Map Vertices</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to removing unused map vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#delete\' title=\'\'>Editable PolyInterface - Delete</a></p>\n\
<div class=\'section\'><a id=\"vertex-weight\"></a><h3 id=\"vertex-weight\">Vertex Weight</h3></div>\n\
<p>No related <strong>properties</strong> or <strong>methods</strong> exposed.</p>\n\
<div class=\'section\'><a id=\"edit-edges-rollout\"></a><h2 id=\"edit-edges-rollout\">Edit Edges Rollout</h2></div>\n\
<div class=\'section\'><a id=\"insert-vertex-in-edge\"></a><h3 id=\"insert-vertex-in-edge\">Insert Vertex In Edge</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to inserting vertices in edges, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#insert-vertex\' title=\'\'>EditablePoly Interface - Insert Vertex</a></p>\n\
<div class=\'section\'><a id=\"remove\"></a><h3 id=\"remove\">Remove</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to removing edges, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#remove\' title=\'\'>EditablePoly Interface - Remove</a></p>\n\
<div class=\'section\'><a id=\"split\"></a><h3 id=\"split\">Split</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to splitting edges, see</p>\n\
<p>polyOp Methods - Break/Divide/Split</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#break-split-divide\' title=\'\'>EditablePoly Interface - Break/Split/Divide</a></p>\n\
<div class=\'section\'><a id=\"edge-chamferextrude-values\"></a><h3 id=\"edge-chamferextrude-values\">Edge Chamfer/Extrude Values</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferType     Integer    default: 0   --  integer; Chamfer_Type\n\
</pre></div><p>As of <strong>3ds Max 2020.2 Update</strong>, this property is obsolete, use <strong>edgeChamferMiteringType</strong> instead.</p>\n\
<p>Get/set the Chamfer type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Legacy Chamfer Mode</strong> (default)</p>\n\
<p>1 - <strong>Quad Chamfer</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamfer Float default: 1.0 -- world units; Edge_Chamfer\n\
</pre></div><p>Get/Set the Edge Chamfer Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferOpen BooleanClass default: false -- boolean; Open_Chamfer\n\
</pre></div><p>Get/Set the state of the Open checkbox in the Edge Chamfer options dialog.</p>\n\
<p>When set to True, the new polygons created by the Chamfer operation will be removed, leaving an opening.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferInvert     BooleanClass    default: false   --  boolean; Invert_Open\n\
</pre></div><p>Get/set the state of the Invert Open checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>When set to True, the chamfered polygons will be retained and the original polygons will be removed.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferSmooth     BooleanClass    default: true   --  boolean; Smooth\n\
</pre></div><p>Get/set the state of the Smooth checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferSmoothType     Integer    default: 0   --  integer; Smooth_Type\n\
</pre></div><p>Get/set the selection of the Smooth Type option in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Smooth Entire Object</strong></p>\n\
<p>1 - <strong>Smooth Chamfers Only</strong></p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferSmoothThreshold     Float    default: 30.0   --  float; Smooth_Threshold\n\
</pre></div><p>Get/set the value of the &quot;Smooth Threshold&quot; checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferTension     Float    default: 1.0   --  float; Edge_Tension\n\
</pre></div><p>Get/set the Tension value for the <strong>Chamfer</strong> mode. This is enabled only for Quad mitering type (<span class=\'code\'>edgeChamferMiteringType</span> = 0)</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeExtrudeHeight Float default: 10.0 -- world units; Edge_Extrude_Height\n\
</pre></div><p>Get/Set the Edge Extrusion Height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeExtrudeWidth Float default: 3.0 -- float; Edge_Extrude_Width\n\
</pre></div><p>Get/Set the edge extrusion Base Width value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeWeldThreshold Float default: 0.1 -- world units; Edge_Weld_Threshold\n\
</pre></div><p>Get/Set the Edge Weld Threshold value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferSegments Integer default: 1 -- integer; Edge_Chamfer_Segments\n\
</pre></div><p>Get/Set the Edge Chamfer Segments amount.</p>\n\
<p>Adding Segments to the Edge Chamfer effectively performs an Edge Fillet, rounding the edge.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p>polyOp Methods - Extrude/Bevel/Chamfer</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferMiteringType Integer\n\
</pre></div><p>Gets or sets the Edge Chamfer miter type, where:</p>\n\
<ul>\n\
<li>0 = Quad</li>\n\
<li>1 = Tri</li>\n\
<li>2 = Uniform</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferDepth Float\n\
</pre></div><p>Gets or sets the Edge Chamfer depth. Possible values are in the range -0.5 to 1.0, where negative values are concave, 0 is linear, and positive values are convex. This option is enabled for Uniform mitering type only (<span class=\'code\'>edgeChamferMiteringType</span>=2). Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferEndBias Float\n\
</pre></div><p>Gets or sets the Edge Chamfer end bias. Possible values are in the range of 0.0 to 1.0. This option is enabled for Quad or Uniform mitering types only (<span class=\'code\'>edgeChamferMiteringType</span>=0 or 2). Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferRadialBias Float\n\
</pre></div><p>Gets or sets the Edge Chamfer radial bias. Possible values are in the range of 0.0 to 1.0. This option is enabled for Quad or Uniform mitering types only (<span class=\'code\'>edgeChamferMiteringType</span>=0 or 2). Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.edgeChamferQuadIntersections BooleanClass default: false -- boolean; alias: quad_intersections\n\
</pre></div><p>This property is <strong>obsolete</strong>, use <span class=\'code\'>edgeChamferMiteringType</span> (above) instead.</p>\n\
<p>Get/Set the Edge Chamfer Quad Intersections mode. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"weld-1\"></a><h3 id=\"weld-1\">Weld</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to welding, see</p>\n\
<p>polyOp Methods - Weld</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#weld\' title=\'\'>EditablePoly Interface - Weld</a></p>\n\
<div class=\'section\'><a id=\"bridge\"></a><h3 id=\"bridge\">Bridge</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to bridging edges, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#bridge\' title=\'\'>EditablePoly Interface - Bridge</a></p>\n\
<div class=\'section\'><a id=\"connect-1\"></a><h3 id=\"connect-1\">Connect</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.connectEdgeSegments Integer default: 1 -- integer; Connect_Edge_Segments\n\
</pre></div><p>Get/Set the default Connect Edge Segments value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.connectEdgePinch Integer default: 0 -- integer; Connect_Edge_Pinch\n\
</pre></div><p>Get/Set the Pinch value in the Edge Connect options dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.connectEdgeSlide Integer default: 0 -- integer; Connect_Edge_Slide\n\
</pre></div><p>Get/Set the Slide value in the Edge Connect options dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>For <strong>methods</strong> related to connecting edges, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#connect\' title=\'\'>EditablePoly Interface - Connect</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #ConnectEdges method</a></p>\n\
<div class=\'section\'><a id=\"create-shape-from-selection\"></a><h3 id=\"create-shape-from-selection\">Create Shape From Selection</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to creating Shape from selected edges, see</p>\n\
<p>polyOp Methods - Create Shape From Edges</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#create-shape-from-edges\' title=\'\'>EditablePoly Interface - Create Shape From Edges</a></p>\n\
<div class=\'section\'><a id=\"edge-properties\"></a><h3 id=\"edge-properties\">Edge Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hardedgedisplay     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the &quot;Display Hard Edges&quot; checkbox of the Editable Poly object.</p>\n\
<p>Possible values are:</p>\n\
<p>0 (default) - unchecked.</p>\n\
<p>1 - checked.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hardedgedisplaycolor     Color    default: (color 0 237.15 39.78)   --  RGB color\n\
</pre></div><p>Get/set the color to display Hard Edges of the Editable Poly object.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"edit-triangulation-turn-edge\"></a><h3 id=\"edit-triangulation-turn-edge\">Edit Triangulation / Turn Edge</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing triangulation, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"edit-borders-rollout\"></a><h2 id=\"edit-borders-rollout\">Edit Borders Rollout</h2></div>\n\
<div class=\'section\'><a id=\"extrudechamfer\"></a><h3 id=\"extrudechamfer\">Extrude/Chamfer</h3></div>\n\
<p>See <a href=\'Editable_Poly-Properties.html#edge-chamfer-extrude-values\' title=\'\'>Extrude/Chamfer Edges</a>.</p>\n\
<div class=\'section\'><a id=\"insert-vertex\"></a><h3 id=\"insert-vertex\">Insert Vertex</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to inserting vertices in borders, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#insert-vertex\' title=\'\'>EditablePoly Interface - Insert Vertex</a></p>\n\
<div class=\'section\'><a id=\"cap\"></a><h3 id=\"cap\">Cap</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to capping borders, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#create\' title=\'\'>EditablePoly Interface - Create - capHoles method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Cap method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#preview-mode\' title=\'\'>EditablePoly Interface - Preview Mode - previewBegin #Cap and popupDialog #Cap methods</a></p>\n\
<div class=\'section\'><a id=\"bridge-1\"></a><h3 id=\"bridge-1\">Bridge</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to bridging edges, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#bridge\' title=\'\'>EditablePoly Interface - Bridge</a></p>\n\
<div class=\'section\'><a id=\"connect-2\"></a><h3 id=\"connect-2\">Connect</h3></div>\n\
<p>See <a href=\'Editable_Poly-Properties.html#connect\' title=\'\'>Connect Edges</a>.</p>\n\
<div class=\'section\'><a id=\"create-shape-from-selection-1\"></a><h3 id=\"create-shape-from-selection-1\">Create Shape From Selection</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to creating Shape from selected edges, see</p>\n\
<p>polyOp Methods - Create Shape From Edges</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#create-shape-from-edges\' title=\'\'>EditablePoly Interface - Create Shape From Edges</a></p>\n\
<div class=\'section\'><a id=\"edit-triangulation-turn-edge-1\"></a><h3 id=\"edit-triangulation-turn-edge-1\">Edit Triangulation / Turn Edge</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing triangulation, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"edit-polygons-rollout\"></a><h2 id=\"edit-polygons-rollout\">Edit Polygons Rollout</h2></div>\n\
<div class=\'section\'><a id=\"insert-vertex-1\"></a><h3 id=\"insert-vertex-1\">Insert Vertex</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to inserting vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#insert-vertex\' title=\'\'>EditablePoly Interface - Insert Vertex</a></p>\n\
<div class=\'section\'><a id=\"extrude\"></a><h3 id=\"extrude\">Extrude</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrusionType Integer default: 0 -- integer; Type_of_Extrusion\n\
</pre></div><p>Get/Set the Extrusion Type in the Extrude dialog</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>Local Normal</strong></p>\n\
<p>2 - <strong>by Polygon</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrude_bias : float\n\
</pre></div><p>Get/Set the Face Extrusion bias value. This affects face extrusion when <strong>extrusionType</strong> is 1 (local normal).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.faceExtrudeHeight Float default: 10.0 -- world units; Face_Extrude_Height\n\
</pre></div><p>Get/Set the Face Extrusion Height value</p>\n\
<p>For <strong>methods</strong> related to extruding faces, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#extrude-faces\' title=\'\'>EditablePoly Interface - ExtrudeFaces</a></p>\n\
<div class=\'section\'><a id=\"outline\"></a><h3 id=\"outline\">Outline</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.outlineAmount Float default: -1.0 -- world units; Outline_Amount\n\
</pre></div><p>Get/Set the Outline Amount value.</p>\n\
<p>For <strong>methods</strong> related to outlining, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#outline\' title=\'\'>EditablePoly Interface - Outline</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Outline method</a></p>\n\
<div class=\'section\'><a id=\"bevel\"></a><h3 id=\"bevel\">Bevel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bevelHeight Float default: 10.0 -- world units; Bevel_Height\n\
</pre></div><p>Get/Set the Bevel Extrusion Height value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bevelOutline Float default: -1.0 -- world units; Bevel_Outline\n\
</pre></div><p>Get/Set the Bevel Outline value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bevelType Integer default: 0 -- integer; Type_of_Bevel\n\
</pre></div><p>Get/Set the Extrusion Type in the Bevel dialog</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>Local Normal</strong></p>\n\
<p>2 - <strong>by Polygon</strong></p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#bevel\' title=\'\'>EditablePoly Interface - Bevel</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Bevel method</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bevel_bias : float\n\
</pre></div><p>Get/Set the Bevel bias value. This affects bevel extrusion when <strong>bevelType</strong> is 1 (local normal).</p>\n\
<div class=\'section\'><a id=\"inset\"></a><h3 id=\"inset\">Inset</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.insetAmount Float default: 1.0 -- world units; Inset_amount\n\
</pre></div><p>Get/Set the Inset Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.insetType Integer default: 0 -- integer; Inset_Type\n\
</pre></div><p>Get/Set the Inset Type:</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>By Polygon</strong></p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #Inset method</a></p>\n\
<div class=\'section\'><a id=\"bridge-2\"></a><h3 id=\"bridge-2\">Bridge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeSelected Integer default: 1 -- integer; Bridge_Selected\n\
</pre></div><p>Get/Set the state of the Bridge mode radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use Specific Polygons/Edges</strong></p>\n\
<p>1 - <strong>Use Polygon/EdgeSelection</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeSegments Integer default: 1 -- animatable; integer; Bridge_Segments\n\
</pre></div><p>Get/Set the number of Bridge <strong>Segments</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeTaper Float default: 0.0 -- animatable; float; Bridge_Taper\n\
</pre></div><p>Get/Set the <strong>Bridge Polygons</strong>&gt;<strong>Taper</strong> value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeBias Float default: 0.0 -- animatable; float; Bridge_Bias\n\
</pre></div><p>Get/Set the <strong>Bridge Polygons</strong>&gt;<strong>Bias</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeSmoothThreshold Float default: 45.0 -- animatable; angle; Bridge_Smooth_Threshold;\n\
</pre></div><p>Get/Set the <strong>Bridge Polygons</strong>&gt;<strong>Smooth</strong> and <strong>Bridge Edges</strong>&gt;<strong>Smooth</strong> Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeTarget1 Integer default: 0 -- integer; Bridge_Target_1\n\
</pre></div><p>Get/Set the index of the <strong>Polygon 1</strong> / <strong>Edge 1</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeTwist1 Integer default: 0 -- integer; Bridge_Twist_1\n\
</pre></div><p>Get/Set the first Twist value in <strong>Bridge Polygon</strong> mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeTarget2 Integer default: 0 -- integer; Bridge_Target_2\n\
</pre></div><p>Get/Set the index of the <strong>Polygon 2</strong> / <strong>Edge 2</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeTwist2 Integer default: 0 -- integer; Bridge_Twist_2\n\
</pre></div><p>Get/Set the second Twist value in <strong>Bridge Polygon</strong> mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeReverseTriangle Integer default: 0 -- integer; Reverse_Triangle\n\
</pre></div><p>Get/Set the state of the <strong>Reverse Triangulation</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are</p>\n\
<p>0 - disabled</p>\n\
<p>1 - enabled</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.bridgeAdjacentAngle Float default: 45.0 -- angle; Bridge_Adjacent\n\
</pre></div><p>Get/Set the <strong>Bridge Edges</strong>&gt;<strong>Bridge Adjacent</strong> value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#bridge\' title=\'\'>EditablePoly Interface -Bridge</a></p>\n\
<div class=\'section\'><a id=\"flip\"></a><h3 id=\"flip\">Flip</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to flipping face normals, see</p>\n\
<p>polyOp Methods - Triangulation</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"hinge-from-edge\"></a><h3 id=\"hinge-from-edge\">Hinge From Edge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hinge Integer default: 0 -- index\n\
</pre></div><p>Get/Set the Hinge Edge index</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hingeAngle Float default: 30.0 -- angle; Hinge_From_Edge_Angle\n\
</pre></div><p>Get/Set the Hinge Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hingeSegments Integer default: 1 -- integer; Hinge_From_Edge_Segments\n\
</pre></div><p>Get/Set the Hinge Segment value.</p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #HingeFromEdge method</a></p>\n\
<div class=\'section\'><a id=\"extrude-along-spline\"></a><h3 id=\"extrude-along-spline\">Extrude Along Spline</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineAlign Boolean default: false -- boolean; Extrude_Along_Spline_Align\n\
</pre></div><p>Get/Set the state of the Align To Face Normal checkbox in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineNode UndefinedClass default: undefined -- node; Extrude_Along_Spline_Node\n\
</pre></div><p>Get/Set the spline node for the Extrude Along Spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineRotation Float default: 0.0 -- angle; Extrude_Along_Spline_Rotation\n\
</pre></div><p>Get/Set the rotation value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineSegments Integer default: 6 -- integer; Extrude_Along_Spline_Segments\n\
</pre></div><p>Get/Set the number of segments value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineTaper Float default: 0.0 -- float; Extrude_Along_Spline_Taper_Amount\n\
</pre></div><p>Get/Set the taper amount in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineTaperCurve Float default: 0.0 -- float; Extrude_Along_Spline_Taper_Curve\n\
</pre></div><p>Get/Set the taper curve value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.extrudeAlongSplineTwist Float default: 0.0 -- angle; Extrude_Along_Spline_Twist\n\
</pre></div><p>Get/Set the twist value in the Extrude Along Spline dialog.</p>\n\
<p>For related <strong>methods</strong>, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#extrude-faces\' title=\'\'>EditablePoly Interface - Extrude Faces</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #ExtrudeAlongSpline method</a></p>\n\
<div class=\'section\'><a id=\"edit-triangulation\"></a><h3 id=\"edit-triangulation\">Edit Triangulation</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing triangulation, see</p>\n\
<p>polyOp Methods - Triangulation</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"edit-geometry-rollout\"></a><h2 id=\"edit-geometry-rollout\">Edit Geometry Rollout</h2></div>\n\
<div class=\'section\'><a id=\"repeat-last\"></a><h3 id=\"repeat-last\">Repeat Last</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to repeating last operation, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#last-operation\' title=\'\'>EditablePoly Interface - Repeat Last Operation</a></p>\n\
<div class=\'section\'><a id=\"constraints\"></a><h3 id=\"constraints\">Constraints</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.constrainType Integer default: 0 -- integer; Vertex_Constraint_Type\n\
</pre></div><p>Get/Set the <strong>Edit Geometry &gt; Constraints</strong> radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong></p>\n\
<p>1 - <strong>Edge</strong></p>\n\
<p>2 - <strong>Face</strong></p>\n\
<p>3 - <strong>Normal</strong></p>\n\
<div class=\'section\'><a id=\"preserve-uvs\"></a><h3 id=\"preserve-uvs\">Preserve UVs</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.preserveUVs BooleanClass default: false -- boolean; Preserve_UVs\n\
</pre></div><p>Enable/Disable the <strong>Preserve UVs</strong> mode.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"create\"></a><h3 id=\"create\">Create</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to creating vertices, edges and faces, see</p>\n\
<p>polyOp Methods - Create</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#create\' title=\'\'>EditablePoly Interface - Create</a></p>\n\
<div class=\'section\'><a id=\"collapse\"></a><h3 id=\"collapse\">Collapse</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to collapsing vertices, edges and faces, see</p>\n\
<p>polyOp Methods - Collapse</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#collapse\' title=\'\'>EditablePoly Interface - Collapse</a></p>\n\
<div class=\'section\'><a id=\"attach-and-detach\"></a><h3 id=\"attach-and-detach\">Attach and Detach</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to attaching and detaching geometry, see</p>\n\
<p>polyOp Methods - Attach</p>\n\
<p>polyOp Methods - Detach</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#attach-detach\' title=\'\'>EditablePoly Interface - Attach/Detach</a></p>\n\
<div class=\'section\'><a id=\"cutand-slice\"></a><h3 id=\"cutand-slice\">Cutand Slice</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.split Boolean default: false -- boolean\n\
</pre></div><p>Get/Set the state of <strong>Split</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.cutEndCoords Point3 default: [0,0,0] -- point3; Cut_End_Coordinates\n\
</pre></div><p>Get/Set the <strong>Cut End Coordinates</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.cutNormal Point3 default: [0,0,0] -- point3; Cut_Normal_Direction\n\
</pre></div><p>Get/Set the <strong>Cut Normal Vector</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.cutStartCoords Point3 default: [0,0,0] -- point3; Cut_Start_Coordinates\n\
</pre></div><p>Get/Set the <strong>Cut Start Coordinates</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.cutStartIndex Integer default: 1 -- index; Cut_Start_Index\n\
</pre></div><p>Get/Set the index of the <strong>Cut Start Vertex</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.cutStartLevel Integer default: 1 -- integer; Cut_Start_SO_Level\n\
</pre></div><p>Get/Set the <strong>Cut Start Sub-Object Level</strong>.</p>\n\
<p>For <strong>methods</strong> related to slicing geometry, see</p>\n\
<p>polyOp Methods - SlicePlane</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#slice\' title=\'\'>EditablePoly Interface - Slice</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#slice-plane\' title=\'\'>EditablePoly Interface - SlicePlane</a></p>\n\
<div class=\'section\'><a id=\"meshsmooth-values\"></a><h3 id=\"meshsmooth-values\">MeshSmooth Values</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.smoothness Float default: 1.0 -- float\n\
</pre></div><p>Get/Set the <strong>Viewport Smoothness</strong> value in the Subdivision Surface rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.separateByMaterial Boolean default: false -- boolean; Separate_by_Material_ID\n\
</pre></div><p>Get/Set the <strong>Separate By Materials</strong> checkbox in the <strong>Edit Geometry</strong> rollout &gt; <strong>MSmooth</strong> option &gt; <strong>MeshSmooth Selection</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.separateBySmoothing Boolean default: false -- boolean; Separate_by_Smoothing_Groups\n\
</pre></div><p>Get/Set the <strong>Separate By Smoothing</strong> checkbox in the <strong>Edit Geometry</strong> rollout &gt; <strong>MSmooth</strong> option &gt; <strong>MeshSmooth Selection</strong> dialog.</p>\n\
<p>For related <strong>methods</strong> see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#subdivide\' title=\'\'>EditablePoly Interface - Subdivide</a></p>\n\
<div class=\'section\'><a id=\"tessellate-values\"></a><h3 id=\"tessellate-values\">Tessellate Values</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.tesselateBy Integer default: 0 -- integer; Tessellate_By    \n\
</pre></div><p>Get/Set the Tessellation type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Edge</strong></p>\n\
<p>1 - <strong>Face</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.tessTension Float default: 0.0 -- float; Tessellation_Tension\n\
</pre></div><p>Get/Set the Tessellation Tension.</p>\n\
<p>For related <strong>methods</strong> see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#subdivide\' title=\'\'>EditablePoly Interface - Subdivide</a></p>\n\
<div class=\'section\'><a id=\"make-planar\"></a><h3 id=\"make-planar\">Make Planar</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to making geometry planar, see</p>\n\
<p>polyOp Methods - Make Planar</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#make-planar\' title=\'\'>EditablePoly Interface - Make Planar</a></p>\n\
<div class=\'section\'><a id=\"relax\"></a><h3 id=\"relax\">Relax</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.relaxAmount Float default: 0.5 -- animatable; float; Relax_Amount\n\
</pre></div><p>Get/Set the Relax Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.relaxHoldBoundaryPoints BooleanClass default: true -- boolean; Relax_Hold_Boundary_Points\n\
</pre></div><p>Enable/Disable the &quot;Hold Boundary Points&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.relaxHoldOuterPoints BooleanClass default: false -- boolean; Relax_Hold_Outer_Points\n\
</pre></div><p>Enable/Disable the &quot;Hold Outer Points&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.relaxIterations Integer default: 1 -- animatable; integer; Relax_Iterations\n\
</pre></div><p>Get/Set the number of Relax Iterations.</p>\n\
<p>For related <strong>methods</strong> see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#relax\' title=\'\'>EditablePoly Interface - Relax</a></p>\n\
<div class=\'section\'><a id=\"hideunhide\"></a><h3 id=\"hideunhide\">Hide/Unhide</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to hiding and unhiding vertices and faces, see</p>\n\
<p>polyOp Methods - Get/SetHidden</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#hide-unhide\' title=\'\'>EditablePoly Interface - Hide/Unhide</a></p>\n\
<div class=\'section\'><a id=\"copypaste-named-selection-sets\"></a><h3 id=\"copypaste-named-selection-sets\">Copy/Paste Named Selection Sets</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to copying and pasting named selection sets, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#copy-paste-named-selection-sets\' title=\'\'>EditablePoly Interface - Copy/Paste Named Selection Sets</a></p>\n\
<div class=\'section\'><a id=\"delete-isolated-vertices\"></a><h3 id=\"delete-isolated-vertices\">Delete Isolated Vertices</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.deleteIsolatedVerts BooleanClass default: true -- boolean; Delete_Isolated_Vertices\n\
</pre></div><p>Get/Set the state of the Delete Isolated Vertices checkbox.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>For related <strong>methods</strong> see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#delete\' title=\'\'>EditablePoly Interface - Delete</a></p>\n\
<div class=\'section\'><a id=\"fully-interactive\"></a><h3 id=\"fully-interactive\">Fully Interactive</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.fullyInteractive BooleanClassdefault: true -- boolean; Fully_Interactive\n\
</pre></div><p>Get/Set the state of the <strong>Full Interactivity</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"editelements-rollout\"></a><h2 id=\"editelements-rollout\">EditElements Rollout</h2></div>\n\
<div class=\'section\'><a id=\"insert-vertex-2\"></a><h3 id=\"insert-vertex-2\">Insert Vertex</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to inserting vertices, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#insert-vertex\' title=\'\'>EditablePoly Interface - Insert Vertex</a></p>\n\
<div class=\'section\'><a id=\"flip-1\"></a><h3 id=\"flip-1\">Flip</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to flipping normals, see</p>\n\
<p>polyOp Methods - Triangulation</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"edit-triangulation-1\"></a><h3 id=\"edit-triangulation-1\">Edit Triangulation</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing triangulation, see</p>\n\
<p>polyOp Methods - Triangulation</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#triangulation\' title=\'\'>EditablePoly Interface - Triangulation</a></p>\n\
<div class=\'section\'><a id=\"vertex-properties-rollout\"></a><h2 id=\"vertex-properties-rollout\">Vertex Properties Rollout</h2></div>\n\
<div class=\'section\'><a id=\"edit-vertex-colors\"></a><h3 id=\"edit-vertex-colors\">Edit Vertex Colors</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing vertex colors, illumination and alpha, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#get-set-vertex-color--illumination-and-alpha\' title=\'\'>Get/Set Vertex Color, Illumination and Alpha</a></p>\n\
<div class=\'section\'><a id=\"select-vertices-by\"></a><h3 id=\"select-vertices-by\">Select Vertices By</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertSelectBy Integer default: 0 -- integer; Select_Vertex_By\n\
</pre></div><p>Get/Set the state of the <strong>Select Vertices By</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Color</strong></p>\n\
<p>1 - <strong>Illumination</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertSelectionRedRange Integer default: 10 -- integer; Select_by_color__Red_Range\n\
</pre></div><p>Get/Set the Red color value of the Range in the Vertex Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertSelectionGreenRange Integer default: 10 -- integer; Select_by_color__Green_Range\n\
</pre></div><p>Get/Set the Green color value of the Range in the Vertex Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertSelectionBlueRange Integer default: 10 -- integer; Select_by_color__Blue_Range\n\
</pre></div><p>Get/Set the Blue color value of the Range in the Vertex Properties rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.vertSelectionColor Color default: (color 255 255 255) -- RGB color; Vertex_Selection_Color\n\
</pre></div><p>Get/Set the color value of the Range in the Vertex Properties rollout.</p>\n\
<div class=\'section\'><a id=\"polygon-material-idsrollout\"></a><h2 id=\"polygon-material-idsrollout\">Polygon Material IDsRollout</h2></div>\n\
<div class=\'section\'><a id=\"setselect-id-floater\"></a><h3 id=\"setselect-id-floater\">Set/Select ID Floater</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.MatIDFloater ()\n\
</pre></div><p>Toggles the visibility of a Polygon Material IDs floater version of this rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Editable_Poly&gt;.MatIDFloaterVisible ()\n\
</pre></div><p>Returns true if the Polygon Material IDs floater is visible, false if it is hidden.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"set-id\"></a><h3 id=\"set-id\">Set ID</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to setting the Face Material ID, see</p>\n\
<p>polyOp Methods - Face Material IDs</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#get-set-data\' title=\'\'>EditablePoly Interface - Get/Set Data</a></p>\n\
<div class=\'section\'><a id=\"select-id\"></a><h3 id=\"select-id\">Select ID</h3></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to selecting Faces by Material ID, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#ui-commands\' title=\'\'>EditablePoly Interface - UI Commands - buttonOp #SelectByMaterialID method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#preview-mode\' title=\'\'>EditablePoly Interface - Preview Mode - previewBegin #SelectByMaterialID and popupDialog #SelectByMaterialID methods</a></p>\n\
<div class=\'section\'><a id=\"polygon-smoothing-groups-rollout\"></a><h2 id=\"polygon-smoothing-groups-rollout\">Polygon: Smoothing Groups Rollout</h2></div>\n\
<div class=\'section\'><a id=\"smoothing-groups-floater\"></a><h3 id=\"smoothing-groups-floater\">Smoothing Groups Floater</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.SmGrpFloater ()\n\
</pre></div><p>Toggles the visibility of a Smoothing Groups floater version of this rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Editable_Poly&gt;.SmGrpFloaterVisible ()\n\
</pre></div><p>Returns True if the Smoothing Groups floater is visible, False if it is hidden.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"smoothing-groups\"></a><h3 id=\"smoothing-groups\">Smoothing Groups</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.autoSmoothThreshold Float default: 45.0 -- angle; Autosmooth_angle_threshold\n\
</pre></div><p>Get/Set the Autosmooth Threshold value in the <strong>Polygon Properties</strong> rollout &gt; <strong>Smoothing Groups</strong> group.</p>\n\
<div class=\'section\'><a id=\"polygon-vertex-colors-rollout\"></a><h2 id=\"polygon-vertex-colors-rollout\">Polygon Vertex Colors Rollout</h2></div>\n\
<p>No related <strong>properties</strong> exposed.</p>\n\
<p>For <strong>methods</strong> related to editing vertex colors, illumination and alpha of polygons, see</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#get-set-vertex-color--illumination-and-alpha\' title=\'\'>Get/Set Vertex Color, Illumination and Alpha</a></p>\n\
<div class=\'section\'><a id=\"subdivision-surface-rollout\"></a><h2 id=\"subdivision-surface-rollout\">Subdivision Surface Rollout</h2></div>\n\
<div class=\'section\'><a id=\"options\"></a><h3 id=\"options\">Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.subdivSmoothing Boolean default: true -- boolean; Smooth_Subdivision_Result\n\
</pre></div><p>Get/Set the state of the <strong>Smooth Result</strong> checkbox in the <strong>Subdivision Surface</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.surfSubdivide Boolean default: false -- boolean; Subdivide_Surface\n\
</pre></div><p>Get/Set the state of the <strong>Use NURMS Subdivisions</strong> checkbox in the <strong>Subdivision Surface</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.isolineDisplay Boolean default: true ; Isoline_Display\n\
</pre></div><p>Get/Set the Isoline Display state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.showCage Boolean default: true -- boolean; Show_Cage\n\
</pre></div><p>Get/Set the state of the <strong>Show Cage</strong> checkbox in the <strong>Subdivision Surface</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.CageColor Point3 default: [1,0.588235,0] -- point3; Cage_Color\n\
</pre></div><p>Get/Set the Cage color.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.selectedCageColor Point3 default: [0.94902,0.85098,0] -- point3; Selected_Cage_Color\n\
</pre></div><p>Get/Set the Selected Cage color.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"display-group\"></a><h3 id=\"display-group\">Display Group</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.iterations Integer default: 0 -- animatable; integer\n\
</pre></div><p>Get/Set the <strong>Subdivision Surface</strong> rollout &gt; <strong>Display</strong> group <strong>&gt; Iterations</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.surfaceSmoothness Float default: 1.0 -- animatable; float; Surface_Smoothness\n\
</pre></div><p>Get/set the <strong>Subdivision Surface</strong> rollout &gt; <strong>Display</strong> group <strong>&gt; Smoothness</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.useRenderIterations Boolean default: false -- boolean; Use_Render_Iterations\n\
</pre></div><p>Get/Set the state of the Render Iterations checkbox in the Subdivision Surface rollout.</p>\n\
<div class=\'section\'><a id=\"render-group\"></a><h3 id=\"render-group\">Render Group</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.renderIterations Integer default: 0 -- animatable; integer; Render_Iterations\n\
</pre></div><p>Get/Set the Subdivision Surface Render Iterations value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.useRenderSmoothness Boolean default: false -- boolean; Use_Render_Smoothness\n\
</pre></div><p>Get/Set the state of the Render Smoothness checkbox in the Subdivision Surface rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.renderSmoothness Float default: 1.0 -- animatable; float; Render_Smoothness\n\
</pre></div><p>Get/Set the <strong>Subdivision Surface</strong> rollout &gt; <strong>Render</strong> group &gt; <strong>Smoothness</strong> value.</p>\n\
<div class=\'section\'><a id=\"separate-by-group\"></a><h3 id=\"separate-by-group\">Separate By Group</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.sepByMats Boolean default: false -- boolean; Separate_by_Material_ID\n\
</pre></div><p>Get/Set the Separate By Materials checkbox in the Subdivision Surface rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.sepBySmGroups Boolean default: false -- boolean; Separate_by_Smoothing_Groups\n\
</pre></div><p>Get/Set the Separate By Smoothing checkbox in the Subdivision Surface rollout.</p>\n\
<div class=\'section\'><a id=\"update-options-group\"></a><h3 id=\"update-options-group\">Update Options Group</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.update Integer default: 0 -- integer; Update_Type\n\
</pre></div><p>Get/Set the Update Options state:</p>\n\
<p>0 - Always</p>\n\
<p>1 - When Rendering</p>\n\
<p>2 - Manually</p>\n\
<div class=\'section\'><a id=\"subdivision-displacement-rollout\"></a><h2 id=\"subdivision-displacement-rollout\">Subdivision Displacement Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceAngle Float default: 10.0 -- animatable; angle; Displacement_Angle\n\
</pre></div><p>Get/Set the Displace Angle</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceDistance Float default: 20.0 -- animatable; float; Displacement_Distance\n\
</pre></div><p>Get/Set the Displace Distance</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceEdge Float default: 20.0 -- animatable; float; Displacement_Edge\n\
</pre></div><p>Get/Set the Displace Edge</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceMaxLevels Integer default: 2 -- integer; Displacement_Max_Levels\n\
</pre></div><p>Get/Set the Displace Max Levels</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceMaxTris Integer default: 20000 -- integer; Displacement_Max_Triangles\n\
</pre></div><p>Get/Set the Displace Max Triangles</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceMethod Integer default: 3 -- integer; Displacement_Method\n\
</pre></div><p>Get/Set the Displace Method.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Regular</strong></p>\n\
<p>1 - <strong>Spatial</strong></p>\n\
<p>2 - <strong>Curvature</strong></p>\n\
<p>3 - <strong>Spatial and Curvature</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceMinLevels Integer default: 0 -- integer; Displacement_Min_Levels\n\
</pre></div><p>Get/Set the Displace Min Levels</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceSplitMesh Boolean default: true -- boolean; Displacement_Split_Mesh\n\
</pre></div><p>Get/Set the state of the Split Mesh checkbox in the Subdivision Displacement rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceSteps Integer default: 2 -- animatable; integer; Displacement_Steps\n\
</pre></div><p>Get/Set the Displace Steps value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.displaceStyle Integer default: 1 -- integer; Displacement_Style\n\
</pre></div><p>Get/Set the <strong>Displacement Style</strong> under <strong>Subdivision Displacement</strong> &gt; <strong>Advanced Parameters</strong></p>\n\
<p>0 - <strong>Grid</strong></p>\n\
<p>1 - <strong>Tree</strong></p>\n\
<p>2 - <strong>Delaunay</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.useSubdivisionDisplacement Boolean default: false -- boolean; Use_Displacement_Subdivision\n\
</pre></div><p>Get/Set the state of the &quot;Subdivision Displacement&quot; checkbox in the Subdivision Displacement rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.viewDependent Boolean default: false -- boolean; View_Dependent\n\
</pre></div><p>Get/Set the state of the View Dependent checkbox in the Subdivision Displacement rollout.</p>\n\
<div class=\'section\'><a id=\"paint-deformation-rollout\"></a><h2 id=\"paint-deformation-rollout\">Paint Deformation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintDeformAxis Integerdefault:1--integer;Push_Pull_Direction\n\
</pre></div><p>Get/Set the state of the Push/Pull Direction radio buttons in the Paint Deformation rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Original Normals</strong></p>\n\
<p>2 - <strong>Deformed Normals</strong></p>\n\
<p>3 - <strong>Transform Axis : X</strong></p>\n\
<p>4 - <strong>Transform Axis : Y</strong></p>\n\
<p>5 - <strong>Transform Axis : Z</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintDeformSize Float default: 20.0 -- world units; Deformation_Size\n\
</pre></div><p>Get/Set the Size of the Paint Deform brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintDeformStrength Float default: 1.0 -- float; Deformation_Strength\n\
</pre></div><p>Get/Set the Strength of the Paint Deform brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintDeformValue Float default: 10.0 -- float; Deformation_Value\n\
</pre></div><p>Get/Set the Value to be painted with.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.paintDeformMode Integer    default: 0   --  integer; Paint_Mode\n\
</pre></div><p>Get/Set the Paint Deformation mode, where:</p>\n\
<ul>\n\
<li>0 = off / disabled</li>\n\
<li>4 = Push/Pull</li>\n\
<li>5 = Relax</li>\n\
<li>6 = Revert</li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";