var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsUVWTweak : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsUVWTweak : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolsuvwtweak-globalutilityplugin\"></a></div>\n\
<p>The <strong>PolyToolsUVWTweak</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite UVW Tweaking tools.</p>\n\
<p>The functionality was first implemented inFusing different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>PolyToolsUVWTweak interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: PolyToolsUVWTweak \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>PolyToolsUVWTweak.FullStrength : integer : Read|Write \n\
</pre></div><p>Get/set the Full Strength value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsUVWTweak.Falloff : integer : Read|Write \n\
</pre></div><p>Get/set the Falloff value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsUVWTweak.Strength : float : Read|Write \n\
</pre></div><p>Get/set the Strength value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsUVWTweak.BoundryFixed : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the Fixed Boundary option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsUVWTweak.StartTool () \n\
</pre></div><p>Activates the UVWTweak tool.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsUVWTweak.EndTool () \n\
</pre></div><p>Deactivates the UVWTweak tool.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";