var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Identifying and Accessing MAXScript Classes and Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Identifying and Accessing MAXScript Classes and Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"identifying-and-accessing-maxscript-classes-and-properties\"></a></div>\n\
<p>The largest set of classes and functions in MAXScript are those that provide access to the elements in the <strong>3ds Max</strong> application and in your scene. This section has several topics that discuss the use of these <strong>3ds Max</strong>-specific classes and functions. One important family of classes is the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\' title=\'\'>MAXWrapper Value</a> class that give you access to the scene objects, lights, cameras, modifiers, controllers, materials, etc., in <strong>3ds Max</strong> scenes.</p>\n\
<p><strong>The topics in this section are:</strong></p>\n\
<ul>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/superclasses-read-only-global.html\' title=\'\'>superclasses Global Variable</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>Class and Object Inspector Functions</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/getClassInstances.html\' title=\'\'>getClassInstances Function</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Dynamic-Properties.html\' title=\'\'>Dynamic Properties</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Indexed-Access-to-Animatable.html\' title=\'\'>Indexed Access to Animatable Properties</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/AnimHandle-System.html\' title=\'\'>AnimHandle System</a></li>\n\
<li><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Third-Party-Plug-In-Classes.html\' title=\'\'>Third-Party Plug-In Classes</a></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";