var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ObjExp : ExporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ObjExp : ExporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"objexp-exporterplugin\"></a></div>\n\
<p>The <strong>ObjExp ExporterPlugin</strong> introduced in <strong>3ds Max 2010</strong> exposes an interface to access the ASCII-based INI files location and name of the exporter dialog. The settings can then be queried and modified using the regular MAXScript INI settings functions <span class=\'code\'>getIniSetting()</span> and <span class=\'code\'>setIniSetting().</span></p>\n\
<p><strong>ObjExp Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: iobjexp\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;objExp.getIniName ()\n\
</pre></div><p>Returns the name of the Obj Exporter Settings file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;objExp.getPresetIniName ()\n\
</pre></div><p>Returns the name of the Obj Exporter Preset file.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Open the INI file for editing in the MAXScript Editor edit (objexp.getIniName())</p>\n\
<p>--Alternatively, use INI file access to read and write: theINI =objimp.getIniName() getIniSettingtheINI--get INI file categories --&gt;#(&quot;General&quot;, &quot;Geometry&quot;, &quot;Material&quot;, &quot;Output&quot;, &quot;Optimize&quot;)</p>\n\
<p>--get the keys of the General category: getIniSetting theINI&quot;General&quot; --&gt;#(&quot;UseLogging&quot;, &quot;Preset&quot;, &quot;MapSearchPath&quot;)</p>\n\
<p>--get the value of the General &gt;Use Logging key: getIniSetting theINI&quot;General&quot; &quot;UseLogging&quot; --&gt;&quot;1&quot;</p>\n\
<p>--Turn Loggingoff: setIniSetting theINI&quot;General&quot; &quot;UseLogging&quot; &quot;0&quot; --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";