var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ObjImp : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ObjImp : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"objimp-importerplugin\"></a></div>\n\
<p>The <strong>ObjImp ImporterPlugin</strong> introduced in <strong>3ds Max 2010</strong> exposes an interface to access the ASCII-based INI files location and name of the exporter dialog. The settings can then be queried and modified using the regular MAXScript INI settings functions <span class=\'code\'>getIniSetting()</span> and <span class=\'code\'>setIniSetting()</span> .</p>\n\
<p><strong>ObjImp Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: iobjimp \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;objImp.getIniName ()   \n\
</pre></div><p>Returns the name of the Obj Importer Settings file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;objImp.getPresetIniName () \n\
</pre></div><p>Returns the name of the Obj Importer Preset file.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Open the INI file for editing in the MAXScript Editor edit (objimp.getIniName())</p>\n\
<p>--Alternatively, use INI file access to read and write: theINI =objimp.getIniName() getIniSetting theINI--get INI file categories --&gt;#(&quot;General&quot;, &quot;Objects&quot;, &quot;Geometry&quot;, &quot;Units/Scale&quot;, &quot;Material&quot;)</p>\n\
<p>--get the keys of the General category: getIniSetting theINI &quot;Geometry&quot; --&gt;#(&quot;FlipZyAxis&quot;, &quot;CenterPivots&quot;, &quot;Shapes&quot;, &quot;TextureCoords&quot;, &quot;SmoothingGroups&quot;, &quot;NormalsType&quot;, &quot;SmoothAngle&quot;, &quot;FlipNormals&quot;)</p>\n\
<p>--get the value of theGeometry&gt;Shapeskey: getIniSetting theINI &quot;Geometry&quot;&quot;Shapes&quot; --&gt;&quot;0&quot;</p>\n\
<p>--TurnShapes on: setIniSetting theINI &quot;Geometry&quot;&quot;Shapes&quot; &quot;1&quot; --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";