var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>sketchUp : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>sketchUp : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sketchup-importerplugin\"></a></div>\n\
<p>The legacy <strong>sketchUp</strong> Importer Plugin allows the import of Google SketchUp .SKP files (from Sketchup 2015 and lower) into <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Note: This importer is deprecated as of <strong>3ds Max 2020.2 Update</strong>, and may be removed in a future release. It is replaced by the ATF-based <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_SKETCHUP_Import.html\' title=\'\'>ATF_SKETCHUP_Import</a> importer. Since the new importer is the default for .skp files, you need to specify this importer with the <span class=\'code\'>using</span> keyword parameter to <span class=\'code\'>importFile()</span>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><div class=\'section\'><a id=\"sketchup-interfaces\"></a><h2 id=\"sketchup-interfaces\">sketchUp interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: ISketchUpImp\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"skip-hidden-objects\"></a><h3 id=\"skip-hidden-objects\">Skip Hidden Objects</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getSkipHidden ()    \n\
</pre></div><p>Returns the state of the &quot;Skip Hidden Objects&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setSkipHidden &lt;boolean&gt;bSkipHidden   \n\
</pre></div><p>Sets the state of the &quot;Skip Hidden Objects&quot; option to the supplied Boolean value.</p>\n\
<div class=\'section\'><a id=\"split-objects-by-layer\"></a><h3 id=\"split-objects-by-layer\">Split Objects By Layer</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getSplitByLayer () \n\
</pre></div><p>Returns the state of the &quot;Split Objects By Layer&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setSplitByLayer &lt;boolean&gt;bSplitByLayer \n\
</pre></div><p>Sets the state of the &quot;Split Objects By Layer&quot; option to the supplied Boolean value.</p>\n\
<div class=\'section\'><a id=\"cameras\"></a><h3 id=\"cameras\">Cameras</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getImportCameras () \n\
</pre></div><p>Returns the state of the &quot;Cameras&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setImportCameras &lt;boolean&gt;bCameras \n\
</pre></div><p>Sets the state of the &quot;Cameras&quot; option to the supplied Boolean value.</p>\n\
<div class=\'section\'><a id=\"daylight-system\"></a><h3 id=\"daylight-system\">Daylight System</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getImportDaylightSystem () \n\
</pre></div><p>Returns the state of the &quot;Daylight System&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setImportDaylightSystem &lt;boolean&gt;bDaylightSystem \n\
</pre></div><p>Sets the state of the &quot;Daylight System&quot; option to the supplied Boolean value.</p>\n\
<div class=\'section\'><a id=\"extract-embedded-textures-to-folder\"></a><h3 id=\"extract-embedded-textures-to-folder\">Extract Embedded Textures to Folder:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;getTextureFolder () \n\
</pre></div><p>Returns the texture folder path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTextureFolder &lt;String&gt;textureFolder \n\
</pre></div><p>Sets the texture folder path.</p>\n\
<div class=\'section\'><a id=\"frontback-materials-as-double-sided-3ds-max-materials\"></a><h3 id=\"frontback-materials-as-double-sided-3ds-max-materials\">Front/Back Materials as Double Sided 3ds Max Materials</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getDoubleSided () \n\
</pre></div><p>Returns the state of the &quot;Front/Back Materials as Double Sided 3ds Max Materials&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setDoubleSided &lt;boolean&gt;bDoubleSided \n\
</pre></div><p>Sets the state of the &quot;Front/Back Materials as Double Sided 3ds Max Materials&quot; option to the supplied Boolean value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";