var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: AssignVertexColors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: AssignVertexColors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-assignvertexcolors\"></a></div>\n\
<p>This Core Interface lets you assign vertex colors to any number of nodes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;AssignVertexColors.ApplyNodes &lt;node array&gt;nodes [vertexPaint:&lt;maxObject&gt;]  \n\
\n\
vertexPaint default value: undefined   \n\
</pre></div><p>Assigns vertex colors to the specified nodes array.</p>\n\
<p>If you already have a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/VertexPaint-Modifier.html\' title=\'\'>VertexPaint modifier</a> applied to the nodes and want to assign colors into the existing modifier, supply the optional VertexPaint: parameter, where MaxObject is the VertexPaint modifier and nodes is an array of nodes on which the modifier is applied, or a subset of those nodes.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";