var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: Autodesk360</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: Autodesk360</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-autodesk360\"></a></div>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Autodesk360.InitializeWebServices()\n\
</pre></div><p>Initializes the Autodesk 360 web services.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Autodesk360.GetLoginUserName()\n\
</pre></div><p>Returns the login user name as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Autodesk360.Login()\n\
</pre></div><p>Logs in the Autodesk 360 service.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Autodesk360.Logout()\n\
</pre></div><p>Logs out from the Autodesk 360 service.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Autodesk360.IsLoggedIn()\n\
</pre></div><p>Returns True if the user is logged in the Autodesk 360 service.</p>\n\
<p>Returns False if the user is not logged in.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Autodesk360.IsLoginValid()\n\
</pre></div><p>Returns True if the user Autodesk 360 login is valid, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Autodesk360.GetOxygenID()\n\
</pre></div><p>Returns the Oxygen ID as string.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";