var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BitmapLayerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BitmapLayerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-bitmaplayermanager\"></a></div>\n\
<p>This <strong>Core Interface</strong> provides access to the layered Photoshop PSD image format.</p>\n\
<div class=\'codeBlock\'><pre>Interface: BitmapLayerManager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;BitmapLayerManager.getLayerCount &lt;filename&gt;filename   \n\
</pre></div><p>Returns the number of layers in the specified file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;BitmapLayerManager.getLayerName &lt;filename&gt;filename &lt;integer&gt;index \n\
</pre></div><p>Returns the name of the indexed layer in the specified file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;BitmapLayerManager.LoadLayer &lt;filename&gt;filename &lt;integer&gt;index &lt;boolean&gt;fullframe \n\
</pre></div><p>Loads the specified <strong>0-based</strong> indexed layer from the specified file. Returns a bitmap value. If <span class=\'code\'>fullframe</span> is set to <span class=\'code\'>true</span> , loads the layer at the resolution of the full image.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --load the background layer from a PSD file test_file = sysinfo.currentdir + &quot;\\test.psd&quot; theBmp = bitmapLayerManager.LoadLayer test_file 0 true --assign a bitmap texture to the first material in the MEdit meditMaterials[1].diffusemap = bitmapTexture() --assign the PSD background layer to the diffuse slot: meditMaterials[1].diffusemap.bitmap = theBmp</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";