var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BrushPresetMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BrushPresetMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-brushpresetmgr\"></a></div>\n\
<p>This Core Interface exposes the <strong>Brush Preset Manager</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: BrushPresetMgr \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BrushPresetMgr.IsActive()   \n\
</pre></div><p>Returns true if the Brush Preset Manager is active, false if not active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BrushPresetMgr.OpenPresetMgr() \n\
</pre></div><p>Opens the Brush Preset Manager.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BrushPresetMgr.AddPreset() \n\
</pre></div><p>Adds a new Preset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BrushPresetMgr.LoadPresetFile &lt;filename&gt;file \n\
</pre></div><p>Loads the supplied Preset file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BrushPresetMgr.SavePresetFile &lt;filename&gt;file \n\
</pre></div><p>Saves a Preset file to the supplied file name.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";