var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ContainerPreferences</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ContainerPreferences</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-containerpreferences\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\' title=\'\'></div>\n\
<p>The ContainerPreferences Core Interface introduced in <strong>3ds Max 2011</strong> exposes the general <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>Container</a> preferences to MAXScript.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Containers/Containers-1.html\' title=\'\'>Containers</a> overview topic.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ContainerPreferences \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ContainerPreferences.saveAsPreviousAccessType : enum : Read|Write    \n\
\n\
saveAsPreviousAccessType enums: {#noAccess | #onlyEditInPlace | #onlyAddNewObjects | #anythingUnlocked}   \n\
</pre></div><p>Get/set the Access Type for Save As Previous container files.</p>\n\
<div class=\'codeBlock\'><pre>ContainerPreferences.displayStatusOverride : enum : Read|Write \n\
\n\
displayStatusOverrideenums: {#always|#never|#perContainer} \n\
</pre></div><p>Get/set the Display Status Override behavior.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#always</span> - always override</li>\n\
<li><span class=\'code\'>#never</span> - never override</li>\n\
<li><span class=\'code\'>#perContainer</span> - use the Container&#39;s Override property.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>ContainerPreferences.updateCheck : boolean : Read|Write \n\
</pre></div><p>Get/set whether to check for updates.</p>\n\
<div class=\'codeBlock\'><pre>ContainerPreferences.updateOnLoad : boolean : Read|Write \n\
</pre></div><p>Get/set whether to update on Load.</p>\n\
<div class=\'codeBlock\'><pre>ContainerPreferences.updateOnReload : boolean : Read|Write \n\
</pre></div><p>Get/set whether to update on Reload.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";