var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: EPolyManipGrip</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: EPolyManipGrip</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-epolymanipgrip\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EFE761AF-E6B5-49CF-B898-4AEA200B80D4-low.gif\' title=\'\'></div>\n\
<p>This Core Interface introduced in <strong>3ds Max 2011</strong> exposes methods to invoke and access the state of the Caddy (a.k.a. &quot;Grip&quot;) manipulator for various Editable Poly manipulation modes.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-Grip.html\' title=\'\'>Interface: Grip</a></p>\n\
<div class=\'codeBlock\'><pre>Interface: EPolyManipGrip\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;EPolyManipGrip.SetManipulateGrip &lt;boolean&gt;on &lt;enum&gt;gripItem    \n\
\n\
gripItem enums: {#SSFalloff | #SSBubble | #SSPinch | #SetFlow | #LoopShift \n\
| #RingShift | #EdgeCrease | #EdgeWeight | #EdgeDepth | #VertexWeight | #VertexCrease}   \n\
</pre></div><p>Enable/Disable the Caddy manipulator for the Item defined by the second argument based on the first Boolean argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;EPolyManipGrip.GetManipulateGrip &lt;enum&gt;gripItem \n\
\n\
gripItem enums: {#SSFalloff | #SSBubble | #SSPinch | #SetFlow | #LoopShift \n\
| #RingShift | #EdgeCrease | #EdgeWeight | #EdgeDepth | #VertexWeight | #VertexCrease} \n\
</pre></div><p>Returns the enabled state of the Caddy manipulator for the Item defined by the first argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";