var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FacesOrientation</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FacesOrientation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-facesorientation\"></a></div>\n\
<p>The <strong>FaceOrientation Core Interface</strong> exposes methods for interacting with the Face Orientation xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No Properties Exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;FacesOrientation.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results      \n\
\n\
Check enums: { #Failed | #Vertices | #Edges | #Faces}    \n\
results is In and Out parameter   \n\
</pre></div><p>Performs Face Orientation xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>Since the purpose of the Face Orientation check is to simply shade the backsides of all faces in the highlight color, it always returns an array of ALL faces into the results array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FacesOrientation.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Face Orientation check, it <strong>always returns false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FacesOrientation.showPropertyDlg() \n\
</pre></div><p>Shows the property dialog.</p>\n\
<p>In the particular case of the Face Orientation check this method <strong>does nothing</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E82B5EFB-B396-45A4-94CE-72EDAA6A42BB-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";