var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FlightStudioImage</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FlightStudioImage</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-flightstudioimage\"></a></div>\n\
<p>The <strong>FlightStudioImage Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> provides controls over Flight Studio image usage and compression.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImage.UseMax()     \n\
</pre></div><p>Sets Flight Studio to use the 3ds Max images.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImage.UseFlightStudio()   \n\
</pre></div><p>Sets Flight Studio to use its own images.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImage.SetCompressed &lt;boolean&gt;compression \n\
</pre></div><p>Sets the image compression or when the argument is true and off when the argument is false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioImage.GetCompressed() \n\
</pre></div><p>Returns true if image compression is on and false if it is off.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";