var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: HDIKSys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: HDIKSys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-hdiksys\"></a></div>\n\
<p>This <strong>Core Interface</strong> provides methods for creating and removing <strong>History Dependent IK Chains</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;HDIKSys.ikChain &lt;node&gt;startJoint &lt;node&gt;endJoint &lt;boolean&gt;createEndEffector     \n\
</pre></div><p>Creates an IK chain from the given start joint to the given end joint node.</p>\n\
<p>If <span class=\'code\'>createEndEffect:</span> is true, an end effector will be created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;HDIKSys.RemoveChain &lt;node&gt;chainNode   \n\
</pre></div><p>Calling this method on the driver controller causes all drvien controllers in the chain to be replaced with default transform controllers (PRS).</p>\n\
<p>This method will support undo if it is enabled but will not turn undo on.</p>\n\
<p>This method does not cause viewports to be redrawn.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";