var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: heightManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: heightManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-heightmanager\"></a></div>\n\
<p>The <strong>heightManager Core Interface</strong> allows certain objects (Lights) in <strong>VIZ 2006 and higher</strong> to be created at a pre-defined Z height. This interface only manages the height values, the actual creation at custom Z-height is implemented by the Light-creating MacroScripts which access heights from this interface and perform the real work.</p>\n\
<div class=\'codeBlock\'><pre>Interface:heightManager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;heightManager.customizeHeights()   \n\
</pre></div><p>Opens the Heights customization dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;heightManager.setCurrentHeightIndex &lt;index&gt;index \n\
\n\
index Validated by Validator function\n\
</pre></div><p>Sets the current Height index to the supplied index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;heightManager.getHeight &lt;index&gt;index \n\
\n\
index Validated by Validator function\n\
</pre></div><p>Returns the Height value corresponding to the supplied index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;heightManager.getCurrentHeightIndex() \n\
</pre></div><p>Returns the current Height index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;heightManager.getNumHeights() \n\
</pre></div><p>Returns the number of Height values available.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;heightManager.getHeightString &lt;index&gt;index \n\
\n\
index Validated by Validator function\n\
</pre></div><p>Returns the String of the Height value with the supplied index.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";