var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MeshINI</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MeshINI</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-meshini\"></a></div>\n\
<p>The <strong>MeshINI</strong> available in <strong>3ds Max 2018 and higher</strong> exposes a single method for changing the DefaultAttachMappingClear INI file setting that manages how vertex channel data is set when objects are attached.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt;SetAttachDefaultClearMapChannel &lt;boolean&gt;clear\n\
</pre></div><p>By default, objects are attached using planar mapping with the vertex channel set to white. In some cases, this can cause unwanted effects to existing mapping or vertex color changes. To change this behavior call <span class=\'code\'>MeshINI.SetAttachDefaultClearMapChannel true</span>.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";