var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MultipleEdges</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MultipleEdges</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-multipleedges\"></a></div>\n\
<p>The <strong>MultipleEdges Core Interface</strong> exposes methods for interacting with the Multiple Edges xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;MultipleEdges.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results     \n\
\n\
Check enums: {#Failed|#Vertices|#Edges|#Faces}   \n\
results is In and Out parameter   \n\
</pre></div><p>Performs a Multiple Edges xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method itself <strong>always</strong> returns the <span class=\'code\'>#edges</span> enum because the Multiple Edges check only checks edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MultipleEdges.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Multiple Edges checker, it <strong>always returns false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MultipleEdges.showPropertyDlg() \n\
</pre></div><p>Shows the property dialog of the xView checker, if implemented.</p>\n\
<p>In the particular case of the Multiple Edges checker this method <strong>does nothing</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";