var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: msZip</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: msZip</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-mszip\"></a></div>\n\
<p>The <strong>msZip Core Interface</strong> provides methods to handle zip packages using MAXScript.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;msZip.fileInPackage &lt;filename&gt;fileName &lt;&amp;string&gt;extractDir      \n\
\n\
extractDir is In and Out parameter   \n\
</pre></div><p>This method will unload and run a zip package and return the extract_dir. Returns <span class=\'code\'>true</span> if the zip package was run, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;filename&gt;fileName:</span> The file name of the ZIP script package.</p>\n\
<p><span class=\'code\'>&lt;&amp;string&gt;extractDir:</span> The directory in which the files were extracted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;msZip.unloadPackage &lt;filename&gt; fileName &lt;&amp;string&gt;extractDir &lt;&amp;string&gt;dropFile \n\
\n\
extractDir is In and Out parameter \n\
dropFile is In and Out parameter \n\
</pre></div><p>This method will unload the package while ignoring any drop or run commands and return the extract_dir and any primary drop file. If the primary dropFile is a *.ds, compile it in context of the package and return the MacroEntry in dropScript. Returns <span class=\'code\'>true</span> if the package was unloaded, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;filename&gt;fileName:</span> The file name of the ZIP script package.</p>\n\
<p><span class=\'code\'>&lt;&amp;string&gt;extractDir:</span> The directory in which the files were extracted.</p>\n\
<p><span class=\'code\'>&lt;&amp;string&gt;dropFile:</span> The primary drop file.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";