var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: NetworkLicenseStatusManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: NetworkLicenseStatusManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-networklicensestatusmanager\"></a></div>\n\
<p>The <strong>NetworkLicenseStatusManager</strong> Core Interface introduced in <strong>3ds Max 2011</strong> exposes methods for control and query the Network License Status Manager.</p>\n\
<div class=\'codeBlock\'><pre>Interface: NetworkLicenseStatusManager \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>NetworkLicenseStatusManager.minimumIdleDuration : float : Read|Write|Validated by Range: 120.0 to 10000.0    \n\
</pre></div><p>Get/set the minimum idle duration value.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NetworkLicenseStatusManager.IsBusy()   \n\
</pre></div><p>Returns true if the Network License Status Manager is busy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;NetworkLicenseStatusManager.SetBusy() \n\
</pre></div><p>Sets the Network License Status Manager to busy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;NetworkLicenseStatusManager.Lock() \n\
</pre></div><p>Sets the Network License Status Manager to locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;NetworkLicenseStatusManager.Unlock() \n\
</pre></div><p>Sets the Network License Status Manager to unlocked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NetworkLicenseStatusManager.IsLocked() \n\
</pre></div><p>Returns true if the Network License Status Manager is locked, false of it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NetworkLicenseStatusManager.IsPaused() \n\
</pre></div><p>Returns true if the Network License Status Manager is paused, false of it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;NetworkLicenseStatusManager.GetLastStampDuration() \n\
</pre></div><p>Returns the last stamp duration.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";