var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: OGSDiagnostics</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: OGSDiagnostics</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-ogsdiagnostics\"></a></div>\n\
<p>This Core Interface provides diagnostics for the Nitrous Graphics System.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> Interface: OGSDiagnostics\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>OGSDiagnostics.HardwareReport : string : Read\n\
</pre></div><p>Contains a string with hardware-related diagnostics information.</p>\n\
<p>Read-only.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` OGSDiagnostics.HardwareReport</p>\n\
<p>&quot;////////////////////////////////////////////////////////////////////////////// ////////// Nitrous Hardware Report ////////////////////////////////////////////////////////////////////////////// 0: [X]NVIDIA GeForce GTX 285 \\.\\DISPLAY1 ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";