var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: particleFlowUtility</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: particleFlowUtility</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-particleflowutility\"></a></div>\n\
<p>The <strong>particleFlowUtility Core Interface</strong> is included in <strong>3ds Max 2010 and higher</strong> mainly for backwards compatibility with scripts written for use with the Orbaz Particle Flow Tools Box #1.</p>\n\
<p>The same functionality is now implemented by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\' title=\'\'>particleFlow Global Interface_TOPIC_1271</a> and is exposed directly in the Particle View menu.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;particleFlowUtility.cleanUpParticleFlow &lt;boolean&gt;doReport   \n\
</pre></div><p>Cleans up the Particle Flow by removing unused items.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of &quot;dirty&quot; Particle Flow items removed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;particleFlowUtility.repairCacheSystem &lt;boolean&gt;doReport   \n\
</pre></div><p>Resets the Particle View.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;particleFlowUtility.synchronizeLayers &lt;boolean&gt;doReport \n\
</pre></div><p>Moves Particle Flow items to the same layer as the Particle Flow Emitter object.</p>\n\
<p>When a Particle Flow Emitter object is moved to another layer via the Layer Manager, other related objects like all Particle Flow Operator Helpers and some internal objects are not moved to the same layer automatically. This can cause the flow to misbehave for example if a layer is turned off.</p>\n\
<p>This method performs the synchronization to ensure all objects are on the same layer.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of synchronized layers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;particleFlowUtility.resetParticleView() \n\
</pre></div><p>Repairs the Cache System.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;particleFlowUtility.presetManager() \n\
</pre></div><p>Opens the Preset Manager dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";