var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: RingArray</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: RingArray</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-ringarray\"></a></div>\n\
<p>The <strong>RingArray Core Interface</strong> exposes a creation method for the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/System-Node/RingArray-System.html\' title=\'\'>RingArray System</a>.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;RingArray.Create posOrigin:&lt;point3&gt; numNodes:&lt;integer&gt; amplitude:&lt;float&gt; radius:&lt;float&gt; cycles:&lt;float&gt; phase:&lt;float&gt;\n\
       posOrigin default value: [0,0,0]\n\
       numNodes default value: 4\n\
       numNodes Validated by Range: 1 to 200\n\
       amplitude default value: 20.0\n\
       amplitude Validated by Range: 0.0 to 500.0\n\
       radius default value: 100.0\n\
       radius Validated by Range: 0.0 to 500.0\n\
       cycles default value: 3.0\n\
       cycles Validated by Range: 0.0 to 10.0\n\
       phase default value: 1.0\n\
       phase Validated by Range: -1000.0 to 1000.0\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";