var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: renderMessageManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: renderMessageManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-rendermessagemanager\"></a></div>\n\
<p>The <strong>renderMessageManager</strong> Core Interface introduced in <strong>3ds Max 2011</strong> exposes the Render Message window to MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Interface: renderMessageManager \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.OpenOnError : boolean : Read|Write      \n\
</pre></div><p>Get/set whether to open the Render Message window when an error occurs in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.ShowInfoMessage : boolean : Read|Write   \n\
</pre></div><p>Get/set whether to show info level messages in the Render Message window.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.ShowProgressMessage : boolean : Read|Write \n\
</pre></div><p>Get/set whether to show progress level messages in the Render Message window.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.LogDebugMessage : boolean : Read|Write \n\
</pre></div><p>Get/set whether to show debug level messages in the Render Message window.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.LogFilename : string : Read|Write \n\
</pre></div><p>Get/set the name of the file to write the log to.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.LogFileON : boolean : Read|Write \n\
</pre></div><p>Get/set whether to save the log to the log file or not.</p>\n\
<div class=\'codeBlock\'><pre>renderMessageManager.LogFileAppend : boolean : Read|Write \n\
</pre></div><p>Get/set whether to append to the file specified by the <span class=\'code\'>.LogFilename</span> property, or to overwrite any existing log file.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderMessageManager.OpenWindow() \n\
</pre></div><p>Opens the Render Message window.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;renderMessageManager.HideWindow() \n\
</pre></div><p>Hides the Render Message window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;renderMessageManager.ClearWindow() \n\
</pre></div><p>Clears the Render Message window.</p>\n\
<p>This does not affect the log file if logging to file is enabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";