var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SceneExposureControl</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SceneExposureControl</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-sceneexposurecontrol\"></a></div>\n\
<p>This is a Core Interface providing access to the Exposure Control accessible through the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<p>It can be used to set the Exposure Control (also know as ToneOperator) object to control the exposure applied to the scene in the renderer and in the viewports.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>SceneExposureControl.exposureControl : maxObject : Read|Write|Validated by Validator function    \n\
</pre></div><p>Get/Set the Exposure Control for the scene. Returns undefined if there is no plug-in registered.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";