var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SceneRadiosity</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SceneRadiosity</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-sceneradiosity\"></a></div>\n\
<p>This is a Core Interface providing access to the Advanced Lighting panel in <strong>3ds Max 5 and higher</strong>. It lets the user assign a new radiosity plug-in and open/close/minimize the panel.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>SceneRadiosity.radiosity : maxObject : Read|Write|Validated by Validator function    \n\
</pre></div><p>Get/Set the radiosity plug-in. Returns undefined if there is no plug-in registered.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneRadiosity.showPanel()   \n\
</pre></div><p>Opens the radiosity panel.</p>\n\
<p>Note: The radiosity panel is disabled from MAXScript when there are no radiosity plug-ins registered. In this case the SceneRadiosity. <span class=\'code\'>showPanel()</span> function published method doesn&#39;t do anything.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneRadiosity.closePanel() \n\
</pre></div><p>Close the radiosity panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneRadiosity.minimizePanel() \n\
</pre></div><p>Minimize the radiosity panel.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";