var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: s3dexporter</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: s3dexporter</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-s3dexporter\"></a></div>\n\
<p>The <strong>s3dexporter Core Interface</strong> exposes the Shockwave 3D Exporter to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface: s3dexporter \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;s3dexporter.preview()   \n\
</pre></div><p>Corresponds to pressing the <strong>Preview</strong> button in the Shockwave 3D exporter dialog, creating a preview of the scene to be exported to Shockwave 3D.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;s3dexporter.analyze() \n\
</pre></div><p>Corresponds to pressing the <strong>Analyze</strong> button in the Shockwave 3D exporter dialog, performing analysis and displaying statistics about the scene to be exported to Shockwave 3D.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;s3dexporter.authcheck() \n\
</pre></div><p>Calling this method corresponds to pressing the <strong>Author Check</strong> button in the Shockwave 3D exporter dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F65CA8ED-22BF-441A-9062-29D317CAD844-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";