var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: UtilityPanel</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: UtilityPanel</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-utilitypanel\"></a></div>\n\
<blockquote>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Interfaces-1.html\' title=\'\'>Interfaces</a> &gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-1.html\' title=\'\'>Core Interfaces</a> &gt; UtilityPanel</p>\n\
</blockquote>\n\
<p>This Core Interface lets you open and close Utility Plug-ins in the Utilities Tab.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;UtilityPanel.OpenUtility &lt;class&gt;ClassName   \n\
</pre></div><p>Switches the control panel to the Utility Panel and opens the specified utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;UtilityPanel.CloseUtility()   \n\
</pre></div><p>Closes a modal (bound to panel) utility. Does not close modeless utilities.</p>\n\
<p>If the Utilities tab is currently not displayed in the Command panel, the utility will still be closed.</p>\n\
<p>Returns <span class=\'code\'>true</span> if successful, <span class=\'code\'>false</span> if not.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Open the MAXScript utility in the Utilities panel UtilityPanel.OpenUtility MAXScript True --Close any utility currently open in the Utilities panel UtilityPanel.CloseUtility() OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>To get an array of the installed utility classes, use <strong>utilityplugin.classes</strong></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Print the available utility classes to the Listener print utilityplugin.classes Link_Inheritance__Selected Instance_Duplicate_Maps PhysX_Debug_Visualizer PopRefUtil MAXScript Surface_Approximation Substitute_Manager Level_of_Detail IFL_Manager COM_DCOM_Server_Control Particle_Flow_Utility Fix_Ambient Polygon_Counter Camera_Tracker MACUtilities Visual_MAXScript Strokes Clone_and_Align_Tool Flight_Studio Follow_Bank Channel_Info SkinUtilities PythonHost Resource_Collector Panorama_Exporter Batch_ProOptimizer RayFX Object_Display_Culling UVW_Remove Camera_Match Clean_MultiMaterial Measure HairMaxUtility Assign_Vertex_Colors MAX_File_Finder Motion_Capture ShineExp Scene_Effect_LoaderUtilityPlugin Scene_State_Manager Shape_Check BevelProfileUtilityInterface Perspective_Match GameExporter Reset_XForm Color_Clipboard File_Link_Manager Bitmap_Photometric_Paths Batch_Render_Manager Rescale_World_Units collapse</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";