var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ProSound Extension</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ProSound Extension</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"prosound-extension\"></a></div>\n\
<p><strong>ProSound</strong> introduced in <strong>3ds Max 2010</strong> is an advanced SoundClass object supporting up to 100 sound tracks.</p>\n\
<p>It can be used in place of the DefaultSoundClassobject that has been shipping with <strong>3ds Max</strong> since its first release.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Sound-Class-MAXWrapper/ProSound-SoundClass.html\' title=\'\'>ProSound:SoundClass object</a> exposes a large number of MAXScript functions for controlling its settings.</p>\n\
<p>Before <strong>ProSound</strong> can be used, it has to be initialized first. This is done by calling the function <span class=\'code\'>&#39;</span>prosound.init true<span class=\'code\'>&#39;</span>.</p>\n\
<p>This ensures that ProSound is loaded and that all required values are initialized.</p>\n\
<p>The argument to the <span class=\'code\'>prosound.init()</span> function preserves any sound file already assigned to the Standard Sound Object that is being replaced by ProSound.</p>\n\
<p>The script below will list the audio files that are loaded in ProSound.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE SCRIPT:</strong></p>\n\
<p>``` if not prosound.isactive() do prosound.init true tracks =prosound.numtracks() for i = 1 to tracks do ( fname =prosound.name(i) print (if fname !=&quot;&quot; then fname else &quot;Filename Error&quot;) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";