var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATLimbData2 : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATLimbData2 : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catlimbdata2-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATLimbData2 : ReferenceTarget {6e4253a3,7ffa3373} \n\
</pre></div><p>This object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>Prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><span class=\'code\'>CATLimbData2 : FloatController</span></strong> with the same ClassID.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATLimbData2\n\
LimbData2       \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CATLimbData2&gt;.Hub : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans controller</a> of the Hub the Limb is connected to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATLimbData2&gt;.LimbColour : color\n\
</pre></div><p>Get/set the Limb Color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATLimbData2&gt;.LimbID : index \n\
</pre></div><p>Contains the Limb ID index.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATLimbData2&gt;.NumBones : integer \n\
</pre></div><p>Get/set the number of bones in the Limb.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATLimbData2&gt;.Bones: maxObject array \n\
</pre></div><p>Get/set the array of bones in the Limb.</p>\n\
<div class=\'section\'><a id=\"catlimbdata2-interfaces\"></a><h2 id=\"catlimbdata2-interfaces\">CATLimbData2 interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:LimbFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LimbFPInterface.html\' title=\'\'>Interface: LimbFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:ICATControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:CATGroupManagerFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>Interface: CATGroupManagerFPInterface</a> for properties and methods.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";