var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATSpineData2 : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATSpineData2 : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catspinedata2-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATSpineData2 : ReferenceTarget {1d473a0e,3b151c9d} \n\
</pre></div><p>This object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>In versions prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><span class=\'code\'>CATSpineData2 : FloatController</span></strong> with the same ClassID and properties.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATSpineData2    \n\
SpineData2 \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.BaseHub(TipController) : maxObject \n\
</pre></div><p>Get/set the HubTrans controller defining the base of theSpine.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.TipHub(TipController) : maxObject \n\
</pre></div><p>Get/set the HubTrans controller defining the tip of theSpine.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.SpineID: index \n\
</pre></div><p>Contains the ID of the Spine.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.NumBones: integer \n\
</pre></div><p>Get/set the number of bones in the Spine.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.Bones: maxObject array \n\
</pre></div><p>Contains an array of all <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\' title=\'\'>CATSpineTrans2 controllers</a> in the Spine.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.SpineWeight: float \n\
</pre></div><p>Get/set the Spine Weigth value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATSpineData2&gt;.ProjectionVector: matrix3 \n\
</pre></div><p>Contains the Projection Vector of the Spine.</p>\n\
<div class=\'section\'><a id=\"catspinedata2-interfaces\"></a><h2 id=\"catspinedata2-interfaces\">CATSpineData2 interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ICATControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:CATGroupManagerFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>Interface: CATGroupManagerFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface:SpineFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-SpineFPInterface.html\' title=\'\'>Interface: SpineFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";