var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATFootLift : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATFootLift : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catfootlift-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATFootLift : FloatController {2a234435,750465f5} \n\
</pre></div><p>This is a CATMotion Controller used in the animation of feet in <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4EEBFFD2-43F8-4E62-974D-3A3F430FCE64-low.gif\' title=\'\'></div>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATFootLift FootLift \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.CATBranch : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;. LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.Amount : float\n\
</pre></div><p>Get/set the foot lift amount.</p>\n\
<div class=\'section\'><a id=\"foot-lift-tangent\"></a><h2 id=\"foot-lift-tangent\">Foot Lift Tangent</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.LiftTangent : float\n\
</pre></div><p>Get/set the foot lift tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.LiftTanLength (LiftTanLen) : float\n\
</pre></div><p>Get/set the foot lift tangent length value.</p>\n\
<div class=\'section\'><a id=\"foot-peak-tangent\"></a><h2 id=\"foot-peak-tangent\">Foot Peak Tangent</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PeakTangent : float\n\
</pre></div><p>Get/set the peak tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PeakInTanLength (PeakInTanLen) : float\n\
</pre></div><p>Get/set the peak in tangent length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PeakOutTanLength (PeakOutTanLen) : float\n\
</pre></div><p>Get/set the peak out tangent length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PeakTime : float\n\
</pre></div><p>Get/set the peak time value.</p>\n\
<div class=\'section\'><a id=\"foot-plant-tangent\"></a><h2 id=\"foot-plant-tangent\">Foot Plant Tangent</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PlantTangent : float\n\
</pre></div><p>Get/set the plant tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootLift&gt;.PlantTanLength (PlantTanLen) : float\n\
</pre></div><p>Get/set the plant tangent length value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";