var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATHierarchyRoot : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATHierarchyRoot : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cathierarchyroot-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATHierarchyRoot : FloatController {507514e5,30b07fad} \n\
</pre></div><p>This Controller is a component of the CAT Motion Controllers Hierarchy of<strong>3ds Max CAT</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-ADC3E492-808A-4E58-A320-36C278BCC4F3-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Branches (Layer) : float array   \n\
</pre></div><p>Contains the array of branches (layers) of the Root controller.</p>\n\
<p>Accessing the .controller property of each array element returns the respective <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>CATHierarchyBranch controller</a>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.BranchNames (LayerNames) : string array \n\
</pre></div><p>Get/set the array of names of the Root controller&#39;s branches.</p>\n\
<p>Setting the arrays or the array&#39;s elements will rename the branches of the root controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Expanable : integer \n\
</pre></div><p>Get/set the expandable property of the Root controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.BranchParent : maxObject \n\
</pre></div><p>Contains the parent controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.BranchIndex : integer \n\
</pre></div><p>Contains the branch index.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.BranchOwner : maxObject \n\
</pre></div><p>Contains the Branch owner controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Weights : float \n\
</pre></div><p>Contains the Weights subAnim.</p>\n\
<p>Accessing the .controller property returns the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyLeaf-FloatController.html\' title=\'\'>CATHierarchyLeaf controller</a> of the Weights track.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.CATParent : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a> object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.PathNode (PAth_Node) : node \n\
</pre></div><p>Get/set the Path Node used to force the CATMotion animation to follow an animated object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.GroundNode (Ground_Node) : node \n\
</pre></div><p>Get/set the Ground Node used to force the CATMotion animation to run on a terrain.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.PathFacingRatio : float \n\
</pre></div><p>Get/set the Path facing ratio.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.CATMotionFlags : integer \n\
</pre></div><p>Get/set the CATMotion flags value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Retargetting : float \n\
</pre></div><p>Get/set the retargeting value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.ActiveLeaf : integer \n\
</pre></div><p>Get/set the active leaf index.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A6A9447E-6040-4EAF-A1D6-6ECDA899EF0C-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.StartTime : float \n\
</pre></div><p>Get/set the CATMotion&#39;s Start Time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.EndTime float \n\
</pre></div><p>Get/set the CATMotion&#39;s End Time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.MaxStepTime float \n\
</pre></div><p>Get/set the max. step time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.MaxStepLength float \n\
</pre></div><p>Get/set the Max Stride Length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Direction float \n\
</pre></div><p>Get/set the Direction value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.Gradient float \n\
</pre></div><p>Get/set the Gradient value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.WalkMode: integer \n\
</pre></div><p>Get/set the Walk Mode value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Walk On Spot</p>\n\
<p>1 - Walk On Line</p>\n\
<p>2 - Walk On Path Node</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.StepEase float \n\
</pre></div><p>Get/set the Step Ease value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.DistCovered float \n\
</pre></div><p>Contains the covered distance value.</p>\n\
<p>Use the .updateDistCovered() method exposed by the CATMotion Functions interface to force a refresh of the data.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyRoot&gt;.CATMotionHub : maxObject \n\
</pre></div><p>Contains the Rig&#39;s Hub.</p>\n\
<div class=\'section\'><a id=\"cathierarchyroot-interfaces\"></a><h2 id=\"cathierarchyroot-interfaces\">CATHierarchyRoot interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:CATMotion Functions \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATMotion-Functions.html\' title=\'\'>Interface: CATMotion Functions</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";