var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATLiftOffset : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATLiftOffset : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catliftoffset-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATLiftOffset : FloatController {3c2e5b6c,73235cd8} \n\
</pre></div><p>This is a CATMotion Controller used to control the lift offset in <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATLiftOffset ... CAT_LiftOffset ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftOffset&gt;.CATBranch : maxObject\n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftOffset&gt;.LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftOffset&gt;.LiftValue : float\n\
</pre></div><p>Get/set the Lift value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftOffset&gt;.PlantValue : float\n\
</pre></div><p>Get/set the Plant value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";