var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATLiftPlantMod : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATLiftPlantMod : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catliftplantmod-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATLiftPlantMod : FloatController {46606abf,2d3676} \n\
</pre></div><p>This is a CATMotion controller used in the animation of Limbs in <strong>3ds Max CAT</strong>.</p>\n\
<p>Other controllers used for CATMotion Limb Animation include <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATKneeAngle-FloatController.html\' title=\'\'>CATKneeAngle : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATLegWeight-FloatController.html\' title=\'\'>CATLegWeight : FloatController</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F3922BC0-67F3-42D7-BFE8-69C3DBF782EF-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATLiftPlantMod CAT_LiftPlantMod \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftPlantMod&gt;.LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftPlantMod&gt;.CATBranch : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftPlantMod&gt;.CATMotionLimb : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATMotionLimb-FloatController.html\' title=\'\'>CATMotionLimb</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLiftPlantMod&gt;.LiftPlantRatio : float\n\
</pre></div><p>Get/set the Lift Plant Ratio value of the controller.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";