var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CATGroupManagerFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CATGroupManagerFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-catgroupmanagerfpinterface\"></a></div>\n\
<p>Exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>Provides access to the number of bones and individual bones in the CAT Group.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-catgroupmanagerfpinterface-1\"></a><h2 id=\"interface-catgroupmanagerfpinterface-1\">Interface: CATGroupManagerFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.NumBones : integer : Read|Write\n\
</pre></div><p>Get/set the number of bones in the CAT Group.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetBone &lt;index&gt;index\n\
</pre></div><p>Returns the Interface to the indexed bone in the CAT Group.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2ReferenceTarget : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATSpineData2-ReferenceTarget.html\' title=\'\'>CATSpineData2ReferenceTarget ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/DigitData-ReferenceTarget.html\' title=\'\'>DigitDataReferenceTarget : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/TailData2-ReferenceTarget.html\' title=\'\'>TailData2 : ReferenceTarget</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";