var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CATObjectFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CATObjectFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-catobjectfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATBone-GeometryClass.html\' title=\'\'>CATBone : GeometryClass</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/HubObject-GeometryClass.html\' title=\'\'>HubObject : GeometryClass</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interfacecatobjectfpinterface\"></a><h2 id=\"interfacecatobjectfpinterface\">Interface:CATObjectFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.TMController: control : Read    \n\
</pre></div><p>Contains the transformation controller of the HubObject.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.UseCustomMesh: boolean : Read|Write   \n\
</pre></div><p>Get/set whether to use the default bone geometry or the custom mesh. (See below for a method for assigning a custom mesh to the bone).</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;CopyMeshFromNode &lt;node&gt;node \n\
</pre></div><p>Copies the geometry of the specified node as the custom mesh of the HubObject.</p>\n\
<p>When .UseCustomMesh is set to true, the HubObject will display the assigned mesh.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;PasteRig &lt;object&gt;pasteobject &lt;boolean&gt;mirrordata \n\
</pre></div><p>Pastes the rig settings from the object provides as first argument.</p>\n\
<p>The second argument controls whether to mirror the data.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATBone-GeometryClass.html\' title=\'\'>CATBone : GeometryClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/HubObject-GeometryClass.html\' title=\'\'>HubObject : GeometryClass</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";