var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ExtraRigNodesInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ExtraRigNodesInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-extrarignodesinterface\"></a></div>\n\
<p>Exposed by various components of <strong>3ds Max CAT</strong>. Please see the Exposed by section at the bottom of the page.</p>\n\
<div class=\'section\'><a id=\"interfaceextrarignodesinterface\"></a><h2 id=\"interfaceextrarignodesinterface\">Interface:ExtraRigNodesInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ExtraRigNodes: node byvaluearray : Read|Write   \n\
</pre></div><p>Get/set the number of extra rig nodes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddExtraRigNodes &lt;node by value array&gt;nodes   \n\
</pre></div><p>Adds an array of one or more Extra Rig Nodes to the CATRig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;RemoveExtraRigNodes &lt;node by value array&gt;nodes \n\
</pre></div><p>Removes the array of one or more Extra Rig Nodes from the CATRig.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\' title=\'\'>CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\' title=\'\'>CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\' title=\'\'>CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\' title=\'\'>CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\' title=\'\'>CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\' title=\'\'>IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\' title=\'\'>PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\' title=\'\'>TailTrans : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";