var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: HubFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: HubFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-hubfpinterface\"></a></div>\n\
<p>This Interface is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans Controller</a> of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-hubfpinterface-1\"></a><h2 id=\"interface-hubfpinterface-1\">Interface: HubFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.PinHub: boolean : Read|Write    \n\
</pre></div><p>Get/set the Hub Pin state.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapsePoseToCurLayer() \n\
</pre></div><p>Collapses the poste to the current layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapseTimeRangeToCurrLayer &lt;time&gt;StartTime &lt;time&gt;EndTime &lt;time&gt;Frequency \n\
</pre></div><p>Collapses to the current layer the time range defined by the first and second arguments using sampling frequency provided by the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AddArm AddCollarbone:&lt;boolean&gt;  AddPalm:&lt;boolean&gt; \n\
\n\
AddCollarbone default value: true\n\
AddPalmdefaultvalue: true\n\
 \n\
</pre></div><p>Adds an Arm to the Hub.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AddLeg  AddCollarbone:&lt;boolean&gt;  AddAnkle:&lt;boolean&gt; \n\
\n\
AddCollarbonedefault value: false\n\
AddAnkledefaultvalue: true\n\
 \n\
</pre></div><p>Adds an Leg to the Hub.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AddSpine NumBones:&lt;integer&gt; \n\
\n\
NumBonesdefaultvalue: 5\n\
 \n\
</pre></div><p>Adds a Spine to the Hub.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AddTail NumBones:&lt;integer&gt; \n\
\n\
NumBonesdefaultvalue: 5\n\
 \n\
</pre></div><p>Adds a Tail to the Hub.</p>\n\
<p>If the optional NumBones keyword argument is supplied, the tail will contain the specified number of bones. If the argument is not supplied, it will default to 5.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";