var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LayerInfoFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LayerInfoFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-layerinfofpinterface\"></a></div>\n\
<p>This interface is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo : FloatController</a> , <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\' title=\'\'>CATMotionLayer : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/MocapLayer-FloatController.html\' title=\'\'>MocapLayer : FloatController</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-layerinfofpinterface-1\"></a><h2 id=\"interface-layerinfofpinterface-1\">Interface: LayerInfoFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.LayerName:Stringby value : Read|Write   \n\
</pre></div><p>The name of the layer as it appears in the LayerManager rollout.</p>\n\
<div class=\'codeBlock\'><pre>.LayerColour: color by value : Read|Write   \n\
</pre></div><p>The color of the layer. This is the valueused to colorizethe CATRig when &quot;Colour Modes&quot; is set to &#39;Layer Colours&#39;</p>\n\
<div class=\'codeBlock\'><pre>.LayerType:Stringby value : Read \n\
</pre></div><p>Use this to find out what type of layer this LayerInfo controller is maintaining.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.LayerEnabled: boolean : Read|Write \n\
</pre></div><p>Enable/disable the layer.</p>\n\
<div class=\'codeBlock\'><pre>.TransformNodeOn: boolean : Read|Write \n\
</pre></div><p>This property lets you to turn the transform node on and of, or to check the current state of the transformnode button.</p>\n\
<div class=\'codeBlock\'><pre>.RemoveDisplacement: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the Remove Displacement option.</p>\n\
<div class=\'codeBlock\'><pre>.LayerIndex: index : Read \n\
</pre></div><p>The index of this layer in the Layer stack. An index of 1 means the very top of the layer stack.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.CATParent: node : Read \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent node</a>.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;node&gt;GetTransformNode() \n\
</pre></div><p>Returns the INode for the transform node if it is currently created.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\' title=\'\'>CATMotionLayer : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/MocapLayer-FloatController.html\' title=\'\'>MocapLayer : FloatController</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";