var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SpineFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SpineFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-spinefpinterface\"></a></div>\n\
<p>Exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-spinefpinterface-1\"></a><h2 id=\"interface-spinefpinterface-1\">Interface: SpineFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.BaseHub : Interface : Read\n\
</pre></div><p>Get the Base Hub Interface.</p>\n\
<div class=\'codeBlock\'><pre>.TipHub : Interface : Read\n\
</pre></div><p>Get the Tip Hub Interface.</p>\n\
<div class=\'codeBlock\'><pre>.SpineFK : boolean : Read|Write\n\
</pre></div><p>Get/set the Spine FK state.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetAbsRel &lt;time&gt;time &lt;float&gt;value\n\
</pre></div><p>Set the Absolute/Relative state at the specified time to the given Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetAbsRel &lt;time&gt;time &lt;&amp;interval&gt;value\n\
\n\
value is In and Out parameter\n\
</pre></div><p>Returns the Absolute/Relative Float value at the given time.</p>\n\
<p>The second by-reference argument will be filled in with the interval.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";