var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IKTarget : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IKTarget : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"iktarget-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>IKTarget : helper {67a52f20,2eac1b81} \n\
</pre></div><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constrcutor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>IKTarget IKTargetObj \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;IKTarget&gt;.controller: maxObject \n\
</pre></div><p>Contains the transformation controller of the IKTarget, e.g. a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\' title=\'\'>CATFootTrans2 : Matrix3Controller</a> of a leg&#39;s IKTarget.</p>\n\
<div class=\'codeBlock\'><pre> &lt;IKTarget&gt;.cross: boolean \n\
</pre></div><p>Get/set the display mode of the IKTarget in the viewport.</p>\n\
<p>When set to true, the IKTarget will be displayed as a cross.</p>\n\
<p>When set to false, the IKTarget will be displayed as a platform (typical for legs IK).</p>\n\
<p>Corresponds to the radio buttons Cross/Platform in the modify panel rollout of the object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;IKTarget&gt;.Length: float \n\
</pre></div><p>Get/set the length of the IKTarget when set to display as Platform (see above).</p>\n\
<p>When set to display as a cross, this property has no effect.</p>\n\
<div class=\'codeBlock\'><pre> &lt;IKTarget&gt;.Width: float \n\
</pre></div><p>Get/set the width of the IKTarget when set to display as Platform, or the size of the cross when set to display as a cross.</p>\n\
<div class=\'codeBlock\'><pre> &lt;IKTarget&gt;.CATUnits: worldUnits \n\
</pre></div><p>Contains the [<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/About-CATUnit-Ratio.html\' title=\'\'>CATUnits Ratio</a>] of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";