var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Muscle_Strand : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Muscle_Strand : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"muscle_strand-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Muscle_Strand - superclass: helper; super-superclass:node - 10:10 - classID: #(131020930, 1206916674) \n\
</pre></div><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Muscle_Strand... MuscleStrand... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below\"></a><h2 id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below\">The following properties are actually exposed by the Interfaces below:</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.CurrentLength Float default: -4.31602e+008 -- float;   \n\
</pre></div><p>Contains the current length of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.CurrentScale Float default: 1.0 -- float; \n\
</pre></div><p>Contains the current scale of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.DefaultLength Float default: 0.0 -- float; \n\
</pre></div><p>Get/set the default length of the Muscle Strand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.Handles Array default: #($Muscle_Handle:Muscle Strand001M_Start @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_StartHdl @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_End @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_EndHdl @ [0.000000,0.000000,0.000000]) -- node by value array; \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/Muscle_Handle-Helper.html\' title=\'\'>Muscle_Handle objects</a></p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.HandleSize Float default: 10.0 -- float \n\
</pre></div><p>Get/set the size of the Muscle Handles.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.HandlesVisible BooleanClass default: true -- boolean \n\
</pre></div><p>Get/set the state of the visibility option of the Muscle Handles.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.LMR Integer default: 0 -- integer \n\
</pre></div><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.NumSpheres Integer default: 7 -- integer \n\
</pre></div><p>Get/set the number of spheres used to approximate the shape of the muscle.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.SquashStretch BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the squash/stretch option of the Muscle Strand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Muscle_Strand&gt;.SquashStretchScale Float default: 1.0 -- float \n\
</pre></div><p>Get/set the Squash/Stretch Scale value of the Muscle Strand.</p>\n\
<p><strong>Muscle_Strand interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: CATMuscleStrand Functions \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.LMR : integer : Read|Write \n\
</pre></div><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<div class=\'codeBlock\'><pre> .HandleSize : float : Read|Write \n\
</pre></div><p>Get/set the handle size of the muscle.</p>\n\
<div class=\'codeBlock\'><pre> .HandlesVisible : boolean : Read|Write \n\
</pre></div><p>Get/set whether the handles are visible or not.</p>\n\
<div class=\'codeBlock\'><pre> .Handles : node by value array : Read \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/Muscle_Handle-Helper.html\' title=\'\'>Muscle_Handle objects</a></p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .NumSpheres : integer : Read|Write \n\
</pre></div><p>Get/set the number of spheres used to approximate the shape of the muscle.</p>\n\
<div class=\'codeBlock\'><pre> .CurrentLength : float : Read \n\
</pre></div><p>Contains the current length of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .CurrentScale : float : Read \n\
</pre></div><p>Contains the current scale of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .SquashStretch : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the squash/stretch option of the Muscle Strand.</p>\n\
<div class=\'codeBlock\'><pre> .DefaultLength : float : Read|Write \n\
</pre></div><p>Get/set the default length of the Muscle Strand.</p>\n\
<div class=\'codeBlock\'><pre>.SquashStretchScale: float : Read|Write \n\
</pre></div><p>Get/set the Squash/Stretch Scale value of the Muscle Strand.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;PasteStand &lt;maxObject&gt;SourceStrand \n\
</pre></div><p>Pastes the settings from the source strand supplied as first argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetSphereRadius &lt;index&gt;index \n\
</pre></div><p>Returns the Sphere readius of the indexed sphere.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetSphereRadius &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the readius of the indexed sphere to the valuesupplied as second argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetSphereUStart &lt;index&gt;index \n\
</pre></div><p>Returns the U Start of the indexed sphere.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetSphereUStart &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>SetstheU Startof the indexed sphereto the value supplied as second argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetSphereUEnd &lt;index&gt;index \n\
</pre></div><p>Returns theU Endof the indexed sphere.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetSphereUEnd &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the U End of the indexed sphere to the value supplied as second argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";