var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TailData2 : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TailData2 : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"taildata2-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>TailData2 : ReferenceTarget {bc975dd,6e1a1ae5} \n\
</pre></div><p>Holds all information for the whole tail of a CAT character.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>TailData2 \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Hub: maxObject \n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans controller</a> of the Hub the Tail is connected to.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.TailID: index \n\
</pre></div><p>Get/set the Tail ID index.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.NumBones: integer \n\
</pre></div><p>Get/set the number of bones in the tail.</p>\n\
<p>Setting this value will dynamically change the number of bones in the tail.</p>\n\
<p>Equivalent to the &quot;Num Links&quot; input field in the Tail Setup Rollout.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Bones: maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\' title=\'\'>TailTrans controllers</a> used by all Tail Bones in the Tail.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Colour: color\n\
</pre></div><p>Get/set the Tail Color.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Length: float \n\
</pre></div><p>Get/set the Length of the Tail.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Size: float \n\
</pre></div><p>Get/set the Width of the Tail.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Height: float \n\
</pre></div><p>Get/set the Height of the Tail.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.Taper: float \n\
</pre></div><p>Get/set the Taper value of the Tail.</p>\n\
<div class=\'codeBlock\'><pre> &lt;TailData2&gt;.TailStiffness: float \n\
</pre></div><p>Get the Tail Stiffness value.</p>\n\
<div class=\'section\'><a id=\"taildata-interfaces\"></a><h2 id=\"taildata-interfaces\">TailData interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: ICATControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: CATGroupManagerFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>Interface CATGroupManagerFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";