var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Body_Object : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Body_Object : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"body_object-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Body_Object - superclass: GeometryClass; super-superclass:node - 6:6 - classID: #(623455174, 401868168)\n\
</pre></div><p>The Body_Object class implements the Solid Body representation in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"operator-parameters\"></a><h2 id=\"operator-parameters\">Operator Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-440C0C2F-8B9F-41F0-9003-EE3FCB171FC0-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"conversion\"></a><h3 id=\"conversion\">Conversion</h3></div>\n\
<div class=\'codeBlock\'><pre>convertToBody &lt;node&gt; \n\
</pre></div><p>Converts the specified geometry to a <span class=\'code\'>Body_Object</span>.</p>\n\
<div class=\'section\'><a id=\"display\"></a><h3 id=\"display\">Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.ShowResultOP (Show_Result__Hide_Ops) : boolean\n\
</pre></div><p>Get/set the state of the Result checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.ShowAllOperandsOP(Show_Ops__Hide_Result) : Boolean\n\
</pre></div><p>Get/set the state of the All Operands checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.ShowSelectedOperandsOP(Show_Selected_Operands) : boolean\n\
</pre></div><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean\n\
&lt;Body_Object&gt;.SaveBrepsOP (Save_NURBS_Breps) : boolean\n\
&lt;Body_Object&gt;.FastEditOP (Fast_Edit) :Boolean\n\
 \n\
&lt;Body_Object&gt;.OP_NOT_USED1 (Update_Radio) : integer\n\
&lt;Body_Object&gt;.OP_NOT_USED2 (Update_Now) : boolean\n\
&lt;Body_Object&gt;.OP_NOT_USED3 (Save_Render_Mesh) : boolean\n\
&lt;Body_Object&gt;.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean\n\
</pre></div><div class=\'section\'><a id=\"rendering-approximation\"></a><h2 id=\"rendering-approximation\">Rendering Approximation</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B960392B-C892-48E6-A604-77B624D83A5D-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.RenderViewportMeshRA(Render_Viewport_Mesh) : boolean\n\
</pre></div><p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<div class=\'section\'><a id=\"render-mesh-generation\"></a><h3 id=\"render-mesh-generation\">Render Mesh Generation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.RenderRadioRA(Render_Radio) : integer\n\
</pre></div><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx.</p>\n\
<div class=\'section\'><a id=\"render-mesh-quality-presets\"></a><h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.LowQualityRA (LowQuality) : boolean\n\
</pre></div><p>Get/set the state of the Draft checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.MediumQualityRA (MediumQuality) : boolean\n\
</pre></div><p>Get/set the state of the Good checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.HighQualityRA (HighQuality) : boolean\n\
</pre></div><p>Get/set the state of the Production checkbutton.</p>\n\
<div class=\'section\'><a id=\"approximation\"></a><h3 id=\"approximation\">Approximation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.FaceApproxAngleRA (Face_Angle) : float\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.EdgeApproxAngleRA (Edge_Angle) : float\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.FaceChordRA (Face_Chord) : float\n\
</pre></div><p>Get/set the Face Chors %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.EdgeChordRA (Edge_Chord) : float\n\
</pre></div><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.MaxEdgeRA (Edge_Length_Rendering) : float\n\
</pre></div><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<div class=\'section\'><a id=\"misc.-options\"></a><h3 id=\"misc.-options\">Misc. Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.WeldAndSmoothRA (Weld_and_Smooth) : boolean\n\
</pre></div><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.SaveRenderMeshRA (Save_Render_Mesh) : boolean\n\
</pre></div><p>Get/set the state of the Save Render Mesh checkbox.</p>\n\
<div class=\'section\'><a id=\"viewport-display-settings\"></a><h2 id=\"viewport-display-settings\">Viewport Display Settings</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4F240E46-A810-4096-9A4A-FB171BF2DAB4-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.DisplayRadioVDS (Display_Radio) : integer\n\
</pre></div><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<div class=\'section\'><a id=\"mesh-quality-presets\"></a><h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.LowQualityVDS (LowQuality) : boolean\n\
</pre></div><p>Get/set the state of the Coarse checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.MediumQualityVDS (MediumQuality) : boolean\n\
</pre></div><p>Get/set the state of the Medium checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.HighQualityVDS (HighQuality) : boolean\n\
</pre></div><p>Get/set the state of the Fine checkbutton.</p>\n\
<div class=\'section\'><a id=\"mesh-display\"></a><h3 id=\"mesh-display\">Mesh Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.CleanMeshVDS (CleanMesh) : boolean\n\
</pre></div><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.FaceApproxAngleVDS (Face_Approx__Angle) : float\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.EdgeApproxAngleVDS (Edge_Approx__Angle) : float\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.FaceChordHeightVDS (Face_Chord_Height) : float\n\
</pre></div><p>Get/set the Face Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.EdgeChordHeightVDS (Edge_Chord_Height) : float\n\
</pre></div><p>Get/set the Edge Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.MaxEdgeLengthPctVDS (Edge_Length) : float\n\
</pre></div><p>Get/set the Max.Edge Len. % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.SmoothingPassesVDS (Smoothing_Passes) : float\n\
</pre></div><p>Get/set the Smoothing Passes value.</p>\n\
<div class=\'section\'><a id=\"curve-display\"></a><h3 id=\"curve-display\">Curve Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.ULinesVDS (U_Lines) : float\n\
</pre></div><p>Get/set the Lines U value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.VLinesVDS (V_Lines) : float\n\
</pre></div><p>Get/set the Lines V value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean\n\
</pre></div><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.IsoAngleDS (Iso_Angle) : float\n\
</pre></div><p>Get/set the Approx value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.IsoChordHeightVDS (Iso_Chord) : float\n\
</pre></div><p>Get/set the Curve Distance value.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-ui\"></a><h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.SubDMeshVDS (SubDMesh) : boolean\n\
&lt;Body_Object&gt;.VDS_NOT_USED1 (Update) : boolean\n\
</pre></div><div class=\'section\'><a id=\"face-display-parameters\"></a><h2 id=\"face-display-parameters\">Face Display Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4EFE0C4D-F312-457D-BC62-D551E74EE339-low.gif\' title=\'\'></div>\n\
<p>No Properties Exposed.</p>\n\
<div class=\'section\'><a id=\"fao\"></a><h2 id=\"fao\">FAO</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.FilletAllEdgesFAO : boolean\n\
&lt;Body_Object&gt;.FirstOrEndEdgesFAO : boolean\n\
&lt;Body_Object&gt;.SecondOrSideEdgesFAO : boolean\n\
&lt;Body_Object&gt;.ThirdOrStartEdgesFAO : boolean\n\
&lt;Body_Object&gt;.FilletRadiusFAO : float\n\
&lt;Body_Object&gt;.ApproximateArcFAO : boolean\n\
&lt;Body_Object&gt;.ConstantDistanceFAO : boolean\n\
&lt;Body_Object&gt;.LinearCrossSectionFAO : boolean\n\
&lt;Body_Object&gt;.ShellStartFaceFAO : boolean\n\
&lt;Body_Object&gt;.ShellEndFaceFAO : boolean\n\
&lt;Body_Object&gt;.ShellRadioFAO : integer\n\
&lt;Body_Object&gt;.OffsetRadiusFAO : float\n\
&lt;Body_Object&gt;.CornerExtensionFAO (Corner_Extension) : boolean\n\
&lt;Body_Object&gt;.SectionTypeFAO : integer\n\
&lt;Body_Object&gt;.BlendStrengthFAO : float\n\
 \n\
&lt;Body_Object&gt;.FAO_NOT_USED1 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED2 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED3 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED4 : boolean\n\
</pre></div><div class=\'section\'><a id=\"surface_analysis\"></a><h2 id=\"surface_analysis\">Surface_Analysis</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.DisplayControlPointsSA (Display_Control_Points) : boolean\n\
&lt;Body_Object&gt;.DisplayControlMeshSA (Display_Control_Mesh) : boolean\n\
&lt;Body_Object&gt;.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean\n\
&lt;Body_Object&gt;.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer\n\
&lt;Body_Object&gt;.CurvatureScaleSA (Curvature_Scale) : float\n\
&lt;Body_Object&gt;.CurvatureDensitySA (Curvature_Density) : float\n\
&lt;Body_Object&gt;.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean\n\
&lt;Body_Object&gt;.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer\n\
&lt;Body_Object&gt;.StdDevMultiplesSA (Std__Dev__Multiples) : float\n\
&lt;Body_Object&gt;.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean\n\
&lt;Body_Object&gt;.StdDevMinRangeSA (Std__Dev__Min_Range) : float\n\
&lt;Body_Object&gt;.StdDevMaxRangeSA (Std__Dev__Max_Range) : float\n\
&lt;Body_Object&gt;.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean\n\
</pre></div><div class=\'section\'><a id=\"nq\"></a><h2 id=\"nq\">NQ</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Object&gt;.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean\n\
&lt;Body_Object&gt;.ExtrToNURBSNQ( Extr_To_Nurbs) : boolean\n\
&lt;Body_Object&gt;.ExtrToCurveNQ (Extr_To_Curve) :Boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED1 (Flip_All) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED2 (Flip_Selected) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED3 (Extract_To_Spline) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED4 (Show_Counts) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED5 (Extract_To_CShape) : boolean\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";