var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Convert : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Convert : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"convert-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Convert - superclass: ReferenceTarget; super-superclass:MAXWrapper - 20:0 - classID: #(1137313544, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-5.html\' title=\'\'>NEW</a> The <strong>Convert</strong> Particle Data View sub-operator transforms data type from one format to another.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Convert...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Type     Integer    default: 10   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Boolean --&gt; Integer</strong></p>\n\
<p>1 - <strong>Boolean --&gt; Real</strong></p>\n\
<p>2 - <strong>Integer --&gt; Real</strong></p>\n\
<p>3 - <strong>Integer --&gt; Time</strong></p>\n\
<p>4 - <strong>Real --&gt; Integer</strong></p>\n\
<p>5 - <strong>Real --&gt; Time</strong></p>\n\
<p>6 - <strong>Real --&gt; Vector</strong></p>\n\
<p>7 - <strong>Real --&gt; Quaternion</strong></p>\n\
<p>8 - <strong>Time --&gt; Integer</strong></p>\n\
<p>9 - <strong>Time --&gt; Real</strong></p>\n\
<p>10 - <strong>Vector --&gt; Real</strong> (default)</p>\n\
<p>11 - <strong>Vector --&gt; Quaternion</strong></p>\n\
<p>12 - <strong>Vector --&gt; Matrix</strong></p>\n\
<p>13 - <strong>Vector --&gt; Pair</strong></p>\n\
<p>14 - <strong>Vector --&gt; Complex</strong></p>\n\
<p>15 - <strong>Quaternion --&gt; Real</strong></p>\n\
<p>16 - <strong>Quaternion --&gt; Vector</strong></p>\n\
<p>17 - <strong>Quaternion --&gt; Matrix</strong></p>\n\
<p>18 - <strong>Matrix --&gt; Vector</strong></p>\n\
<p>19 - <strong>Matrix --&gt; Quaternion</strong></p>\n\
<p>20 - <strong>Pair --&gt; Integer</strong></p>\n\
<p>21 - <strong>Pair --&gt; Vector</strong></p>\n\
<p>22 - <strong>Pair --&gt; Complex</strong></p>\n\
<p>23 - <strong>Complex --&gt; Vector</strong></p>\n\
<p>24 - <strong>Complex --&gt; Integer</strong></p>\n\
<p>25 - <strong>Complex --&gt; Time</strong></p>\n\
<p>26 - <strong>Complex --&gt; Pair</strong></p>\n\
<p>27 - <strong>Integer --&gt; Compound Index</strong></p>\n\
<p>28 - <strong>Compound Index --&gt; Integer</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Boolean_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 0 - <strong>Boolean --&gt; Integer</strong> or 1 - <strong>Boolean --&gt; Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>False As 0 / 0.0</strong> (default)</p>\n\
<p>1 - <strong>False As -1 / -1.0</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Integer_Time_Conversion     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 3 - <strong>Boolean --&gt; Integer</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick As 1</strong> (default)</p>\n\
<p>1 - <strong>Frame As 1</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Real_Integer_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 4 - <strong>Real --&gt; Integer</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Round to Even</strong> (default)</p>\n\
<p>1 - <strong>Round Up</strong></p>\n\
<p>2 - <strong>Round Down</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Negative_Up_Toward_Zero     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 4 - <strong>Real --&gt; Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Real_Time_Conversion     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 5 - <strong>Real --&gt; Time</strong> or 9 - <strong>Time --&gt; Real</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick As 1.0</strong></p>\n\
<p>1 - <strong>Frame As 1.0</strong> (default)</p>\n\
<p>2 - <strong>Second As 1.0</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Real_Vector_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 6 - <strong>Real --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Cartesian Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Cylindrical Polar Coordinates</strong></p>\n\
<p>2 - <strong>Spherical Polar Coordinates</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Vector_Real_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 10 - <strong>Vector --&gt; Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Length</strong> (default)</p>\n\
<p>1 - <strong>Average</strong></p>\n\
<p>2 - <strong>Minimum</strong></p>\n\
<p>3 - <strong>Min Absolute</strong></p>\n\
<p>4 - <strong>Maximum</strong></p>\n\
<p>5 - <strong>X</strong></p>\n\
<p>6 - <strong>Y</strong></p>\n\
<p>7 - <strong>Z</strong></p>\n\
<p>8 - <strong>Max Absolute</strong></p>\n\
<p>9 - <strong>Axial Radius</strong></p>\n\
<p>10 - <strong>Bearing</strong></p>\n\
<p>11 - <strong>Latitude</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Vector_Quaternion_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 11 - <strong>Vector --&gt; Quaternion</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Rotation / Angles</strong> (default)</p>\n\
<p>1 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Vector_Pair_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 13 - <strong>Vector --&gt; Pair</strong>, 14 - <strong>Vector --&gt; Complex</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>I2 As Face/Vertex Index</strong> (default)</p>\n\
<p>1 - <strong>I3 As Compound Index</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Use_I3_As_Object_Index     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;I3 As Object Index&quot;</strong> checkbox.</p>\n\
<p>Used when <span class=\'code\'>.Type</span> is set to 13 - <strong>Vector --&gt; Pair</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Quaternion_Real_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 15 - <strong>Quaternion --&gt; Real</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rotation Angle</strong> (default)</p>\n\
<p>1 - <strong>Roll</strong></p>\n\
<p>2- <strong>Pitch</strong></p>\n\
<p>3 - <strong>Yaw</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Quaternion_Vector_Conversion     Integer    default: 2   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 16 - <strong>Quaternion --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rotation Axis</strong> (default)</p>\n\
<p>1 - <strong>Euler Rotation / Angles</strong></p>\n\
<p>2 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Matrix_Vector_Conversion     Integer    default: 3   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 18 - <strong>Matrix --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Rotation / Angles</strong></p>\n\
<p>1 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<p>2 - <strong>Rotation Axis</strong></p>\n\
<p>3 - <strong>Translation</strong> (default)</p>\n\
<p>4 - <strong>Scale Factors</strong></p>\n\
<p>5 - <strong>X Axis</strong></p>\n\
<p>6 - <strong>Y Axis</strong></p>\n\
<p>7 - <strong>Z Axis</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Pair_Integer_Conversion     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Used when <span class=\'code\'>.Type</span> is set to 24 - <strong>Complex --&gt; Integer</strong> or 28 - <strong>Compound Index --&gt; Integer</strong></p>\n\
<p>Possible values when <span class=\'code\'>.Type</span> is 24 - <strong>Complex --&gt; Integer</strong> are:</p>\n\
<p>0 - <strong>Face/Vertex Index</strong></p>\n\
<p>1 - <strong>Object Index As Output</strong></p>\n\
<p>2 - <strong>Compound Index As Output</strong></p>\n\
<p>Possible values when <span class=\'code\'>.Type</span> is 28 - <strong>Compound Index --&gt; Integer</strong> are:</p>\n\
<p>0 - <strong>Face/Vertex Index</strong></p>\n\
<p>1 - <strong>Object Index As Output</strong></p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Convert&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Convert&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Convert&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the four Input sockets of the Convert sub-operator.</p>\n\
<p>Setting an Input to a sub-operator of the expected type will effectively wire that sub-operator to the corresponding Input of the Convert sub-operator.</p>\n\
<p>The Input types depend on the <span class=\'code\'>.Type</span> property as listed below:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">.Type</th>\n\
<th align=\"left\">.Input_1</th>\n\
<th align=\"left\">.Input_2</th>\n\
<th align=\"left\">.Input_3</th>\n\
<th align=\"left\">.Input_4</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">0 - <strong>Boolean --&gt; Integer</strong></td>\n\
<td align=\"left\">Boolean</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1 - <strong>Boolean --&gt; Real</strong></td>\n\
<td align=\"left\">Boolean</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2 - <strong>Integer --&gt; Real</strong></td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">3 - <strong>Integer --&gt; Time</strong></td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">4 - <strong>Real --&gt; Integer</strong></td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">5 - <strong>Real --&gt; Time</strong></td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">6 - <strong>Real --&gt; Vector</strong></td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">7 - <strong>Real --&gt; Quaternion</strong></td>\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">8 - <strong>Time --&gt; Integer</strong></td>\n\
<td align=\"left\">Time</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">9 - <strong>Time --&gt; Real</strong></td>\n\
<td align=\"left\">Time</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">10 - <strong>Vector --&gt; Real</strong> (default)</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">11 - <strong>Vector --&gt; Quaternion</strong></td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">12 - <strong>Vector --&gt; Matrix</strong></td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Vector</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">13 - <strong>Vector --&gt; Pair</strong></td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">(Integer)</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">14 - <strong>Vector --&gt; Complex</strong></td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">Time</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">15 - <strong>Quaternion --&gt; Real</strong></td>\n\
<td align=\"left\">Quaternion</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">16 - <strong>Quaternion --&gt; Vector</strong></td>\n\
<td align=\"left\">Quaternion</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">17 - <strong>Quaternion --&gt; Matrix</strong></td>\n\
<td align=\"left\">Quaternion</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">18 - <strong>Matrix --&gt; Vector</strong></td>\n\
<td align=\"left\">Matrix</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">19 - <strong>Matrix --&gt; Quaternion</strong></td>\n\
<td align=\"left\">Matrix</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">20 - <strong>Pair --&gt; Integer</strong></td>\n\
<td align=\"left\">Pair</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">21 - <strong>Pair --&gt; Vector</strong></td>\n\
<td align=\"left\">Pair</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">22 - <strong>Pair --&gt; Complex</strong></td>\n\
<td align=\"left\">Pair</td>\n\
<td align=\"left\">Time</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">23 - <strong>Complex --&gt; Vector</strong></td>\n\
<td align=\"left\">Complex</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">24 - <strong>Complex --&gt; Integer</strong></td>\n\
<td align=\"left\">Complex</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">25 - <strong>Complex --&gt; Time</strong></td>\n\
<td align=\"left\">Complex</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">26 - <strong>Complex --&gt; Pair</strong></td>\n\
<td align=\"left\">Complex</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">27 - <strong>Integer --&gt; Compound Index</strong></td>\n\
<td align=\"left\">Integer (Object Index)</td>\n\
<td align=\"left\">Integer (Face/Vertex Index)</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">28 - <strong>Compound Index --&gt; Integer</strong></td>\n\
<td align=\"left\">Integer</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;Convert&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter Input of the Convert sub-operator.</p>\n\
<div class=\'section\'><a id=\"convert-interfaces\"></a><h2 id=\"convert-interfaces\">Convert interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Convert Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";