var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>InputCustom : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>InputCustom : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"inputcustom-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>InputCustom - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313538, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>InputCustom</strong> Particle Data View sub-operator copies data from a channel created by Output New operator.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>InputCustom...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Set/set the Data Channel source sub-operator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Data_Handle     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the Data Handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Use_Proxy_Particles     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use O1 As Proxy Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Use_I2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use I2 As Particle IDs&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.I3_Usage     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the &quot;Proxy System Indexing&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single Proxy System</strong> (default)</p>\n\
<p>1 - <strong>Use I3 As System Index</strong></p>\n\
<p>2 - <strong>Use I3 As Compound Index</strong></p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input 1 (Object) sub-operator providing the Proxy particle system when <strong><span class=\'code\'>.Use_Proxy_Particles</span></strong> is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input 2 (Integer) sub-operator providing the Particle ID when <strong><span class=\'code\'>.Use_I2</span></strong> is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input 3 (Integer) sub-operator providing the System Index or Compound Index when <strong><span class=\'code\'>.I3_Usage</span></strong> is set to 2 or 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InputCustom&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the boolean output sub-operator controlling when the InputCustom will be evaluated.</p>\n\
<p>Setting this property to a sub-operator with boolean output will effectively wire it to the InputCustom sub-operator&#39;s Filter socket.</p>\n\
<p>Setting it to undefined will remove the Filter wiring.</p>\n\
<div class=\'section\'><a id=\"inputcustom-interfaces\"></a><h2 id=\"inputcustom-interfaces\">InputCustom interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the InputCustom Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";