var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Select_Object : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Select_Object : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"select_object-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Select_Object - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1137313554, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Select_Object</strong> Particle Data View sub-operator defines a reference object to derive properties from.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Select_Object...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All</strong> (default)</p>\n\
<p>1 - <strong>Geometry</strong></p>\n\
<p>2 - <strong>PFlow Systems</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.Independent_PFlow_System     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Independent PFlow System&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.Single_Or_Multiple     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the &quot;Single System/Multiple Systems&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single System</strong> (default)</p>\n\
<p>1 - <strong>Multiple Systems</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.object     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the <strong>&quot;Single System&quot;</strong> object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.objects     ArrayParameter    default: #()   --  node array\n\
</pre></div><p>Get/set the <strong>&quot;Multiple Systems&quot;</strong> array of objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Select_Object&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Filter socket connection.</p>\n\
<div class=\'section\'><a id=\"select_object-interfaces\"></a><h2 id=\"select_object-interfaces\">Select_Object interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Select_Object Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";