var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Event : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Event : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"event-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Event - superclass: helper; super-superclass:node - 0:0 - classID: #(1962490627, 515064576) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Event</strong> lets you group Actions in Particle View to define the appearance of particles over a certain period of time. Creating instances of this class gives you empty holders that can be filled with Actions using the exposed Interfaces’ Methods.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Event... \n\
</pre></div><div class=\'section\'><a id=\"event-interfaces\"></a><h2 id=\"event-interfaces\">Event Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Event Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-ActionList.html\' title=\'\'>Interface: ActionList</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-MaterialHolder.html\' title=\'\'>Interface: MaterialHolder</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Open the Particle View to watch the results: particleFlow.openParticleView() --&gt; OK</p>\n\
<p>ev = event()--Create an empty Event --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]</p>\n\
<p>--In order to fill in the empty Event, we have to disable --the automatic Event encapsulation of newly created Actions. particleFlow.beginEdit() --&gt; OK</p>\n\
<p>--Now we can create a new Birth action to add to the Event. br = birth() --&gt; $Birth:Birth 01 @ [0.000000,0.000000,0.000000]</p>\n\
<p>--We can now append the new Birth Action to the empty Event: ev.appendAction br --&gt; true</p>\n\
<p>--We can also create Action class instances --and append them to the Event in a single step: ev.appendAction (Position_Icon()) --&gt; true ev.appendAction (Speed()) --&gt; true ev.appendAction (ShapeStandard()) --&gt; true ev.appendAction (DisplayParticles()) --&gt; true</p>\n\
<p>--Finally, we can exit the Edit mode to enable automatic --Event encapsulation again: particleFlow.endEdit() --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";