var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth_Script : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth_Script : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth_script-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth_Script - superclass: helper; super-superclass:node - 5:0 - classID: #(1962490658, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Script</strong> operator enables creation of particles within the <strong>Particle Flow</strong> system using a MAXScript script. The script can use most of the program functionality available to MAXScript. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Limitations-on-using-MAXScript.html\' title=\'\'>Limitations on using MAXScript with Particle Flow</a> for a general list of limitations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth_Script... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Script&gt;.Proceed_Script String default: &quot;-- This is a script that can be used to generate particles ...&quot; \n\
</pre></div><p>Specifies the script as string to use for the Birth Script.</p>\n\
<p>Note: The default script with additional detailed comments can be found under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Birth-Scripts/Birth-Script-Example.html\' title=\'\'>Birth Script Example</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Script&gt;.Emit_Start Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the time in ticks at which the operator begins emitting particles.</p>\n\
<p>Note: The time value is shown as frames in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Script&gt;.Random_Seed Integer default: 12345 -- integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"birth_script-interfaces\"></a><h2 id=\"birth_script-interfaces\">Birth_Script Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Birth_Script Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";