var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AirFlow_Spline : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AirFlow_Spline : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"airflow_spline-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>AirFlow_Spline - superclass: helper; super-superclass:node - 8:0 - classID: #(1509449991L, 515064320L)\n\
<blockquote>\n\
</blockquote></pre></div><p>Note: The AirFlow_Spline helper is deprecated as of <strong>3ds Max 2022</strong> and may be removed in a future release.</p>\n\
\n\
<p>The AirFlow_Spline helper converts CFD Data to particle flow splines for airflow simulations. Available in <strong>in 3ds Max 2018 and higher</strong>.</p>\n\
<p>Note: this class is not creatable in the 3ds Max ParticleFlow UI. It can only be created via MAXScript.</p>\n\
<p>Note: The AirFlow* pflow classes in MAXScript are a prototype for CFD visualization. The recommended method is to use MCG. See &quot;Visualizing CFD Data&quot; in the 3ds Max User’s Guide.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Data_Source_File     UndefinedClass    default: undefined   --  filename; \n\
</pre></div><p>Gets or sets the data source FBX file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Emit_Start     Integer    default: 0   --  integer; Emit_Time \n\
&lt;AirFlow_Spline&gt;.Emit_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Gets or sets the emit start and stop time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Max_Speed     Float    default: 10000.0   --  animatable; worldUnits \n\
&lt;AirFlow_Spline&gt;.Min_Speed     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Gets or sets the air flow minimum and maximum speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Rate     Float    default: 60.0   --  animatable; float\n\
</pre></div><p>Gets or sets the emit rate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Speed_Factor     Float    default: 0.01   --  animatable; float\n\
</pre></div><p>Gets or sets the speed factor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Spline&gt;.Splines     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of splines imported from the data file.</p>\n\
<div class=\'section\'><a id=\"airflow_spline-interfaces\"></a><h2 id=\"airflow_spline-interfaces\">AirFlow_Spline interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the AirFlow_Spline Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";