var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Script_Operator : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Script_Operator : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"script_operator-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Script_Operator - superclass: helper super-superclass:node - classID: #(1962490659, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Script_Operator</strong> enables control of particles within the <strong>Particle Flow</strong> system using a MAXScript script. The script can use most of the program functionality available to MAXScript. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Limitations-on-using-MAXScript.html\' title=\'\'>Limitations on using MAXScript with Particle Flow</a> for a general list of limitations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Script_Operator... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Script_Operator&gt;.Proceed_Script String \n\
</pre></div><p>Defines the script to be used by the Script_Operator.</p>\n\
<p>The default script slows particles, and then, when they are slow enough, splits off the first 50 particles into a stream traveling in a negative direction on the world X axis, and the remainder traveling in the opposite direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Script_Operator&gt;.Random_Seed Integer default: 12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"script_operator-interfaces\"></a><h2 id=\"script_operator-interfaces\">Script_Operator Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";