var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Send_Out : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Send_Out : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"send_out-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Send_Out - superclass: helper super-superclass:node - classID: #(1962490890, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Send_Out</strong> test simply sends all particles to the next event, or, conversely, keeps all particles in the current event. Use <strong>Send_Out</strong> when you simply want to send particles to another event without any conditions.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Send_Out...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Send_Out&gt;.Condition_Type Integer default: 0 -- radio button number   \n\
</pre></div><p>Corresponds to the <strong>Test True For</strong> group radio buttons in the UI: Lets you specify whether the test passes all particles on to the next event or keeps them in the current event. Possible values are:</p>\n\
<p>0: <strong>All Particles</strong> - All particles are passed on to the next event.</p>\n\
<p>1: <strong>No Particles</strong> - All particles are retained in the current event</p>\n\
<div class=\'section\'><a id=\"send_out-interfaces\"></a><h2 id=\"send_out-interfaces\">Send_Out Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Send_Out Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";