var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_World : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_World : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_world-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_World - superclass: helper; super-superclass:node - 3:0 - classID: #(1935830282, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_World</strong> operator defines the global properties of the dynamics simulation. A <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Worldhelper-Helper.html\' title=\'\'>mP_WorldHelper</a> Helper scene object holds the settings accessed by the mP_World operator.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_World...\n\
PhysX_World...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_World&gt;.PhysX_World_Driver     UndefinedClass    default: undefined   --  node; mP_World_Driver\n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Worldhelper-Helper.html\' title=\'\'>mP_WorldHelper</a> Helper defining the mP World operator&#39;s settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_World&gt;.Suppress_Express_Save     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Suppress Express Save&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_World&gt;.PhysX_Driver_Type     Integer    default: 1   --  radiobtnIndex; mP_Driver_Type\n\
</pre></div><p>Not exposed to the UI.</p>\n\
<div class=\'section\'><a id=\"mp_world-interfaces\"></a><h2 id=\"mp_world-interfaces\">mP_World interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_World Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\' title=\'\'>Interface: integrator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";