var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MaxscriptParticleContainer</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MaxscriptParticleContainer</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-maxscriptparticlecontainer\"></a></div>\n\
<p><strong>The MaxscriptParticleContainer Interface is exposed by Particle Containers and is available in Particle Script handlers</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"the-following-properties-can-be-used-in-the-channelsused-handler\"></a><h3 id=\"the-following-properties-can-be-used-in-the-channelsused-handler\">The following properties can be used in the ChannelsUsed handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useTime : boolean : Read|Write       \n\
</pre></div><p>When set to <strong>true</strong>, the Time channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useAge : boolean : Read|Write     \n\
</pre></div><p>When set to <strong>true</strong>, the Age channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useLifespan : boolean : Read|Write   \n\
</pre></div><p>When set to <strong>true</strong>, the Lifespan channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useEventTime : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the EventTime channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.usePosition : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Position channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useSpeed : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Speed channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useAcceleration : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Acceleration channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useOrientation : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Oritnation channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useSpin : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Spin channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useScale : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Scale channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useTM : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the TM (Transformation Matrix) channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useSelected : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Selected channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useShape : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Shape channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useMtlIndex : boolean: Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Material Index channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useMapping : boolean: Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Mapping channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useInteger : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Integer channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useFloat : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Float channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useVector : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Vector channel will be available for scripting access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.useMatrix : boolean : Read|Write \n\
</pre></div><p>When set to <strong>true</strong>, the Matrix channel will be available for scripting access.</p>\n\
<div class=\'section\'><a id=\"the-following-properties-can-be-used-in-the-proceed-handler\"></a><h3 id=\"the-following-properties-can-be-used-in-the-proceed-handler\">The following properties can be used in the Proceed handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleIndex : index : Read|Write|Validated by Range: 1 to 100000000 \n\
</pre></div><p>Get/Set current particle index</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleID : index : Read|Write|Validated by Range: 1 to 100000000 \n\
</pre></div><p>Get/Set current particle ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleNew : boolean : Read \n\
</pre></div><p>Check if particle just arrived into the event</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleTime : time : Read|Write \n\
</pre></div><p>Get/Set the Time of the current particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleAge : time : Read|Write|Validated by Range: 0f to 9e+006f \n\
</pre></div><p>Get/Set the Age of the current particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleLifespan : time : Read|Write|Validated by Range: 0f to 9e+006f \n\
</pre></div><p>Get/Set the Lifespan of the current particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleEventTime : time : Read|Write|Validated by Range: 0f to 9e+006f \n\
</pre></div><p>Get/Set for how long the particle is present in the current event</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particlePosition : point3 : Read|Write \n\
</pre></div><p>Get/Set the current particle Position</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleSpeed : point3 : Read|Write \n\
</pre></div><p>Get/Set the current particle Speed</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleAcceleration : point3 : Read|Write \n\
</pre></div><p>Get/Set the current particle Acceleration</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleOrientation : point3 : Read|Write \n\
</pre></div><p>Get/Set the current particle Orientation</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleSpin : angleAxis : Read|Write \n\
</pre></div><p>Get/Set the current particle Spin</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleScale : float : Read|Write \n\
</pre></div><p>Get/Set the current particle’s Size</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleScaleXYZ : point3 : Read|Write \n\
</pre></div><p>Get/Set the current particle’s Scale</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleTM : matrix3 : Read|Write \n\
</pre></div><p>Get/Set the current particle transformation matrix</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleSelected : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the particle is selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleShape : mesh : Read|Write \n\
</pre></div><p>Get/Set the particle mesh</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleInteger : integer : Read|Write \n\
</pre></div><p>Store/Retrieve custom integer data per particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleTestStatus : boolean : Read|Write \n\
</pre></div><p>Get/set the particle&#39;s test status.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleTestTime : time : Read|Write|Validated by Range: 0f to 9e+006f \n\
</pre></div><p>Get/set the particle&#39;s test time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleFloat : float : Read|Write \n\
</pre></div><p>Store/Retrieve custom float data per particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleVector : point3 : Read|Write \n\
</pre></div><p>Store/Retrieve custom vector data per particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;particeContainer&gt;.particleMatrix : matrix3 : Read|Write \n\
</pre></div><p>Store/Retrieve custom matrix data per particle.</p>\n\
<p>Note:</p>\n\
<p>The particleMatrix channel could be used to store either a matrix3 value or a set of 4 Point3 values, or 12 Float values. This makes it very versatile when a large number of values have to be stored. As noted in the matrix3 chapter, you cannot directly assign values to sub-elements of a matrix3 value. To write a Point3 or Float value to the particleMatrix channel, first store the particleMatrix value in a user variable, assign the Point3 to the respective row of the matrix or the Float value to the.x,.y or.z element of the Point3 and then assign the variable back to the particleMatrix channel.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"to-use-in-init-release-and-proceed-handler\"></a><h3 id=\"to-use-in-init-release-and-proceed-handler\">To use in Init, Release and Proceed handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;getParticleContainer() \n\
</pre></div><p>Get particle container</p>\n\
<div class=\'section\'><a id=\"to-use-in-init-and-proceed-handler\"></a><h3 id=\"to-use-in-init-and-proceed-handler\">To use in Init and Proceed handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;getParticleSystem() \n\
</pre></div><p>Get the particle system object</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getParticleSystemNode() \n\
</pre></div><p>Get the particle system node</p>\n\
<div class=\'section\'><a id=\"to-use-in-init-handler\"></a><h3 id=\"to-use-in-init-handler\">To use in Init handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;object array&gt;getInitActions() \n\
</pre></div><p>Get list of all action objects in the action list</p>\n\
<div class=\'codeBlock\'><pre>&lt;node array&gt;getInitActionNodes() \n\
</pre></div><p>Get list of all action nodes in the action list</p>\n\
<div class=\'section\'><a id=\"to-use-in-proceed-handler\"></a><h3 id=\"to-use-in-proceed-handler\">To use in Proceed handler:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getTimeStart() \n\
</pre></div><p>Get the start time of the proceed interval</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getTimeEnd() \n\
</pre></div><p>Get the end time of the proceed interval</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTimeEnd &lt;time&gt;time \n\
</pre></div><p>If it is not possible to proceed all particles to the given timeEnd then set the closest possible time of the proceed interval</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTimeEndPrecise &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Set the end time with higher precision by supplying time and fraction</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getActionNode() \n\
</pre></div><p>Get action node</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;getIntegrator() \n\
</pre></div><p>Get the interface of the procedure that integrates particle motion in time. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\' title=\'\'>Interface: integrator</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;randSign() \n\
</pre></div><p>Get random sign (-1 or +1)</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;rand01() \n\
</pre></div><p>Get random number from interval [0, 1]</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;rand11() \n\
</pre></div><p>Get random number from interval [-1, 1]</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;rand55() \n\
</pre></div><p>Get random number from interval [-0.5, 0.5]</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;rand0X&lt;integer&gt;maxNumber \n\
</pre></div><p>Get random integer number from interval [0..maxNumber]</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;randSpherePoint() \n\
</pre></div><p>Get random 3D point from surface of sphere with radius 1</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;randDivergeVector &lt;point3&gt;vectorToDiverge &lt;angle&gt;maxAngle \n\
</pre></div><p>Get random vector that diverges from the given vector by no more than the specified maxAngle angle</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numParticles() \n\
</pre></div><p>Number of particles in the current event/actionList</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addParticle() \n\
</pre></div><p>Add a single particle.</p>\n\
<p>Use <strong>.particleTime</strong> to define when particle is added. Use <strong>.particleAge=0</strong> to set particle age to zero. Use other methods to define particle position, speed, orientation etc.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addParticles &lt;integer&gt;amount \n\
</pre></div><p>Add &#39;amount&#39; particles</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteParticle &lt;index&gt;index \n\
</pre></div><p>Delete a single particle with the given index</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteParticles &lt;index&gt;startIndex &lt;integer&gt;amount \n\
</pre></div><p>Delete &#39;amount&#39; particles starting from startIndex</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getParticleID &lt;index&gt;particleIndex \n\
</pre></div><p>Get the ID of the particle with the given index</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;hasParticleID &lt;index&gt;particleID &lt;&amp;index&gt;particleIndex \n\
</pre></div><p>particleIndex is In and Out parameter</p>\n\
<p>Verify if the event has a particle with the given ID</p>\n\
<p>If the particle is present then particleIndex is the index of the particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isParticleNew &lt;index&gt;particleIndex \n\
</pre></div><p>Check if a particle just arrived into the event</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isParticleNewByID &lt;index&gt;particleID \n\
</pre></div><p>Check if a particle with the given ID just arrived into the event</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleTime &lt;index&gt;particleIndex \n\
</pre></div><p>Get time of the current status of the particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleTimeByID &lt;index&gt;particleID \n\
</pre></div><p>Get the time of the the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTime &lt;index&gt;particleIndex &lt;time&gt;time \n\
</pre></div><p>Change time of the current status of the particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTimePrecise &lt;index&gt;particleIndex &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Set the time of the indexed particle with sub-frame precision using the frame time and a fraction value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTimeByID &lt;index&gt;particleID &lt;time&gt;time \n\
</pre></div><p>Set the time of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTimePreciseByID &lt;index&gt;particleID &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Set the time of the particle with the specified ID with sub-frame precision by supplying a frame and a fraction value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleAge &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the age of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleAgeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the age of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleAge &lt;index&gt;particleIndex &lt;time&gt;age \n\
</pre></div><p>Sets the age of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleAgeByID &lt;index&gt;particleID &lt;time&gt;age \n\
</pre></div><p>Sets the age of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleLifespan &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the lifespan of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleLifespanByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the lifespan of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleLifespan &lt;index&gt;particleIndex &lt;time&gt;lifespan \n\
</pre></div><p>Sets the lifespan of the indexed particle to the supplied time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleLifespanByID &lt;index&gt;particleID &lt;time&gt;lifespan \n\
</pre></div><p>Sets the lifespan of the particle with the specified ID to the supplied time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleEventTime &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Event time of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;getParticleEventTimeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Event time of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleEventTime &lt;index&gt;particleIndex &lt;time&gt;eventTime \n\
</pre></div><p>Sets the Event time of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleEventTimeByID &lt;index&gt;particleID &lt;time&gt;eventTime \n\
</pre></div><p>Sets the Event time of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticlePosition &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Position of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticlePositionByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Position of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticlePosition &lt;index&gt;particleIndex &lt;point3&gt;position \n\
</pre></div><p>Sets the Position of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticlePositionByID &lt;index&gt;particleID &lt;point3&gt;position \n\
</pre></div><p>Sets the Position of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleSpeed &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Speed of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleSpeedByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Speed of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSpeed &lt;index&gt;particleIndex &lt;point3&gt;speed \n\
</pre></div><p>Sets the Speed of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSpeedByID &lt;index&gt;particleID &lt;point3&gt;speed \n\
</pre></div><p>Sets the Speed of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleAcceleration &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Acceleration of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleAccelerationByID&lt;index&gt;particleID \n\
</pre></div><p>Returns the Acceleration of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleAcceleration &lt;index&gt;particleIndex &lt;point3&gt;acceleration \n\
</pre></div><p>Sets the Acceleration of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleAccelerationByID &lt;index&gt;particleID &lt;point3&gt;acceleration \n\
</pre></div><p>Sets the Acceleration of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleOrientation &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Orientation of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleOrientationByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Orientation of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleOrientation &lt;index&gt;particleIndex &lt;point3&gt;orientation \n\
</pre></div><p>Sets the Orientation of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleOrientationByID &lt;index&gt;particleID &lt;point3&gt;orientation \n\
</pre></div><p>Sets the Orientation of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;angleAxis&gt;getParticleSpin &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Spin of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;angleAxis&gt;getParticleSpinByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Spin of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSpin &lt;index&gt;particleIndex &lt;angleAxis&gt;spin \n\
</pre></div><p>Sets the Spin of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSpinByID &lt;index&gt;particleID &lt;angleAxis&gt;spin \n\
</pre></div><p>Sets the Spin of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getParticleScale &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Scale of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getParticleScaleByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Scale of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleScale &lt;index&gt;particleIndex &lt;float&gt;scale \n\
</pre></div><p>Sets the Scale of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleScaleByID &lt;index&gt;particleID &lt;float&gt;scale \n\
</pre></div><p>Sets the Size of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleScaleXYZ &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Scale of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleScaleXYZByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Scale of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleScaleXYZ &lt;index&gt;particleIndex &lt;point3&gt;scale \n\
</pre></div><p>Sets the Scale of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleScaleXYZByID &lt;index&gt;particleID &lt;point3&gt;scale \n\
</pre></div><p>Sets the Scale of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;getParticleTM &lt;index&gt;particleIndex           \n\
</pre></div><p>Returns the Transformation Matrix of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt; getParticleTMByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Transformation Matrix of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTM &lt;index&gt;particleIndex &lt;matrix3&gt;transformationMatrix \n\
</pre></div><p>Sets the Transformation Matrix of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTMByID &lt;index&gt;particleID &lt;matrix3&gt;transformationMatrix \n\
</pre></div><p>Sets the Transformation Matrix of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getParticleSelected &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Selected state of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getParticleSelectedByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Selected state of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSelected &lt;index&gt;particleIndex &lt;boolean&gt;selected \n\
</pre></div><p>Sets the Selected state of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleSelectedByID &lt;index&gt;particleID &lt;boolean&gt;selected \n\
</pre></div><p>Sets the Selected state of the particle with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;getParticleShape &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the shape of the indexed particle as mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;getParticleShapeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the shape of the particle with the specified ID as mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleShape &lt;index&gt;particleIndex &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of the indexed particle to the supplied mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleShapeByID &lt;index&gt;particleID &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of the particle with the specified ID to the supplied mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setShapeForAllParticles &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of all particles to the supplied mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMtlIndex &lt;index&gt;particleIndex &lt;index&gt;materialIndex \n\
</pre></div><p>Sets the Material Index of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMtlIndexByID &lt;index&gt;particleID &lt;index&gt;materialIndex \n\
</pre></div><p>Sets the Material Index of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setMtlIndexForAllParticles &lt;index&gt;materialIndex \n\
</pre></div><p>Sets the Material Index of all particles to the specified index value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMapping &lt;index&gt;particleIndex &lt;int&gt;mapChannel &lt;point3&gt;mapValue \n\
</pre></div><p>Sets the Mapping of the indexed particle to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMappingByID &lt;index&gt;particleID &lt;int&gt;mapChannel &lt;point3&gt;mapValue \n\
</pre></div><p>Sets the Mapping of the particle with the specified ID to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setMappingForAllParticles &lt;int&gt;mapChannel &lt;point3&gt;mapValue \n\
</pre></div><p>Sets the Mapping of all particles to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getParticleInteger &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the integer channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getParticleIntegerByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the integer channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleInteger &lt;index&gt;particleIndex &lt;integer&gt;integerValue \n\
</pre></div><p>Sets the integer channel value of the indexed particle to the supplied integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleIntegerByID &lt;index&gt;particleID &lt;integer&gt;integerValue \n\
</pre></div><p>Sets the integer channel value of the particle with the specified ID to the supplied integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getParticleFloat &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the float channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getParticleFloatByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the float channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleFloat &lt;index&gt;particleIndex &lt;float&gt;floatValue \n\
</pre></div><p>Sets the float channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleFloatByID &lt;index&gt;particleID &lt;float&gt;floatValue \n\
</pre></div><p>Sets the float channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleVector &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the vector channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getParticleVectorByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the vector channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleVector &lt;index&gt;particleIndex &lt;point3&gt;vectorValue \n\
</pre></div><p>Sets the vector channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleVectorByID &lt;index&gt;particleID &lt;point3&gt;vectorValue \n\
</pre></div><p>Sets the vector channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt; getParticleMatrix &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the matrix channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt; getParticleMatrixByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the matrix channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMatrix &lt;index&gt;particleIndex &lt;matrix3&gt;matrixValue \n\
</pre></div><p>Sets the matrix channel value of the indexed particle</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleMatrixByID &lt;index&gt;particleID &lt;matrix3&gt;matrixValue \n\
</pre></div><p>Sets the matrix channel value of the particle with the specified ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestStatus &lt;index&gt;particleIndex &lt;boolean&gt;satisfy? \n\
</pre></div><p>Sets the Test Status of the indexed particle to the supplied boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestStatusByID &lt;index&gt;particleID &lt;boolean&gt;satisfy? \n\
</pre></div><p>Sets the Test Status of the particle with the specified ID to the supplied boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setGlobalTestStatus &lt;boolean&gt;satisfy? \n\
</pre></div><p>Sets the Test Status of all particles to the supplied boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestTime &lt;index&gt;particleIndex &lt;time&gt;time \n\
</pre></div><p>Sets the Test Time of the indexed particle to the supplied time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestTimePrecise &lt;index&gt;particleIndex &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Sets the sub-frame Test Time of the indexed particle to the supplied time and fraction value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestTimeByID &lt;index&gt;particleID &lt;time&gt;time \n\
</pre></div><p>Sets the Test Time of the particle with the specified ID to the supplied time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParticleTestTimePreciseByID &lt;index&gt;particleID &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Sets the sub-frame Test Time of the particle with the specified ID to the supplied time and fraction value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setGlobalTestTime &lt;time&gt;time \n\
</pre></div><p>Sets the Test Time of all particles to the supplied time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setGlobalTestTimePrecise &lt;time&gt;time &lt;float&gt;fraction \n\
</pre></div><p>Sets the sub-frame Test Time of all particles to the supplied time and fraction value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";