var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: DataViewItem</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: DataViewItem</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-dataviewitem\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>DataViewItem</strong> Interface is exposed by all Particle Data View sub-operators. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;hasComments()\n\
</pre></div><p>Returns true if the sub-operator contains comments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getComments()\n\
</pre></div><p>Returns the comment as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setComments &lt;string&gt;comments\n\
</pre></div><p>Sets the sub-operator&#39;s comment to the provided string argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName()\n\
</pre></div><p>Returns the name of the sub-operator as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;string&gt;name\n\
</pre></div><p>Sets the name of the sub-operator to the provided string argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";