var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: PhysXWorld</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: PhysXWorld</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-physxworld\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>PhysXWorld</strong> Interface is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Worldhelper-Helper.html\' title=\'\'>mP_Worldhelper</a> Helper which is part of the MassFX-driven mParticles operators in Particle Flow.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addCollisionGroupExclusionPair &lt;integer&gt;collisionGroupIndex1 &lt;integer&gt;collisionGroupIndex2\n\
</pre></div><p>Excludes the pair of collision groups specified by index using the two arguments from collisions.</p>\n\
<p>Returns True in success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;removeCollisionGroupExclusionPair &lt;integer&gt;collisionGroupIndex1 &lt;integer&gt;collisionGroupIndex2\n\
</pre></div><p>Removes the pair of collision groups specified by index using the two arguments from the collision exclusions list.</p>\n\
<p>Returns True in success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;hasCollisionGroupExclusionPair &lt;integer&gt;collisionGroupIndex1 &lt;integer&gt;collisionGroupIndex2\n\
</pre></div><p>Returns True if the collision groups pair specified by the two index arguments is on the collision exclusion list, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BakeSimulation()\n\
</pre></div><p>Triggers simulation baking.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveBakedSimulation()\n\
</pre></div><p>Removes the baked simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;createNewDriver()\n\
</pre></div><p>Creates a new Simulation Driver.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";