var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: profileTools</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: profileTools</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-profiletools\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>profileTools</strong> Interface is exposed by several MassFX-related Particle Flow operators.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.useProfileTools : boolean : Read|Write\n\
</pre></div><p>When set to True, enables the profiling of the operator.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getCalcTime &lt;time&gt;time\n\
</pre></div><p>Returns the calculation time value for the given time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getCalcTimeForInterval &lt;time&gt;timeStart &lt;time&gt;timeEnd\n\
</pre></div><p>Returns the calculation time value for the given time range.</p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\' title=\'\'>Data_Icon : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\' title=\'\'>Data_Operator : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\' title=\'\'>Data_Test : Helper</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";