var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth Script Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth Script Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth-script-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows the default Birth_Script script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>This script is used as the default script in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script</a> action.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4F8043EF-DE61-49E8-AF83-B356BF3D953A-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script generates a nice particle pattern - a helix built by a sine curve. In order to see the effect of the script, you should:</p>\n\
<ul>\n\
<li><p>Create a default PF_Source in the scene from the Create Tab of <strong>3ds Max</strong>.</p></li>\n\
<li><p>Open Particle View</p></li>\n\
<li><p>Replace the Birth action with a Birth_Script action</p></li>\n\
<li><p>Delete the Speed, Position and Rotation operators.</p></li>\n\
<li><p>Scrub the Time</p></li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DE6B1B3E-E8B2-4F6B-9AEC-49B852E38286-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useTime = true--enable the Time channel pCont.useAge = true--enable the Age channel pCont.usePosition = true--enable the Position channel pCont.useSpeed = true--enable the Speed channel )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --Get the Start Time as float. This converts the time to ticks. t1 = pCont.getTimeStart() as float --Get the End Time as float. This converts the time to ticks. t2 = pCont.getTimeEnd() as float</p>\n\
<p>--Clamp negative time values to 0 if (t1 &lt; 0)then(t1 = 0)</p>\n\
<p>--If the end time is less than 100 frames --(100 frames * 160 ticks per frame in 30 fps NTSC) if (t2 &lt; 100<em>160) do ( --then do a loop using the time values divided by 8 --this way a particle will be created every 8 ticks for i in (t1/8+1) to (t2/8) do ( --set the variable curTime to the actual time in ticks curTime = 8</em>i as float --give birth to a new particle pCont.AddParticle() --get the index of the last particle that was added pCont.particleIndex = pCont.NumParticles() --set the current time of the particle in frames --(160 ticks in one frame at 30 fps NTSC animation) pCont.particleTime = curTime/160 --Set the age of the particle to 0 - newborn! pCont.particleAge = 0 --Define a radius variable based on the sine of the current time sh = 2<em>sin(5</em>curTime) --Define an angle variable based on the current time ang = 0.2*curTime --Set the particle position using the above variables pCont.particlePosition = [sh<em>sin(ang), sh</em>cos(ang), 0] --Define the speed using the same variables and falling down along Z pCont.particleSpeed = [0.01<em>sin(ang), 0.01</em>cos(ang), -0.005] ) ) )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";