var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Final Step Update Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Final Step Update Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"final-step-update-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows the default Final Step Update script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Used by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source</a> as default Final Step Update script.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The default script modifies particle speed and direction, causing particles to follow a bulb-shaped path:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3E335C88-DC07-4A60-93D4-2551A6D3495F-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Get the current particle system executing the script pf_node_current = particleFlow.scriptRunner()</p>\n\
<p>--In case the current particle system is a valid node... if (pf_node_current != undefined) then(</p>\n\
<p>--Get the total number of particles count = pf_node_current.NumParticles() --Loop from 1 to the number of particles for i in 1 to count do( --Set the particle index in the container to the current i value. --This makes the i-th particle in the container the current one: pf_node_current.particleIndex = i</p>\n\
<p>--Get the age of the particle, multiply by 5 and use as angle --to define the particle speed --Decreasing the constant 5 will slow down the rotation --Increasing the constant will speed up the rotation age = 5*pf_node_current.particleAge</p>\n\
<p>--Calculate a factor variable based on the particle age --This variable will define the radius of the bulb and will vary --thanks to the sine of the age over time. --Change the constant 20 to change the radius. factor = 20<em>(sin(2</em>age)+1)</p>\n\
<p>--Finally, calculate and set the particle position --using the factor as Radius and the particle index as Angle --in the function of the circle. The position of the node has to be --added to move the particles to the origin of the Source. --Info: In general, a circle can be drawn using an Angle --going from 0 to 2<em>Pi and the following functions for X and Y: --X = CenterX+Radius</em>Cos(Angle) --Y = CenterY+Radius*Sin(Angle) --In our case, CenterX and CenterY are 0, Radius is set to factor, --and Angle is based on the particle index multiplied by 77. --The Z position is based on the age. pf_node_current.particlePosition = [factor<em>cos(77</em>i), factor<em>sin(77</em>i), -age] + pf_node_current.pos</p>\n\
<p>)--end i loop )--end if</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";