var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Driven Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Driven Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-driven-controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>BipDriven_Control : Matrix3Controller {9154,0} \n\
<blockquote>\n\
</blockquote></pre></div><p>Note: Prior to <em>3ds Max 2022</em> this class was called <span class=\'code\'>BipSlave_Control</span>.</p>\n\
\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p>Individual Biped body part objects and the Vertical, Horizontal, and Turning tracks of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\' title=\'\'>Biped_Vertical_Horizontal_Turn_Body_Matrix3_Controller</a> use the Biped_Driven Controller.</p>\n\
<p>This type of controller is attached to the transform track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bipdriven_ctrl&gt;=$&#39;Bip01 Pelvis&#39;.controller \n\
</pre></div><p>It is not always possible to get the controller via <span class=\'code\'>&lt;biped_object&gt;.transform.controller</span>. The transform track is not exposed for all nodes but it is possible to get the controller via: <span class=\'code\'>&lt;biped_object&gt;.controller</span>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bipdriven_ctrl&gt;.rootName String Default: Varies \n\
</pre></div><p>The name of the root node (COM) of the Biped system this bipdriven_ctrl belongs to.</p>\n\
<p>Note:</p>\n\
<p>changing the value of this property also changes the root name of the biped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bipdriven_ctrl&gt;.rootNode Node Default: Varies -- Read-only \n\
</pre></div><p>The root node (COM) of the Biped system this bipdriven_ctrl belongs to.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";