var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FootSteps : Matrix3 Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FootSteps : Matrix3 Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"footsteps-matrix3-controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Footsteps : MAXWrapper {3011,0} \n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Access:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt; = $&#39;Bip01 Footsteps&#39;.transform.controller \n\
</pre></div><p>or:</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt; = $&#39;Bip01 Footsteps&#39;.controller \n\
</pre></div><p>Note:</p>\n\
<p>This controller is attached to the transform track of the named Biped footstep object.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.freeFormMode Boolean Default: False \n\
</pre></div><p>false - Edit Footsteps</p>\n\
<p>true - Edit Free Form (no physics)</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.dispNumType Integer Default: 0 \n\
</pre></div><p>0 - Start and End Frame</p>\n\
<p>1 - Start Frame</p>\n\
<p>2 - Duration</p>\n\
<p>3 - Double Support</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.dispAirDur Boolean Default: False \n\
</pre></div><p>Displays the foot air duration. This is the number of frames each foot is in the air in the lower part of each footstep&#39;s portion of the track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.dispNoSupport Boolean Default: False \n\
</pre></div><p>Displays the number of frames when both feet are off the ground, directly above the areas without footsteps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.rootName String Default: Varies \n\
</pre></div><p>Contains the root name of the Biped using the Foootsteps Controller. Changing the value of this property also changes the root name of the Biped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;footsteps_ctrl&gt;.rootNode Node Default: Varies -- Read-only \n\
</pre></div><p>The root node (COM) of the Biped system to which this footstep_ctrl belongs.</p>\n\
<p>The following example accesses the footstep controller, sets several values, and then displays all of its properties.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 -90 [0,0,0] fsCont=$&#39;Bip001 Footsteps&#39;.transform.controller fsCont.freeFormMode= true fsCont.dispNumType= 3 fsCont.dispAirDur= false fsCont.dispNoSupport= false showProperties fsCont</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";