var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Transforms Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Transforms Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-transforms-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>biped.getTransform &lt;biped_node&gt; (#pos | #rotation | #scale) [limb:&lt;biped_node&gt;]      \n\
</pre></div><p>Gets the specified node’s transform in world coordinates</p>\n\
<div class=\'codeBlock\'><pre>biped.setTransform &lt;biped_node&gt; #pos &lt;point3&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]      \n\
biped.setTransform &lt;biped_node&gt; #rotation &lt;quat&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]   \n\
biped.setTransform &lt;biped_node&gt; #scale &lt;point3&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]   \n\
</pre></div><p>Sets the specified transform in world coordinates.</p>\n\
<p>Setting scale is only applicable in Figure mode.</p>\n\
<p>When setting positions, Biped will try to place the node at the specified location, but the final position may be clamped by Biped’s IK.</p>\n\
<p>Since positions are in world coordinates, you should start at the biped root and work through the biped hierarchy setting positions.</p>\n\
<div class=\'codeBlock\'><pre>biped.setKey &lt;biped_node&gt; copyHor:&lt;bool_setHoriz&gt; copyVer:&lt;boolean&gt; copyTrn:&lt;boolean&gt; \n\
</pre></div><p>Sets a key on the controller for the specified biped node at the current time.</p>\n\
<p>If the node specified in the biped&#39;s COM, which tracks keys are created on depends on the boolean arguments.</p>\n\
<div class=\'codeBlock\'><pre>biped.setSelectedKey &lt;bipedCtrl&gt; \n\
</pre></div><p>Sets a key at the current frame on the specified controller.</p>\n\
<p>If the biped_ctrl is the biped&#39;s body controller, the key is set on the track corresponding to the current transform type (horizontal, vertical, rotation).</p>\n\
<p>Not applicable in footstep, motion, or mixer mode.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";