var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipedKey : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipedKey : MAXObject</h1>\n\
         </div>\n\
.ikPivots array.<p>\n\
<div class=\'codeBlock\'><pre>&lt;bodykey&gt;.ikPivots Array Deafult: Varies -- Array of Point3 values \n\
</pre></div><p>Array of positions of all the pivot points for the body part.</p>\n\
<div class=\'section\'><a id=\"biped\"></a><h2 id=\"biped\">#biped</h2></div>\n\
<p><span class=\'code\'>#biped</span> type keys do not expose any additional parameters.</p>\n\
<div class=\'section\'><a id=\"head\"></a><h2 id=\"head\">#head</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;headkey&gt;.headBlend Float Default: 0.0 \n\
</pre></div><p>Determines the degree of influence of the lookat target (headObject) on the head&#39;s rotation. At a value of 0, the headObject&#39;s position has no influence on the head&#39;s rotation. At a value of 1, the head will look at the headObject.</p>\n\
<div class=\'section\'><a id=\"prop\"></a><h2 id=\"prop\">#prop</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;propkey&gt;.posSpace Integer Default: 1 \n\
&lt;propkey&gt;.rotSpace Integer Default: varies \n\
</pre></div><p>0 - World (Positioning/rotation is in the world coordinate space)</p>\n\
<p>1 - Body (Positioning/rotation is in the body coordinate space)</p>\n\
<p>2 - Right Hand (Positioning/rotation is in the right hand coordinate space)</p>\n\
<p>3 - Left Hand (Positioning/rotation is in the left hand coordinate space)</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 -90 [0,0,0] -- to add a new key k = biped.addNewKey $&#39;bip001 L clavicle&#39;.controller 10f k = biped.getKey $&#39;bip001 L clavicle&#39;.controller 1 showProperties k k.ikBlend = .5 k.ikSpace = 0 k.ikAnkleTension = .8 k.ikJoinedPivot = false k.ikPivotIndex = 8 k.ikNumPivots k.ikPivots</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";