var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MoFlowTransition : MaxWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MoFlowTransition : MaxWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"moflowtransition-maxwrapper\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>addTransition &lt;from_MoFlowSnippet &gt; &lt;to_MoFlowSnippet &gt; &lt;bool_optimize&gt;      \n\
</pre></div><p>Adds a new MoFlowTransition from the <strong>from_MoFlowSnippet</strong> to the <strong>to_MoFlowSnippet</strong> if one doesn’t already exist.The optimize parameter acts as the &quot;Optimize Selected Transition&quot; in the Motion Flow Editor.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTransition&gt;.fromSnippet MoFlowSnippet Default: Varies   \n\
</pre></div><p>Specifies the MoFlowSnippet transitioning from.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTransition&gt;.toSnippet MoFlowSnippet Default: Varies \n\
</pre></div><p>Specifies the MoFlowSnippet transitioning to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTransition&gt;.active Boolean Default: True -- Read-only \n\
</pre></div><p>Specifies whether the MoFlowTransition is active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTransition&gt;.selected Boolean Default: False \n\
</pre></div><p>Specifies whether the MoFlowTransition line is selected in the Motion Flow Graph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTransition&gt;.tranInfos ArrayDefault: #(MoFlowTranInfo : [X,X]) -- Read-only\n\
</pre></div><p>Array of motion flow transition info blocks (MoFlowTranInfo values). The element of this array used is determined by the <span class=\'code\'>&lt;mfscriptItem&gt;.tranIndex</span> property.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addTranInfo &lt;MoFlowTransition&gt; \n\
</pre></div><p>Adds a new MoFlowTranInfo to the MoFlowTransition and returns the newly created MoFlowTranInfo.</p>\n\
<div class=\'codeBlock\'><pre>deleteTranInfo &lt; MoFlowTransition &gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowTranInfo from MoFlowTransition. If the MoFlowTranInfo is the only MoFlowTranInfo in MoFlowTransition, it is not deleted.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>deleteTransition &lt; MoFlowSnippet &gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowTransition emanating from the MoFlowSnippet.</p>\n\
<div class=\'codeBlock\'><pre>deleteTransitionsTo &lt;from_MoFlowSnippet &gt; &lt;to_MoFlowSnippet &gt; \n\
</pre></div><p>Deletes all transitions that emanate to the specified snippet.</p>\n\
<div class=\'codeBlock\'><pre>computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] \n\
</pre></div><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. redraw:true will redraw the viewports. <span class=\'code\'>incGlobals:true</span> will also include the global motion flow network</p>\n\
<p>Note:</p>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to recomputed the biped motion.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";