var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Quaternions / Euler</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Quaternions / Euler</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-quaternions-euler\"></a></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;biped.getEulerActive &lt;biped_ctrl&gt;   \n\
</pre></div><p>Returns true if the biped is set to use Euler, false if set to use Quaternions.Corresponds to the radio button selectionin the &quot;Quaternion/Euler&quot; rollout of the UI.</p>\n\
<div class=\'codeBlock\'><pre>biped.setQuaternionActive &lt;biped_ctrl&gt;   \n\
</pre></div><p>Sets the Biped controllers to use Quaternions. Corresponds to selecting &quot;Quaternion&quot; in the &quot;Quaternion/Euler&quot; rollout of the UI.</p>\n\
<div class=\'codeBlock\'><pre>biped.setEulerActive &lt;biped_ctrl&gt; \n\
</pre></div><p>Sets the Biped controllers to useEulers. Corresponds to selecting &quot;Quaternion&quot; in the &quot;Quaternion/Euler&quot; rollout of the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;biped.getEulerOrder &lt;biped_ctrl&gt; \n\
</pre></div><p>Returns the Euler Order as a name value. Possible values are#xyz,#xzy,#yzx,#yxz,#zxy,#zyx. Corresponds to the drop-down list in the&quot;Quaternion/Euler&quot;rollout of the UI.</p>\n\
<div class=\'codeBlock\'><pre>biped.setEulerOrder&lt;biped_ctrl&gt; &lt;enum&gt; \n\
</pre></div><p>Sets the Euler Order using the enum name. Possible values are#xyz,#xzy,#yzx,#yxz,#zxy,#zyx. Corresponds to the drop-down list in the&quot;Quaternion/Euler&quot;rollout of the UI.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";