var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Avoid_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Avoid_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"avoid_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Avoid_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 18:0 - classID: #(1071803969, 1253206116) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Avoid_Behavior ... AvoidBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.brakePressure Floatdefault: 2.0 -- animatable; float; Brake_Pressure \n\
</pre></div><p>Determines how strongly the brakes are applied. Higher values induce more gradual and slower stops, but may cause brakes to &quot;pump&quot; in order to slow down.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.detourAngle Floatdefault: 360.0 -- animatable; float; Detour_Angle \n\
</pre></div><p>Maximum necessary turning angle relative to the direction of delegate&#39;s goal that the delegate will steer to avoid rather than slow down and wait.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.displayForce BooleanClass default: true -- boolean; Display_Force \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Avoid behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.forceColor Colordefault: (color 255 0 0) -- RGB color; Force_Color \n\
</pre></div><p>Sets the color used to draw the Avoid force vector during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.hardRadius Floatdefault: 1.0 -- animatable; float; Hard_Radius \n\
</pre></div><p>Distance from center of the delegate(s), where no penetration should occur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.lookAhead Integerdefault: 30 -- animatable; integer; Look_Ahead \n\
</pre></div><p>The number of frames in advance of the current frame that the software looks for potential collisions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.name Stringdefault: &quot;Avoid&quot; -- string \n\
</pre></div><p>The name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.obstacles ArrayParameter default: #() -- node array; SubAnim \n\
</pre></div><p>Any object or objects that the delegates must keep away from. <strong>See Notes below</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.repelFalloff Floatdefault: 3.0 -- animatable; float; Repel_Falloff \n\
</pre></div><p>Higher values cause the repel to fall off to zero more rapidly with distance, thus focusing its effect closer to the delegate&#39;s hard radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.repelRadius Floatdefault: 3.0 -- animatable; float; Repel_Radius \n\
</pre></div><p>Distance from hard radius of delegate where &quot;repel&quot; avoidance is sensed and carried out.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.repelStrength Floatdefault: 0.2 -- animatable; float; Repel_Strength \n\
</pre></div><p>Determines the strength of the repelling force; higher values result in greater repulsion force.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.showHardRadius BooleanClass default: false -- boolean; Show_Hard_Radius \n\
</pre></div><p>Enables display of a wireframe sphere that depicts the extent of the <strong>.hardRadius</strong> setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.showLookAhead BooleanClass default: false -- boolean; Show_Look_Ahead \n\
</pre></div><p>When true, displays a sphere that shows the current distance used to check for potential collisions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.showPotentialCols BooleanClass default: false -- boolean; Show_Potential_Collisions \n\
</pre></div><p>When true, displays a green line from the delegate to the location of a potential collision.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.showRepelActivity BooleanClass default: false -- boolean; Show_Repel_Activity \n\
</pre></div><p>When true, displays a white line between the delegate and target when the repel force is in effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.showRepelRadius BooleanClass default: false -- boolean; Show_Repel_Radius \n\
</pre></div><p>When true, displays a wireframe sphere that depicts the extent of the <strong>.repelRadius</strong> setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.vfieldFalloff Floatdefault: 8.0 -- animatable; float; Vector_Field_Falloff \n\
</pre></div><p>Higher values cause vector field influence to fall off to zero more rapidly with distance, thus focusing its effect closer to the delegate&#39;s hard radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.vfieldStrength Floatdefault: 1.0 -- animatable; float;Vector_Field_Avoid_Strength \n\
</pre></div><p>Higher values result in more severe influence. Delegates will be directed to move perpendicular to the field.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParameter of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Avoid_Behavior&gt;.obstacles \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";