var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CogControl :ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CogControl :ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cogcontrol-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>CogControl - superclass: ReferenceTarget; super-superclass:MAXWrapper - 3:0 - classID: #(852508842, 872572021) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>CogControl...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;cogcontrol&gt;.name String Default: &quot;CognitiveControl&quot;--string \n\
</pre></div><p>The name of the state diagram.</p>\n\
<div class=\'codeBlock\'><pre>&lt;cogcontrol&gt;.startState CrowdState Default: Undefined-- max object; Start_State \n\
</pre></div><p>Set the starting <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdState-ReferenceTarget.html\' title=\'\'>CrowdState</a>.</p>\n\
<p>By default the state that executes first in a cognitive controller is the one that was added first.</p>\n\
<div class=\'codeBlock\'><pre>&lt;cogcontrol&gt;.states ArrayParameter Default: #() --max objectarray \n\
</pre></div><p>All of the states used by this cognitive controller.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CogControl&gt;.states -- array of CrowdState objects \n\
</pre></div><p>If you delete a CrowdState (deleteitem $crowd01.cogcontrols[1].states1), it may still be referenced by either the startState or by a CrowdTransition stored in another CrowdState.</p>\n\
<blockquote>\n\
<p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a StatesArrayParameterelement or the startState to undefined.</p>\n\
<p><strong>NEVER</strong> set a StatesArrayParameterelement or the startState to anything other than a CrowdState.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";