var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Orientation_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Orientation_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"orientation_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Orientation_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(592018700, 1890584360) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Orientation_Behavior ... OrientationBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.name String Default: &quot;Orientation&quot; \n\
&lt;Orientation_Behavior&gt;.headingRelative Boolean Default: False \n\
&lt;orientation_behavior&gt;.minheading  Float Default: -180.0 Alias: HeadingMin - animatable \n\
</pre></div><p>The minimum permissible heading. This number should be lower than the Min Heading value. Range=-180 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxheading Float Default: 180.0 -HeadingMax - animatable \n\
</pre></div><p>The maximum permissible heading. This number should be higher than the Min Heading value. Range=-180 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxHeadingVel  Float Default: 180.0 Alias: maxHeadingVelocity - animatable \n\
</pre></div><p>Specifies how much the delegate&#39;s heading can change per frame. This controls angular acceleration and deceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.headingresponse Float Default: 1.0 - animatable \n\
</pre></div><p>Determines how quickly the heading follows the direction the object is moving in. A value of 1.0 indicates maximum responsiveness, and will point in the direction the delegate is moving while a lower value means that it is less responsive. Range=0 to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.minpitch Float Default: -180.0 Alias: PitchMin - animatable \n\
</pre></div><p>The minimum number of degrees a delegate can incline or decline. This number should be lower than the Max Pitch value. Range=-180 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxpitch Float Default: 180.0 Alias: PitchMax - animatable \n\
</pre></div><p>The maximum number of degrees a delegate can incline or decline. This number should be higher than the Min Pitch value. Range=-180 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxpitchVel Float Default: 1.0 Alias: maxPitchVelocity - animatable \n\
</pre></div><p>Specifies how much the delegate&#39;s pitch can change per frame. This controls angular acceleration and deceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.pitchresponse Float Default: 1.0 - animatable \n\
</pre></div><p>Determines how quickly the pitch follows the direction the object is moving in. A value of 1.0 indicates maximum responsiveness while a lower value means that it is less responsive. Range=0 to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxbank Float Default: 30.0 - animatable \n\
</pre></div><p>The maximum number of degrees the delegate can bank.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.maxbankAccel Float Default: 3.0 Alias: MaxBank_Change - animatable \n\
</pre></div><p>The maximum number of degrees the delegate&#39;s bank angle can change per frame. This controls angular acceleration and deceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;orientation_behavior&gt;.bankPerTurn Float Default: 1.0 - animatable \n\
</pre></div><p>The number of degrees the delegate will bank as a function of the turn angle at the current frame. For example, if Bank per Turn=1, the delegate will bank one degree for every degree it is turning at a given frame.</p>\n\
<p>Note:</p>\n\
<p>If this behavior is active, it controls the orientation of the delegate by allowing the animator to specify limits and responsiveness on the pitch and heading of the object.</p>\n\
<p>The animator can limit the min and max values, the rate, and can also set a &#39;response&#39; value which controls how quickly the pitch or heading follows the direction the object is moving in. A value of 1.0 means it&#39;s responsive, and will point in the direction the delegate is moving (within the limits), while a lower value means that it is less responsive. It also calculates the roll, which is done using the same parameters that the default behavior does.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";