var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Repel_Behavior :ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Repel_Behavior :ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"repel_behavior-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Repel_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 11:0 - classID: #(2016560612, 1924862305) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Repel_Behavior ... RepelBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.name String Default: &quot;Repel&quot; \n\
</pre></div><p>Get/set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.repulsionSources ArrayParameter Default: #() -- node array \n\
</pre></div><p>See Notes below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.targetComp Integer Default: 0 \n\
</pre></div><p>0-Closest Source : Each delegate is repelled by the closest of the assigned sources. Use this to have delegates assigned a single Repel behavior move away from sources in different directions.</p>\n\
<p>1-Average of Sources : All delegates head to a common point determined by averaging all sources&#39; locations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.repelMethod Integer Default: 0 -- animatable \n\
</pre></div><p>0 - <strong>Angle</strong>: Applies a force to the delegate based on the angle between the delegate&#39;s current direction and the direction it would need to take in order to be moving directly away from the source. If the behavior&#39;s Weight is set to 1, the delegate will be given a force that points directly away from the source. If Weight is set to .5, the force will bisect the angle between its current direction and the direction opposite that of the source.</p>\n\
<p>1 - <strong>Force</strong>: Always applies a force directly away from the source, but at different magnitudes. If the behavior&#39;s Weight is 1, the magnitude of the force will be the average speed. If the Weight is .5, the magnitude of the force will be half the average speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.useRadiiBoolean Default: True \n\
</pre></div><p>When true, the behavior applies only to delegates closer to the target than the Outer Distance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.innerRadiusFloat Default: 0.0 -- animatable \n\
</pre></div><p>The distance from the target at which the force is applied at full strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.outerRadius Float Default: 10.0 - animatable \n\
</pre></div><p>The distance from the target at which the force begins to be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.falloff Float Default: 2.0 -- animatable \n\
&lt;Repel_Behavior&gt;.forceColor Color Default: (color 255 0 255) \n\
</pre></div><p>The color used to draw the Repel force vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.showRadii Boolean Default: True \n\
</pre></div><p>When true, the radii are displayed when the force is active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.displayForce Boolean Default: True \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Repel behavior is drawn in the viewports as a vector during the simulation solution. If Use Radii is turned on, the radii are also displayed when the force is active.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Repel_Behavior&gt;.repulsionSources \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";