var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Seek_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Seek_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"seek_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Seek_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 11:0 - classID: #(1058553876, 702153735) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Seek_Behavior ... SeekBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.name String Default: &quot;Seek&quot; \n\
</pre></div><p>Get/Set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.targets ArrayParameter Default: #() -- node array \n\
</pre></div><p>See Notes below.</p>\n\
<p>Specify the object or objects as a stationary or moving target for delegates. Delegates move toward the target during the crowd simulation while turning as necessary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.targetCompInteger Default: 0 \n\
</pre></div><p>0 - Closest Source Only: Each delegate seeks the closest of the assigned targets. Use this to have delegates assigned a single Seek behavior move in different directions.</p>\n\
<p>1 - Average of Sources: All delegates head to a common point determined by averaging all targets&#39; locations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.seekMethod Integer Default: 0 -- animatable \n\
</pre></div><p>0 - <strong>Angle</strong>: Applies a force to the delegate based on the angle between the delegate&#39;s current direction and the direction it would need to take in order to be moving directly towards the goal. If the Weight of the Seek behavior is 1, the delegate will be given a force that points directly towards the goal. If it&#39;s .5 it will bisect the angle between its current direction and the direction of the goal.</p>\n\
<p>1 - <strong>Force</strong>: Applies a force in the direction of the goal always, but at different magnitudes. If the Weight of the Seek behavior is 1, the magnitude of the force will be the average speed. If the Weight of the Seek behavior is .5, the magnitude of the force will be half the average speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.forceColor Color Default: (color 0 255 0) \n\
</pre></div><p>The color used to draw the Seek force vector during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;seek_behavior&gt;.displayForce Boolean Default: True \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Seek behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.useRadii Boolean Default: False \n\
</pre></div><p>When true, the Seek behavior applies only to delegates less than the Outer Radius distance from the target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.showRadii Boolean Default: True \n\
</pre></div><p>When true, the radii are displayed when the force is active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.innerRadius Float Default: 0.0 -- animatable \n\
</pre></div><p>The distance from the target at which Seek is applied at full strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.outerRadius Float Default: 10.0 -- animatable \n\
</pre></div><p>The distance from the target at which Seek begins to be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.falloff  Float Default: 2.0 -- animatable \n\
</pre></div><p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seek_Behavior&gt;.targets \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";