var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Speed_Vary_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Speed_Vary_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speed_vary_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Speed_Vary_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 8:0 - classID: #(208494708, 1851328878) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Speed_Vary_Behavior ... SpeedVaryBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.name String Default: &quot;Speed Vary&quot; \n\
</pre></div><p>Get/set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.period Integer Default: 10 -- animatable \n\
</pre></div><p>Specifies how many frames should elapse before a new speed is chosen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.period_deviation Float Default: 0.5 -- animatable; Alias: Period_Deviation \n\
</pre></div><p>Specifies the maximum amount by which Period should vary. Each time a period ends, character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Period setting, and adds the result to Period. Range=0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.center_speed Float Default: 1.0 -- animatable; Alias: Center_Speed \n\
</pre></div><p>Specifies the speed the delegate should change to. Center is a multiplier: A value of 0.0 means to stop, a value of 1.0 means to move at its average speed, and a value greater than 1.0 means to move faster than its average speed. Range=0.0 to 99,999.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.speed_deviation Float Default: 0.25 -- animatable; Alias: Speed_Deviation \n\
</pre></div><p>Specifies the maximum amount by which the delegate&#39;s calculated speed (Average Speed * Center) should vary. Each time a period ends, character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the calculated speed, and adds the result to the calculated speed. Range=0.0 to 99,999.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.seed Integer Default: 1 -- animatable; Alias: Speed_Vary_Seed \n\
</pre></div><p>Specifies a seed value for randomizing the Wander behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.accelPeriod Float Default: 0.5 -- animatable; Alias: Acceleration_Period \n\
</pre></div><p>Specifies the rate at which the delegate&#39;s speed should change. An acceleration of 1.0 means that the transition to the new speed will proceed as quickly as possible to its new speed, while a value of 0.0 means the transition will take the entire period. Range=0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;speed_vary_behavior&gt;.accelDeviation Float Default: 0.5 -- animatable; Alias: Acceleration_Deviation \n\
</pre></div><p>Specifies the maximum amount by which the delegate&#39;s calculated speed (Average Speed * Center) should vary. Each time a period ends, character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the calculated speed, and adds the result to the calculated speed. Range=0.0 to 99,999.0.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";