var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Surface_Arrive_Behavior :ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Surface_Arrive_Behavior :ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"surface_arrive_behavior-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Surface_Arrive_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 26:0 - classID: #(942174387, 1612215883) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Surface_Arrive_Behavior ... SurfaceArriveBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.name String Default: &quot;Surface Arrive&quot; \n\
</pre></div><p>Get/set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.surfaces ArrayParameter Default: #() -- node array \n\
</pre></div><p>See Notes below</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.disableAfterArriving Boolean Default: True \n\
</pre></div><p>When true, turns off the Surface Arrive behavior after the delegate arrives at the surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.rate Float Default: 0.5 -- animatable \n\
</pre></div><p>A multiple of the delegate&#39;s Max Accel setting that specifies the acceleration with which it will try to arrive. A value of 1.0 uses the full acceleration of the delegate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.rateDeviation Float Default: 0.0 -- animatable \n\
</pre></div><p>Adds a variation to the to the rate setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.speed Float Default: 0.0 -- animatable \n\
</pre></div><p>The speed at which to arrive and relative to the speed of the target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.speedDeviationFloat Default: 0.0 -- animatable \n\
</pre></div><p>Adds a variation to the to the speed setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.distance Float Default: 1e+008 -- animatable \n\
</pre></div><p>The maximum radial distance from the target within which the behavior will be active. Until the delegate is within this radius, the behavior will have no influence.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.distanceDeviation Float Default: 0.0 -- animatable \n\
</pre></div><p>Adds a variation to the to the distance setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.offset Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies a consistent distance from the calculated arrival point, based on the surface normal, for the delegate to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.facing Boolean Default: False -- animatable \n\
</pre></div><p>When true, the delegate will try to arrive only at points on triangles on the surface that are facing it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.random_closest Integer Default: 0 \n\
</pre></div><p>0 - <strong>Random</strong>: The software chooses a random point on the target surface as the arrival point.</p>\n\
<p>1 - <strong>Closest</strong>: The software chooses the closest point on the target surface as the arrival point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.everyFrame Boolean Default: False -- animatable \n\
</pre></div><p>When true, the software chooses arrival points for delegates at every frame. Available only when Closest is chosen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.displayOffset Boolean Default: False \n\
</pre></div><p>When true, shows the Offset distance as lines emanating from each vertex in the surface object, perpendicular to the surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.height Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies a distance from the arrival point along its face normal. This is the point that the delegate will go to first before descending to the arrival point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.heightDeviation Float Default: 0.0 -- animatable \n\
</pre></div><p>Adds random variation to the to the Height setting. See introduction for the formula used to calculate the deviation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.descentStart Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies the distance between the delegate and the arrival point at which the descent should start.</p>\n\
<p>Note:</p>\n\
<p>Be careful that Descent Start is set high enough that the delegate won&#39;t overshoot when descending because its speed is too high and deceleration too low, compared to when it should start descending.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.descentstartDeviation Float Default: 0.0 -- animatable \n\
</pre></div><p>Adds a variation to the to the Descent Start setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.useNormal Boolean Default: False Alias: Off_This_Normal \n\
</pre></div><p>When true, use vector specified in the <span class=\'code\'>.xNormal</span> , <span class=\'code\'>.yNormal</span> , and <span class=\'code\'>.zNormal</span> to specify the angle at which the final approach occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.xNormal Float Default: 0.0 -- animatable; Alias: X_Normal \n\
</pre></div><p>Specify the final approach X value for the vector in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.yNormal Float Default: 0.0 -- animatable; Alias: Y_Normal \n\
</pre></div><p>Specify the final approach Y value for the vector in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.zNormal Float Default: 1.0 -- animatable; Alias: Z_Normal \n\
</pre></div><p>Specify the final approach Z value for the vector in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.seed Integer Default: 1 -- animatable \n\
</pre></div><p>Affects the random numbers used to calculate the Deviation settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.targetColor Color Default: (color 0 0 127.5) \n\
</pre></div><p>The color used to draw the target icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.displayTarget Boolean Default: True \n\
</pre></div><p>When true, displays the target icon which appears during the solution when a new interim goal is calculated for the delegate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.targetScal e Float Default: 5.0 -- animatable \n\
</pre></div><p>Specifies the overall size of the target icon.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>SurfaceArriveBhvr.Getstate &lt;Surface_Arrive_Behavior&gt; &lt;delegate_node&gt; \n\
</pre></div><p>Returns an integer value giving the state the delegate is in with respect to the Surface_Arrive_Behavior. A return value of -1 means that the delegate isn&#39;t active for that state, 0 means that the delegate is outside the distance radius and so isn&#39;t arriving, 1 means that the delegate is in the process of arriving, and 2 means that the delegate has arrived. If &#39;Disable After Arriving&#39; is TRUE, the delegates will never reach state 2.</p>\n\
<p>The main purpose of this funtion is so that the &#39;State&#39; of a delegate as it arrives to a surface can be determined from MAXScript. It can be used for both the cognitive controller transitions as well as the script definable in MotionClips. See the <strong>ClipState Dialog</strong> and the <strong>Cognitive Controller</strong> topics in the <strong>character studio 3</strong> online reference for more details.</p>\n\
<div class=\'codeBlock\'><pre>Track View &gt; Global Tracks &gt; Block Control &gt; GlobalClip Properties &gt; Synthesis dialog &gt; State Tab &gt; New State &gt; Edit Properties &gt; ClipState dialog Select a Crowd helper. &gt; Modify panel &gt; Global Clip Controllers rollout &gt; New &gt; Choose GlobalClip object. &gt; Select object in list. &gt; Edit &gt; Synthesis dialog &gt; State Tab &gt; New State &gt; Edit Properties &gt; Clip State dialog\n\
Create panel &gt; Helpers &gt; Object Type rollout &gt; Crowd &gt; Setup rollout &gt; Cognitive Controllers Select a Crowd object. &gt; Modify panel &gt; Setup rollout &gt; Cognitive Controllers\n\
SurfaceArriveBhvr.getPos &lt;Surface_Arrive_Behavior&gt; &lt;delegate_node&gt; \n\
</pre></div><p>Returns a Point3 value of the position that the delegate is arriving to at the time the function is called.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Arrive_Behavior&gt;.surfaces \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";