var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wander_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wander_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wander_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wander_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(788099210, 485035844) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Wander_Behavior ... WanderBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.name String Default: &quot;Wander&quot; -- string \n\
</pre></div><p>Get/Set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.period Integer Default: 10 -- animatable; Alias: Wander_Period \n\
</pre></div><p>Specifies how many frames should elapse before a new direction is chosen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.periodDeviation Float Default: 0.5 -- animatable; Alias: Wander_Period_Deviation \n\
</pre></div><p>Specifies the maximum amount by which Period should vary. Each time a period ends, character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Period setting, and adds the result to Period. Range=0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.turnAngle Float Default: 0.5 -- animatable \n\
</pre></div><p>Specifies how far to turn when changing direction. A small value means to change direction only by a small amount, while as the value approaches 1.0 it will randomly turn in any direction. Range=0.5 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.turnPeriod Float Default: 0.5 -- animatable \n\
</pre></div><p>Specifies how long over the current period it takes to turn. A value of 0.0 means that it will rotate as quickly as possible to face a direction and then travel in that a direction, while a value of 1.0 means it will take the entire period to rotate in that direction. Range=0.5 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.turnPeriodDeviation Float Default: 0.5 -- animatable \n\
</pre></div><p>Specifies the maximum amount by which Angle should vary. Each time a period ends, character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Angle setting, and adds the result to Angle. Range=0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.seed Integer Default: 1 -- animatable \n\
</pre></div><p>Specifies a seed value for randomizing the Wander behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.forceColor Color Default: (color 0 255 255) \n\
</pre></div><p>The color used to draw the Wander force vector during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wander_behavior&gt;.displayForce Boolean Default: True -- boolean; Alias: Display_Force \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Wander behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";