var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Crowd : helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Crowd : helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowd-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Crowd - superclass: helper; super-superclass:node - 28:0 - classID: #(1611940610, 1128617348) \n\
<blockquote>\n\
</blockquote></pre></div><p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Value-Common-Properties.html\' title=\'\'>Value</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>Node</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Node-1.html\' title=\'\'>Helper</a>&gt; Crowd</p>\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>crowd ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.simStart Integer Default: 0 \n\
</pre></div><p>The first frame of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.solveStart Integer Default: 0 \n\
</pre></div><p>The frame at which you begin solving.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.solveEnd Integer Default: 100 \n\
</pre></div><p>Specifies the last frame considered for the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.deleteKeys Boolean Default: False \n\
</pre></div><p>When true, Crowd deletes the keys of active delegates in the range over which the solution takes place.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.saveNthPos Integer Default: 1 \n\
</pre></div><p>Saves every nth position frame after the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.saveNthRot Integer Default: 1 \n\
</pre></div><p>Saves every nth rotation frame after the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.flashing Boolean Default: True Alias: Hilite_Delegates_During_Assignments \n\
&lt;crowd&gt;.vectorScale Float Default: 1.0 \n\
</pre></div><p>Globally scales all force and velocity vectors that are displayed during the simulation. Scaling vectors up helps to see them better when they are very small. It does not effect the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.useScript Boolean Default: False \n\
</pre></div><p>When true, Crowd executes a script at each frame of the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.functionName String Default: &quot;PerFrameFn&quot; Alias: Script_Context_Name \n\
</pre></div><p>The name of the function to be executed. This name must also be specified in the script.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.script String Default: Undefined \n\
&lt;Crowd&gt;.update Boolean Default: True Alias: Update_Display_During_Solve \n\
</pre></div><p>When true, motion produced during solution of a crowd simulation appears in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.updateFrequency Integer Default: 1 \n\
</pre></div><p>How often the display is updated during the solution. If 1, the update occurs every frame. If 2, the update occurs every other frame, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.solveForBipeds Boolean Default: False \n\
</pre></div><p>When on, only biped/delegates are included in the computation. Also, the options to use priorities and backtracking become available. These options are available only for biped-only computations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.usePriorities Boolean Default: False \n\
</pre></div><p>When on, biped/delegates are computed one delegate at a time, in order of their Priority values, from lowest to highest. Also, backtracking becomes available and Step Solve becomes unavailable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.backtracking Boolean Default: False \n\
</pre></div><p>Turns on backtracking functionality when solving a crowd simulation that uses bipeds. When Backtracking is on during the solution, in the case of an impending collision between bipeds, the Crowd system will back up the simulation to the beginning of the current clip, and then try a different traversal of the lower-priority delegate/biped&#39;s motion flow graph. If necessary, the system will back up two or more clips.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.showCollisions Boolean Default: False Alias: ClearColl \n\
</pre></div><p>When true the delegates that collide are highlighted in the collision color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.whenToShowCollisions Integer Default: 0 \n\
</pre></div><p>0 - only during collisions - Colliding delegates are highlighted only in frames in which they actually collide.</p>\n\
<p>1 - always - Colliding delegates are highlighted in frames in which they collide and all subsequent frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.collisionColor Color Default: (color 255 0 0) \n\
</pre></div><p>The color swatch indicates the color used to highlight colliding delegates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.IconSize Float Default: 0.0 \n\
&lt;crowd&gt;.behaviors ArrayParameter Default: #() \n\
</pre></div><p>Array of Behavior objects</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.teams ArrayParameter Default: #() \n\
</pre></div><p>Array of Team objects</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.assignments ArrayParameter Default: #() \n\
&lt;crowd&gt;.cogcontrols ArrayParameter Default: #() Alias: Cognitive_Controllers \n\
</pre></div><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/CogControl-ReferenceTarget.html\' title=\'\'>CogControl : MAXObject</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.scatter MAXObject Default: Scatter_Parameters \n\
</pre></div><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdScatter-ReferenceTarget.html\' title=\'\'>CrowdScatter:</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.objAssoc MAXRefTarg Default: ObjAssoc Alias: Object_Delegate_Associations_Parameters \n\
</pre></div><p>Display the dialog to link any number of delegate-object pairs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd&gt;.smooth MAXRefTarg Default: Smooth Alias: Smoothing_Parameters \n\
</pre></div><p>Display the Smoothing dialog to smooth existing animation keys on a solved simulation to create more natural-looking animation</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.priority MAXRefTarg Default: Priority -- Read-only; Alias: Priority_Parameters \n\
</pre></div><div class=\'section\'><a id=\"objassoc-properties\"></a><h2 id=\"objassoc-properties\">ObjAssoc Properties</h2></div>\n\
<p>These properties correspond to the Object / Delegate dialog displayed by clicking the Associate Objects with Delegates icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt; Crowd.objAssoc&gt;.objects ArrayParameter Default: #() -- node array \n\
</pre></div><p>Array of linked Objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt; Crowd.objAssoc&gt;.delegates ArrayParameter Default: #() -- node array \n\
</pre></div><p>Array of linked delegates.</p>\n\
<div class=\'codeBlock\'><pre>&lt; Crowd.objAssoc&gt;.alignScale Boolean Default: True \n\
</pre></div><p>When true, Align Objects with Delegates sets each object&#39;s absolute scaling factor to that of its corresponding delegates. This is useful if, for example, you&#39;ve randomized delegates&#39; sizes with the Scatter Objects Scale panel, and want the associated objects to match.</p>\n\
<div class=\'section\'><a id=\"smooth-properties\"></a><h2 id=\"smooth-properties\">Smooth Properties</h2></div>\n\
<p>These properties correspond to the Smoothing rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.objects ArrayParameter Default: #() -- node array; Alias: Objects_to_Smooth \n\
</pre></div><p>Specify which objects&#39; positions and/or rotations to smooth.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.filterDelegates Boolean Default: True Alias: Filter_Delegate_Selection \n\
</pre></div><p>When true, the Select dialog opened by the Select Objects to Smooth button shows only delegates. When off, it shows all scene objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.wholeAnim Integer Default: 0 \n\
</pre></div><p>0 - Whole Animation: Smoothes all animation frames.</p>\n\
<p>1 - Animation Segment: Smoothes only the frame ranges specified in the From and To fields.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.from Integer Default: 0 Alias: smooth_from_frame \n\
</pre></div><p>When Animation Segment is chosen, specifies the first animation frame for smoothing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.to Integer Default: 0 Alias: smooth_to_frame \n\
</pre></div><p>When Animation Segment is chosen, specifies the last animation frame for smoothing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.positions Boolean Default: True Alias: Smooth_positions \n\
</pre></div><p>When true, selected objects&#39; animation paths generated via the simulation are smoothed after the simulation has finished.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.rotations Boolean Default: True Alias: Smooth_rotations \n\
</pre></div><p>When true, selected objects&#39; rotations generated via the simulation are smoothed after the simulation has finished.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.smooth&gt;.filter Boolean default: false Alias: Perform_Filtering \n\
&lt;Crowd.smooth&gt;.futurekeys Integer default: 2 Alias: Future_Keys \n\
&lt;Crowd.smooth&gt;.n Integer default: 2 Alias: Keep_every_Nth_frame \n\
&lt;Crowd.smooth&gt;.pastkeys Integer default: 2 Alias: Past_Keys \n\
&lt;Crowd.smooth&gt;.smoothness Integer default: 4 \n\
&lt;Crowd.smooth&gt;.reduce Boolean default: true Alias: Perform_Key_Reduction \n\
</pre></div><div class=\'section\'><a id=\"priority-properties\"></a><h2 id=\"priority-properties\">Priority Properties</h2></div>\n\
<p>These properties correspond to the Priority rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.priority&gt;.start Integer Default: 0 \n\
&lt;Crowd.priority&gt;.delegates ArrayParameter Default: #() -- node array \n\
&lt;Crowd.priority&gt;.object Node Default: Undefined \n\
&lt;Crowd.priority&gt;.grid Node Default: Undefined \n\
&lt;Crowd.priority&gt;.increment Integer Default: 0 \n\
&lt;Crowd.priority&gt;.showPriorities Boolean Default: False \n\
&lt;Crowd.priority&gt;.showStartFrames Boolean Default: False\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";