var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mixer Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mixer Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mixer-class\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.balanceMute: boolean    \n\
.balanceLateralRatio: float (0.0 - 1.0)   \n\
.balancePropagation: float (0.0 - 1.0) \n\
.numTrackgroups: integer, not settable \n\
.mixType: string (#mixdown|#rawmix) \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getTrackgroup &lt;mixer:mixer&gt; &lt;index:integer&gt;, \n\
</pre></div><p>If index is in correct range, this returns an mxtrackgroup. Otherwise, it returns false.</p>\n\
<div class=\'codeBlock\'><pre>appendTrackgroup &lt;mixer:mixer&gt; \n\
</pre></div><p>This appends a trackgroup to the end of the trackgroup array. The new trackgroup will appear at the top of all the trackgroups. Returns true.</p>\n\
<div class=\'codeBlock\'><pre>insertTrackgroup &lt;mixer:mixer&gt; &lt;index:integer&gt; \n\
</pre></div><p>If index is in the correct range, this inserts a new trackgroup at that index. An index of 1 is the lowest trackgroup. Returns true if the index is in the correct range. Otherwise it returns false.</p>\n\
<div class=\'codeBlock\'><pre>deleteTrackgroup &lt;mixer:mixer&gt; &lt;index:integer&gt; \n\
</pre></div><p>If index is in the correct range, this deletes the trackgroup at that index. An index of 1 is the lowest trackgroup. Returns true if trackgroup was deleted, false if not.</p>\n\
<div class=\'codeBlock\'><pre>mixdown&lt;mixer&gt; &lt;KeyPerFrame:boolean&gt; &lt;EnforceIkConstraints:boolean&gt; &lt;ContinuityRange:integer&gt; &lt;FilterHyperExtLegs:boolean&gt; &lt;MaxKneeAngle:float&gt; \n\
</pre></div><p>ContinuityRange must be between 0 and 100. MaxKneeAngle must be between 0 and 180. This will perform a mixdown. If successful, it returns true. Otherwise, it returns false.</p>\n\
<div class=\'codeBlock\'><pre>copyMixdownToBiped &lt;mixer:mixer&gt; \n\
</pre></div><p>This copies the mixdown to the biped. Returns false if there is no mixdown. Otherwise, returns true.</p>\n\
<div class=\'codeBlock\'><pre>saveMixFile &lt;filename:string&gt; \n\
</pre></div><p>This saves a .mix file. Returns true if successful, false if not.</p>\n\
<div class=\'codeBlock\'><pre>loadMixFile &lt;filename:string&gt; \n\
</pre></div><p>This loads a .mix file. Returns true if successful, false if not.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";