var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MxTrackGroup Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MxTrackGroup Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mxtrackgroup-class\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>name: string     \n\
numTracks: integer, not settable   \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getTrack &lt;trackgroup:mxtrackgroup&gt; &lt;index:integer&gt; \n\
</pre></div><p>If index is in the correct range, this returns an mxtrack. Otherwise, it returns false.</p>\n\
<div class=\'codeBlock\'><pre>getFilter &lt;trackgroup: mxtrackgroup&gt; &lt;trackid:string&gt; \n\
\n\
trackid must have one of the following values:#lftArm, #rgtArm, #lftHand, #rgtHand, #lftFoot, #rgtFoot, #lftLeg, #rgtLeg, #lftPony, #rgtPony, #head, #horizontal, #vertical, #rotation, #spine, #pelvis, #tail, #prop1, #prop2, #prop3. \n\
</pre></div><p>This returns true or false, depending on whether the indicated track is on or off in the trackgroup&#39;s filter.</p>\n\
<div class=\'codeBlock\'><pre>setFilter &lt;trackgroup: mxtrackgroup&gt; &lt;trackid:string&gt; &lt;onOff:boolean&gt; \n\
</pre></div><p>trackid must have one of the values listed above. This turns the filter on or off for one of the tracks. If the track is not one of the accepted strings, this returns false. Otherwise, it returns true.</p>\n\
<div class=\'codeBlock\'><pre>cleartrackgroup &lt;trackgroup: mxtrackgroup&gt; \n\
</pre></div><p>This deletes all clips from the trackgroup.</p>\n\
<div class=\'codeBlock\'><pre>appendTrack &lt;trackgroup: mxtrackgroup&gt; &lt;tracktype:string&gt; \n\
\n\
tracktype must be either #layertrack or #transtrack . \n\
</pre></div><p>This appends a track of the specified type to the end of the track array. The new track will appear at the top of all the tracks in the trackgroup. Returns true.</p>\n\
<div class=\'codeBlock\'><pre>insertTrack &lt;trackgroup: mxtrackgroup &gt; &lt;index:integer&gt; &lt;tracktype:string&gt; \n\
\n\
tracktype must be either #layertrack or #transtrack . \n\
</pre></div><p>If index is in the correct range, this inserts a new track of the specified type at that index. An index of 1 is the lowest track in the trackgroup. Returns true if the index is in the correct range. Otherwise returns false.</p>\n\
<div class=\'codeBlock\'><pre>deleteTrack &lt;trackgroup: mxtrackgroup &gt; &lt;index:integer&gt; \n\
</pre></div><p>If index is in the correct range, this deletes the track at that index.</p>\n\
<p>An index of 1 is the lowest track in the trackgroup. You are not allowed to delete the last track in a trackgroup, since trackgroups without tracks are not allowed. You can clear the track of clips using ClearTrack(). Returns true if track was deleted, false if not..</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";