var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The Character Studio Motion Mixer</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The Character Studio Motion Mixer</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-character-studio-motion-mixer\"></a></div>\n\
<p>This topic describes how to manipulate the Character Studio motion mixer using MAXScript.</p>\n\
<p>There are five MAXScript classes which make up the mixer.</p>\n\
<p>They are:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/Mixer-Class.html\' title=\'\'>Mixer Class</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/MxTrackGroup-Class.html\' title=\'\'>MxTrackGroup Class</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/MxTrack-Class.html\' title=\'\'>MxTrack Class</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/MxClip-Class.html\' title=\'\'>MxClip Class</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/themixer-const-StructDef.html\' title=\'\'>Mixermanager - themixer</a></p>\n\
<p>The first four classes access a single mixer and its various parts.</p>\n\
<p>The last class,mixermanager, accesses the overall mixer display,affecting all mixers.</p>\n\
<p>Most of the Mixer MAXScript methods work the same way as the mixer user interface. There are a few exceptions. The user interface does not allow the user to overlap clips,while some MAXScript properties and functions make it possible to overlap clips. This is not advisable. All mixer MAXScriptproperties and functions take into accountthe snap to frames variableas well as the lock transitions variable, both settable in the <strong>mixermanager</strong> or the user interface.They donot, however,take into account the snap to clips variable, both for technical reasons and because this is moreof a user interface feature.</p>\n\
<p>Below is some code to access a biped’s mixer. Once you have the mixer, you can manipulate it using its functions and properties. And you can go deeper into the mixer by using its functions to access trackgroups, then tracks, and then clips.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b = $bip01 c = b.transform.controller m = c.mixer</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";