var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXWrapper : Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXWrapper : Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxwrapper-value\"></a></div>\n\
<p>The <strong>MAXWrapper</strong> class is the superclass of all classes in MAXScript that represent <strong>3ds Max</strong> objects, such as scene nodes, modifiers, materials, etc.</p>\n\
<p>MAXWrapper values contain references to the associated <strong>3ds Max</strong> objects that allow it keep track of the object.</p>\n\
<p>This allows MAXScript to know when a <strong>3ds Max</strong> object is transformed, deleted by the user, or its properties are changed.</p>\n\
<p>The <strong>properties</strong>, <strong>operators</strong>, and <strong>methods</strong> that are common to all classes derived directly from the MAXWrapper class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
<p>The following classes are derived directly from the MAXWrapper class.</p>\n\
<p>Other classes are derived from these classes, and inherit the properties and methods defined for the MAXWrapper class.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";