var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Note Track Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Note Track Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"note-track-access\"></a></div>\n\
<p>All MAXWrapper objects can have one or more note tracks assigned to them.</p>\n\
<p>These note tracks are visible in Track View as children of the MAXWrapper object.</p>\n\
<p>Note tracks provide a way for plug-ins to attach data to any <strong>3ds Max</strong> object in a scene, such as nodes, materials, modifiers, controllers, etc., that is permanently stored with that object in the <strong>3ds Max</strong> scene file.</p>\n\
<p>This data is stored in note keys, and a note track can contain any number of note keys.</p>\n\
<p>The structure of note tracks is similar to the structure of key-able animation controllers.</p>\n\
<p>A note track is an instance of the class, and has a property called <span class=\'code\'>keys</span> .</p>\n\
<p>The value returned by accessing the <span class=\'code\'>keys</span> property is a <span class=\'code\'>MAXNoteKeyArray</span> .</p>\n\
<p>The <span class=\'code\'>MAXNoteKeyArray</span> contains the note keys.</p>\n\
<p>The keys themselves are accessed as if the <span class=\'code\'>MAXNoteKeyArray</span> was an array.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";