var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material : MAXWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material : MAXWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material-maxwrapper\"></a></div>\n\
<p>The Material class represents the materials which you can assign to objects in <strong>3ds Max</strong>. You can create materials like standard, blend, and raytrace, access various properties on them, and assign these materials to <strong>3ds Max</strong> objects.</p>\n\
<p>The classes derived directly from the Material class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Material-Types-1.html\' title=\'\'>Material Types</a>. Other classes are derived from these classes, and inherit the properties and methods defined for the Material class.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the Material class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\' title=\'\'>Material Common Properties, Operators, and Methods</a>.</p>\n\
<p>The Material class is derived from the MAXWrapper class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\' title=\'\'>MAXWrapper</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";