var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DoubleSided : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DoubleSided : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"doublesided-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>DoubleSided - superclass: material; super-superclass:MAXWrapper - classID: #(528, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>doubleSided...   \n\
doubleSidedMat... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DoubleSided&gt;.translucency Float default: 0.0 -- animatable \n\
</pre></div><p>The amount that one material shows through the other.</p>\n\
<p>This is a percentage that can range from 0.0 to 100.0.</p>\n\
<p>At 100 percent, the outer material is visible on inner faces and the inner material is visible on outer faces.</p>\n\
<p>At intermediate values, the specified percentage of the inner material &quot;bleeds through&quot; and is visible on outer faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DoubleSided&gt;.material1 Material default: Standard -- alias: Material_1 \n\
</pre></div><p>The facing material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DoubleSided&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>Turn on/off display of the facing material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DoubleSided&gt;.material2 Material default: Standard -- alias: Material_2 \n\
</pre></div><p>The back material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DoubleSided&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>Turn on/off display of the back material.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";