var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>InkNPaint : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>InkNPaint : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"inknpaint-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>InkNPaint - superclass: material; super-superclass:MAXWrapper - classID: #(27793050, 1295605925) \n\
</pre></div><p>The InkNPaint Cartoon shading material uses the raytracer and provides a wide range of controls over inking and painting.</p>\n\
<p>Note:</p>\n\
<p>Certain advanced features of this material are accessible only through MAXScript.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>InkNPaint...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.backface_error_color Color default: (color 0 255 255) \n\
</pre></div><p>Get/Set the backface error flag color.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.backface_error_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the backface error coloring.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.bump_MapTextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the bump map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.bump_map_amt Float default: 30.0 -- animatable; float \n\
</pre></div><p>Get/Set the bump map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.bump_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable bump mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.color1 Color default: (color 0 0 0) -- animatable; Ink_Color \n\
</pre></div><p>Get/Set the Ink Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.dsp_Map TextureMap default: undefined -- texmap; Dsp__Map \n\
</pre></div><p>Get/Set the displacement map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.dsp_map_amt Float default: 20.0 -- animatable; float; Dsp__Map_Amt \n\
</pre></div><p>Get/Set the displacement map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.dsp_map_on Boolean default: false -- boolean; Dsp__Map_On \n\
</pre></div><p>Enable/Disable displacement mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_ink_color Color default: (color 0 0 0) -- animatable; Internal_Ink_Color \n\
</pre></div><p>Get/Set the Ink Color for internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_ink_Map TextureMap default: undefined -- texmap; Internal_Map \n\
</pre></div><p>Get/Set the Ink Map for internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_ink_map_amt Float default: 100.0 -- animatable; float; Internal_Map_Amt \n\
</pre></div><p>Get/Set the Ink Map amount for internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_ink_map_on Boolean default: false -- boolean; Internal_Map_On \n\
</pre></div><p>Enable/Disable the Ink Map for internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_ink_on Boolean default: false -- boolean; Internal_Ink_On \n\
</pre></div><p>Enable/Disable Inking of internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.edge_ang_thresh Float default: 0.5 -- animatable; float; Edge_Ang__Thresh \n\
</pre></div><p>Get/Set the Edge Angle Threshold used to define internal edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.face_map_on Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Face Map state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.faceted_on Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Facetted state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.fog_bg Boolean default: false -- boolean; Fog_B_G \n\
</pre></div><p>Get/Set the &quot;Fog Background when not painting&quot; state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.init_fail_color Color default: (color 0 255 0) \n\
</pre></div><p>Get/Set the Initialization Failed flag color.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.init_fail_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the marking of Initialization Failed error.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.ink_auto_vary_on Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Variable Width option in the Ink Controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.ink_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable Ink usage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.ink_quality Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/Set the Ink Quality value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.ink_width_clamp_on Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Clamp option under Ink Controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.intersect_bias Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the Intersection Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.mat1 Material default: undefined -- material; Material_1 \n\
</pre></div><p>Get/Set the optional sub-material used for surface shading.</p>\n\
<p>Note:</p>\n\
<p>This feature is accessible through MAXScript only and is not exposed to the InkNPain UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.mat1_on Boolean default: false -- boolean; Material_1_Enabled \n\
</pre></div><p>Enable/Disable the optional sub-material</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_adj_req_on Boolean default: true -- boolean; MatID_Adj__Req__On \n\
</pre></div><p>When set to true, only adjacent faces with different Material IDs will be inked. Corresponds to the &quot;Only Adjacent Faces&quot; checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_ink_color Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Get/Set the Ink color used for Material ID borders.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_ink_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the Inking of Material ID borders.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_intersect_bias Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the Material ID Ink Intersecion Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_Map TextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the Material ID Ink Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Material ID Ink Map Amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.matid_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable the Material ID Ink Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.max_ink_width Float default: 4.0 -- animatable; float; Max__Ink_Width \n\
</pre></div><p>Get/Set the Max. Ink Width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.min_ink_width Float default: 2.0 -- animatable; float; Min__Ink_Width \n\
</pre></div><p>Get/Set the Min. Ink Width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.missed_rays_error_color Color default: (color 255 0 255) \n\
</pre></div><p>Get/Set the Color used to flag missed rays errors.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.missed_rays_error_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable flagging of missed rays errors.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.opaque_alpha_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable opaque alpha.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.out_ink_Map TextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the Outline Ink map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.out_ink_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Outline Ink map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.out_ink_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable Outline Ink mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.out_ink_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable Outline Inking.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_color Color default: (color 79 165 210) -- animatable \n\
</pre></div><p>Get/Set the Paint color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_levels Integer default: 2 -- animatable; integer \n\
</pre></div><p>Get/Set the Paint Levels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_Map TextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the Paint map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Paint map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable Paint mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.paint_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable Painting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.pixel_grid_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable the Pixel grid.</p>\n\
<p>Note:</p>\n\
<p>This is an advanced feature accessible through MAXScript only and is not exposed to the standard InkNPain UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.pixel_sampler Integer default: 3 \n\
</pre></div><p>Get/Set the Pixel sampler by index.</p>\n\
<p>0 - Adaptive Halton</p>\n\
<p>1 - Adaptive Uniform</p>\n\
<p>2 - Hammersley</p>\n\
<p>3 - Max 2.5 Star (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.rayengine Ray_Engine default: ReferenceTarget:Ray_Engine \n\
</pre></div><p>Get the Ray Engine. This property cannot be set via MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.sampler Integer default: 3 -- integer; Pixel_Sampler \n\
</pre></div><p>Get/Set the Pixel sampler. Same as .sixel_sampler</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerAdaptOn Boolean default: true -- boolean; Adaptive_On \n\
</pre></div><p>Enable/Disable Adaptive sampling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerAdaptThreshold Float default: 0.1 -- float; Adaptive_Threshold \n\
</pre></div><p>Get/Set Adaptive sampling Threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerAdvancedOptions Boolean default: true -- boolean; Samper_Advanced_Options \n\
</pre></div><p>Enable/Disable the Sampler Advanced Options.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerByName String default: &quot;Max 2.5 Star&quot; -- string; Sampler_By_Name \n\
</pre></div><p>Get/Set the Pixel sampler by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerEnable Boolean default: true -- animatable; boolean; Sampler_On \n\
</pre></div><p>Enable/Disable SuperSampling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerQuality Float default: 0.5 -- animatable; float; Sampler_Quality \n\
</pre></div><p>Get/Set the SuperSampling quality.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.samplerUseGlobal BooleanClass default: true -- boolean; Use_Global_Settings \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Global Sampler settings will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_bias Float default: 10.0 -- animatable; float \n\
</pre></div><p>Get/Set the Self-Overlapping Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_ink_color Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Get/Set the Self-Overlapping Ink Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_ink_Map TextureMap default: undefined -- texmap; Self_Overlap_Map \n\
</pre></div><p>Get/Set the Self-Overlapping Ink Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_ink_map_amtFloat default: 100.0 -- animatable; float; Self_Overlap_Map_Amt \n\
</pre></div><p>Get/Set the Self-Overlapping Ink Map amount</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_ink_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable Self-Overlapping Ink Mapping</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_overlap_ink_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable Self-Overlapping Inking.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_bias Float default: 10.0 -- animatable; float \n\
</pre></div><p>Get/Set the Self-Underlapping Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_ink_color Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Get/Set the Self-Underlapping Ink Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_ink_Map TextureMap default: undefined -- texmap; Self_Underlap_Map \n\
</pre></div><p>Get/Set the Self-Underlapping Ink Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_ink_map_amt Float default: 100.0 -- animatable; float; Self_Underlap_Map_Amt \n\
</pre></div><p>Get/Set the Self-Underlapping Ink Map amount</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_ink_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable Self-Underlapping Ink Mapping</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.self_underlap_ink_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable Self-Underlapping Inking</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_amt Float default: 70.0 -- animatable; float \n\
</pre></div><p>Get/Set the Shade amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_amt_on Boolean default: true -- boolean; Shade_Amt__On \n\
</pre></div><p>Enable/Disable the Shade amount. When true, the amount will be used. When false, the shade_color will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_color Color default: (color 40 80 100) -- animatable \n\
</pre></div><p>Get/Set the Shade color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_color_Map TextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the Shade color map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_color_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Shade color map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.shade_color_map_on Boolean default: false -- boolean \n\
</pre></div><p>Enable/Disable the Shade color map</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.smgroup_edge_ink_color Color default: (color 0 0 0) -- animatable; Sharp_Edge_Ink_Color \n\
</pre></div><p>Get/Set the Smoothing groups edge Ink color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.smgroup_edge_ink_on Boolean default: true -- boolean; Sharp_Edge_Ink_On \n\
</pre></div><p>Enable/Disable Smoothing groups edge Inking.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.smgroup_edge_Map TextureMap default: undefined -- texmap; Sharp_Edge_Map \n\
</pre></div><p>Get/Set the Smoothing groups edge map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.smgroup_edge_map_amt Float default: 100.0 -- animatable; float; Sharp_Edge_Map_Amt \n\
</pre></div><p>Get/Set the Smoothing groups edge map amoumt.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.smgroup_edge_map_on Boolean default: false -- boolean; Sharp_Edge_Map_On \n\
</pre></div><p>Enable/Disable Smoothing groups edge mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Get/Set the Specular color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_gloss Float default: 50.0 -- animatable; float \n\
</pre></div><p>Get/Set the Glossines value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_Map TextureMap default: undefined -- texmap; Spec__Map \n\
</pre></div><p>Get/Set the Specular map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_map_amt Float default: 100.0 -- animatable; float; Spec__Map_Amt \n\
</pre></div><p>Get/Set the Specular map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_map_on Boolean default: false -- boolean; Spec__Map_On \n\
</pre></div><p>Enable/Disable Specular mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.spec_on Boolean default: false -- boolean; Spec__On \n\
</pre></div><p>Enable/Disable Specular highlights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.sub_mtl_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Sub-material amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.subSampleTextureOn Boolean default: true -- boolean; Sample_SubTexmaps_On \n\
</pre></div><p>Enable/Disable Texture SuperSampling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.two_side_on Boolean default: true -- boolean \n\
</pre></div><p>Enable/DisableDoubleSided rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.UserParam0 Float default: 0.0 -- float; Param_0 \n\
</pre></div><p>Get/Set a user parameter value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.UserParam1 Float default: 0.0 -- float; Param_1 \n\
</pre></div><p>Get/Set a user parameter value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.width_Map TextureMap default: undefined -- texmap \n\
</pre></div><p>Get/Set the Width map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.width_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/Set the Width map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InkNPaint&gt;.width_map_on Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Width mapping.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";