var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NoMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NoMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nomaterial-material\"></a></div>\n\
<p>Assigning this material is equivalent to setting the material to &quot;None&quot; in the Material Editor. Setting a material to the value <span class=\'code\'>undefined</span> is also equivalent to setting the material to &quot;None&quot; in the Material Editor.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>if a box had a Top_Bottom material assigned, the following would set the Top sub-material to &quot;None&quot;:</p>\n\
<p>``` $box01.material.TopMaterial=noMaterial()</p>\n\
<p>```</p>\n\
<p>is the same as</p>\n\
<p>``` $box01.material.TopMaterial=undefined</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>noMaterial...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>There are no additional properties for NoMaterial.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";