var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Melt : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Melt : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"melt-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Melt - superclass: modifier; super-superclass:MAXWrapper - classID: #(919621541, 1342646195) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>melt ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.Melt_Amount Float default: 0.0 -- animatable \n\
</pre></div><p>The extent of the &quot;decay&quot;, or melting effect applied to the gizmo, thus affecting the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.Spread Float default: 19.0 -- animatable \n\
</pre></div><p>Specifies how much the object and melt will spread as the Amount value increases. It’s basically a &quot;bulge&quot; along a flat plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.Solidity_Preset Integer default: 0 \n\
</pre></div><p>The relative height of the center of the melted object. Less-solid substances like jelly tend to settle more in the center as they melt. This group provides several presets for different types of substances, as well as a Custom spinner for setting your own solidity:</p>\n\
<p>0 - <strong>Ice</strong> (The default Solidity setting.)</p>\n\
<p>1 - <strong>Glass</strong> (Uses a high Solidity setting to simulate glass.)</p>\n\
<p>2 - <strong>Jelly</strong> (Causes a significant drooping effect in the center.)</p>\n\
<p>3 - <strong>Custom</strong> (Sets any solidity between 0.2 and 30.0.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.Solidity_Custom_Value Float default: 1.0 -- animatable \n\
</pre></div><p>Custom solidity value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.axis Integer default: 0 \n\
</pre></div><p>The axis (local to the object) on which the melt will occur. Note that this axis is local to the Melt gizmo and not related to the selected entity.</p>\n\
<p>0- Z</p>\n\
<p>1- Y</p>\n\
<p>2- X</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.Negative_Axis Integer default: 0 \n\
</pre></div><p>Normally, the melt occurs from the positive direction toward the negative along a given axis. Turn on Flip Axis to reverse this direction.</p>\n\
<p>0- Don’t Flip Axis</p>\n\
<p>1- Flip Axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.center SubAnim default: SubAnim:Center -- point3; SubAnim \n\
</pre></div><p>Get the center of the melt gizmo.</p>\n\
<p>Note: In releases prior to <strong>3ds Max 5</strong>, this property was exposed as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Melt modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt.gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the gizmo. Translating the gizmo translates its center an equal distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the gizmo. Rotating the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scaling of the gizmo. Scaling the gizmo takes place with respect to its center.</p>\n\
<p>The following properties are defined by Melt, but are not used:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Melt&gt;.cut_Off__obsolete Float default: 0.0 -- animatable \n\
&lt;Melt&gt;.Confine_To_Gizmo Integer default: 0\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";