var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CamPerspCorrect : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CamPerspCorrect : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"camperspcorrect-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>CamPerspCorrect - superclass: modifier; super-superclass:MAXWrapper - 3:1 - classID: #(-439128320, 1577154749) \n\
</pre></div><p>Camera perspective correction modifier used to obtain 2-point perspective effect. Based on the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/Skew-Modifier.html\' title=\'\'>Skew</a> modifier.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>CamPerspCorrect... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CamPerspCorrect&gt;.paramPerspectCorrectAmount Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the correction amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CamPerspCorrect&gt;.paramPerspectCorrectDir Float default: 90.0 -- animatable; float \n\
</pre></div><p>Get/Set the correction direction</p>\n\
<div class=\'codeBlock\'><pre>&lt;CamPerspCorrect&gt;.skew Skew default: Skew:Skew -- SubAnim \n\
</pre></div><p>The Skew modifier used to perform the effect - see below:</p>\n\
<div class=\'codeBlock\'><pre>CamPerspCorrect.skew - superclass: modifier; super-superclass:MAXWrapper - 8:2 - classID: #(1866252970, 0) \n\
&lt;CamPerspCorrect.skew&gt;.axis Integer default: 3 -- radio button number \n\
&lt;CamPerspCorrect.skew&gt;.direction Float default: 1.0 -- animatable; float \n\
&lt;CamPerspCorrect.skew&gt;.limit BooleanClass default: false -- Boolean \n\
&lt;CamPerspCorrect.skew&gt;.upperlimitFloat default: 0.0 -- animatable; float \n\
&lt;CamPerspCorrect.skew&gt;.lowerlimit Float default: 0.0 -- animatable; float \n\
&lt;CamPerspCorrect.skew&gt;.amount Float default: 1.0 -- animatable; float \n\
&lt;CamPerspCorrect.skew&gt;.center Point3 default: [0,0,0] -- animatable; point3 \n\
&lt;CamPerspCorrect.skew&gt;.gizmo SubAnim default: SubAnim:Gizmo -- transform; SubAnim \n\
CamPerspCorrect.skew.gizmo - superclass: MAXObject; super-superclass:Value - 3:3 - classID: #(8197, 0) \n\
&lt;CamPerspCorrect.skew.gizmo&gt;.position Point3 default: [0,0,0] -- animatable; point3 \n\
&lt;CamPerspCorrect.skew.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable; quat \n\
&lt;CamPerspCorrect.skew.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable; point3 \n\
</pre></div><p><strong>Interfaces</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";