var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Turn_to_Mesh : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Turn_to_Mesh : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"turn_to_mesh-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Turn_to_Mesh - superclass: modifier; super-superclass:MAXWrapper - 4:0 - classID: #(1549488375, 1614380193)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-281F2427-B902-4162-914C-AAE1EC69D174-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Turn_to_Mesh ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Mesh&gt;.useInvisibleEdges Boolean default: true -- animatable; boolean; Use_Invisible_Edges\n\
</pre></div><p>When on, uses invisible edges to represent polygons.</p>\n\
<p>When off, produces a completely triangulated mesh with all visible edges.</p>\n\
<p>Default=on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Mesh&gt;.selectionConversion Integer default: 0 -- integer; Selection_Conversion\n\
</pre></div><p>Controls the conversion of sub-object selections when converting incoming geometry to Mesh.</p>\n\
<p>Corresponds to the Sub-Object Selection radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Preserve</strong></p>\n\
<p>1 - <strong>Clear</strong></p>\n\
<p>2 - <strong>Invert</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Mesh&gt;.useSoftSelection Boolean default: true -- boolean; Use_Soft_Selection\n\
</pre></div><p>When set to true, incoming soft selection will be preserved.</p>\n\
<p>For example, if Use Soft Selection is on when you select vertices on an editable poly, and you apply Turn To Mesh with Include Soft Selection on, then the same soft selection will apply to the mesh vertices.</p>\n\
<p>Default=on.</p>\n\
<blockquote>\n\
<p>Warning: Be aware that when Include Soft Selection is on, bound vertices can turn to meshes.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Mesh&gt;.selectionLevel Integer default: 0 -- integer; Selection_Level\n\
</pre></div><p><strong>0:From Pipeline</strong>. Uses the equivalent of whatever the input object uses. (Patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable patch in patch mode and apply a Turn To Mesh modifier to it, <strong>3ds Max</strong> passes a sub-object selection in patch mode up the stack. The Turn To Mesh modifier takes the sub-object patch selection into account and selects the mesh faces that derive from the patch selection.</p>\n\
<p><strong>1:Object</strong>. Uses object as the selection level for passing up the rest of the stack.</p>\n\
<p><strong>2:Edge</strong>. Uses edge as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>3:Vertex</strong>. Uses vertex as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>4:Face</strong>. Uses face as the sub-object selection level for passing up the rest of the stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";