var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Smooth : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Smooth : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"smooth-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>smooth - superclass: modifier; super-superclass:MAXWrapper - classID: #(1017363, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>smooth ... smoothModifier ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;smooth&gt;.autosmooth Boolean default: false\n\
</pre></div><p>When on, the object is auto-smoothed using the <span class=\'code\'>threshold</span> value. Auto Smooth sets the smoothing groups based on the angle between faces. Any two adjacent faces are put in the same smoothing group if the angle between their normals is less than the threshold angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;smooth&gt;.preventIndirect Boolean default: false\n\
</pre></div><p>Turn on to prevent smoothing &quot;leaks&quot; when using Auto Smooth. If you apply Auto Smooth to an object, and portions of that object that should not be smoothed become smoothed, then turn on Prevent Indirect Smoothing to see if it corrects the problem.</p>\n\
<div class=\'codeBlock\'><pre>&lt;smooth&gt;.threshold Float default: 30.0 -- animatable, angle\n\
</pre></div><p>The threshold angle in degrees. Any two adjacent faces are put in the same smoothing group if the anglebetween their normals is less than the threshold angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SmoothModifier&gt;.smoothingBits Integer default: 0\n\
</pre></div><p>The smoothing group assigned to the selected face.</p>\n\
<p>Note: See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\' title=\'\'>Face Methods</a> for a description of the smoothing group integer value</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";