var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Welder : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Welder : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"welder-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Welder - superclass: modifier; super-superclass:MAXWrapper - 3:0 - classID: #(1780744363, 1607607514)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>WelderModifier</strong> is part of the Cloth system in <strong>3ds Max 2010 and higher</strong> and allows the welding of vertices or normals.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Welder...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Welder&gt;.dontWeldSelectedEdges BooleanClass default: true -- animatable; boolean; Dont_Weld_Selected_Edges\n\
</pre></div><p>Get/set the state of the Don&#39;t Weld Selected Edges option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Welder&gt;.threshold Float default: 0.1 -- animatable; float\n\
</pre></div><p>Get/set the Weld Threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Welder&gt;.weldMethod Integer default: 1 -- integer; Weld_Method\n\
</pre></div><p>Get/set the index of the Weld Method radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Verts</strong></p>\n\
<p>1 - <strong>Normals</strong> (default)</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";