var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NoiseModifier : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NoiseModifier : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"noisemodifier-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Noisemodifier - superclass: modifier; super-superclass:MAXWrapper - classID: #(-107499228, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Noisemodifier ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.seed Integer default: 0 -- animatable \n\
</pre></div><p>A random start point is generated from the number you set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.scale Float default: 100.0 -- animatable \n\
</pre></div><p>The size of the noise effect (not strength).</p>\n\
<p>Larger values produce smoother noise, lower values more jagged noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.fractal Boolean default: false -- animatable \n\
</pre></div><p>When on, produces a fractal effect based on current settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.roughness Float default: 0.0 -- animatable, alias: rough \n\
</pre></div><p>The extent of fractal variation. Lower values are less rough than higher values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.iterations Float default: 6.0 -- animatable \n\
</pre></div><p>The number of iterations (or octaves) used by the fractal function.</p>\n\
<p>Fewer iterations use less fractal energy and generate a smoother effect.</p>\n\
<p>An iteration of 1.0 is the same as turning <span class=\'code\'>.fractal</span> off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.strength Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The strength of the noise effect along each of three axes.</p>\n\
<p>Enter a value for at least one of these axes to produce a noise effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.animate Boolean default: false \n\
</pre></div><p>Enables/disables animation playback.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.frequency Float default: 0.25 \n\
</pre></div><p>The speed of the noise effect.</p>\n\
<p>Higher frequencies make the noise quiver faster.</p>\n\
<p>Lower frequencies produce a smoother and more gentle noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.phase Time default: 0f -- animatable \n\
</pre></div><p>Shifts the start and end points of the underlying wave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>You can move, rotate, or scale the center sub-object to affect the noise.</p>\n\
<p>You can also animate the sub-object transforms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier&gt;.gizmo SubAnim \n\
</pre></div><p>You can move, rotate, or scale the gizmo sub-object to affect the noise.</p>\n\
<p>You can also animate the sub-object transforms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier.gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noisemodifier.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scaling of the gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";