var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Preserve : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Preserve : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"preserve-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Preserve - superclass: modifier; super-superclass:MAXWrapper - classID: #(1220812801, 1925976151) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Preserve ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.iterations Integer default: 25 -- animatable \n\
</pre></div><p>The number of calculations toward the solution.</p>\n\
<p>The higher this number, the closer the object comes to matching the original object and the slower the process.</p>\n\
<p>When this is set to zero, the original object has no effect, as if the Preserve modifier were never applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Edge_Length_Weight Float default: 1.0 -- animatable \n\
</pre></div><p>The relative importance of the edge length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Face_Angle_Weight Float default: 0.3 -- animatable \n\
</pre></div><p>The relative importance of the face angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Volume_Weight Float default: 0.3 -- animatable \n\
</pre></div><p>The relative importance of the volume.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Apply_To_Whole_Mesh Integer default: 0 \n\
</pre></div><p>When on, applies Preserve to the entire object, regardless of the selection passed from previous levels of the stack:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Selected_Verts_Only Integer default: 0 \n\
</pre></div><p>When on, uses previous sub-object vertex selections.</p>\n\
<p>Note that it doesn’t matter if the Vertex sub-object level is active in a previous stack item.</p>\n\
<p>As long as vertices have been selected, Preserve will use that selection.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preserve&gt;.Invert_Selection Integer default: 0 \n\
</pre></div><p>When on, inverts the selection passed up the stack.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<p>Note:</p>\n\
<p>There is no way to specify the &quot;Original&quot;objectusing MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";