var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Ripple : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Ripple : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ripple-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Ripple - superclass: modifier; super-superclass:MAXWrapper - classID: #(69, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Ripple ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.amplitude1 Float default: 5.0 -- animatable, alias: Amplitude_1 \n\
</pre></div><p>The amplitude of the first ripple.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.amplitude2 Float default: 5.0 -- animatable, alias: Amplitude_2 \n\
</pre></div><p>The amplitude of the second ripple, which is perpendicular to the first ripple.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.wavelength Float default: 25.0 -- animatable, alias: Wave_Length \n\
</pre></div><p>The distance between the peaks of the wave. The greater the length, the smoother and more shallow the ripple for a given amplitude.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Shifts the ripple pattern over the object. Positive numbers move the pattern inward, while negative numbers move it outward.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.decay Float default: 0.0 -- animatable \n\
</pre></div><p>Limits the effect of the wave generated from its center. A default decay of zero means that the wave will generate infinitely from its center. Increasing the decay value reduces the distance over which the wave is generated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center of the ripple effect, and thus the shape and positions of the ripples.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Ripple modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple.gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The poosition of the ripple gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the ripple gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ripple.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the ripple gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";