var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shell : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shell : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shell-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Shell - superclass: modifier; super-superclass:MAXWrapper - 21:0 - classID: #(1000020502, 1837426896) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>Shell modifier</strong> extrude the geometry surface procedurally, giving it thickness.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Shell ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.innerAmount Float default: 0.0 -- animatable; world units; Inner_Amount \n\
</pre></div><p>Get/Set the inner extrusion amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.outerAmount Float default: 1.0 -- animatable; world units; Outer_Amount \n\
</pre></div><p>Get/Set the outer extrusion amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.overrideMatID BooleanClass default: false -- boolean; Override_MatID \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will override the incoming Material IDs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.matID Integer default: 1 -- animatable; integer; Mat_ID \n\
</pre></div><p>Get/Set the Material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.overrideSmoothingGroup BooleanClass default: false -- boolean; Override_Smoothing_Group \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will override the incoming Smoothing groups.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.smoothGroup Integer default: 0 -- animatable; integer; Smooth_Group \n\
</pre></div><p>Get/Set the Smoothing Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.edgeMapping Integer default: 0 -- integer; Edge_Mapping \n\
</pre></div><p>Get/Set the Edge Mapping mode. Possible values are:</p>\n\
<p>0 - Copy</p>\n\
<p>1 - None</p>\n\
<p>2 - Strip</p>\n\
<p>3 - Interpolate</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.tvOffset Float default: 0.05 -- animatable; float; TV_Offset \n\
</pre></div><p>Get/Set the TV Offset value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.overrideInnerMatID BooleanClass default: false -- boolean; Override_Inner_MatID \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will override the inner Material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.matInnerID Integer default: 1 -- animatable; integer; Inner_MatID \n\
</pre></div><p>Get/Set the custom inner Materail ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.selectEdgeFaces BooleanClass default: false -- boolean; Select_Edges_Faces \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will select the edge faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.selectInnerFaces BooleanClass default: false -- boolean; Select_Inner_Faces \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will select the inner faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.segments Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/Set the number of segments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.straightenCorners BooleanClass default: false -- boolean; Straighten_Corners \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will straighten the corners.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.autoSmooth BooleanClass default: true -- boolean; Auto_Smooth \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will auto-smooth the resulting mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.autoSmoothAngle Float default: 45.0 -- animatable; float; Smooth_Group \n\
</pre></div><p>Get/Set the Auto-Smoothing angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.selectOuterFaces BooleanClass default: false -- boolean; Select_Outer_Faces \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will select the outer faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.overrideOuterMatID BooleanClass default: false -- boolean; Override_Outer_MatID \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will override the Outer Material IDs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.matOuterID Integer default: 3 -- animatable; integer; Outer_MatID \n\
</pre></div><p>Get/Set the custom Outer Material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.bevel BooleanClass default: false -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Shell modifier will Bevel the edges based on the control shape assigned to the .bevelShape property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell&gt;.bevelShape UndefinedClass default: undefined -- node; Bevel_Shape \n\
</pre></div><p>Get/Set the bevel control shape.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";