var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skew : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skew : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skew-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skew - superclass: modifier; super-superclass:MAXWrapper - classID: #(1866252970, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Skew ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.amount Float default: 25.0 -- animatable \n\
</pre></div><p>The angle to skew from the vertical plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.direction Float default: 0.0 -- animatable \n\
</pre></div><p>The direction of the skew relative to the horizontal plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.axis Integer default: 2 \n\
</pre></div><p>The axis that will be skewed:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.limit Boolean default: false \n\
</pre></div><p>When on, applies limit constraints to the Skew modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit \n\
</pre></div><p>The upper limit boundaries in world units from the skew center point, beyond which the skew no longer affects the geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit \n\
</pre></div><p>The lower limit boundaries in world units from the skew center point, beyond which the skew no longer affects the geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center of the Skew effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Skew modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the skew gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the skew gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skew.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the skew gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";