var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Squeeze : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Squeeze : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"squeeze-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Squeeze - superclass: modifier; super-superclass:MAXWrapper - classID: #(299181989, 978405796) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Squeeze...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Bulge_Amount Float default: 0.0 -- animatable \n\
</pre></div><p>The magnitude of the bulging effect. Higher values effectively elongate the object and cause the ends to curve outward.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Bulge_Curviture Float default: 2.0 -- animatable \n\
</pre></div><p>The degree of curvature on the bulging ends. You can use this to control whether the bulge is smooth or pointy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Squeeze_Amount Float default: 0.0 -- animatable \n\
</pre></div><p>The magnitude of the squeezing action. Values larger than zero tend to constrict the &quot;waist&quot; of the object, and values less than zero tend to bulge the waistline out, as if the object had been stepped on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Squeeze_Curvature Float default: 2.0 -- animatable \n\
</pre></div><p>The degree of curvature into the squeeze. Low values cause a sharp squeezing effect, while high values create a gradual, less pronounced squeeze.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Limit_Squeeze_Effects Integer default: 0 \n\
</pre></div><p>When on, limits the extent of the squeeze effect as defined by the Lower and Upper Limit settings.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Squeeze_Lower_Limit Float default: -50.0 -- animatable \n\
</pre></div><p>The limit of the squeeze effect in the positive direction along the Z axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Squeeze_Upper_Limit Float default: 50.0 -- animatable \n\
</pre></div><p>The limit of the squeeze effect in the negative direction along the Z axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Bias Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The relative amounts of bulge and squeeze while retaining a constant object volume.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.Volume Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>Increases or decreases the effects of both Squeeze and Bulge in parallel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center, altering the Squeeze gizmo’s shape, and thus the shape of the squeezed object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Squeeze modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the squeeze gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the squeeze gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Squeeze.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the squeeze gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";