var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Twist : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Twist : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"twist-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Twist - superclass: modifier; super-superclass:MAXWrapper - classID: #(144, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>twist ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.angle Float default: 0.0 -- animatable \n\
</pre></div><p>The amount of twist around the vertical axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.bias Integer default: 0 -- animatable \n\
</pre></div><p>Causes the twist rotation to bunch up at either end of the object.</p>\n\
<p>When the parameter is negative, the object twists closer to the gizmo center.</p>\n\
<p>When the value is positive, the object twists more away from the gizmo center.</p>\n\
<p>When the parameter is 0, the twisting is uniform.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.axis Integer default: 2 \n\
</pre></div><p>The axis along which the twist will occur. This is the local axis of the Twist gizmo.</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.limit Boolean default: false -- boolean\n\
</pre></div><p>When on, applies limit constraints to the Twist modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit \n\
</pre></div><p>The upper limit for the twist effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit \n\
</pre></div><p>The lower limit for the twist effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>You can translate and animate the center at this sub-object level, altering the Twist gizmo’s shape, and thus the shape of the twisted object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist&gt;.gizmo SubAnim \n\
</pre></div><p>You can transform and animate the gizmo like any other object at this sub-object level, altering the effect of the Twist modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the twist gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the twist gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Twist.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the twist gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";