var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SplineRelax : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SplineRelax : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splinerelax-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SplineRelax - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(1923908001L, 3670906844L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that relaxes (smooths) splines according to various parameters.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SplineRelax() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.amount Float default: 0.1 -- animatable;float\n\
</pre></div><p>The relax amount to apply for each iteration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.iterations Integer default: 1 -- animatable; integer\n\
</pre></div><p>The number of times to apply the relax function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.Knots BooleanClass default: true -- Boolean\n\
</pre></div><p>Gets or sets whether to apply the relax function to each knot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.ShowKnots BooleanClass default: true -- Boolean\n\
</pre></div><p>Gets or sets whether to display knots in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.tangents BooleanClass default: true -- Boolean\n\
</pre></div><p>Gets or sets whether to apply the relax function to the knot tangents.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineRelax&gt;.UseSelection BooleanClass default: true -- Boolean\n\
</pre></div><p>Gets or sets whether to scale the relaxation amount based on the soft selection. If there is no soft selection, this parameter is ignored.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";