var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spline_Chamfer : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spline_Chamfer : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spline_chamfer-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spline_Chamfer - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(1923908001L, 3670906848L)\n\
</pre></div><p>This modifier allows you to apply a fillet or chamfer to a spline shape. The fillet or chamfer is calculated based on the incoming and outgoing vectors of a knot point. Available <strong>in 3ds Max 2021.2 Update and higher.</strong></p>\n\
<div class=\'section\'><a id=\"constructor\"></a><h2 id=\"constructor\">Constructor</h2></div>\n\
<div class=\'codeBlock\'><pre>Spline_Chamfer ...\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.amount     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the <strong>Amount</strong> value in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.bias     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the <strong>Bias</strong> value, in the range of 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.depth     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>Get/set the <strong>Depth</strong> amount, in the range of -1.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.IgnoreCollinear     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set whether to ignore collinear knots (knots with a 0 angle between adjacent segments).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.limiteffect     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set whether to limit the chamfer effect to prevent the chamfer from travelling beyond knot points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.ShowKnots     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set whether to display knots in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_Chamfer&gt;.UseSelection     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set whether to use soft selection from lower in the modifier stack to affect which knots are chamfered. If no knots are selected, all knots are affected.</p>\n\
<div class=\'section\'><a id=\"methods\"></a><h2 id=\"methods\">Methods</h2></div>\n\
<p>None.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";