var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Projection : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Projection : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"projection-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Projection - superclass: modifier; super-superclass:MAXWrapper -31:0 - classID: #(376188956, 435752009) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Projection modifier lets yout project data such as mapping coordinates, vertex colors and Material IDs from one geometry object onto another. It is typically used in conjunction with Normal Mapping, but has a much larger number of possible applications.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-076087F3-338F-4D62-A74E-2D264E48FFB2-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Projection...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"selectionrollout\"></a><h3 id=\"selectionrollout\">SelectionRollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AE7F746E-B4E2-4A0C-94F7-F5B2B3EAE17B-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing   \n\
</pre></div><p>Get/Set the state of the &quot;Ignore Backfacing&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.smoothGroup Integer default: 1 -- integer; Smoothing_Group \n\
</pre></div><p>Get/Set the &quot;Select SG&quot; value. This is the smoothing group number (1-32) to select by.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.materialID Integer default: 1 -- integer; Material_ID \n\
</pre></div><p>Get/Set the &quot;Select MatID&quot; value. This is the material ID to select by.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.clearSelection BooleanClass default: true-- boolean; Clear_Selection \n\
</pre></div><p>Get/Set the state of the &quot;Clear Selection&quot; checkbox. When checked, the previous selection will be cleared.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\'Projection-Modifier.html#selection-rollout\' title=\'\'>Projection Modifier-Selection Rollout Methods</a></p>\n\
<div class=\'section\'><a id=\"soft-selectionrollout\"></a><h3 id=\"soft-selectionrollout\">Soft SelectionRollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-ABD00281-4FFD-4F12-8290-A45457F1842B-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.useSoftSelection BooleanClass default: false-- boolean; Use_Soft_Selection \n\
</pre></div><p>Get/Set the state of the &quot;Use Soft Selection&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselUseEdgeDistance BooleanClass default: false-- boolean; Use_Edge_Distance \n\
</pre></div><p>Get/Set the state of the &quot;Edge Distance&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselEdgeDist Integer default: 1 -- integer; Edge_Distance \n\
</pre></div><p>Get/Set the &quot;Edge Distance&quot; value as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselAffectBackfacing BooleanClass default: true-- boolean; Affect_Backfacing \n\
</pre></div><p>Get/Set the state of the &quot;Affect Backfacing&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselFalloff Float default:20.0 -- world units; Falloff \n\
</pre></div><p>Get/Set the Soft Selection &quot;Falloff&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselPinch Floatdefault: 0.0 -- float; Pinch \n\
</pre></div><p>Get/Set the Soft Selection &quot;Pinch&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.softselBubble Float default: 0.0 -- float; Bubble \n\
</pre></div><p>Get/Set the Soft Selection &quot;Bubble&quot; value.</p>\n\
<div class=\'section\'><a id=\"referencegeometryrollout\"></a><h3 id=\"referencegeometryrollout\">ReferenceGeometryRollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4107192D-B93D-45EF-BAEA-6A9D9C8C2545-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.geomNames ArrayParameter default: #() -- string array; Geometry_Selection_Names; Read-only \n\
</pre></div><p>Contains geometry selection names. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.geomNodeIDs ArrayParameter default: #() -- int array; Node_ID; Read-only \n\
</pre></div><p>Contains the geometry selection IDs. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.geomNodes ArrayParameter default: #() -- node array; Geometry_Nodes; Read-only \n\
</pre></div><p>Contains the geometry selections nodes. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.IDs ArrayParameter default: #() -- int array; SO_IDs; Read-only \n\
</pre></div><p>Contains the sub-object IDs. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.mapProportions ArrayParameter default: #() -- float array; Map_Proportions; Read-only \n\
</pre></div><p>Contains an array of Map Proportions. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.projectionTypes ArrayParameter default: #() -- max object array; Projection_Types; Read-only \n\
</pre></div><p>Contains an array of Projection Types. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.selLevels ArrayParameter default: #() -- int array; Selection_Levels; Read-only \n\
</pre></div><p>Contains an array of Selection Levels. Read-only!</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.MapChannel Integer default: 1 -- integer; Map_Channel \n\
&lt;Projection&gt;.geomNodeVisible ArrayParameter default: #() -- int array; Node_Visible \n\
</pre></div><p>Contains an array of visibility flags.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.displayToggleEnable BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the Enable checkbox in the Display Toggle group of controls.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.displayToggleMode Integer default: 1 -- integer \n\
</pre></div><p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"cagerollout\"></a><h3 id=\"cagerollout\">CageRollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B00C102D-6752-484F-943D-DD6DAAE2763F-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.displayCage BooleanClass default: true -- boolean; Display_Cage \n\
</pre></div><p>Get/Set the state of the &quot;Cage&quot; checkbox. When true, the cage will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.displayCageShaded BooleanClass default: false -- boolean; Display_Cage_Shaded \n\
</pre></div><p>Get/Set the state of the &quot;Shaded&quot; checkbox. When true, the cage will be shaded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.displayCageOffset BooleanClass default: false -- boolean; Display_Cage_Offset \n\
</pre></div><p>Get/Set the state of the &quot;Point to Point&quot; checkbox. When true, the projection vectors along the offset will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.pushValue Float default: 0.0 -- world units;Push_Value \n\
</pre></div><p>Get/Set the Push &quot;Amount&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.pushPercent Float default: 0.0 -- float; Push_Percentage \n\
</pre></div><p>Get/Set the Push &quot;Percent&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.autoWrapTolerance Float default: 0.0 -- world units; Auto_Wrap_Tolerance \n\
</pre></div><p>Get/Set the Auto-Wrap &quot;Tolerance&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.autoWrapAlwaysUpdate BooleanClass default:false-- boolean; Auto_Wrap_Always_Update \n\
</pre></div><p>Get/Set the state of the Auto-Wrap &quot;Always Update&quot; checkbox.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\'Projection-Modifier.html#cage-rollout\' title=\'\'>Projection Modifier-Cage Rollout Methods</a></p>\n\
<div class=\'section\'><a id=\"selection-checkrollout\"></a><h3 id=\"selection-checkrollout\">Selection CheckRollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F31AEFD0-9360-42D2-B0A2-B6FECE4F1BDE-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.selectionCheckType Integer default: 2 --integer; Selection_Check_Type \n\
</pre></div><p>Get/Set the selection of the Check radio buttons. Possible values are:</p>\n\
<p>0 - Material ID</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Both (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.selectionCheckSelFaces BooleanClass default: true -- boolean; Show_Selection_Check_Faces \n\
</pre></div><p>Get/Set the state of the &quot;Selected Faces&quot; checkbox. When true, only selected faces will be checked.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\'Projection-Modifier.html#selection-check-rollout\' title=\'\'>Projection Modifier-Selection Check Rollout Methods</a></p>\n\
<div class=\'section\'><a id=\"projection-rollout\"></a><h3 id=\"projection-rollout\">Projection Rollout</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F861D09D-E2F7-4934-B574-857894839A32-low.gif\' title=\'\'></div>\n\
<p>No properties exposed.</p>\n\
<p>For related methods, see <a href=\'Projection-Modifier.html#projection-rollout\' title=\'\'>Projection Modifier-Projection Rollout Methods</a></p>\n\
<p><strong>Projection interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:projectionModOps \n\
</pre></div><p>Note:</p>\n\
<p>The <strong>projectionModOps interface</strong> is a <strong>Mixin interface</strong> exposed by the Projection modifier itself.Any interfaces of the modifier will be searched for the method name, thus allmethods below are visible as methods exposed bythe Projection modifier itself.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.shrinkSelection() \n\
</pre></div><p>and</p>\n\
<div class=\'codeBlock\'><pre>&lt;Projection&gt;.projectionModOps.shrinkSelection() \n\
</pre></div><p>are equivalent.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --assuming a cylinder has been applied a projection modifier: theProjMod = $Cylinder01.modifiers[#Projection]--get the modifier theProjMod.projectionModOps.shrinkSelection()--shrink selection theProjMod.growSelection()--grow selection -also works</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"selection-rollout\"></a><h3 id=\"selection-rollout\">Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;shrinkSelection() \n\
</pre></div><p>Shrinks the selection. Corresponds to pressing the &quot;Shrink&quot; button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;growSelection() \n\
</pre></div><p>Grows the selection. Corresponds to pressing the &quot;Grow&quot; button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;selectBySG &lt;integer&gt;sg \n\
</pre></div><p>Selects by Smoothing Group. Corresponds to pressing the &quot;Select SG&quot; button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;selectByMtlID &lt;integer&gt;id \n\
</pre></div><p>Selects by Material ID. Corresponds to pressing the &quot;Select MatID&quot; button in the Selection rollout.</p>\n\
<div class=\'section\'><a id=\"geometry-selection-rollout\"></a><h3 id=\"geometry-selection-rollout\">Geometry Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isValidObject &lt;node&gt;node \n\
</pre></div><p>Returns true if the node is a valid projection object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addObjectNode &lt;node&gt;node \n\
</pre></div><p>Adds the given node to the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteAll() \n\
</pre></div><p>Deletes all objects. Corresponds to pressing the &quot;Delete All&quot; icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numObjects() \n\
</pre></div><p>Returns the number of objects in the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getObjectNode &lt;index&gt;objIndex \n\
</pre></div><p>Returns the node corresponding to the indexed object on the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getObjectName &lt;index&gt;objIndex \n\
</pre></div><p>Returns the name of the indexed object on the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getObjectSelLevel &lt;index&gt;objIndex \n\
getObjectSelLevel enums:{#object|#vertex|#face|#element) \n\
</pre></div><p>Returns the selection level of the indexed object on the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getObjectSelFaces &lt;node&gt;node &lt;index&gt;objIndex &lt;&amp;bitArray&gt;faces \n\
faces is Out parameter \n\
</pre></div><p>Returns the selected faces of the specified node and indexed objectinto the by-reference bitArray. The method itself returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getObjectMtlIds &lt;node&gt;node &lt;index&gt;objIndex &lt;&amp;integer array&gt;mtlIDs \n\
mtlIDs is Out parameter \n\
</pre></div><p>Returns the Material IDs of the specified node and indexed object into the by-reference Array of integers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteObjectNode &lt;index&gt;objIndex \n\
</pre></div><p>Deletes the indexed object from the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numGeomSels() \n\
</pre></div><p>Returns the number of objects in the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getGeomSelName &lt;index&gt;selIndex \n\
</pre></div><p>Returns the name of the indexed selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getGeomSelLevel &lt;index&gt;selIndex \n\
getGeomSelLevel enums: {#object|#vertex|#face|#element) \n\
</pre></div><p>Returns selection level of the the indexed selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numGeomSelNodes &lt;index&gt;selIndex \n\
</pre></div><p>Returns the number of geometry selection nodes with the given selection index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getGeomSelNode &lt;index&gt;selIndex &lt;index&gt;nodeIndex \n\
</pre></div><p>Returns the scene node corresponding to the indexed node and indexed selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getGeomSelFaces &lt;node&gt;node &lt;index&gt;selIndex &lt;&amp;bitArray&gt;faces \n\
faces is Out parameter \n\
</pre></div><p>Returnsthe face selection of the given scene node and the indexed selection in the by-reference bitArray. The method itself returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getGeomSelMtlIds &lt;node&gt;node &lt;index&gt;selIndex &lt;&amp;integer array&gt;mtlIDs \n\
mtlIDs is Out parameter \n\
</pre></div><p>Returns the Material IDs of the given scene node and the indexed selection in the by-reference Array of Integers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getGeomSelMapProportion &lt;index&gt;selIndex \n\
</pre></div><p>Returns the Map Proportion value of the indexedgeometryselection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetGeomSelMapProportion &lt;index&gt;selIndex &lt;float&gt;proportion \n\
</pre></div><p>Sets the Map Proportion value of the indexedgeometryselection to the supplied float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteGeomSel &lt;index&gt;selIndex \n\
</pre></div><p>Deletes the indexed geometry selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteGeomSelNode &lt;index&gt;selIndex &lt;index&gt;nodeIndex \n\
</pre></div><p>Deletes the indexed node from the indexed geometry selection .</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getGeomSelFaceArea &lt;node&gt;node &lt;index&gt;selIndex \n\
</pre></div><p>Returns the face area of the indexed geometry selection of the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setGeomSelNodesVisibility &lt;boolean&gt;visible \n\
</pre></div><p>Sets the visibility of the current Geometry Selection node to the given boolean value. Corresponds to pressing the visibility icon in the Geometry Selection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getGeomSelNodesVisibility() \n\
</pre></div><div class=\'section\'><a id=\"cage-rollout\"></a><h3 id=\"cage-rollout\">Cage Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;autowrapCage() \n\
</pre></div><p>Performs a Cage Auto-Wrap. Corresponds to pressing the &quot;Update&quot; button in the Auto-Wrap group of controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;resetCage() \n\
</pre></div><p>Resets the Cage. Corresponds to pressing the &quot;Reset&quot; button in the Auto-Wrap group of controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;pushCage &lt;float&gt;amount \n\
</pre></div><p>Pushes the cage by the given amount. Corresponds to chaning the Amount value in the Push group of controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;importCage &lt;node&gt;importNode \n\
</pre></div><p>Imports the cage from the specified node.Available in <strong>3ds Max 2008and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;exportCage &lt;string&gt;exportNodeName \n\
</pre></div><p>Exports the cage as a new node with the given name.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selection-check-rollout\"></a><h3 id=\"selection-check-rollout\">Selection Check Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;checkDuplicateMatIDs &lt;node&gt;node &lt;&amp;bitArray&gt;dupFaces \n\
dupFaces is Out parameter \n\
</pre></div><p>Performs a check for duplicated Material IDs and returns a bitarray in the by-reference argument containing the offending faces.</p>\n\
<p>The method itself returns the number of offending faces as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;checkDuplicateSels &lt;node&gt;node &lt;&amp;bitArray&gt;dupFaces \n\
dupFaces is Out parameter \n\
</pre></div><p>Performs a check for duplicated Selections and returns a bitarray in the by-reference argument containing the offending faces.</p>\n\
<p>The method itself returns the number of offending faces as integer.</p>\n\
<div class=\'section\'><a id=\"projection-rollout-1\"></a><h3 id=\"projection-rollout-1\">Projection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numProjectionTypes() \n\
</pre></div><p>Returns the number of projections currently on the Projection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeProjectionType &lt;index&gt;ptIndex \n\
</pre></div><p>Removes the indexed Projection Type from the Projection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;projectProjectionType &lt;index&gt;ptIndex \n\
</pre></div><p>Performs the projection using the the indexed Projection Type from the Projection list. Similar to pressing the &quot;Project&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;projectAll() \n\
</pre></div><p>Projects all.Corresponds to pressing the &quot;Project All&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numRegisteredProjectionTypes() \n\
</pre></div><p>Returns the number of available Projection types.Currentlythere is only one type implemented.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getProjectionType &lt;index&gt;ptIndex \n\
</pre></div><p>Returns the indexed Projection object.Currentlythere is only one type implemented :<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\' title=\'\'>Project_Mapping : ReferenceTarget</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addRegisteredProjectionType &lt;index&gt;rptIndex \n\
</pre></div><p>Adds a new projection of the indexed type to the Projection list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;getRegisteredProjectionTypeClassID &lt;index&gt;rptIndex &lt;&amp;integerarray&gt;classID \n\
classID is Out parameter \n\
</pre></div><p>Returns the classID of the indexed projection type into the by-reference variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;showAlignment() \n\
</pre></div><p>Corresponds to pressing the &quot;Show Alignment&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;clearAlignment() \n\
</pre></div><p>Corresponds to pressing the &quot;Clear&quot; button.</p>\n\
<div class=\'section\'><a id=\"related-methods\"></a><h2 id=\"related-methods\">Related Methods</h2></div>\n\
<p>The following scripted functions are available for easier Project Modifieraccess. They are implemented in the file<em>ProjectionMod.ms</em></p>\n\
<div class=\'codeBlock\'><pre>GetPModObjectNames &lt;projectionMod&gt;modifier \n\
</pre></div><p>Returns an array of Geometry Selection names for the given Projection Modifier.</p>\n\
<div class=\'codeBlock\'><pre>FindPMod &lt;node&gt;source \n\
</pre></div><p>Returns thehighestProjection modifierfrom the stackof the supplied node. Returns undefined if there is no Projection modifier applied.</p>\n\
<div class=\'codeBlock\'><pre>AddPModObjects &lt;array&gt;node_list &lt;boolean&gt;createNew &lt;boolean&gt;deleteAll [objList :&lt;array&gt;] \n\
</pre></div><p>Adds Projection modifierobjectsto thenodes in the array.</p>\n\
<p>If <span class=\'code\'>createNew</span> is true, a new modifier is created, otherwise the existing modifier is used.</p>\n\
<p>If <span class=\'code\'>deleteOld</span> is true, all previous objects will be deleted from the modifier&#39;s geometry selection.</p>\n\
<p>If the optiona <span class=\'code\'>objList</span> <strong>:</strong> parameteris supplied, the Target objects will be added to the list, otherwise the Pick dialog will be displayed to pick Target objects manually.</p>\n\
<p>Returns an array of Projection Modifiers corresponding to the node_list.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";