var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesh_Select : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesh_Select : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesh_select-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Mesh_Select - superclass: modifier; super-superclass:MAXWrapper - classID: #(1943601043, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-E596CD56-8AB4-402E-88A1-651950810FB5-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>mesh_select ... MeshSelect ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"mesh-select-parameters-rollout\"></a><h3 id=\"mesh-select-parameters-rollout\">Mesh Select Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.byVertex BooleanClass default:false alias: By_Vertex   \n\
</pre></div><p>Get/Set the state of the <strong>By Vertex</strong> option.</p>\n\
<p>When set to true, selecting a vertex in Face, Polygon or Element mode will select all faces, polygons or elements sharing that vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.ignoreBackfacing BooleanClass default:false alias: Ignore_Backfacing \n\
</pre></div><p>Get/Set the state of the <strong>Ignore Backgfaces</strong> option.</p>\n\
<p>When set to true, only faces with normals facing the viewer can be selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.ignoreVisibleEdges BooleanClass default:false alias: Ignore_Visible_Edges \n\
</pre></div><p>Get/Set the state of the <strong>Ignore Visible Edges</strong> option.</p>\n\
<p>When set to true, selecting a face will also select all connected faces whose normals are within the specified planar threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.planarThreshold Angle default: alias: Threshold \n\
</pre></div><p>Get/Set the <strong>Planar Thresh</strong>. value.</p>\n\
<p>It specifies the angle threshold used by the Ignore Visible Edges option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.materialID integer default:1 alias: Material_ID \n\
</pre></div><p>Get/Set the <strong>Material ID</strong> value in the &quot;Select by Material ID&quot; group of controls.</p>\n\
<div class=\'section\'><a id=\"soft-selection-rollout\"></a><h3 id=\"soft-selection-rollout\">Soft Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.useSoftSelection BooleanClass default:false alias: Use_Soft_Selection \n\
</pre></div><p>Get/Set the state of the <strong>Use Soft Selection</strong> option.</p>\n\
<p>When set to true, the soft selection will be enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselUseEdgeDistance BooleanClass default:false alias: Use_Soft_Selection \n\
</pre></div><p>Get/Set the state of the <strong>Edge Distance</strong> option.</p>\n\
<p>When set to true, the Edge Distance value will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselEdgeDist Integer default:1 -- animatable; alias: Edge_Distance \n\
</pre></div><p>Get/Set the <strong>Edge Distance</strong> value.</p>\n\
<p>When <span class=\'code\'>.softselUseEdgeDistance</span> is set to true, it specifies the number of edges to include in the soft selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselAffectBackfacing BooleanClass default:true alias: Affect_Backfacing \n\
</pre></div><p>Get/Set the state of the <strong>Affect Backfacing</strong> option.</p>\n\
<p>When set to true, the Vertices belonging to back-facing faces will also be affected if within the Soft Selection Falloff range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselFalloff world units default:20.0 -- animatable; alias: Falloff_type \n\
</pre></div><p>Get/Set the <strong>Falloff</strong> value.</p>\n\
<p>It specifies the falloff range until the soft selection reaches an influence of 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselPinch Float default:0.0 -- animatable; alias: Pinch \n\
</pre></div><p>Get/Set the <strong>Pinch</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesh_Select&gt;.softselBubble Float default:0.0 -- animatable; alias: Bubble \n\
</pre></div><p>Get/Set the <strong>Bubble</strong> value.</p>\n\
<p>See the <span class=\'code\'>getVertSelection()</span> , <span class=\'code\'>getFaceSelection()</span> , and <span class=\'code\'>getEdgeSelection()</span> functions in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh</a> for information about accessing the current selections in the Mesh_Select modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";