var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OpenSubdiv : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OpenSubdiv : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"opensubdiv-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>OpenSubdiv - superclass: modifier; super-superclass:MAXWrapper - 14:0 - classID: #(1942811466, -1698937348)\n\
</pre></div><p>Exposes the Open Subdiv Modifier to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre> OpenSubdiv ...\n\
OpenSubdivMod ... \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>General Controls Rollout</strong></p>\n\
<p>Main Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.iterations     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Iterations&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.useRenderIterations     BooleanClass    default: false   --  boolean; Use_Render_Iterations\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Render Iters&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.renderIterations     Integer    default: 0   --  animatable; integer; Render_Iterations\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Render Iters&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.isolineDisplay     BooleanClass    default: true   --  boolean; Isoline_Display\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Isoline Display&quot;</strong> checkbox.</p>\n\
<p>Operating Mode Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.mode     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Operating Mode&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Mesh Output</strong> (default)</p>\n\
<p>1 - <strong>GPU Display</strong></p>\n\
<p>If GPU Display is not supported on the current system, setting this property to a value other than 0 will have no effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.solverType     Integer    default: 0   --  integer\n\
</pre></div><p>Reserved for future use.</p>\n\
<p>Not exposed to the UI.</p>\n\
<p><strong>OpenSubdiv Controls Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.vertboundary     Integer    default: 1   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Vertex Boundary&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Interp. Edges</strong></p>\n\
<p>1 - <strong>Interp. Edges &amp; Corners</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.fvarboundary     Integer    default: 3   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;UV Boundary&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Bilinear (None)</strong></p>\n\
<p>1 - <strong>Smooth (Edge Only)</strong></p>\n\
<p>2 - <strong>Smooth (Edge &amp; Corner)</strong></p>\n\
<p>3 - <strong>Smooth (Always Sharp)</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.propagatecorners     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Propagate Corners&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.smoothtriangles     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Smooth Triangles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.creasemethod     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Creases&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Normal</strong></p>\n\
<p>1 - <strong>Chaikin</strong></p>\n\
<p><strong>Adaptive Subdivision Group Of Controls</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.adaptive     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Adaptive&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.adaptiveIterations     Integer    default: 1   --  integer\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Max. Iterations&quot;</strong> spinner.</p>\n\
<p><strong>Mesh Controls Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OpenSubdiv&gt;.update     Integer    default: 0   --  integer; Update_Options\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Update Options&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Rendering</strong></p>\n\
<p>2 - <strong>Manual</strong></p>\n\
<div class=\'section\'><a id=\"opensubdiv-interfaces\"></a><h2 id=\"opensubdiv-interfaces\">OpenSubdiv interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: OSDModOps\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GPUTestWindow()\n\
</pre></div><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";