var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TurboSmooth : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TurboSmooth : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"turbosmooth-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>TurboSmooth - superclass: modifier; super-superclass:MAXWrapper - 9:0 - classID: #(225606462, 1226647975) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-71A669E4-727C-4692-B334-38908C68373F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>TurboSmooth ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.explicitNormals BooleanClass default: false-- boolean; Explicit_Normals \n\
</pre></div><p>When set to true, the modifier will generate explicit normals and pass them up the stack.</p>\n\
<p>When set to false, the normals will be calculated on top of the modifier stack based on the face edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.isolineDisplay BooleanClass default: false -- boolean; Isoline_Display \n\
</pre></div><p>When set to true, only the edges corresponding to the source mesh&#39;s edges will be displayed.</p>\n\
<p>When set to false, all edges will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.iterations Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/Set the viewport iterations.</p>\n\
<p>When useRenderIterations is set to false, this value will be used by the production renderer, too.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.renderIterations Integer default: 0 -- animatable; integer; Render_Iterations \n\
</pre></div><p>Get/Set the render iterations.</p>\n\
<p>When useRenderIterations is set to true, this value will be used by the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.sepByMats BooleanClass default: false --boolean; Separate_By_Materials \n\
</pre></div><p>When set to true, material borders will be taken into account and will be left unsmoothed (as edge creases).</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.sepBySmGroups BooleanClass default: false -- boolean; Separate_By_Smoothing_Group \n\
</pre></div><p>When set to true, smoothing group borders will be taken into account and will be left unsmoothed (as edge creases).</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.smoothResult BooleanClass default: true -- boolean; Smooth_Output \n\
</pre></div><p>When set to true, the newly created faces will be smoothed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.update Integer default: 0 -- integer; Update_Options \n\
</pre></div><p>Get/Set the update type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Rendering</strong></p>\n\
<p>2 - <strong>Manually</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TurboSmooth&gt;.useRenderIterations BooleanClass default: false -- boolean; Use_Render_Iterations \n\
</pre></div><p>When set to true, the <span class=\'code\'>renderIterations</span> value will be used by the production renderer.</p>\n\
<p>When false, the <span class=\'code\'>iterations</span> value will be used for both viewports and production renderer.</p>\n\
<p><strong>TurboSmoothInterfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:TurboSmooth \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ForceUpdate() \n\
</pre></div><p>Forces an update of the modifier.</p>\n\
<p>Corresponds to pressing the Update button in the modifier&#39;s User Interface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";