var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MapScaler : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MapScaler : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mapscaler-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>MapScalerOSM - superclass: modifier; super-superclass:MAXWrapper - 6:0 - classID: #(229485990, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\' title=\'\'></div>\n\
</pre></div><p>This is an object-space version of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/MapScalerSpacewarpModifier.html\' title=\'\'>MapScalerSpacewarpModifier</a>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MapScalerOSM ... MapScalerModifier ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerOSM&gt;.scale Float default: 100.0 -- animatable; float \n\
</pre></div><p>The size of one repeat of the texture pattern. Size is measured in current scene units.</p>\n\
<p>Repeats occur across the object in the U direction.</p>\n\
<div class=\'codeBlock\'><pre> &lt;MapScalerOSM&gt;.uOffset Float default: 0.0 -- animatable; float \n\
</pre></div><p>The U direction map offset.</p>\n\
<div class=\'codeBlock\'><pre> &lt;MapScalerOSM&gt;.vOffset Float default: 0.0 -- animatable; float \n\
</pre></div><p>The V direction map offset.</p>\n\
<div class=\'codeBlock\'><pre> &lt;MapScalerOSM&gt;.wrap BooleanClass default: true -- boolean \n\
</pre></div><p>When true, Map Scaler attempts to wrap the texture evenly around the object.</p>\n\
<p>This option requires more computing, but usually produces the most satisfactory results.</p>\n\
<div class=\'codeBlock\'><pre> &lt;MapScalerOSM&gt;.wrapUsingSmoothingGroups BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of <strong>Wrap using Smoothing Groups</strong> checkbox.</p>\n\
<p>When set to true and .wrap is also set to true, Map Scaler will attempt to wrap the texture around the object based on its smoothing groups.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;MapScalerOSM&gt;.channel Integer default: 1 -- integer \n\
</pre></div><p>The map channel used.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";