var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UnwrapUVW Modifier - Preferences Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UnwrapUVW Modifier - Preferences Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrapuvw-modifier---preferences-dialog\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A40BB58B-F657-421C-B21B-19F9D7DAA74D-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"colors\"></a><h2 id=\"colors\">Colors</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getLineColor() \n\
</pre></div><p>Returns the color of the lines used to connect the texture vertices edges as a Point3 value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setLineColor &lt;point3&gt;color \n\
</pre></div><p>Sets the line color of the texture vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getHandleColor() \n\
</pre></div><p>Returns the handle color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setHandleColor &lt;point3&gt;color \n\
</pre></div><p>Sets the handle color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowShared() \n\
</pre></div><p>Returns whether shared sub objects are displayed. Shared sub objects are texture vertices or edges that share the same geometric vertex or edge.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowShared &lt;boolean&gt;select \n\
</pre></div><p>Sets whether shared sub objects are displayed. Shared sub objects are texture vertices or edges that share the same geometric vertex or edge.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSharedColor() \n\
</pre></div><p>Returns the color that will be used to show shared sub objects.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSharedColor &lt;point3&gt;color \n\
</pre></div><p>Sets the color that will be used to show shared sub objects.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSelectionColor() \n\
</pre></div><p>Returns the texture vertices selection color as a Point3 value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectionColor &lt;point3&gt;color \n\
</pre></div><p>Sets the color of selected texture vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getFreeFormColor() \n\
</pre></div><p>Returns the Free Form Gizmo color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFreeFormColor &lt;point3&gt;color \n\
</pre></div><p>Sets the Free Form Gizmo color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getOpenEdgeColor() \n\
</pre></div><p>Returns the color used to display Open Edges.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setOpenEdgeColor &lt;point3&gt;color \n\
</pre></div><p>Sets the color used to display Open Edges.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getBackgroundColor() \n\
</pre></div><p>Returns the Background color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setBackgroundColor &lt;point3&gt;color \n\
</pre></div><p>Sets the Background color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"fill-mode\"></a><h2 id=\"fill-mode\">Fill Mode</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFillMode() \n\
</pre></div><p>Returns the polygon fill mode:</p>\n\
<ul>\n\
<li>1 - No Fill</li>\n\
<li>2 - Solid Fill</li>\n\
<li>3 - Cross Hatch Horizontal/Vertical</li>\n\
</ul>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFillMode &lt;integer&gt;mode \n\
</pre></div><p>Sets the polygon fill mode.</p>\n\
<ul>\n\
<li>1 - No Fill</li>\n\
<li>2 - Solid Fill</li>\n\
<li>3 - Cross Hatch Horizontal/Vertical</li>\n\
</ul>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"open-edges-display\"></a><h2 id=\"open-edges-display\">Open Edges Display</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getDisplayOpenEdges() \n\
</pre></div><p>Returns the state of the Display Seams option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setDisplayOpenEdges &lt;boolean&gt;displayOpenEdges \n\
</pre></div><p>Sets the state of the Display Seams option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getOpenEdgeMode() \n\
</pre></div><p>Returns the OpenEdge Mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setOpenEdgeMode &lt;boolean&gt;uvOpenMode \n\
</pre></div><p>Sets the OpenEdge Mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.openEdgeSelect() \n\
</pre></div><p>Selects Open Edges. Select any number of edges and call this method to select all open edges which share texture vertices with the original selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"display-preferences\"></a><h2 id=\"display-preferences\">Display Preferences</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getBrightnessAffectsCenterTile() \n\
</pre></div><p>Returns the state of the &quot;Affect Center Tile&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setBrightnessAffectsCenterTile &lt;boolean&gt;bright \n\
</pre></div><p>Sets the state of the &quot;Affect Center Tile&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the brightness value affects the center tile.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getBlendTileToBackground() \n\
</pre></div><p>Returns the state of the &quot;Blend Tile To Background&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When <span class=\'code\'>true</span> , the brightness value affects the center tile.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setBlendTileToBackground &lt;boolean&gt;blend \n\
</pre></div><p>Sets the state of the &quot;Blend Tile To Background&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the tiled images are blended to the background color or black</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFilterMap \n\
</pre></div><p>Gets the state of the &quot;Filter Map&quot; option in the Display Preferences section of the Unwrap Options dialog. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFilterMap &lt;boolean&gt;filter \n\
</pre></div><p>Sets the state of the &quot;Filter Map&quot; option in the Display Preferences section of the Unwrap Options dialog. When true, maps are smoothed/filtered. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"map-tiling\"></a><h2 id=\"map-tiling\">Map Tiling</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTileMap() \n\
</pre></div><p>Returns true if the map is tiled, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMap &lt;boolean&gt;tile \n\
</pre></div><p>Enable/Disable the map tiling.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTileMapLimit() \n\
</pre></div><p>Returns the map tiling limit. Corresponds to the Tile Limit value found in the Options panel and Advanced Options dialog.</p>\n\
<p>The value defines how many times to repeat the map outside of the original map area.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMapLimit &lt;integer&gt;limit \n\
</pre></div><p>Sets the map tiling limit.</p>\n\
<p>Corresponds to the Tile Limit value found in the Options panel and Advanced Options dialog. The value defines how many times to repeat the map outside of the original map area.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getTileMapBrightness() \n\
</pre></div><p>Returns the Brightens of the tiled map outside of the original map area.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMapBrightness &lt;float&gt;contrast \n\
</pre></div><p>Sets the Brightens of the tiled map outside of the original map area.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"grid\"></a><h2 id=\"grid\">Grid</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getGridSize() \n\
</pre></div><p>Returns the Grid Size.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridSize &lt;float&gt;size \n\
</pre></div><p>Sets the Grid Size.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGridSnap() \n\
</pre></div><p>Returns the state of the Grid Snap checkbutton. Always returns false if the Snap flyout is in Pixel Snap mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridSnap &lt;boolean&gt;snap \n\
</pre></div><p>Sets the state of the Grid Snap checkbutton. Changes the flyout to Grid Snap if necessary.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGridVisible() \n\
</pre></div><p>Returns the visible state of the Grid.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridVisible &lt;boolean&gt;visible \n\
</pre></div><p>Sets the visible state of the Grid.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getGridColor() \n\
</pre></div><p>Returns the Grid color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridColor &lt;point3&gt;color \n\
</pre></div><p>Sets the Grid color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getGridStr() \n\
</pre></div><p>Returns the strength of the grid snap.</p>\n\
<p>At a strength of 1 the snap system has complete control and a vertex will always snap to a grid intersection, at a strength of 0 there will be no snapping.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridStr &lt;float&gt;str \n\
</pre></div><p>Sets the strength of the grid snap.</p>\n\
<p>At a strength of 1 the snap system has complete control and a vertex will always snap to a grid intersection, at a strength of 0 there will be no snapping.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"hit-size\"></a><h2 id=\"hit-size\">Hit Size</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHitSize() \n\
</pre></div><p>Returns the Single Click Hit Size value found in the Advanced Options dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setHitSize &lt;integer&gt;size \n\
</pre></div><p>Sets the Single Click Hit Size value found in the Advanced Options dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"tick-size\"></a><h2 id=\"tick-size\">Tick Size</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTickSize() \n\
</pre></div><p>Returns the selected vertex tick size.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTickSize &lt;integer&gt;size \n\
</pre></div><p>Sets the selected vertex tick size.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";