var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UnwrapUVW Modifier - Tools</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UnwrapUVW Modifier - Tools</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrapuvw-modifier---tools\"></a></div>\n\
<p>The following methods expose to MAXScript the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Break</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Weld</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Weld Shared</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Stitch</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Pack</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Rescale Clusters</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Sketch</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE.html\' title=\'\'>Flatten</a> Tools functionality of the UnwrapUVW Modifier.</p>\n\
<div class=\'section\'><a id=\"break\"></a><h2 id=\"break\">Break</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.breakSelected() \n\
</pre></div><p>Presses the Break icon in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.detachEdgeVertices() \n\
</pre></div><p>Detaches any vertex that is not completely surrounded by selected vertices.</p>\n\
<p>This is similar to a polygon selection detach except it uses the vertex selection to determine what is detached.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"weld\"></a><h2 id=\"weld\">Weld</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.weld() \n\
</pre></div><p>Presses the Target Weld icon in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.weldSelected() \n\
</pre></div><p>Presses the Weld Selected button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getWeldThreshold() \n\
</pre></div><p>Returns the weld threshold.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setWeldThreshold &lt;float&gt;height \n\
</pre></div><p>Sets the threshold values for welds.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"weld-shared\"></a><h2 id=\"weld-shared\">Weld Shared</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.weldOnlyShared BooleanClass default: true -- boolean\n\
</pre></div><p>When set to true (default), only selected vertices will be welded. Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.WeldAllShared()\n\
</pre></div><p>Welds all shared vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.WeldSelectedShared()\n\
</pre></div><p>Welds the shared selected vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"flatten\"></a><h2 id=\"flatten\">Flatten</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.FlattenBySmoothingGroup &lt;boolean&gt;rescale &lt;boolean&gt;rotate &lt;float&gt;padding\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.FlattenByMaterialID &lt;boolean&gt;rescale &lt;boolean&gt;rotate &lt;float&gt;padding\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"stitch\"></a><h2 id=\"stitch\">Stitch</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVerts &lt;boolean&gt;align &lt;float&gt;bias \n\
</pre></div><p>Stitch the selected vertices using the specified bias.</p>\n\
<p>If <span class=\'code\'>align</span> is supplied as <span class=\'code\'>true</span> , the vertices will be aligned.</p>\n\
<p>Stitching allows you to find all the texture vertices that are assigned to the same geometric vertex and bring them all to the same spot and weld them together. This allows you take faces that are geometrically contiguous, but not texture face contiguous and line them up.</p>\n\
<p>The parameters are:</p>\n\
<p><span class=\'code\'>align</span> - if checked and the edges to be stitched are on separate clusters it will try to align the clusters and then stitch the vertices.</p>\n\
<p><span class=\'code\'>bias</span> determines which direction the vertices will move (to or from the source). At a Bias of 0.0 the vertices will move to the source and 1.0 they will move to the target. Stitching will respect the soft selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVertsNoParams() \n\
</pre></div><p>Execute the Stitch function using the current defaults.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVertsDialog() \n\
</pre></div><p>Open the Stitch dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pack\"></a><h2 id=\"pack\">Pack</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.pack &lt;integer&gt;method &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;boolean&gt;rotate &lt;boolean&gt;fillholes \n\
</pre></div><p>Lets you pack the texture vertex elements so that they fit within a square space.</p>\n\
<p><span class=\'code\'>method</span> - 0 is a linear packing algorithm fast but not that efficient; 1 is a recursive algorithm slower but more efficient; 2 is an improved &quot;non-convex&quot; algorithm.</p>\n\
<p><span class=\'code\'>spacing</span> - the gap between cluster in percentage of the edge distance of the square</p>\n\
<p><span class=\'code\'>normalize</span> - determines whether the clusters will be fit to 0 to 1 space.</p>\n\
<p><span class=\'code\'>rotate</span> - determines whether a cluster will be rotated so it takes up less space.</p>\n\
<p><span class=\'code\'>fillholes</span> - determines whether smaller clusters will be put in the holes of the larger cluster.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.packNoParams() \n\
</pre></div><p>Executes the Pack function using the current default settings.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.packDialog() \n\
</pre></div><p>Opens the Pack UVs dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"rescale-clusters\"></a><h2 id=\"rescale-clusters\">Rescale Clusters</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RescaleCluster &lt;bitArray&gt;facesel &lt;node&gt;node\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetPackRescaleCluster()\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.SetPackRescaleCluster &lt;boolean&gt;rescale\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"sketch\"></a><h2 id=\"sketch\">Sketch</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.sketch &lt;int array&gt;indexList &lt;point3 array&gt;positionList \n\
</pre></div><p>Sketches UV coordinates using the supplied index list array and the position list array.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchNoParams() \n\
</pre></div><p>Executes the Sketch function using the current defaults.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchDialog() \n\
</pre></div><p>Opens the Sketch Vertices dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchReverse() \n\
</pre></div><p>Reverses the order of the select vertices that are being used for sketch when you use the Use Current Selection option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";