var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Command Panel Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Command Panel Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---command-panel-controls\"></a></div>\n\
<p>The following methods require that the Unwrap UVW modifier is the <strong>displayed modifier</strong> in the Modify panel, and that the <strong>Modify panel is active</strong>.</p>\n\
<div class=\'section\'><a id=\"unwrap_uvw-ui---selection-rollout\"></a><h2 id=\"unwrap_uvw-ui---selection-rollout\">Unwrap_UVW UI - Selection Rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-57FFC67C-CB2C-46B1-B61C-D66C3FDC869B-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"sub-object-mode\"></a><h3 id=\"sub-object-mode\">Sub-Object Mode</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTVSubObjectMode() \n\
</pre></div><p>Returns the sub-object mode index.</p>\n\
<p>0 - None</p>\n\
<p>1 - Vertex</p>\n\
<p>2 - Edge</p>\n\
<p>3 - Face</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTVSubObjectMode &lt;integer&gt;mode \n\
</pre></div><p>Sets the sub-object mode:</p>\n\
<p>0 - None</p>\n\
<p>1 - Vertex</p>\n\
<p>2 - Edge</p>\n\
<p>3 - Face</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGeomSelectElementMode() \n\
</pre></div><p>Returns the state of the Select By Element checkbox in the modifier’s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomSelectElementMode &lt;boolean&gt;mode \n\
</pre></div><p>Sets the state of the Select By Element checkbox in the modifier’s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectElement() \n\
</pre></div><p>Select the Element using the current selection.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomVerts() \n\
</pre></div><p>Returns a bitarray with bits set for the selected geometry vertices.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomVerts &lt;bitArray&gt;selection \n\
</pre></div><p>Selects the geometry vertices using the bitarray argument.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomEdges() \n\
</pre></div><p>Returns a bitarray with bits set for the selected geometry edges.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomEdges &lt;bitArray&gt;selection \n\
</pre></div><p>Selects the geometry edges using the bitarray argument.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"modify-selection\"></a><h3 id=\"modify-selection\">Modify Selection</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomVertexSelection() \n\
</pre></div><p>Grows the Vertex Selection.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Vertex Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomVertexSelection() \n\
</pre></div><p>Shrinks the Vertex Selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Vertex Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomEdgeSelection() \n\
</pre></div><p>Expands the Edge Selection.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Edge Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomEdgeSelection() \n\
</pre></div><p>Contracts the Edge Selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Edge Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomFaceSelection() \n\
</pre></div><p>Expands the face selection in the viewport.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Face Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomFaceSelection() \n\
</pre></div><p>Contracts the Face selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Face Sub-Object mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.geomEdgeLoopSelection() \n\
</pre></div><p>Performs Edge Loop Selection.</p>\n\
<p>Equivalent to clicking the <strong>Select Edge Loop</strong> icon.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.geomEdgeRingSelection() \n\
</pre></div><p>Performs Edge Ring Selection.</p>\n\
<p>Equivalent to clicking the <strong>Select Edge Ring</strong> icon.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"select-by\"></a><h3 id=\"select-by\">Select By</h3></div>\n\
<div class=\'section\'><a id=\"ignore-backfacing-subobject\"></a><h4 id=\"ignore-backfacing-subobject\">Ignore Backfacing Subobject</h4></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getIgnoreBackFaceCull() \n\
</pre></div><p>Returns the state of the Ignore Backfacing checkbox in the modifier’s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setIgnoreBackFaceCull &lt;boolean&gt;ignoreBackFaceCull \n\
</pre></div><p>Sets the state of the Ignore Backfacing checkbox in the modifier’s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"planar-threshold\"></a><h4 id=\"planar-threshold\">Planar Threshold</h4></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGeomPlanarThresholdMode() \n\
</pre></div><p>Returns true if the <strong>Planar Angle</strong> mode is checked, false otherwise. Corresponds to the checkbox in front of the Planar Angle value in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomPlanarThresholdMode &lt;boolean&gt;mode \n\
</pre></div><p>Sets the <strong>Planar Angle</strong> mode state. Corresponds to the checkbox in front of the Planar Angle value in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getGeomPlanarThreshold() \n\
</pre></div><p>Returns the <strong>Planar Angle</strong> value.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomPlanarThreshold &lt;float&gt;angle \n\
</pre></div><p>Sets the Planar Angle value.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"select-by-material-id\"></a><h4 id=\"select-by-material-id\">Select By Material ID</h4></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectByMatID &lt;integer&gt;matID \n\
</pre></div><p>Selects the faces with the specified Material ID. Corresponds to the Select MatID button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getSelectMatID() \n\
</pre></div><p>Returns the value in the Select MatID (Material ID) spinner in the Unwrap_UVW modifier&#39;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectMatID &lt;integer&gt;matID \n\
</pre></div><p>Sets the value in the Select MatID (Material ID) spinner in the Unwrap_UVW modifier&#39;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"select-by-smoothing-group\"></a><h4 id=\"select-by-smoothing-group\">Select By Smoothing Group</h4></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectBySG &lt;integer&gt;sg \n\
</pre></div><p>Selects the faces with the specified Smoothing Group. Corresponds to the Select SG button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getSG() \n\
</pre></div><p>Returns the value in the Select SG (Smoothing Group) spinner in the Unwrap_UVW modifier&#39;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSG &lt;integer&gt;sgID \n\
</pre></div><p>Sets the value in the Select SG (Smoothing Group) spinner in the Unwrap_UVW modifier&#39;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"unwrap_uvw-ui---edit-uvs\"></a><h2 id=\"unwrap_uvw-ui---edit-uvs\">Unwrap_UVW UI - Edit UVs</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFD023DE-D933-4B2D-9656-D5FE5C3DAAB0-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"open-uv-editor-button\"></a><h3 id=\"open-uv-editor-button\">Open UV Editor Button</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.edit() \n\
</pre></div><p>Presses the <strong>Open UV Editor</strong> button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"tweak-mode-button\"></a><h3 id=\"tweak-mode-button\">Tweak Mode Button</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTweakMode()\n\
</pre></div><p>Returns true if the Unwrap Editor is in Tweak Mode, false if it is not in Tweak Mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.setTweakMode &lt;boolean&gt;on\n\
</pre></div><p>Enables/disables the Tweak Mode.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"quick-planar-map\"></a><h3 id=\"quick-planar-map\">Quick Planar Map</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.planarMap() \n\
</pre></div><p>Presses the <strong>Quick Planar Map</strong> button.</p>\n\
<p>Creates planar mapping using the Mapping Align radio button settings.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getProjectionType() \n\
</pre></div><p>Returns the state of the Mapping Align radio buttons:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>4 - Averaged Normals</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setProjectionType &lt;integer&gt;projection \n\
</pre></div><p>Sets the Mapping Align radio buttons state:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>4 - Averaged Normals</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"channel-rollout\"></a><h2 id=\"channel-rollout\">Channel Rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C9FC75EF-5293-435D-98ED-896ABC8B5823-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.reset() \n\
</pre></div><p>Presses the <strong>Reset UVWs</strong> button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.save() \n\
</pre></div><p>Presses the <strong>Save</strong> button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.load() \n\
</pre></div><p>Presses the <strong>Load</strong> button in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"channel-group-of-controls\"></a><h3 id=\"channel-group-of-controls\">Channel Group Of Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getMapChannel() \n\
</pre></div><p>Returns the mapping channel set for editing in the modifier’s UI.</p>\n\
<p>Note: Channel 1 returns 0 instead. This is for backwards compatibility with older max versions where the only UVW Channel was 0 and the Vertex Color channel was 1.</p>\n\
<p>0 - UVW Channel 1</p>\n\
<p>1 - Vertex Colors Channel</p>\n\
<p>2..99 - UVW Channels 2 .. 99</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $.unwrap_uvw.unwrap.setMapChannel 10 --set map channel to 10 $.unwrap_uvw.unwrap.getMapChannel()--returns 10 $.unwrap_uvw.unwrap.setMapChannel 1--set map channel to 1 $.unwrap_uvw.unwrap.getMapChannel()--although set to 1, returns 0 $.unwrap_uvw.unwrap.setMapChannel 2--set map channel to 2 $.unwrap_uvw.unwrap.getMapChannel()--returns 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setMapChannel &lt;integer&gt;mapChannel \n\
</pre></div><p>Sets the Map Channel field in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getVC() \n\
</pre></div><p>Returns the state of the <strong>Vertex Color Channel</strong> radio button in the rollup.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVC &lt;boolean&gt;vertexColor \n\
</pre></div><p>When set to true, activates the <strong>Vertex Colors Channel</strong> radio button in the Channel Group. When set to false, enables Map Channels.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"peel-rollout\"></a><h2 id=\"peel-rollout\">Peel Rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-854D7402-D57F-4AE0-9BD3-9EBD25A26314-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"quick-peel-icon\"></a><h3 id=\"quick-peel-icon\">Quick Peel Icon</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMInteractive &lt;boolean&gt;useExistingMapping\n\
</pre></div><p>Equivalent to pressing the Quick Peel Icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\' title=\'\'>Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<div class=\'section\'><a id=\"peel-mode-icon\"></a><h3 id=\"peel-mode-icon\">Peel Mode Icon</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMSolve()\n\
</pre></div><p>Equivalent to pressing the Peel Mode icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\' title=\'\'>Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<div class=\'section\'><a id=\"reset-peel-icon\"></a><h3 id=\"reset-peel-icon\">Reset Peel Icon</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMReset()\n\
</pre></div><p>Equivalent to pressing the Reset icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\' title=\'\'>Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<div class=\'section\'><a id=\"pelt-map-icon\"></a><h3 id=\"pelt-map-icon\">Pelt Map Icon</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltMapMode() \n\
</pre></div><p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Note: <strong>Implementation currently missing</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltMapMode &lt;boolean&gt;mode \n\
</pre></div><p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Note: <strong>Implementation currently missing</strong></p>\n\
<p>Use <span class=\'code\'>&lt;Unwrap_UVW&gt;.mappingMode 5</span> instead to enter Pelt Mapping Mode.</p>\n\
<div class=\'section\'><a id=\"seams-group-of-controls\"></a><h3 id=\"seams-group-of-controls\">Seams Group Of Controls</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltEditSeamsMode() \n\
</pre></div><p>Returns true if in <strong>Edit Seams</strong> mode, false otherwise.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltEditSeamsMode &lt;boolean&gt;mode \n\
</pre></div><p>Pass true as argument to enable the <strong>Edit Seams</strong> mode, or false to disable.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltPointToPointSeamsMode() \n\
</pre></div><p>Returns true if in Point To Point Seams mode, false otherwise.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltPointToPointSeamsMode &lt;boolean&gt;mode \n\
</pre></div><p>Pass true as argument to enable the Point To Point Seams mode, or false to disable.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltExpandSelectionToSeams() \n\
</pre></div><p>Expands the Face Selection to the Seams.</p>\n\
<p>Equivalent to clicking the <strong>Expand Face Selection To Seams</strong> icon.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltEdgeSelToSeam &lt;boolean&gt;replace \n\
</pre></div><p>Converts the Edge Selection to Seams. If the argument is passed as true, any existing Seams will be replaced.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltSeamToEdgeSel &lt;boolean&gt;replace \n\
</pre></div><p>Converts the Seams to Edge Selection. If the argument is passed as true, any existing edge selection will be replaced.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getPeltSelectedSeams() \n\
</pre></div><p>Returns a bitarray of the selected seams.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltSelectedSeams &lt;bitArray&gt;selection \n\
</pre></div><p>Sets the seams to the supplied bitarray argument.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"unwrap_uvw-ui---projection-rollout\"></a><h2 id=\"unwrap_uvw-ui---projection-rollout\">Unwrap_UVW UI - Projection Rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D7F549C2-0180-431A-9CFA-A4053E9D78E2-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingMode &lt;integer&gt;mode \n\
</pre></div><p>Sets the mapping mode to the specified mode.</p>\n\
<p>Possible argument values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Planar</p>\n\
<p>2 - Cylindrical</p>\n\
<p>3 - Spherical</p>\n\
<p>4 - Box</p>\n\
<p>5 - Pelt</p>\n\
<p>6 and higher - Free</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --make sure the modifier is displayed in the Modify panel: max modify mode modPanel.setCurrentObject $Teapot01.Unwrap_UVW $Teapot01.Unwrap_UVW.mappingMode 5--enter Pelt Mapping Mode</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"align-options-group-of-controls\"></a><h3 id=\"align-options-group-of-controls\">Align Options group of controls</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingAlign &lt;integer&gt;axis \n\
</pre></div><p>Aligns the mapping gizmo to the specified axis.</p>\n\
<p>Possible argument values are:</p>\n\
<p>0 - Align Mapping to X</p>\n\
<p>1 - Align Mapping to Y</p>\n\
<p>2 - Align Mapping to Z</p>\n\
<p>3 - Align Mapping to Average Normal</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingAlignToView() \n\
</pre></div><p>Aligns the mapping gizmo to the view.</p>\n\
<p>Corresponds to pressing the <strong>Align To View</strong> button.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingCenter() \n\
</pre></div><p>Center the mapping gizmo to the selection. Corresponds to pressing the <strong>Center</strong> button.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingFit() \n\
</pre></div><p>Fits the mapping gizmo to the selection.</p>\n\
<p>Corresponds to pressing the <strong>Fit</strong> button.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingReset() \n\
</pre></div><p>Resets the Mapping gizmo. Corresponds to pressing the <strong>Reset Mapping Gizmo</strong> button.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;&lt;Unwrap_UVW&gt;.getGizmoTM() \n\
</pre></div><p>Returns the transformation matrix of the mapping gizmo.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setGizmoTM &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the transformation matrix of the mapping gizmo to the matrix3 argument.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"configure-rollout\"></a><h2 id=\"configure-rollout\">Configure Rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-65265AF9-AEAB-4AC6-B65C-A5462E1317ED-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"display-settings\"></a><h3 id=\"display-settings\">Display Settings</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getViewportOpenEdges() \n\
</pre></div><p>Returns the state of the <strong>Map Seam</strong> checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setViewportOpenEdges &lt;boolean&gt;show \n\
</pre></div><p>Sets the state of the <strong>Map Seam</strong> checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltAlwaysShowSeams() \n\
</pre></div><p>Returns the state of the <strong>Peel Seam</strong> checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltAlwaysShowSeams &lt;boolean&gt;show \n\
</pre></div><p>Sets the state of the <strong>Peel Seam</strong> checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getThickOpenEdges() \n\
</pre></div><p>Returns the state of the <strong>Thick/ThinSeam Display</strong> radio button.</p>\n\
<p>If the result is true, the radio buttons are set to &quot;Thick Seam Display&quot;. If false, they are set to &quot;Thin Seam Display&quot;.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setThickOpenEdges &lt;boolean&gt;thick \n\
</pre></div><p>Sets the state of the <strong>Thick/ThinSeam Display</strong> radio buttons.</p>\n\
<p>If the argument is true, the radio buttons are set to &quot;Thick Seam Display&quot;. If false, they are set to &quot;Thin Seam Display&quot;.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"prevent-reflattening-option\"></a><h3 id=\"prevent-reflattening-option\">Prevent Reflattening Option</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPreventFlattening() \n\
</pre></div><p>Returns the state of the Prevent Reflattening checkbox in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPreventFlattening &lt;boolean&gt;preventFlattening \n\
</pre></div><p>Sets the state of the Prevent Reflattening checkbox in the modifier’s UI.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"normalize-map-option\"></a><h3 id=\"normalize-map-option\">Normalize Map Option</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getNormalizeMap() \n\
</pre></div><p>Returns the state of the Normalize Map checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setNormalizeMap &lt;boolean&gt;normalize \n\
</pre></div><p>Sets the state of the Normalize Map checkbox.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";