var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Regular (Unfold) Mapping</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Regular (Unfold) Mapping</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---regular-unfold-mapping\"></a></div>\n\
<p>The following methods expose the <strong>Unfold Mapping</strong> workflow to MAXScript:</p>\n\
<div class=\'section\'><a id=\"unfold-mapping\"></a><h2 id=\"unfold-mapping\">Unfold Mapping</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CF152AAB-D86E-40C3-B4A8-06E3CE085CB7-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapStart &lt;node&gt;node &lt;boolean&gt;showUI \n\
</pre></div><p>Starts the Unfold Mapping process for the specified node. If the second argument is passed as true, also displays the &quot;Unfold Map&quot; dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapEnd()\n\
</pre></div><p>Ends the Unform Mapping process and closes the &quot;Unfold Map&quot; dialog if open.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapReset()\n\
</pre></div><p>Resets the Unfold mapping.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoWeld()\n\
</pre></div><p>Returns the state of the &quot;Use Threshold&quot; checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoWeld &lt;boolean&gt;enable\n\
</pre></div><p>Sets the state of the &quot;Use Threshold&quot; checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoWeldThreshold()\n\
</pre></div><p>Returns the auto-weld &quot;Threshold&quot; value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoWeldThreshold &lt;float&gt;threshold\n\
</pre></div><p>Sets the auto-weld &quot;Threshold&quot; value. The Unfold Map dialog&#39;s UI will not be updated unless it is reopened.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetSingleStep()\n\
</pre></div><p>Returns the state of the &quot;Single Step&quot; option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetSingleStep &lt;boolean&gt;enable\n\
</pre></div><p>Sets the state of the &quot;Single Step&quot; option to the boolean argument.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.RegularMapGetLimit()\n\
</pre></div><p>Returns the selection index of the &quot;Advance Limit&quot; drop-down list option.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Full</strong> (default)</p>\n\
<p>2 - <strong>Partial</strong></p>\n\
<p>3 - <strong>Always</strong></p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetLimit &lt;integer&gt;limit\n\
</pre></div><p>Sets the selection index of the &quot;Advance Limit&quot; drop-down list option to the specified integer. See above for supported values.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetNormalize()\n\
</pre></div><p>Returns the state of the &quot;Normalize&quot; option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetNormalize &lt;boolean&gt;enable\n\
</pre></div><p>Sets the state of the &quot;Normalize&quot; option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoFit()\n\
</pre></div><p>Returns the selection of the &quot;Auto Fit&quot; drop-down list option.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Auto Fit None</strong></p>\n\
<p>2 - <strong>Auto Fit Last</strong> (default)</p>\n\
<p>3 - <strong>Auto Fit All</strong></p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoFit &lt;integer&gt;autofit\n\
</pre></div><p>Sets the selection of the &quot;Auto Fit&quot; drop-down list option. See above for supported values.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapResetFaces()\n\
</pre></div><p>Equivalent to pressing the &quot;Reset Faces&quot; button in the Unform Map dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapStartNewCluster &lt;node&gt;node &lt;index&gt;index\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapAdvanceSelected &lt;boolean&gt;singleStep\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapAdvanceUV &lt;boolean&gt;uPos &lt;boolean&gt;vPos &lt;boolean&gt;uNeg &lt;boolean&gt;vNeg &lt;boolean&gt;singleStep \n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.RegularMapGetIconSize()\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetIconSize &lt;float&gt;size\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapExpand &lt;enum&gt;expandBy \n\
\n\
 expandBy enums: {#smgrp | #planar | #edgeSel | #faceSel | #outerBorder | #innerBorder | #ring | #peltseams | #loop}\n\
</pre></div><p>Expands the selection by the specified method.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";