var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MapScalerSpacewarpModifier : SpacewarpModifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MapScalerSpacewarpModifier : SpacewarpModifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mapscalerspacewarpmodifier-spacewarpmodifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>MapScalerSpacewarpModifier - superclass: SpacewarpModifier; super-superclass:MAXWrapper - classID: #(229485986, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MapScalerSpacewarpModifier ... MapScaler ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.scale Float default: 100.0 -- animatable; float\n\
</pre></div><p>The size of one repeat of the texture pattern. Size is measured in current scene units. Repeats occur across the object in the U direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.channel Integer default: 1 -- integer\n\
</pre></div><p>The map channel used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.uOffset Float default: 0.0 -- animatable; float\n\
</pre></div><p>The U direction map offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.vOffset Float default: 0.0 -- animatable; float\n\
</pre></div><p>The V direction map offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.wrap Boolean default: true -- boolean\n\
\n\
</pre></div><p>When true, Map Scaler attempts to wrap the texture evenly around the object. This option requires more computing, but usually produces the most satisfactory results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.wrapUsingSmoothingGroups BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of <strong>Wrap using Smoothing Groups</strong> checkbox. When set to true and .wrap is also set to true, Map Scaler will attempt to wrap the texture around the object based on its smoothing groups.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MapScalerSpacewarpModifier&gt;.upDirection Integer default: 1 -- radio button number; localZUp\n\
</pre></div><p>Sets the map alignment:</p>\n\
<p>1 - World Z Axis (Aligns the map with the Z axis of the world.)</p>\n\
<p>2 - Local Z Axis (Aligns the map with the local Z axis of the object.)</p>\n\
<p>Note:</p>\n\
<p>The two parameters for the MapScalerSpacewarpModifier, &quot;U Offset&quot; and &quot;V Offset&quot;, will let you fine-tune mapping placement on a per-instance basis, as opposed to controlling from the texture map definition in the material. The values can be positive or negative, and are controlled independently.</p>\n\
<p>If the Wrap toggle is ON, the offset values are ignored, and the controls are disabled. This is because &quot;wrapping&quot; determines the offsets for each face based on a specific previous face, so it doesn&#39;t make much sense to control the offset for just one face (or one set of coplanar faces). Therefore, if Wrap is ON, it works just as before. Likewise, if the U and V Offset values are 0, the results should be identical to previous versions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";