var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSIsoCurve : NURBSCurve</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSIsoCurve : NURBSCurve</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsisocurve-nurbscurve\"></a></div>\n\
<p>This class defines a dependent Iso (isoparametric) curve. U and V Iso curves are dependent curves created along lines of constant parameter value of a NURBS surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSIsoCurve [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.parent : integer \n\
</pre></div><p>The parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.parentID : integer \n\
</pre></div><p>The parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.dir :#U, #V \n\
</pre></div><p>The direction of the iso curve, either #U or #V.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.parameter : float \n\
</pre></div><p>The parametric position in the range of 0.0 to 1.0 in the given direction on the surface at which the iso line will sit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.trim : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , trims parent surface at the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.flipTrim : boolean \n\
</pre></div><p>The state of the trim flip toggle. This controls which portion of the surface is trimmed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsisocurve&gt;.seed : point2 \n\
</pre></div><p>The seed location is a UV position on the parent surface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";