var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSSurfSurfIntersectionCurve : NURBSCurve</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSSurfSurfIntersectionCurve : NURBSCurve</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbssurfsurfintersectioncurve-nurbscurve\"></a></div>\n\
<p>This class defines a dependent Surface-Surface Intersection curve.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSSurfSurfIntersectionCurve [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.parent1 : integer \n\
</pre></div><p>The 1 st parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.parent1ID : integer \n\
</pre></div><p>The 1 st parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.parent2 : integer \n\
</pre></div><p>The 2 nd parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.parent2ID : integer \n\
</pre></div><p>The 2 nd parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.trimCurve1 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , trim the 1 st parent surface at the intersection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.trimCurve2 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , trim the 2 nd parent surface at the intersection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.flipTrim1 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the 1 st parent surface is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the surface is trimmed from the point towards high parameter space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.flipTrim2 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the 2 nd parent surface is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the surface is trimmed from the point towards high parameter space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfsurfintersectioncurve&gt;.seed : point2 \n\
</pre></div><p>The seed location is a UV position on the parent surface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";