var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSCurveSurfaceIntersectPoint : NURBSPoint</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSCurveSurfaceIntersectPoint : NURBSPoint</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbscurvesurfaceintersectpoint-nurbspoint\"></a></div>\n\
<p>This class defines a dependent point at the intersection of a curve and a surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSCurveSurfaceIntersectPoint [&lt;property&gt;:&lt;val&gt;]...    \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.parent1 : integer \n\
</pre></div><p>The parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.parent1ID : integer \n\
</pre></div><p>The parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.parent2 : integer \n\
</pre></div><p>The parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.parent2ID : integer \n\
</pre></div><p>The parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.trimCurve : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , trims parent curve at the point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.flipTrim : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the curve is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the curve is trimmed from the point towards high parameter space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurvesurfaceintersectpoint&gt;.seed : float \n\
</pre></div><p>The seed location is a U position along the length of the parent curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";