var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSPoint : NURBSObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSPoint : NURBSObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbspoint-nurbsobject\"></a></div>\n\
<p>This is the parent class for all the NURBS point classes and so is not directly constructable. The class describes a point in 3D space.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>All NURBS point classes have the following properties. These properties are both gettable and settable for independent points, and read-only for dependent points. They are <strong>always</strong>given in the parent NURBS node local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspoint&gt;.pos : point3    \n\
&lt;nurbspoint&gt;.x : float   \n\
&lt;nurbspoint&gt;.y : float \n\
&lt;nurbspoint&gt;.z : float\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";