var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSPointConstPoint : NURBSPoint</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSPointConstPoint : NURBSPoint</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbspointconstpoint-nurbspoint\"></a></div>\n\
<p>This class defines a dependent point that lies at a point or relative to it. It is a point constrained relative to another point. This can be a point used to define a point surface or point curve, it can be a trim point, or just a point in space. There are two ways to specify the displacement of the point’s location relative to the U position:</p>\n\
<ul>\n\
<li><p>OnObject - the point is actually at the parent.</p></li>\n\
<li><p>Offset - the point is moved according to a relative (object space) X,Y,Z location.</p></li>\n\
</ul>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSPointConstPoint [&lt;property&gt;:&lt;val&gt;]...   \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointconstpoint&gt;.parent : integer \n\
</pre></div><p>The parent point by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointconstpoint&gt;.parentID : integer \n\
</pre></div><p>The parent point by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointconstpoint&gt;.type :#onObject, #offset \n\
&lt;nurbspointconstpoint&gt;.offset : point3 \n\
</pre></div><p>Offset vector if an offset type.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";