var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSCapSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSCapSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbscapsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Cap surface. A Cap surface is a surface that caps a closed curve or the edge of a closed surface. Caps are especially useful with extruded surfaces.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSCapSurface [&lt;property&gt;:&lt;val&gt;]...    \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscapsurface&gt;.parent : integer \n\
</pre></div><p>The parent curve or surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscapsurface&gt;.parentID : integer \n\
</pre></div><p>The parent curve or surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscapsurface&gt;.edge : integer \n\
</pre></div><p>Which edge of the parent surface is capped. This value is not applicable if the parent is a curve. The property’s value is one of the following:</p>\n\
<p>1: The low U edge</p>\n\
<p>2: The high U edge</p>\n\
<p>3: The low V edge</p>\n\
<p>4: The high V edge</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscapsurface&gt;.curveStartPoint : integer \n\
</pre></div><p>The start point on the parent curve. This value is only applicable if the parent is a curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";