var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSNBlendSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSNBlendSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsnblendsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Multisided Blend surface. A Multisided Blend surface is a surface that &quot;fills in&quot; the edges defined by three or four other curve or surfaces. Unlike a regular, two-sided Blend surface, the curves or surfaces edges must form a closed loop (that is, sequence head to tail, and the ends must match). That is, they must completely surround the opening the Multisided Blend will cover.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSNBlendSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>There are no additional properties for NURBSNBlendSurface.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getParent &lt;nurbsnblendsurface&gt; &lt;index&gt; \n\
</pre></div><p>Returns the NURBSSet index of the indexed curve or surface.</p>\n\
<div class=\'codeBlock\'><pre>setParent &lt;nurbsnblendsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Sets the specified parent curve or surface by NURBSSet index as the indexed edge for the surface.</p>\n\
<div class=\'codeBlock\'><pre>getParentID &lt;nurbsnblendsurface&gt; &lt;index&gt; \n\
</pre></div><p>Returns the NURBSId of the indexed curve or surface.</p>\n\
<div class=\'codeBlock\'><pre>setParentID &lt;nurbsnblendsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Sets the specified parent curve or surface by NURBSId as the indexed edge for the surface.</p>\n\
<div class=\'codeBlock\'><pre>getEdge &lt;nurbsnblendsurface&gt; &lt;index&gt; setEdge &lt;nurbsnblendsurface&gt; &lt;index&gt; &lt;edge&gt; \n\
</pre></div><p>Get or set which edge of the indexed parent surface is used for the blend. The edge is only applicable if the parent is a surface. the <span class=\'code\'>&lt;edge&gt;</span> value is one of the following:</p>\n\
<p>1: The low U edge</p>\n\
<p>2: The high U edge</p>\n\
<p>3: The low V edge</p>\n\
<p>4: The high V edge</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";