var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSTexturePoint : NURBSObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSTexturePoint : NURBSObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbstexturepoint-nurbsobject\"></a></div>\n\
<p>This class defines a single texture vertex in a NURBS texture surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSTexturePoint &lt;point2&gt; [indices:&lt;point2&gt;]    \n\
</pre></div><p>Create a NURBSTexturePoint with the specified UV coordinate. If <span class=\'code\'>indices:</span> is specified, it sets the ordering the texture point in the texture surface.</p>\n\
<div class=\'codeBlock\'><pre>getPoint &lt;NURBSTextureSurface&gt; &lt;u_index&gt; &lt;v_index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbstexturepoint&gt;.pos : point2 \n\
</pre></div><p>The UV coordinate of the texture point.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>setIndices &lt;nurbstexturepoint&gt; &lt;u_index&gt; &lt;v_index&gt; \n\
</pre></div><p>Sets the ordering the texture point in the texture surface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";