var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Align Pivot and Reset Transform Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Align Pivot and Reset Transform Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"align-pivot-and-reset-transform-methods\"></a></div>\n\
<p>The following methods provide access to the Align Pivot and Reset Transform functionality available in the Hierarchy tab and to the ResetXForm Utility functionality.</p>\n\
<p>Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>ResetXForm &lt;node&gt;-- mapped method    \n\
</pre></div><p>Same as the Reset XForm utility in the Utilities tab - applies XForm modifier to node, stores the current transformations in the gizmo and resets the object transformations.</p>\n\
<div class=\'codeBlock\'><pre>CenterPivot &lt;node&gt;-- mapped method   \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Pivot Only - Center to Object.</p>\n\
<div class=\'codeBlock\'><pre>CenterObject &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Object Only - Center to Pivot.</p>\n\
<div class=\'codeBlock\'><pre>WorldAlignPivot &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Pivot Only - Align to World.</p>\n\
<div class=\'codeBlock\'><pre>WorldAlignObject &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Object Only - Align to World.</p>\n\
<div class=\'codeBlock\'><pre>AlignPivot &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Pivot Only - Align to Object.</p>\n\
<div class=\'codeBlock\'><pre>AlignObject &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Affect Object Only - Align to Pivot.</p>\n\
<div class=\'codeBlock\'><pre>AlignToParent &lt;node&gt;-- mapped method \n\
</pre></div><p>Aligns the pivot to the node&#39;s parent&#39;s pivot, or to world if no parent.</p>\n\
<div class=\'codeBlock\'><pre>ResetTransform &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Reset Transform.</p>\n\
<div class=\'codeBlock\'><pre>ResetScale &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Reset Scale.</p>\n\
<div class=\'codeBlock\'><pre>ResetPivot &lt;node&gt;-- mapped method \n\
</pre></div><p>Same as Hierarchy/Pivot/Reset Pivot.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";