var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Render-Related Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Render-Related Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-render-related-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>getVisController &lt;node&gt; \n\
</pre></div><p>Returns an instance of the node&#39;s visibility controller. Returns <span class=\'code\'>undefined</span> if the node does not have a visibility track.</p>\n\
<div class=\'codeBlock\'><pre>getInheritVisibility &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node inherits the visibility of its parent object (if any), <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>setInheritVisibility &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the node inherits the visibility of its parent object (if any). If <span class=\'code\'>&lt; boolean&gt;</span> is <span class=\'code\'>true</span> , node inherits visibility. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> , the node does not inherit visibility.</p>\n\
<div class=\'codeBlock\'><pre>getImageBlurMultController &lt;node&gt; \n\
</pre></div><p>Returns the node&#39;s Image Motion Blur Multiplier controller. Returns undefined if no Image Motion Blur Multiplier controller has been assigned to the node.</p>\n\
<div class=\'codeBlock\'><pre>setImageBlurMultiplier &lt;node&gt; &lt;time&gt; &lt;number&gt; \n\
</pre></div><p>Sets the node&#39;s Image Motion Blur Multiplier value at the specified time to the specified value.</p>\n\
<div class=\'codeBlock\'><pre>setImageBlurMultController &lt;node&gt; &lt;controller&gt; \n\
</pre></div><p>Sets the node&#39;s Image Motion Blur Multiplier controller to the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setMotBlur &lt;node&gt; &lt;integer&gt; \n\
</pre></div><p>Sets which type of motion blur to use for node. If <span class=\'code\'>&lt;integer&gt;</span> = 1, None. If <span class=\'code\'>&lt;integer&gt;</span> = 2, Object Motion Blur. If <span class=\'code\'>&lt;integer&gt;</span> = 3, Image Motion Blur.</p>\n\
<div class=\'codeBlock\'><pre>setRenderable &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the node is renderable. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , node is renderable. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> the node is not renderable.</p>\n\
<div class=\'codeBlock\'><pre>getRenderID &lt;node&gt; \n\
</pre></div><p>Returns the RenderID of the node. A value of 65535 is returned if the scene has not been rendered, or the node is not renderable. The RenderIDs of the nodes are output to the NODE_RENDER_ID g-buffer channel by the renderer.</p>\n\
<div class=\'codeBlock\'><pre>setRenderID &lt;node&gt; &lt;integer&gt; \n\
</pre></div><p>Sets the RenderID of the node to the specified value. This value is not &quot;sticky&quot;. It is not saved with the scene and it will be replaced by the renderer when the next render occurs.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";