var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Selection Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Selection Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-selection-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>select &lt;node&gt; -- mapped \n\
</pre></div><p>Deselects any currently selected objects and then selects the node(s) you specified.</p>\n\
<div class=\'codeBlock\'><pre>selectMore &lt;node&gt; -- mapped \n\
</pre></div><p>Adds the node(s) to the set of selected objects. If you want to build a set of selected objects from scratch in a loop, you can use <span class=\'code\'>clearSelection()</span> to clear the selection before entering the loop, and use <span class=\'code\'>selectMore()</span> in the loop to add objects to the set of selected objects.</p>\n\
<div class=\'codeBlock\'><pre>clearSelection() clearNodeSelection [redraw:&lt;boolean&gt; ] \n\
</pre></div><p>Deselects all currently selected scene nodes. Scene is redrawn unless <span class=\'code\'>redraw:false</span> is specified.</p>\n\
<div class=\'codeBlock\'><pre>deselect &lt;node&gt;-- mapped \n\
</pre></div><p>Deselects the given node(s).</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` deselect $box*--deselects all items whose names start with &quot;box&quot;.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>deselectNode &lt;node&gt; \n\
</pre></div><p>Deselects a single node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";