var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Handles</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Handles</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-handles\"></a></div>\n\
<p>A property has been added in <strong>3ds Max 4</strong> to a node’s interface called <span class=\'code\'>.handle</span> . This can be used to get the unique node handle ID from the node.</p>\n\
<div class=\'codeBlock\'><pre>id = $Box01.handle \n\
</pre></div><p>Returns the unique id associated with the node</p>\n\
<p>A method in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps interface</a> will return a node associated with a given handle.</p>\n\
<div class=\'codeBlock\'><pre>node =maxOps.getNodeByHandle &lt;number&gt;   \n\
</pre></div><p>Returns the node associated with the id passed in.</p>\n\
<p>Note:</p>\n\
<p>It is safer to say <span class=\'code\'>$box01.inode.handle</span> than <span class=\'code\'>$box01.handle</span> . This is to prevent cases where the baseobject has property called handle, like a teapot, and you get that object’s handle instead of the node handle.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";