var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FreeCamera : Camera</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FreeCamera : Camera</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"freecamera-camera\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-03CC38FB-3911-48DD-81A9-4676740D2224-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>freeCamera...    \n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>There are no additional properties for FreeCamera.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Camera-Node/Camera-Common-Properties.html\' title=\'\'>Camera Common Properties, Operators, and Methods</a> for common properties of all cameras.</p>\n\
<p>Note:</p>\n\
<p>In <strong>3ds Max</strong>, all node-level properties are searched before base-object-level properties. If a base-object property has the same name as a node-level property, you need to search in the base object for the base object property.</p>\n\
<p>This affects the following properties of freeCamera:</p>\n\
<div class=\'codeBlock\'><pre>&lt;freeCamera&gt;.baseObject.     targetDistance \n\
</pre></div><p>Get/Set the target distance of the Free Camera.</p>\n\
<p>Every node in 3ds Max has a node property <strong>.targetDistance</strong> which contains the distance to an eventual target the node is looking at using a LookAt controller. (you can assign a node to the <strong>.lookAt</strong> property and the controller will be assigned automatically).</p>\n\
<p>Thus, a Free Camera has such a node property but it is set to <strong>undefined</strong>, and a baseobject property with the same name which contains the actual target distance value shown in the User Interface. If the Free Camera gets converted to a Target camera, the node-level property will be displayed in the User Interface and should be accessed via MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";