var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BoneGeometry : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BoneGeometry : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bonegeometry-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>BoneGeometry : GeometryClass {28bf6e8d,2ecca840} \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases</strong></p>\n\
<div class=\'codeBlock\'><pre>BoneGeometry... BoneObj... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.width : world units \n\
</pre></div><p>Get/set the width of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.height : world units \n\
</pre></div><p>Get/set the height of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.taper : percentage \n\
</pre></div><p>Get/set the taper of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.length : float \n\
</pre></div><p>Get/set the length of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.sidefins (Side_Fins) : boolean \n\
</pre></div><p>Toggle side fins on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.sidefinssize (Side_Fins_Size) : world units \n\
</pre></div><p>Get/set the size of the side fins in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.sidefinsstarttaper (Side_Fins_Start_Taper) : percentage \n\
</pre></div><p>Get/set the start taper value of the side fins as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.sidefinsendtaper (Side_Fins_End_Taper) : percentage \n\
</pre></div><p>Get/set the end taper value of the side fins as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.frontfin (Front_Fin) : boolean \n\
</pre></div><p>Toggle front fin on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.frontfinsize (Front_Fin_Size) : world units \n\
</pre></div><p>Get/set the size of the front fin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.frontfinstarttaper (Front_Fin_Start_Taper) : percentage \n\
</pre></div><p>Get/set the start taper of the front fin as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.frontfinendtaper (Front_Fin_End_Taper) : percentage \n\
</pre></div><p>Get/set the end taper of the front fin as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.backfin (Back_Fin) : boolean \n\
</pre></div><p>Toggle back fin on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.backfinsize (Back_Fin_Size) : world units \n\
</pre></div><p>Get/set the size of the back fin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.backfinstarttaper (Back_Fin_Start_Taper) : percentage \n\
</pre></div><p>Get/set the start taper of the back fin as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.backfinendtaper (Back_Fin_End_Taper) : percentage \n\
</pre></div><p>Get/set the end taper of the back fin as a percentage of the size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BoneGeometry&gt;.genmap (Generate_Mapping_Coords) : boolean \n\
</pre></div><p>Toggle mapping coordinates generation on and off.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";