var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Connect : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Connect : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"connect-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Connect - superclass: GeometryClass; super-superclass:node - classID:#(1112963990, 1318853357) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<p>Connect compound objects are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Connect&gt;.segments Integer default: 0 -- animatable  \n\
</pre></div><p>The number of segments in the connecting bridge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Connect&gt;.tension Float default: 0.5 -- animatable \n\
</pre></div><p>Controls the curvature in the connecting bridge.</p>\n\
<p>A value of 0 provides no curvature, while higher values create curves that attempt to more smoothly match the surface normals on either end of the connecting bridge.</p>\n\
<p><strong>The following properties are available only after the connect object has been created</strong>.</p>\n\
<p>The values shown for the properties are those for a connect object created from two spheres.</p>\n\
<p>Similar SubAnims would be created if additions operands were used.</p>\n\
<p>The operand transforms are in the local coordinate system of the connect object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Connect&gt;.Op_0__Sphere02 SubAnim default: SubAnim:Op_0__Sphere02\n\
&lt;Connect&gt;.Op_0_Transform SubAnim default: SubAnim:Op_0_Transform\n\
&lt;Connect&gt;.Op_1__Sphere01 SubAnim default: SubAnim:Op_1__Sphere01\n\
&lt;Connect&gt;.Op_1_Transform SubAnim default: SubAnim:Op_1_Transform\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";