var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesher - superclass: GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesher - superclass: GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesher---superclass-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Mesher - superclass: GeometryClass; super-superclass:node - 8:0 - classID: #(998877, 32670) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Mesher ...  particleMesher...  \n\
</pre></div><p>The Mesher compound object converts procedural objects to mesh objects on a per-frame basis so that you can apply modifiers such as Bend or UVW Map.</p>\n\
<p>It can be used with any type of object, but is designed primarily to work with particle systems.</p>\n\
<p>Mesher is also useful for low-overhead instancing of objects with complex modifier stacks.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.pick UndefinedClass default: undefined -- node \n\
</pre></div><p>Click this button and then select the object to be instanced by the Mesher object.</p>\n\
<p>After doing so, the name of the instanced object appears on the button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.renderTimeOnly Boolean default: false -- boolean \n\
</pre></div><p>When on, the Mesher mesh does not appear in the viewports, but only when you render the scene. Default=off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.extranodes ArrayParameter default: #() -- node array \n\
&lt;Mesher&gt;.time Float default: 0.0 -- float \n\
</pre></div><p>The number of frames ahead of or behind the original particle system that the Mesher&#39;s particle system will run. Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.radius Float default: 10.0 -- float \n\
</pre></div><p>The size of the default Mesher icon when no source geometry has been picked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.useCustomBounds Boolean default: false -- boolean; Use_Custom_Bounds \n\
</pre></div><p>When on, Mesher replaces the dynamic bounding box derived from the particle system and modifier with a static bounding box of the user&#39;s choice.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.boundsMin Point3 default: [1,1,1] -- point3; BoundsA \n\
&lt;Mesher&gt;.boundsMax Point3 default: [-1,-1,-1] -- point3; BoundsB \n\
</pre></div><p>The coordinates of the opposite corners of the custom bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt;.useAllPFEvents BooleanClass default: true -- boolean; Use_All_PF_Events \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , all Particle Flow events will be used. When false, only events on the <span class=\'code\'>.pfEventList</span> will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mesher&gt; . pfEventListArrayParameter default: #() -- node array; PF_Events \n\
</pre></div><p>When <span class=\'code\'>useAllPFEvents</span> is set to <span class=\'code\'>false</span> , only the Particle Flow events specified in this property will be used.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";