var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Morph : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Morph : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"morph-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Morph - superclass: GeometryClass; super-superclass:node - classID:#(4129, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>createMorphObject &lt;source_node&gt;   \n\
</pre></div><p>Modification of Morph objects, including setting the morph keys and adding morph targets, is performed using methods associated with the Morph controller. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Morph-Controllers/MorphController-MAXWrapper.html\' title=\'\'>MorphController</a> for a description of these methods.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>The following properties are available only after the morph object has been created.</p>\n\
<p>The values shown for the properties are those for a morph object created from three spheres.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Morph&gt;.M_Sphere01SubAnim default: SubAnim:M_Sphere01\n\
&lt;Morph&gt;.M_Sphere02 SubAnim default: SubAnim:M_Sphere02\n\
&lt;Morph&gt;.M_Sphere03 SubAnimdefault: SubAnim:M_Sphere03\n\
&lt;Morph&gt;.Morph Barycentric_Morph_Controller default: Controller:Barycentric_Morph_Controller\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";