var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scatter : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scatter : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scatter-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Scatter - superclass: GeometryClass; super-superclass:node - classID:#(1545869245, 1141180772) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<p>Scatter compounds are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Duplicates Integer default: 1 -- animatable   \n\
</pre></div><p>The number of scattered duplicates of the source object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Base_Scale Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>Alters the scale of the source object, affecting each duplicate identically. This scale occurs before any other transforms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Vertex_Chaos Float default: 0.0 -- animatable \n\
</pre></div><p>Applies a random perturbation to the vertices of the source object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Animation_Offset Time default: 0f -- animatable \n\
</pre></div><p>The number of frames by which each source object duplicate&#39;s animation is offset from the previous duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.x_rotation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random rotational offset you want about the local X-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.y_rotation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random rotational offset you want about the local Y-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.z_rotation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random rotational offset you want about the local Z-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.X_Translation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random movement you want along the X-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Y_Translation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random movement you want along the Y-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Z_Translation Float default: 0.0 -- animatable \n\
</pre></div><p>The maximum random movement you want along the Z-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.A_Translation_on_Face Float default: 0.0 -- animatable \n\
</pre></div><p>The first <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/GUID-C6CD8B3A-C5EF-4A83-8DB2-B5EDFEFDEEDD.html#node-utility-methods\' title=\'\'>barycentric coordinate</a> on the surface of the face, upon which duplicates are translated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.B_Translation_on_Face Float default: 0.0 -- animatable \n\
</pre></div><p>The second <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/GUID-C6CD8B3A-C5EF-4A83-8DB2-B5EDFEFDEEDD.html#node-utility-methods\' title=\'\'>barycentric coordinate</a> on the surface of the face, upon which duplicates are translated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.N_Translation_on_Face Float default: 0.0 -- animatable \n\
</pre></div><p>The offset along the normal of the face, upon which duplicates are translated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Local_X_Scaling Float default: 0.0 -- animatable \n\
</pre></div><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Local_Y_Scaling Float default: 0.0 -- animatable \n\
</pre></div><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.Local_Z_Scaling Float default: 0.0 -- animatable \n\
</pre></div><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<p>The following properties are available only after the Scatter object has been created.</p>\n\
<p>The values shown for the properties are those for a Scatter object created from two boxes.</p>\n\
<p>The operand transforms are in the local coordinate system of the Scatter object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scatter&gt;.S_Box04 SubAnim default: SubAnim:S_Box04\n\
&lt;Scatter&gt;.Operand_A_Transform SubAnim default: SubAnim:Operand_A_Transform\n\
&lt;Scatter&gt;.D_Box05 SubAnim default: SubAnim:D_Box05\n\
&lt;Scatter&gt;.Operand_B_Transform SubAnim default: SubAnim:Operand_B_Transform\n\
</pre></div><p>Note:</p>\n\
<p>Many properties associated with Scatter are not accessible to MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";