var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Awning : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Awning : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"awning-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Awning - superclass: GeometryClass; super-superclass:node - 11:0 - classID: #(623989466, 470630555) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-273CCDA3-8FBE-442B-A56E-46D801A379EF-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available again in <strong>3ds Max 6 and higher</strong>. It was not available in <strong>3ds Max 4</strong> and <strong>5</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>awning...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.height Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the height of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.width Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the width of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.depth Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the depth of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Horizontal_Frame_Width Float default: 2.0 -- animatable; float \n\
</pre></div><p>Get/Set the width of the horizontal frame of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Vertical_Frame_Width Float default: 2.0 -- animatable; float \n\
</pre></div><p>Get/Set the width of the vertical frame of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Frame_Thickness Float default: 0.5 -- animatable; float \n\
</pre></div><p>Get/Set the thickness of the window&#39;s frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Glazing_Thickness Float default: 0.25 -- animatable; float \n\
</pre></div><p>Get/Set the thickness of the window&#39;s glasing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Rail_Width Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the width of the rail.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Number_of_Panels Integer default: 1 -- integer \n\
</pre></div><p>Get/Set the number of panels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Percent_Open Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/Set the percentage value defining the open state of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Awning&gt;.Generate_Mapping_Coords Boolean default: false \n\
</pre></div><p>Enable/Disable mapping coordinates generation.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";