var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BiFold : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BiFold : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bifold-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>BiFold - superclass: GeometryClass; super-superclass:node - 26:0 - classID: #(1614050899, 1271618516) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-29711734-AD4C-4E5B-A081-4C79D53F1203-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available again in <strong>3ds Max 6 and higher</strong>. It was not available in <strong>3ds Max 4</strong> and <strong>5</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>bifold... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.height Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the height of the door.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.open Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the percentage value defining the open state of the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.width Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the width of the door.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.depth Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the depth of the door.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.Generate_Mapping_Coords BooleanClass default: false \n\
</pre></div><p>Enable/Disable mapping coordinates generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.Double_Doors Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the Double Doors checkbox in the &quot;Parameters&quot; rollout. Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.Flip_Swing BooleanClass default: false \n\
</pre></div><p>When set to true, flips the door&#39;s swing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.Flip_Hinge BooleanClass default: false \n\
</pre></div><p>When set to true, flips the door&#39;s hinge when Double_Doors is set to 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BiFold&gt;.Create_Frame BooleanClass default: true \n\
&lt;BiFold&gt;.Frame_Width Float default: 2.0 -- animatable; float \n\
&lt;BiFold&gt;.Frame_Depth Float default: 1.0 -- animatable; float \n\
&lt;BiFold&gt;.Door_Offset Float default: 0.0 -- animatable; float \n\
&lt;BiFold&gt;.Leaf_Thickness Float default: 2.0 -- animatable; float \n\
&lt;BiFold&gt;.Stiles_Top_Rail Float default: 4.0 -- animatable; float \n\
&lt;BiFold&gt;.Bottom_Rail Float default: 12.0 -- animatable; float \n\
&lt;BiFold&gt;.Number_of_Panels_Horizontally Integer default: 1 -- integer \n\
&lt;BiFold&gt;.Number_of_Panels_Vertically Integer default: 1 -- integer \n\
&lt;BiFold&gt;.Muntin Float default: 2.0 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Type Integer default: 1 -- integer \n\
&lt;BiFold&gt;.Glass_Thickness Float default: 0.25 -- animatable; float \n\
&lt;BiFold&gt;.Bevel_Angle Float default: 45.0 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Thickness_1 Float default: 0.25 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Thickness_2 Float default: 0.5 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Middle_Thickness Float default: 0.25 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Width_1 Float default: 1.0 -- animatable; float \n\
&lt;BiFold&gt;.Panel_Width_2 Float default: 0.5 -- animatable; float \n\
</pre></div><p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize : boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";