var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Casement : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Casement : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"casement-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Casement - superclass: GeometryClass; super-superclass:node - 12:0 - classID: #(1902665597, 1593788199) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-273CCDA3-8FBE-442B-A56E-46D801A379EF-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available again in <strong>3ds Max 6 and higher</strong>. It was not available in <strong>3ds Max 4</strong> and <strong>5</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>casement...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.height Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.width Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.depth Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the depth.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Horizontal_Frame_Width Float default: 2.0 -- animatable; float \n\
</pre></div><p>Get/set the horizontal frame width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Vertical_Frame_Width Float default: 2.0 -- animatable; float \n\
</pre></div><p>Get/set the vertical frame width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Frame_Thickness Float default: 0.5 -- animatable; float \n\
</pre></div><p>Get/set the frame thickness.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Glazing_Thickness Float default: 0.25 -- animatable; float \n\
</pre></div><p>Get/set the glazing thickness.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Percent_Open Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/set the open percentage value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Generate_Mapping_Coords BooleanClass default: false  \n\
</pre></div><p>Enable/disable the generating of mapping coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Panel_Width Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the panel width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Number_of_Casements Integer default: 1 -- integer \n\
</pre></div><p>Get/set the number of casements.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - One</p>\n\
<p>2 - Two</p>\n\
<div class=\'codeBlock\'><pre>&lt;Casement&gt;.Opens_to_Inside BooleanClass default: false \n\
</pre></div><p>When set to true, the opening direction will be inversed.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize : boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";