var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Damper : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Damper : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"damper-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Damper - superclass: GeometryClass; super-superclass:node - classID: #(1185567612, 1898392048) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>damper...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.End_Placement_Method Integer default: 1 \n\
</pre></div><p>Set binding method for damper:</p>\n\
<p>0- <strong>Reference Objects</strong> (Choose this option when binding the damper to two objects.)</p>\n\
<p>1- <strong>Free Spring</strong> (Choose this when using the damper as a simple object that&#39;s not bound to others or used in a dynamics simulation.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Free_Damper_Height Float default: 2.0 -- animatable \n\
</pre></div><p>The distance between the bottom center of the base and the top center of the piston when the damper is not bound.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Renderable_Spring Integer default: 1 \n\
</pre></div><p>Turn on/off renderability of the damper:</p>\n\
<p>0- <strong>not renderable</strong></p>\n\
<p>1- <strong>renderable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Generate_Mapping_Coordinates Integer default: 0 \n\
</pre></div><p>Turn on/off mapping coordinates for the object:</p>\n\
<p>0- <strong>off</strong></p>\n\
<p>1- <strong>on</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Base_Stud_Diameter Float default: 0.5 -- animatable \n\
</pre></div><p>The diameter of the base, or &quot;mount&quot; of the damper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Base_Stud_Height Float default: 0.2 -- animatable \n\
</pre></div><p>The height of the base.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Diameter Float default: 1.0 -- animatable \n\
</pre></div><p>The diameter of the main housing of the damper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Height Float default: 1.0 -- animatable \n\
</pre></div><p>The height of the main housing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Sides Integer default: 8 -- animatable \n\
</pre></div><p>The number of sides of both the base and the main housing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Fillet_1 Float default: 0.0 -- animatable \n\
</pre></div><p>The size of the fillet on the lower edge of the main housing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Fillet_1_Segments Integer default: 0 -- animatable \n\
</pre></div><p>The number of segments for Fillet 1. The higher this setting, the rounder the fillet profile appears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Fillet_2 Float default: 0.0 -- animatable \n\
</pre></div><p>The size of the fillet on the upper edge of the main housing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Cylinder_Fillet_2_Segments Integer default: 0 -- animatable \n\
</pre></div><p>The number of segments for Fillet 2. The higher this setting, the rounder the fillet profile appears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Inside_Diameter Float default: 0.0 -- animatable \n\
</pre></div><p>The inside diameter of the main housing, which is actually a tube rather than a cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Smooth_Cylinder Integer default: 1 \n\
</pre></div><p>Turn on/off smoothing for the base and the main housing:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Piston_Diameter Float default: 0.2 -- animatable \n\
</pre></div><p>The diameter of the piston.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Piston_Height Float default: 1.0 -- animatable \n\
</pre></div><p>The height of the piston.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Piston_Sides Integer default: 6 -- animatable \n\
</pre></div><p>The number of sides in the piston.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Smooth_Piston Integer default: 1 \n\
</pre></div><p>Turn on/off smoothing for the piston:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Enable_Boot Integer default: 0 \n\
</pre></div><p>Turn this on to add the boot to the damper:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<p>The boot is an optional component of the damper that&#39;s similar to the rubber &quot;accordion&quot; boot found on various types of dampers, such as shock absorbers. The boot acts like a bound dynamic object, in that one of its ends is bound to the main housing, while the other is bound to the piston. Thus, as the piston moves within the housing, the boot expands and contracts to follow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Small_Diameter Float default: 0.25 -- animatable \n\
</pre></div><p>The minimum diameter of the boot. This and the next parameter affect the depth of the accordion folds in the boot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Large_Diameter Float default: 1.0 -- animatable \n\
</pre></div><p>The maximum diameter of the boot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Sides Integer default: 8 -- animatable \n\
</pre></div><p>The number of sides making up the boot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Folds Integer default: 4 -- animatable \n\
</pre></div><p>The number of accordion folds (bulges) along the height of the boot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Fold_Resolution Integer default: 4 -- animatable \n\
</pre></div><p>The number of segments in each fold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Stop_Diameter Float default: 0.4 -- animatable \n\
</pre></div><p>The diameter of the stop, which is the ring at the top of the boot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Stop_Height Float default: 0.2 -- animatable \n\
</pre></div><p>The thickness (height) of the stop ring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Stop_Setback Float default: 0.2 -- animatable \n\
</pre></div><p>The distance of the stop ring from the top of the piston.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Stop_Fillet Float default: 0.0 -- animatable \n\
</pre></div><p>The size of the fillet on the upper edge of the stop ring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Boot_Stop_Fillet_Segements Integer default: 0 -- animatable \n\
</pre></div><p>The number of segments the stop fillet. The higher this setting, the round the fillet profile appears<strong>.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Smooth_Boot Integer default: 1 \n\
</pre></div><p>Turn on/off smoothing for the boot:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Dynamics_Object_Type Integer default: 0 \n\
</pre></div><p>Select which object is dynamic:</p>\n\
<p>0- <strong>Damper</strong> (Select this option to use the damper object as a damper rather than an actuator.)</p>\n\
<p>1- <strong>Actuator</strong> (Choose this when using the damper object as an Actuator.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Drag Float default: 0.0 -- animatable \n\
</pre></div><p>The force per unit linear speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Drag_Units Integer default: 0 \n\
</pre></div><p>Sets the units of drag:</p>\n\
<p>0- <strong>Pounds per inch/second</strong></p>\n\
<p>1- <strong>Newtons per meter/second</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Damper_Direction Integer default: 2 \n\
</pre></div><p>Set the directional operation of the damper:</p>\n\
<p>0- <strong>Compression Only</strong> (The damper reacts only to compression forces.)</p>\n\
<p>1- <strong>Extension Only</strong> (The damper reacts only to expansion forces.)</p>\n\
<p>2- <strong>Both</strong> (The damper reacts to both compression and expansion forces.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Force Float default: 0.0 -- animatable \n\
</pre></div><p>The amount of force exerted between the two bound objects. Positive values push the objects apart, while negative values pull them together.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Force_Units Integer default: 0 \n\
</pre></div><p>Set the units of force:</p>\n\
<p>0- <strong>Pounds</strong></p>\n\
<p>1- <strong>Newtons</strong></p>\n\
<p>Note: The Reference End Point objects cannot be specified in MAXScript<strong>.</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";