var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wall : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wall : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wall-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wall - superclass: GeometryClass; super-superclass:node - classID: #(-2015787020, -1099137454) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4EAAAC23-4F44-4A9D-80A1-4437DF85DD48-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Wall...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall&gt;.Generate_Mapping_Coords Integer default: 1 -- integer \n\
</pre></div><p>When set to 1 (default), mapping coordinates will be generated procedurally.</p>\n\
<p>When set to 0, no mapping coordinates will be generated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall&gt;.height Float default: 96.0 -- float \n\
</pre></div><p>The height of the wall in units, assuming that 1 Unit is one Inch by default.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall&gt;.Justification Integer default: 1 -- integer \n\
</pre></div><p>Defines the wall justification:</p>\n\
<p>1 - Left</p>\n\
<p>2 - Center</p>\n\
<p>3 - Right</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall&gt;.width Float default: 5.0 -- float \n\
</pre></div><p>The width of the wall.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize : boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";