var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>C_Ext : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>C_Ext : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"c_ext-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>C_Ext - superclass: GeometryClass; super-superclass:node - classID: #(867248205, 2062557197) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>c_ext...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Back_Length Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the length of the back edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Side_Length Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the length of the side edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Front_Length Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the length of the front edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Back_Width Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the width of the back edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Side_Width Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the width of the side edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.Front_Width Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the width of the front edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.height Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Sets the overall height of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.mapCoords booleanclass default: true -- boolean \n\
</pre></div><p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.typeinCreationMethod     Integer    default: 0   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Corners</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.typeInBackLength     Float    default: 0.0   --  float; Back_Length\n\
&lt;C_Ext&gt;.typeInBackWidth     Float    default: 0.0   --  float; Back_Width\n\
&lt;C_Ext&gt;.typeInFrontLength     Float    default: 0.0   --  float; Front_Length\n\
&lt;C_Ext&gt;.typeInFrontWidth     Float    default: 0.0   --  float; Front_Width\n\
&lt;C_Ext&gt;.typeInSideLength     Float    default: 0.0   --  float; Side_Length\n\
&lt;C_Ext&gt;.typeInSideWidth     Float    default: 0.0   --  float; Side_Width\n\
</pre></div><p>Gets or sets the Back Length, Side Length, Front Length, Back Width, Side Width, and Front Width Keyboard Entry values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;C_Ext&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";