var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ChamferBox : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ChamferBox : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"chamferbox-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>ChamferBox - superclass: GeometryClass; super-superclass:node - classID: #(450314048, 1223298967) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>chamferBox...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.length Float default: 0.1 -- animatable; worldunits \n\
</pre></div><p>The length of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.width Float default: 0.1 -- animatable; worldunits \n\
</pre></div><p>The width of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.height Float default: 0.1 -- animatable; worldunits \n\
</pre></div><p>The height of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.smooth booleanclass default: true -- boolean \n\
</pre></div><p>1 - enable smoothing</p>\n\
<p>0 - disable smoothing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.mapCoords booleanclass default: true -- boolean \n\
</pre></div><p>1- enable mapping coordinates,</p>\n\
<p>0 - disable mapping coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.Fillet Float default: 0.01 -- animatable; worldunits \n\
</pre></div><p>Slices off the edges of the chamferbox.</p>\n\
<p>The higher the number, the more filleted the chamferbox becomes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.Length_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions along the length of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.Width_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions along the width of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.Height_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions along the height of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.Fillet_Segments Integer default: 3 -- animatable \n\
</pre></div><p>The number of segments in the filleted edges of the box.</p>\n\
<p>Adding fillet segments increases the edge roundness.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.typeinCreationMethod     Integer    default: 0   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Box</li>\n\
<li>1 = Cube only the <strong>typeInLength</strong> property is used.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.typeInHeight     Float    default: 0.1   --  float; Height\n\
&lt;ChamferBox&gt;.typeInLength     Float    default: 0.1   --  float; Length\n\
&lt;ChamferBox&gt;.typeInWidth     Float    default: 0.1   --  float; Width\n\
</pre></div><p>Gets or sets the Keyboard Entry values for height, length, and width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferBox&gt;.typeInFillet     Float    default: 0.01   --  float; Fillet\n\
</pre></div><p>Gets or sets the Keyboard Entry value for fillet.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";