var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Gengon : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Gengon : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gengon-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Gengon - superclass: GeometryClass; super-superclass:node - classID: #(1237277087, 905528747) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>gengon...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.sides Integer default: 5 -- animatable \n\
</pre></div><p>The number of sides around the gengon.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.radius Float default: 0.0 -- animatable \n\
</pre></div><p>The radius of the gengon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.Fillet Float default: 0.0 -- animatable \n\
</pre></div><p>The width of the fillet area.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.height Float default: 0.0 -- animatable \n\
</pre></div><p>Height along the central axis.</p>\n\
<p>Negative values create the gengon below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.Side_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions around the gengon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.Height_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions along the gengon&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.Fillet_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions for the edge filleting.</p>\n\
<p>The higher this setting, the rounder the fillet appears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.mapCoords Integer default: 1 \n\
</pre></div><p>1- enable mapping coordinates,</p>\n\
<p>0 - disable mapping coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gengon&gt;.smooth Integer default: 0 \n\
</pre></div><p>1- enable smoothing,</p>\n\
<p>0 - disable smoothing.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";