var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OilTank : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OilTank : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"oiltank-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>OilTank - superclass: GeometryClass; super-superclass:node - classID: #(554591274, 586227448) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>oilTank...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.radius Float default: 0.0 -- animatable \n\
</pre></div><p>The radius of the oiltank.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.height Float default: 0.0 -- animatable \n\
</pre></div><p>The height along the central axis.</p>\n\
<p>Negative values create the oiltank below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Cap_Height Float default: 0.0 -- animatable \n\
</pre></div><p>Sets the height of the convex caps.</p>\n\
<p>The minimum value is 2.5% of the Radius setting.</p>\n\
<p>The maximum value is the Radius setting, unless the absolute value of the Height setting is less than the double Radius setting, in which case cap height cannot exceed half of the absolute value of the Height setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.blend Float default: 0.0 -- animatable \n\
</pre></div><p>When greater than 0, creates a bevel at the edge of the caps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.sides Integer default: 12 -- animatable \n\
</pre></div><p>Sets the number of sides around the oiltank.</p>\n\
<p>To create a smoothly rounded object, use a higher number of sides and turn Smooth on.</p>\n\
<p>To create an oiltank with flat sides, use a lower number of sides and turn Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Height_Segments Integer default: 1 -- animatable \n\
</pre></div><p>Sets the number of divisions along the oiltank&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Smooth_On Integer default: 1 -- animatable \n\
</pre></div><p>Turn on/off smooth:</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Slice_On Integer default: 0 -- animatable \n\
</pre></div><p>Turn on/off slice:</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Slice_From Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Sets the starting angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.Slice_To Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Sets the angle (on the local Z-axis) to slice to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OilTank&gt;.mapCoords Integer default: 1 \n\
</pre></div><p>1- enable mapping coordinates,</p>\n\
<p>0 - disable mapping coordinates.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";