var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Prism : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Prism : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"prism-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Prism - superclass: GeometryClass; super-superclass:node - classID: #(1668308908, 1545557311) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>prism...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side1Length Float default: 25.0 -- animatable; worldunits; alias: Side_1_Length \n\
</pre></div><p>Sets the length of triangle&#39;s first side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side2Length Float default: 25.0 -- animatable; worldunits; alias: Side_2_Length \n\
</pre></div><p>Sets the length of triangle&#39;s second side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side3Length Float default: 25.0 -- animatable; worldunits; alias: Side_3_Length \n\
</pre></div><p>Sets the length of triangle&#39;s third side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.height Float default: 10.0 -- animatable; worldunits; \n\
</pre></div><p>The height of the prism&#39;s central axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side1Segs Integer default: 1 -- animatable, alias: Side_1_Segments \n\
</pre></div><p>The number of divisions along the first side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side2Segs Integer default: 1 -- animatable, alias: Side_2_Segments \n\
</pre></div><p>The number of divisions along the second side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.side3Segs Integer default: 1 -- animatable, alias: Side_3_Segments \n\
</pre></div><p>The number of divisions along the third side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments \n\
</pre></div><p>The number of divisions along the central axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.mapCoords Boolean default: false \n\
</pre></div><p>When on, sets up the required coordinates for applying mapped materials to the prism.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Isosceles</li>\n\
<li>1 = Base/Apex.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.typeInHeight     Float    default: 0.0   --  worldUnits; Height\n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Prism&gt;.typeInSide1Length     Float    default: 0.0   --  worldUnits; Side_1_Length\n\
&lt;Prism&gt;.typeInSide2Length     Float    default: 0.0   --  worldUnits; Side_2_Length\n\
&lt;Prism&gt;.typeInSide3Length     Float    default: 0.0   --  worldUnits; Side_3_Length\n\
</pre></div><p>Gets or sets the Keyboard Entry side length values.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";