var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spindle : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spindle : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spindle-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spindle - superclass: GeometryClass; super-superclass:node - classID: #(319493147, 78863102) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>spindle...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.radius Float default: 0.0 -- animatable \n\
</pre></div><p>The radius of the spindle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the spindle, along the central axis.</p>\n\
<p>Negative values create the spindle below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Cap_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the conical caps.</p>\n\
<p>The minimum value is 0.1; the maximum value is ½ the absolute value of the Height setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.blend Float default: 0.0 -- animatable \n\
</pre></div><p>When greater than 0, creates a bevel at the edge of the caps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.sides Integer default: 12 -- animatable \n\
</pre></div><p>The number of sides around the spindle.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Cap_Segments Integer default: 5 -- animatable \n\
</pre></div><p>The number of concentric divisions along the center of the spindle&#39;s top and bottom.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Height_Segments Integer default: 1 -- animatable\n\
</pre></div><p>The number of divisions along the spindle&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Smooth_On Integer default: 1 -- animatable \n\
</pre></div><p>Turns on/off smooth:</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Slice_On Integer default: 0 -- animatable \n\
</pre></div><p>Turn on/off slice:</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Slice_From Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The start angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.Slice_To Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The stop angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spindle&gt;.mapCoords Integer default: 1 \n\
</pre></div><p>1- enable mapping coordinates,</p>\n\
<p>0 - disable mapping coordinates.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize : boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";