var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>nvBox : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>nvBox : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nvbox-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>nvBox - superclass: GeometryClass; super-superclass:node - 7:1 - classID: #(1200180524, 1940399669)\n\
</pre></div><p>Implements the Box shape used by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX RBody Modifier</a> as Proxy Geometry.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>nvBox ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.Box Box default: Box -- read-only; SubAnim\n\
</pre></div><p>Get the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Box-GeometryClass.html\' title=\'\'>Box primitive</a> instance used by the plugin as delegate object to extend upon. Read-only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.width Float default: 0.1 -- animatable; float\n\
</pre></div><p>Get/set the Width value of the box.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.length Float default: 0.1 -- animatable; float\n\
</pre></div><p>Get/set the Length value of the box.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.height Float default: 0.1 -- animatable; float\n\
</pre></div><p>Get/set the Height value of the box.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.widthsegs Integer default: 1 -- animatable; integer\n\
</pre></div><p>Get/set the number of Width Segments of the box.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.lengthsegs Integer default: 1 -- animatable; integer\n\
</pre></div><p>Get/set the number of Length Segments of the box.</p>\n\
<div class=\'codeBlock\'><pre> &lt;nvBox&gt;.heightsegs Integer default: 1 -- animatable; integer\n\
</pre></div><p>Get/set the number of Height Segments of the box.</p>\n\
<div class=\'section\'><a id=\"nvbox-interfaces\"></a><h2 id=\"nvbox-interfaces\">nvBox interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre> Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";