var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>nvSphere : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>nvSphere : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nvsphere-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>nvSphere - superclass: GeometryClass; super-superclass:node - 3:1 - classID: #(1349928622, 247541957)\n\
</pre></div><p>Implements the Sphere shape used by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX RBody Modifier</a> as Proxy Geometry.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>nvSphere ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nvSphere&gt;.radius Float default: 1.0 -- animatable; float\n\
</pre></div><p>Get the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\' title=\'\'>Sphere primitive</a> instance used by the plugin as delegate object to extend upon. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nvSphere&gt;.Sphere Sphere default: Sphere -- read-only; SubAnim\n\
</pre></div><p>Get/set the Radius value of the Sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nvSphere&gt;.segs Integer default: 32 -- animatable; integer\n\
</pre></div><p>Get/set the number of segments in the Sphere.</p>\n\
<div class=\'section\'><a id=\"nvsphere-interfaces\"></a><h2 id=\"nvsphere-interfaces\">nvSphere interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre> Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";