var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSSurf : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSSurf : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbssurf-geometryclass\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FCA44498-15FE-4792-8553-93EA55807B82-low.gif\' title=\'\'></div>\n\
<p>NURBSSurfs are NURBS surface objects defined by CVs (control vertices).</p>\n\
<p>All NURBS objects are created through the special NURBS descriptor classes (see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Working-with-NURBS.html\' title=\'\'>Working with NURBS</a> )and the NURBSSurf class is used typically in object class testing with the <span class=\'code\'>classOf()</span> function.</p>\n\
<p>Scene objects created as NURBSSurf objects in the <strong>3ds Max</strong> user interface have the class <span class=\'code\'>NURBSSurf</span> .</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>NURBSNode &lt;nurbs_set&gt; ...    \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\' title=\'\'>Creating New NURBS Objects</a> for details.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p>Properties for NURBSSurf objects are accessed through a NURBSSet descriptor object. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Working-with-NURBS.html\' title=\'\'>Working with NURBS</a> for more details.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";