var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Snow : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Snow : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"snow-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Snow - superclass: GeometryClass; super-superclass:node - classID: #(-1680467295, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>snow...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.viewportcount Integer default: 100 \n\
</pre></div><p>Maximum number of particles displayed in viewports at any given frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.rendercount Integer default: 100 \n\
</pre></div><p>Maximum number of particles that can appear in a single frame when you render it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.flakesize Float default: 2.0 -- animatable, alias: Flake_Size \n\
</pre></div><p>Size of a particle in the active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.speed Float default: 10.0 -- animatable \n\
</pre></div><p>Initial velocity of each particle as it leaves the emitter. Particles travel at this speed unless they are affected by a particle system space warp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.variation Float default: 2.0 -- animatable \n\
</pre></div><p>Varies the initial speed and direction of particles. The greater the Variation, the broader the area of snowfall.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.tumble Float default: 0.0 -- animatable \n\
</pre></div><p>Amount of random rotation for snowflake particles. This parameter can range from 0 to 1. At 0, flakes do not rotate; at 1, they rotate the most. The axis of rotation is generated randomly for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.tumblescale Float default: 1.0 -- animatable, alias: Tumble_Rate \n\
</pre></div><p>Speed at which snowflakes rotate. The greater the Tumble Rate, the faster the rotation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.display Integer default: 0 \n\
</pre></div><p>Set how particles are displayed in viewports:</p>\n\
<p>0 - <strong>Flakes</strong> (star-shaped snowflakes)</p>\n\
<p>1 - <strong>Dots</strong></p>\n\
<p>2 - <strong>Ticks</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.render Integer default: 0 \n\
</pre></div><p>Set how particles are rendered:</p>\n\
<p>0 - <strong>Six Point</strong> (Each particle is rendered as a six-pointed star. Each side of the star is a face to which you can assign a material.)</p>\n\
<p>1 - <strong>Triangle</strong> (Each particle is rendered as a triangle. Only one side of the triangle is a face to which you can assign a material.)</p>\n\
<p>2 - <strong>Facing</strong> (Particles are rendered as square faces whose width and height equal Flake Size. Facing particles are provided especially for use with material maps.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.start Time default: 0f -- alias: starttime \n\
</pre></div><p>Number of the first frame where particles appear.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.lifetime Time default: 30f -- alias: life \n\
</pre></div><p>The lifetime of a particle, in number of frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.birthrate Time default: 0f -- animatable, alias: Birth_Rate \n\
</pre></div><p>The number of new particles born per frame. If this is less than or equal to the maximum sustainable rate, the particle system generates an even flow of particles. If it is greater than the maximum rate, the particle system generates particles in bursts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.constant Boolean default: true \n\
</pre></div><p>When on, Birth Rate is unavailable and the birth rate used equals the maximum sustainable rate.</p>\n\
<p>When off, Birth Rate is available. Turning Constant off does not mean that the birth rate varies automatically; the birth rate remains constant unless you animate the Birth Rate parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.emitterwidth Float default: 25.0 -- animatable, alias: width \n\
</pre></div><p>The width of the emitter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.emitterheight Float default: 25.0 -- animatable, alias: length \n\
</pre></div><p>The height of the emitter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Snow&gt;.hideemitter Boolean default: false \n\
</pre></div><p>When on, the emitter is hidden in the viewports.</p>\n\
<p>Note:</p>\n\
<p>The emitter is never rendered.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";