var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PopCharacter : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PopCharacter : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"popcharacter-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>PopCharacter : ReferenceTarget {3e917cb5,7050331b}\n\
</pre></div><p>The <strong>PopCharacter ReferenceTarget</strong> is not creatable by MAXScript.</p>\n\
<p>It is created by the Populate toolset to represent a character.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PopCharacter&gt;.gepnodes : node array\n\
</pre></div><p>Get/set the array of Populate Character (a.k.a. &quot;Geppetto&quot;) nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PopCharacter&gt;.envPos : point3\n\
</pre></div><p>Get/set the position in the Environment.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PopCharacter&gt;.envGroup : integer\n\
</pre></div><p>Get/set the index of the Environment group.</p>\n\
<p><strong>Related Classes:</strong></p>\n\
<div class=\'codeBlock\'><pre>PopSkinObject: class instances not creatable by MAXScript\n\
</pre></div><p>The PopSkinObject is the internal class representing the base object of skinned characters in the Populate toolset.</p>\n\
<p>It exposes no properties or Interfaces.</p>\n\
<p>Only the basic node properties like <span class=\'code\'>.transform</span> and <strong><span class=\'code\'>.material</span></strong> are accessible to MAXScript.</p>\n\
<p>Note that not even the <span class=\'code\'>.pos</span> property is accessible via MAXScript since a PopSkinObject scene node does not have a Transform controller, it is completely driven by internal unexposed code.</p>\n\
<div class=\'codeBlock\'><pre>PopSkinControl: class instances not creatable by MAXScript\n\
</pre></div><p>The PopSkinControl is a Controller class used <strong>internally</strong> by the PopSkinObject nodes of the Populate toolset.</p>\n\
<p>It exposes no properties or Interfaces.</p>\n\
<p>Only the general controller properties like .keys are accessible, but contain no usable data.</p>\n\
<div class=\'codeBlock\'><pre>PopSegControl: class instances not creatable by MAXScript\n\
</pre></div><p>The PopSegControl is a Controller class used <strong>internally</strong> by the Populate toolset.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";