var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Seat : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Seat : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"seat-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Seat - superclass: GeometryClass; super-superclass:node - 5:0 - classID: #(983045944, 1380982924)\n\
</pre></div><p>Instances of the <strong>Seat GeometryClass</strong> provide targets for the characters seating feature of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\' title=\'\'>Populate</a> toolset. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Seat... \n\
Chair...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Seat&gt;.gender     Integer    default: 1   --  radiobtnIndex; 0_male__1_female\n\
</pre></div><p>Get/set the state of the <strong>&quot;Gender&quot;</strong> radio buttons controlling the gender of the Populate characters to use this seat.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Male</strong></p>\n\
<p>1 - <strong>Female</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seat&gt;.height     Float    default: 18.0   --  float\n\
</pre></div><p>Get/set the Height of the Seat in system units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seat&gt;.single     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Single&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seat&gt;.id     Integer    default: 23   --  integer; \n\
</pre></div><p>Get the ID of the Seat.</p>\n\
<p>Read-only.</p>\n\
<p>Not exposed in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Seat&gt;.motionSeed     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the random seed for the motion.</p>\n\
<p>Not exposed in the UI.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/GeometryClass-Common-Properties.html\' title=\'\'>GeometryClass Common Properties, Operators, and Methods</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";