var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Geosphere : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Geosphere : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"geosphere-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>GeoSphere - superclass: GeometryClass; super-superclass:node - classID: #(0, 32670) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>geosphere...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.creationMethod Integer default: 1 -- alias: Creation_Method \n\
</pre></div><p>Sets the creation method:</p>\n\
<p>0 - <strong>Diameter</strong> (Draws a geosphere from edge to edge.)</p>\n\
<p>1 - <strong>Center</strong> (Draws a geosphere from the center out.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.typeInPos Point3 default: [0,0,0] \n\
</pre></div><p>The point3 position of the geosphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.typeInRadius Float default: 25.0 \n\
</pre></div><p>The radius of the geosphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.radius Float default: 25.0 -- animatable \n\
</pre></div><p>The radius of the geosphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.segs Integer default: 4 -- animatable, alias: segments \n\
</pre></div><p>The total number of faces in the geosphere. The number of faces in a geosphere is equal to the sides of the base polyhedron times the segments squared.</p>\n\
<p>Lower segment values work best. Using the maximum segment value of 200 can generate up to 800,000 faces, impairing performance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.baseType Integer default: 2 -- alias: Base_Type \n\
</pre></div><p>Sets the type of basic geometry for the geosphere:</p>\n\
<p>0 - <strong>Tetra</strong> (Based on a four-sided tetrahedron. The triangular facets can vary in shape and size. The sphere can be divided into four equal segments.)</p>\n\
<p>1 - <strong>Octa</strong> (Based on an eight-sided octahedron. The triangular facets can vary in shape and size. The sphere can be divided into eight equal segments.)</p>\n\
<p>2 - <strong>Icosa</strong> (Based on a 20-sided icosahedron. The facets are all equally sized equilateral triangles. The sphere can be divided into any number of equal segments, based on multiples and divisions of 20 faces.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.smooth Boolean default: true -- animatable \n\
</pre></div><p>When on, applies smoothing groups to the surface of the sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.hemisphere Boolean default: false -- animatable \n\
</pre></div><p>When on, creates a half-sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.baseToPivot Boolean default: false -- alias: Base_to_Pivot \n\
</pre></div><p>Sets the pivot point location. When on, the pivot is at the bottom of the sphere. When off, the pivot is at the center of the sphere. This option has no effect when Hemisphere is on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;GeoSphere&gt;.mapCoords Boolean default: false -- alias: Generate_mapping_coords \n\
</pre></div><p>When on, applies default mapping coordinates to the geosphere.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";