var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Plane : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Plane : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"plane-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Plane - superclass: GeometryClass; super-superclass:node - classID: #(136257020, 2002153317) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>plane...     \n\
meshGrid ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.typeinCreationMethod Integer default: 0 -- alias: Creation_Method \n\
</pre></div><p>Set the creation method:</p>\n\
<p>0- Rectangle (Creates the plane primitive from one corner to the diagonally opposite corner, interactively setting different values for length and width.)</p>\n\
<p>1- Square (Creates a square plane where length and width are equal.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.typeinPos Point3 default: [0,0,0] -- alias: type_in_position\n\
</pre></div><p>Position of the plane in the World Space Coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.typeinLength Float default: 25.0 \n\
</pre></div><p>Length of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.typeinWidth Float default: 25.0 \n\
</pre></div><p>Width of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.length Float default: 25.0 -- animatable \n\
</pre></div><p>Length of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.width Float default: 25.0 -- animatable \n\
</pre></div><p>Width of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.lengthsegs Integer default: 4 -- animatable, alias: Length_Segments \n\
</pre></div><p>Number of divisions along the length of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.widthsegs Integer default: 4 -- animatable, alias: Width_Segments \n\
</pre></div><p>Number of divisions along the width of the plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.density Float default: 1.0 -- animatable \n\
</pre></div><p>Specifies the factor by which the number of segments in both length and width are multiplied at render time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.renderScale Float default: 1.0 -- animatable, alias: Render_Scale \n\
</pre></div><p>Specifies the factor by which both length and width are multiplied at render time. Scaling is performed from the center outward.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane&gt;.mapCoords Boolean default: false --alias: Mapping \n\
</pre></div><p>When on, generates texture coordinates for applying mapped materials to the plane.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>renderScale</span> property is a multiplier applied to the Plane&#39;s <span class=\'code\'>length</span> and <span class=\'code\'>width</span> property values at render time.</p>\n\
<p>The <span class=\'code\'>density</span> property is a multiplier applied to the Plane&#39;s <span class=\'code\'>lsegs</span> and <span class=\'code\'>wsegs</span> property values at render time.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";