var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pyramid : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pyramid : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pyramid-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Pyramid - superclass: GeometryClass; super-superclass:node - classID: #(1992241546, 1274247952) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>pyramid...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.width Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>The width of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.depth Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>The depth of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.height Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>The height of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.widthsegs Integer default: 1 -- animatable, alias: Width_Segments \n\
</pre></div><p>The number of divisions along the width of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.depthSegs Integer default: 1 -- animatable, alias: Depth_Segments \n\
</pre></div><p>The number of divisions along the depth of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments \n\
</pre></div><p>The number of divisions along the height of the pyramid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.mapCoords Boolean default: false \n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the pyramid.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Base/Apex</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.typeInDepth     Float    default: 0.0   --  float; Depth\n\
&lt;Pyramid&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
&lt;Pyramid&gt;.typeInWidth     Float    default: 0.0   --  float; Width\n\
</pre></div><p>Gets or sets the Keyboard Entry values for depth, height, and width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pyramid&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";