var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Teapot : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Teapot : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"teapot-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Teapot - superclass: GeometryClass; super-superclass:node - classID: #(-1397943341, -1397938471) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>teapot...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.radius Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>The radius of the teapot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.segs Integer default: 4 -- animatable, alias: segments \n\
</pre></div><p>The number of divisions for the teapot or its individual parts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.smooth Boolean default: true -- animatable \n\
</pre></div><p>When on, blends faces of the teapot, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.body Boolean default: true -- animatable \n\
</pre></div><p>When on, the body of the teapot is included in the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.handle Boolean default: true -- animatable \n\
</pre></div><p>When on, the handle of the teapot is included in the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.spout Boolean default: true -- animatable \n\
</pre></div><p>When on, the spout of the teapot is included in the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.lid Boolean default: true -- animatable \n\
</pre></div><p>When on, the lid of the teapot is included in the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.mapCoords Boolean default: false -- boolean; alias: generate_texture_coords \n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the teapot.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.typeInRadius     Float    default: 0.0   --  float; Radius\n\
</pre></div><p>Gets or sets the Keyboard Entry value for radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Teapot&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:GeometryClass \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";