var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TextPlus : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TextPlus : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"textplus-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>TextPlus – superclass: GeometryClass; super-superclass:node – classID: #(1815478437, 291720888)\n\
</pre></div><div class=\'section\'><a id=\"constructor\"></a><h2 id=\"constructor\">Constructor</h2></div>\n\
<div class=\'codeBlock\'><pre>TextPlus()\n\
</pre></div><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<ul>\n\
<li><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"interpolation-properties\"></a><h3 id=\"interpolation-properties\">Interpolation Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.interpolationsteps     Integer    default: 5   --  integer\n\
</pre></div><p>The number of interpolation steps for font smoothing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.optimize     Integer    default: 1   --  integer\n\
</pre></div><p>The interpolation optimization setting. 1=on, 0=off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.adaptive     Integer    default: 0   --  integer\n\
</pre></div><p>The interpolation adaptive setting. 1=on, 0=off.</p>\n\
<div class=\'section\'><a id=\"layout-properties\"></a><h3 id=\"layout-properties\">Layout Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.layouttype     Integer    default: 0   --  integer\n\
</pre></div><p>The layout type. 0=Point, 1=Region</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.plane     Integer    default: 0   --  integer\n\
</pre></div><p>The layout plane, when <span class=\'code\'>layouttype</span> is Point. 0=Auto, 1=XY, 2=XZ, 3=YZ</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.length     Float    default: 100.0   --  animatable; float\n\
</pre></div><p>The layout region length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.width     Float    default: 100.0   --  animatable; float\n\
</pre></div><p>The layout region width.</p>\n\
<div class=\'section\'><a id=\"font-properties\"></a><h2 id=\"font-properties\">Font Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.alignment     Integer    default: 1   --  integer\n\
</pre></div><p>The font alignment, where:</p>\n\
<ul>\n\
<li>0 = left</li>\n\
<li>1 = center</li>\n\
<li>2 = right</li>\n\
<li>3 = justified last left</li>\n\
<li>4 = justified last center</li>\n\
<li>5 = justified last right</li>\n\
<li>6 = justified last full</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.size     Float    default: 25.0   --  animatable; float\n\
</pre></div><p>The font size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.tracking     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>The font tracking value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.leading     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>The font leading value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.vscale     Float    default: 100.0   --  animatable; float\n\
</pre></div><p>The font Vertical Scale value, as a percent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.hscale     Float    default: 100.0   --  animatable; float\n\
</pre></div><p>The font Horizontal Scale value, as a percent.</p>\n\
<div class=\'section\'><a id=\"character-settings\"></a><h3 id=\"character-settings\">Character Settings</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.elementType     Integer    default: 0   --  integer\n\
</pre></div><p>The type of elements that the text will be split into for animation presets, where:</p>\n\
<ul>\n\
<li>0 = characters</li>\n\
<li>1 = words</li>\n\
<li>2 = lines</li>\n\
<li>3 = paragraphs</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.charKerningOffset     ArrayParameter    default: #()   --  float array; SubAnim\n\
</pre></div><p>An array of kerning offset values for each character in the text string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.charBaselineOffset     ArrayParameter    default: #()   --  float array; SubAnim\n\
</pre></div><p>An array of baseline offset values for each character in the text string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.charXScale     ArrayParameter    default: #()   --  float array; SubAnim\n\
</pre></div><p>An array of X scale values for each character in the text string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.charYScale     ArrayParameter    default: #()   --  float array; SubAnim\n\
</pre></div><p>An array of Y scale values for each character in the text string.</p>\n\
<div class=\'section\'><a id=\"geometry-settings\"></a><h3 id=\"geometry-settings\">Geometry Settings</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.generateGeometry     Integer    default: 1   --  integer\n\
</pre></div><p>The Generate Geometry setting, 0=off, 1=on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.extrudeamount     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>The extrude amount, which can be positive or negative. The default is 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.extrudesegments     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>The number of segments making up the extrusion. From front to back, the extruded characters will be divided by this number of segments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.applybevel     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Indicates whether a bevel is applied to the text.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.beveldepth     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>The depth of the bevel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.usebevelwidth     BooleanClass    default: false   --  boolean; UseBevelDepth\n\
</pre></div><p>Indicates whether the <span class=\'code\'>.bevelwidth</span> setting is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.bevelwidth     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>The bevel width – only applied if <span class=\'code\'>.usebevelwidth</span> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.bevelsteps     Integer    default: 5   --  animatable; integer\n\
</pre></div><p>The number of steps in the bevel. This determines the number of subdivisions per Bezier segment of the bevel profile curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.bevelpush     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>The Bevel Push value. This is a scaling factor applied to the bevel profile curve, perpendicular to the bevel. A value of 1.0 gives the original bevel curve. A value of -1.0 gives an inverted bevel curve. A value of 0 always results in a straight bevel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.beveloptimize     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Indicates whether the bevel is optimized. When optimized, linear segments in the bevel profile curve will be reduced to a single edge, disregarding the <span class=\'code\'>.bevelsteps</span> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.beveloffset     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>The Outline Offset setting. May be a positive or negative value.</p>\n\
<div class=\'section\'><a id=\"bevel-cap-settings\"></a><h3 id=\"bevel-cap-settings\">Bevel Cap Settings</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.capstart     Integer    default: 2   --  integer\n\
&lt;TextPlus&gt;.capend     Integer    default: 0   --  integer\n\
</pre></div><p>The capping setting for the start (top) and end (bottom) of the beveled text:</p>\n\
<ul>\n\
<li>0 = Cap</li>\n\
<li>1 = No Cap</li>\n\
<li>2 = Bevel Cap</li>\n\
<li>3 = Bevel No Cap</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.capendconstrain     BooleanClass    default: false   --  boolean\n\
&lt;TextPlus&gt;.capstartconstrain     BooleanClass    default: false   --  boolean\n\
</pre></div><p>The cap constrain setting for the start (top) and end (bottom) of the beveled text.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.captype     Integer    default: 0   --  integer\n\
</pre></div><p>The Cap Type setting:</p>\n\
<ul>\n\
<li>0 = Morph</li>\n\
<li>1 = Grid</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.startcapmaterial     Integer    default: 1   --  animatable; integer\n\
&lt;TextPlus&gt;.startbevelmaterial     Integer    default: 3   --  animatable; integer\n\
&lt;TextPlus&gt;.sidematerial     Integer    default: 2   --  animatable; integer\n\
&lt;TextPlus&gt;.endbevelmaterial     Integer    default: 3   --  animatable; integer\n\
&lt;TextPlus&gt;.endcapmaterial     Integer    default: 1   --  animatable; integer\n\
\n\
</pre></div><p>The ID of the material associated with the Start Cap, Start Bevel, Sides, End Bevel, and End Cap, respectively.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.upaxis     Integer    default: 1   --  integer\n\
</pre></div><p>The “Up” axis setting, where:</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;TextPlus&gt;.axisflip     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Indicates whether the axis is flipped.</p>\n\
<div class=\'codeBlock\'><pre>TextPlus.BevelProfileCurve - superclass: ReferenceMaker; \n\
    super-superclass:MAXWrapper - 0:0 - classID: #(1062418346L, 781088409L); creatable: false\n\
</pre></div><p>The bevel profile curve, an object of type <span class=\'code\'>ReferenceTarget:BevelProfileCurve</span>. Note that this type is not currently exposed in MaxScript.</p>\n\
<div class=\'section\'><a id=\"value-as-text-properties\"></a><h3 id=\"value-as-text-properties\">Value As Text Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>TextPlus.macroname : string array \n\
</pre></div><p>Gets or sets the names of macros (expression or script controllers) in the text string. This value is an array of macro names, in the order they appear in the text string.</p>\n\
<div class=\'codeBlock\'><pre>TextPlus.macrovalue : float array \n\
</pre></div><p>Gets or sets the macro value at the specified index (or all values if no index is specified). For number macros, this provides direct access to the macro value. For Script and Expression controllers, you can use this property to access the underlying controller object to manipulate its script, expression, or other properties. For example:</p>\n\
<div class=\'codeBlock\'><pre>ctrl = myTextPlus.macroValue[2].controller\n\
--&gt; Controller:Float_Script\n\
</pre></div><div class=\'section\'><a id=\"miscellaneous-properties\"></a><h3 id=\"miscellaneous-properties\">Miscellaneous Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>TextPlus.nodeElements : node array        \n\
TextPlus.nodeElementsCenters : point3 array           \n\
</pre></div><div class=\'section\'><a id=\"methods\"></a><h2 id=\"methods\">Methods</h2></div>\n\
<p>Methods are exposed via Interface: <span class=\'code\'>textObject2</span></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/GUID-09B39BE2-1752-4715-BD00-6B623DA75F9E.html\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<p><a href=\'TextPlus-GeometryClass.html#character-mesh-methods\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<p><a href=\'TextPlus-GeometryClass.html#macro-related-methods\' title=\'\'>TextPlus : GeometryClass</a></p>\n\
<div class=\'section\'><a id=\"string-content-methods\"></a><h3 id=\"string-content-methods\">String Content Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetRTFString &lt;&amp;string&gt;rtfstring\n\
       rtfstring is Out parameter\n\
</pre></div><p>Returns the object string in RTF format.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetRTFString &lt;string&gt;string\n\
</pre></div><p>Sets the object string as an RTF formatted string. This method clears all formatting settings, equivalent to calling <span class=\'code\'>ResetStyle()</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetPlaintextString &lt;&amp;string&gt;textstring\n\
       textstring is Out parameter\n\
</pre></div><p>Gets the object string as a plain text string without formatting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetPlaintextString &lt;string&gt;string\n\
</pre></div><p>Sets the object string as a plain text string without formatting. This method clears all formatting settings, equivalent to calling <span class=\'code\'>ResetStyle()</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetString()\n\
</pre></div><p>Resets the object string to an empty string.</p>\n\
<div class=\'section\'><a id=\"formatting-methods\"></a><h3 id=\"formatting-methods\">Formatting methods</h3></div>\n\
<p>These methods affect the current text formatting settings. Calling them does not affect the formatting of text already in the TextPlus object’s text string, they affect text added subsequently using <span class=\'code\'>AppendString()</span>. Calling <span class=\'code\'>SetPlaintextString()</span> or <span class=\'code\'>SetRTFString()</span> resets all formatting settings.</p>\n\
<p>See the <strong>Code Sample</strong> section below for an illustration of these methods being used to create and format a string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetFont &lt;string&gt;fontName &lt;integer&gt;charset        \n\
</pre></div><p>Sets the current font selection and character set index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetBold &lt;boolean&gt;sw         \n\
&lt;void&gt;SetItalic &lt;boolean&gt;sw\n\
&lt;void&gt;SetUnderline &lt;boolean&gt;sw\n\
&lt;void&gt;SetStrikethrough &lt;boolean&gt;sw\n\
&lt;void&gt;SetSubscript &lt;boolean&gt;sw\n\
&lt;void&gt;SetSuperscript &lt;boolean&gt;sw\n\
&lt;void&gt;SetAllCaps &lt;boolean&gt;sw\n\
&lt;void&gt;SetSmallCaps &lt;boolean&gt;sw                        \n\
\n\
</pre></div><p>These methods all set text formatting options, where true=on and false=off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetStyle()        \n\
</pre></div><p>Resets all text formatting settings to their defaults.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AppendString &lt;string&gt;string         \n\
</pre></div><p>Appends the specified string to the TextPlus object’s string. The appended string takes the current text formatting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AppendChar &lt;integer&gt;character       \n\
</pre></div><p>Appends the character, specified by ASCII code, to the TextPlus object’s string. Note that this method will add a newline when the string source is RTF.</p>\n\
<div class=\'section\'><a id=\"animation-methods\"></a><h3 id=\"animation-methods\">Animation Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetCharBaseline &lt;index&gt;index &lt;time&gt;time &lt;worldUnits&gt;value\n\
&lt;boolean&gt;SetCharKerning &lt;index&gt;index &lt;time&gt;time &lt;worldUnits&gt;value\n\
&lt;boolean&gt;SetCharXScale &lt;index&gt;index &lt;time&gt;time &lt;float&gt;value\n\
&lt;boolean&gt;SetCharYScale &lt;index&gt;index &lt;time&gt;time &lt;float&gt;value\n\
\n\
</pre></div><p>These methods set animatable values for the character specified by index to the specified value, at the specified time. Note that you must set Animate to On before using these methods.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumChars()\n\
</pre></div><p>Returns the number of characters in the TextPlus string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetCharacter &lt;index&gt;index &lt;&amp;integer&gt;character &lt;&amp;string&gt;fontName &lt;&amp;integer&gt;charSet &lt;&amp;integer&gt;style\n\
       character is Out parameter\n\
       fontName is Out parameter\n\
       charSet is Out parameter\n\
       style is Out parameter\n\
</pre></div><p>Gets formatting information for the character at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetCharacter &lt;index&gt;index &lt;integer&gt;character &lt;string&gt;fontName &lt;integer&gt;charSet \\\n\
  &lt;integer&gt;style\n\
</pre></div><p>Sets the character (specified by ASCII code), font, character set, and style for the character at the specified index.</p>\n\
<p><span class=\'code\'>Style</span> is a bitflag and can be:</p>\n\
<ul>\n\
<li>0=plain</li>\n\
<li>1=italic</li>\n\
<li>2=underlined</li>\n\
<li>4=bold</li>\n\
<li>8=strikeout</li>\n\
<li>16=all caps</li>\n\
<li>32=small caps</li>\n\
<li>64=superscript</li>\n\
<li>128=subscript</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetSeparationType()\n\
&lt;boolean&gt;SetSeparationType &lt;index&gt;type\n\
</pre></div><p>Gets or sets the Animation Separate setting:</p>\n\
<ul>\n\
<li>1=Object</li>\n\
<li>2=Character</li>\n\
<li>3=Word</li>\n\
<li>4=Line</li>\n\
<li>5=Paragraph</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetSeparationUpAxis &lt;index&gt;axis &lt;boolean&gt;flip\n\
&lt;void&gt;GetSeparationUpAxis &lt;&amp;index&gt;axis &lt;&amp;boolean&gt;flip\n\
       axis is In and Out parameter\n\
       flip is In and Out parameter\n\
</pre></div><p>Gets or sets the Animation “Up” Axis and Flip Axis settings:</p>\n\
<ul>\n\
<li>1=X</li>\n\
<li>2=Y</li>\n\
<li>3=Z</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"character-setting-animation-methods\"></a><h3 id=\"character-setting-animation-methods\">Character Setting Animation Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetCharBaseline &lt;index&gt;index &lt;time&gt;time &lt;&amp;worldUnits&gt;value &lt;&amp;interval&gt;valid \n\
&lt;boolean&gt;GetCharKerning &lt;index&gt;index &lt;time&gt;time &lt;&amp;worldUnits&gt;value &lt;&amp;interval&gt;valid\n\
&lt;boolean&gt;GetCharXScale &lt;index&gt;index &lt;time&gt;time &lt;&amp;float&gt;value &lt;&amp;interval&gt;valid\n\
&lt;boolean&gt;GetCharYScale &lt;index&gt;index &lt;time&gt;time &lt;&amp;float&gt;value &lt;&amp;interval&gt;valid\n\
       value is Out parameter\n\
       valid is In and Out parameter\n\
</pre></div><p>These methods get baseline, kerning, X and Y scale values for the character at the specified index and time. These methods also return a validity interval for the value.</p>\n\
<div class=\'section\'><a id=\"character-mesh-methods\"></a><h3 id=\"character-mesh-methods\">Character Mesh Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetCharGlyphMesh &lt;index&gt;index &lt;time&gt;time &lt;&amp;mesh&gt;mesh &lt;&amp;interval&gt;valid\n\
&lt;boolean&gt;GetCharExtrasMesh &lt;index&gt;index &lt;time&gt;time &lt;&amp;mesh&gt;mesh &lt;&amp;interval&gt;valid\n\
&lt;boolean&gt;GetCharTotalMesh &lt;index&gt;index &lt;time&gt;time &lt;&amp;mesh&gt;mesh &lt;&amp;interval&gt;valid\n\
       mesh is In and Out parameter\n\
       valid is In and Out parameter\n\
</pre></div><p>These methods get the Mesh objects associated with the character at the specified index and time. These methods return the mesh (as a trimesh object) and validity interval.</p>\n\
<div class=\'section\'><a id=\"macro-related-methods\"></a><h3 id=\"macro-related-methods\">Macro-Related Methods</h3></div>\n\
<p>These methods expose the <strong>Set Value As Text</strong> functionality of the TextPlus UI, which allows you to create macros (script or expression controllers) that insert calculated values into your TextPlus string. Macros are formatted as <span class=\'code\'>%\\[macro_name\\]</span> in the string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetValueAsText &lt;index&gt;pos &lt;string&gt;name &lt;enum&gt;type &lt;enum&gt;format &lt;integer&gt;whole \\\n\
    &lt;integer&gt;decimal &lt;boolean&gt;uniform\n\
       type enums: {#Script|#Expression|#Number}\n\
       format enums: {#Whole|#Real|#Percent|#DisplayUnits|#Time}\n\
</pre></div><p>Creates a new macro and inserts it at the current cursor position in the TextPlus text, corresponding to the <strong>Set Value As Text</strong> button on the TextPlus UI. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<p>The <span class=\'code\'>pos</span> argument is a cursor index for the string, from 0 to len(string). -1 is a special index that inserts at the end of the string.</p>\n\
<p>The <span class=\'code\'>name</span> argument specifies the name of the new macro.</p>\n\
<p>The <span class=\'code\'>type</span> argument specifies the macro type (script, expression, or number).</p>\n\
<p>The format argument specifies the macro format.</p>\n\
<p>The <span class=\'code\'>whole</span> argument sets the number of whole number digits displayed, corresponding to the <strong>Whole</strong> setting on the <strong>Edit Value As Text</strong> dialog.</p>\n\
<p>The <span class=\'code\'>decimal</span> argument sets the number of decimal digits displayed, corresponding to the <strong>Decimals</strong> setting on the <strong>Edit Value As Text</strong> dialog.</p>\n\
<p>The <span class=\'code\'>uniform</span> argument specifies whether to use a uniform digit width, corresponding to the <strong>Use Uniform Digit Width</strong> setting on the Edit Value As Text dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetCursorPos()         \n\
</pre></div><p>Gets the current cursor position in the text string, where 1 is the start of the string, and 0 indicates there is a text selection. This is indicated by the caret position in the text edit field in TextPlus UI (both the small <strong>Text</strong> field and the larger <strong>Enter Text</strong> dialog). Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetCursorPos &lt;index&gt;pos          \n\
</pre></div><p>Sets the current cursor position in the text string to the specified index, where -1 indicates the end of the string. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetFinalString &lt;time&gt;time &lt;&amp;string&gt;textstring\n\
           textstring is Out parameter        \n\
</pre></div><p>Evaluates the displayed TextPlus string from its text input by converting all macros to values, for the specified <span class=\'code\'>time</span>, and returns the result in the passed by reference <span class=\'code\'>textstring</span> parameter. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetMacroIndex &lt;string&gt;name         \n\
</pre></div><p>Gets the position (as an index) of the macro specified by name in the TextPlus text string, or -1 if the named macro does not exist. This corresponds to the macro entry index in the <span class=\'code\'>TextPlus.macroname</span> property. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetMacroFormat &lt;string&gt;name\n\
           GetMacroFormat enums: {#Whole|#Real|#Percent|#DisplayUnits|#Time\n\
&lt;boolean&gt;SetMacroFormat &lt;string&gt;name &lt;enum&gt;format\n\
           format enums: {#Whole|#Real|#Percent|#DisplayUnits|#Time}\n\
</pre></div><p>Gets or sets the format setting for the specified macro value, or -1 if the macro does not exist. This corresponds to the settings available in the <strong>Display As</strong> dropdown. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetMacroNumWhole &lt;string&gt;name        \n\
&lt;boolean&gt;SetMacroNumWhole &lt;string&gt;name &lt;integer&gt;whole         \n\
</pre></div><p>Gets or sets the <strong>Whole</strong> display setting for the specified macro. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetMacroNumDecimal &lt;string&gt;name        \n\
&lt;boolean&gt;SetMacroNumDecimal &lt;string&gt;name &lt;integer&gt;decimal       \n\
</pre></div><p>Gets or sets the <strong>Decimal</strong> display setting for the specified macro. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetMacroUniformWidth &lt;string&gt;name        \n\
&lt;boolean&gt;SetMacroUniformWidth &lt;string&gt;name &lt;boolean&gt;uniform      \n\
</pre></div><p>Gets or sets the <strong>Use Uniform Digit Width</strong> setting for the specified macro. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"examples\"></a><h2 id=\"examples\">Examples</h2></div>\n\
<p>The following code sample constructs a TextPlus object, creates a formatted string, and animates individual characters.</p>\n\
<div class=\'codeBlock\'><pre>--Simple text construction and Animation with TextPlus\n\
\n\
\n\
actionMan.executeAction 0 &quot;40005&quot; -- Reset\n\
\n\
TextPlus layouttype:0  Plane:0 transform:(matrix3 [1,0,0] [0,0,1] [0,-1,0] [0,0,0]) isSelected:on\n\
$.ResetString()\n\
-- Default font is Arial but you can set whatever\n\
$.SetFont &quot;Arial&quot; 0\n\
$.ResetStyle()\n\
$.AppendString &quot;My &quot;\n\
$.SetBold true\n\
$.SetItalic true\n\
$.AppendString &quot;Text &quot;\n\
$.ResetStyle()\n\
$.SetFont &quot;Tahoma&quot; 0\n\
$.SetUnderline true\n\
$.AppendString &quot;String&quot;\n\
$.SetUnderline false\n\
$.AppendChar 32    -- space\n\
$.AppendChar 33 -- Exclamation\n\
\n\
-- Now let&#39;s do some simple animation\n\
\n\
set animate on\n\
\n\
--M\n\
$.SetCharBaseline 1 10 -40\n\
$.SetCharBaseline 1 20 40\n\
$.SetCharBaseline 1 30 -40\n\
$.SetCharBaseline 1 40 0\n\
\n\
--y\n\
$.SetCharBaseline 2 10 40\n\
$.SetCharBaseline 2 20 -40\n\
$.SetCharBaseline 2 30 40\n\
$.SetCharBaseline 2 40 0\n\
\n\
--T\n\
$.SetCharBaseline 4 10 0\n\
$.SetCharBaseline 4 20 40\n\
$.SetCharBaseline 4 30 -40\n\
$.SetCharBaseline 4 40 40\n\
$.SetCharBaseline 4 50 0\n\
\n\
--e\n\
$.SetCharBaseline 5 10 0\n\
$.SetCharBaseline 5 20 -40\n\
$.SetCharBaseline 5 30 40\n\
$.SetCharBaseline 5 40 -40\n\
$.SetCharBaseline 5 50 0\n\
\n\
--!\n\
$.SetCharYScale 16 10 1\n\
$.SetCharYScale 16 20 3\n\
$.SetCharYScale 16 30 -3\n\
$.SetCharYScale 16 40 3\n\
$.SetCharYScale 16 50 1\n\
\n\
set animate off\n\
</pre></div><p>This example creates a new TextPlus object, and sets some macros (equivalent to using the Set Value As Text functionality in the UI):</p>\n\
<div class=\'codeBlock\'><pre>resetMaxFile #noprompt\n\
\n\
myTextPlus = TextPlus layouttype:0 plane:1 extrudeAmount:1.3\n\
myTextPlus.SetPlainTextString &quot;Number Macro: &quot;\n\
\n\
-- create a new number macro and animate it\n\
myTextPlus.SetValueAsText -1 &quot;myNumber&quot; #Number #percent 2 0 false\n\
idx = myTextPlus.getMacroIndex &quot;myNumber&quot;\n\
set animate on\n\
    at time 0\n\
        myTextPlus.macroValue[idx]=100\n\
    at time 100\n\
        myTextPlus.macroValue[idx]=1\n\
set animate off\n\
\n\
-- create a new script macro\n\
myTextPlus.GetPlaintextString &amp;curstr\n\
myTextPlus.SetPlainTextString (curstr + &quot;\\nScript Macro: &quot;)\n\
myTextPlus.SetValueAsText -1 &quot;script1&quot; #Script #whole 2 2 false\n\
macroIndex = myTextPlus.getMacroIndex &quot;script1&quot;\n\
controller = myTextPlus.macroValue[macroIndex].controller\n\
controller.script = &quot;T*F&quot;\n\
\n\
-- create a new expression macro    \n\
myTextPlus.GetPlaintextString &amp;curstr\n\
myTextPlus.SetPlainTextString (curstr + &quot;\\nExpression Macro: &quot;)\n\
myTextPlus.SetValueAsText -1 &quot;expr1&quot; #Expression #real 2 2 false\n\
macroIndex = myTextPlus.getMacroIndex &quot;expr1&quot;\n\
controller = myTextPlus.macroValue[macroIndex].controller\n\
controller.SetExpression &quot;S*pi&quot;\n\
myTextPlus.SetMacroNumDecimal &quot;expr1&quot; 2\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";