var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Luminaire : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Luminaire : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"luminaire-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Luminaire - superclass: helper; super-superclass:node - classID: #(1125598736, 365390639) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-5915100E-2836-4ABE-8B06-39239123B7B9-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class was available but not constructible in <strong>3ds Max 5</strong>. It is fully available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>luminaire...     \n\
LuminaireHelper...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Luminaire&gt;.Dimmer Float default: 100.0 -- animatable; float \n\
</pre></div><p>The Dimmer value of the Luminaire Helper. It is provided as a UI value to be wired to the Multiplier values of the lights in the light fixture and has no other function on itself.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Luminaire&gt;.FilterColor Color default: (color 255 255 255) -- animatable; RGB color \n\
</pre></div><p>The Filter Color of the Luminaire Helper. It is provided as a UI value to be wired to the filter colors of the lights in the light fixture and has no other function on itself.</p>\n\
<div class=\'section\'><a id=\"luminaire-interfaces\"></a><h2 id=\"luminaire-interfaces\">Luminaire interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ILuminaire\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Dimmer: float : Read|Write \n\
.FilterColor: RGBA color : Read|Write \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>NOTES FOR 3DS MAX 5</strong></p>\n\
<p>Luminaire class instances were <strong>not creatable</strong> in <strong>3ds Max 5</strong>, they were only creatable in <strong>Autodesk VIZ</strong>. Luminaire class instances saved in <strong>Autodesk VIZ</strong> would load and function properly in <strong>3ds Max 5</strong> though.</p>\n\
<p>It was possible to &quot;unhide&quot; the Luminaire Helper object in <strong>3ds Max 5</strong> by creating a scripted Luminaire object that extends the hidden one, and declaring the scripted one as &quot;visible&quot;:</p>\n\
<p>```</p>\n\
<p>plugin helper MyLuminaire name:&quot;MyLuminaire&quot; category:&quot;Assembly Heads&quot; classID:#(0x7463471e, 0x35cb7b96) extends:Luminaire invisible:false replaceUI:false version:1 ( )</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";