var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Axis_Helper : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Axis_Helper : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"axis_helper-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Axis_Helper : helper {132a7b67,2ae35b04}\n\
</pre></div><p>The <strong>Axis_Helper</strong> is an <strong>internal</strong> helper object used by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkingPivot.html\' title=\'\'>Working Pivot</a> feature to display an Axis Tripod in the scene and allow quick transformations in its coordinate space.</p>\n\
<p>It is <strong>not creatable</strong> by MAXScript, but is accessible when created by the Working Pivot feature.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Axis_Helper AxisHelperObj\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AxisHelper&gt;.size (Axis_Size) : worldUnits\n\
</pre></div><p>Get/Set the size of the Axis Helper.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7C9AB068-9CC1-431B-8540-C6066AF86987-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";