var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Grid : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Grid : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"grid-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>grid - superclass: helper; super-superclass:node - 3:0 - classID: #(8208, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>grid...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;grid&gt;.length Float default: 50.0 -- animatable; worldunits\n\
</pre></div><p>Length of the grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;grid&gt;.width Float default: 50.0 -- animatable; worldunits\n\
</pre></div><p>Width of the grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;grid&gt;.grid Float default: 10.0 -- animatable; worldunits\n\
</pre></div><p>The size of the smallest square in the visible grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;grid&gt;.activecolor Integer default: 0.0 -- radiobtnindex; alias: active_color\n\
</pre></div><p>Get/set the <strong>ActiveColor</strong> radio button. Available in <strong>3ds Max 2018 and higher</strong>. Accepted values are:</p>\n\
<p>0 - <strong>Gray</strong></p>\n\
<p>1 - <strong>Object Color</strong></p>\n\
<p>2 - <strong>Home Color</strong></p>\n\
<p>3 - <strong>Home Intensity</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;grid&gt;.displayplane Integer default: 0.0 -- radiobtnindex; alias: display_plane\n\
</pre></div><p>Get/set the <strong>Display</strong> radio button. Available in <strong>3ds Max 2018 and higher</strong>. Accepted values are:</p>\n\
<p>0 - <strong>XY Plane</strong></p>\n\
<p>1 - <strong>YZ Plane</strong></p>\n\
<p>2 - <strong>ZX Plane</strong></p>\n\
<p>Note: The Active Color and Display properties are not accessible to MAXScript in <strong>3ds Max</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";