var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Point - superclass: helper; super-superclass:node - classID: #(8211, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>point...\n\
PointHelperObj ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.size Float default: 20.0 -- animatable; float\n\
</pre></div><p>Sets the size for the point object. Use this to minimize the point object, or increase its size to aid in locating it. Default=20.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.centermarker Boolean default: false -- animatable; boolean; Center_Marker\n\
</pre></div><p>Displays a small X marker at the center of the point object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.axistripod Boolean default: false -- animatable; boolean; Axis_Tripod\n\
</pre></div><p>Displays a tripod axis indicating the position and orientation of the point object.</p>\n\
<p>The axis remains visible when the point object is no longer selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.cross Boolean default: true -- animatable; boolean\n\
</pre></div><p>Displays an axis-aligned cross.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.box Boolean default: false -- animatable; boolean\n\
</pre></div><p>Displays a small box at the center of the point object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.constantscreensize Boolean default: false -- animatable; boolean; Constant_Screen_Size\n\
</pre></div><p>Keeps the size of the point object constant, regardless of how much you zoom in or out.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.drawontop Boolean default: false -- animatable; boolean; Draw_On_Top\n\
</pre></div><p>When this is on, the point helper object draws lines with the Z buffer turned off (which usually causes it to appear in front of other objects).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point&gt;.axisLength Float default: 20.0\n\
</pre></div><p>Sets the length of the tripod axis.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";