var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tape : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tape : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tape-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Tape - superclass: helper; super-superclass:node - classID: #(8209, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>tape...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Tape&gt;.length Float default: 50.0 -- animatable\n\
</pre></div><p>Length of the tape object.</p>\n\
<p>Note:</p>\n\
<p>To construct a tape, you have to create its target node first (using the <strong>targetObject</strong> constructor), and then construct the tape giving it the target:</p>\n\
<div class=\'codeBlock\'><pre>tape pos:p target:(targetObject pos:q)\n\
\n\
</pre></div><p>The length property shows the tape length set in the <strong>3ds Max</strong> user interface, not the true distance from the tape to its target. The following function can be used to return this distance:</p>\n\
<div class=\'codeBlock\'><pre>fn getTapeDist TapeObj = distance TapeObj TapeObj.target\n\
getTapeDist $tape01\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";