var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Light : Node</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Light : Node</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"light-node\"></a></div>\n\
<p>The following lists shows the <strong>3ds Max</strong> light class objects:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-7548731F-D945-4894-8FAF-1C39A7D72E43-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Photometric Lights</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Point-Light.html\' title=\'\'>Target_Light</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Point-Light.html\' title=\'\'>Free_Light</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Standard Lights</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/DirectionalLight-Light.html\' title=\'\'>DirectionalLight</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/FreeSpot-Light.html\' title=\'\'>FreeSpot</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Omnilight-Light.html\' title=\'\'>OmniLight</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Skylight-Light.html\' title=\'\'>Skylight</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Targetspot-Light.html\' title=\'\'>TargetSpot</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/TargetDirectionalLight-Light.html\' title=\'\'>TargetDirectionalLight</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>Lights Not in Create Panel</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Area-Light.html\' title=\'\'>Free_Area</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Cylinder-Light.html\' title=\'\'>Free_Cylinder</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Disc-Light.html\' title=\'\'>Free_Disc</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Sphere-Light.html\' title=\'\'>Free_Sphere</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Linear-Light.html\' title=\'\'>Free_Linear</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Area-Light.html\' title=\'\'>Target_Area</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Cylinder-Light.html\' title=\'\'>Target_Cylinder</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Disc-Light.html\' title=\'\'>Target_Disc</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Sphere-Light.html\' title=\'\'>Target_Sphere</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Linear-Light.html\' title=\'\'>Target_Linear</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/IES_Sky-Light.html\' title=\'\'>IES_Sky</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/IES_Sun-Light.html\' title=\'\'>IES_Sun</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";