var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IES_Sky : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IES_Sky : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ies_sky-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>IES_Sky - superclass: light; super-superclass:node - classID: #(1260657425, 1692947069) \n\
</pre></div><p>Instances of the <strong>IES_Sky light</strong> class are used to simulate natural sky light.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>IES_Sky...   \n\
IesSkyLight...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.multiplier Float default: 1.0 -- animatable; float \n\
</pre></div><p>The light multiplier controls the intensity of the skylight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.color Color default: (color 242.25 242.25 255) -- animatable \n\
</pre></div><p>Gets/Sets the sky color</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.on Boolean default: true -- boolean \n\
</pre></div><p>Gets/Sets the enabled state of the light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.sky_cover Float default: 0.0 -- animatable; float \n\
</pre></div><p>Determines how much light is scattered through the sky. 0.0 is Clear, 1.0 is Cloudy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.enabled Boolean default: true -- alias for on \n\
</pre></div><p>Gets/Sets the enabled state of the light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.rgb Color default: (color 255 255 255) -- animatable; alias for color \n\
</pre></div><p>Gets/Sets the sky color</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.rays_per_sample Integer default: 20 -- animatable; integer \n\
</pre></div><p>Gets/Sets the number of rays per sample</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.ray_bias Float default: 0.005 -- animatable; float \n\
</pre></div><p>Gets/Sets the ray bias</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sky&gt;.castShadows BooleanClass default: false -- animatable; Boolean; Cast_Shadows \n\
</pre></div><p>Enable/Disable shadow casting.</p>\n\
<div class=\'section\'><a id=\"ies_sky-interfaces\"></a><h2 id=\"ies_sky-interfaces\">IES_Sky interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:NaturalLightClass \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSun() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the list is a Sun light. In the case of <span class=\'code\'>IES_Sky</span> , it will return <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSky() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the list is a Sky light. In the case of <span class=\'code\'>IES_Sky</span> , it will return <span class=\'code\'>true</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";