var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mr_Sun : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mr_Sun : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mr_sun-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>mr_Sun - superclass: light; super-superclass:node - 27:10 - classID: #(1901083579, 635572516) \n\
</pre></div><p>The <strong>mr_Sun</strong> Photometric light provides physically-based sunlight, esp. in conjunction with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sun-Light.html\' title=\'\'>mr_Sun : Light</a>.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>mr_Sun...    \n\
mentalraySun...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"mr-sub---basic-parameters\"></a><h2 id=\"mr-sub---basic-parameters\">mr Sub - Basic Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AAF405A7-D160-40B4-9059-F531E4A686D3-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.on BooleanClass default: true -- boolean \n\
&lt;mr_Sun&gt;.enabled BooleanClass default: true -- boolean   \n\
</pre></div><p>Get/set the state of the &quot;On&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.skymult Float default: 1.0 -- animatable; float; Multiplier \n\
</pre></div><p>Get/set the &quot;Multiplier&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.hasTarget BooleanClass default: true -- boolean; Has_Target \n\
</pre></div><p>Get/set the state of the &quot;Targeted&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.castShadows BooleanClass default: true -- boolean; Cast_Shadows \n\
</pre></div><p>Get/set the state of the Shadows &quot;On&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.shadowSoftness Float default: 1.0 -- animatable; float; Shadow_Softness \n\
</pre></div><p>Get/set the Shadow &quot;Softness&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.shadowSamples Integer default: 8 -- integer; Shadow_Samples \n\
</pre></div><p>Get/set the &quot;Softness Samples&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.inherit BooleanClass default: true -- boolean; Inherit_from_mr_Sky \n\
</pre></div><p>Get/set the state of the &quot;Inherit from mr Sky&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.redblueshift Float default: 0.0 -- animatable; float; Redness \n\
</pre></div><p>Get/set the &quot;Red/Blue Tint&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.Saturation Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the &quot;Saturation&quot; value.</p>\n\
<div class=\'section\'><a id=\"mr-sun---photons\"></a><h2 id=\"mr-sun---photons\">mr Sun - Photons</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8F5A7717-0725-4347-823E-2EBDE8329080-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.usephotontarget BooleanClass default: false -- boolean; Use_Photon_Target \n\
</pre></div><p>Get/set the state of the &quot;Use Photon Target&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.photontarget Float default: 0.0 -- animatable; float; Photon_Target \n\
</pre></div><p>Get/set the Photon Target Radius value.</p>\n\
<div class=\'section\'><a id=\"mr-sun---properties-not-exposed-to-the-ui\"></a><h2 id=\"mr-sun---properties-not-exposed-to-the-ui\">mr Sun - Properties not exposed to the UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.color Color default: (color 255 242.25 229.5) -- color by value \n\
&lt;mr_Sun&gt;.rgb Color default: (color 255 242.25 229.5) -- animatable; RGB color \n\
</pre></div><p>Get/set the Sun Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.multiplier Float default: 1.0 -- animatable; float; intensity \n\
</pre></div><p>Get/set the multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance \n\
</pre></div><p>Get/set the target distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.includeList UndefinedClass default: undefined -- value; \n\
</pre></div><p>Get/set the Include List.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.excludeList Array default: #() -- value \n\
</pre></div><p>Get/set the Exclude List.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.Haze Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the Haze value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.HorizonHeight Float default: 0.0 -- animatable; float; Horizon_Height \n\
</pre></div><p>Get/set the Horizontal Height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.shadowGenerator raytraceShadow default: raytraceShadow:raytraceShadow -- value; SubAnim \n\
</pre></div><p>Get/set the shadow generator class instance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.shadowGeneratorByName String default: &quot;Ray Traced Shadows&quot; -- value \n\
</pre></div><p>Get/set the shadow generator by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.raytracedShadows BooleanClass default: true -- value \n\
</pre></div><p>Get/set whether to use Raytraced Shadows. This property is obsolete and exposed for backwards compatibility only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.maxDepth Integer default: 7 -- animatable; integer; Max_Quadtree_Depth \n\
</pre></div><p>Get/set the max. Depth of Raytraced shadows QuadTree.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.raytraceBias Float default: 0.2 -- animatable; float; Bias \n\
</pre></div><p>Get/set the Bias of the raytraced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.twoSidedShadows BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set whether to calculate two-sided shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sun&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Shadow_Settings \n\
</pre></div><p>Get/set whether to use the Global shadow settings.</p>\n\
<div class=\'section\'><a id=\"mr_sun-interfaces\"></a><h2 id=\"mr_sun-interfaces\">mr_Sun interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:NaturalLightClass \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSun() \n\
&lt;boolean&gt;isSky() \n\
Interface:LightProperties \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.excludeList: value : Read|Write \n\
.includeList: value : Read|Write \n\
.shadowGenerator: value : Read|Write \n\
.shadowGeneratorByName: value : Read|Write \n\
.raytracedShadows: value : Read|Write \n\
.color: color by value : Read|Write \n\
.enabled: boolean : Read|Write\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";