var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DirectionalLight : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DirectionalLight : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"directionallight-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>Directionallight - superclass: light; super-superclass:node - classID: #(4115, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>directionalLight...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.aspect Float default: 1.0 -- animatable, alias: Aspect_Ratio \n\
</pre></div><p>The aspect ratio for the rectangular light beam.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.falloff Float default: 45.0 -- animatable \n\
</pre></div><p>The size of a light&#39;s falloff. The Falloff value is measured in <strong>3ds Max</strong> units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.showCone Boolean default: false \n\
</pre></div><p>Turns display of the cone on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.hotspot Float default: 43.0 -- animatable \n\
</pre></div><p>The size of a light&#39;s cone. The Hotspot value is measured in <strong>3ds Max</strong> units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.overShoot Boolean default: false \n\
</pre></div><p>When overshoot is on, the light casts light in all directions. However, projections and shadows occur only within its falloff cone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectionalLight&gt;.coneShape Integer default: 1 -- alias: lightShape \n\
</pre></div><p>The shape of the falloff and hotspot areas:</p>\n\
<p>1- Circle</p>\n\
<p>2- Rectangle</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";