var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Circle : Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Circle : Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"circle-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>Circle - superclass: shape; super-superclass:node - classID: #(6553, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>circle...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.radius Float default: 25.0 -- animatable \n\
</pre></div><p>The radius of the circle.</p>\n\
<div class=\'section\'><a id=\"interpolation-rollout\"></a><h2 id=\"interpolation-rollout\">Interpolation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.steps Integer default: 6 \n\
</pre></div><p>The number of divisions between each vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.optimize Boolean default: true \n\
</pre></div><p>When on, removes unneeded steps from straight segments in the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.adaptive Boolean default: false \n\
</pre></div><p>When on, adaptive sets the number of steps for each spline to produce a smooth curve. Straight segments always receive 0 steps.</p>\n\
<div class=\'section\'><a id=\"rendering-rollout\"></a><h2 id=\"rendering-rollout\">Rendering Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_renderable BooleanClass default: false -- boolean; renderable \n\
</pre></div><p>Toggles the &quot;Enable in Renderer&quot; checkbox on and off.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh \n\
</pre></div><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off. When set to true, the mesh will be displayed in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings \n\
</pre></div><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_mapcoords BooleanClass default: false -- boolean; mapcoords \n\
</pre></div><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.realWorldMapSize BooleanClass default: false -- boolean \n\
</pre></div><p>Toggles the real-world map size option on and off.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings \n\
</pre></div><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_rectangular BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_rectangular BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"renderer---radial-cross-section\"></a><h2 id=\"renderer---radial-cross-section\">Renderer - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_thickness Float default: 1.0 -- animatable; thickness \n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_sides Integer default: 12 -- animatable; sides \n\
</pre></div><p>Get/Set the number of sides for the spline mesh in the renderer. A value of 4 will give you a square cross section, for example.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_angle Float default: 0.0 -- animatable; angle \n\
</pre></div><p>Get/Set therotational position of the Radial cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"renderer---rectangular-cross-section\"></a><h2 id=\"renderer---rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_length Float default: 6.0 -- animatable \n\
</pre></div><p>Get/Set the length of the Rectangular renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_width Float default: 2.0 -- animatable \n\
</pre></div><p>Get/Set the width of the Rectangular renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_angle2 Float default: 0.0 -- animatable \n\
</pre></div><p>Get/Set rotational position of the Radial cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_aspect_locked BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"viewport---radial-cross-section\"></a><h2 id=\"viewport---radial-cross-section\">Viewport - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness \n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_sides Integer default: 12 -- integer; viewport_sides \n\
</pre></div><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_angle Float default: 0.0 -- float; viewport_angle \n\
</pre></div><p>Gets/Sets the rotational position of the cross-section in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"viewport---rectangular-cross-section\"></a><h2 id=\"viewport---rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_length Float default: 6.0 -- float \n\
</pre></div><p>Get/Set the length of the Rectangular spline mesh in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_width Float default: 2.0 -- float \n\
</pre></div><p>Get/Set the width of the Rectangular spline mesh in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_angle2 Float default: 0.0 -- float \n\
</pre></div><p>Get/Set rotational position of the Rectangular cross-section in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_viewport_aspect_locked BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"auto-smooth\"></a><h2 id=\"auto-smooth\">Auto Smooth</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_auto_smooth BooleanClass default: true -- boolean \n\
</pre></div><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Circle&gt;.render_threshold Float default: 40.0 -- animatable; \n\
</pre></div><p>Get/set the Auto Smooth Threshold value.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";