var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Section : Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Section : Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"section-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>section - superclass: shape; super-superclass:node - 13:0 - classID: #(549004141, 1725569194) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>section...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"section-size-rollout\"></a><h2 id=\"section-size-rollout\">Section Size Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;section&gt;.length Float default: 0.0 -- animatable   \n\
</pre></div><p>The length of the displayed section rectangle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;section&gt;.width Float default: 0.0 -- animatable \n\
</pre></div><p>The width of the displayed section rectangle.</p>\n\
<blockquote>\n\
<p><strong>KNOWN PROBLEMS AND WORKAROUNDS:</strong></p>\n\
<p>Sometimes, the Section shape might not be able to properly collapse to a SplineShape. This only happens when a Section shape is created inside a loop and is being converted to a SplineShape.</p>\n\
<p>To collapse to a SplineShape, a viewport redraw must be performed after the Section shape is created.</p>\n\
<p>An example of creating contour lines from an object is shown below:</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` meshSelected = sphere()-- object to create contours of minZ = meshSelected.min.z-- get min and max Z positions maxZ = meshSelected.max.z numLevels = 10-- the number of contours delta = (maxZ - minZ) / (numLevels + 1)-- the number of steps for currentZ = minZ to maxZ by delta do-- start loop... ( s = section pos:[0, 0, currentZ]-- create Section max views redraw-- this line is needed to get around the problem convertToSplineShape s-- convert Section to SplineShape s.renderable = true-- set to renderable )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";