var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SDeflector : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SDeflector : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sdeflector-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SDeflector - superclass: SpacewarpObject; super-superclass:node - classID: #(1824336029, 1072653910)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>sdeflector...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.friction Float default: 0.0 -- animatable\n\
</pre></div><p>When set to 0.0 (the default), the surface of the deflector is treated as frictionless, and there&#39;s no change in the particle behavior. As the friction value increases, particles begin to rebound at incorrect angles and with greater speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.bounce Float default: 1.0 -- animatable\n\
</pre></div><p>Determines the speed with which particles bounce off the deflector. At 1.0, the particles bounce at the same speed as they approach. At 0, they don&#39;t deflect at all.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.bouncevar  Float default: 0.0 -- animatable\n\
</pre></div><p>The amount by which each particle can vary from the Bounce setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.chaos Float default: 0.0 -- animatable\n\
</pre></div><p>The amount of variation from the perfect angle of reflection (found when Chaos is set to 0.0). 100% induces a variation in reflection angle of up to 90 degrees</p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.inheritVelocity Float default: 1.0 -- animatable; alias: velocity_inheritance\n\
</pre></div><p>When the value is greater than 0, the motion of the deflector affects particles as well as the other settings.</p>\n\
<p>For example, to animate the SDeflector passing through a passive array of particles, turn up this value to affect the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SDeflector&gt;.radius Float default: 0.0 -- animatable\n\
</pre></div><p>The diameter of the SDeflector icon. This setting also alters the effect of the deflection, because particles bounce off the perimeter of the icon.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;sdeflector_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SDeflectMod\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";