var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UDeflector : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UDeflector : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"udeflector-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>UDeflector - superclass: SpacewarpObject; super-superclass:node - classID: #(675904360, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>uDeflector...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.bounce Float default: 1.0 -- animatable \n\
</pre></div><p>The speed with which particles bounce off the deflector.</p>\n\
<p>At 1.0, the particles bounce at the same speed as they approach. At 0, they don&#39;t deflect at all.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.bouncevar Float default: 0.0 -- animatable \n\
</pre></div><p>The amount by which each particle can vary from the Bounce setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.chaos Float default: 0.0 -- animatable \n\
</pre></div><p>The amount of variation from the perfect angle of reflection (found when Chaos is set to 0.0).</p>\n\
<p>100% induces a variation in reflection angle of up to 90 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.Friction Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Determines the amount of tangential &quot;stick&quot; at the surface as particles bounce off the deflector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.inheritVelocity Float default: 1.0 -- animatable; alias: velocity_inheritance \n\
</pre></div><p>When greater than 0, the motion of the deflector affects particles as well as the other settings.</p>\n\
<p>For example, to animate the SDeflector passing through a passive array of particles, increase this value to affect the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UDeflector&gt;.radius Float default: 0.0 -- animatable; alias: icon_size \n\
</pre></div><p>The size of the Udeflector icon.</p>\n\
<p>Note:</p>\n\
<p>There is no way to set the Deflector object using MAXScript.</p>\n\
<p><strong>Associated Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;uDeflector_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>UDeflectorMod \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";