var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Gravity : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Gravity : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gravity-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>gravity - superclass: SpacewarpObject; super-superclass:node - classID: #(938556, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>gravity...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.strength Float default: 1.0 -- animatable\n\
</pre></div><p>Increasing Strength increases the effect of gravity; that is, how objects move in relation to the Gravity icon&#39;s direction arrow.</p>\n\
<p>Strength less than 0.0 creates negative gravity, which repels particles moving in the same direction and attracts particles moving in the opposite direction.</p>\n\
<p>When Strength is set to 0.0, the Gravity space warp has no effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.decay Float default: 0.0 -- animatable\n\
</pre></div><p>When Decay is set to 0.0, the Gravity space warp has the same strength throughout world space. Increasing the Decay value causes gravity strength to diminish as distance increases from the position of the gravity warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.gravitytype Integer default: 0\n\
</pre></div><p>Set the type of gravity effect:</p>\n\
<p>0- Planar</p>\n\
<p>1- Spherical</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.showRange Boolean default: false\n\
</pre></div><p>When on, and when the <span class=\'code\'>*decay*</span> value is greater than 0.0, icons in the viewports indicate the range at which the force of gravity is half the maximum value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.iconsize Float default: 10.0 -- animatable\n\
</pre></div><p>Size of the Gravity warp object icon, in active units.</p>\n\
<p>You set the initial size when you drag to create the Gravity object.</p>\n\
<p>This value does not change the gravity effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gravity&gt;.hoopson Boolean default: true\n\
</pre></div><p>When on, and when the <span class=\'code\'>*decay*</span> value is greater than 0.0, icons in the viewports indicate the range at which the force of gravity is half the maximum value.</p>\n\
<p>For the Planar option, the indicators are two planes; for use the Spherical option, the indicator is a double-hooped sphere.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;gravity_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>GravityBinding\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";