var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wind : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wind : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wind-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wind - superclass: SpacewarpObject; super-superclass:node - classID: #(938558, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>wind...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.strength Float default: 1.0 -- animatable \n\
</pre></div><p>Increasing Strength increases the wind effect. Strength less than 0.0 creates a suction. It repels particles moving in the same direction and attracts particles moving in the opposite direction. When Strength is 0.0, the Wind warp has no effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.decay Float default: 1.0 -- animatable \n\
</pre></div><p>When Decay is set to 0.0, the Wind warp has the same strength throughout world space. Increasing the Decay value causes wind strength to diminish as distance increases from the position of the Wind warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.windtype Integer default: 0; Wind_Type \n\
</pre></div><p>Sets the type of wind:</p>\n\
<p>0- Planar</p>\n\
<p>1- Spherical</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.turbulence Float default: 1.0 -- animatable \n\
</pre></div><p>Causes particles to change course randomly as the wind blows them. The greater the value, the greater the turbulence effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.frequency Float default: 1.0 -- animatable \n\
</pre></div><p>When set greater than 0.0, causes turbulence to vary periodically over time. This subtle effect is probably not visible unless your bound particle system generates a large number of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.scale Float default: 0.0 -- animatable \n\
</pre></div><p>Scales the turbulence effect. When Scale is small, turbulence is smoother and more regular. As Scale increases, turbulence grows more irregular and wild.</p>\n\
<p>Note: The <span class=\'code\'>*.scale*</span> property name collides with the node-level <span class=\'code\'>*.scale*</span> property. In order to access the Wind Space Warp&#39;s Scale property, you should use <span class=\'code\'>*&lt;Wind&gt;.baseobject.scale*</span> instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.showRange Boolean default: false \n\
</pre></div><p>When on, and when the <span class=\'code\'>*decay*</span> value is greater than zero, icons appear in the viewports that represent the range at which the force of wind is half the maximum value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.iconsize Float default: 10.0 -- animatable; Icon_Size \n\
</pre></div><p>Size of the Wind warp object icon, in active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wind&gt;.hoopson Boolean default: false; Hoops_On \n\
</pre></div><p>When turned on, icons appear in the viewports that represent the range at which the force of wind is half the maximum value. When you use the Planar option, the indicators are two planes; when you use the Spherical option, the indicator is a double-hooped sphere.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;wind_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>WindBinding \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";