var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bomb : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bomb : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bomb-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bomb - superclass: SpacewarpObject; super-superclass:node - classID: #(994866, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>bomb...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.strength Float default: 1.0 -- animatable\n\
</pre></div><p>The power of the bomb.</p>\n\
<p>Larger values make the particles fly farther.</p>\n\
<p>The closer an object is to the bomb, the greater the effect of the bomb.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.spin Float default: 0.0 -- animatable\n\
</pre></div><p>The rate at which fragments rotate, in revolutions per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.falloff Float default: 100.0 -- animatable\n\
</pre></div><p>The distance from the bomb, in world units, of the effect of the bomb.</p>\n\
<p>Fragments past this distance are not affected by the Strength and Spin settings, but are affected by the Gravity setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.fallOffEnable Boolean default: false \n\
</pre></div><p>Turn on to use the Falloff setting.</p>\n\
<p>The falloff range appears as a yellow, tri-hooped sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.minFragmentSize Integer default: 1\n\
</pre></div><p>The minimum number of faces per fragment to be randomly generated by the &quot;explosion&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.maxFragmentSize Integer default: 1\n\
</pre></div><p>The maximum number of faces per fragment to be randomly generated by the &quot;explosion&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.Gravity Float default: 1.0 -- animatable\n\
</pre></div><p>The acceleration due to gravity.</p>\n\
<p>Note that gravity is always in the direction of the world Z axis.</p>\n\
<p>You can have negative gravity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.chaos Float default: 0.0 -- animatable\n\
</pre></div><p>Adds random variation to the explosion to make it less uniform.</p>\n\
<p>A setting of 0.0 is totally uniform; 1.0 is a realistic setting.</p>\n\
<p>A value greater than 1.0 makes the explosion extra chaotic.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.detonation Time default: 5f \n\
</pre></div><p>The frame at which the bomb goes off.</p>\n\
<p>Bound objects are unaffected before this time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bomb&gt;.seed Integer default: 0\n\
</pre></div><p>Change to alter randomly generated numbers in the bomb.</p>\n\
<p>You can achieve a different bomb effect by changing Seed while maintaining the other settings.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp&lt;node&gt; &lt;bomb_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>BombBinding\n\
</pre></div><p>This modifier is automatically created by the <strong>bindSpaceWarp()</strong> method, and is not otherwise creatable by MAXScript.</p>\n\
<p>There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";