var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceDisplace : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceDisplace : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacedisplace-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spacedisplace - superclass: SpacewarpObject; super-superclass:node - classID: #(938560, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceDisplace...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.strength Float default: 0.0 -- animatable\n\
</pre></div><p>When set to 0.0, the Displace warp has no effect.</p>\n\
<p>Values greater than 0.0 displace object geometry or particles away from the position of the Displace space warp object.</p>\n\
<p>Values less than 0.0 displace geometry toward the warp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.decay Float default: 0.0 -- animatable\n\
</pre></div><p>By default, the Displace warp has the same strength throughout world space.</p>\n\
<p>Increasing Decay causes displacement strength to diminish as distance increases from the position of the Displace warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.lumCenterEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the luminance center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.lumCenter Float default: 0.5 -- animatable\n\
</pre></div><p>By default, the Displace space warp centers the luminance by using medium (50%) gray as the zero displacement value.</p>\n\
<p>Gray values greater than 128 displace in the outward direction (away from the Displace warp object) and gray values less than 128 displace in the inward direction (toward the Displace warp object).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.bitmap Bitmap default: undefined\n\
</pre></div><p>Bitmap assigned to use for displacement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.map TextureMap default: undefined\n\
</pre></div><p>Texture map assigned to use for displacement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.blur Float default: 0.0 -- animatable\n\
</pre></div><p>Increase this value to blur or soften the effect of the bitmapped displacement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.maptype Integer default: 0\n\
</pre></div><p>The map projection type:</p>\n\
<p>0 - <strong>Planar</strong> (Projects the map from a single plane.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (Projects the map as if it were wrapped around the cylinder.)</p>\n\
<p>2 - <strong>Spherical</strong> (Projects the map from a sphere, with singularities at the top and bottom of the sphere, where the bitmap edges meet at the sphere&#39;s poles.)</p>\n\
<p>3 - <strong>Shrink Wrap</strong> (Truncates the corners of the map and joins them all at a single pole, creating one singularity.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.length Float default: 1.0 -- animatable\n\
</pre></div><p>The length of the bounding box on the space warp gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.width Float default: 1.0 -- animatable\n\
</pre></div><p>The width of the bounding box on the space warp gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.height Float default: 1.0 -- animatable\n\
</pre></div><p>The height of the bounding box on the space warp gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.U_Flip Boolean default: false\n\
</pre></div><p>When on, reverses the orientation of the map along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.U_Tile Float default: 1.0 \n\
</pre></div><p>The number of times the map repeats along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.V_Flip Boolean default: false\n\
</pre></div><p>When on, reverses the orientation of the map along the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.V_Tile Float default: 1.0 \n\
</pre></div><p>The number of times the map repeats along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.W_Flip Boolean default: false \n\
</pre></div><p>When on, reverses the orientation of the map along the W-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.W_Tile Float default: 1.0 \n\
</pre></div><p>The number of times the map repeats along the U-axis.</p>\n\
<p>The following properties are defined for SpaceDisplace, but are not used:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacedisplace&gt;.axis Integer default: 0\n\
&lt;Spacedisplace&gt;.cap Boolean default: false\n\
&lt;Spacedisplace&gt;.useMap Boolean default: false\n\
&lt;Spacedisplace&gt;.applyMap Boolean default: false\n\
</pre></div><p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceDisplace_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>DisplaceBinding\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
<p>Note: When a TextureMap is assigned to <span class=\'code\'>*map*</span> , a <span class=\'code\'>*Displacement_Map*</span> subAnim is added to the parameters. The parameters of the subAnim correspond to the TextureMap properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";