var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceStretch : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceStretch : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacestretch-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpaceStretch - superclass: SpacewarpObject; super-superclass:node - classID: #(65712, -1728155230) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-8FE0BB7D-A073-4C14-9444-C053C51C472D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceStretch...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.length Float default: 0.0 -- animatable \n\
</pre></div><p>The length of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.width Float default: 0.0 -- animatable \n\
</pre></div><p>The width of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.decay Float default: 0.0 -- animatable \n\
</pre></div><p>When is set to 0, there is no decay, and the space warp affects its bound object regardless of its distance from the object. When you increase the decay, the effect on the bound object falls off exponentially.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.Stretch Float default: 0.0 -- animatable \n\
</pre></div><p>The base scale factor for all three axes. The scale factor derived from the Stretch value varies according to the sign of the value:</p>\n\
<p>Positive stretch values define a scale factor equal to Stretch+1. For example, a stretch value of 1.5 yields a scale factor of 1.5+1=2.5, or 250 percent.</p>\n\
<p>Negative stretch values define a scale factor equal to -1/(Stretch-1). For example, a stretch value of -1.5 yields a scale factor of -1/(-1.5-1)=0.4, or 40 percent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.Amplify Float default: 0.0 -- animatable \n\
</pre></div><p>The scale factor applied to the minor axes. Amplify generates a multiplier using the same technique as stretch. The multiplier is then applied to the Stretch value before the scale factor for the minor axes is calculated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.from Float default: 0.0 -- animatable \n\
</pre></div><p>The boundary of the stretch effect along the negative Stretch Axis. The Lower Limit can be 0 or any negative number.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceStretch&gt;.to Float default: 0.0 -- animatable \n\
</pre></div><p>The boundary of the stretch effect along the positive Stretch Axis. The Upper Limit can be 0 or any positive number.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceStretch_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SimpleOSMToWSMMod \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";