var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpacewarpObject : Node</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpacewarpObject : Node</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacewarpobject-node\"></a></div>\n\
<p>The following image maps and lists show the SpaceWarp objects:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Forces</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Drag-superclass-SpacewarpObject-1.html\' title=\'\'>Drag</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Gravity-SpacewarpObject.html\' title=\'\'>Gravity</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Motor-SpacewarpObject.html\' title=\'\'>Motor</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Path_Follow-SpacewarpObject.html\' title=\'\'>Path_Follow</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PBomb-SpacewarpObject.html\' title=\'\'>PBomb</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PushSpaceWarp-SpacewarpObject.html\' title=\'\'>Push</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceDisplace-SpacewarpObject.html\' title=\'\'>SpaceDisplace</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Vortex-SpacewarpObject.html\' title=\'\'>Vortex</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Wind-SpacewarpObject.html\' title=\'\'>Wind</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Deflectors</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Deflector-SpacewarpObject.html\' title=\'\'>Deflector</a><br> <img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>PDynaFlect (removed from <strong>3ds Max 2012</strong>)<br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/POmniFlect-SpacewarpObject.html\' title=\'\'>POmniFlect</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/SDeflector-SpacewarpObject.html\' title=\'\'>SDeflector</a><br> <img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> SDynaFlect (removed from <strong>3ds Max 2012</strong>)<br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/SOmniFlect-SpacewarpObject.html\' title=\'\'>SOmniFlect</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/UDeflector-SpacewarpObject.html\' title=\'\'>UDeflector</a><br> <img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> UDynaFlect (removed from <strong>3ds Max 2012</strong>)<br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/UOmniFlect-SpacewarpObject.html\' title=\'\'>UOmniFlect</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Geometric/Deformable</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/Bomb-SpacewarpObject.html\' title=\'\'>Bomb</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/ConformSpaceWarp-SpacewarpObject.html\' title=\'\'>Conform</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceDisplace-SpacewarpObject.html\' title=\'\'>SpaceDisplace</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceFFDBox-SpacewarpObject.html\' title=\'\'>SpaceFFDBox</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceFFDCyl-SpacewarpObject.html\' title=\'\'>SpaceFFDCyl</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceRipple-SpacewarpObject.html\' title=\'\'>SpaceRipple</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Geometric-Deformable/SpaceWave-SpacewarpObject.html\' title=\'\'>SpaceWave</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-8FE0BB7D-A073-4C14-9444-C053C51C472D-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Modifier-Based</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceBend-SpacewarpObject.html\' title=\'\'>SpaceBend</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceNoise-SpacewarpObject.html\' title=\'\'>SpaceNoise</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceSkew-SpacewarpObject.html\' title=\'\'>SpaceSkew</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceStretch-SpacewarpObject.html\' title=\'\'>SpaceStretch</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceTaper-SpacewarpObject.html\' title=\'\'>SpaceTaper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceTwist-SpacewarpObject.html\' title=\'\'>SpaceTwist</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-48434F73-5CDC-435A-A130-2273AC57C88D-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Partices &amp; Dynamics</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/SpaceWarps/Vector_Field-SpacewarpObject.html\' title=\'\'>Vector_Field</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";