var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Light_Tracer : RadiosityEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Light_Tracer : RadiosityEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"light_tracer-radiosityeffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>Light_Tracer - superclass: RadiosityEffect; super-superclass:MAXWrapper - classID: #(973019628, 1999461375) \n\
</pre></div><p>The <strong>Light_Tracer RadiosityEffect</strong> is a Global Illumination solver used mainly for advanced lighting simulation in outdoor scenes.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Light_Tracer ... LightTrace ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.adaptive_undersampling_on Boolean default: true -- boolean \n\
</pre></div><p>Gets/Sets the state of the Adaptive Undersampling checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.bounces Integer default: 0 -- integer \n\
</pre></div><p>Gets/Sets the number of Bounces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.color_bleed Float default: 1.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Color Bleed value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.color_filter Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Gets/Sets the Color Filter color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.cone_angle Float default: 88.0 -- float \n\
</pre></div><p>Gets/Sets the Cone Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.extra_ambient Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Gets/Sets the Extra Ambient color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.filter_size Float default: 0.5 -- animatable; float \n\
</pre></div><p>Gets/Sets the Filter Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.global_multiplier Float default: 1.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Global Multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.initial_sample_spacing Integer default: 4 -- integer \n\
</pre></div><p>Gets/Sets the Initial Sample Spacing, where</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>2 - 4x4</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.object_multiplier Float default: 1.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Object Multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.ray_bias Float default: 0.03 -- float \n\
</pre></div><p>Gets/Sets the Ray Bias value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.rayengine Ray_Engine default: ReferenceTarget:Ray_Engine \n\
</pre></div><p>Returns the Ray Engine used by the Radiosity Effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.rays Integer default: 250 -- animatable; integer \n\
</pre></div><p>Gets/Sets the Rays/Sample value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.show_samples Boolean default: false -- boolean \n\
</pre></div><p>Gets/Sets the state of the Show Samples checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.sky_lights Float default: 1.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Sky Lights value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.sky_lights_on Boolean default: true -- boolean \n\
</pre></div><p>Gets/Sets the state of the Sky Lights checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.subdivide_down_to Integer default: 0 -- integer \n\
</pre></div><p>Gets/Sets the Subdivide Down To value, where</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>2 - 4x4</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.subdivision_contrast Float default: 5.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Subdivision Contrast value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.volumes_on Boolean default: true -- boolean \n\
</pre></div><p>Gets/Sets the state of the Volumes checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Light_Tracer&gt;.volumes Float default: 1.0 -- animatable; float \n\
</pre></div><p>Gets/Sets the Volumes value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";