var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Custom_LPE : RenderElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Custom_LPE : RenderElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"custom_lpe-renderelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>Custom_LPE - superclass: RenderElement; super-superclass:MAXWrapper - 6:0 - classID: #(733032594, 560299706)\n\
</pre></div><p>The Custom_LPE RenderElement is used to output a custom pass from the iRay renderer. Other than the rest of the iRay Render Elements, the <span class=\'code\'>.lpeName</span> property specifying the Light Path Expression string is not pre-defined and has to be set to a valid regular expression to create a valid Render Element. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Custom_LPE... \n\
irayCustom...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.atmosphereOn     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set whether to include atmospheric effects in the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.bitmap     UndefinedClass    default: undefined   --  bitmap\n\
</pre></div><p>Contains the Render Element&#39;s internal bitmap.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.elementName     String    default: &quot;Custom LPE&quot;   --  string\n\
</pre></div><p>Get/set the name of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.enabled     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the enabled state of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.filterOn     BooleanClass    default: true   --  boolean; FilteringOn\n\
</pre></div><p>Get/set the state of the Render Element&#39;s filter option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Custom_LPE&gt;.lpeName     String    default: &quot;&quot;   --  string; LPE\n\
</pre></div><p>Get/set the Light Path Expression string of the Render Element.</p>\n\
<p>The Light Path Expression is a Regular Expression which controls which light transport paths to include in the Render Element&#39;s output.</p>\n\
<p>By default, the Custom LPE Render Element does not output any data unless this property is set to a valid Regular Expression!</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";