var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lighting_Analysis_Data : RenderElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lighting_Analysis_Data : RenderElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lighting_analysis_data-renderelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>Lighting_Analysis_Data : RenderElement {18a96811,2f1383c} \n\
</pre></div><p>The <strong>Lighting_Analysis_Data</strong> Render Element allows the saving of the lighting analysis data to a separate image output.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p>This RenderElement will be created and added automatically to the Render Elements list when a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\' title=\'\'>Lighting_Analysis_Overlay : RenderEffect</a> is added to the Effects List.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Lighting_Analysis_Data   \n\
lightingAnalysisDataRenderElement   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.enabledOn (enabled) : boolean \n\
</pre></div><p>Get/set the state of the Enabled checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.filterOn (filter_on) : boolean \n\
</pre></div><p>Get/set the state of the Enable Filtering checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.atmosphereOn (atmosphere_on) : boolean \n\
</pre></div><p>Get/set whether to apply atmospheric effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.shadowOn (shadows_on) : boolean \n\
</pre></div><p>Get/set whether to apply shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.elementName (element_name) : string \n\
</pre></div><p>Get/set the name of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Data&gt;.bitmap : bitmap \n\
</pre></div><p>Get/set the bitmapvalue of the Render Element.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";