var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Object_ID : RenderElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Object_ID : RenderElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"object_id-renderelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>Object_ID - superclass: RenderElement; super-superclass:MAXWrapper - 5:0 - classID: #(21, 0) \n\
</pre></div><p>The <strong>Object_ID RenderElement</strong> outputs the Object IDs assigned to objects via the Object Properties dialog.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Object_ID ...    \n\
objectIDRenderElement ...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Object_ID&gt;.bitmap UndefinedClass default: undefined -- bitmap; \n\
</pre></div><p>Gets the bitmap the RenderElement writes to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Object_ID&gt;.colorMode Integer default: 1 -- integer; Object_ID \n\
</pre></div><p>Gets/Sets the color mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Object Color</p>\n\
<p>1 - Object ID</p>\n\
<div class=\'codeBlock\'><pre>&lt;Object_ID&gt;.elementName String default: &quot;Object ID&quot; -- string \n\
</pre></div><p>Gets/Sets the name of the RenderElement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Object_ID&gt;.enabled BooleanClass default: true -- boolean \n\
</pre></div><p>Enables/Disables the RenderElement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Object_ID&gt;.filterOn BooleanClass default: false -- boolean; FilteringOn \n\
</pre></div><p>Enables/Disables filtering for the RenderElement.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";