var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Render Element Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Render Element Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"render-element-functions\"></a></div>\n\
<p>The following functions provide access to File Dialog, Custom Gamma and Meta Data of Render Elements. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>ElementFileDialog &lt;render_element&gt;\n\
</pre></div><p>Opens the Save File Dialog of the specified render element instance.</p>\n\
<div class=\'codeBlock\'><pre>ElementGetCustomGamma &lt;render_element&gt;\n\
</pre></div><p>Returns the Custom Gamma value of the specified render element instance.</p>\n\
<p>If no custom Gamma has been defined, returns 0.0.</p>\n\
<div class=\'codeBlock\'><pre>ElementSetCustomGamma &lt;render_element&gt; &lt;gamma&gt;\n\
</pre></div><p>Sets the Custom Gamma value of the specified render element instance to the float value given by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>ElementGetMetaData &lt;render_element&gt;\n\
</pre></div><p>Returns an array containing the Meta Data of the specified render element instance.</p>\n\
<p>If no Meta Data is defined, returns an empty array #().</p>\n\
<div class=\'codeBlock\'><pre>ElementSetMetaData &lt;render_element&gt; &lt;metaData_array&gt;\n\
</pre></div><p>Sets the Meta Data of the specified render element instance to the array values given by the second argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";