var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ZRenderElement : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ZRenderElement : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"zrenderelement-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>ZRenderElement - superclass: MAXObject; super-superclass:Value -7:0 - classID: #(12, 0) \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>ZRenderElement ...   \n\
Z_Depth ...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.enabled Boolean default: true -- boolean \n\
</pre></div><p>Shows whether the element is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.filterOn Boolean default: false -- boolean; FilteringOn \n\
</pre></div><p>When on, applies the active antialiasing filter to the rendered element. When off, the rendered element does not use the antialiasing filter. Default=on.</p>\n\
<p>The Filter Enabled column of the elements list shows whether or not the filter is enabled for an element.</p>\n\
<p>You choose the antialiasing filter in the Anti-Aliasing group of the <strong>3ds Max</strong> Default Scanline A-Buffer rollout.</p>\n\
<p>Disabling antialiasing can improve rendering time, although the rendered element that results might appear jagged.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.elementName String default: &quot;Z Depth&quot; -- string \n\
</pre></div><p>Shows the name of the element. You can change the default name of elements, in the Selected Element Parameters group.</p>\n\
<p>To select an element, click its name in the list. Use CTRL+click to select additional elements, or SHIFT+click to select a contiguous group of additional elements.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.bitmap UndefinedClass default: undefined -- bitmap \n\
&lt;ZRenderElement&gt;.zMin Float default: 100.0 -- float; Z_Min \n\
</pre></div><p>The minimum distance to include in the Z-depth rendering.</p>\n\
<p>This is a value in <strong>3ds Max</strong> units.</p>\n\
<p>Default=0.0 (cannot be less than zero).</p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.zMax Float default: 300.0 -- float; Z_Max \n\
</pre></div><p>The maximum distance to include in the Z-depth rendering.</p>\n\
<p>This is a value in <strong>3ds Max</strong> units. Default=100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ZRenderElement&gt;.zUpdate BooleanClass default: false -- boolean; Z_depth_update \n\
</pre></div><p>Get/Setthe state of the Update option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";