var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lens_Effects - Manual_Secondary_Element</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lens_Effects - Manual_Secondary_Element</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lens_effects---manual_secondary_element\"></a></div>\n\
<div class=\'codeBlock\'><pre>Manual_Secondary_Element - superclass: ReferenceTarget; super-superclass:MAXWrapper - classID: #(217211880, 1911717313) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>le.addMSec &lt;Lens_Effects&gt;   \n\
</pre></div><p><strong>Aliases</strong></p>\n\
<div class=\'codeBlock\'><pre>Manual_Secondary_Element &#39;MSec Element&#39; \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary&gt;.elementName String default: &quot;Manual Secondary&quot; -- alias: Name \n\
&lt;manual_secondary&gt;.on Boolean default: true \n\
&lt;manual_secondary&gt;.size Float default: 50.0 -- animatable \n\
&lt;manual_secondary&gt;.intensity Float default: 30.0 -- animatable \n\
&lt;manual_secondary&gt;.plane Float default: 150.0 -- animatable \n\
&lt;manual_secondary&gt;.colorSource Float default: 20.0 -- animatable; alias: Source_Color \n\
&lt;manual_secondary&gt;.sides Integer default: 0 \n\
</pre></div><p>sides = 0 - Circular; 1 - Three; 2 - Four; 3 - Five; 4 - Six; 5 - Seven; 6 - Eight</p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary&gt;.occlusion Float default: 100.0 -- animatable \n\
&lt;manual_secondary&gt;.squeeze Boolean default: false \n\
&lt;manual_secondary&gt;.presets Integer default: 0 \n\
</pre></div><p>presets selects a preset from the indexed list. presets = 0 - no preset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary&gt;.radialColor1 Color default: (color 0 0 0) -- animatable; alias: Radial_Color_1 \n\
&lt;manual_secondary&gt;.radialColor2 Color default: (color 57 34 89) -- animatable; alias: Radial_Color_2 \n\
&lt;manual_secondary&gt;.radialColor3 Color default: (color 85 139 85) -- animatable; alias: Radial_Color_3 \n\
&lt;manual_secondary&gt;.radialColor4 Color default: (color 190 99 10) -- animatable; alias: Radial_Color_4 \n\
&lt;manual_secondary&gt;.colorRadius1 Float default: 90.0 -- animatable; alias: Radius_Color_1 \n\
&lt;manual_secondary&gt;.colorRadius2 Float default: 92.0 -- animatable; alias: Radius_Color_2 \n\
&lt;manual_secondary&gt;.colorRadius3 Float default: 95.0 -- animatable; alias: Radius_Color_3 \n\
&lt;manual_secondary&gt;.colorRadius4 Float default: 98.0 -- animatable; alias: Radius_Color_4 \n\
&lt;manual_secondary&gt;.radialMtl TextureMap default: undefined -- alias: Radial_Material \n\
&lt;manual_secondary&gt;.useRadialMtl Boolean default: false -- alias: Apply_Radial_Color_Map \n\
&lt;manual_secondary&gt;.radial_falloff SubAnim \n\
&lt;manual_secondary&gt;.radialMap TextureMap default: undefined -- alias: Radial_Falloff_Map \n\
&lt;manual_secondary&gt;.useRadialMap Boolean default: false -- alias: Apply_Radial_Falloff_Map \n\
&lt;manual_secondary&gt;.circularColorMix Float default: 0.0 -- animatable; alias: Circular_Color_Mix \n\
&lt;manual_secondary&gt;.quadrant1Color Color default: (color 255 0 0) -- animatable; alias: Quadrant_1_Color \n\
&lt;manual_secondary&gt;.quadrant2Color Color default: (color 255 0 0) -- animatable; alias: Quadrant_2_Color \n\
&lt;manual_secondary&gt;.quadrant3Color Color default: (color 255 0 0) -- animatable; alias: Quadrant_3_Color \n\
&lt;manual_secondary&gt;.quadrant4Color Color default: (color 255 0 0) -- animatable; alias: Quadrant_4_Color \n\
&lt;manual_secondary&gt;.circularMtl TextureMap default: undefined -- alias: Circular_Material \n\
&lt;manual_secondary&gt;.useCircularMtl Boolean default: false -- alias: Apply_Circular_Color_Map \n\
&lt;manual_secondary&gt;.circular_falloff SubAnim \n\
&lt;manual_secondary&gt;.circularMap TextureMap default: undefined -- alias: Circular_Falloff_Map \n\
&lt;manual_secondary&gt;.useCircularMap Boolean default: false -- alias: Apply_Circular_Falloff_Map \n\
&lt;manual_secondary&gt;.radial_size SubAnim \n\
&lt;manual_secondary&gt;.radialSizeMap TextureMap default: undefined -- alias: Radial_Size_Map \n\
&lt;manual_secondary&gt;.useRadialSizeMap Boolean default: false -- alias: Apply_Radial_Size_Map \n\
&lt;manual_secondary&gt;.applyLights Boolean default: true -- alias: Apply_to_Lights \n\
&lt;manual_secondary&gt;.applyImage Boolean default: false -- alias: Apply_to_Image \n\
&lt;manual_secondary&gt;.applyImageCenters Boolean default: false -- alias: Apply_to_Image_Centers \n\
&lt;manual_secondary&gt;.sourceObjectID Boolean default: false -- alias: Source_Object_ID \n\
&lt;manual_secondary&gt;.objectID Integer default: 1 -- animatable; alias: Object_ID \n\
&lt;manual_secondary&gt;.sourceEffectsID Boolean default: false -- alias: Source_Effects_ID \n\
&lt;manual_secondary&gt;.effectsID Integer default: 0 -- animatable; alias: Effects_ID \n\
&lt;manual_secondary&gt;.sourceUnclampedColor Boolean default: false -- alias: Source_Unclamped_Color \n\
&lt;manual_secondary&gt;.unclampedColor Float default: 1.0 -- animatable; alias: Unclamped_Color \n\
&lt;manual_secondary&gt;.unclampedColorInvert Boolean default: false -- alias: Source_Unclamped_Color_Invert \n\
&lt;manual_secondary&gt;.sourceSurfaceNormal Boolean default: false -- alias: Source_Surface_Normal \n\
&lt;manual_secondary&gt;.surfaceNormal Float default: 0.0 -- animatable; alias: Surface_Normal \n\
&lt;manual_secondary&gt;.surfaceNormalInvert Boolean default: false -- alias: Source_Surface_Normal_Invert \n\
&lt;manual_secondary&gt;.sourceWhole Boolean default: false -- alias: Source_Whole \n\
&lt;manual_secondary&gt;.sourceAlpha Boolean default: false -- alias: Source_Alpha \n\
&lt;manual_secondary&gt;.alpha Integer default: 0 \n\
&lt;manual_secondary&gt;.sourceZBuffer Boolean default: false -- alias: Source_Z_Buffer \n\
&lt;manual_secondary&gt;.zHi Float default: 1000.0 -- animatable; alias: Z_Hi \n\
&lt;manual_secondary&gt;.zLo Float default: 0.0 -- animatable; alias: Z_Lo \n\
&lt;manual_secondary&gt;.filterAll Boolean default: true -- alias: Filter_All \n\
&lt;manual_secondary&gt;.filterEdge Boolean default: false -- alias: Filter_Edge \n\
&lt;manual_secondary&gt;.filterPerimeterAlpha Boolean default: false -- alias: Filter_Perimeter_Alpha \n\
&lt;manual_secondary&gt;.filterPerimeter Boolean default: false -- alias: Filter_Perimeter \n\
&lt;manual_secondary&gt;.filterBrightness Boolean default: false -- alias: Filter_Brightness \n\
&lt;manual_secondary&gt;.brightness Integer default: 0 -- animatable; alias: Bright \n\
&lt;manual_secondary&gt;.brightnessInvert Boolean default: false -- alias: Filter_Brightness_Invert \n\
&lt;manual_secondary&gt;.filterHue Boolean default: false -- alias: Filter_Hue \n\
&lt;manual_secondary&gt;.hueRange Integer default: 0 -- animatable; alias: Hue_Range \n\
&lt;manual_secondary&gt;.hue Color default: (color 255 0 0) -- animatable \n\
&lt;manual_secondary&gt;.applyNoise Boolean default: false -- alias: Apply_Additional_Effects \n\
&lt;manual_secondary&gt;.noiseMap TextureMap default: undefined -- alias: Noise_Map \n\
&lt;manual_secondary&gt;.radial_density SubAnim \n\
&lt;manual_secondary&gt;.radialDensity TextureMap default: undefined -- alias: Radial_Density_Map \n\
&lt;manual_secondary&gt;.useRadialDensity Boolean default: false -- alias: Apply_Radial_Density_Map \n\
&lt;manual_secondary.radial_falloff&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_falloff</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary.circular_falloff&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>circular_falloff</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary.radial_size&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_size</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;manual_secondary.radial_density&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_density</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<p>Note: The <span class=\'code\'>le.addMSec &lt;Lens_Effects&gt;</span> method returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed. Once the element has been added, it can be accessed as a property of the <span class=\'code\'>lens_effects</span> value. The name of this property for <span class=\'code\'>manual_secondary</span> elements is <span class=\'code\'>manual_secondary</span> . If more than one element of the same type is added, only the first is accessible using the property name. You will need to access the remaining elements as subAnims of the <span class=\'code\'>lens_effects</span> value. The subAnim names are the same as the property names. The elements start at subAnim 7.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";