var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TexOutputClass : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TexOutputClass : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"texoutputclass-material\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.invert Boolean default: false    \n\
</pre></div><p>Invert the output. Corresponds to the Invert checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.clamp Boolean default: false   \n\
</pre></div><p>Clamp the output. Corresponds to the Clamp checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.alphaFromRGB Boolean default: false \n\
</pre></div><p>Outputs alpha channel based on the RGB intensity. Corresponds to the Alpha from RGB Intensity checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.Output_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>The amount of the map being mixed into a composite material. Affects the saturation and alpha value of the map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.RGB_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>This value is added to the RGB values of the map colors, which affects the tonal value of the colors. Eventually the map becomes white and self-illuminated. Lowering the value decreases the tonal value towards black.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.RGB_Level Float default: 1.0 -- animatable \n\
</pre></div><p>The RGB values of the map colors are multiplied by this value, which affects the saturation of the color. Eventually the map becomes fully saturated and self-illuminated. Lowering the value decreases the saturation and makes the map colors grayer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.Bump_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>Adjusts the amount of bumpiness. This value has an effect only when the map is used as a bump map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.Mono_Color_Map subAnim \n\
</pre></div><p>The <span class=\'code\'>Mono_Color_Map</span> SubAnim contains the monochrome color mapping curve. You cannot create this curve in MAXScript, or access this curve unless you first turn on the Enable Color Map checkbox in the user interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output&gt;.RGB_Color_Map subAnim \n\
</pre></div><p>The <span class=\'code\'>RGB_Color_Map</span> SubAnim contains the RGB color mapping curves. You cannot create these curves in MAXScript, or access the curves unless you first turn on the Enable Color Map checkbox and select the RGB radiobutton in the user interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output.Mono_Color_Map&gt;. curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the monochrome color mapping curve points. You cannot create or access these points unless the point is animated. If a point is animated, you can access the point position using the <span class=\'code\'>.Point_X</span> property of <span class=\'code\'>curve_1</span> , where <span class=\'code\'>X</span> in the point number.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap.output.RGB_Color_Map&gt;.curve_1 SubAnim \n\
&lt;texturemap.output.RGB_Color_Map&gt;.curve_2 SubAnim \n\
&lt;texturemap.output.RGB_Color_Map&gt;.curve_3 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> , <span class=\'code\'>curve_2</span> , and <span class=\'code\'>curve_3</span> SubAnims contains the R, G, and B color mapping curve, respectively. You cannot create or access points in these curves unless the point is animated. If a point is animated, you can access the point position using the <span class=\'code\'>.Point_X</span> property of the curve, where <span class=\'code\'>X</span> in the point number.</p>\n\
<p>Note: The following properties are not accessible by MAXScript in <strong>3ds Max</strong>: Enable Color Map checkbox and the RGB/Mono radio-button.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";