var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Combustion.coordinates : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Combustion.coordinates : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"combustion.coordinates-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Combustion.coordinates - superclass: MAXObject; super-superclass:Value - 16:0 - classID: #(256, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Combustion.coordinates ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.blur Float default: 1.0 -- animatable; float \n\
</pre></div><p>Affects the sharpness or blurriness of the map based on its distance from the view. The farther away the map is, the greater the blurring. The Blur value blurs maps in world space. Blur is primarily used to avoid aliasing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.mapping Integer default: 0 \n\
&lt;Combustion.coordinates&gt;.mapChannel Integer default: 1 \n\
&lt;Combustion.coordinates&gt;.mappingType Integer default: 0 \n\
&lt;Combustion.coordinates&gt;.phase Float default: 0.0 -- animatable; float \n\
&lt;Combustion.coordinates&gt;.U_Offset Float default: 0.0 -- animatable; float \n\
</pre></div><p>Changes the position of the map in UV coordinates. The map moves in relation to its size. For example, if you want to shift the map its full width to the left, and half its width downward from its original position, you enter <strong>-1</strong> in the U Offset field and <strong>0.5</strong> in the V offset field.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.V_Offset Float default: 0.0 -- animatable; float \n\
</pre></div><p>Changes the position of the map in UV coordinates. The map moves in relation to its size. For example, if you want to shift the map its full width to the left, and half its width downward from its original position, you enter <strong>-1</strong> in the U Offset field and <strong>0.5</strong> in the V offset field.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.U_Tiling Float default: 1.0 -- animatable; float \n\
</pre></div><p>Determines the number of times the map is tiled (repeated) along each axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.V_Tiling Float default: 1.0 -- animatable; float \n\
</pre></div><p>Determines the number of times the map is tiled (repeated) along each axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.U_Angle Float default: 0.0 -- animatable; angle \n\
</pre></div><p>Rotates the map about the U, V, or W axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.V_Angle Float default: 0.0 -- animatable; angle \n\
</pre></div><p>Rotates the map about the U, V, or W axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.W_Angle Float default: 0.0 -- animatable; angle \n\
</pre></div><p>Rotates the map about the U, V, or W axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Combustion.coordinates&gt;.Noise_Amount Float default: 1.0 -- animatable; float \n\
&lt;Combustion.coordinates&gt;.Noise_Size Float default: 1.0 -- animatable; float \n\
&lt;Combustion.coordinates&gt;.Noise_Levels Integer default: 1 -- animatable; integer \n\
&lt;Combustion.coordinates&gt;.Blur_Offset Float default: 0.0 -- animatable; float \n\
</pre></div><p>Affects the sharpness or blurriness of the map without regard to its distance from the view. Blur Offset blurs the image itself in object space. Use this option when you want to soften or defocus the details in a map to achieve the effect of a blurred image.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";