var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dent : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dent : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dent-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Dent - superclass: textureMap; super-superclass:material - classID: #(536, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>dent...      \n\
dents...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.size Float default: 200.0 -- animatable \n\
</pre></div><p>Sets the relative size of dents. As the size increases, the number of dents decreases when other settings are the same.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.strength Float default: 20.0 -- animatable \n\
</pre></div><p>Higher values increase the number of dents, lower values decrease the number of dents. Decreasing Strength reduces the number of dents over a surface. At 0, the surface is smooth (no dents). Increasing Strength increases the number of dents over a surface. 100 is maximum.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.iterations Integer default: 2 -- animatable \n\
</pre></div><p>Sets the number of calculations used to create the dents.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the color of the dent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>Colors can be replaced by maps in the dent pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.map1Enabled Boolean default: true -- alias: MapOn1 \n\
</pre></div><p>Enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 \n\
</pre></div><p>Sets the second color of the dent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>Assigns second map to the dent pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.map2Enabled Boolean default: true -- alias: MapOn2 \n\
</pre></div><p>Enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Dent&gt;.coords StandardXYZGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";