var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FalloffTextureMap : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FalloffTextureMap : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fallofftexturemap-texturemap\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<p>The <span class=\'code\'>falloffTextureMap</span> class is used to convert <strong>3ds Max</strong> R2.5 falloff texture maps to the new <span class=\'code\'>Falloff</span> map in <strong>3ds Max 4 and higher</strong>. <span class=\'code\'>FalloffTextureMap</span> objects are not creatable in MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;fallofftextureMap&gt;.perpendicularValue (Perpendicular_Value) : float     \n\
</pre></div><p>The perpendicular falloff value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;fallofftextureMap&gt;.parallelValue(Parallel_Value) : float   \n\
</pre></div><p>The parallel falloff value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;fallofftextureMap&gt;.type (Falloff_Type) : integer \n\
</pre></div><p>The falloff type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;fallofftextureMap&gt;.direction: integer \n\
</pre></div><p>The falloff directiontype.</p>\n\
<div class=\'codeBlock\'><pre>&lt;fallofftextureMap&gt;.node: node \n\
</pre></div><p>The node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";