var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Normal_Bump : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Normal_Bump : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"normal_bump-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Normal_Bump - superclass: textureMap; super-superclass:material - 10:0 - classID: #(608051910, 1677107220) \n\
</pre></div><p>This texture map implements the normal bump map for applying baked normal maps.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Normal_Bump ...  \n\
GNormal ...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.bump_map UndefinedClass default: undefined-- texmap; Additional_Bump \n\
</pre></div><p>Get/Set the additional bump map texture.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.bump_spin Floatdefault: 1.0 -- animatable; float; Bump_Multiplier \n\
</pre></div><p>Get/Set the Additional Bump multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.flipgreen BooleanClass default:false -- boolean; flip_green \n\
</pre></div><p>When set to true, flips the green channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.flipred BooleanClass default: false -- boolean; flip_red \n\
</pre></div><p>When set to true, flips the red channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.map1on BooleanClassdefault: true -- boolean \n\
</pre></div><p>When set to true, enables the Normal map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.map2on BooleanClassdefault: true -- boolean \n\
</pre></div><p>When set to true, enables the Additional Bump map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.method Integerdefault: 0 -- integer; Methods \n\
</pre></div><p>Get/set the bump method.</p>\n\
<p>0 - Tangent (default)</p>\n\
<p>1 - Local XYZ</p>\n\
<p>2 - Screen</p>\n\
<p>3 - World</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.mult_spin Floatdefault: 1.0 --animatable; float; Multiplier \n\
</pre></div><p>Get/Set the Normal multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.normal_map UndefinedClass default: undefined -- texmap; Normal \n\
</pre></div><p>Get/Set the Normal map texture.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normal_Bump&gt;.swap_rg BooleanClass default: false-- boolean; swap_red_green \n\
</pre></div><p>When set to true, swaps the red and green channels.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";