var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle_Age : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle_Age : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle_age-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particle_Age - superclass: textureMap; super-superclass:material - classID: #(-1922986332, 1237051599) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>particle_age...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the color of a particle at its birth.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map1 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Sets the map used for a particle at its birth.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.age1 Float default: 0.0 -- animatable, alias: Age_1 \n\
</pre></div><p>Sets the age where a particle starts changing from <span class=\'code\'>color1</span> to <span class=\'code\'>color2</span> , expressed as a percentage of the particle’s entire life.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.color2 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Color_2 \n\
</pre></div><p>Sets the color of a particle in mid-life.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map2 TextureMap default: undefined -- alias: Map_2 \n\
</pre></div><p>Sets the map used for a particle in mid-life.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.age2 Float default: 50.0 -- animatable, alias: Age_2 \n\
</pre></div><p>Sets the age where a particle’s color equals <span class=\'code\'>color2</span> , expressed as a percentage of the particle’s entire life.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.color3 Color default: (color 255 255 255) -- animatable, alias: Color_3 \n\
</pre></div><p>Sets the color of a particle at its death.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map3 TextureMap default: undefined -- alias: Map_3 \n\
</pre></div><p>Sets the map used for a particle at its death.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.map3Enabled Boolean default: true -- alias: Map_3_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.age3 Float default: 100.0 -- animatable, alias: Age_3 \n\
</pre></div><p>Sets the age where a particle changes to <span class=\'code\'>color3</span> , expressed as a percentage of the particle’s entire life.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Age&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";