var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle_MBlur : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle_MBlur : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle_mblur-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particle_MBlur - superclass: textureMap; super-superclass:material - classID: #(-1972081691, -2129248522) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Particle_MBlur ...   \n\
particleBlur...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_MBlur&gt;.color1 Color default: (color 255 255 255) -- animatable, alias: Color_1 \n\
</pre></div><p>A particle approaches this color as it reaches its slowest speed.</p>\n\
<p>By default, this color is white to provide the opaque end of the range for an opacity map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_MBlur&gt;.color2 Color default: (color 0 0 0) -- animatable, alias: Color_2 \n\
</pre></div><p>A particle approaches this color as it speeds up.</p>\n\
<p>As a default, this color is black to provide transparency in an opacity map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_MBlur&gt;.sharp Float default: 2.0 -- animatable, alias: Sharpness \n\
</pre></div><p>Controls the transparency, relative to the speed.</p>\n\
<p>If Sharpness is set to 0, the entire particle is blurry and transparent, no matter how slow it is traveling.</p>\n\
<p>The default works well in many cases.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";