var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Perlin_Marble : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Perlin_Marble : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"perlin_marble-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Perlin_Marble - superclass: textureMap; super-superclass:material - classID: #(598543081, 361593480) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Perlin_Marble ...    \n\
perlinMarble...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.size Float default: 50.0 -- animatable \n\
</pre></div><p>Sets the size of the marble pattern. Change this to change the scale of marble, relative to the object’s geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.level Float default: 8.0 -- animatable, alias: Levels \n\
</pre></div><p>Sets the number of times the turbulence algorithm is applied. Can range from 1.0 to 10.0. The higher the value, the more complicated the marble pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.color1 Color default: (color 189.975 189.975 160.65) -- animatable, alias: Color_1 \n\
</pre></div><p>The first color used in the marble.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.saturation1 Float default: 85.0 -- animatable, alias: Color_1_Saturation \n\
</pre></div><p>Controls the saturation of the color in the map, without altering the color displayed in the color swatch. Lower values darken the color, and higher values lighten it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>Map used in place of <span class=\'code\'>color1</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.map1Enabled Boolean default: true -- alias: EnableMap1 \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.color2 Color default: (color 59.925 89.25 59.925) -- animatable, alias: Color_2 \n\
</pre></div><p>The second color used in the marble.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.saturation2 Float default: 70.0 -- animatable, alias: Color_2_Saturation \n\
</pre></div><p>Controls the saturation of the color in the map, without altering the color displayed in the color swatch. Lower values darken the color, and higher values lighten it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>Map used in place of <span class=\'code\'>color2</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.map2Enabled Boolean default: true -- alias: EnableMap2 \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Perlin_Marble&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";