var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Smoke : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Smoke : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"smoke-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Smoke - superclass: textureMap; super-superclass:material - classID: #(176447100, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Smoke...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.size Float default: 40.0 -- animatable \n\
</pre></div><p>Changes the scale of the smoke &quot;clumps&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.iterations Integer default: 5 -- animatable \n\
</pre></div><p>Sets the number of times the fractal function is applied. The higher the value, the more detail within the smoke, but the longer the calculation time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Shifts the turbulence within the smoke pattern. Animate this parameter to animate the movement of the smoke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.exponent Float default: 1.5 -- animatable \n\
</pre></div><p>Makes <span class=\'code\'>color2</span> , representing the smoke, sharper and more wispy. As this value increases, the smoke &quot;tendrils&quot; become smaller within the pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>The smokeless portion of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>The map used for the smokeless portion of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.map1On Boolean default: true -- alias: Map1_On \n\
</pre></div><p>Enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.color2 Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_2 \n\
</pre></div><p>The color of the smoke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>The map used for the smoke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.map2On Boolean default: true -- alias: Map2_On \n\
</pre></div><p>Enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Smoke&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";