var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Stucco : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Stucco : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"stucco-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Stucco - superclass: textureMap; super-superclass:material - classID: #(154218430, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Stucco...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.size Float default: 20.0 -- animatable \n\
</pre></div><p>Adjusts the size of the indentations. Use this to make the scale of the stucco match your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.thickness Float default: 0.15 -- animatable \n\
</pre></div><p>Blurs the border between the two colors.</p>\n\
<p>At 0, the borders are sharp.</p>\n\
<p>The higher the Thickness, the more the borders are blurred and the less distinct the indentations are.</p>\n\
<p>When you use Stucco as a bump map, the indentations are very faint at 0.5 and disappear at values not much greater.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.threshold Float default: 0.57 -- animatable \n\
</pre></div><p>Determines how much of <span class=\'code\'>color1</span> is mixed with <span class=\'code\'>color2</span> . At 0, only <span class=\'code\'>color1</span> is displayed; at 1, only <span class=\'code\'>color2</span> is displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>The color of the indentations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>The map used as the color of the indentations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.map1On Boolean default: true -- alias: Map1_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.color2 Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_2 \n\
</pre></div><p>The background stucco color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>The map used as the background stucco color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.map2On Boolean default: true -- alias: Map2_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stucco&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";