var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Fix_Ambient : UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Fix_Ambient : UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fix_ambient-utilityplugin\"></a></div>\n\
<p><strong>Fix_Ambient</strong> is a Utility Plug-in providing means to fix Ambient Color values in materials by locking them to the Diffuse Color for use in Radiosity calculations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Alias:</strong></p>\n\
<div class=\'codeBlock\'><pre>FixAmbient \n\
</pre></div><div class=\'section\'><a id=\"fix_ambient-interfaces\"></a><h2 id=\"fix_ambient-interfaces\">Fix_Ambient Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: fixAmbientColors \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixAll prompt:&lt;boolean&gt; \n\
prompt default value: true \n\
</pre></div><p>Fixes all scene materials by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <span class=\'code\'>False</span> , the changes are performed immediately. When set to <span class=\'code\'>True</span> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixSelected prompt:&lt;boolean&gt; \n\
prompt default value: true \n\
</pre></div><p>Fixes the materials of the selected objects by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <span class=\'code\'>False</span> , the changes are performed immediately. When set to <span class=\'code\'>True</span> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;findAll &lt;&amp;material array&gt;mtlsFound \n\
mtlsFound is Out parameter \n\
</pre></div><p>Finds all scene materials requiring fixing. Returns the materials in the by-reference array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;findSelected &lt;&amp;material array&gt;mtlsFound \n\
mtlsFound is Out parameter \n\
</pre></div><p>Finds materials of selected objects requiring fixing. Returns the materials in the by-reference array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;find &lt;node array&gt;objects &lt;&amp;material array&gt;mtlsFound\n\
       mtlsFound is Out parameter\n\
</pre></div><p>Finds materials of supplied objects requiring fixing. Returns the materials in the by-reference array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;findMaterials &lt;material array&gt;mtls &lt;&amp;material array&gt;mtlsFound\n\
       mtlsFound is Out parameter\n\
</pre></div><p>Finds the materials from the supplied materials list requiring fixing. Returns the materials in the by-reference array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fix &lt;material array&gt;mtls prompt:&lt;boolean&gt;\n\
       prompt default value: true\n\
</pre></div><p>Fixes the materials from the supplied list of materials by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <span class=\'code\'>False</span> , the changes are performed immediately. When set to <span class=\'code\'>True</span> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>Interface: FixAmbientActions \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixAmbientAll () -- Action Interface \n\
</pre></div><p>Fixes all ambient colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixAmbientSelected () -- Action Interface \n\
</pre></div><p>Fixes ambient colors of only selected nodes.</p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: Fix_Ambient_Actions; Action: Fix_Ambient_All; Shortcut: -- none defined --Category: Fix_Ambient_Actions; Action: Fix_Ambient_Selected; Shortcut: -- none defined --\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";