var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GameExporter: UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GameExporter: UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gameexporter-utilityplugin\"></a></div>\n\
<p>Exposes the GameExporter Utility to MAXScript, providing methods to open the dialog and test whether it is currently displayed. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Usage</strong>:</p>\n\
<p>To display the GameExporter Utility in the Utility tab of the Command Panel, you can use:</p>\n\
<div class=\'codeBlock\'><pre>UtilityPanel.OpenUtility GameExporter\n\
</pre></div><p><strong>Related Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GameExporterOpenDialog()\n\
</pre></div><p>Opens the Game Exporter dialog.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GameExporterShown()\n\
</pre></div><p>Returns True if the Game Exporter dialog is shown, False otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";