var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ViewportManagerCustAttrib : CustAttrib</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ViewportManagerCustAttrib : CustAttrib</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"viewportmanagercustattrib-custattrib\"></a></div>\n\
<div class=\'codeBlock\'><pre>ViewportManagerCustAttrib - superclass: CustAttrib; super-superclass:MAXWrapper - 4:0 - classID: #(1510353212, 809634846) \n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ViewportManagerCustAttrib&gt;.effect Integer default: 0 -- integer; EffectList   \n\
&lt;ViewportManagerCustAttrib&gt;.enabled Boolean default: false -- Boolean \n\
&lt;ViewportManagerCustAttrib&gt;.dxStdMat BooleanClass default: false -- Boolean \n\
</pre></div><p>Get/set the status of the DirectX Standard Material display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ViewportManagerCustAttrib&gt;.SaveFXFile UndefinedClass default: undefined -- filename; \n\
</pre></div><p>Get/set the file name of the FX file.</p>\n\
<p><strong>ViewportManagerCustAttrib Interface:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: viewportmanager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumViewportEffects () \n\
</pre></div><p>Returns the number of available viewport effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getActiveViewportEffect () \n\
</pre></div><p>Returns the active viewport effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;setViewportEffect &lt;integer&gt;effectindex \n\
</pre></div><p>Sets the indexed viewport effect as the active effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getViewportEffectName &lt;integer&gt;effectindex \n\
</pre></div><p>Returns the name of the indexed viewport effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;activateEffect &lt;material&gt;material &lt;boolean&gt;state \n\
</pre></div><p>Enables/Disables the viewport effect for the specified material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isDxStdMatEnabled () \n\
</pre></div><p>Returns true if the DirectX Standard Material display is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;activateDxStdMat &lt;boolean&gt;active \n\
</pre></div><p>When the parameter is true, enables the DirectX Standard Material display in the viewports, when false, disables it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;saveFXFile &lt;filename&gt;filename \n\
</pre></div><p>Saves the DirectX Shader to the supplied FX file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getActiveEffectName () \n\
</pre></div><p>Returns the name of the active effect as string.</p>\n\
<p><strong>ViewportManagerCustAttrib Interface:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: SaveEffectFile \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SaveAsFXFile () -- Action Interface \n\
&lt;boolean&gt;DXDisplay () -- Action Interface \n\
</pre></div><p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: DirectX_Manager; Action: Save_as__FX_File; Shortcut: -- none defined --Category: DirectX_Manager; Action: DX_Display; Shortcut: -- none defined --\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";