var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do texture coordinates work?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do texture coordinates work?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-texture-coordinates-work\"></a></div>\n\
<div class=\'section\'><a id=\"is-there-a-one-to-one-relationship-to-mesh-vertices\"></a><h2 id=\"is-there-a-one-to-one-relationship-to-mesh-vertices\">Is there a one-to-one relationship to mesh vertices?</h2></div>\n\
<p>Mapping coordinates (UVW coordinates and the related vertex colors) in <strong>3ds Max</strong> are stored in Texture Vertices resp. Color Vertices which can have a completely different count from the mesh vertex count. Understanding the relationships between texture coordinates and the mesh they are applied to is crucial.</p>\n\
<p>The following chapter explains the way texture coordinates work inside of <strong>3ds Max</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\' title=\'\'>Understanding Texture Coordinates</a></p>\n\
<p>The following topics provide information about accessing and manipulating texture coordinates and vertex color data.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Texture-Vertex-Methods.html\' title=\'\'>Mesh Texture Vertex Methods</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Color-Per-Vertex-Methods.html\' title=\'\'>Mesh Color-Per-Vertex Methods</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\' title=\'\'>General Meshop Mapping Methods</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW : Modifier</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";