var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I set the default path for file operations in MAXScript?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I set the default path for file operations in MAXScript?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-set-the-default-path-for-file-operations-in-maxscript\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>When calling functions that read or write files without specifying the path, MAXScript seems to use some sort of current directory. How can I specify it myself?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The <span class=\'code\'>sysinfo.currentdir</span> global variable shows the current directory where MAXScript will look for files when no explicit path is specified.</p>\n\
<p>Because this variable can not only be read but also set, you can specify a current directory by assigning to the <span class=\'code\'>sysinfo.currentdir</span> global variable.</p>\n\
<p>See <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'>System Information</a> for more details and examples.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";