var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What is a Mixin Interface?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What is a Mixin Interface?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-is-a-mixin-interface\"></a></div>\n\
<p>A <strong>Mixin Interface</strong> provides a way for a plug-in to expose some of its functionality for use by other plug-ins or MAXScript.</p>\n\
<p>The notion of &quot;Mixin&quot; refers to the idea that <strong>the interface is a sub-class of the plug-in class</strong> and thus <strong>&quot;mixed in&quot;</strong> with it.</p>\n\
<p>There are two ways to access methods of a Mixin Interface:</p>\n\
<ul>\n\
<li>As a stand-alone interface. This method is usually much faster to execute. In this case, the object to operate on MUST be provided as the first argument, like in <span class=\'code\'>someInterface.someMethod $MyObject01 1 2</span></li>\n\
<li>As an interface of a particular object, like in <span class=\'code\'>$MyObject01.someInterface.someMethod 1 2</span></li>\n\
</ul>\n\
<p>When using the second approach, properties and methods exposed by a Mixin Interface can be accessed directly as properties and methods of the object exposing the Interface without explicitly providing the name of the Interface, like in <span class=\'code\'>$MyObject01.someMethod 1 2</span></p>\n\
<p>MAXScript will search for the property or name in the object itself and in all its interfaces. If multiple interfaces of an object expose properties or methods with identical names, specifying the Interface explicitly will resolve such naming collisions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";