var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I batch-process multiple .MAX files?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I batch-process multiple .MAX files?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-batch-process-multiple-.max-files\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I am looking for an easy way to do this. I have got 100 max scene files and I need to scale or move an object in each file. Is there a command to tell 3dsmax to open each file, modify that object, and then save the file again?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Following is the basic code needed to select a path, collect all max files in the specified directory, open each one, and then save it again. You can include your own code in the space between the loading and the saving.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` thePath = getSavePath()--get a path dialog to specify the path if thePath != undefined do--if the user did not cancel ( theFiles = getFiles (thePath+&quot;\\*.max&quot;) --collect all max files in the dir. for f in theFiles do-- go through all of them ( loadMaxFile f--load the next file</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- MAKE SOME SCRIPTED CHANGES TO THE SCENE HERE...</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>  saveMaxFile f --save the file back to disk\n\
)--end f loop\n\
resetMaxFile #noPrompt --at the end, you can reset\n\
</pre></div><p>)--end if</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";