var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I create a line between two points?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I create a line between two points?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-create-a-line-between-two-points\"></a></div>\n\
<p>In order to create a simple line between two points, you have to perform the following steps:</p>\n\
<ul>\n\
<li><p>Create a new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\' title=\'\'>SplineShape</a> object, position at the first point.</p></li>\n\
<li><p>Add a new Spline to the new object.</p></li>\n\
<li><p>Add a new corner Knot at the first position.</p></li>\n\
<li><p>Add a new corner Knot at the second position. Tell both knots to define a linear segment.</p></li>\n\
<li><p>Update the SplineShape to reflect the changes.</p></li>\n\
<li><p>Return the SplineShape as the result.</p></li>\n\
</ul>\n\
<p>Here is the complete function implementing these steps:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn drawLineBetweenTwoPoints pointA pointB = ( ss = SplineShape pos:pointA addNewSpline ss addKnot ss 1 #corner #line PointA addKnot ss 1 #corner #line PointB updateShape ss ss ) newSpline = drawLineBetweenTwoPoints [10,20,30] [100,200,10]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";