var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I display a value in a Rollout?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I display a value in a Rollout?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-display-a-value-in-a-rollout\"></a></div>\n\
<p>The following script is a test bed for value display in different User Interface elements. It is intended to show how to update UI properties to give feedback to the user.</p>\n\
<p>Copy the code into a new Script Editor, press Ctrl+E to evaluate and press the &quot;Generate New RANDOM Value&quot; multiple times to see different methods to display the value in the Rollout.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` rollout test_digits &quot;Display Values&quot; ( group &quot;Display&quot; ( spinner spinner_item &quot;The Value:&quot; range:[0,1000,0] align:#center fieldwidth:50 edittext edit_text_item &quot;The Value:&quot; text:&quot;&quot;width:100 align:#center button button_item &quot;No Value&quot; width:100 align:#center label label_item &quot;No Value&quot; align:#center progressbar progress_bar_item height:10 width:180 color:(color 255 100 100) orient:#horizontal listbox list_box_item items:#() ) button start_test &quot;Generate New RANDOM Value...&quot; progressbar progress_bar2_item height:90 width:10 color:(color 255 100 100) orient:#vertical pos:[12,20]</p>\n\
<div class=\'codeBlock\'><pre>on start_test pressed do\n\
(\n\
  minValue = 0\n\
  maxValue = 100\n\
  theValue = random minValue maxValue\n\
  sliderTime = theValue\n\
\n\
  spinner_item.value = theValue\n\
  edit_text_item.text = theValue as string\n\
  button_item.text = theValue as string\n\
  label_item.text = theValue as string\n\
  progress_bar_item.value = 100.0*theValue/maxValue\n\
  progress_bar_item.color = color (255.0*theValue/maxValue) 128 0\n\
  progress_bar2_item.value = 100.0*theValue/maxValue\n\
  list_box_item.items = append list_box_item.items (&quot;Value is now &quot;+theValue as string)\n\
  list_box_item.selection = list_box_item.items.count\n\
)--end on\n\
</pre></div><p>)--end rollout createDialog test_digits 200 300</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";