var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Disable Viewport Redraws when making changes to scene objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Disable Viewport Redraws when making changes to scene objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"disable-viewport-redraws-when-making-changes-to-scene-objects\"></a></div>\n\
<p>When an object is being changed via MAXScript, <strong>3ds Max</strong> will try to update the changes in the viewports as soon as possible. When the changes are many and done quickly in a loop, redraws should be disabled until all changes have been done.</p>\n\
<p>You can use the <strong><span class=\'code\'>with redraw off()</span> context or a pair of <span class=\'code\'>disableSceneRedraw()</span> and <span class=\'code\'>enableSceneRedraw()</span></strong> calls to speed up you code. The former method is the preferred one.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\' title=\'\'>redraw Context</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\' title=\'\'>Refreshing the Viewports</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Undo-system-when.html\' title=\'\'>Disable Undo system when possible</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";