var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Modify Panel can be slow - change to Create Panel when possible</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Modify Panel can be slow - change to Create Panel when possible</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modify-panel-can-be-slow---change-to-create-panel-when-possible\"></a></div>\n\
<p>Some operations on scene objects will reevaluate the modifier stack and also force an update of the Command Panel UI. Even if the viewport redraws are suppressed, the Modify Panel might be forced to redraw. When the modifier stack is not needed by the script (for example for setting Sub-Object levels etc.), it is a good idea to switch to the Create Panel during execution of the script using the <strong>max create mode</strong> command.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\' title=\'\'>MAX Commands</a></p>\n\
<p>In <strong>3ds Max 7 and higher</strong>, you can also completely disable Modify Panel updates using the <span class=\'code\'>suspendEditing()</span> and <span class=\'code\'>resumeEditing()</span> methods:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Command-Panels-1.html\' title=\'\'>Command Panels</a></p>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Undo-system-when.html\' title=\'\'>Disable Undo system when possible</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-the-flagForeground-node.html\' title=\'\'>Use the &#39;flagForeground&#39; node viewport state method</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";