var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Try not to use Execute function if there is an alternative</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Try not to use Execute function if there is an alternative</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"try-not-to-use-execute-function-if-there-is-an-alternative\"></a></div>\n\
<p>Very few cases require the use of the execute function.</p>\n\
<p>MAXScript has many introspection methods and properties:</p>\n\
<ul>\n\
<li><p><span class=\'code\'>getPropNames &lt;maxobject&gt;</span></p></li>\n\
<li><p><span class=\'code\'>getProperty &lt;maxobject&gt; &lt;prop&gt;</span></p></li>\n\
<li><p><span class=\'code\'>setProperty &lt;maxobject&gt; &lt;prop&gt; &lt;val&gt;</span></p></li>\n\
<li><p><span class=\'code\'>isProperty &lt;maxobject&gt; &lt;prop&gt;</span></p></li>\n\
<li><p><span class=\'code\'>getInterfaces &lt;maxobject&gt;</span></p></li>\n\
<li><p><span class=\'code\'>&lt;maxobject&gt;.custattributes</span></p></li>\n\
<li><p><span class=\'code\'>&lt;rollout&gt;.controls</span></p></li>\n\
<li><p><span class=\'code\'>getNodeByName &lt;string&gt;</span></p></li>\n\
</ul>\n\
<p>Valid cases are:</p>\n\
<ul>\n\
<li><p>Dynamic Rollout creation</p></li>\n\
<li><p>Dynamic scripted CA creation</p></li>\n\
</ul>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-name-values-instead-of.html\' title=\'\'>Use name values instead of strings when possible</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\' title=\'\'>For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";