var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Registering Windows SystemEvents Callbacks Using DotNet</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Registering Windows SystemEvents Callbacks Using DotNet</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"registering-windows-systemevents-callbacks-using-dotnet\"></a></div>\n\
<p>The following example demonstrates how to register a MAXScript event handler that will react when Windows System settings are being changed.</p>\n\
<blockquote>\n\
<p><strong>CODE:</strong></p>\n\
<p>``` --First we need the SystemEvents DotNet Class: c = dotNetClass &quot;Microsoft.Win32.SystemEvents&quot; --&gt;dotNetClass:Microsoft.Win32.SystemEvents --Then we get a list of all available events: showevents c --&gt;[static] DisplaySettingsChanged <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] DisplaySettingsChanging <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] EventsThreadShutdown <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] InstalledFontsChanged <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] LowMemory <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] PaletteChanged <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] PowerModeChanged <system.object>sender <microsoft.win32.powermodechangedeventargs>e = ( ... ) --&gt;[static] SessionEnded <system.object>sender <microsoft.win32.sessionendedeventargs>e = ( ... ) --&gt;[static] SessionEnding <system.object>sender <microsoft.win32.sessionendingeventargs>e = ( ... ) --&gt;[static] SessionSwitch <system.object>sender <microsoft.win32.sessionswitcheventargs>e = ( ... ) --&gt;[static] TimeChanged <system.object>sender <system.eventargs>e = ( ... ) --&gt;[static] TimerElapsed <system.object>sender <microsoft.win32.timerelapsedeventargs>e = ( ... ) --&gt;[static] UserPreferenceChanged <system.object>sender <microsoft.win32.userpreferencechangedeventargs>e = ( ... ) --&gt;[static] UserPreferenceChanging <system.object>sender <microsoft.win32.userpreferencechangingeventargs>e = ( ... ) --&gt;true --We define a global function to be called by the event handler: fn TimeChanged a1 a2 = format &quot;TimeChanged callback: % : %\\n&quot; a1 a2 --&gt;TimeChanged() --Finally we add the Event Handler for the event &quot;TimeChanged&quot;: dotnet.addeventhandler c &quot;TimeChanged&quot; TimeChanged --&gt;OK<p>\n\
<p>```</p>\n\
</microsoft.win32.userpreferencechangingeventargs></system.object></microsoft.win32.userpreferencechangedeventargs></system.object></microsoft.win32.timerelapsedeventargs></system.object></system.eventargs></system.object></microsoft.win32.sessionswitcheventargs></system.object></microsoft.win32.sessionendingeventargs></system.object></microsoft.win32.sessionendedeventargs></system.object></microsoft.win32.powermodechangedeventargs></system.object></system.eventargs></system.object></system.eventargs></system.object></system.eventargs></system.object></system.eventargs></system.object></system.eventargs></system.object></system.eventargs></system.object></blockquote>\n\
<p>Now, if you open the Date and Time properties of MS Windows, change the seconds only (to avoid problems with your <strong>3ds Max</strong> license, do not change the date too much) and apply the changes. The MAXScript function we registered will be called and will print in the Listener:</p>\n\
<div class=\'codeBlock\'><pre>TimeChanged callback: dotNetObject:Microsoft.Win32.SystemEvents : dotNetObject:System.EventArgs\n\
\n\
</pre></div><p>As you can see from the events list, you can register event handlers to be notified when display settings are being changed, the palette or fonts are changing, and so on.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";