var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxCustomControls.ExplorerControl dotNetObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxCustomControls.ExplorerControl dotNetObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxcustomcontrols.explorercontrol-dotnetobject\"></a></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>This dotNetObject is implemented by the MaxCustomControls Assembly and provides the DotNet control used by the 3ds Max Scene Explorer.</p>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.ExplorerControl&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.ExplorerControl() MaxCustomControls.ExplorerControl &lt;System.String&gt;aName &lt;ExplorerFramework.DataFacade&gt;aDataSource\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only\n\
.AccessibleDefaultActionDescription : &lt;System.String&gt;\n\
.AccessibleDescription : &lt;System.String&gt;\n\
.AccessibleName : &lt;System.String&gt;\n\
.AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;\n\
.ActiveControl : &lt;System.Windows.Forms.Control&gt;\n\
.AllowDrop : &lt;System.Boolean&gt;\n\
.Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;\n\
.AutoScaleDimensions : &lt;System.Drawing.SizeF&gt;\n\
.AutoScaleMode : &lt;System.Windows.Forms.AutoScaleMode&gt;\n\
.AutoScroll : &lt;System.Boolean&gt;\n\
.AutoScrollMargin : &lt;System.Drawing.Size&gt;\n\
.AutoScrollMinSize : &lt;System.Drawing.Size&gt;\n\
.AutoScrollOffset : &lt;System.Drawing.Point&gt;\n\
.AutoScrollPosition : &lt;System.Drawing.Point&gt;\n\
.AutoSize : &lt;System.Boolean&gt;\n\
.AutoSizeMode : &lt;System.Windows.Forms.AutoSizeMode&gt;\n\
.AutoValidate : &lt;System.Windows.Forms.AutoValidate&gt;\n\
.BackColor : &lt;System.Drawing.Color&gt;\n\
.BackgroundCommandRunner : &lt;ExplorerFramework.BackgroundCommandRunner&gt;, read-only\n\
.BackgroundImage : &lt;System.Drawing.Image&gt;\n\
.BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;\n\
.BindingContext : &lt;System.Windows.Forms.BindingContext&gt;\n\
.BorderStyle : &lt;System.Windows.Forms.BorderStyle&gt;\n\
.Bottom : &lt;System.Int32&gt;, read-only\n\
.Bounds : &lt;System.Drawing.Rectangle&gt;\n\
.CanFocus : &lt;System.Boolean&gt;, read-only\n\
.CanSelect : &lt;System.Boolean&gt;, read-only\n\
.Capture : &lt;System.Boolean&gt;\n\
.CausesValidation : &lt;System.Boolean&gt;\n\
.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.ClientSize : &lt;System.Drawing.Size&gt;\n\
.CompanyName : &lt;System.String&gt;, read-only\n\
.Container : &lt;System.ComponentModel.IContainer&gt;, read-only\n\
.ContainsFocus : &lt;System.Boolean&gt;, read-only\n\
.ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt;\n\
.ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
.Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only\n\
.Created : &lt;System.Boolean&gt;, read-only\n\
.CurrentAutoScaleDimensions : &lt;System.Drawing.SizeF&gt;, read-only\n\
.Cursor : &lt;System.Windows.Forms.Cursor&gt;\n\
.DataBindings : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only\n\
.DataFacade : &lt;ExplorerFramework.DataFacade&gt;, read-only\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DisplayRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.Disposing : &lt;System.Boolean&gt;, read-only\n\
.Dock : &lt;System.Windows.Forms.DockStyle&gt;\n\
.DockPadding : &lt;System.Windows.Forms.ScrollableControl+DockPaddingEdges&gt;, read-only\n\
.DragAndDropEnabled : &lt;System.Boolean&gt;\n\
.EditingEnabled : &lt;System.Boolean&gt;\n\
.Enabled : &lt;System.Boolean&gt;\n\
.ExplorerName : &lt;System.String&gt;, read-only\n\
.ExplorerTreeListSize : &lt;System.Drawing.Size&gt;, read-only\n\
.FindHandler : &lt;MaxCustomControls.QuickRegexFindHandler&gt;\n\
.Focused : &lt;System.Boolean&gt;, read-only\n\
.FocusedNode : &lt;ExplorerFramework.TraversalNode&gt;, read-only\n\
.Font : &lt;System.Drawing.Font&gt;\n\
.ForeColor : &lt;System.Drawing.Color&gt;\n\
.Handle : &lt;System.IntPtr&gt;, read-only\n\
.HasChildren : &lt;System.Boolean&gt;, read-only\n\
.Height : &lt;System.Int32&gt;\n\
.HorizontalScroll : &lt;System.Windows.Forms.HScrollProperties&gt;, read-only\n\
.ImeMode : &lt;System.Windows.Forms.ImeMode&gt;\n\
.InstanceName : &lt;System.String&gt;\n\
.InstanceSelector : &lt;System.Windows.Forms.ToolStripComboBox&gt;, read-only\n\
.InstanceSelectorVisible : &lt;System.Boolean&gt;\n\
.InvokeRequired : &lt;System.Boolean&gt;, read-only\n\
.IsAccessible : &lt;System.Boolean&gt;\n\
.IsDisposed : &lt;System.Boolean&gt;, read-only\n\
.IsHandleCreated : &lt;System.Boolean&gt;, read-only\n\
.IsMirrored : &lt;System.Boolean&gt;, read-only\n\
.LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only\n\
.Left : &lt;System.Int32&gt;\n\
.Location : &lt;System.Drawing.Point&gt;\n\
.LockButtonVisible : &lt;System.Boolean&gt;\n\
.Margin : &lt;System.Windows.Forms.Padding&gt;\n\
.MaximumSize : &lt;System.Drawing.Size&gt;\n\
.MinimumSize : &lt;System.Drawing.Size&gt;\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
.MultipleSelectionEnabled : &lt;System.Boolean&gt;\n\
.Name : &lt;System.String&gt;\n\
.Padding : &lt;System.Windows.Forms.Padding&gt;\n\
.Parent : &lt;System.Windows.Forms.Control&gt;\n\
.ParentForm : &lt;System.Windows.Forms.Form&gt;, read-only\n\
.PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
.ProductName : &lt;System.String&gt;, read-only\n\
.ProductVersion : &lt;System.String&gt;, read-only\n\
.RecreatingHandle : &lt;System.Boolean&gt;, read-only\n\
.Region : &lt;System.Drawing.Region&gt;\n\
.Right : &lt;System.Int32&gt;, read-only\n\
.RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
.RowIconProperty : &lt;ExplorerFramework.IconPropertyReader&gt;\n\
.SelectChildren : &lt;System.Boolean&gt;\n\
.ShowHierarchy : &lt;System.Boolean&gt;\n\
.Site : &lt;System.ComponentModel.ISite&gt;\n\
.Size : &lt;System.Drawing.Size&gt;\n\
.TabIndex : &lt;System.Int32&gt;\n\
.TabStop : &lt;System.Boolean&gt;\n\
.Tag : &lt;System.Object&gt;\n\
.Text : &lt;System.String&gt;\n\
.Top : &lt;System.Int32&gt;\n\
.TopLevelControl : &lt;System.Windows.Forms.Control&gt;, read-only\n\
.TreeListContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
.UseWaitCursor : &lt;System.Boolean&gt;\n\
.VerticalScroll : &lt;System.Windows.Forms.VScrollProperties&gt;, read-only\n\
.Visible : &lt;System.Boolean&gt;\n\
.Width : &lt;System.Int32&gt;\n\
.WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.&lt;MaxCustomControls.CommandSystem.CommandMenuItem&gt;AddContextMenuCommand &lt;ExplorerFramework.Command&gt;command\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.BringToFront()\n\
 .&lt;MaxCustomControls.ExplorerTreeListHitInfo&gt;CalcExplorerTreeListHitInfo &lt;System.Drawing.Point&gt;position\n\
.ClearNodeSelection()\n\
.&lt;System.Boolean&gt;Contains &lt;System.Windows.Forms.Control&gt;ctl\n\
.CreateControl()\n\
 .&lt;System.Drawing.Graphics&gt;CreateGraphics()\n\
.&lt;System.Runtime.Remoting.ObjRef&gt;CreateObjRef &lt;System.Type&gt;requestedType\n\
.DeselectNode &lt;ExplorerFramework.TraversalNode&gt;node\n\
.DeselectNodes &lt;System.Collections.Generic.IEnumerable`1[[ExplorerFramework.TraversalNode, ExplorerFramework, Version=1.0.3631.6883, Culture=neutral, PublicKeyToken=null]]&gt;nodeList\n\
.Dispose()\n\
 .&lt;System.Windows.Forms.DragDropEffects&gt;DoDragDrop &lt;System.Object&gt;data &lt;System.Windows.Forms.DragDropEffects&gt;allowedEffects\n\
.DrawToBitmap &lt;System.Drawing.Bitmap&gt;bitmap &lt;System.Drawing.Rectangle&gt;targetBounds\n\
.&lt;System.Object&gt;EndInvoke &lt;System.IAsyncResult&gt;asyncResult\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Windows.Forms.Form&gt;FindForm()\n\
.&lt;System.Boolean&gt;Focus()\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt &lt;System.Windows.Forms.GetChildAtPointSkip&gt;skipValue\n\
 .&lt;System.Windows.Forms.IContainerControl&gt;GetContainerControl()\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Object&gt;GetLifetimeService()\n\
.&lt;System.Windows.Forms.Control&gt;GetNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward\n\
.&lt;System.Drawing.Size&gt;GetPreferredSize &lt;System.Drawing.Size&gt;proposedSize\n\
.&lt;System.Int32&gt;GetSelectedNodeCount()\n\
 .&lt;ExplorerFramework.TraversalNode[]&gt;GetSelectedNodes()\n\
.&lt;System.Type&gt;GetType()\n\
.HandleListChanged &lt;System.Object&gt;sender &lt;System.ComponentModel.ListChangedEventArgs&gt;e\n\
.Hide()\n\
 .&lt;System.Object&gt;InitializeLifetimeService()\n\
.Invalidate()\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc\n\
.Invalidate &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Region&gt;region\n\
.Invalidate &lt;System.Drawing.Region&gt;region &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc &lt;System.Boolean&gt;invalidateChildren\n\
.InvertSelection()\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.&lt;System.Boolean&gt;IsNodeSelected &lt;ExplorerFramework.TraversalNode&gt;node\n\
.LaunchColumnCustomization()\n\
.&lt;System.Boolean&gt;LoadState &lt;MaxCustomControls.ICustomizationState&gt;iState\n\
.PerformAutoScale()\n\
.PerformLayout()\n\
.PerformLayout &lt;System.Windows.Forms.Control&gt;affectedControl &lt;System.String&gt;affectedProperty\n\
.&lt;System.Drawing.Point&gt;PointToClient &lt;System.Drawing.Point&gt;p\n\
.&lt;System.Drawing.Point&gt;PointToScreen &lt;System.Drawing.Point&gt;p\n\
 .&lt;System.Windows.Forms.PreProcessControlState&gt;PreProcessControlMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.&lt;System.Boolean&gt;PreProcessMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.RaiseRoutedKeyEvent &lt;CSharpUtilities.RoutedKeyEventArgs&gt;e\n\
.RaiseSelectOptionsChanged()\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToClient &lt;System.Drawing.Rectangle&gt;r\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToScreen &lt;System.Drawing.Rectangle&gt;r\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.Refresh()\n\
.RequestNameChanged &lt;System.String&gt;previousName &lt;System.String&gt;newName\n\
.&lt;System.Boolean&gt;RequestNameChanging &lt;System.String&gt;previousName &lt;System.String&gt;newName\n\
.RequestViewModified()\n\
.ResetBackColor()\n\
.ResetBindings()\n\
.ResetCursor()\n\
.ResetFont()\n\
.ResetForeColor()\n\
.ResetImeMode()\n\
.ResetRightToLeft()\n\
.ResetText()\n\
.ResumeLayout()\n\
.ResumeLayout &lt;System.Boolean&gt;performLayout\n\
.RevealNodes &lt;System.Collections.Generic.IEnumerable`1[[ExplorerFramework.TraversalNode, ExplorerFramework, Version=1.0.3631.6883, Culture=neutral, PublicKeyToken=null]]&gt;nodeList\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;SaveState()\n\
.Scale &lt;System.Drawing.SizeF&gt;factor\n\
.Scale &lt;System.Single&gt;ratio\n\
.Scale &lt;System.Single&gt;dx &lt;System.Single&gt;dy\n\
.ScrollControlIntoView &lt;System.Windows.Forms.Control&gt;activeControl\n\
.ScrollTreeList &lt;System.Int32&gt;rowCount\n\
.Select()\n\
.SelectAll()\n\
.&lt;System.Boolean&gt;SelectNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward &lt;System.Boolean&gt;tabStopOnly &lt;System.Boolean&gt;nested &lt;System.Boolean&gt;wrap\n\
.SelectNode &lt;ExplorerFramework.TraversalNode&gt;node\n\
.SelectNodes &lt;System.Collections.Generic.IEnumerable`1[[ExplorerFramework.TraversalNode, ExplorerFramework, Version=1.0.3631.6883, Culture=neutral, PublicKeyToken=null]]&gt;nodeList\n\
.SendToBack()\n\
.SetAutoScrollMargin &lt;System.Int32&gt;x &lt;System.Int32&gt;y\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height &lt;System.Windows.Forms.BoundsSpecified&gt;specified\n\
.SetControlName &lt;System.String&gt;aName\n\
.SetFocusToFindField()\n\
.SetSelectedNodes &lt;System.Collections.Generic.IEnumerable`1[[ExplorerFramework.TraversalNode, ExplorerFramework, Version=1.0.3631.6883, Culture=neutral, PublicKeyToken=null]]&gt;nodeList\n\
.Show()\n\
.SuspendLayout()\n\
.&lt;System.String&gt;ToString()\n\
.Update()\n\
.UpdateColors()\n\
.&lt;System.Boolean&gt;Validate()\n\
.&lt;System.Boolean&gt;Validate &lt;System.Boolean&gt;checkAutoValidate\n\
.&lt;System.Boolean&gt;ValidateChildren()\n\
.&lt;System.Boolean&gt;ValidateChildren &lt;System.Windows.Forms.ValidationConstraints&gt;validationConstraints\n\
\n\
</pre></div><p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; AutoSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; AutoValidateChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageLayoutChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BeforeDragNode &lt;MaxCustomControls.BeforeDragDropNodeEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BindingContextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CausesValidationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ChangeUICues &lt;System.Windows.Forms.UICuesEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Click &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ClientSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuStripChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlAdded &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlRemoved &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CursorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Disposed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DockChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DoubleClick &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragCancelNode &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragDrop &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragEnter &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragOver &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragOverNode &lt;ExplorerFramework.TraversalNodeActionQueryEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DropOnNode &lt;ExplorerFramework.TraversalNodeEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; EditingEnabledChanged &lt;CSharpUtilities.ValueChangedEventArgs`1[[System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;e do ( ... )\n\
on &lt;control_name&gt; EnabledChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Enter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ExplorerCellValueChanged &lt;MaxCustomControls.ExplorerCellValueChangedEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; FontChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ForeColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GiveFeedback &lt;System.Windows.Forms.GiveFeedbackEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GotFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleCreated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleDestroyed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HelpRequested &lt;System.Windows.Forms.HelpEventArgs&gt;hlpevent do ( ... )\n\
on &lt;control_name&gt; ImeModeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Invalidated &lt;System.Windows.Forms.InvalidateEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyDown &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyPress &lt;System.Windows.Forms.KeyPressEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyUp &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Layout &lt;System.Windows.Forms.LayoutEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Leave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ListDoubleClick &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Load &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LocationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LostFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MarginChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseCaptureChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDoubleClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDown &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseEnter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseHover &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseMove &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseUp &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseWheel &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Move &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; NameChanged &lt;CSharpUtilities.ValueChangedEventArgs`1[[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;e do ( ... )\n\
on &lt;control_name&gt; NameChanging &lt;CSharpUtilities.ValueChangingEventArgs`1[[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;e do ( ... )\n\
on &lt;control_name&gt; PaddingChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Paint &lt;System.Windows.Forms.PaintEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ParentChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; PreviewKeyDown &lt;System.Windows.Forms.PreviewKeyDownEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryAccessibilityHelp &lt;System.Windows.Forms.QueryAccessibilityHelpEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryContinueDrag &lt;MaxCustomControls.QueryContinueDragNodeEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RegionChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Resize &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RightToLeftChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RoutedKeyEvent &lt;CSharpUtilities.RoutedKeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Scroll &lt;System.Windows.Forms.ScrollEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SelectOptionsChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ShowHierarchyChanged &lt;CSharpUtilities.ValueChangedEventArgs`1[[System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;e do ( ... )\n\
on &lt;control_name&gt; SizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; StyleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SystemColorsChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabIndexChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabStopChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; UserSelectionChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validating &lt;System.ComponentModel.CancelEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ViewModified &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; VisibleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls. ExplorerCustomizationState&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.ExplorerCustomizationState() MaxCustomControls.ExplorerCustomizationState &lt;System.Int32&gt;aColumnCount\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.AdvancedFilterDataSource : &lt;System.String&gt;\n\
.AdvancedFilterEnabled : &lt;System.Boolean&gt;\n\
.AdvancedFilterLocation : &lt;System.Drawing.Point&gt;\n\
.AdvancedFilterMatchAll : &lt;System.Boolean&gt;\n\
.AdvancedFilterSize : &lt;System.Drawing.Size&gt;\n\
.ChildrenCount : &lt;System.Int32&gt;, read-only\n\
.ColumnWidth : &lt;System.Int32[]&gt;\n\
.EditingEnabled : &lt;System.Boolean&gt;\n\
.InstanceName : &lt;System.String&gt;\n\
.ParentState : &lt;MaxCustomControls.ICustomizationState&gt;\n\
.SelectChildren : &lt;System.Boolean&gt;\n\
.ShowHierarchy : &lt;System.Boolean&gt;\n\
.StateName : &lt;System.String&gt;\n\
.VisibleColumns : &lt;System.String[]&gt;\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.&lt;System.Boolean&gt;AddChild &lt;MaxCustomControls.ICustomizationState&gt;stateObject\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;GetChildByIndex &lt;System.Int32&gt;index\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;GetChildByName &lt;System.String&gt;name\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Type&gt;GetType()\n\
.&lt;System.Boolean&gt;LoadProperties &lt;System.Collections.Generic.Dictionary`2[[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089],[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;aPropertySet\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Boolean&gt;RemoveChildByIndex &lt;System.Int32&gt;index\n\
.&lt;System.Boolean&gt;RemoveChildByName &lt;System.String&gt;name\n\
 .&lt;System.Collections.Generic.Dictionary`2[System.String,System.String]&gt;SaveProperties()\n\
.&lt;System.String&gt;ToString()\n\
\n\
</pre></div><p><strong>dotNetClass &quot;MaxCustomControls.ExplorerCustomizationState +PropertyKeys&quot;</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.AdvancedFilterDataSource : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.AdvancedFilterEnabled : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.AdvancedFilterLocation : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.AdvancedFilterMatchAll : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.AdvancedFilterSize : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.ColumnWidth : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;, read-only,\n\
static\n\
.EditingEnabled : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.FindToolbarState : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.InstanceName : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;, read-only,\n\
static\n\
.SelectChildren : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.SelectionToolbarState : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.ShowHierarchy : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;, read-only,\n\
static\n\
.ToolsToolbarState : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.ViewSelectorToolbarState : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.VisibleColumns : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
.VisibleColumnsCount : &lt;MaxCustomControls.ExplorerCustomizationState+PropertyKeys&gt;,\n\
read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.String&gt;Format &lt;System.Type&gt;enumType &lt;System.Object&gt;value &lt;System.String&gt;format\n\
.[static]&lt;System.String&gt;GetName &lt;System.Type&gt;enumType &lt;System.Object&gt;value\n\
.[static]&lt;System.String[]&gt;GetNames &lt;System.Type&gt;enumType\n\
.[static]&lt;System.Type&gt;GetUnderlyingType &lt;System.Type&gt;enumType\n\
.[static]&lt;System.Array&gt;GetValues &lt;System.Type&gt;enumType\n\
.[static]&lt;System.Boolean&gt;IsDefined &lt;System.Type&gt;enumType &lt;System.Object&gt;value\n\
.[static]&lt;System.Object&gt;Parse &lt;System.Type&gt;enumType &lt;System.String&gt;value\n\
.[static]&lt;System.Object&gt;Parse &lt;System.Type&gt;enumType &lt;System.String&gt;value &lt;System.Boolean&gt;ignoreCase\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.UInt64&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.Int64&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.SByte&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.Object&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.UInt32&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.Int32&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.Int16&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.UInt16&gt;value\n\
.[static]&lt;System.Object&gt;ToObject &lt;System.Type&gt;enumType &lt;System.Byte&gt;value\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";