var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxCustomControls.RenameInstanceDialog dotNetObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxCustomControls.RenameInstanceDialog dotNetObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxcustomcontrols.renameinstancedialog-dotnetobject\"></a></div>\n\
<p>This dotNetObject is implemented by the MaxCustomControls Assembly and provides a DotNet Form with a TextBox for renaming instances of the Scene Explorer. It features the 3ds Max Look-And-Feel including the current color scheme, 3ds Max icon, and others.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theObj = dotNetObject &quot;MaxCustomControls.RenameInstanceDialog&quot; &quot;Old Name&quot; theObj.Show()</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2843A324-FEA6-4847-A54D-B17EDD17609A-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.RenameInstanceDialog&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.RenameInstanceDialog &lt;System.String&gt;instanceName\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ActiveForm : &lt;System.Windows.Forms.Form&gt;, read-only, static\n\
.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Drawing.SizeF&gt;GetAutoScaleSize &lt;System.Drawing.Font&gt;font\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";