var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxCustomControls.AdvancedSearch dotNetObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxCustomControls.AdvancedSearch dotNetObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxcustomcontrols.advancedsearch-dotnetobject\"></a></div>\n\
<p>The following dotNetObjects are implemented by the MaxCustomControls Assembly and provide the components of the Advanced Search system used by the 3ds Max Scene Explorer.</p>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.SearchForm&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.SearchForm &lt;ExplorerFramework.DataFacade&gt;dataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;comparisonManager\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ActiveForm : &lt;System.Windows.Forms.Form&gt;, read-only, static\n\
.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Drawing.SizeF&gt;GetAutoScaleSize &lt;System.Drawing.Font&gt;font\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ConditionEditor&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ConditionEditor &lt;ExplorerFramework.DataFacade&gt;dataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;comparisonManager\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ConditionListDataSource&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ConditionListDataSource()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Capacity : &lt;System.Int32&gt;\n\
.Count : &lt;System.Int32&gt;, read-only\n\
.Item[&lt;System.Int32&gt;index] : &lt;MaxCustomControls.AdvancedSearch.Condition&gt;\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Add &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.AddRange &lt;System.Collections.Generic.IEnumerable`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;collection\n\
 .&lt;System.Collections.ObjectModel.ReadOnlyCollection`1[MaxCustomControls.AdvancedSearch.Condition]&gt;AsReadOnly()\n\
.&lt;System.Int32&gt;BinarySearch &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.&lt;System.Int32&gt;BinarySearch &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Collections.Generic.IComparer`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;comparer\n\
.&lt;System.Int32&gt;BinarySearch &lt;System.Int32&gt;index &lt;System.Int32&gt;count &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Collections.Generic.IComparer`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;comparer\n\
.Clear()\n\
.&lt;System.Boolean&gt;Contains &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
 .&lt;System.Collections.Generic.List`1[TOutput]&gt;ConvertAll &lt;Converter`2&gt;converter\n\
.CopyTo &lt;MaxCustomControls.AdvancedSearch.Condition[]&gt;array\n\
.CopyTo &lt;MaxCustomControls.AdvancedSearch.Condition[]&gt;array &lt;System.Int32&gt;arrayIndex\n\
.CopyTo &lt;System.Int32&gt;index &lt;MaxCustomControls.AdvancedSearch.Condition[]&gt;array &lt;System.Int32&gt;arrayIndex &lt;System.Int32&gt;count\n\
 .&lt;System.Predicate`1[ExplorerFramework.TraversalNode]&gt;CreateMatchAllPredicate()\n\
 .&lt;System.Predicate`1[ExplorerFramework.TraversalNode]&gt;CreateMatchAnyPredicate()\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Boolean&gt;Exists &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
 .&lt;MaxCustomControls.AdvancedSearch.Condition&gt;Find &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
 .&lt;System.Collections.Generic.List`1[MaxCustomControls.AdvancedSearch.Condition]&gt;FindAll &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindIndex &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindIndex &lt;System.Int32&gt;startIndex &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindIndex &lt;System.Int32&gt;startIndex &lt;System.Int32&gt;count &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
 .&lt;MaxCustomControls.AdvancedSearch.Condition&gt;FindLast &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindLastIndex &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindLastIndex &lt;System.Int32&gt;startIndex &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.&lt;System.Int32&gt;FindLastIndex &lt;System.Int32&gt;startIndex &lt;System.Int32&gt;count &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.ForEach &lt;System.Action`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;action\n\
 .&lt;System.Collections.Generic.List`1+Enumerator[MaxCustomControls.AdvancedSearch.Condition]&gt;GetEnumerator()\n\
.&lt;System.Int32&gt;GetHashCode()\n\
 .&lt;System.Collections.Generic.List`1[MaxCustomControls.AdvancedSearch.Condition]&gt;GetRange &lt;System.Int32&gt;index &lt;System.Int32&gt;count\n\
.&lt;System.String&gt;GetSerializedText()\n\
.&lt;System.Type&gt;GetType()\n\
.&lt;System.Int32&gt;IndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.&lt;System.Int32&gt;IndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Int32&gt;index\n\
.&lt;System.Int32&gt;IndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Int32&gt;index &lt;System.Int32&gt;count\n\
.Insert &lt;System.Int32&gt;index &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.InsertRange &lt;System.Int32&gt;index &lt;System.Collections.Generic.IEnumerable`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;collection\n\
.&lt;System.Int32&gt;LastIndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.&lt;System.Int32&gt;LastIndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Int32&gt;index\n\
.&lt;System.Int32&gt;LastIndexOf &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item &lt;System.Int32&gt;index &lt;System.Int32&gt;count\n\
.ParseFromSerializedText &lt;System.String&gt;aDataSourceString &lt;ExplorerFramework.DataFacade&gt;aDataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;aComparisonControlManager\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Boolean&gt;Remove &lt;MaxCustomControls.AdvancedSearch.Condition&gt;item\n\
.&lt;System.Int32&gt;RemoveAll &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
.RemoveAt &lt;System.Int32&gt;index\n\
.RemoveRange &lt;System.Int32&gt;index &lt;System.Int32&gt;count\n\
.Reverse()\n\
.Reverse &lt;System.Int32&gt;index &lt;System.Int32&gt;count\n\
.Sort()\n\
.Sort &lt;System.Collections.Generic.IComparer`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;comparer\n\
.Sort &lt;System.Comparison`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;comparison\n\
.Sort &lt;System.Int32&gt;index &lt;System.Int32&gt;count &lt;System.Collections.Generic.IComparer`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;comparer\n\
 .&lt;MaxCustomControls.AdvancedSearch.Condition[]&gt;ToArray()\n\
.&lt;System.String&gt;ToString()\n\
.TrimExcess()\n\
.&lt;System.Boolean&gt;TrueForAll &lt;System.Predicate`1[[MaxCustomControls.AdvancedSearch.Condition, MaxCustomControls, Version=1.0.3631.7587, Culture=neutral, PublicKeyToken=null]]&gt;match\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ComparisonColorBase&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ComparisonColorBase()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ComparisonBoolBase&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ComparisonBoolBase()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ComparisonControlPrototypeBase&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ComparisonControlPrototypeBase()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetClass &quot;MaxCustomControls.AdvancedSearch.ComparisonControlManager&quot;</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.AdvancedFilter&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.AdvancedFilter &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;comparisonManager\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.Condition&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.Condition &lt;MaxCustomControls.AdvancedSearch.Condition&gt;condition\n\
MaxCustomControls.AdvancedSearch.Condition &lt;ExplorerFramework.DataFacade&gt;aDataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;aComparisonControlManager\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;MaxCustomControls.AdvancedSearch.Condition&gt;ParseFromSerializedText &lt;System.String&gt;aConditionString &lt;ExplorerFramework.DataFacade&gt;aDataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;aComparisonControlManager\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ConditionListControl&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ConditionListControl &lt;ExplorerFramework.DataFacade&gt;dataFacade &lt;MaxCustomControls.AdvancedSearch.ComparisonControlManager&gt;comparisonManager\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.ConditionSerializer&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.ConditionSerializer()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.kConditionSeparator : &lt;System.Char[]&gt;, read-only, static\n\
.kConditionSubSeparator : &lt;System.Char[]&gt;, read-only, static\n\
.kReferenceValueSeparator : &lt;System.Char[]&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Type&gt;GetType()\n\
.[static]&lt;System.Boolean&gt;ParseBool &lt;System.String&gt;serializedValueText\n\
.[static]&lt;System.Byte&gt;ParseByte &lt;System.String&gt;serializedValueText\n\
.[static]&lt;System.Decimal&gt;ParseDecimal &lt;System.String&gt;serializedValueText\n\
.[static]&lt;System.String&gt;ParseString &lt;System.String&gt;aValueToConvert\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.String&gt;SerializeBool &lt;System.Boolean&gt;value\n\
.[static]&lt;System.String&gt;SerializeByte &lt;System.Byte&gt;value\n\
.[static]&lt;System.String&gt;SerializeDecimal &lt;System.Decimal&gt;value\n\
.[static]&lt;System.String&gt;SerializeString &lt;System.String&gt;aValueToWrite\n\
.&lt;System.String&gt;ToString()\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.FinishEventArgs&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.FinishEventArgs &lt;System.Predicate`1[[ExplorerFramework.TraversalNode, ExplorerFramework, Version=1.0.3631.6883, Culture=neutral, PublicKeyToken=null]]&gt;predicate\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Empty : &lt;System.EventArgs&gt;, read-only, static\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.AdvancedSearch.FinishEventHandler&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.AdvancedSearch.FinishEventHandler &lt;System.Object&gt;object &lt;System.IntPtr&gt;method\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Delegate&gt;Combine &lt;System.Delegate[]&gt;delegates\n\
.[static]&lt;System.Delegate&gt;Combine &lt;System.Delegate&gt;a &lt;System.Delegate&gt;b\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Reflection.MethodInfo&gt;method\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Object&gt;firstArgument &lt;System.Reflection.MethodInfo&gt;method\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Reflection.MethodInfo&gt;method &lt;System.Boolean&gt;throwOnBindFailure\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Type&gt;target &lt;System.String&gt;method\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Object&gt;target &lt;System.String&gt;method\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Type&gt;target &lt;System.String&gt;method &lt;System.Boolean&gt;ignoreCase\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Object&gt;firstArgument &lt;System.Reflection.MethodInfo&gt;method &lt;System.Boolean&gt;throwOnBindFailure\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Object&gt;target &lt;System.String&gt;method &lt;System.Boolean&gt;ignoreCase\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Type&gt;target &lt;System.String&gt;method &lt;System.Boolean&gt;ignoreCase &lt;System.Boolean&gt;throwOnBindFailure\n\
.[static]&lt;System.Delegate&gt;CreateDelegate &lt;System.Type&gt;type &lt;System.Object&gt;target &lt;System.String&gt;method &lt;System.Boolean&gt;ignoreCase &lt;System.Boolean&gt;throwOnBindFailure\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Delegate&gt;Remove &lt;System.Delegate&gt;source &lt;System.Delegate&gt;value\n\
.[static]&lt;System.Delegate&gt;RemoveAll &lt;System.Delegate&gt;source &lt;System.Delegate&gt;value\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";