var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Exposing MAXScript Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Exposing MAXScript Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"exposing-maxscript-functions\"></a></div>\n\
<p>The list of OLE Automation-callable MAXScript functions is defined using the <span class=\'code\'>registerOLEInterface()</span> function. It takes an array of functions to be exposed:</p>\n\
<div class=\'codeBlock\'><pre>registerOLEInterface &lt;array_of_fns&gt;\n\
</pre></div><p><strong>For example:</strong></p>\n\
<div class=\'codeBlock\'><pre>registerOLEInterface #(get_object_count, get_object_name, get_object_position)\n\
\n\
</pre></div><p>Each time you call this function, it <strong>replaces</strong> the current set of exposed functions with the new set -- it does not add to the existing set. The functions you expose should limit themselves to passing and returning only the following data types: integers, reals (floats), currency, string, boolean and empty (undefined).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";