var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAX Commands in MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAX Commands in MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"max-commands-in-maxscript\"></a></div>\n\
<p>In addition to controlling modeling and animation, MAXScript scripts can invoke <strong>3ds Max</strong> menu and toolbar commands. You do this using the &quot;max&quot; keyword.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` max file open max unhide all max quick render</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The keyword <strong>max</strong> is followed by one or more words that describe the command. The available commands can be displayed by using the &quot;<strong>?</strong>&quot; character in a partial <strong>max</strong> command.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` max time ? --shows all the time-related commands max sel ? --shows all the commands with ’sel’ in them as a substring max ? --shows all the commands (there are a lot)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For a complete list of <strong>max</strong> commands, see the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\' title=\'\'>MAX Commands</a> topic.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Saving-Your-Commands-in-a-Script.html\' title=\'\'>Saving your Commands in a Script File</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";