var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Saving Your Commands in a Script File</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Saving Your Commands in a Script File</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"saving-your-commands-in-a-script-file\"></a></div>\n\
<p>So far, you have entered your commands into the Listener window. If you had to stop at some point, and couldn&#39;t finish some code in one session, you would have to start all over, entering the commands you already used in the previous session. MAXScript allows you to store your commands in an external file that you can load and run.</p>\n\
<p>The general procedure for storing commands in a script file is to click the <strong>New Script</strong> menu item in the MAXScript menu, and type commands in the Script Editor window that opens. Because you have already entered a lot of commands in the Listener window, you can copy them from that window into the Script Editor window.</p>\n\
<p><strong>To copy tutorial commands from the Listener into the script editor window:</strong></p>\n\
<ol>\n\
<li><p>Click the <strong>New Script</strong> menu item in the MAXScript menu in the <strong>3ds Max</strong> Main Menu bar.</p>\n\
<p>The Script Editor window appears with the title &quot;(Untitled) - MAXScript&quot;.</p></li>\n\
<li><p>Position the Script Editor window side-by-side or below the Listener window so that you can copy and paste text between the two windows.</p></li>\n\
<li><p>In the Listener window, select the black command line from the <a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\' title=\'\'>Drawing a Box with MAXScript</a> topic (<span class=\'code\'>mybox = box length:20 width:20 height:20</span>)</p></li>\n\
<li><p>Press <strong>Ctrl+C</strong> on your keyboard to copy the text to the Clipboard.</p></li>\n\
<li><p>Click the Script Editor window to place the cursor in it, and press <strong>Ctrl+V</strong> on your keyboard to paste the command into the Script Editor window.</p>\n\
<p>Tip: You can also drag selected text from the Listener and drop it in the Script Editor, or vice versa.</p></li>\n\
<li><p>Choose File &gt; Save in the Choose File Name for Save dialog, navigate to your \\Scripts directory. Name your script file <em>box_draw.ms</em> and click Save.</p>\n\
<p>Your script file is saved and the script editor window title changes to &quot;box_draw.ms - MAXScript.&quot;</p></li>\n\
</ol>\n\
<p>You have now saved your first script file. MAXScript uses the .ms extension for script files. It is good general practice to save all of your script files into the scripts directory.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Loading-and-Running-Your-Script.html\' title=\'\'>Loading and Running your Script File</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";