var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Introduction</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Introduction</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-introduction\"></a></div>\n\
<p><strong>Welcome to the MAXScript Reference!</strong></p>\n\
<p>MAXScript is the built-in scripting language for <strong>Autodesk</strong> ® <strong>3ds Max</strong> ® .</p>\n\
<div class=\'section\'><a id=\"for-fast-access-to-some-often-used-topics-please-follow-the-link-below\"></a><h2 id=\"for-fast-access-to-some-often-used-topics-please-follow-the-link-below\">For fast access to some often used topics, please follow the link below:</h2></div>\n\
<div class=\'section\'><a id=\"if-you-have-used-maxscript-in-previous-versions-of-the-software\"></a><h2 id=\"if-you-have-used-maxscript-in-previous-versions-of-the-software\">If you have used MAXScript in previous versions of the software,</h2></div>\n\
<p>the following topic will give you an overview of the changes and additions to the MAXScript language in <strong>3ds Max 2020</strong>:</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds.html\' title=\'\'>What is New in MAXScript in 3ds Max 2020</a></p>\n\
<p>The following index page provides links to all topics dealing with changes to MAXScript in previous versions: <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in.html\' title=\'\'>What Was New in MAXScript</a></p>\n\
<div class=\'section\'><a id=\"if-you-are-new-to-maxscript\"></a><h2 id=\"if-you-are-new-to-maxscript\">If you are new to MAXScript,</h2></div>\n\
<p>the following topics will provide information about the structure of this document and the concepts of the MAXScript scripting language.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/What-is-MAXScript-.html\' title=\'\'>What is MAXScript?</a> for a short overview of the areas MAXScript can enhance your workflow and productivity.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-Overview.html\' title=\'\'>MAXScript Overview</a> for a more detailed introduction to the possibilities of MAXScript.</p>\n\
<p>The following topics are an introduction to the MAXScript Reference:</p>\n\
<ul>\n\
<li><p><a href=\'#!/url=./developer/MAXScript-Introduction/Using-the-MAXScript.html\' title=\'\'>Using the MAXScript Documentation</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/MAXScript-Introduction/Syntax-Definitions-in-This/Syntax-Definitions-in-This-1.html\' title=\'\'>Syntax Definitions in This Document</a></p></li>\n\
</ul>\n\
<p>The following topics provide quick access to learning resources, tutorials and Frequently Asked Questions:</p>\n\
<ul>\n\
<li><p>Learning MAXScript - Topics Index</p></li>\n\
<li><p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>How To - Tutorials</a></p></li>\n\
<li><p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>Frequently Asked Questions</a></p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";