var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing Scripted Utilities</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing Scripted Utilities</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-scripted-utilities\"></a></div>\n\
<p>The Utilities list in the MAXScript rollout contains scripted utilities that have been defined in startup scripts or while working in MAXScript.</p>\n\
<p>For details about defining scripted utilities, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\' title=\'\'>Scripted Utility Panels</a>.</p>\n\
<p>As soon as you define a utility, MAXScript adds the utility&#39;s name to the Utilities list.</p>\n\
<p>When you select a utility from this list, its rollout is added to the Utilities panel after the MAXScript rollout.</p>\n\
<p>You can open as many utilities as you need, and close each one with its designated Close button.</p>\n\
<p>If you modify and reexecute the script for an open utility rollout, that rollout is replaced immediately with the updated rollout.</p>\n\
<p>This lets you develop scripted utility rollouts incrementally with immediate, visual feedback.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";