var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The Scripting Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The Scripting Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-scripting-menu\"></a></div>\n\
<p>MAXScript related items appear on the Scripting pull-down menu of the Main Menu bar. This menu also provides access to other scripting related features, such as Max Creation Graph. In addition, MAXScript functionality can be accessed from the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Utility-Panel.html\' title=\'\'>MAXScript Utility</a> in the Utilities Panel.</p>\n\
<p>To access MAXScript features, click on the Scripting item in the Main Menu:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60876DBC-44ED-416E-92AD-9856823E8A16-low.gif\' title=\'\'></div>\n\
<p>The following options appear in the Scripting menu:</p>\n\
<div class=\'section\'><a id=\"new-script\"></a><h4 id=\"new-script\">New Script</h4></div>\n\
<p>Opens a new tab with an Untitled script in the MAXScript Editor window. A new Editor window tab is also opened by choosing &#39;New Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; New Script</em> in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see The MAXScript Editor Windows.</p>\n\
<div class=\'section\'><a id=\"open-script...\"></a><h4 id=\"open-script...\">Open Script...</h4></div>\n\
<p>Opens a common File Open dialog for choosing an existing script. A new tab in the MAXScript Editor window then displays the selected script. A script file can also be opened by choosing &#39;Open Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; Open Script</em> in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see The MAXScript Editor Windows.</p>\n\
<div class=\'section\'><a id=\"run-script...\"></a><h4 id=\"run-script...\">Run Script...</h4></div>\n\
<p>Opens a common File Open dialog for choosing an existing script. MAXScript then reads and executes the selected script. Any output is printed to the Listener window. A script file can also be run by choosing &#39;Run Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; Run Script</em> in the Listener window menu bar.</p>\n\
<p>For more information, see Running Scripts.</p>\n\
<div class=\'section\'><a id=\"maxscript-listener\"></a><h4 id=\"maxscript-listener\">MAXScript Listener</h4></div>\n\
<p>Toggles the MAXScript Listener window.The Listener window can also be opened by right-clicking in the Mini Listener in the <em>3ds Max</em> status bar and choosing Open Listener Window; by choosing &#39;Open Listener&#39; in the MAXScript Utility in the Utilities Panel, or by pressing F11.</p>\n\
<p>For Listener window features and commands, see The MAXScript Listener Window.</p>\n\
<div class=\'section\'><a id=\"maxscript-editor\"></a><h4 id=\"maxscript-editor\">MAXScript Editor</h4></div>\n\
<p>Toggles the MAXScript Editor window. This menu item was added in <em>3ds Max 2008</em> and allows the revealing and hiding of the Editor without losing its content. All saved scripts opened in tabs will be stored and restored even between <em>3ds Max</em> sessions.</p>\n\
<div class=\'section\'><a id=\"macro-recorder\"></a><h4 id=\"macro-recorder\">Macro Recorder</h4></div>\n\
<p>Toggles the MAXScript Macro Recorder. The Macro Recorder generates script code in a separate pane of the MAXScript listener based on the actions of the user.</p>\n\
<p>For Macro Recorder features, see the Macro Recorder.</p>\n\
<div class=\'section\'><a id=\"visual-maxscript-editor\"></a><h4 id=\"visual-maxscript-editor\">Visual MAXScript Editor</h4></div>\n\
<p>Opens the Visual MAXScript Editor. It is used to create new and edit existing User Interfaces for your scripted rollouts, utilities and floaters.</p>\n\
<p>For Visual MAXScript Editor features, see Visual MAXScript</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";