var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Ticks</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Ticks</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ticks\"></a></div>\n\
<p><strong>3ds Max</strong> stores time internally in integer units called <strong>Ticks</strong>.</p>\n\
<p><strong>One second</strong> always contains <strong>4800</strong> ticks, thus one Tick is defined as a 1/4800 th of a second.</p>\n\
<p>The importance of the number 4800 comes from the fact that it is divisible by all typical frame rates without a floating point part:</p>\n\
<p>4800 ticks per second / 24 frames per second (Movies) = 200 ticks per frame</p>\n\
<p>4800 ticks per second / 25 frames per second (PAL TV) = 192 ticks per frame</p>\n\
<p>4800 ticks per second / 30 frames per second (NTSC TV) = 160 ticks per frame</p>\n\
<p>The current number of Ticks per Frame can be acquired using the <strong>TicksPerFrame</strong> system global variable.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";