var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The MAXScript Debugger</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The MAXScript Debugger</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-maxscript-debugger\"></a></div>\n\
<p>The <strong>MAXScript Debugger</strong> in <strong>3ds Max 8 and higher</strong> implements a portion of a script development and debugging environment. It allows the main thread of <strong>3ds Max</strong> to be suspended, the values of global and local variables to be examined and altered while the <strong>3dsMax</strong> thread is not running, MAXScript commands to be executed from a command line, and the execution to be suspended using method calls from inside the MAXScript code. The Debugger also lets you stop or continue the execution of the suspended code.</p>\n\
<p><strong>3ds Max 2010</strong> added support for line numbers in the code tree, allowing the exact report of the location of an error and the ability to include Asserts in the MAXScript code to reason about the validity of the program.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";