var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Threads Access via MAXScript Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Threads Access via MAXScript Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"threads-access-via-maxscript-functions\"></a></div>\n\
<p>The following functions can be used to access threads information via MAXScript:</p>\n\
<div class=\'codeBlock\'><pre>threads showLocals:&lt;boolean&gt; firstFrameOnly:&lt;boolean&gt; to:&lt;stream&gt; \n\
</pre></div><p>The function outputs the threads information to the Listener or, if the to: option is provided, to the given stream.</p>\n\
<p>If <span class=\'code\'>showLocals:</span> is passed as false, local variables will not be shown. Defaults to true.</p>\n\
<p>If <span class=\'code\'>firstFrameOnly:</span> is passed as true, only the first frame will be shown. Defaults to false.</p>\n\
<div class=\'codeBlock\'><pre>GetCurrentThreadId()\n\
</pre></div><p>Returns the current thread&#39;s ID.</p>\n\
<div class=\'codeBlock\'><pre>locals()\n\
</pre></div><p>Not implemented.</p>\n\
<div class=\'codeBlock\'><pre>go()\n\
</pre></div><p>Not implemented.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";