var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>List of Editor Key Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>List of Editor Key Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"list-of-editor-key-commands\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> provides the following COMMAND IDs which can be used to define custom <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>Keyboard Shortcuts</a> and <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\' title=\'\'>Right-Click menus</a> that operate on the current document.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">COMMAND</th>\n\
<th align=\"left\">NAME</th>\n\
<th align=\"left\">EXPLANATION</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2101</span></td>\n\
<td align=\"left\"><span class=\'code\'>AutoCCancel</span></td>\n\
<td align=\"left\">Remove the auto-completion list from the screen.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2104</span></td>\n\
<td align=\"left\"><span class=\'code\'>AutoCComplete</span></td>\n\
<td align=\"left\">User has selected an item so remove the list and insert the selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2328</span></td>\n\
<td align=\"left\"><span class=\'code\'>BackTab</span></td>\n\
<td align=\"left\">Dedent the selected lines.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2078</span></td>\n\
<td align=\"left\"><span class=\'code\'>BeginUndoAction</span></td>\n\
<td align=\"left\">Start a sequence of actions that is undone and redone as a unit. May be nested.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2201</span></td>\n\
<td align=\"left\"><span class=\'code\'>CallTipCancel</span></td>\n\
<td align=\"left\">Remove the call tip from the screen.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2325</span></td>\n\
<td align=\"left\"><span class=\'code\'>Cancel</span></td>\n\
<td align=\"left\">Cancel any modes such as call tip or auto-completion list display.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2304</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharLeft</span></td>\n\
<td align=\"left\">Move caret left one character.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2305</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharLeftExtend</span></td>\n\
<td align=\"left\">Move caret left one character extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2428</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharLeftRectExtend</span></td>\n\
<td align=\"left\">Move caret left one character, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2306</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharRightMove</span></td>\n\
<td align=\"left\">caret right one character.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2307</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharRightExtend</span></td>\n\
<td align=\"left\">Move caret right one character extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2429</span></td>\n\
<td align=\"left\"><span class=\'code\'>CharRightRectExtend</span></td>\n\
<td align=\"left\">Move caret right one character, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2399</span></td>\n\
<td align=\"left\"><span class=\'code\'>ChooseCaretX</span></td>\n\
<td align=\"left\">Set the last x chosen value to be the caret x position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2180</span></td>\n\
<td align=\"left\"><span class=\'code\'>Clear</span></td>\n\
<td align=\"left\">Clear the selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2004</span></td>\n\
<td align=\"left\"><span class=\'code\'>ClearAll</span></td>\n\
<td align=\"left\">Delete all text in the document.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2072</span></td>\n\
<td align=\"left\"><span class=\'code\'>ClearAllCmdKeys</span></td>\n\
<td align=\"left\">Drop all key mappings.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2005</span></td>\n\
<td align=\"left\"><span class=\'code\'>ClearDocumentStyle</span></td>\n\
<td align=\"left\">Set all style bytes to 0, remove all folding information.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2408</span></td>\n\
<td align=\"left\"><span class=\'code\'>ClearRegisteredImages</span></td>\n\
<td align=\"left\">Clear all the registered XPM images.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2178</span></td>\n\
<td align=\"left\"><span class=\'code\'>Copy</span></td>\n\
<td align=\"left\">Copy the selection to the clipboard.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2177</span></td>\n\
<td align=\"left\"><span class=\'code\'>Cut</span></td>\n\
<td align=\"left\">Cut the selection to the clipboard.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>3295</span></td>\n\
<td align=\"left\"><span class=\'code\'>DelLineLeft</span></td>\n\
<td align=\"left\">Delete back from the current position to the start of the line.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2395</span></td>\n\
<td align=\"left\"><span class=\'code\'>DelLineRight</span></td>\n\
<td align=\"left\">Delete forwards from the current position to the end of the line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2335</span></td>\n\
<td align=\"left\"><span class=\'code\'>DelWordLeft</span></td>\n\
<td align=\"left\">Delete the word to the left of the caret.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2336</span></td>\n\
<td align=\"left\"><span class=\'code\'>DelWordRight</span></td>\n\
<td align=\"left\">Delete the word to the right of the caret.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2326</span></td>\n\
<td align=\"left\"><span class=\'code\'>DeleteBack</span></td>\n\
<td align=\"left\">Delete the selection or if no selection, the character before the caret.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2344</span></td>\n\
<td align=\"left\"><span class=\'code\'>DeleteBackNotLine</span></td>\n\
<td align=\"left\">Delete the selection or if no selection, the character before the caret. Will not delete the character before at the start of a line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2318</span></td>\n\
<td align=\"left\"><span class=\'code\'>DocumentEnd</span></td>\n\
<td align=\"left\">Move caret to last position in document.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2319</span></td>\n\
<td align=\"left\"><span class=\'code\'>DocumentEndExtend</span></td>\n\
<td align=\"left\">Move caret to last position in document extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2316</span></td>\n\
<td align=\"left\"><span class=\'code\'>DocumentStart</span></td>\n\
<td align=\"left\">Move caret to first position in document.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2317</span></td>\n\
<td align=\"left\"><span class=\'code\'>DocumentStartExtend</span></td>\n\
<td align=\"left\">Move caret to first position in document extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2324</span></td>\n\
<td align=\"left\"><span class=\'code\'>EditToggleOvertype</span></td>\n\
<td align=\"left\">Switch from insert to overtype mode or the reverse.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2175</span></td>\n\
<td align=\"left\"><span class=\'code\'>EmptyUndoBuffer</span></td>\n\
<td align=\"left\">Delete the undo history.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2079</span></td>\n\
<td align=\"left\"><span class=\'code\'>EndUndoAction</span></td>\n\
<td align=\"left\">End a sequence of actions that is undone and redone as a unit.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2330</span></td>\n\
<td align=\"left\"><span class=\'code\'>FormFeed</span></td>\n\
<td align=\"left\">Insert a Form Feed character.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2400</span></td>\n\
<td align=\"left\"><span class=\'code\'>GrabFocus</span></td>\n\
<td align=\"left\">Set the focus to this Scintilla widget.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2312</span></td>\n\
<td align=\"left\"><span class=\'code\'>Home</span></td>\n\
<td align=\"left\">Move caret to first position on line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2345</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeDisplay</span></td>\n\
<td align=\"left\">Move caret to first position on display line.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2346</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeDisplayExtend</span></td>\n\
<td align=\"left\">Move caret to first position on display line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2313</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeExtend</span></td>\n\
<td align=\"left\">Move caret to first position on line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2430</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeRectExtend</span></td>\n\
<td align=\"left\">Move caret to first position on line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2349</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeWrap</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2450</span></td>\n\
<td align=\"left\"><span class=\'code\'>HomeWrapExtend</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2455</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineCopy</span></td>\n\
<td align=\"left\">Copy the line containing the caret.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2337</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineCut</span></td>\n\
<td align=\"left\">Cut the line containing the caret.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2338</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineDelete</span></td>\n\
<td align=\"left\">Delete the line containing the caret.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2300</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineDown</span></td>\n\
<td align=\"left\">Move caret down one line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2301</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineDownExtend</span></td>\n\
<td align=\"left\">Move caret down one line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2426</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineDownRectExtend</span></td>\n\
<td align=\"left\">Move caret down one line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2404</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineDuplicate</span></td>\n\
<td align=\"left\">Duplicate the current line.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2314</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEnd</span></td>\n\
<td align=\"left\">Move caret to last position on line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2347</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndDisplay</span></td>\n\
<td align=\"left\">Move caret to last position on display line.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2348</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndDisplayExtend</span></td>\n\
<td align=\"left\">Move caret to last position on display line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2315</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndExtend</span></td>\n\
<td align=\"left\">Move caret to last position on line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2432</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndRectExtend</span></td>\n\
<td align=\"left\">Move caret to last position on line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2451</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndWrap</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2452</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineEndWrapExtend</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2342</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineScrollDown</span></td>\n\
<td align=\"left\">Scroll the document down, keeping the caret visible.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2343</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineScrollUp</span></td>\n\
<td align=\"left\">Scroll the document up, keeping the caret visible.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2339</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineTranspose</span></td>\n\
<td align=\"left\">Switch the current line with the previous.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2302</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineUp</span></td>\n\
<td align=\"left\">Move caret up one line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2303</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineUpExtend</span></td>\n\
<td align=\"left\">Move caret up one line extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2427</span></td>\n\
<td align=\"left\"><span class=\'code\'>LineUpRectExtend</span></td>\n\
<td align=\"left\">Move caret up one line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2288</span></td>\n\
<td align=\"left\"><span class=\'code\'>LinesJoin</span></td>\n\
<td align=\"left\">Join the lines in the target.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2340</span></td>\n\
<td align=\"left\"><span class=\'code\'>LowerCase</span></td>\n\
<td align=\"left\">Transform the selection to lower case.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2401</span></td>\n\
<td align=\"left\"><span class=\'code\'>MoveCaretInsideView</span></td>\n\
<td align=\"left\">Move the caret inside current view if it&#39;s not there already.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2329</span></td>\n\
<td align=\"left\"><span class=\'code\'>NewLine</span></td>\n\
<td align=\"left\">Insert a new line, may use a CRLF, CR or LF depending on EOL mode.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2172</span></td>\n\
<td align=\"left\"><span class=\'code\'>Null</span></td>\n\
<td align=\"left\">Null operation.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2322</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageDown</span></td>\n\
<td align=\"left\">Move caret one page down.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2323</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageDownExtend</span></td>\n\
<td align=\"left\">Move caret one page down extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2434</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageDownRectExtend</span></td>\n\
<td align=\"left\">Move caret one page down, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2320</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageUp</span></td>\n\
<td align=\"left\">Move caret one page up.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2321</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageUpExtend</span></td>\n\
<td align=\"left\">Move caret one page up extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2433</span></td>\n\
<td align=\"left\"><span class=\'code\'>PageUpRectExtend</span></td>\n\
<td align=\"left\">Move caret one page up, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2413</span></td>\n\
<td align=\"left\"><span class=\'code\'>ParaDown</span></td>\n\
<td align=\"left\">Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2414</span></td>\n\
<td align=\"left\"><span class=\'code\'>ParaDownExtend</span></td>\n\
<td align=\"left\">Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2415</span></td>\n\
<td align=\"left\"><span class=\'code\'>ParaUp</span></td>\n\
<td align=\"left\">Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2416</span></td>\n\
<td align=\"left\"><span class=\'code\'>ParaUpExtend</span></td>\n\
<td align=\"left\">Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2179</span></td>\n\
<td align=\"left\"><span class=\'code\'>Paste</span></td>\n\
<td align=\"left\">Paste the contents of the clipboard into the document replacing the selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2011</span></td>\n\
<td align=\"left\"><span class=\'code\'>Redo</span></td>\n\
<td align=\"left\">Redoes the next action on the undo history.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2169</span></td>\n\
<td align=\"left\"><span class=\'code\'>ScrollCaret</span></td>\n\
<td align=\"left\">Ensure the caret is visible.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2366</span></td>\n\
<td align=\"left\"><span class=\'code\'>SearchAnchor</span></td>\n\
<td align=\"left\">Sets the current caret position to be the search anchor.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2013</span></td>\n\
<td align=\"left\"><span class=\'code\'>SelectAll</span></td>\n\
<td align=\"left\">Select all the text in the document.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2469</span></td>\n\
<td align=\"left\"><span class=\'code\'>SelectionDuplicate</span></td>\n\
<td align=\"left\">Duplicate the selection. If selection empty duplicate the line containing the caret.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2444</span></td>\n\
<td align=\"left\"><span class=\'code\'>SetCharsDefault</span></td>\n\
<td align=\"left\">Reset the set of characters for whitespace and word characters to the defaults.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2014</span></td>\n\
<td align=\"left\"><span class=\'code\'>SetSavePoint</span></td>\n\
<td align=\"left\">Remember the current position in the undo history as the position at which the document was saved.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>3001</span></td>\n\
<td align=\"left\"><span class=\'code\'>StartRecord</span></td>\n\
<td align=\"left\">Start notifying the container of all key presses and commands.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>3002</span></td>\n\
<td align=\"left\"><span class=\'code\'>StopRecord</span></td>\n\
<td align=\"left\">Stop notifying the container of all key presses and commands.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2437</span></td>\n\
<td align=\"left\"><span class=\'code\'>StutteredPageDown</span></td>\n\
<td align=\"left\">Move caret to bottom of page, or one page down if already at bottom of page.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2438</span></td>\n\
<td align=\"left\"><span class=\'code\'>StutteredPageDownExtend</span></td>\n\
<td align=\"left\">Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2435</span></td>\n\
<td align=\"left\"><span class=\'code\'>StutteredPageUp</span></td>\n\
<td align=\"left\">Move caret to top of page, or one page up if already at top of page.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2436</span></td>\n\
<td align=\"left\"><span class=\'code\'>StutteredPageUpExtend</span></td>\n\
<td align=\"left\">Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2058</span></td>\n\
<td align=\"left\"><span class=\'code\'>StyleResetDefault</span></td>\n\
<td align=\"left\">Reset the default style to its state at startup</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2327</span></td>\n\
<td align=\"left\"><span class=\'code\'>Tab</span></td>\n\
<td align=\"left\">If selection is empty or all on one line replace the selection with a tab character. If more than one line selected, indent the lines.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2287</span></td>\n\
<td align=\"left\"><span class=\'code\'>TargetFromSelection</span></td>\n\
<td align=\"left\">Make the target range start and end be the same as the selection range start and end.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2459</span></td>\n\
<td align=\"left\"><span class=\'code\'>ToggleCaretSticky</span></td>\n\
<td align=\"left\">Switch between sticky and non-sticky: meant to be bound to a key.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2176</span></td>\n\
<td align=\"left\"><span class=\'code\'>Undo</span></td>\n\
<td align=\"left\">Undo one action in the undo history.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2341</span></td>\n\
<td align=\"left\"><span class=\'code\'>UpperCase</span></td>\n\
<td align=\"left\">Transform the selection to upper case.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2331</span></td>\n\
<td align=\"left\"><span class=\'code\'>VCHome</span></td>\n\
<td align=\"left\">Move caret to before first visible character on line. If already there move to first character on line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2332</span></td>\n\
<td align=\"left\"><span class=\'code\'>VCHomeExtend</span></td>\n\
<td align=\"left\">Like VCHome but extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2431</span></td>\n\
<td align=\"left\"><span class=\'code\'>VCHomeRectExtend</span></td>\n\
<td align=\"left\">Move caret to before first visible character on line. If already there move to first character on line. In either case, extend rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2453</span></td>\n\
<td align=\"left\"><span class=\'code\'>VCHomeWrap</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2454</span></td>\n\
<td align=\"left\"><span class=\'code\'>VCHomeWrapExtend</span></td>\n\
<td align=\"left\">These are like their namesakes Home (Extend)?, LineEnd( Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
<td align=\"left\">LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home</td>\n\
<td align=\"left\">LineEnd</td>\n\
<td align=\"left\">VCHome)(Extend)?.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2308</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordLeft</span></td>\n\
<td align=\"left\">Move caret left one word.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2439</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordLeftEnd</span></td>\n\
<td align=\"left\">Move caret left one word, position cursor at end of word.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2440</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordLeftEndExtend</span></td>\n\
<td align=\"left\">Move caret left one word, position cursor at end of word, extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2309</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordLeftExtend</span></td>\n\
<td align=\"left\">Move caret left one word extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2390</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordPartLeft</span></td>\n\
<td align=\"left\">Move to the previous change in capitalization.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2391</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordPartLeftExtend</span></td>\n\
<td align=\"left\">Move to the previous change in capitalization extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2392</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordPartRight</span></td>\n\
<td align=\"left\">Move to the change next in capitalization.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2393</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordPartRightExtend</span></td>\n\
<td align=\"left\">Move to the next change in capitalization extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2310</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordRight</span></td>\n\
<td align=\"left\">Move caret right one word.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2441</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordRightEnd</span></td>\n\
<td align=\"left\">Move caret right one word, position cursor at end of word.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2442</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordRightEndExtend</span></td>\n\
<td align=\"left\">Move caret right one word, position cursor at end of word, extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2311</span></td>\n\
<td align=\"left\"><span class=\'code\'>WordRightExtend</span></td>\n\
<td align=\"left\">Move caret right one word extending selection to new caret position.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2333</span></td>\n\
<td align=\"left\"><span class=\'code\'>ZoomIn</span></td>\n\
<td align=\"left\">Magnify the displayed text by increasing the sizes by 1 point.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2334</span></td>\n\
<td align=\"left\"><span class=\'code\'>ZoomOut</span></td>\n\
<td align=\"left\">Make the displayed text smaller by decreasing the sizes by 1 point.</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";