var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>List of Editor Menu Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>List of Editor Menu Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"list-of-editor-menu-commands\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> provides the following <strong>NAMED IDs</strong> for its Menu Commands which can be used to define <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>Custom Keyboard Shortcuts</a> and <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\' title=\'\'>Right-Click menus</a>.</p>\n\
<p>Note:</p>\n\
<p>Some of the Named IDs have no meaning in the context of the MAXScript Editor and are only available for use in the stand-alone version of the Scintilla SciTE editor.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">COMMAND</th>\n\
<th align=\"left\"><span class=\'code\'>MENU TEXT</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_NEW</span></td>\n\
<td align=\"left\">New</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPEN</span></td>\n\
<td align=\"left\">Open</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENSELECTED</span></td>\n\
<td align=\"left\">Open Selected Filename</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_REVERT</span></td>\n\
<td align=\"left\">Revert</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_CLOSE</span></td>\n\
<td align=\"left\">Close</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVE</span></td>\n\
<td align=\"left\">Save</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEAS</span></td>\n\
<td align=\"left\">Save As</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEACOPY</span></td>\n\
<td align=\"left\">Save a Copy</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ENCODING_DEFAULT</span></td>\n\
<td align=\"left\">Code Page Property</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ENCODING_UCS2B</span></td>\n\
<td align=\"left\">EUCS-2 Big Endian</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ENCODING_UCS2L</span></td>\n\
<td align=\"left\">EUCS-2 Little Endian</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ENCODING_UTF8</span></td>\n\
<td align=\"left\">UTF-8 with BOM</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ENCODING_UCOOKIE</span></td>\n\
<td align=\"left\">UTF-8</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEASHTML</span></td>\n\
<td align=\"left\">As HTML</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEASRTF</span></td>\n\
<td align=\"left\">As RTF</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEASPDF</span></td>\n\
<td align=\"left\">As PDF</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEASTEX</span></td>\n\
<td align=\"left\">As LaTeX</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEASXML</span></td>\n\
<td align=\"left\">As XML</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_PRINTSETUP</span></td>\n\
<td align=\"left\">Page Setup</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_PRINT</span></td>\n\
<td align=\"left\">Print</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_LOADSESSION</span></td>\n\
<td align=\"left\">Load Session</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVESESSION</span></td>\n\
<td align=\"left\">Save Session</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_QUIT</span></td>\n\
<td align=\"left\">Exit</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_UNDO</span></td>\n\
<td align=\"left\">Undo</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_REDO</span></td>\n\
<td align=\"left\">Redo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_CUT</span></td>\n\
<td align=\"left\">Cut</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_COPY</span></td>\n\
<td align=\"left\">Copy</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_PASTE</span></td>\n\
<td align=\"left\">Paste</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_DUPLICATE</span></td>\n\
<td align=\"left\">Duplicate</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_CLEAR</span></td>\n\
<td align=\"left\">Delete</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SELECTALL</span></td>\n\
<td align=\"left\">Select All</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_COPYASRTF</span></td>\n\
<td align=\"left\">Copy as RTF</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_MATCHBRACE</span></td>\n\
<td align=\"left\">Match Brace</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SELECTTOBRACE</span></td>\n\
<td align=\"left\">Select to Brace</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SHOWCALLTIP</span></td>\n\
<td align=\"left\">Show Calltip</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_COMPLETE</span></td>\n\
<td align=\"left\">Complete Symbol</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_COMPLETEWORD</span></td>\n\
<td align=\"left\">Complete Word</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ABBREV</span></td>\n\
<td align=\"left\">Expand Abbreviation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_INS_ABBREV</span></td>\n\
<td align=\"left\">Insert Abbreviation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BLOCK_COMMENT</span></td>\n\
<td align=\"left\">Block Comment or Uncomment</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BOX_COMMENT</span></td>\n\
<td align=\"left\">Box Comment</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_STREAM_COMMENT</span></td>\n\
<td align=\"left\">Stream Comment</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_UPRCASE</span></td>\n\
<td align=\"left\">Make Selection Uppercase</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_LWRCASE</span></td>\n\
<td align=\"left\">Make Selection Lowercase</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_JOIN</span></td>\n\
<td align=\"left\">Join</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SPLIT</span></td>\n\
<td align=\"left\">Split (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FIND</span></td>\n\
<td align=\"left\">Find</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FINDNEXT</span></td>\n\
<td align=\"left\">Find Next</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FINDNEXTBACK</span></td>\n\
<td align=\"left\">Find Previous</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FINDINFILES</span></td>\n\
<td align=\"left\">Find in Files</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_REPLACE</span></td>\n\
<td align=\"left\">Replace</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_INCSEARCH</span></td>\n\
<td align=\"left\">Incremental Search</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_GOTO</span></td>\n\
<td align=\"left\">Go to</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BOOKMARK_NEXT</span></td>\n\
<td align=\"left\">Next Bookmark</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BOOKMARK_PREV</span></td>\n\
<td align=\"left\">Previous Bookmark</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BOOKMARK_TOGGLE</span></td>\n\
<td align=\"left\">Toggle Bookmark</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BOOKMARK_CLEARALL</span></td>\n\
<td align=\"left\">Clear All Bookmarks</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_EXPAND</span></td>\n\
<td align=\"left\">Toggle current fold</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_TOGGLE_FOLDALL</span></td>\n\
<td align=\"left\">Toggle all folds</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FULLSCREEN</span></td>\n\
<td align=\"left\">Full Screen</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWTOOLBAR</span></td>\n\
<td align=\"left\">Tool Bar</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWTABBAR</span></td>\n\
<td align=\"left\">Tab Bar</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWSTATUSBAR</span></td>\n\
<td align=\"left\">Status Bar</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWSPACE</span></td>\n\
<td align=\"left\">Whitespace</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWEOL</span></td>\n\
<td align=\"left\">End of Line</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_VIEWGUIDES</span></td>\n\
<td align=\"left\">Indentation Guides</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_LINENUMBERMARGIN</span></td>\n\
<td align=\"left\">Line Numbers</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SELMARGIN</span></td>\n\
<td align=\"left\">Margin</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_FOLDMARGIN</span></td>\n\
<td align=\"left\">Fold Margin</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_TOGGLEOUTPUT</span></td>\n\
<td align=\"left\">Output</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_TOGGLEPARAMETERS</span></td>\n\
<td align=\"left\">Parameters</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_COMPILE</span></td>\n\
<td align=\"left\">Compile</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_BUILD</span></td>\n\
<td align=\"left\">Build (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_GO</span></td>\n\
<td align=\"left\">Go (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_STOPEXECUTE</span></td>\n\
<td align=\"left\">Stop Executing (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_NEXTMSG</span></td>\n\
<td align=\"left\">Next Message (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_PREVMSG</span></td>\n\
<td align=\"left\">Previous Message (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_CLEAROUTPUT</span></td>\n\
<td align=\"left\">Clear Output (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SWITCHPANE</span></td>\n\
<td align=\"left\">Switch Pane (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ONTOP</span></td>\n\
<td align=\"left\">Always On Top</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENFILESHERE</span></td>\n\
<td align=\"left\">Open Files Here</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SPLITVERTICAL</span></td>\n\
<td align=\"left\">Vertical Split (not used in 3ds Max)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_WRAP</span></td>\n\
<td align=\"left\">Wrap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_WRAPOUTPUT</span></td>\n\
<td align=\"left\">Wrap Output</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_READONLY</span></td>\n\
<td align=\"left\">Read-Only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_EOL_CRLF</span></td>\n\
<td align=\"left\">CR + LF</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_EOL_CR</span></td>\n\
<td align=\"left\">CR</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_EOL_LF</span></td>\n\
<td align=\"left\">LF</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_EOL_CONVERT</span></td>\n\
<td align=\"left\">Convert Line End Characters</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_TABSIZE</span></td>\n\
<td align=\"left\">Change Indentation Settings</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_MONOFONT</span></td>\n\
<td align=\"left\">Use Monospaced Font</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENLOCALPROPERTIES</span></td>\n\
<td align=\"left\">Open Local Options File</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENDIRECTORYPROPERTIES</span></td>\n\
<td align=\"left\">Open Directory Options File</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENUSERPROPERTIES</span></td>\n\
<td align=\"left\">Open User Options File</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENGLOBALPROPERTIES</span></td>\n\
<td align=\"left\">Open Global Options File</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENABBREVPROPERTIES</span></td>\n\
<td align=\"left\">Open Abbreviations File</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_OPENLUAEXTERNALFILE</span></td>\n\
<td align=\"left\">Open Lua Startup Script</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_PREVFILE</span></td>\n\
<td align=\"left\">Previous</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_NEXTFILE</span></td>\n\
<td align=\"left\">Next</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_CLOSEALL</span></td>\n\
<td align=\"left\">Close All</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_SAVEALL</span></td>\n\
<td align=\"left\">Save All</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_HELP</span></td>\n\
<td align=\"left\">Help</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>IDM_HELP_SCITE</span></td>\n\
<td align=\"left\">Help</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>IDM_ABOUT</span></td>\n\
<td align=\"left\">About MXS SciTE</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";