var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Defining Custom Status Bars</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Defining Custom Status Bars</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---defining-custom-status-bars\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define and switch between a large number of custom status bars displayed at the bottom of the Editor.</p>\n\
<p>Multiple status bars can be defined to display different information about the current file and the editing environment.</p>\n\
<p>By default, there are 4 pre-defined status bars which can be switched by clicking on the status bar.</p>\n\
<p>All status bars can be customized and new ones can be defined in the <strong>MXS_Editor.properties</strong> file.</p>\n\
<div class=\'section\'><a id=\"here-are-the-default-definitions-and-the-resulting-status-bars\"></a><h2 id=\"here-are-the-default-definitions-and-the-resulting-status-bars\">Here are the default definitions and the resulting status bars:</h2></div>\n\
<div class=\'codeBlock\'><pre># Status Bar\n\
statusbar.number=4\n\
statusbar.text.1=\\\n\
li=$(LineNumber) co=$(ColumnNumber) offset=$(CharOffset) $(OverType) ($(EOLMode)) $(FileAttr)\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-39F7A360-C4A2-4309-9115-0FA8D7BE808B-low.gif\' title=\'\'></div>\n\
statusbar.text.2=\\\n\
$(BufferLength) chars in $(NbOfLines) lines. Sel: $(SelLength) chars.\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EC081F1B-92B2-4EF8-9BE5-8A360B5B15DF-low.gif\' title=\'\'></div>\n\
statusbar.text.3=\\\n\
Now is: Date=$(CurrentDate) Time=$(CurrentTime)\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DB200715-8EB8-4163-BB3B-5B2DD17DE496-low.gif\' title=\'\'></div>\n\
statusbar.text.4=\\\n\
$(FileNameExt) : $(FileDate) - $(FileTime) | $(FileAttr)\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-624CCAE5-CCD1-4DC2-9188-CD9C85FEDAF7-low.gif\' title=\'\'></div>\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";