var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Options Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Options Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---options-menu\"></a></div>\n\
<p>The <strong>Options menu</strong> of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains options to control various behaviors of the Editor as well as commands for fixing line end characters, changing indentation settings and switching between proportional and monospaced font dispaly.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-00AE41E9-89C9-42D6-AA20-73B08A6B0B5F-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Always On Top</strong> - Unchecked by default. When checked, forces the MAXScript Editor to stay on top of all windows including other <strong>3ds Max</strong> floaters and any other applications.</p></li>\n\
<li><p><strong>Vertical Split</strong> - Unchecked by default. When checked, the Output Pane will be placed at the right side of the Editor Pane. When unchecked, it will be at the bottom.</p></li>\n\
<li><p><strong>Wrap</strong> - When unchecked (default), lines longer than the width of the Editor Pane will only be displayed partially. When checked, text lines longer than the width of the Editor Pane will be wrapped and shown as multiple lines, allowing you to see all the text.</p></li>\n\
<li><p><strong>Wrap Output</strong> - When unchecked (default), lines longer than the width of the Output Pane will only be displayed partially. When checked, text lines longer than the width of the Output Pane will be wrapped and shown as multiple lines, allowing you to see all the text.</p></li>\n\
<li><p><strong>Read-Only</strong> - Unchecked by default. When checked, the current document will be made read-only - typing into it will be disabled, but you will be able to select and copy text from it.</p></li>\n\
<li><p><strong>Fixup Line End Characters</strong> - corrects the Line End characters by adding an LF where the line ends with CR only.</p></li>\n\
<li><p><strong>Change Indentation Settings... (CTRL+SHIFT+I)</strong> - opens a dialog controlling the type and number of the indentation characters.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0945081B-2817-44BA-A8D7-2A7D1D12A721-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Tab Size</strong> - defines the width of a tab measured in space characters. Default is 4.</p></li>\n\
<li><p><strong>Indent Size</strong> - defines the number of spaces to use for indentation when tabs are not used. Default is 4.</p></li>\n\
<li><p><strong>Use Tabs</strong> - when checked, tabs of the specified size will be used to indent code automatically or when the <strong>TAB</strong> key is pressed. When unchecked, spaces of the specified count will be inserted instead.</p></li>\n\
<li><p><strong>Convert</strong> - press this button to convert tabs to spaces in the beginning of a line when <strong>Use Tabs</strong> is unchecked and spaces to tabs when <strong>Use Tabs</strong> is checked.</p></li>\n\
</ul></li>\n\
<li><p><strong>Use Monospaced Font (CTRL+F11)</strong> - toggles between proportional and monospaced fonts. In the latter case, all characters have the same pixel size so all lines align perfectly.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EBC3CA17-7779-4DA2-AE62-A4B33BD3E3FC-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BCCC81FB-6602-459B-81B5-C415BD1CB0C7-low.gif\' title=\'\'></div></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\' title=\'\'>MAXScript Editor - Tools Menu</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Language-Menu.html\' title=\'\'>MAXScript Editor - Language Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";