var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Tools Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Tools Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---tools-menu\"></a></div>\n\
<p>The <strong>Tools menu</strong> of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for script evaluation, access to the Visual MAXScript Editor and options to edit the various Option and Property files defining the functionality of the Editor.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C9F4127C-0E52-4C1B-A9FB-058297F05712-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Evaluate All (CTRL+E)</strong> - like in the legacy editor, this command will evaluate the whole script loaded in the current tab.</p></li>\n\
<li><p><strong>Evaluate Line / Selection (CTRL+ENTER)</strong>-like in the legacy editor and the Listener, this command will evaluate the current line or selection. Pressing <strong>CTRL+ENTER</strong> is equivalent to pressing the <strong>NumPad Enter</strong> key which can be used alternatively.</p></li>\n\
<li><p><strong>Edit Rollout</strong> - opens the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\' title=\'\'>Visual MAXScript Editor</a> to edit the currently selected rollout.If no rollout is selected, a new rollout will be created.</p></li>\n\
<li><p><strong>New Rollout</strong> - opens the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\' title=\'\'>Visual MAXScript Editor</a> and creates a new rollout at the current cursor position.</p></li>\n\
<li><p><strong>Next Message (F4)</strong> - goes to the next message in the Output pane.</p></li>\n\
<li><p><strong>Previous Message (SHIFT+F4)</strong> - goes to the previous message in the Output pane.</p></li>\n\
<li><p><strong>Clear Output (SHIFT+F5)</strong> - clears the Output pane.</p></li>\n\
<li><p><strong>Switch Pane (CTRL+F6)</strong> - switches between the Editor and the Output pane.</p></li>\n\
<li><p><strong>Open User Options File</strong>-opens the <strong>MXS_EditorUser.properties</strong> file for editing.If the file does not exist, an empty file will be generated by the Editor. It can be saved to the 3ds Max root directory by the user. It can contain the same settings as Global Options (see below), but settings made here will override those in the global file.This is useful for tweaking settings without deleting the global settings. Remarking or deleting the user overrides will enable the global settings again.</p></li>\n\
<li><p><strong>Open Global Options File</strong>-opens the global options file <strong><em>MXS_Editor.properties</em></strong> . See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> for details on supported settings.</p></li>\n\
<li><p><strong>Open Abbreviations File</strong>-opens the abbreviations file <strong><em>MXS_EditorAbbrev.properties</em></strong> for editing. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\' title=\'\'>MAXScript Editor - Defining And Using Abbreviations</a> for details on defining and using abbreviations.</p></li>\n\
<li><p><strong>Open MAXScript.properties</strong>-opens the <strong>MAXScript.properties</strong> file for editing. It is used to customize the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>MAXScript lexer</a> which performs the MAXScript-specific color coding, as well as settings associated with editing MAXScript format files such as the file extensions for MAXScript files, the auto-generated keyword lists, keywords12 for adding custom keywords, options related to folding, the definition of the various styles and a couple of additional file formats. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\' title=\'\'>MAXScript Editor - Customizing Syntax Color Schemes</a></p></li>\n\
<li><p><strong>Open html.properties</strong>-opens the HTML properties file.</p></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-View-Menu.html\' title=\'\'>MAXScript Editor - View Menu</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Options-Menu.html\' title=\'\'>MAXScript Editor - Options Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";