var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Output Pane</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Output Pane</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---output-pane\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> is based on the Scintilla control and the free SciTE editor. The stand-alone version of the SciTE editor provides an Output pane which can be used to output feedback, results and error messages when working with stand-alone programming languages like Python or LUA. Since the MAXScript Listener is already split into two panes (MacroRecorder and Listener), the SciTE Output Pane could not be easily redesigned to host both while providing all features the MAXScript Listener already has.</p>\n\
<p>In <strong>3ds Max</strong>, the Output pane of the MAXScript Editor is used mainly by the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\' title=\'\'>Find In Files</a> feature as well as by the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/GUID-9014954D-C25C-45B5-BD9C-19260B852185.html#source-control-integration\' title=\'\'>Source Control Check In and Check Out operations</a> which generally call an external application like Perforce or Subversion.</p>\n\
<p>The Output pane is located by default at the bottom of the Editor - drag the divider to expand it. It can be optionally placed at the right side of the editor - see the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/GUID-9014954D-C25C-45B5-BD9C-19260B852185.html#output-pane\' title=\'\'>Output Pane Properties</a> for details.</p>\n\
<div class=\'section\'><a id=\"using-the-windows-command-shell\"></a><h2 id=\"using-the-windows-command-shell\">Using the Windows Command Shell</h2></div>\n\
<p>Some of the standard features of the Output pane can still be used in <strong>3ds Max</strong>, for example typing in &#39;cmd&#39; will launch a Windows Command Shell providing all DOS commands available in the stand-alone shell of MS Windows:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6E3526F6-7784-4FAE-ABB5-467E5D73BD50-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";