var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Legacy Editor Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Legacy Editor Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-legacy-editor-commands\"></a></div>\n\
<p>The following menu bar commands and keyboard shortcuts were available in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/The-MAXScript-Legacy-Editor.html\' title=\'\'>Legacy MAXScript Editor</a>.</p>\n\
<p>The edit commands listed below were also available in the MAXScript Editor right-click menu.</p>\n\
<div class=\'section\'><a id=\"file-newctrln\"></a><h4 id=\"file-newctrln\"><em>File &gt; New,CTRL+N</em></h4></div>\n\
<p>Opens a new MAXScript Editor window for writing a new script.</p>\n\
<div class=\'section\'><a id=\"file-openctrlo\"></a><h4 id=\"file-openctrlo\"><em>File &gt; Open,CTRL+O</em></h4></div>\n\
<p>Opens a common File Open dialog for choosing an existing script. A new MAXScript Editor window then displays the selected script.</p>\n\
<div class=\'section\'><a id=\"file-closectrlw\"></a><h4 id=\"file-closectrlw\"><em>File &gt; Close,CTRL+W</em></h4></div>\n\
<p>Saves the contents of the MAXScript Editor to the current file name, and then closes the Editor window. If there is not a current file name (that is, the MAXScript Editor window was opened with File &gt; New), a common File Save dialog is opened.</p>\n\
<div class=\'section\'><a id=\"file-savectrls\"></a><h4 id=\"file-savectrls\"><em>File &gt; Save,CTRL+S</em></h4></div>\n\
<p>Saves the contents of the MAXScript Editor to the current file name. If there is not a current file name (that is, the MAXScript Editor window was opened with File &gt; New), a common File Save dialog is opened.</p>\n\
<div class=\'section\'><a id=\"file-save-as\"></a><h4 id=\"file-save-as\"><em>File &gt; Save As</em></h4></div>\n\
<p>Opens a common File Save dialog for choosing a new file name used to store the existing script.</p>\n\
<div class=\'section\'><a id=\"file-evaluate-allctrle\"></a><h4 id=\"file-evaluate-allctrle\"><em>File &gt; Evaluate All,CTRL+E</em></h4></div>\n\
<p>Evaluates the entire contents of the MAXScript Editor. This is similar to selecting all text, and then pressing <em>SHIFT+ENTER</em>. It has the advantage that the window&#39;s scroll position does not change.</p>\n\
<div class=\'section\'><a id=\"edit-undoctrlz\"></a><h4 id=\"edit-undoctrlz\"><em>Edit &gt; Undo,CTRL+Z</em></h4></div>\n\
<p>Undoes the last change made to the MAXScript Editor’s content.</p>\n\
<div class=\'section\'><a id=\"edit-undoctrly\"></a><h4 id=\"edit-undoctrly\"><em>Edit &gt; Undo,CTRL+Y</em></h4></div>\n\
<p>Redoes the undone changes made to the MAXScript Editor’s content.</p>\n\
<div class=\'section\'><a id=\"edit-cutctrlx\"></a><h4 id=\"edit-cutctrlx\"><em>Edit &gt; Cut,CTRL+X</em></h4></div>\n\
<p>Copies the selected text to the cut/paste buffer and deletes the text.</p>\n\
<div class=\'section\'><a id=\"edit-copyctrlc\"></a><h4 id=\"edit-copyctrlc\"><em>Edit &gt; Copy,CTRL+C</em></h4></div>\n\
<p>Copies the selected text to the cut/paste buffer.</p>\n\
<div class=\'section\'><a id=\"edit-pastectrlv\"></a><h4 id=\"edit-pastectrlv\"><em>Edit &gt; Paste,CTRL+V</em></h4></div>\n\
<p>Places the text in the cut/paste buffer at the cursor. If text is selected when executing this command, the selected text is replaced with the cut/paste buffer contents.</p>\n\
<div class=\'section\'><a id=\"edit-delete-del\"></a><h4 id=\"edit-delete-del\"><em>Edit &gt; Delete, DEL</em></h4></div>\n\
<p>Deletes the selected text.</p>\n\
<div class=\'section\'><a id=\"edit-select-allctrla\"></a><h4 id=\"edit-select-allctrla\"><em>Edit &gt; Select All,CTRL+A</em></h4></div>\n\
<p>Selects all text in the MAXScript Editor.</p>\n\
<div class=\'section\'><a id=\"search-findctrlf\"></a><h4 id=\"search-findctrlf\"><em>Search &gt; Find,CTRL+F</em></h4></div>\n\
<p>Displays Find dialog. Performs search in the MAXScript Editor for the Find What text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters as the Find What text. If matching text is found, the text is selected.</p>\n\
<div class=\'section\'><a id=\"search-find-nextctrlg\"></a><h4 id=\"search-find-nextctrlg\"><em>Search &gt; Find Next,CTRL+G</em></h4></div>\n\
<p>Repeats the last Search &gt; Find by finding and selecting the next occurrence of the Find What text.</p>\n\
<div class=\'section\'><a id=\"search-replacectrlh\"></a><h4 id=\"search-replacectrlh\"><em>Search &gt; Replace,CTRL+H</em></h4></div>\n\
<p>Displays Replace dialog. Performs search in the MAXScript Editor for the Find What text, and replaces the matching text with the Replace With text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters in the specified text.</p>\n\
<div class=\'section\'><a id=\"help-help\"></a><h4 id=\"help-help\"><em>Help &gt; Help</em></h4></div>\n\
<p>Displays the MAXScript Online Reference.</p>\n\
<div class=\'section\'><a id=\"help-about-maxscript\"></a><h4 id=\"help-about-maxscript\"><em>Help &gt; About MAXScript</em></h4></div>\n\
<p>Displays About MAXScript dialog.</p>\n\
<div class=\'section\'><a id=\"tabctrli\"></a><h4 id=\"tabctrli\"><em>TAB,CTRL+I</em></h4></div>\n\
<p>Indents selected lines of text by one tab width.</p>\n\
<div class=\'section\'><a id=\"shifttab-shiftctrli\"></a><h4 id=\"shifttab-shiftctrli\"><em>SHIFT+TAB, SHIFT+CTRL+I</em></h4></div>\n\
<p>Unindents selected lines of text by one tab width.</p>\n\
<div class=\'section\'><a id=\"shiftenter\"></a><h4 id=\"shiftenter\"><em>SHIFT+ENTER</em></h4></div>\n\
<p>A MAXScript Editor can send code selections to Listener for evaluation. Select some text in MAXScript Editor and press <em>SHIFT+ENTER</em> to send the selected text to Listener. Listener compiles and evaluates it and prints out the result at the end of the current text in Listener. If you press <em>SHIFT+ENTER</em> with no text selected, the line containing the cursor is sent to Listener for evaluation. This behavior is similar to using <em>SHIFT+ENTER</em> in Listener, except that the results of the evaluations are printed in the Listener, not inserted into the MAXScript Editor text.</p>\n\
<p>If you have a number pad on your keyboard, the Number-Pad <em>ENTER</em> key is an alternative to <em>SHIFT+ENTER</em> and can be used to execute commands. You may find the Number-Pad <em>ENTER</em> key faster and easier to use.</p>\n\
<div class=\'section\'><a id=\"ctrlright-click\"></a><h4 id=\"ctrlright-click\"><em>CTRL+Right-Click</em></h4></div>\n\
<p>Displays a pop-up menu of all the utility, structure, user-interface item, function, handler, plug-in, tool, Macro Script, and rcmenu definitions that exist in the current script. Select one of the items in the pop-up menu to position that definition at the top of the MAXScript Editor window. This simplifies large script navigation.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1F5103F0-EA4B-4E0E-BD7E-DF011FAA6889-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"ctrlb\"></a><h4 id=\"ctrlb\"><em>CTRL+B</em></h4></div>\n\
<p>Selects the text in the current bracket. Bracket balancer lets you check bracket balancing in long bits of code. The balancer works with any of the following: (), [], and {}. To use it, place the cursor anywhere in the script text and press <em>CTRL+B</em>. If the cursor is next to a bracket, the code bracketed by it and its matching bracket will be selected and highlighted. If the cursor is not next to a bracket, the closest bracketed code containing the cursor will be selected. If you press <em>CTRL+B</em> again, the next outer bracketed fragment is selected, and so on. You can keep pressing <em>CTRL+B</em> to move out through bracket nestings. If at any point there is a bracket mismatch, the balancer will beep and not select any text.</p>\n\
<div class=\'section\'><a id=\"ctrld\"></a><h4 id=\"ctrld\"><em>CTRL+D</em></h4></div>\n\
<p>Performs a simple <em>syntax coloring scheme</em> in the MAXScript Editor. Each time you press <em>CTRL+D</em>, the window is redrawn with comments in green, MAXScript reserved words in blue, and string literals in dark red. This often helps in reading large, complex programs. New text is always colored black and you have to press <em>CTRL+D</em> at some point to recolor the script. Syntax coloring is a programming aid and does not effect script execution.</p>\n\
<p>Script files will be automatically syntax colored when opened. Automatic syntax coloring as you type in the Editor will also be performed, but only on single line basis. Comments and strings spanning multiple lines will not be colored properly - please use <em>Ctrl+D</em> in such cases to force a manual update.</p>\n\
<div class=\'section\'><a id=\"ctrlr\"></a><h4 id=\"ctrlr\"><em>CTRL+R</em></h4></div>\n\
<p>Places the cursor at the location where it was previously placed with a mouse click or a find operation. Consecutive uses of <em>CTRL+R</em> cycle through the last eight cursor positions. This feature is useful if you edit at one location, move the cursor elsewhere with find or scroll operations, and then want to return to the edit location. This feature allows you to quickly review the code pieces you recently worked on.</p>\n\
<div class=\'section\'><a id=\"ctrlj\"></a><h4 id=\"ctrlj\"><em>CTRL+J</em></h4></div>\n\
<p>Opens a modal &quot;Go To Line Or Character&quot; dialog which lets you enter a line and/or character position to jump to. This feature could be used for example with the line and character numbers found in the output of the Debugger or in an error message in the Listener in <em>3ds Max 8 and higher</em>. The default values in the dialog will be set to the current cursor position.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BC07756B-98D6-4A89-B408-EB46F23CA470-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";