var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Tabbed Editor - Keyboard Shortcuts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Tabbed Editor - Keyboard Shortcuts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-tabbed-editor---keyboard-shortcuts\"></a></div>\n\
<p>The following tables list most keyboard shortcuts available in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong>.</p>\n\
<p><strong>The following table is ordered by feature area</strong>. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\' title=\'\'>second table</a> further on this page for shortcuts ordered alphabetically by key.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>HELP</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Help File.</td>\n\
<td align=\"left\">F1</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>FILE OPERATIONS</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">New File.</td>\n\
<td align=\"left\">Ctrl+N</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Open File.</td>\n\
<td align=\"left\">Ctrl+O</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Open Selected Filename.</td>\n\
<td align=\"left\">Ctrl+Shift+O</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Revert File to last saved version.</td>\n\
<td align=\"left\">Ctrl+R</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Close File</td>\n\
<td align=\"left\">Ctrl+W</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Save File</td>\n\
<td align=\"left\">Ctrl+S</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Save File As...</td>\n\
<td align=\"left\">Ctrl+Shift+S</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Save As Copy...</td>\n\
<td align=\"left\">Ctrl+Shift+P</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Print File</td>\n\
<td align=\"left\">Ctrl+P</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Cycle through files currently open in tabs.</td>\n\
<td align=\"left\">Ctrl+Tab, F6, Ctrl+PgDn</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Cycle backwards through tabs.</td>\n\
<td align=\"left\">Ctrl+Shift+Tab, Shift+F6, Ctrl+PgUp</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>SCRIPT EVALUATION</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Evaluate All</td>\n\
<td align=\"left\">Ctrl+E</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Evaluate Line/Selection</td>\n\
<td align=\"left\"><strong>Shift+ENTER, NumPad Enter</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>EDITING OPERATIONS</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Undo</td>\n\
<td align=\"left\">Ctrl+Z</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Redo</td>\n\
<td align=\"left\">Ctrl+Y</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Cut</td>\n\
<td align=\"left\">Ctrl+X</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Copy</td>\n\
<td align=\"left\">Ctrl+C</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Paste</td>\n\
<td align=\"left\">Ctrl+V</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Duplicate</td>\n\
<td align=\"left\">Ctrl+Shift+D</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Select All</td>\n\
<td align=\"left\">Ctrl+A</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Line cut</td>\n\
<td align=\"left\">Ctrl+L</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Line copy</td>\n\
<td align=\"left\">Ctrl+Shift+T</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Line delete</td>\n\
<td align=\"left\">Ctrl+Shift+L</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Line transpose with previous.</td>\n\
<td align=\"left\">Ctrl+T</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>DELETING TEXT</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Delete</td>\n\
<td align=\"left\">Del</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Delete All in Listener</td>\n\
<td align=\"left\">Ctrl+D</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Delete All in Editor</td>\n\
<td align=\"left\">Ctrl+Alt+D</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Delete to start of word.</td>\n\
<td align=\"left\">Ctrl+BackSpace</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Delete to end of word.</td>\n\
<td align=\"left\">Ctrl+Delete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Delete to start of line.</td>\n\
<td align=\"left\">Ctrl+Shift+BackSpace</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Delete to end of line.</td>\n\
<td align=\"left\">Ctrl+Shift+Delete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>SELECTING TEXT</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Select to next bookmark.</td>\n\
<td align=\"left\">Alt+F2</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Extend selection to start of document.</td>\n\
<td align=\"left\">Ctrl+Shift+Home</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Extend selection to start of display line.</td>\n\
<td align=\"left\">Alt+Shift+Home</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Extend selection to end of document.</td>\n\
<td align=\"left\">Ctrl+Shift+End</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Extend selection to end of display line.</td>\n\
<td align=\"left\">Alt+Shift+End</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>NAVIGATION</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Scroll up.</td>\n\
<td align=\"left\">Ctrl+Up</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Scroll down.</td>\n\
<td align=\"left\">Ctrl+Down</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Previous paragraph. Shift extends selection.</td>\n\
<td align=\"left\">Ctrl+[| |Next paragraph. Shift extends selection.|Ctrl+]</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Previous word. Shift extends selection.</td>\n\
<td align=\"left\">Ctrl+Left</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Next word. Shift extends selection.</td>\n\
<td align=\"left\">Ctrl+Right</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Previous word part. Shift extends selection.</td>\n\
<td align=\"left\">Ctrl+/</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Next word part. Shift extends selection.</td>\n\
<td align=\"left\">Ctrl+|</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>INDENTING TEXT</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Indent block.</td>\n\
<td align=\"left\">Tab</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">De-indent block.</td>\n\
<td align=\"left\">Shift+Tab</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Change Indentation Settings.</td>\n\
<td align=\"left\">Ctrl+Shift+I</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>BRACKET BALANCER</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Match Bracket</td>\n\
<td align=\"left\">Ctrl+B</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Select to Bracket</td>\n\
<td align=\"left\">Ctrl+Shift+B</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>AUTO-COMPLETE</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Complete Word</td>\n\
<td align=\"left\">Ctrl+ENTER</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Expand Abbreviation</td>\n\
<td align=\"left\">Ctrl+Shift+A</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Insert Abbreviation</td>\n\
<td align=\"left\">Ctrl+Shift+R</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>COMMENTING</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Block Comment or Uncomment</td>\n\
<td align=\"left\">Ctrl+Q</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Box Comment</td>\n\
<td align=\"left\">Ctrl+Shift+C</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Stream Comment</td>\n\
<td align=\"left\">Ctrl+Shift+Q</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>UPPER/LOWER CASE</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Make Selection Uppercase</td>\n\
<td align=\"left\">Ctrl+Shift+U</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Make Selection Lowercase</td>\n\
<td align=\"left\">Ctrl+U</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>SEARCH</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Find...</td>\n\
<td align=\"left\">Ctrl+F</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Find Next</td>\n\
<td align=\"left\">F3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Find Previous</td>\n\
<td align=\"left\">Shift+F3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Find selection</td>\n\
<td align=\"left\">Ctrl+F3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Find selection backwards</td>\n\
<td align=\"left\">Ctrl+Shift+F3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Replace...</td>\n\
<td align=\"left\">Ctrl+H</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>GO TO / BOOKMARKS</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Go To.../ Find Again In Listener</td>\n\
<td align=\"left\">Ctrl+G</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Go to start of document.</td>\n\
<td align=\"left\">Ctrl+Home</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Go to start of display line.</td>\n\
<td align=\"left\">Alt+Home</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Go to end of document.</td>\n\
<td align=\"left\">Ctrl+End</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Go to end of display line.</td>\n\
<td align=\"left\">Alt+End</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Next Bookmark</td>\n\
<td align=\"left\">F2</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Previous Bookmark</td>\n\
<td align=\"left\">Shift+F2</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Toggle Bookmark</td>\n\
<td align=\"left\">Ctrl+F2</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>VIEW</strong></td>\n\
<td align=\"left\"><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Full Screen</td>\n\
<td align=\"left\">F11</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Show Whitespaces</td>\n\
<td align=\"left\">Ctrl+Shift+8</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Show End Of Line Characters</td>\n\
<td align=\"left\">Ctrl+Shift+9</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Expand or contract a fold point.</td>\n\
<td align=\"left\">Ctrl+Numpad*| |<strong>FONT CONTROLS</strong>|<strong>KEYBOARD SHORTCUTS</strong>| |Magnify text size.|Ctrl+Numpad+| |Reduce text size.|Ctrl+Numpad-| |Restore text size to normal.|Ctrl+Numpad/| |Toggle Monospaced Font.|Ctrl+F11| |Switch to Text (No Syntax Coloring)|Shift+F11| |<strong>OUTPUT PANE CONTROLS</strong>|<strong>KEYBOARD SHORTCUTS</strong>| |Next Message|F4| |Previous Message|Shift+F4| |Clear Output|Shift+F5| |Switch to/from Output pane|Ctrl+F6| |<strong>SOURCE CONTROL</strong>|<strong>KEYBOARD SHORTCUTS</strong>| |Add File|Ctrl+F5| |Remove File|Ctrl+Shift+F5| |Check In|Shift+F5| |CheckOut|F5|</td>\n\
</tr>\n\
</table>\n\
<p><strong>The following table is ordered alphabetically by keys</strong>. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\' title=\'\'>previous table</a> on this page for shortcuts ordered by feature.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>KEYS</strong></td>\n\
<td align=\"left\"><strong>ACTION</strong></td>\n\
<td align=\"left\"><strong>NOTES</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Tab</td>\n\
<td align=\"left\">Indent Block</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Del</td>\n\
<td align=\"left\">Delete</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Numpad Enter</td>\n\
<td align=\"left\">Evaluate Line / Selection</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>F KEYS</strong></td>\n\
<td align=\"left\"><strong>ACTION</strong></td>\n\
<td align=\"left\"><strong>NOTES</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">F1</td>\n\
<td align=\"left\">Help</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">F2</td>\n\
<td align=\"left\">Next Bookmark</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">F3</td>\n\
<td align=\"left\">Find Next</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">F4</td>\n\
<td align=\"left\">Next Message</td>\n\
<td align=\"left\">Output pane only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">F5</td>\n\
<td align=\"left\">Check Out (Source Control)</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">F6</td>\n\
<td align=\"left\">Cycle Tabs</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">F11</td>\n\
<td align=\"left\">Full Screen Toggle</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>CTRL +KEY</strong></td>\n\
<td align=\"left\"><strong>ACTION</strong></td>\n\
<td align=\"left\"><strong>NOTES</strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+A</td>\n\
<td align=\"left\">Select all</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+B</td>\n\
<td align=\"left\">Select To Brace</td>\n\
<td align=\"left\">Listener only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+B</td>\n\
<td align=\"left\">Match Brace</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+C</td>\n\
<td align=\"left\">Copy selection</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+D</td>\n\
<td align=\"left\">Delete All</td>\n\
<td align=\"left\">Listener only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+E</td>\n\
<td align=\"left\">Evaluate All</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+F</td>\n\
<td align=\"left\">Find</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+G</td>\n\
<td align=\"left\">Find Again</td>\n\
<td align=\"left\">Listener only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+G</td>\n\
<td align=\"left\">Go To</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+H</td>\n\
<td align=\"left\">Replace</td>\n\
<td align=\"left\">Listener only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+L</td>\n\
<td align=\"left\">Line cut</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+N</td>\n\
<td align=\"left\">New Script</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+O</td>\n\
<td align=\"left\">Open Script</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+P</td>\n\
<td align=\"left\">Print</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Q</td>\n\
<td align=\"left\">Block Comment/Uncomment</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+R</td>\n\
<td align=\"left\">Run Script</td>\n\
<td align=\"left\">Listener only</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+R</td>\n\
<td align=\"left\">Revert</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+S</td>\n\
<td align=\"left\">Save</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+T</td>\n\
<td align=\"left\">Line transpose</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+U</td>\n\
<td align=\"left\">Lower case</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+V</td>\n\
<td align=\"left\">Paste</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+W</td>\n\
<td align=\"left\">Close</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+X</td>\n\
<td align=\"left\">Cut selection</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Y</td>\n\
<td align=\"left\">Redo</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Z</td>\n\
<td align=\"left\">Undo</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Down</td>\n\
<td align=\"left\">Line scroll down</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Up</td>\n\
<td align=\"left\">Line scroll up</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Left</td>\n\
<td align=\"left\">Word left</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Right</td>\n\
<td align=\"left\">Work right</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Ins</td>\n\
<td align=\"left\">Copy</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Del</td>\n\
<td align=\"left\">Delete word right</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Back</td>\n\
<td align=\"left\">Delete word left</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Home</td>\n\
<td align=\"left\">Document start</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+End</td>\n\
<td align=\"left\">Document end</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Enter</td>\n\
<td align=\"left\">Complete Word</td>\n\
<td align=\"left\">Editor only</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Numpad+</td>\n\
<td align=\"left\">Zoom in</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Numpad-</td>\n\
<td align=\"left\">Zoom out</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl+Numpad/</td>\n\
<td align=\"left\">Set zoom</td>\n\
<td align=\"left\">Editor and Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Ctrl+Numpad*|Fold toggle|Editor only| |Ctrl+/|Word part right|Editor and Listener| |Ctrl+|Word part left|Editor and Listener| |Ctrl+[|Paragraph up|Editor and Listener| |Ctrl+]|Paragraph down|Editor and Listener| |Ctrl+Tab|Cycle Tabs|Editor only| |Ctrl+PgDn|Cycle Tabs|Editor only| |Ctrl+PgUp|Cycle Tabs Backwards|Editor only| |Ctrl+F2|Toggle Bookmark|Editor only| |Ctrl+F3|Find Selection|Editor only| |Ctrl+F5|Add File (Source Control)|Editor only| |Ctrl+F6|Switch Editor/Output|Editor and Output| |Ctrl+F11|Use Monospaced Font|Editor only| |<strong>CTRL+SHIFT+KEY</strong>|<strong>ACTION</strong>|<strong>NOTES</strong>| |Ctrl+Shift+A|Expand Abbreviation|Editor only| |Ctrl+Shift+B|Select To Brace|Editor only| |Ctrl+Shift+C|Box Comment|Editor only| |Ctrl+Shift+D|Selection duplicate|Editor and Listener| |Ctrl+Shift+I|Change Indentation Settings|Editor only| |Ctrl+Shift+L|Line delete|Editor and Listener| |Ctrl+Shift+O|Open Selected Filename|Editor only| |Ctrl+Shift+P|Save a Copy|Editor only| |Ctrl+Shift+Q|Stream Comment|Editor only| |Ctrl+Shift+R|Insert Abbreviation|Editor only| |Ctrl+Shift+S|Save As|Editor only| |Ctrl+Shift+T|Line copy|Editor and Listener| |Ctrl+Shift+U|Upper case|Editor and Listener| |Ctrl+Shift+Left|Word left extend|Editor and Listener| |Ctrl+Shift+Right|Work right extend|Editor and Listener| |Ctrl+Shift+Del|Delete line right|Editor and Listener| |Ctrl+Shift+Back|Delete line left|Editor and Listener| |Ctrl+Shift+Home|Document start extend|Editor and Listener| |Ctrl+Shift+End|Document end extend|Editor and Listener| |Ctrl+Shift+/|Word part right extend|Editor and Listener| |Ctrl+Shift+|Word part left extend|Editor and Listener| |Ctrl+Shift+[|Paragraph up extend|Editor and Listener| |Ctrl+Shift+]|Paragraph down extend|Editor and Listener| |Ctrl+Shift+Tab|Cycle Tabs Backwards|Editor only| |Ctrl+Shift+8|View Whitespace|Editor only| |Ctrl+Shift+9|View End of Line|Editor only| |Ctrl+Shift+F3|Find Selection Backwards|Editor only| |Ctrl+Shift+F5|Remove File (Source Control)|Editor only| |<strong>SHIFT+KEY</strong>|<strong>ACTION</strong>|<strong>NOTES</strong>| |Shift+Down|Line extend down|Editor and Listener| |Shift+Up|Line extend up|Editor and Listener| |Shift+Left|Character extend left|Editor and Listener| |Shift+Right|Character extend right|Editor and Listener| |Shift+Ins|Paste|Editor and Listener| |Shift+Home|Line begin extend|Editor and Listener| |Shift+End|Line end extend|Editor and Listener| |Shift+Page Down|Page down extend|Editor and Listener| |Shift+Page Up|Page up extend|Editor and Listener| |Shift+Tab|Backtab|Editor and Listener| |Shift+Enter|Evaluate line/selection|Editor and Listener| |Shift+F2|Previous Bookmark|Editor only| |Shift+F3|Find Previous|Editor only| |Shift+F4|Previous Message|Output pane only| |Shift+F5|Clear Output|Output pane only| |Shift+F5|Check In (Source Control)|Editor only| |Shift+F6|Cycle Tabs Backwards|Editor only| |Shift+F11|Language - Text|Editor only| |<strong>ALT+KEY</strong>|<strong>ACTION</strong>|<strong>NOTES</strong>| |Alt+Home|Line begin jump|Editor and Listener| |Alt+End|Line end jump|Editor and Listener| |Alt+Backspace|Undo|Editor and Listener| |Alt+Mouse Drag|Window Select|Editor and Listener| |Alt+F2|Select to next bookmark|Editor only| |<strong>ALT+SHIFT+KEY</strong>|<strong>ACTION</strong>|<strong>NOTES</strong>| |Alt+Shift+Down|Line down rectangle extend|Editor and Listener| |Alt+Shift+Up|Line up rectangle extend|Editor and Listener| |Alt+Shift+Left|Character left rectangle extend|Editor and Listener| |Alt+Shift+Right|Character right rectangle extend|Editor and Listener| |Alt+Shift+Home|Line begin rectangle extend|Editor and Listener| |Alt+Shift+End|Line end rectangle extend|Editor and Listener| |Alt+Shift+Page Down|Page down rectangle extend|Editor and Listener| |Alt+Shift+Page Up|Page up rectangle extend|Editor and Listener| |Alt+Shift+Arrows|Window Select|Editor and Listener| |<strong>CTRL+ALT+KEY</strong>|<strong>ACTION</strong>|<strong>NOTES</strong>| |Ctrl+Alt+D|Delete All|Editor only|</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";