var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What is MAXScript?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What is MAXScript?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-is-maxscript\"></a></div>\n\
<p>MAXScript is the built-in scripting language of <strong>Autodesk</strong>® <strong>3ds Max</strong>®.</p>\n\
<p>MAXScript provides users of these products with the ability to:</p>\n\
<ul>\n\
<li><p>Script most aspects of the program&#39;s use, such as modeling, animation, materials, rendering, and so on.</p></li>\n\
<li><p>Control the program interactively through the command-line Listener window.</p></li>\n\
<li><p>Package scripts within custom Utility panel rollouts or modeless windows to give them a standard user interface.</p></li>\n\
<li><p>Package scripts as macro scripts, and install these macro scripts as buttons in the product’s toolbars, as items in menus, or assign them to keyboard shortcuts.</p></li>\n\
<li><p>Extend or replace the user interface for objects, modifiers, materials, textures, render effects, and atmospheric effects.</p></li>\n\
<li><p>Build scripted plug-ins for custom mesh objects, modifiers, render effects and more.</p></li>\n\
<li><p>Build custom import/export tools using ASCII and binary file I/O.</p></li>\n\
<li><p>Write procedural controllers that can access the entire state of the scene.</p></li>\n\
<li><p>Build batch-processing tools, such as batch-rendering scripts.</p></li>\n\
<li><p>Set up live interfaces to external systems through OLE Automation.</p></li>\n\
<li><p>Record your actions in the product as MAXScript commands.</p></li>\n\
<li><p>Store scripts in scene files to run at each of the supported notification events, for example when a scene has been reset, a file has been opened or saved, rendering has been started or stopped, object selection has changed and so on.</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";