var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>about</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>about</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"about\"></a></div>\n\
<p>The <span class=\'code\'>about &lt;center_spec&gt;</span> context is the MAXScript equivalent of the rotate/scale transform center list on the main <strong>3ds Max</strong> toolbar.</p>\n\
<p>It defines the center point about which any scale or rotation operation is performed within its context.</p>\n\
<p>Note that, like the center list in <strong>3ds Max</strong>, this sets only the center <strong>point</strong> for the operation, not the axis.</p>\n\
<p>The axis is taken from the current working coordinate system set using the <span class=\'code\'>coordsys</span> context expression:</p>\n\
<div class=\'codeBlock\'><pre>about selection \n\
</pre></div><p>Rotates/scales about the center of the current selection</p>\n\
<div class=\'codeBlock\'><pre>about pivot \n\
</pre></div><p>Rotates/scales about each object&#39;s pivot point</p>\n\
<div class=\'codeBlock\'><pre>about coordsys \n\
</pre></div><p>Rotates/scales about the center of the current working coordinate system set using the <span class=\'code\'>coordsys</span> context expression</p>\n\
<div class=\'codeBlock\'><pre>about &lt;node&gt; \n\
</pre></div><p>Rotates/scales about the pivot point of the given object</p>\n\
<div class=\'codeBlock\'><pre>about &lt;matrix3&gt; \n\
</pre></div><p>Rotates/scales about the center of the coordinate system specified by the given 3D matrix</p>\n\
<div class=\'codeBlock\'><pre>about &lt;point3&gt; \n\
</pre></div><p>Rotates/scales about the given point with coordinate system and axes taken from the current working coordinate system.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` -- rotate all the boxes 30 degrees about the y_axis of $foo about $foo rotate $box* 30 y_axis -- rotate each planet 45 degrees around its parent in coordsys parent about coordsys rotate $planets* 45 z_axis</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";