var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>at time</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>at time</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"at-time\"></a></div>\n\
<p>The <span class=\'code\'>at time &lt;time&gt;</span> context corresponds to the <strong>3ds Max</strong> time slider. Any animatable property references will yield their interpolated values for the specified time. If the Animate button is on, or the script is also in an <span class=\'code\'>animate on</span> context, keyframes are generated at the specified time when an animatable property of a <strong>3ds Max</strong> object is changed.</p>\n\
<p>Setting an <span class=\'code\'>at time</span> context does not affect the <strong>3ds Max</strong> time slider. The time associated with the time slider can be queried and set using the <span class=\'code\'>sliderTime</span> global variable.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` -- generate a keyframed animation of $foo randomly chasing $baz foo=box pos:[0,0,0] baz=sphere pos: [20,20,20] animate on for t in 0 to 100 by 5 do at time t $foo.pos = $baz.pos + random [-10,-10,-10] [10,10,10]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";