var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Number Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Number Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"number-literals\"></a></div>\n\
<p>MAXScript uses several types of numbers:</p>\n\
<ul>\n\
<li><p>single precision floating point</p></li>\n\
<li><p>double precision floating point</p></li>\n\
<li><p>32 bit signed integers</p></li>\n\
<li><p>64 bit signed integers</p></li>\n\
<li><p>64 bit Integer Pointers</p></li>\n\
</ul>\n\
<p>These number types correspond to the number types (Integer, Float, Double, Integer64 and IntegerPtr) used internally in <strong>3ds Max</strong>.</p>\n\
<p>The syntax for numbers is:</p>\n\
<div class=\'codeBlock\'><pre>[-]{&lt;digit&gt;}[(.{&lt;digit&gt;}[(e | E | d | D)[+ | -]{&lt;digit&gt;}+) | L | P] -- decimal\n\
\n\
0x{&lt;hex_digit&gt;}+ -- hexadecimal\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p>``` 123 123.45 -0.00345 1.0e-6 0x0E .1</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";