var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spaces and Other Special Characters in Pathnames</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spaces and Other Special Characters in Pathnames</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spaces-and-other-special-characters-in-pathnames\"></a></div>\n\
<p><strong>3ds Max</strong> lets you use any characters you want in object names, including spaces and other MAXScript punctuation.</p>\n\
<p>You can write pathnames that contain these characters by putting the name in single quotes,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` $&#39;a silly name!!&#39;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>These quotes do not hide wild-card characters, so if you happen to have an object in your scene with a <span class=\'code\'>&quot;*&quot;</span> in its name, you have to escape the <span class=\'code\'>&quot;*&quot;</span> character in the pathname with a backslash,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` $&#39;what the *&#39;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/String-Literals.html\' title=\'\'>String Literals</a> for other escape character sequences.</p>\n\
<p>Because of the large number of names in <strong>3ds Max</strong> that include spaces, the underscore character (**&quot;_&quot;**) can be used instead of a space in a name.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>the following two lines are equivalent:</p>\n\
<p>``` bodyPart=\\(&#39;Bip01 L UpperArm&#39;  bodyPart=\\)Bip01_L_UpperArm</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";