var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Code Layout</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Code Layout</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"code-layout\"></a></div>\n\
<p>The end-of-line layout rules, as described in <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\' title=\'\'>Source Code Layout and Continuation Lines</a>, mean an end-of-line indicates the end of a function call if the line ends at the end of a complete argument.</p>\n\
<p>You cannot simply break up a function call with many arguments into several lines, because each line becomes a separate expression, almost certainly causing an error. Use the &quot;\\&quot; continuation character in this situation,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` foo = standardMaterial twosided:on shininess:34<br> diffuseMap:baz<br> opacityMap:bar<br> bumpMap:boo</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";