var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Function Precedence</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Function Precedence</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"function-precedence\"></a></div>\n\
<p>A <span class=\'code\'>&lt;function_call&gt;</span> has a lower precedence than an <span class=\'code\'>&lt;operand&gt;</span>, but it has a higher precedence than all the math, comparison, and logical operations. This means you have to be careful about correctly parenthesizing function arguments.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` sin x + 1</p>\n\
<p>```</p>\n\
<p>is evaluated as:</p>\n\
<p>``` (sin x) + 1</p>\n\
<p>```</p>\n\
<p>In general, you have to put arguments that are expressions inside parentheses,</p>\n\
<p>``` sin (x + 1) atan2 (y - 1) (z - 1)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This rule has one exception, the unary minus. It is recognized as one type of <span class=\'code\'>&lt;operand&gt;</span> you don’t have to parenthesize.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` sin -x</p>\n\
<p>```</p>\n\
<p>is interpreted as:</p>\n\
<p>``` sin (-x)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";