var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Reserved Keywords, Symbols, Punctuation and Variables</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Reserved Keywords, Symbols, Punctuation and Variables</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reserved-keywords-symbols-punctuation-and-variables\"></a></div>\n\
<p>As with any computer language, MAXScript features a number of lexical tokens, corresponding to the words and numbers and punctuation that are the building blocks of English. Tokens fall into several categories:</p>\n\
<ul>\n\
<li><p>Reserved ‘keywords’ that typically introduce clauses in the language, such as <span class=\'code\'>if</span> , <span class=\'code\'>for</span> , and <span class=\'code\'>function</span> .</p></li>\n\
<li><p>Punctuation marks and symbols that separate or group clauses or specify math operators, etc.</p></li>\n\
<li><p>Reserved global variables containing <strong>3ds Max</strong> system global variables and MAXScript predefined global variables.</p></li>\n\
</ul>\n\
<p>The following list of topics contains information about the above types of tokens and their syntax:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Language-Reserved-Keywords.html\' title=\'\'>Language Reserved Keywords</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Punctuation-and-Symbols.html\' title=\'\'>Punctuation and Symbols</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Reserved-Global-Variables.html\' title=\'\'>Reserved Global Variables</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";