var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Structure Inherited Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Structure Inherited Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"structure-inherited-methods\"></a></div>\n\
<p>All structures inherit from the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Values-1.html\' title=\'\'>Value</a> class and so structure instances implement the Value methods <span class=\'code\'>print()</span> , <span class=\'code\'>format()</span> , <span class=\'code\'>classOf()</span> , <span class=\'code\'>superClassOf()</span> , <span class=\'code\'>isKindOf()</span> , <span class=\'code\'>==</span> , and <span class=\'code\'>!=</span> . The <span class=\'code\'>copy()</span> method is the only method not inherited from Value that structures implement. It yields a top-level copy of the structure you call it on, meaning that you get a new, separate structure instance containing the same element values as the original and then you can modify that copy independently. The element values are not themselves copies, so for example, if one of the elements was an array, the copy would reference that same array, not a copy of that array.</p>\n\
<p>The deepCopy() method returns a deep copy of a structure, which creates not only a copy of the top-level structure, but also of all its elements. Available in <strong>3ds Max 2019 and higher</strong>. Note that if the elements contain multiple references to a value, the copy will contain multiple references to a new value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";