var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActionItem Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActionItem Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"actionitem-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#actionItemExecutionEnded: array\n\
</pre></div><p>Sent when an action item finished executing.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements:</p>\n\
<ol>\n\
<li>The name of the action item.</li>\n\
<li>The ID of the action item.</li>\n\
</ol>\n\
<div class=\'codeBlock\'><pre>#actionItemExecutionStarted: array\n\
</pre></div><p>Sent when an action item starts executing.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements:</p>\n\
<ol>\n\
<li>The name of the action item.</li>\n\
<li>The ID of the action item.</li>\n\
</ol>\n\
<div class=\'codeBlock\'><pre>#actionItemHotKeyPostExecute: array\n\
</pre></div><p>Sent after an action item is executed via a keyboard shortcut (hotkey).</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements:</p>\n\
<ol>\n\
<li>The name of the action item.</li>\n\
<li>The ID of the action item.</li>\n\
</ol>\n\
<div class=\'codeBlock\'><pre>#actionItemHotkeyPreExecute: array\n\
</pre></div><p>Sent before an action item is executed via a keyboard shortcut (hotkey).</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements:</p>\n\
<ol>\n\
<li>The name of the action item.</li>\n\
<li>The ID of the action item.</li>\n\
</ol>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";