var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Image Viewer Display Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Image Viewer Display Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"image-viewer-display-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#imageViewerUpdate: IVFB Interface \n\
</pre></div><p>Sent by an image viewer (or the rendered frame window) to request that its custom rollouts update their UI. Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\' title=\'\'>IVFB interface</a> which allows rollouts to be added to the Virtual Frame Buffer (a.k.a. Rendered Frame Window).</p>\n\
<div class=\'codeBlock\'><pre>#preImageViewerDisplay: IVFB Interface \n\
</pre></div><p>Sent after the image viewer is created, but before it becomes visible. Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\' title=\'\'>IVFB interface</a> which allows rollouts to be added to the Virtual Frame Buffer (a.k.a. Rendered Frame Window).</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#postImageViewerDisplay: IVFB Interface \n\
</pre></div><p>Sent after the image viewer becomes visible. Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\' title=\'\'>IVFB interface</a> which allows rollouts to be added to the Virtual Frame Buffer (a.k.a. Rendered Frame Window).</p>\n\
<p>Available in<strong>3ds Max 2009 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";