var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#FailedDirectXMaterialTextureLoad: undefined \n\
</pre></div><p>Sent when a bitmap fails to load in the DirectX Shader Material.</p>\n\
<p>This is usually when DirectX does not support the file format. The developer can register for this notification so that they can convert the format into a DirectX texture resource.</p>\n\
<div class=\'codeBlock\'><pre>#mtlRefAdded: material \n\
</pre></div><p>Called when a material reference is added.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the Material.</p>\n\
<div class=\'codeBlock\'><pre>#mtlRefDeleted: material \n\
</pre></div><p>Called when a material reference is deleted.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the Material</p>\n\
<div class=\'codeBlock\'><pre>#proxyTempDisableStart: undefined\n\
#proxyTempDisableEnd: undefined\n\
</pre></div><p>Sent before and after an operation that temporarily disables bitmap proxies.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns undefined</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";