var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Modifier Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Modifier Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modifier-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#preModifierAdded: #(node, modifier) \n\
</pre></div><p>Sent before a modifier is added to a node.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a 2 element array containing the node and the modifier which was added.</p>\n\
<div class=\'codeBlock\'><pre>#postModifierAdded: #(node, modifier) \n\
</pre></div><p>Sent after a modifier is added to a node.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a 2 element array containing the node and the modifier which was added.</p>\n\
<div class=\'codeBlock\'><pre>#preModifierDeleted: #(node, modifier) \n\
</pre></div><p>Sent before a modifier is deleted from a node.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a 2 element array containing the node and the modifier which was deleted.</p>\n\
<div class=\'codeBlock\'><pre>#postModifierDeleted: #(node, modifier) \n\
</pre></div><p>Sent after a modifier is deleted from a node.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a 2 element array containing the node and the modifier which was deleted.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";