var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Named Selection Set Notification</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Named Selection Set Notification</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"named-selection-set-notification\"></a></div>\n\
<div class=\'codeBlock\'><pre>#NamedSelSetCreated: string \n\
</pre></div><p>Sent after a named selection set is created.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> will return the new selection set name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>#NamedSelSetDeleted: string \n\
</pre></div><p>Sent after a named selection set is deleted.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> will return the name of the deleted named selections set.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>#NamedSelSetRenamed: string \n\
</pre></div><p>Sent after a named selection set is renamed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> will return an array containing the old name and new name of the renamed selection set.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>#NamedSelSetPreModify: string \n\
</pre></div><p>Sent when the node set of a named selection set begins to be changed. For example, when nodes are added or removed from a named selection set,or the node set of a named selection set is completely replaced.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> will return the name of the modified selection set.</p>\n\
<div class=\'codeBlock\'><pre>#NamedSelSetPostModify: string \n\
</pre></div><p>Sent when the node set of a named selection set has been changed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> will return the name of the modified selection set.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";