var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Other Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Other Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"other-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#activeViewportChanged: undefined \n\
</pre></div><p>Sent when the current active viewport is changed.</p>\n\
<div class=\'codeBlock\'><pre>#activeShadeInViewportToggled: undefined \n\
</pre></div><p>Sent when ActiveShade in the viewport is toggled on/off. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#atsPostRepathPhase: undefined \n\
</pre></div><p>Sent after the asset tracking system traversal completes.</p>\n\
<div class=\'codeBlock\'><pre>#atsPreRepathPhase: undefined \n\
</pre></div><p>Sent before the asset tracking system traversal starts.</p>\n\
<div class=\'codeBlock\'><pre>#bitmapChanged: string \n\
</pre></div><p>Sent after a bitmap is reloaded.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the String containing bitmap texture bitmap file name.</p>\n\
<div class=\'codeBlock\'><pre>#byCategoryDisplayFilterChanged: undefined \n\
</pre></div><p>Sent AFTER object categories marked to be hidden\\unhidden.</p>\n\
<div class=\'codeBlock\'><pre>#colorChanged: undefined \n\
</pre></div><p>Sent when the system is updating it’s custom colors.</p>\n\
<div class=\'codeBlock\'><pre>#cuiMenusUpdate: undefined \n\
</pre></div><p>Sent when the main application menu bar is updated.</p>\n\
<div class=\'codeBlock\'><pre>#customDisplayFilterChanged: undefined \n\
</pre></div><p>Sent AFTER custom display filters have been activated\\deactivated.</p>\n\
<div class=\'codeBlock\'><pre>#lightingUnitDisplaySystemChange: undefined \n\
</pre></div><p>Sent when lighting unit display system is changed.</p>\n\
<div class=\'codeBlock\'><pre>#mouseSettingsChanged: undefined \n\
</pre></div><p>Sent after mouse setting file has changed, for example, after loading/saving a new mouse setting file.</p>\n\
<div class=\'codeBlock\'><pre>#preViewPanelDelete: integer \n\
</pre></div><p>Sent before a viewport is deleted. It usually occurs when removing a view tab.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within in the callback function returns the HWND of the viewport.</p>\n\
<div class=\'codeBlock\'><pre>#preViewportTooltip: node \n\
</pre></div><p>Sent before a viewport tooltip pops up.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within in the callback function returns the node triggering the tooltip.</p>\n\
<div class=\'codeBlock\'><pre>#sceneExplorerNeedsUpdate: undefined \n\
</pre></div><p>Sent if the scene explorer needs to refresh its display.</p>\n\
<div class=\'codeBlock\'><pre>#sceneStateDelete: string \n\
</pre></div><p>Sent when a scene state is deleted.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within in the callback function returns the scene state name.</p>\n\
<div class=\'codeBlock\'><pre>#sceneStateRename: #(string, string) \n\
</pre></div><p>Sent when a scene state is renamed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within in the callback function returns an array of two elements containing the old name and the new name.</p>\n\
<div class=\'codeBlock\'><pre>#spacemodeChange: undefined \n\
</pre></div><p>Sent if the user changes the reference coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>#timeunitsChange: undefined \n\
</pre></div><p>Sent if the user changes the time format setting.</p>\n\
<div class=\'codeBlock\'><pre>#unitsChange: undefined \n\
</pre></div><p>Sent if the user changes the unit setting.</p>\n\
<div class=\'codeBlock\'><pre>#viewportChange: undefined \n\
</pre></div><p>Sent every time the viewport parameters change, including panning, zooming and orbiting the viewport or changing the active viewport.</p>\n\
<p>Currently, there is no notification for viewport layout change.</p>\n\
<div class=\'codeBlock\'><pre>#viewportSafeFrameToggle: integer\n\
</pre></div><p>Sent when the viewport Safe Frame is turned on or off.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within in the callback function returns an Integer value - 1 for on, 0 for off.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#mainWindowEnabled: boolean \n\
</pre></div><p>Sent when the main application window gets enabled.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns a Boolean value - true if the main <strong>3ds Max</strong> window is being enabled, false if another window is being enabled.</p>\n\
<div class=\'codeBlock\'><pre>#heightMenuChanged: undefined \n\
</pre></div><p>Sent when a user operated the height menu.</p>\n\
<div class=\'codeBlock\'><pre>#playbackStart: undefined \n\
</pre></div><p>Sent when the animation playback starts.</p>\n\
<div class=\'codeBlock\'><pre>#playbackEnd: undefined \n\
</pre></div><p>Sent when the animation playback ends.</p>\n\
<div class=\'codeBlock\'><pre>#preProgress: undefined \n\
</pre></div><p>Sent before the progress bar is displayed.</p>\n\
<div class=\'codeBlock\'><pre>#postProgress: undefined \n\
</pre></div><p>Sent after the progress bar is finished.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";