var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sending Windows Message</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sending Windows Message</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sending-windows-message\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Windows Messages are used by the Microsoft Windows notification system. By sending Windows Messages, the MAXScript developer can participate in the Windows notification system and access features not directly available in MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Windows.sendMessage &lt;int HWND&gt; &lt;int message&gt; &lt;int messageParameter1&gt; &lt;int messageParameter2&gt;\n\
</pre></div><p>Calls the Window’s SendMessage function passing the argument values.</p>\n\
<p>For an example, see <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-2.html\' title=\'\'>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";