var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Adobe Acrobat ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Adobe Acrobat ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"adobe-acrobat-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;Adobe Acrobat Control for ActiveX&quot; &quot;PDF.PdfCtrl.5&quot; &quot;{CA8A9780-280D-11CF-A24D-444553540000}&quot; \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the PDF ActiveX control is registered on your system.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DE145650-A904-4D2C-B4FA-B90DFDC49932-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.src : string   \n\
</pre></div><p>Get/Set the source PDF file.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>.LoadFile fileName:string \n\
</pre></div><p>Load a new PDF file.</p>\n\
<div class=\'codeBlock\'><pre>.setShowToolbar On:Boolean \n\
</pre></div><p>When the argument is false, the toolbar will be hidden. When the argument is true, the toolbar will be displayed.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D11E115D-8D0F-4DC7-A67C-9CB4B73FDA8E-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>.gotoFirstPage() \n\
</pre></div><p>Positions the PDF document at the first page.</p>\n\
<div class=\'codeBlock\'><pre>.gotoLastPage() \n\
</pre></div><p>Positions the PDF document at the last page.</p>\n\
<div class=\'codeBlock\'><pre>.gotoNextPage() \n\
</pre></div><p>Moves to the next page in the PDF document.</p>\n\
<div class=\'codeBlock\'><pre>.gotoPreviousPage() \n\
</pre></div><p>Moves to the previous page in the PDF document.</p>\n\
<div class=\'codeBlock\'><pre>.setCurrentPage n:integer \n\
</pre></div><p>Sets the current page of the PDF document to the supplied integer argument.</p>\n\
<div class=\'codeBlock\'><pre>.goForwardStack() \n\
.goBackwardStack() \n\
.setPageMode pageMode:string \n\
</pre></div><p>Set the page mode to the supplied string argument.</p>\n\
<div class=\'codeBlock\'><pre>.setLayoutMode layoutMode:string \n\
</pre></div><p>Set the layout mode to the supplied string argument.</p>\n\
<div class=\'codeBlock\'><pre>.setNamedDest namedDest:string \n\
</pre></div><p>Set a named destination.</p>\n\
<div class=\'codeBlock\'><pre>.Print() \n\
</pre></div><p>Print the PDF document.</p>\n\
<div class=\'codeBlock\'><pre>.printWithDialog() \n\
</pre></div><p>Open the Print... dialog.</p>\n\
<div class=\'codeBlock\'><pre>.setZoom percent:float \n\
</pre></div><p>Set the Zoom to the specified float value.</p>\n\
<div class=\'codeBlock\'><pre>.setZoomScroll percent:float left:float top:float \n\
</pre></div><p>Set Zoom and Scroll to the specified float values.</p>\n\
<div class=\'codeBlock\'><pre>.setViewview Mode:string \n\
</pre></div><p>Set the view to the specified view mode.</p>\n\
<div class=\'codeBlock\'><pre>.setViewScroll viewMode:string offset:float \n\
</pre></div><p>Set the view to the specified view mode and the offset to the specified float value.</p>\n\
<div class=\'codeBlock\'><pre>.setViewRect left:float top:float width:float height:float \n\
</pre></div><p>Set the view to the rectangular area defined by the upper left corner, width and height values.</p>\n\
<div class=\'codeBlock\'><pre>.printPages from:integer to:integer \n\
</pre></div><p>Print a range of pages.</p>\n\
<div class=\'codeBlock\'><pre>.printPagesFit from:integer to:integer shrinkToFit:boolean \n\
</pre></div><p>Print a range of pages with optional fitting.</p>\n\
<div class=\'codeBlock\'><pre>.printAll() \n\
</pre></div><p>Print all pages.</p>\n\
<div class=\'codeBlock\'><pre>.printAllFit shrinkToFit:Boolean \n\
</pre></div><p>Print a all pages, shrinking them to fit the paper format when the supplied argument is set to true.</p>\n\
<div class=\'codeBlock\'><pre>.setShowScrollbars On:Boolean \n\
</pre></div><p>Enable/Disable the Scrollbars display.</p>\n\
<p><img src=\'developer/images/GUID-5DD0AC4B-5944-4664-80BA-364B216B750F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-1EDA6A86-3C02-443B-AFDE-B9B7DD172B7B-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.AboutBox() \n\
</pre></div><p>Open the About box. (Does not work at the moment)</p>\n\
<p><strong>Events</strong></p>\n\
<p>No events exposed by this control.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";