var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Excel Spreadsheet in Internet Browser Control as Extended Viewport</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Excel Spreadsheet in Internet Browser Control as Extended Viewport</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"excel-spreadsheet-in-internet-browser-control-as-extended-viewport\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Creates a Microsoft Excel spreadsheet inside an embedded Microsoft Internet Explorer browser control. It also registers the rollout as an extended viewport -</p>\n\
<blockquote>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<p>``` rollout rExcel &quot;Excel&quot; ( activeXControl ax &quot;e:\\test.xls&quot; height:250 width:370 align:#center ) fExcel = newRolloutFloater &quot;Excel&quot; 390 270 addRollout rExcel fExcel format &quot;----Application----&quot; showProperties rExcel.ax.application format &quot;----Parent----&quot; showProperties rExcel.ax.parent format &quot;----Container----&quot; showProperties rExcel.ax.container -- In case of MS Excel .document points to the msexcel.workbook workbook = rExcel.ax.document format &quot;----Document----&quot; showProperties workbook showHidden:true showMethods workbook showHidden:false props = getPropNames workbook sort props for prop in props do ( try ( format &quot;\\t%=%\\n&quot; (prop as string) (getProperty workbook prop) ) catch () )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6CBCB367-E7F3-4496-8B6B-0DC0F3C54CEF-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";