var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shockwave Flash ActiveX Object Events</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shockwave Flash ActiveX Object Events</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shockwave-flash-activex-object-events\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example might not work unless the used ActiveX control is installed on your system.</p>\n\
<p>Here is a sample script that creates a text object and sets the text to FSCommand event argument value sent by Shockwave Flash objects:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout rFlash &quot;Shockwave Flash Object&quot; ( local txtObj fn checkTextObject = ( if $text01 == undefined then ( txtObj = text text:&quot;&quot; name:&quot;text01&quot; addModifier txtObj (extrude amount:10) txtObj.wirecolor = red rotate txtObj 90 x_axis ) else ( txtObj = $text01 ) ) activeXControl axFlash &quot;{D27CDB6E-AE6D-11CF-96B8-444553540000}&quot; height:200 width:300 align:#left on axFlash OnReadyStateChange arg1 do format &quot;handler: OnReadyStateChange : %\\n&quot; arg1 on axFlash OnProgress arg1 do format &quot;handler: OnProgress : %\\n&quot; arg1 on axFlash FSCommand arg1 arg2 do ( checkTextObject() txtObj.text = arg1 + &quot;+&quot; + arg2 max tool zoomextents all ) on rFlash open do ( axFlash.movie = &quot;e:\\Movie1.swf&quot; axFlash.movie = &quot;e:\\Movie1.swf&quot; -- need to load 2nd time sometimes checkTextObject(); ) ) flashFloater = newRolloutFloater &quot;Shockwave Flash Object&quot; 350 300 10 10 addRollout rFlash flashFloater</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-97BD59B5-0CF4-4DCF-B8AB-6A3E424DD1F0-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";