var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Windows Media Player ActiveX Control Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Windows Media Player ActiveX Control Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"windows-media-player-activex-control-example\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the Windows Media Player ActiveX control is registered on your system.</p>\n\
<p>The following example creates a Windows Media Player in a rollout.</p>\n\
<ul>\n\
<li><p>You can load an avi file by clicking the &quot;Pick Avi&quot; button and choosing an Avi file from disk.</p></li>\n\
<li><p>When the play button is hit the &quot;on timer...&quot; event is called. This synchronizes the time slider with the active frame in the media player!</p></li>\n\
<li><p>Click &quot;Show properties&quot; to get all the properties listed in the listbox.</p></li>\n\
<li><p>You can get a property&#39;s value by selecting the property name from the listbox.</p></li>\n\
<li><p>You can also set a property by picking a property from the listbox and entering the new value in the text field below.</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<p>``` rollout rActiveX &quot;Windows Media Player in a Rollout&quot; ( local val activeXControl ax &quot;{05589FA1-C356-11CE-BF01-00AA0055595A}&quot; height:200 width:300 align:#left button btnPick &quot;Pick Avi&quot; pos:[320, 10] button btnProps &quot;Show Properties&quot; pos:[320, 50] listBox lbProps &quot;Properties:&quot; pos:[420, 10] width:170 editText etValue &quot;Value:&quot; pos:[385, 170] width:200 label lblStatus &quot;&quot; pos:[440, 190] on btnPick pressed do ( local f = getOpenFileName caption:&quot;Pick Any Avi File&quot; types:&quot;<em>.avi&quot; if f != undefined then ax.FileName = f ) on btnProps pressed do ( showProperties ax lbProps.items = getPropNames ax ) on lbProps selected sel do ( if lbProps.items.count &gt; 0 then ( try ( val = getProperty ax lbProps.items[sel] ) catch ( val == undefined ) etValue.text = val as string ) ) on etValue entered text do ( try( setProperty ax lbProps.selected (text as (classof val)) ) catch( etValue.text = &quot;Set Failed&quot;) ) on ax timer do ( sliderTime = animationRange.start + (ax.CurrentPosition </em> (animationRange.end - animationRange.start))/(ax.selectionEnd - ax.selectionStart) ) on ax PositionChange oldPos newPos do ( format &quot;[%, %]\\n&quot; oldPos newPos ) ) nf = newRolloutFloater &quot;Test ActiveX&quot; 650 300 addRollout rActiveX nf</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FBC56514-C0D8-4DE1-A287-3DDC23D07E5E-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";