var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>loadpicture</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>loadpicture</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"loadpicture\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The loadPicture method provides a return value to be used as icon in ActiveX Controls.</p>\n\
<div class=\'codeBlock\'><pre>loadPicture &lt;filename_string&gt;\n\
</pre></div><p>Return value is a IPictureDisp, an MSDispatch object. File type must be a .bmp, .wmf, or .ico format. Anywhere an activeX control accepts IPictureDisp, you can pass the return value from this function. See the new Named Selection Set dialog and the <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\' title=\'\'>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a> tutorial for example usages.</p>\n\
<p>Note:</p>\n\
<p>Does not accept symbolic paths.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";