var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>cui.DockDialogBar and cui.FloatDialogBar</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>cui.DockDialogBar and cui.FloatDialogBar</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cui.dockdialogbar-and-cui.floatdialogbar\"></a></div>\n\
<div class=\'codeBlock\'><pre>cui.DockDialogBar &lt;RolloutFloater_or_Rollout&gt; &lt;dockflag&gt;     \n\
</pre></div><p>This method docks a registered dialog bar to the specified docking area.</p>\n\
<p><span class=\'code\'>&lt;RolloutFloater_or_Rollout&gt;</span> - This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog, and has been registered using cui.RegisterDialogBar.</p>\n\
<p><span class=\'code\'>&lt;dockflag&gt;</span> - Specifies the area to dock the dialog bar to.</p>\n\
<p>Can be one of the following:</p>\n\
<p><span class=\'code\'>#cui_dock_left</span> - dock to the left</p>\n\
<p><span class=\'code\'>#cui_dock_top</span> - dock to the top</p>\n\
<p><span class=\'code\'>#cui_dock_right</span> - dock to the right</p>\n\
<p><span class=\'code\'>#cui_dock_bottom</span> - dock to the bottom</p>\n\
<p>Note: Attempting to set the <span class=\'code\'>&lt;dockflag&gt;</span> to any other value than the listed above will cause unpredictable results. Always dock to one of the four sides.</p>\n\
<div class=\'codeBlock\'><pre>cui.FloatDialogBar &lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This method will float a registered dialog bar.</p>\n\
<p><span class=\'code\'>&lt;RolloutFloater_or_Rollout&gt;</span> - This parameter must be a RolloutFloater created with <span class=\'code\'>NewRolloutFloater</span> or a Rollout that has been installed in a dialog using <span class=\'code\'>CreateDialog</span> , and has been registered using <span class=\'code\'>cui.RegisterDialogBar</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";