var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Shape Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Shape Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-shape-plug-ins\"></a></div>\n\
<p>Scripted Shape plug-ins can only extend existing Shape plug-ins.</p>\n\
<p>A scripted Shape plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>shape</span> .</p>\n\
<p>If a <span class=\'code\'>create</span> tool is specified, it will override the delegate&#39;s create tool.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` plugin shape Extended_Rect name:&quot;Rectangle2&quot; classID:#(0x133067, 0x54375) extends:rectangle version:1 category:&quot;Splines&quot; ( tool create ( local startPoint on mousePoint click do case click of ( 1: startPoint = nodeTM.translation = gridPoint 3: #stop ) on mouseMove click do case click of ( 2: (delegate.width= abs gridDist.x delegate.length= abs gridDist.y nodeTM.translation = startpoint + gridDist/2. ) 3: delegate.corner_radius = amax 0 -gridDist.x ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";