var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout Systems &#39;category&#39; Mechanism</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout Systems &#39;category&#39; Mechanism</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-systems-category-mechanism\"></a></div>\n\
<p>You can control the grouping of rollout for a plug-in, utility or floater by supplying a <span class=\'code\'>category:&lt;integer&gt;</span> creation parameter before the opening parenthesis of the rollout body.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout rollout01 &quot;Rollout 01&quot; category:10 ( button btn_pressme &quot;Press Me&quot; ) rollout rollout02 &quot;Rollout 02&quot; category:1 ( button btn_pressme &quot;Press Me&quot; ) rollout rollout03 &quot;Rollout 03&quot; category:2 ( button btn_pressme &quot;Press Me&quot; ) theFloater = newRolloutFloater &quot;Test&quot; 200 200 addRollout rollout01 theFloater addRollout rollout02 theFloater addRollout rollout03 theFloater</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>Note: Although we added the rollouts in the order of their naming (rollout01, rollout02, rollout03), they appear in the floater in the order defined by the category - Category 1 first, then 2, then 10. If unspecified, the default value for category is 4000.</p>\n\
</blockquote>\n\
<blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7890D9B4-EB55-49C4-8484-C53765FA04F7-low.gif\' title=\'\'></div>\n\
<p>The Floater does not allow dynamic reordering via the mouse, but scripted plugin rollouts shown in the modify tab of the command panel will participate in the rollout reordering system and can be reordered manually.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>category:</span> keyword is a creation parameter and cannot be accessed as a property of the rollout after the creation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";