var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controlling the Auto-Backup</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controlling the Auto-Backup</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controlling-the-auto-backup\"></a></div>\n\
<p>In versions prior to <strong>3ds Max 9</strong>, the Auto-Backup feature would continue saving even if the scene was untouched. Over a long period of time it was possible for the user to return to their computer and have all their autobackup files completely overwritten with the &#39;latest&#39; scene.</p>\n\
<p>This has been fixed in <strong>3ds Max 9</strong>and higher by respecting the scene&#39;s dirty flag (scene needs saving). If the scene has not been changed, no backup will be performed.</p>\n\
<p>In addition, the timer will now be reset AFTER the Auto-Backup has completed, giving the user exactly the number of minutes specified as the Auto-Backup Interval to work on the scene before the next saving occurs.</p>\n\
<p>Using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\' title=\'\'>Autosave Core Interface</a>, you can also change the name of the Auto-Backup files to avoid multiple sessions of <strong>3ds Max</strong> from overwriting their backup files.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";