var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Custom User Interface Files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Custom User Interface Files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"custom-user-interface-files\"></a></div>\n\
<p>The following methods exposed via the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\' title=\'\'>cui Struct</a> provide access to Custom User Interface (CUI) files.</p>\n\
<div class=\'codeBlock\'><pre>cui.getDir()     \n\
</pre></div><p>Returns the directory of the currently active CUI file as a string.</p>\n\
<div class=\'codeBlock\'><pre>cui.getConfigFile()   \n\
</pre></div><p>Returns the currently active CUI file name as a string.</p>\n\
<div class=\'codeBlock\'><pre>cui.setConfigFile &lt;filename_string&gt; \n\
</pre></div><p>Sets the currently active CUI file to the specified file name.</p>\n\
<div class=\'codeBlock\'><pre>cui.saveConfig() \n\
</pre></div><p>Saves the current CUI configuration data to the active .cui file</p>\n\
<div class=\'codeBlock\'><pre>cui.saveConfigAs &lt;filename_string&gt; \n\
</pre></div><p>Saves current CUI configuration data to the specified file. The specified file is made the current CUI file.</p>\n\
<div class=\'codeBlock\'><pre>cui.loadConfig &lt;filename_string&gt; \n\
</pre></div><p>Loads the CUI configuration data from supplied file. The specified file is made the current CUI file.</p>\n\
<p>Note: The Customize/Load Custom UI Scheme menu item is implemented as a macroScript. This macroScript is called <strong>macro_uischeme.mcr</strong> in the <strong>\\ui\\macroscripts</strong> directory. <span class=\'code\'>cui.loadConfig</span> is only part of what needs to be done to switch over to a new UI scheme. The aforementioned macroScript will guide you through the other actions that also need to be performed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";