var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAX File Version Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAX File Version Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"max-file-version-access\"></a></div>\n\
<p>Starting with <strong>3ds Max 2010</strong>, the .MAX scene file contains information about the version of the file itself, as well as the version of <strong>3ds Max</strong> used to save the file - especially useful when using the Save As Version option.</p>\n\
<p>The following function is available in <strong>3ds Max 2013 and higher</strong> and lets you query this .MAX scene file version information:</p>\n\
<div class=\'codeBlock\'><pre>getMaxFileVersionData &lt;Max filename&gt; \n\
</pre></div><p>Returns an array of two integers: the first integer contains the .MAX scene file version, the second integer contains the <strong>3ds Max</strong> version that saved the file.</p>\n\
<p>For example, a scene saved by <strong>3ds Max 2014</strong> using the <strong>&quot;Save as version 2011&quot;</strong> option would produce the following:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>getMaxFileVersionData &quot;M2014_2011.max&quot;</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>#(13000, 16000)</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";