var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max System Directories</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max System Directories</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-system-directories\"></a></div>\n\
<p>The following methods allow you to access the <strong>3ds Max</strong> system directories:</p>\n\
<div class=\'codeBlock\'><pre>GetDir &lt;filetype_name&gt;   \n\
</pre></div><p>Returns as a string the directory specified in the Customize &gt; Configure Paths dialog for the specified file type.</p>\n\
<p>The valid <span class=\'code\'>&lt;filetype_name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Value</th>\n\
<th align=\"left\">Available in 3ds Max Versions</th>\n\
<th align=\"left\">US English Defaults And Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#cfd</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\CFD</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#systemImage</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\images</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#systemPhotometric</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\photometric</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#systemSound</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\sounds</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#systemCFD</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\CFD</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#macroScripts</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\macroScripts</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#web</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\web</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#maxSysIcons</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\"><span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\ui_ln\\icons</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#pageFile</span></td>\n\
<td align=\"left\"><strong>3ds Max 2017</strong></td>\n\
<td align=\"left\">C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp<span class=\'code\'>| |</span>#hardwareShadersCache<span class=\'code\'>|**3ds Max 2017**|</span>C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax&lt;ReleaseNumber&gt; - 64bit\\ENU\\en-US\\plugcfg<span class=\'code\'>| |</span>#plugcfg_ln<span class=\'code\'>|**3ds Max 2017**|</span>C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax&lt;ReleaseNumber&gt; - 64bit\\ENU\\plugcfg_ln<span class=\'code\'>| |</span>#ui_ln<span class=\'code\'>|**3ds Max 2017**|</span>C:\\Program Files\\Autodesk\\3ds Max <releasenumber>\\ui_ln<span class=\'code\'>| |</span>#autodeskcloud<span class=\'code\'>|**3ds Max 2017**|C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\Autodesk Sync\\Cloud\\&lt;a360 UserName&gt;| |</span>#privateExchangeStoreInstallPath<span class=\'code\'>|**3ds Max 2017**|</span>C:\\Users&lt;UserName&gt;\\AppData\\Roaming\\Autodesk\\ApplicationPlugins`| |<span class=\'code\'>#publicExchangeStoreInstallPath</span>|<strong>3ds Max 2017</strong>|<span class=\'code\'>C:\\ProgramData\\Autodesk\\ApplicationPlugins\\</span>| |<span class=\'code\'>#userStartupTemplates</span>|<strong>3ds Max 2017</strong>|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\startuptemplates</span>| |<span class=\'code\'>#animations</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\animations</span>| |<span class=\'code\'>#archives</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\archives</span>| |<span class=\'code\'>#autoback</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\autoback</span>| |<span class=\'code\'>#autodeskCloud</span>|<strong>3ds Max 2014</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\Autodesk Sync\\Cloud\\&lt;LoginName&gt;</span>Returns empty string `<span class=\'code\'>if the user is not logged in Autodesk 360.| |</span>#defaults<span class=\'code\'>|All versions|</span>C:\\Program Files\\Autodesk\\3ds Max <releasenumber>\\en-US\\defaults\\MAX<span class=\'code\'>| |</span>#downloads<span class=\'code\'>|**3ds Max 9** and higher|</span>C:\\Users&lt;UserName&gt;\\Documents\\3dsMax\\downloads<span class=\'code\'>| |</span>#drivers<span class=\'code\'>|All versions|</span>C:\\Program Files\\Autodesk\\3ds Max <releasenumber>\\drivers<span class=\'code\'>| |</span>#export<span class=\'code\'>|All versions|</span>C:\\Users&lt;UserName&gt;\\Documents\\3dsMax\\export<span class=\'code\'>| |</span>#font<span class=\'code\'>|All versions|</span>C:\\Program Files\\Autodesk\\3ds Max <releasenumber>\\fonts<span class=\'code\'>| |</span>#help<span class=\'code\'>|All versions|</span>C:\\Program Files\\Autodesk\\3ds Max <releasenumber>\\help<span class=\'code\'>| |</span>#image<span class=\'code\'>|All versions|</span>C:\\Users&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\images<span class=\'code\'>| |</span>#import<span class=\'code\'>|All versions|</span>C:\\Users&lt;UserName&gt;\\Documents\\3dsMax\\import<span class=\'code\'>| |</span>#matlib<span class=\'code\'>|All versions|</span>C:\\Users&lt;UserName&gt;\\Documents\\3dsMax\\materiallibraries<span class=\'code\'>| |</span>#maxData<span class=\'code\'>|**3ds Max 9** and higher|</span>C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax&lt;ReleaseNumber&gt; - 64bit\\ENU`| |<span class=\'code\'>#maxroot</span>|All versions|<span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\</span>| |<span class=\'code\'>#maxstart</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\scenes</span>| |<span class=\'code\'>#pageFile</span>|<strong>3ds Max 2010</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp</span>| |<span class=\'code\'>#photometric</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\photometric</span>| |<span class=\'code\'>#plugcfg</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\en-US\\plugcfg</span>| |<span class=\'code\'>#preview</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\previews</span>| |<span class=\'code\'>#presets</span>|<strong>3ds Max 2022</strong> and higher|Default system particle flow presets. For internal use only.| |<span class=\'code\'>#proxies</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\proxies</span>| |<span class=\'code\'>#renderassets</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\renderassets</span>| |<span class=\'code\'>#renderPresets</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\renderpresets</span>| |<span class=\'code\'>#renderoutput</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\renderoutput</span>| |<span class=\'code\'>#scene</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\scenes</span>| |<span class=\'code\'>#scripts</span>|All versions|<span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\scripts</span>| |<span class=\'code\'>#sound</span>|All versions|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\sounds</span>| |<span class=\'code\'>#startupScripts</span>|All versions|<span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\scripts\\startup</span>| |<span class=\'code\'>#temp</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp</span>| |<span class=\'code\'>#ui</span>|All versions|<span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\en-US\\UI\\</span>| |<span class=\'code\'>#userMacros</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\usermacros</span>| |<span class=\'code\'>#userScripts</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\scripts</span>| |<span class=\'code\'>#userStartupScripts</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\scripts\\startup</span>| |<span class=\'code\'>#userIcons</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\usericons</span>| |<span class=\'code\'>#vpost</span>|<strong>3ds Max 9</strong> and higher|<span class=\'code\'>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\vpost</span>|</releasenumber></releasenumber></releasenumber></releasenumber></releasenumber></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>SetDir &lt;filetype_name&gt; &lt;string&gt; \n\
</pre></div><p>Sets the directory specified in string. Replicated in the Customize &gt; Configure Paths dialog for the specified file type.</p>\n\
<p>The valid <span class=\'code\'>&lt;filetype_name&gt;</span> values are the same as for <span class=\'code\'>GetDir</span> .</p>\n\
<p>Returns <span class=\'code\'>true</span> if successful, <span class=\'code\'>false</span> if not. Does not check to see if <span class=\'code\'>&lt;string&gt;</span> is a valid path. Any change made through this function is immediately reflected in the 3dsmax.ini file and so is persistent. Use with caution.</p>\n\
<div class=\'codeBlock\'><pre>ConvertDirIDToInt &lt;filetype_name&gt; \n\
</pre></div><p>Returns an Integer corresponding to the given system directory name.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>ConvertIntToDirID &lt;integer&gt;\n\
</pre></div><p>Returns the system directory name that corresponds to the given integer.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Int</th>\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Int</th>\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Int</th>\n\
<th align=\"left\">Name</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">0</td>\n\
<td align=\"left\"><span class=\'code\'>#font</span></td>\n\
<td align=\"left\">19</td>\n\
<td align=\"left\"><span class=\'code\'>#ui</span></td>\n\
<td align=\"left\">39</td>\n\
<td align=\"left\"><span class=\'code\'>#ui_ln</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1</td>\n\
<td align=\"left\"><span class=\'code\'>#Scene</span></td>\n\
<td align=\"left\">20</td>\n\
<td align=\"left\"><span class=\'code\'>#maxroot</span></td>\n\
<td align=\"left\">40</td>\n\
<td align=\"left\"><span class=\'code\'>#autodeskcloud</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2</td>\n\
<td align=\"left\"><span class=\'code\'>#import</span></td>\n\
<td align=\"left\">21</td>\n\
<td align=\"left\"><span class=\'code\'>#renderoutput</span></td>\n\
<td align=\"left\">41</td>\n\
<td align=\"left\"><span class=\'code\'>#privateExchangeStoreInstallPath</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">3</td>\n\
<td align=\"left\"><span class=\'code\'>#Export</span></td>\n\
<td align=\"left\">22</td>\n\
<td align=\"left\"><span class=\'code\'>#animations</span></td>\n\
<td align=\"left\">42</td>\n\
<td align=\"left\"><span class=\'code\'>#publicExchangeStoreInstallPath</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">4</td>\n\
<td align=\"left\"><span class=\'code\'>#help</span></td>\n\
<td align=\"left\">23</td>\n\
<td align=\"left\"><span class=\'code\'>#archives</span></td>\n\
<td align=\"left\">41</td>\n\
<td align=\"left\"><span class=\'code\'>#privateExchangeStoreInstallPath</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">5</td>\n\
<td align=\"left\"><span class=\'code\'>#expression</span></td>\n\
<td align=\"left\">24</td>\n\
<td align=\"left\"><span class=\'code\'>#Photometric</span></td>\n\
<td align=\"left\">42</td>\n\
<td align=\"left\"><span class=\'code\'>#publicExchangeStoreInstallPath</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">6</td>\n\
<td align=\"left\"><span class=\'code\'>#preview</span></td>\n\
<td align=\"left\">25</td>\n\
<td align=\"left\"><span class=\'code\'>#renderassets</span></td>\n\
<td align=\"left\">43</td>\n\
<td align=\"left\"><span class=\'code\'>#userStartupTemplates</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">7</td>\n\
<td align=\"left\"><span class=\'code\'>#image</span></td>\n\
<td align=\"left\">26</td>\n\
<td align=\"left\"><span class=\'code\'>#userScripts</span></td>\n\
<td align=\"left\">44</td>\n\
<td align=\"left\"><span class=\'code\'>#systemImage</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">8</td>\n\
<td align=\"left\"><span class=\'code\'>#Sound</span></td>\n\
<td align=\"left\">27</td>\n\
<td align=\"left\"><span class=\'code\'>#userMacros</span></td>\n\
<td align=\"left\">45</td>\n\
<td align=\"left\"><span class=\'code\'>#systemPhotometric</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">9</td>\n\
<td align=\"left\"><span class=\'code\'>#plugcfg</span></td>\n\
<td align=\"left\">28</td>\n\
<td align=\"left\"><span class=\'code\'>#userStartupScripts</span></td>\n\
<td align=\"left\">46</td>\n\
<td align=\"left\"><span class=\'code\'>#systemSound</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">10</td>\n\
<td align=\"left\"><span class=\'code\'>#maxstart</span></td>\n\
<td align=\"left\">29</td>\n\
<td align=\"left\"><span class=\'code\'>#temp</span></td>\n\
<td align=\"left\">47</td>\n\
<td align=\"left\"><span class=\'code\'>#fluidSimulations</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">11</td>\n\
<td align=\"left\"><span class=\'code\'>#vpost</span></td>\n\
<td align=\"left\">30</td>\n\
<td align=\"left\"><span class=\'code\'>#userIcons</span></td>\n\
<td align=\"left\">48</td>\n\
<td align=\"left\"><span class=\'code\'>#userSettings</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">12</td>\n\
<td align=\"left\"><span class=\'code\'>#drivers</span></td>\n\
<td align=\"left\">31</td>\n\
<td align=\"left\"><span class=\'code\'>#maxData</span></td>\n\
<td align=\"left\">49</td>\n\
<td align=\"left\"><span class=\'code\'>#userTools</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">13</td>\n\
<td align=\"left\"><span class=\'code\'>#autoback</span></td>\n\
<td align=\"left\">33</td>\n\
<td align=\"left\"><span class=\'code\'>#downloads</span></td>\n\
<td align=\"left\">50</td>\n\
<td align=\"left\"><span class=\'code\'>#plugindata</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">14</td>\n\
<td align=\"left\"><span class=\'code\'>#matlib</span></td>\n\
<td align=\"left\">34</td>\n\
<td align=\"left\"><span class=\'code\'>#proxies</span></td>\n\
<td align=\"left\">51</td>\n\
<td align=\"left\"><span class=\'code\'>#presets</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">15</td>\n\
<td align=\"left\"><span class=\'code\'>#scripts</span></td>\n\
<td align=\"left\">35</td>\n\
<td align=\"left\"><span class=\'code\'>#assemblies</span></td>\n\
<td align=\"left\">100</td>\n\
<td align=\"left\"><span class=\'code\'>#macroScripts</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">16</td>\n\
<td align=\"left\"><span class=\'code\'>#startupScripts</span></td>\n\
<td align=\"left\">36</td>\n\
<td align=\"left\"><span class=\'code\'>#pageFile</span></td>\n\
<td align=\"left\">101</td>\n\
<td align=\"left\"><span class=\'code\'>#web</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">17</td>\n\
<td align=\"left\"><span class=\'code\'>#defaults</span></td>\n\
<td align=\"left\">37</td>\n\
<td align=\"left\"><span class=\'code\'>#hardwareShadersCache</span></td>\n\
<td align=\"left\">102</td>\n\
<td align=\"left\"><span class=\'code\'>#maxSysIcons</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">18</td>\n\
<td align=\"left\"><span class=\'code\'>#renderPresets</span></td>\n\
<td align=\"left\">38</td>\n\
<td align=\"left\"><span class=\'code\'>#plugcfg_ln</span></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<p>The following methods let you get, add or delete Bitmap and XRef paths, corresponding to the Bitmaps and XRefs tabs in the Configure Paths dialog in <strong>3ds Max</strong>. Any changes made through these functions are immediately reflected in the <strong>3dsmax.ini</strong> file and so are persistent.</p>\n\
<div class=\'section\'><a id=\"map-path-methods\"></a><h3 id=\"map-path-methods\">Map Path Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>mapPaths.add &lt;path_string&gt; \n\
</pre></div><p>Appends the specified path to the list of Bitmap search paths.</p>\n\
<div class=\'codeBlock\'><pre>mapPaths.count() \n\
</pre></div><p>Returns the number of Bitmap search paths defined.</p>\n\
<div class=\'codeBlock\'><pre>mapPaths.get &lt;index&gt; \n\
</pre></div><p>Returns the indexed Bitmap search path as a string. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>mapPaths.delete &lt;index&gt; \n\
</pre></div><p>Deletes the indexed Bitmap search path. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>mapPaths.getFullFilePath &lt;filename&gt; \n\
</pre></div><p>Resolves the filename using map paths, returns fully qualified filename if the file is found. Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>mapPaths.getFullFilePath &quot;fir.tga&quot;</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"xref-path-methods\"></a><h3 id=\"xref-path-methods\">Xref Path Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>xrefPaths.add &lt;path_string&gt; \n\
</pre></div><p>Appends the specified path to the list of XRef search paths.</p>\n\
<div class=\'codeBlock\'><pre>xrefPaths.count() \n\
</pre></div><p>Returns the number of XRef search paths defined.</p>\n\
<div class=\'codeBlock\'><pre>xrefPaths.get &lt;index&gt; \n\
</pre></div><p>Returns the indexed XRef search path as a string. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>xrefPaths.delete &lt;index&gt; \n\
</pre></div><p>Deletes the indexed XRef search path. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>xrefPaths.getFullFilePath &lt;filename&gt; \n\
</pre></div><p>Resolves the filename using xref paths, returns fully qualified filename if the file is found.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>xrefPaths.getFullFilePath &quot;delme.max&quot;</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";