var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>pluginPaths Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>pluginPaths Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pluginpaths-struct\"></a></div>\n\
<p>This struct provides methods to access the plugin paths defined in the plugin.ini file.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>pluginPaths.count()\n\
</pre></div><p>Returns the number of plugin paths</p>\n\
<div class=\'codeBlock\'><pre>pluginPaths.get &lt;index&gt;\n\
</pre></div><p>Returns the indexed plugin path</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` count = pluginPaths.count() for j = 1 to count do format &quot; % : %\\n&quot; j (pluginPaths.get j)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";