var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Custom File Streams</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Custom File Streams</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"custom-file-streams\"></a></div>\n\
<p>3ds Max Scene files provide the ability to store custom user data that persists with the file. Available in <strong>3ds Max 2019 and higher</strong>. In MAXScript, this functionality is exposed in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/GUID-54E22731-0A26-4156-8515-369866D380EB.html\' title=\'\'>CustomFileStream</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-4.html\' title=\'\'>CustomSceneStreamManager</a> interfaces. The <span class=\'code\'>CustomSceneStreamManager</span> loads and caches all persistent <span class=\'code\'>CustomFileStream</span> objects from the current 3ds Max scene file on load, and saves them on file save (with some exceptions, see &quot;Flag Values&quot; in the <span class=\'code\'>CustomSceneStreamManager</span> topic for more information). <span class=\'code\'>CustomFileStream</span> objects are identified by a unique case-sensitive name of up to 31 characters.</p>\n\
<p>The <span class=\'code\'>CustomFileStream</span> interface can be used to query and write data streams from other (not currently loaded) 3ds Max scene files.</p>\n\
<p>Note: Custom File Stream functionality is exposed in the 3ds Max SDK, but does not depend on any 3ds Max components. This means you can write applications to read and write custom data to 3ds Max scene files independent of 3ds Max. The MAXScript exposure does depend on 3ds Max.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";