var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dragging DropScripts from Toolbars</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dragging DropScripts from Toolbars</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dragging-dropscripts-from-toolbars\"></a></div>\n\
<p>Drag-and-drop of dropScripts from the MAX toolbars is possible. DropScripts are simply macroScripts with <span class=\'code\'>&#39;on drop&#39;</span> and optionally <span class=\'code\'>&#39;on droppable&#39;</span> handlers, as defined above. If a macroScript button on a toolbar has an <span class=\'code\'>&#39;on drop&#39;</span> handler defined, you can drag that button off the toolbar to initiate dropScript drag-and-drop.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Here&#39;s a simple dropScript that applies a newly created brick material to the object that it is dropped on. Note that it also has an <span class=\'code\'>&#39;on execute&#39;</span> handler that does the same thing to the current selection. By providing both <span class=\'code\'>&#39;on drop&#39;</span> and <span class=\'code\'>&#39;on execute&#39;</span> handlers, you can make such a macroScript installable in menus, hotkeys and toolbars or droppable from toolbars, the web, etc.</p>\n\
<p>``` macroScript dropBricks category:&quot;DropScripts&quot; Icon:#(&quot;MAXScript&quot;, 3) ( on droppable window node: return window == #viewport and node != undefined on drop window node: do node.material = standard diffuseMap:(bricks()) showInViewport:true on execute do if selection.count == 1 then $.material = standard diffuseMap:(bricks()) showInViewport:true )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note the use of the &#39;<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\' title=\'\'>showInViewport</a>&#39; property at material level.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";