var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Action Manager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Action Manager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"action-manager\"></a></div>\n\
<p>All Action Items are macro recorded when executed. This includes main menus items, CUI buttons, keyboard shortcuts and quad menu items.</p>\n\
<blockquote>\n\
<p><strong>THE CODE EMITTED FOR MANY ACTION ITEMS LOOKS LIKE:</strong></p>\n\
<p><span class=\'code\'>actionMan.executeAction 0 &quot;50002&quot; -- Tools: Rotate Mode</span></p>\n\
</blockquote>\n\
<p>The MAXScript <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\' title=\'\'>Interface: actionMan</a> has a function called &quot; <span class=\'code\'>executeAction</span> &quot;. It takes as parameters the ID of the action table and the &quot; <span class=\'code\'>persistent id</span> &quot; of the action. A comment string that includes the category and tooltip for the action follows it. Some action items have custom code emitters that emit better looking code.</p>\n\
<p>This interface is currently intended only for running macro recorded actions.</p>\n\
<p>Note:</p>\n\
<p>There is no way currently to query the action manager for all the available action items.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\' title=\'\'>Interface: actionMan</a> for the methods exposed for this interface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";