var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>getTextExtent</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>getTextExtent</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gettextextent\"></a></div>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt; getTextExtent &lt;string&gt; removeUiScaling:&lt;boolean&gt; useQtTextWidth:&lt;boolean&gt;\n\
</pre></div><p>Returns a Point2 value containing the size of the string in pixels if it was displayed in a command panel.</p>\n\
<p>By default, any UI scaling performed when the display is DPI scaled above 100% is removed. Set <span class=\'code\'>removeUiScaling</span> to false to get the size of the string when scaled.Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>If <span class=\'code\'>useQtTextWidth</span> is true (the default), the text extent width is calculated by <span class=\'code\'>QtApplication</span>-&gt;<span class=\'code\'>fontMetrics().width(text)</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2&gt; getQtTextExtent &lt;string&gt; removeUIScaling:&lt;true&gt;\n\
</pre></div><p>Returns a Point2 value containing the text extents (bounding box) in pixels if it was displayed in a command panel, as calculated by <span class=\'code\'>QtApplication</span>-&gt;<span class=\'code\'>fontMetrics().boundingRect(string)</span>.</p>\n\
<p>By default, any UI scaling performed when the display is DPI scaled above 100% is removed. Set <span class=\'code\'>removeUIScaling</span> to false to get the size of the string when scaled. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";