var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Command Line Option: -mxs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Command Line Option: -mxs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"command-line-option--mxs\"></a></div>\n\
<p>Command line option in <strong>3ds Max 6</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>-mxs &quot;command; command; ... &quot;\n\
</pre></div><p>The command line script string is executed after the max file specified on the command line (if any) is opened and the command line script file (i.e. -U MAXScript scriptfile) (if any) is executed.</p>\n\
<p>No compile or runtime error messages will be displayed in the Listener, but are logged to LogSys.</p>\n\
<p>The script string is executed in the global scope, the same as if the commands were typed into Listener.</p>\n\
<p>Following script string execution, a scene reset is performed and MAX is shut down.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE COMMAND LINE:</strong></p>\n\
<p>``` 3dsmax -mxs &quot;b=box();render()&quot; -u MAXScript test.ms smoketest1b.max</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";