var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Quad Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Quad Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"quad-menu\"></a></div>\n\
<p>When you click the right mouse button anywhere in an active viewport, except on the viewport label, the program displays a quad menu at the mouse cursor. The quad menu can display up to four quadrant areas with various commands.</p>\n\
<p>In the MAXScript Listener window, type apropos &quot;quadmenusettings&quot; to see the list of functions available.</p>\n\
<p>The quad menu is set in the startup scripts directory called QuadOptions_Startup.ms.</p>\n\
<p>The two right quadrants of the default quad menu display generic commands, which are shared between all objects. The two left quadrants contain context-specific commands, such as mesh tools and light commands. Each of these menus provides convenient access to functions found in the command panel.</p>\n\
<p>The quad menu contents depend on what is selected, as well as any customization options you may have selected in the Quads panel of the Customize UI dialog. The menus are set up to display only the commands that are available for the current selection, therefore selecting different types of objects displays different commands in the quadrants. Consequently, if no object is selected, all of the object-specific commands will be hidden. If all of the commands for one quadrant are hidden, the quadrant will not be displayed.</p>\n\
<p>Note: <span class=\'code\'>PickObject()</span> does not pick objects when launched from a quad menu. It will hang and refuses to pick any object. Hit &#39;escape&#39; for emergency exit. PickObject works correctly from a shortcut and toolbar.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";