var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Renderer Preferences</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Renderer Preferences</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"renderer-preferences\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E06CF2E2-7C98-463E-B53F-2933E46B19BF-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>rendVidCorrectMethod -- integer      \n\
</pre></div><p>Get/set the video color check method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Flag with black</p>\n\
<p>2 - Scale Luma</p>\n\
<p>3 - Scale Saturation</p>\n\
<div class=\'codeBlock\'><pre>rendNTSC_PAL -- integer   \n\
</pre></div><p>Get/set the video color check NTSC or PAL setting.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - NTSC</p>\n\
<p>2 - PAL</p>\n\
<div class=\'codeBlock\'><pre>rendDitherTrue -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s dither true color flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>rendDither256 -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s dither 256 color flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>rendFieldOrder -- integer \n\
</pre></div><p>Get/set the rendering field order.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Even</p>\n\
<p>2 - Odd</p>\n\
<div class=\'codeBlock\'><pre>rendSuperBlackThresh -- integer \n\
</pre></div><p>Get/set the Super Black Threshold value. Range 0 to 255. Default is 15.</p>\n\
<div class=\'codeBlock\'><pre>rendNThSerial -- boolean \n\
</pre></div><p>Get/set the output file sequencing nth serial numbering setting. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>preferences.maximumGBufferLayers \n\
</pre></div><p>Get/set an Integer value that specifies the maximum number of g-buffer layers generated during a render.</p>\n\
<div class=\'codeBlock\'><pre>rendMultiThread -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s multi-threaded flag. TRUE = on; FALSE = off</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";