var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>renderscenedialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>renderscenedialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"renderscenedialog\"></a></div>\n\
<p>The <strong>renderSceneDialog</strong> structure provides a set of functions for controlling the Render Scene Dialog window.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.cancel()\n\
</pre></div><p>Closes Render Scene Dialog if open. Changes made in the dialog are rejected. No arguments.</p>\n\
<p>Note: The render dialog provides only limited support for canceling (the <strong>Cancel</strong> button was removed when the tabbed dialogs were introduced in <strong>3ds Max 6</strong>). It will <strong>only</strong> cancel the uncommitted changes in the <strong>Common</strong> and <strong>Renderer</strong> tabs.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.close()\n\
</pre></div><p>Closes Render Scene Dialog if open. Changes made in the dialog are accepted. No arguments.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.commit()\n\
</pre></div><p>If Render Scene dialog is open, the dialog remains open, but changes made in the dialog are accepted. No arguments.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.isOpen()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Render Scene dialog is open, <span class=\'code\'>false</span> is closed. No arguments.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.open()\n\
</pre></div><p>Opens Render Scene Dialog if not already open. No arguments.</p>\n\
<div class=\'codeBlock\'><pre>renderSceneDialog.update()\n\
</pre></div><p>If Render Scene dialog is open, it is updated to show the changes made to it. No arguments.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";