var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Coordinate Display</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Coordinate Display</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"coordinate-display\"></a></div>\n\
<p>The following methods are associated with <strong>3ds Max</strong>’s Status Bar Coordinate Display:</p>\n\
<div class=\'codeBlock\'><pre>disableStatusXYZ()   \n\
</pre></div><p>Disables mouse tracking and display of coordinates to the X, Y, Z status boxes.</p>\n\
<div class=\'codeBlock\'><pre>enableStatusXYZ()   \n\
</pre></div><p>Enables mouse tracking and display of coordinates to the X, Y, Z status boxes.</p>\n\
<div class=\'codeBlock\'><pre>setStatusXYZ &lt;format_name&gt; &lt;point3&gt; \n\
</pre></div><p>Displays the component values of the Point3 value in the X, Y, Z status boxes. The format of the displayed values is controlled by <span class=\'code\'>format_name</span> .</p>\n\
<p>The valid <span class=\'code\'>format_name</span> types are:</p>\n\
<div class=\'codeBlock\'><pre>#universe \n\
</pre></div><p>display point3 as position in current units</p>\n\
<div class=\'codeBlock\'><pre>#scale \n\
</pre></div><p>display point3 as percentages - a point3 component value of 1 displays as 100%</p>\n\
<div class=\'codeBlock\'><pre>#angle \n\
</pre></div><p>display point3 as angles - point3 component values are in radians</p>\n\
<div class=\'codeBlock\'><pre>#other \n\
</pre></div><p>display point3 as straight floating point values.</p>\n\
<p>Note: Using a <span class=\'code\'>&lt;format_name&gt;</span> value of <span class=\'code\'>#other</span> for <span class=\'code\'>setStatusXYZ()</span> does not correctly display the specified point3 value. The X and Y component values are displayed in the Y and Z status boxes, and the X status box is blank.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";