var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>trackbar</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>trackbar</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"trackbar\"></a></div>\n\
<p>The following methods are associated with the Trackbar:</p>\n\
<div class=\'codeBlock\'><pre>trackbar.getPreviousKeyTime()\n\
</pre></div><p>Gets the previous key time. If no previous key is present, returns <span class=\'code\'>undefined</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` at time sliderTime trackbar.getPreviousKeyTime()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>trackbar.getNextKeyTime()\n\
</pre></div><p>Gets the next key time. If no next key is present, returns <span class=\'code\'>undefined</span> .</p>\n\
<p>The following <strong>3ds Max</strong> System Global Variables are associated with the Trackbar:</p>\n\
<div class=\'codeBlock\'><pre>trackbar.filterName\n\
</pre></div><p>Get and set the filter specifying which types of keys to show in the Trackbar.</p>\n\
<p>The valid values are: <span class=\'code\'>#all</span> , <span class=\'code\'>#TMOnly</span> , <span class=\'code\'>#currentTM</span> , <span class=\'code\'>#object</span> and <span class=\'code\'>#mat</span> .</p>\n\
<div class=\'codeBlock\'><pre>trackbar.visibleBoolean\n\
</pre></div><p>Get and set whether the trackbar is visible - <span class=\'code\'>true</span> if the trackbar is visible, <span class=\'code\'>false</span> if invisible</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";