var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Display Panel: Wireframe and Shaded Colors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Display Panel: Wireframe and Shaded Colors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"display-panel-wireframe-and-shaded-colors\"></a></div>\n\
<p>The following read/write properties provide access to the objects display colors:</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>displayColor.wireframe\n\
</pre></div><p>Corresponds to the Wireframe radio button in the Display panel, Display Color rollout.</p>\n\
<p>Possible values are # <span class=\'code\'>object</span> and # <span class=\'code\'>material</span></p>\n\
<div class=\'codeBlock\'><pre>displayColor.shaded\n\
</pre></div><p>Corresponds to the Shaded radio button in the Display panel, Display Color rollout</p>\n\
<p>Valid values are # <span class=\'code\'>object</span> and # <span class=\'code\'>material</span></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` displayColor.wireframe --check the current wireframe color mode #object displayColor.wireframe = #material --set wireframe display to material #material displayColor.shaded = #object --set shaded display to object&#39;s wireframe #object</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";