var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pausing Script Execution</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pausing Script Execution</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pausing-script-execution\"></a></div>\n\
<p>The <span class=\'code\'>sleep</span> function lets you pause script execution for a given amount of time.</p>\n\
<p>The form is:</p>\n\
<div class=\'codeBlock\'><pre>sleep &lt;time_in_seconds&gt;\n\
</pre></div><p>The <span class=\'code\'>time</span> argument is a floating point number of seconds to sleep.</p>\n\
<p>Note that the sleep time is not guaranteed to be extremely accurate. You can interrupt a sleep with the ESC key which halts all execution or with the SPACE bar which simply causes the <span class=\'code\'>sleep</span> function to terminate and the script to continue executing. In both cases, you may need to hold the key down for up to half a second for MAXScript to respond.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";