var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What&#39;s New in MAXScript in 3ds Max 2022</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What&#39;s New in MAXScript in 3ds Max 2022</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"whats-new-in-maxscript-in-3ds-max-2022\"></a></div>\n\
<p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2022</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>Note:</p>\n\
<p>New additions to MAXScript in <strong>3ds Max 2022</strong> are marked with <img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:...</strong> throughout the MAXScript Reference. The word <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> links back to this page.</p>\n\
<div class=\'section\'><a id=\"new-in-maxscript-in-3ds-max-2022\"></a><h2 id=\"new-in-maxscript-in-3ds-max-2022\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in MAXScript in 3ds Max 2022</h2></div>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Safe Scene Loading</strong></td>\n\
<td align=\"left\">The new <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-53F8D6CE-A5A6-4353-BE48-4298BBE107DE.html\' title=\'\'><span class=\'code\'>getCurrentScriptSourceType()</span></a> function returns whether the current script has the Safe Scene Script Execution security policies applied to it. <br> The new <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-63268EE4-CC58-49B1-B94D-A63090DD3EC4.html\' title=\'\'><span class=\'code\'>SceneScriptSecurityManager</span></a> interface lets you obtain information about the state of Safe Scene Script Execution.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Box2 and Box3</strong></td>\n\
<td align=\"left\">New methods and operators have been added. Operator +, enlargeBy() and expandToInclude() for Box2, and Operator + for Box3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Bounding Box property</strong></td>\n\
<td align=\"left\">These value types have a new <span class=\'code\'>.boundingBox</span> property that returns a Box3 value representing the contained nodes&#39; bounding box: <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-00AB0CFA-3190-4A28-A185-4774B684F6D8.html\' title=\'\'>node</a>, <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-DEF7DD1C-D6CA-4A6A-A64E-420C31A5551C.html\' title=\'\'>NodeChildrenArray</a>, <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-47B0A7AE-5401-4E92-BB47-F12C5B4E93D7.html\' title=\'\'>pathname</a>, <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-90C7FC22-30E6-4465-B199-9FF98B275751.html\' title=\'\'>SelectionSetArray</a>, and <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-77CB1890-C949-43AC-B1E9-B37F97B6712D.html\' title=\'\'>ObjectSet</a>.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Bounding Box methods</strong></td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-A8BF79D1-FAEE-413E-B552-3E486DA21EC3.html\' title=\'\'>Node bounding box methods</a> <span class=\'code\'>nodeGetBoundingBox()</span> and <span class=\'code\'>nodeLocalBoundingBox()</span> now take an optional <span class=\'code\'>asBox3:&lt;bool&gt;</span> argument that, when true, cause the methods to return the bounding box as a Box3 value.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Spinner and Slider controls</strong></td>\n\
<td align=\"left\">The type of the value returned by the <span class=\'code\'>.value</span> property and <span class=\'code\'>on changed</span> event for both the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-411DB273-7B74-4FD7-89E9-B74B9CED102B.html\' title=\'\'>Spinner</a> and <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-B674277E-596E-4469-BA45-2AE8F071D975.html\' title=\'\'>Slider</a> ui controls now matches the type of the control specified when it was created, either #float or #integer.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Custom Attributes array</strong></td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-695C13A5-B461-4520-8540-47D18CA23AB0/\' title=\'\'>Custom Attributes virtual array class</a> <span class=\'code\'>MAXCustAttribArray</span> now supports the <span class=\'code\'>isDeleted()</span> method as well as standard comparison operators <span class=\'code\'>==</span> and <span class=\'code\'>!=</span>.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Non Localized Name Access</strong></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-461915FA-31A2-49CE-84AF-2544B782ACA3.html\' title=\'\'>Scripted Plug-in Parameters</a> can take a new <span class=\'code\'>nonLocalizedName:&lt;string&gt;</span> that defines the parameter name when it is accessed in a script <br> The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-95453E22-A022-4543-B31C-A052CECD3598.html\' title=\'\'><span class=\'code\'>maxclass</span></a> value has a new read-only <span class=\'code\'>nonLocalizedName</span> property that contains the non-localized name of the class.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>ATSOps</strong></td>\n\
<td align=\"left\">New keyword arguments have been added to <a href=\'#!/url=./developer/What-is-New-in-MAXScript/\' title=\'\'>ATSOps</a> methods <span class=\'code\'>GetDependencyFileList()</span> and <span class=\'code\'>SelectFiles()</span> to control how to repath and compare files.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Localized Name Access</strong></td>\n\
<td align=\"left\">Several methods now have a <span class=\'code\'>localizedName:&lt;bool&gt;</span> parameter (or <span class=\'code\'>localizedNames:&lt;bool&gt;</span> when they return an array) to control whether they return the localized or non-localized name for the target object: <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-879ECFAD-7928-44B3-BCD7-276D53C89B52.html#getObjectName\' title=\'\'><span class=\'code\'>getObjectName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-3F9BC35F-918C-46C6-8617-7DCDDD62FCE3.html\' title=\'\'><span class=\'code\'>getSubAnimName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-23A6A316-7C51-430C-8A44-9236C837DB10.html\' title=\'\'><span class=\'code\'>getSubMtlSlotName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-23A6A316-7C51-430C-8A44-9236C837DB10.html\' title=\'\'><span class=\'code\'>getSubTexmapSlotName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-95453E22-A022-4543-B31C-A052CECD3598.html\' title=\'\'><span class=\'code\'>getClassName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-12CBE2C7-80DB-4037-A4EA-1B3CEB7B6DB6.html\' title=\'\'><span class=\'code\'>WM3_MC_GetName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-12CBE2C7-80DB-4037-A4EA-1B3CEB7B6DB6.html\' title=\'\'><span class=\'code\'>WM3_MC_SetName()</span></a> <br> <a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-3F9BC35F-918C-46C6-8617-7DCDDD62FCE3.html\' title=\'\'><span class=\'code\'>getSubAnimNames()</span></a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Previously Undocumented Items</strong></td>\n\
<td align=\"left\">Box2 methods: <span class=\'code\'>&lt;bool&gt;intersects()</span>, <span class=\'code\'>&lt;box2&gt;copy()</span> <br> Box3 methods: <span class=\'code\'>&lt;box3&gt;copy()</span>, <span class=\'code\'>&lt;box3&gt;rectify()</span><br><a href=\'#!/url=./developer/What-is-New-in-MAXScript/UID-7F26EC19-6C56-4580-B6C3-C51ACC8E4356.html\' title=\'\'>pathConfig struct</a> methods: <span class=\'code\'>doSetProjectFolderSteps()</span> and <span class=\'code\'>doSetProjectFolderStepsUsingDirectory()</span><br><a href=\'#!/url=./developer/What-is-New-in-MAXScript/GUID-34892DB6-E840-4F52-9175-30332799B7B1.html\' title=\'\'><span class=\'code\'>&lt;ViewportViewSettingImpl&gt;.ProgressiveRenderingEnabled</span></a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Deprecated Items</strong></td>\n\
<td align=\"left\"><span class=\'code\'>Airflow_Node</span> and <span class=\'code\'>Airflow_Spline</span> are now deprecated</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"inclusive-language-changes\"></a><h2 id=\"inclusive-language-changes\">Inclusive Language Changes</h2></div>\n\
<p>Several terms in the 3ds Max user interface, class, and method names in MAXScript have been changed or removed because they were not aligned with Autodesk values of diversity and inclusion. We want everyone to feel welcome when using 3ds Max as an end user or tool developer.</p>\n\
<p>Therefore, the names of several MAXScript APIs that included words such as &quot;master&quot; or &quot;slave&quot; have been changed to use the terms &quot;driver&quot; and &quot;driven&quot; respectively. We tried to keep MAXScript as backward compatible as possible; however, there may be cases where scripts break.</p>\n\
<p>Here is a list of all the MAXScript API names that were updated, followed by their new name:</p>\n\
<div class=\'codeBlock\'><pre>BipSlave_Control -&gt; BipDriven_Control \n\
GetMasterController -&gt; GetPointControllerContainer \n\
NewDefaultMasterPointController -&gt; NewDefaultPointControllerContainer \n\
Master_Controller_plugin_not_found -&gt; Driver_Block_Control_plugin_not_found \n\
Master_Point_Controller -&gt; Point_Controller_Container \n\
MasterPointController -&gt; PointControllerContainer \n\
RetimerMasterCtrl -&gt; RetimerDriverCtrl \n\
Slave_Control -&gt; Driven_Control \n\
Slave_Point3 -&gt; Driven_Point3 \n\
SlaveFloat -&gt; DrivenFloat \n\
SlaveMatrix3 -&gt; DrivenMatrix3 \n\
SlavePoint3 -&gt; DrivenPoint3 \n\
SlavePoint4 -&gt; DrivenPoint4 \n\
SlavePos -&gt; DrivenPos \n\
SlaveRotation -&gt; DrivenRotation \n\
SlaveScale -&gt; DrivenScale \n\
Daylight_Slave_Controller -&gt; Daylight_Driven_Controller \n\
Daylight_Slave_Intensity_Controller -&gt; Daylight_Driven_Intensity_Controller \n\
Sunlight_Daylight_Slave_Controller -&gt; Sunlight_Daylight_Driven_Controller \n\
Sunlight_Daylight_Slave_ControllerMatrix3Controller -&gt; Sunlight_Daylight_Driven_ControllerMatrix3Controller \n\
Sunlight_Daylight_Slave_Intensity_Controller -&gt; Sunlight_Daylight_Driven_Intensity_Controller \n\
Sunlight_Daylight_Slave_Intensity_ControllerFloatController -&gt; Sunlight_Daylight_Driven_Intensity_ControllerFloatController \n\
Sunlight_Slave_Controller -&gt; Sunlight_Driven_Controller \n\
Sunlight_Slave_Intensity_Controller -&gt; Sunlight_Driven_Intensity_Controller \n\
MasterBlock -&gt; DriverBlock \n\
MasterBlockController -&gt; DriverBlockController \n\
MasterList -&gt; BlockControl \n\
Master_Layer -&gt; Main_Layer \n\
MasterLayer -&gt; MainLayer \n\
MasterLayerControlManager -&gt; MainLayerControlManager \n\
Master_Motion_Clip -&gt; Driver_Motion_Clip \n\
MasterClip -&gt; DriverClip \n\
Max_Master_Clip -&gt; Max_Driver_Clip \n\
MaxMotionClipMaster -&gt; MaxMotionClipDriver \n\
Motion_Clip_SlaveFloat -&gt; Motion_Clip_DrivenFloat \n\
Motion_Clip_SlavePoint3 -&gt; Motion_Clip_DrivenPoint3 \n\
Motion_Clip_SlavePos -&gt; Motion_Clip_DrivenPos \n\
Motion_Clip_SlaveRotation -&gt; Motion_Clip_DrivenRotation \n\
Motion_Clip_SlaveScale -&gt; Motion_Clip_DrivenScale \n\
Reaction_Master -&gt; Reaction_Driver \n\
ReactionMaster -&gt; ReactionDriver \n\
SprayMaster -&gt; SprayDriver \n\
StereoCameraSlave -&gt; StereoCameraDriven \n\
MAXScript properties \n\
&lt;ClipAssigner&gt;.masterblocks -&gt; driverblocks \n\
&lt;MassFX_RBody&gt;.GetRBMeshOverrideMasterMat -&gt; GetRBMeshOverrideDriverMat \n\
&lt;MassFX_RBody&gt;.SetRBMeshOverrideMasterMat -&gt; SetRBMeshOverrideDriverMat \n\
&lt;nvpx&gt;.GetRBMeshOverrideMasterMat -&gt; GetRBMeshOverrideDriverMat \n\
&lt;nvpx&gt;.SetRBMeshOverrideMasterMat -&gt; SetRBMeshOverrideDriverMat \n\
&lt;MaxLiquidSolver&gt;.masterVoxelSize -&gt; baseVoxelSize \n\
&lt;Point_Cache&gt;.loadTypeSlave -&gt; loadTypeNetwork \n\
&lt;Point_CacheSpacewarpModifier&gt;.loadTypeSlave -&gt; loadTypeNetwork \n\
&lt;Select_the_Biped_for_use_as_a_retargeting_reference&gt;.masterMaxClip -&gt; driverMaxClip \n\
&lt;Float_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Float_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Float_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Point3_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Point3_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Point3_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Point4_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Point4_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Point4_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Position_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Position_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Position_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Rotation_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Rotation_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Rotation_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Scale_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Scale_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Scale_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
MAXScript Enums \n\
&lt;SchematicView&gt;.testIncludeFilter: #masterPoint -&gt; #pointControllerContainers \n\
&lt;SchematicView&gt;.setIncludeFilter: same \n\
&lt;SchematicView&gt;.clearIncludeFilter: same \n\
MAXScript interfaces \n\
Interface: IRingArrayMaster -&gt; IRingArrayDriver \n\
MAXScript SubAnim Names \n\
#Master_Point_Controller -&gt; #Point_Controller_Container \n\
#Master -&gt; #Point_Controller_Container \n\
#Master_CV_Control -&gt; #CV_Controller_Container \n\
\n\
Others \n\
gxmlio.wireparams: #(..., #isMaster, #isSlave, #slaveAnimation,...) -&gt; #(..., #isDriver, #isDriven, #drivenAnimation,...)\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";