var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Documentation Changes in 3ds Max 2010</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Documentation Changes in 3ds Max 2010</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"documentation-changes-in-3ds-max-2010\"></a></div>\n\
<p>The following noteworthy changes and updates have been made to the MAXScript Online Reference for the <strong>3ds Max 2010</strong> release in addition to the topics covering new features listed in the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/What-is-New-in-MAXScript-in-3ds-1.html\' title=\'\'>What is New in MAXScript in 3ds Max 2010</a> page:</p>\n\
<div class=\'section\'><a id=\"general\"></a><h2 id=\"general\">General</h2></div>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'>Removed the &quot;splotchy&quot; background image which looked distracting especially on LCD monitors. The background of the MAXScript Reference is now pure white.</p>\n\
<div class=\'section\'><a id=\"new-topics-on-existing-features\"></a><h2 id=\"new-topics-on-existing-features\">New Topics On Existing Features</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-To-Texture/Render-To-Texture-Using.html\' title=\'\'>Render To Texture Using MAXScript</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>A new topic discussing the basic steps to render to texture using MAXScript, including an example of baking the diffuse and lighting information of scene objects into texture maps.</p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\' title=\'\'>For Loop Collect Vs For Loop Do Performance</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>A new topic in the <a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-.html\' title=\'\'>How To Make It Faster</a> chapter of the <a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>MAXScript Frequently Asked Questions</a> discussing the difference between collecting and appending via a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controller-Avoiding.html\' title=\'\'>Script Controller - Avoiding Circular Dependency</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>A new topic discussing the use of Node variables in script controllers instead of Target or Object variables to avoid circular dependency errors.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Referencing-Nodes-and.html\' title=\'\'>Referencing Nodes and Controllers in Script Controllers FAQ</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>The content was part of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Using-Script-Controllers.html\' title=\'\'>Using Script Controllers</a> topic but is now a separate FAQ list for easier cross-linking from other topics.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controller-Assignment.html\' title=\'\'>Script Controller Assignment Behavior Changes in 3ds Max 8</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>The content was part of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Script Controllers</a> topic but is now a separate topics since it is relevant only to older versions of <strong>3ds Max</strong> and is provided for historical reasons only.This helps reduce the clutter in the main topic.</p>\n\
<div class=\'section\'><a id=\"updated-topics\"></a><h2 id=\"updated-topics\">Updated Topics</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Script Controllers</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Reworked and restructured the topic, added more info, image map navigation and examples.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/transform_script-superclass.html\' title=\'\'>transform_script: Matrix3Controller</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Updated the topic and linked to the Script Controllers topic and a relevant MAXScript FAQ topic.</p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\' title=\'\'>How do I keep a Plane aligned to 3 Point Helpers?</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-text-in-a.html\' title=\'\'>How do I change the text in a Text Shape dynamically?</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Updated the examples of these <a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>MAXScript Frequently Asked Questions</a> entries to use the new style scripted controllers introduced back in <strong>3ds Max 8</strong>. The old examples still worked, but were teaching an obsolete way of dealing with animation updates and property access.</p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\' title=\'\'>Never get a single pixel when you can get a whole line</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Updated the examples of this <a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>MAXScript Frequently Asked Questions</a> entry and added a new example using the <span class=\'code\'>pasteBitmap()</span> method extended in <strong>3ds Max 2010</strong>.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\' title=\'\'>Node Event System</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Added missing information about removing node event callbacks.</p>\n\
<p>Interface: INodeMentalRayProperties</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Added documentation of missing properties implemented in <strong>3ds Max 2009</strong> but left undocumented.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotNet-Struct-Methods.html\' title=\'\'>dotNet Struct Methods</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Updated the documentation of the event handler methods and added an example of registering and removing event handler functions to DotNetControls.</p>\n\
<div class=\'section\'><a id=\"fixed-errors\"></a><h2 id=\"fixed-errors\">Fixed Errors</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/PrintAllElements-Variable-and.html\' title=\'\'>PrintAllElements Variable and Context</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Fixed an error in the PrintAllElements Context documentation. A context does not use a <span class=\'code\'>do</span> statement before the expression.</p>\n\
<p>The incorrect</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt; \n\
                        \n\
                  &lt;expr&gt; \n\
                      withprintAllElements  do \n\
</pre></div><p>was changed to</p>\n\
<div class=\'codeBlock\'><pre>  &lt;boolean&gt; &lt;expr&gt; \n\
                   withprintAllElements\n\
</pre></div><p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>Node Common Properties, Operators, and Methods</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Fixed obsolete information regarding the <span class=\'code\'>pointSelection()</span> method.The original text written for 3ds Max 2 claimed that only NURBS and Editable Mesh objects support soft selection. In the mean time, Editable Poly was introduced and added to the group of objects supporting soft selection access via the <span class=\'code\'>pointSelection()</span> method.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/System-Node/Daylight-System.html\' title=\'\'>Daylight : System</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Fixed a most curious error in the documentation of the <span class=\'code\'>solar_date</span> property of the Daylight System. The original documentation claimed that the date was stored as an offset from today which would be, of course, a bad idea. The actual date the offset is based on is June 21 st , the day of the Summer Solstice. By an incredible coincidence, the original documentation was written on exactly that day, resulting in an offset of 0 during the testing!</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>In addition, updated the script for converting solar_time into hours, minutes and seconds since the value type had changed in recent versions of <strong>3ds Max</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/StandardMaterial-Material.html\' title=\'\'>StandardMaterial : Material</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Some map-related parameters featured information about the corresponding index within the <span class=\'code\'>.maps</span> , <span class=\'code\'>.mapEnables</span> and <span class=\'code\'>.mapAmount</span> arrays. These indices vary from shader to shader as listed in the table on the same page, so this information was potentially incorrect depending on the shader type (Anisotropic, Blinn etc.) selected inside the Standard material. In addition, the indices were incorrectly listed as 0-based.</p>\n\
<p>These indices have been removed from the auto-generated property description to avoid further confusion.The above mentioned table is now the only and correct source of this information.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>The documentation claimed that a temp. material library could not be loaded or saved, but then went on to list two methods which do just that since <strong>3ds Max 9</strong>. This has been fixed.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkingPivot.html\' title=\'\'>Interface: WorkingPivot</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Some properties that were documented during the development of <strong>3ds Max 2008</strong> never made it into the final version so they had to be removed. Some methods on the other hand were implemented but never documented. This has been fixed.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\' title=\'\'>makeDir()</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>The documentation previously stated that the method returns true if the directory was created, false if it existed. This is not true and the documentation was fixed accordingly - of the directory was created OR existed, it returns true, if it could not be created due to limited access or incorrect path name, it returns false.</p>\n\
<div class=\'section\'><a id=\"reformatted-topics\"></a><h2 id=\"reformatted-topics\">Reformatted Topics</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\' title=\'\'>Modify Panel</a></p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'>The topic has been restructured into sub-topics for easier access.</p>\n\
<div class=\'section\'><a id=\"index-keywords-updates\"></a><h2 id=\"index-keywords-updates\">Index Keywords Updates</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>Node Common Properties, Operators, and Methods</a></p>\n\
<p>Updated the index keywords to improve their target accuracy. Duplicated the keywords as sub-indices of the &#39;node&#39; keyword so typing &#39;node&#39; in the Index tab would also show all common methods and topics. Updated the Table Of Contents to show the sub-sections of the page in the Contents tab.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\' title=\'\'>Standard Open and Save File Dialogs</a></p>\n\
<p>Updated the index keywords to improve their target accuracy. Duplicated the keywords as sub-indices of the &#39;file&#39; keyword so typing &#39;file&#39; in the Index tab would also show the Standard Open and Save File Dialog Methods.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/File-Name-Parsing.html\' title=\'\'>File Name Parsing</a></p>\n\
<p>Updated the index keywords to improve their target accuracy. Duplicated the keywords as sub-indices of the &#39;file&#39; keyword so typing &#39;file&#39; in the Index tab would also show the File Name Parsing Methods.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\' title=\'\'>External File Methods</a></p>\n\
<p>Updated the index keywords to improve their target accuracy. Duplicated the keywords as sub-indices of the &#39;file&#39; keyword so typing &#39;file&#39; in the Index tab would also show the External File Methods.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\' title=\'\'>Accessing INI File Keys</a></p>\n\
<p>Updated the index keywords to improve their target accuracy. Duplicated the keywords as sub-indices of the &#39;INI File Access&#39; keyword so typing &#39;INI File Access&#39; in the Index tab would also show the INI File Methods.</p>\n\
<div class=\'section\'><a id=\"navigation-improvements\"></a><h2 id=\"navigation-improvements\">Navigation Improvements</h2></div>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Added new &quot;Similar Controls&quot; set of links to most <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\' title=\'\'>User Interface Controls</a>&#39; topics right after the See Also links. For example, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\' title=\'\'>Slider</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\' title=\'\'>Progressbar</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\' title=\'\'>ColorPicker</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Angle-UI-element.html\' title=\'\'>Angle</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Curve-Control.html\' title=\'\'>Curve Control</a> are similar to <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\' title=\'\'>Spinner</a> (all are used for value input).</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>Added more cross-linking between related topics throughout the Reference. This is an ongoing effort.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";