var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2009</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2009</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2009\"></a></div>\n\
<p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2009</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"viewport\"></a><h2 id=\"viewport\">Viewport</h2></div>\n\
<div class=\'section\'><a id=\"viewport-navigation-tools\"></a><h3 id=\"viewport-navigation-tools\">Viewport Navigation Tools</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SteeringWheelsOps.html\' title=\'\'>Interface: SteeringWheelsOps</a></p>\n\
<p>This new interface exposes all settings of the Steering Wheel viewport navigation system.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewCubeOps.html\' title=\'\'>Interface: ViewCubeOps</a></p>\n\
<p>This new interface exposes all settings of the View Cube viewport navigation system.</p>\n\
<div class=\'section\'><a id=\"viewport-shading\"></a><h3 id=\"viewport-shading\">Viewport Shading</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\' title=\'\'>Interfac e: IViewportShadingMgr</a></p>\n\
<p>New property added to the existing IViewportShadingMgr Interface to set the maximum number of active lights in the viewports.</p>\n\
<p>Two more properties and five methods were available but not documented in <strong>3ds Max 2008</strong> and have now been included.</p>\n\
<div class=\'section\'><a id=\"viewport-access\"></a><h3 id=\"viewport-access\">Viewport Access</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<p>New <span class=\'code\'>index:</span> optional keyword parameter added to <span class=\'code\'>viewport.getType()</span> and <span class=\'code\'>viewport.getCamera()</span> to query viewports by index instead of the active one.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Viewport.GetID</a></p>\n\
<p>New method <span class=\'code\'>viewport.getID()</span> added to returns the ID of an indexed viewport. When a viewport is maximized, its index will be 1 but its ID will be the viewport&#39;s index when not maximized.</p>\n\
<div class=\'section\'><a id=\"texture-mapping\"></a><h2 id=\"texture-mapping\">Texture Mapping</h2></div>\n\
<div class=\'section\'><a id=\"texture-maps\"></a><h3 id=\"texture-maps\">Texture Maps</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/CompositeTextureMap-TextureMap.html\' title=\'\'>CompositeTextureMap : TextureMap</a></p>\n\
<p>The Composite Map has been completely reimplemented, while still providing backwards compatibility with old scenes containing the previous version of the map.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Color_Correction : TextureMap</a></p>\n\
<p>The new Color_Correction TextureMap provides means to alter the color information of an incoming texture map by modifying its Brightness, Contrast, Saturation, Exposure, Gain, Gamma, Color Channels and so on.</p>\n\
<div class=\'section\'><a id=\"unwrap_uvw-spline-mapping\"></a><h3 id=\"unwrap_uvw-spline-mapping\">Unwrap_UVW Spline Mapping</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Spline.html\' title=\'\'>Unwrap_UVW Modifier - Spline Mapping</a></p>\n\
<p>New properties and methods have been added to the Unwrap_UVW modifiers, exposing the new Spline Mapping functionality.</p>\n\
<div class=\'section\'><a id=\"lighting-and-rendering\"></a><h2 id=\"lighting-and-rendering\">Lighting and Rendering</h2></div>\n\
<div class=\'section\'><a id=\"image-viewer-a.k.a.-vfb-or-rendered-image-window\"></a><h3 id=\"image-viewer-a.k.a.-vfb-or-rendered-image-window\">Image Viewer (a.k.a. VFB or Rendered Image Window)</h3></div>\n\
<p>Image Viewer DisplayNotifications</p>\n\
<p>Two new notifications added to the General Event Callbacks: <span class=\'code\'>#preImageViewerDisplay</span> and <span class=\'code\'>#postImageViewerDisplay</span></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\' title=\'\'>Interface: IVFB</a></p>\n\
<p>This new interface is returned as notification parameter of the above callbacks before or after a Rendered Frame Window or Image Viewer is opened and can be used to customize the custom User Interface panels.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-11/GUID-A72112A6-BDFB-47A6-88FB-8D49C4CBD049.html#the-existing-functions-for-adding-and-removing-rollouts-to-the-utilities-panel-are----------------extended-to-work-with-rollout-floater-windows-\' title=\'\'>Rollout Adding and Removing</a></p>\n\
<p>A new optional keyword <span class=\'code\'>border:</span> has been added to the existing <span class=\'code\'>addRollout()</span> method to allow for borderless rollouts in the Image Viewer.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EditRenderRegion.html\' title=\'\'>Interface: EditRenderRegion</a></p>\n\
<p>This new interface provides access to the new Render Region rubber band gizmo in the Rendered Image Window and in the Viewport.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>Controlling the Renderer</a></p>\n\
<p>A new optional keyword <span class=\'code\'>pos:</span> has been added to the <span class=\'code\'>render()</span> method to allow the opening of the Rendered Frame Window (also known as Virtual Frame Buffer) at a particular location of the screen or at the last known position (the new default behavior).</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-a.k.a.-render-setup-dialog\"></a><h3 id=\"render-scene-dialog-a.k.a.-render-setup-dialog\">Render Scene Dialog (a.k.a. Render Setup Dialog)</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-11/GUID-30AF1E53-5A69-402D-84D6-4D6ECCDD6D20.html#render-setup-dialog---viewport-index--lock-button--render-presets\' title=\'\'>Viewport Index, Lock Button and Render Presets</a></p>\n\
<p>New properties have been added to expose the Lock Button, Viewport Index list and Last Used Render Presets list at the bottom of the Render Scene Dialog.</p>\n\
<div class=\'section\'><a id=\"mental-ray-renderer\"></a><h3 id=\"mental-ray-renderer\">mental ray Renderer</h3></div>\n\
<p>mentalray renderer &gt; Rendering Algorithms Rollout &gt; Raytrace Acceleration</p>\n\
<p>A new BSP2 option has been added to the existing <span class=\'code\'>.RaytraceMethod</span> property, the old Grid and Large BSP options have been removed.</p>\n\
<p>mental ray renderer &gt; Rendering Algorithms Rollout &gt; Trace Depth</p>\n\
<p>Two new <span class=\'code\'>.ReflectionsEnable</span> and <span class=\'code\'>.RefractionsEnable</span> properties have been added to the mental ray renderer to enable and disable trancing of reflections and refractions.</p>\n\
<p>mentalray renderer &gt; Rendering Algorithms Rollout &gt; Subset Pixel Rendering</p>\n\
<p>The new <span class=\'code\'>.enable_subset_pixel_rendering</span> property has been added to mental ray renderer to enable and disable the rendering of changed objects only.</p>\n\
<p>mental ray renderer &gt; Translator Options Rollout &gt; Geometry Caching</p>\n\
<p>The new <span class=\'code\'>.Enable_Geometry_Cache, .isGeometryCacheEmpty</span> and <span class=\'code\'>.LockGeometryCache</span> properties have been added to the mental ray renderer to control the caching of geometry between iterative renders.</p>\n\
<p>mental_ray_renderer_functions Interfaces</p>\n\
<p>This new interface exposes properties and methods related to managing Final Gather Presets, Final Gather Maps and the clearing of the Mesh Cache.</p>\n\
<div class=\'section\'><a id=\"mental-ray-proxy\"></a><h3 id=\"mental-ray-proxy\">mental ray Proxy</h3></div>\n\
<p>mr_Proxy : GeometryClass</p>\n\
<p>This new geometry object allows the creation of proxy files on disk which can be loaded by mental ray at render time. This lets you replace very complex geometry with simple stand-ins and load their actual geometry ony when rendering.</p>\n\
<div class=\'section\'><a id=\"mental-ray-lights\"></a><h3 id=\"mental-ray-lights\">mental ray Lights</h3></div>\n\
<p>mr_Sky : light</p>\n\
<p>Several new properties have been added to the existing mental ray Sky light.</p>\n\
<div class=\'section\'><a id=\"photometric-lights\"></a><h3 id=\"photometric-lights\">Photometric Lights</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Light-Classes.html\' title=\'\'>Photometric Light Classes</a></p>\n\
<p>The Photometric Lights have been rewritten to allow easier creation, conversion between all types and more Area Light shapes.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Lights-Common.html\' title=\'\'>Photometric Lights Common Properties, Operators, and Methods</a></p>\n\
<p>All Photometric Lights share the same set of properties and methods. The list of properties has been updated and has also been redesigned to reflect the order the related controls appear in the User Interface.</p>\n\
<div class=\'section\'><a id=\"daylight-system-assembly-head\"></a><h3 id=\"daylight-system-assembly-head\">Daylight System Assembly Head</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\' title=\'\'>DaylightAssemblyHead : Helper</a></p>\n\
<p>New properties and methods related to weather file handling have been added to the Daylight Assembly Head helper.</p>\n\
<div class=\'section\'><a id=\"hair-and-fur\"></a><h3 id=\"hair-and-fur\">Hair and Fur</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairEffect-RenderEffect.html\' title=\'\'>HairEffect : RenderEffect</a></p>\n\
<p>New properties have been added to the Hair RenderEffect, exposing the tile memory usage and transparency depth parameters and the Global Illumination/Skylight options.</p>\n\
<div class=\'section\'><a id=\"lighting-analysis-tools---3ds-max-design-only\"></a><h2 id=\"lighting-analysis-tools---3ds-max-design-only\">Lighting Analysis Tools - 3ds Max Design Only</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\' title=\'\'>Lighting_Analysis_Overlay : RenderEffect</a></p>\n\
<p>This new Render Effect allows the generation of lighting analysis data in screen or world space.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Lighting_Analysis_Data.html\' title=\'\'>Lighting_Analysis_Data : RenderElement</a></p>\n\
<p>This new Render Element can be used to output the lighting analysis data to an image file.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\' title=\'\'>LightMeter : Helper</a></p>\n\
<p>This new Helper can be used to define lighting analysis grids in world space to be used in conjunction with the Lighting Analysis Overlay RenderEffect.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\' title=\'\'>Interface: LightMeterManager</a></p>\n\
<p>This new Interface provides tools to perform lighting calculations and CSV file data export using any number of active LightMeter Helpers in the scene.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-6.html\' title=\'\'>Interface: DaylightSimulationUtilities</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-5.html\' title=\'\'>Interface: DaylightSimulationUIOps</a></p>\n\
<p>These two new Interfaces provide access to the functionality and the User Interface of the Daylight Simulation Utility.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PseudoColorManager.html\' title=\'\'>Interface: PseudoColorManager</a></p>\n\
<p>This new interface can be used to set up the PseudoColor range and type (Linear or Logarithmic).</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LuminosityUtil.html\' title=\'\'>Interface: LuminosityUtil</a></p>\n\
<p>This new interface exposes a method for converting RGB data into Illumination data by taking into account the different contribution of the three channels.</p>\n\
<div class=\'section\'><a id=\"scripting-tools\"></a><h2 id=\"scripting-tools\">Scripting Tools</h2></div>\n\
<div class=\'section\'><a id=\"user-interface-controls\"></a><h3 id=\"user-interface-controls\">User Interface Controls</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\' title=\'\'>Label</a></p>\n\
<p>An optional keyword argument <span class=\'code\'>style_sunkenedge:</span> has been added to the existing Label control to display a half-sunken border around it.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>Button</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\' title=\'\'>Checkbutton</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\' title=\'\'>Mapbutton</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\' title=\'\'>Materialbutton</a></p>\n\
<p>An optional keyword argument <span class=\'code\'>border:</span> has been added to the existing Button controls to control the display of the border around them. When set to false, the button will appear as one with the UI background. This keyword is <strong>NOT</strong> available in the pickbutton control.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\' title=\'\'>Checkbox</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\' title=\'\'>Dropdownlist</a></p>\n\
<p>An optional keyword argument <span class=\'code\'>tooltip:</span> and a <span class=\'code\'>tooltip:</span> property have been added to the existing Checkbox and Dropdownlist controls to get and set a tooltip string. Also note that <strong>3ds Max 2009</strong> will now automatically split long tooltips into multiple lines.</p>\n\
<div class=\'section\'><a id=\"binary-search-in-array\"></a><h3 id=\"binary-search-in-array\">Binary Search In Array</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Bsearch()Method</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\' title=\'\'>Using Bsearch For Fast Table Lookup</a></p>\n\
<p>The new <span class=\'code\'>bsearch()</span> method is used to efficiently find an item in a sorted array.</p>\n\
<div class=\'section\'><a id=\"network-manager\"></a><h3 id=\"network-manager\">Network Manager</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetworkManager.html\' title=\'\'>Interface: NetworkManager</a></p>\n\
<p>This new Interface exposes a method to send emails via MAXScript.</p>\n\
<div class=\'section\'><a id=\"macro-recorder-performance\"></a><h3 id=\"macro-recorder-performance\">Macro Recorder Performance</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\' title=\'\'>The Macro Recorder</a></p>\n\
<p>The performance of the Macro Recorder when selecting a large number of objects has been improved significantly.</p>\n\
<div class=\'section\'><a id=\"miscellaneous-maxscript-additions\"></a><h3 id=\"miscellaneous-maxscript-additions\">Miscellaneous MAXScript Additions</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Accessing-the-Last-Rendered.html\' title=\'\'>Accessing the Last Rendered Image</a></p>\n\
<p>An option was added to the <span class=\'code\'>getLastRenderedImage()</span> method to copy the image or reference the same bitmap value as the renderer.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callback Mechanism</a></p>\n\
<p>Two options were added to the <span class=\'code\'>callbacks.show()</span> method to show callbacks by type and/or by ID.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\' title=\'\'>Interface: batchRenderMgr</a></p>\n\
<p>Two properties of the <span class=\'code\'>batchRenderViewOps</span> interface were hooked up to incorrect methods internally, making it impossible to access the scene state name and the enabled property. These have been fixed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";