var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Documentation Changes in 3ds Max 2008</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Documentation Changes in 3ds Max 2008</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"documentation-changes-in-3ds-max-2008\"></a></div>\n\
<p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 2008</strong> update:</p>\n\
<div class=\'section\'><a id=\"new-navigation-methods\"></a><h2 id=\"new-navigation-methods\">New Navigation Methods</h2></div>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Added breadcrumb trails</strong> to several classes including Core Interfaces, MAXWrapper derived classesand some more. The trail provides quick access to the common properties and methods of the superclasses the class inherits from:</p>\n\
<div class=\'section\'><a id=\"additions\"></a><h2 id=\"additions\">Additions</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Changed the name</strong>of the existing mental ray shaderAmbient_Reflective_Occlusion__Base to Ambient_Reflective_Occlusion__3dsMax. The shader was renamed in the <strong>3ds Max 9</strong> Productivity Booster Extension.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added missing documentation</strong> of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/XRef_Controller.html\' title=\'\'>XREF_Controller</a> originally introduced in <strong>3ds Max 9</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated the documentation</strong> of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\' title=\'\'>Point_CacheSpacewarpModifier - superclass: SpacewarpModifier</a> replaced by PointCach2 version in <strong>3ds Max 9</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added previously undocumented callbacks</strong> to the Callbacks File Notifications subtopic of <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callback Mechanism</a> topic: <span class=\'code\'>#filePreOpenProcess, #filePostOpenProcess, #filePreSaveProcess, #filePostSaveProcess</span> .</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added previously undocumented</strong> global variables related to <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-30AF1E53-5A69-402D-84D6-4D6ECCDD6D20.html#render-setup-dialog---common-parameters---scripts\' title=\'\'>Pre- and Post-Render Scripts in the Render Scene Dialog</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added previously undocumented</strong> method <span class=\'code\'>appendMaxClip()</span> to the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/MxTrack-Class.html\' title=\'\'>MxTrack Class</a> documentation. The method is used to append <strong>3ds Max</strong> Animation .XAF clips to the Animation Mixer (as opposed to .BIP clips)</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated the documentation</strong> of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IKSys.html\' title=\'\'>Interface: IKSys</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added a note and workarounds</strong> to the existing <span class=\'code\'>exprForMaxObject()</span> method in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper Common Properties, Operators and Methods</a> topic regarding incorrect return result for ambient Color Controller</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and reformatted</strong> the documentation of the mental ray renderer.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and reformatted</strong> the documentation of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-GeometryClass.html\' title=\'\'>Editable_Poly: GeometryClass</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and reformatted</strong> the documentation of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\' title=\'\'>Edit_Poly : Modifier</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and added more examples</strong> to the documentation of <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\' title=\'\'>Time Values</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added a separate topic</strong> documenting the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and added a better example</strong> to the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Controls-Property.html\' title=\'\'>Rollout .Controls Property</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and added a better example</strong> to the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Systems-category.html\' title=\'\'>Rollout Systems &#39;category&#39; Mechanism</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated and added a better example</strong> to the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\' title=\'\'>Radiobuttons</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Updated the example</strong> anesthetics <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\' title=\'\'>Visibility of Locals, Functions, Structures and User-Interface Items in Rollout Code</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added popups</strong> to various topics explaining the use of a [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>]. Popups are enclosed in rectangular brackets [].</p>\n\
<div class=\'section\'><a id=\"how-to---maxscript-tutorials\"></a><h2 id=\"how-to---maxscript-tutorials\">How To - MAXScript Tutorials</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Copy-The-Last-Rendered.html\' title=\'\'>How To ... Copy The Last Rendered Image To The Windows Clipboard</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Call-a-MAXScript-Function.html\' title=\'\'>How To... Call a MAXScript Function Periodically using DotNet</a></p>\n\
<div class=\'section\'><a id=\"maxscript-frequently-asked-questions\"></a><h2 id=\"maxscript-frequently-asked-questions\">MAXScript Frequently Asked Questions</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>The <a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-.html\' title=\'\'>How To Make It Faster?</a> FAQ topic had grown too long and has been split into multiple sub-topics.</p>\n\
<p>The following topics have been added to the MAXScript FAQ:</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\' title=\'\'>How do I call the dropdownList Selected handler as a function?</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-uncheck-a-MacroScript.html\' title=\'\'>How do I uncheck a MacroScript button correctly?</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\' title=\'\'>For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\' title=\'\'>Optimizing Particle Flow Script Operator For Loops For Speed</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-set-the-default-path.html\' title=\'\'>How do I set the default path for file operations in MAXScript?</a></p>\n\
<div class=\'section\'><a id=\"other-updates\"></a><h2 id=\"other-updates\">Other Updates</h2></div>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Changed titles background to black</strong> to make search result highlights (typically dark blue) easier recognizable.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>As an ongoing effort to improve readability,</strong> the <strong>spacing</strong> between properties and methods definitions has been <strong>increased</strong> in most topics.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Replaced all screenshots</strong> in the Introduction to MAXScript to reflect the modern look of viewports and dialogs.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Reformatted</strong> the documentation of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps Interface</a> for easier navigation.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Changed formatting</strong> of Notes and Examples (Work In Progress)</p>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Added new table formatting</strong> for Notes and Warnings.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> <strong>Added new table formatting</strong> for Examples:</p>\n\
<p>``` some code here</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"bug-fixes\"></a><h2 id=\"bug-fixes\">Bug Fixes</h2></div>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Fixed description</strong> of the <span class=\'code\'>macros.new()</span> method in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\' title=\'\'>Macro Scripts</a> topic. It listed first argument as Name and second as Category. The correct order is Category first, then Name.</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Added missing link</strong> to the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Area_Shadows-Shadow.html\' title=\'\'>Area_Shadows : Shadow</a> topic from the Contents tab and fixed broken link to the same topic from <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Light-Common-Properties.html\' title=\'\'>Light Common Properties, Operators, and Methods</a>.</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Fixed description</strong> of the <span class=\'code\'>#viewportChange</span> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>general event callback</a>. Old documentation claimed that it is called whenever the viewport layout changes. In reality, it is called each time the viewport parameters change, including panning, zooming, orbiting or changing the active viewport.</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Fixed property name</strong> in the RBCollection : Helper- <span class=\'code\'>.rigidBody</span> was listed as <span class=\'code\'>.rigidBodyTab</span> .</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Fixed method name</strong> in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-ProCutter.html\' title=\'\'>Interface: ProCutter</a>- <span class=\'code\'>.addStocks()</span> was listed as <span class=\'code\'>.addStock()</span> .</p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'> <strong>Removed claims</strong> from <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>render() method description</a> about it being re-entrant. The only special case where <span class=\'code\'>render()</span> can be called reentrantly is documented in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\' title=\'\'>Scripted RenderEffect Plug-ins</a></p>\n\
<p><img src=\'developer/images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\' title=\'\'>The content of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Constraints/Path_Constraint-superclass.html\' title=\'\'>Path Constraint</a> topic was very outdated and misleading. It has been completely rewritten**, incl. notes and examples.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";