var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2017</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2017</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2017\"></a></div>\n\
<p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2017</strong> and <strong>3ds Max 2017 Extension 1</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"ds-max-2017.1-update\"></a><h2 id=\"ds-max-2017.1-update\">3ds Max 2017.1 Update</h2></div>\n\
<div class=\'section\'><a id=\"collections\"></a><h3 id=\"collections\">Collections</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Dictionary-Values.html\' title=\'\'>Dictionary Value</a> class is a new collection type, which is an associative array data structure.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\' title=\'\'>DataPair Value</a> class can now be specified in a persistent global variable. Both values in the DataPair must be specifiable as a persistent global variable in order for the DataPair to be fully restored on scene file load.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Turning-On-the-Listener-Log.html\' title=\'\'>openLog</a> command now can now take a <strong>bufferedWrite</strong> parameter to turn off file caching.</p>\n\
<div class=\'section\'><a id=\"system-information-additions\"></a><h3 id=\"system-information-additions\">System Information Additions</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-CAC36F27-CB51-4C9F-B265-167F636C9A4D.html#3ds-max-process-priority-and-affinity-\' title=\'\'>sysinfo.MAXpriority</a> enum now has additional members to support all Windows process priority classes: <strong>#abovenormal</strong>, <strong>#belownormal</strong>, <strong>#backgroundBegin</strong>, <strong>#backgroundEnd</strong>, and <strong>#realtime</strong> are added in this release.</p>\n\
<div class=\'section\'><a id=\"log-system-additions\"></a><h3 id=\"log-system-additions\">Log System Additions</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Log-System.html\' title=\'\'>logsystem.logEntry</a> function now takes an enum argument to specify warning level. The function still takes a bool to maintain backwards compatibility.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Log-System.htmlGUID-19F76A35-BDF8-43C7-8026-A4671A7EBB22\' title=\'\'>logsystem.setLogLevel</a> sets the specified log level on or off.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Log-System.html\' title=\'\'>logsystem.getLogLevel</a> returns whether the specified log level is on or off.</p>\n\
<div class=\'section\'><a id=\"materials-and-maps\"></a><h3 id=\"materials-and-maps\">Materials and Maps</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BlendedBoxMap-TextureMap.html\' title=\'\'>BlendedBoxMap: TextureMap</a> allows you to apply a box map across one or more objects, and to map them from all sides. Blended Box Map projects images from three 90 degree directions, and gives you the ability to blend between the maps for a more seamless result.</p>\n\
<div class=\'section\'><a id=\"modeling\"></a><h3 id=\"modeling\">Modeling</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/Data_Channel-Modifier.html\' title=\'\'>Data_Channel: Modifier</a> is a new tool for automating complex modelling operations.</p>\n\
<div class=\'section\'><a id=\"boolean-objects-and-related-interfaces\"></a><h2 id=\"boolean-objects-and-related-interfaces\">Boolean Objects And Related Interfaces</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Boolean3-GeometryClass.html\' title=\'\'>Boolean3 : GeometryClass</a> implements a boolean object with a modern and easier to use interface.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BooleanExplorerManager.html\' title=\'\'>Interface:BooleanExplorerManager</a> Core Interface provides MAXScript access to the Boolean Explorer dialog.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BooleanObjectManager.html\' title=\'\'>Interface:BooleanObjectManager</a> Core Interface exposes new Boolean3-related management methods.</p>\n\
<div class=\'section\'><a id=\"animation-presets-offset-animation\"></a><h2 id=\"animation-presets-offset-animation\">Animation Presets / Offset Animation</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Preset_Maker-modifier.html\' title=\'\'>Preset_Maker : modifier</a> is used by the new Animation Presets functionality.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-C4BD1C23-6731-42A2-88D6-F74A5ADF00D0.html#offset--floatcontroller\' title=\'\'>offset: floatController</a> allows the shifting of selected animation tracks in time.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OffsetManager.html\' title=\'\'>Interface:OffsetManager</a> exposes methods for creating and applying Animation Presets and Offset Animations to scene objects.</p>\n\
<div class=\'section\'><a id=\"animation-controllers-and-animation-system-access\"></a><h2 id=\"animation-controllers-and-animation-system-access\">Animation Controllers And Animation System Access</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point2-Controllers/Bezier_Point2-Point2Controller.html\' title=\'\'>Bezier_Point2 : Point2Controller</a> is used to store Point2 animation keys. It derives from a new Point2Controller superclass.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Set-Controller-Value-Functions.html\' title=\'\'>following new functions</a> can be used to set, restore, and commit value changes in animation controllers:</p>\n\
<ul>\n\
<li><span class=\'code\'>SetControllerValue()</span></li>\n\
<li><span class=\'code\'>RestoreControllerValue()</span></li>\n\
<li><span class=\'code\'>CommitControllerValue()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/New-Default-Controller-Functions.html\' title=\'\'>following new functions</a> can be used to construct a new controller using the default class customized by the user via the Assign Controller dialog:</p>\n\
<ul>\n\
<li><span class=\'code\'>NewDefaultBoolController()</span></li>\n\
<li><span class=\'code\'>NewDefaultColorController()</span></li>\n\
<li><span class=\'code\'>NewDefaultFloatController()</span></li>\n\
<li><span class=\'code\'>NewDefaultFRGBAController()</span></li>\n\
<li><span class=\'code\'>NewDefaultMasterPointController()</span></li>\n\
<li><span class=\'code\'>NewDefaultMatrix3Controller()</span></li>\n\
<li><span class=\'code\'>NewDefaultPoint2Controller()</span></li>\n\
<li><span class=\'code\'>NewDefaultPoint3Controller()</span></li>\n\
<li><span class=\'code\'>NewDefaultPoint4Controller()</span></li>\n\
<li><span class=\'code\'>NewDefaultPositionController()</span></li>\n\
<li><span class=\'code\'>NewDefaultRotationController()</span></li>\n\
<li><span class=\'code\'>NewDefaultScaleController()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-141213A1-B5A8-457B-8838-E602022C8798.html#p\' title=\'\'>following new properties</a> can be used to enable/disable the default key creation when animating a previously not animated property, as well as set the default keyframe time, which is not limited to frames 0 or 1 anymore:</p>\n\
<ul>\n\
<li><span class=\'code\'>preferences.autoKeyDefaultKeyOn</span></li>\n\
<li><span class=\'code\'>preferences.autoKeyDefaultKeyTime</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>new animateMode</a> System Global variable can be used to enable animation without changing the Auto Key button state in the UI.</p>\n\
<div class=\'section\'><a id=\"art-renderer\"></a><h2 id=\"art-renderer\">ART Renderer</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/ART_Renderer-RendererClass.html\' title=\'\'><span class=\'code\'>ART_Renderer : RendererClass</span></a> exposes the new advanced renderer to MAXScript.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/ART_Renderer_Noise_Filter.html\' title=\'\'><span class=\'code\'>ART_Renderer_Noise_Filter : RenderElement</span></a> allows the noise removal from ART_Render output images via a post process.</p>\n\
<div class=\'section\'><a id=\"physical-sun-and-sky\"></a><h2 id=\"physical-sun-and-sky\">Physical Sun And Sky</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Sun_Positioner-Light.html\' title=\'\'><span class=\'code\'>Sun_Positioner : light</span></a> implements the light and control gizmo of the new Physical Sun and Sky system that integrates with the ART_Renderer.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Physical_Sun___Sky_Environment.html\' title=\'\'><span class=\'code\'>Physical_Sun___Sky_Environment : textureMap</span></a> implements the environment map which renders the Physical Sun and Sky system based on the Sun_Positioner&#39;s settings.</p>\n\
<div class=\'section\'><a id=\"materials\"></a><h2 id=\"materials\">Materials</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Physical_Material-Material.html\' title=\'\'><span class=\'code\'>PhysicalMaterial : Material</span></a> was designed for use with the new ART_Renderer raytracer.</p>\n\
<div class=\'section\'><a id=\"texture-maps\"></a><h2 id=\"texture-maps\">Texture Maps</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/ColorMap-textureMap.html\' title=\'\'><span class=\'code\'>colorMap : textureMap</span></a> offers a simple way to pass a solid color into any map slot, allowing for example the instancing of a color value among independent Materials and Maps.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextMap-textureMap.html\' title=\'\'><span class=\'code\'>textMap : textureMap</span></a> allows the procedural creation of texture maps from one or more TextPlus geometry objects.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/ShapeMap-textureMap.html\' title=\'\'><span class=\'code\'>shapeMap : textureMap</span></a> allows the procedural creation of texture maps from one or more Spline objects, including the legacy Text shape.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/MultiTile-textureMap.html\' title=\'\'><span class=\'code\'>MultiTile : textureMap</span></a> implements support for UDIM, custom, Z-Brush and Mudbox-compatible multi-tile textures.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextureObjMask-textureMap.html\' title=\'\'><span class=\'code\'>TextureObjMask : textureMap</span></a> implements a texture for controlling inside/outside or above/below masking based on basic geometry primitives.</p>\n\
<div class=\'section\'><a id=\"mental-ray-shaders-and-interfaces\"></a><h2 id=\"mental-ray-shaders-and-interfaces\">mental ray Shaders And Interfaces</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <span class=\'code\'>Interface:NVIDIARenderersHelper</span> Core Interface exposes a function to check for the existence of the mental ray and iRay DLLs which are now an installer option.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <span class=\'code\'>max_Shapemap : textureMap</span> implements the shapeMap texture map as a mental ray shader.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <span class=\'code\'>TextureObjMasktextureMap : textureMap</span> implements the textureObjMask texture map as a mental ray shader.</p>\n\
<div class=\'section\'><a id=\"hdpi-support\"></a><h2 id=\"hdpi-support\">HDPI Support</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\' title=\'\'>Interface: colorMan</a> has new functions: <span class=\'code\'>getColorTheme()</span> and <span class=\'code\'>setColorTheme()</span>, as well as read/write property, <span class=\'code\'>colorTheme</span>. The <span class=\'code\'>getColorSchemeType()</span> and <span class=\'code\'>setColorSchemeType()</span> functions are removed.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>Button UI Control</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\' title=\'\'>Checkbox UI Control</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\' title=\'\'>Mapbutton UI Control</a>, and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\' title=\'\'>Materialbutton UI Control</a> – all now support a simpler syntax for displaying images: <span class=\'code\'>iconName</span> and <span class=\'code\'>iconSize</span> creation parameters.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Several functions in the <a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.html\' title=\'\'>windows structure</a> and <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\' title=\'\'>systemTools</a> structure now take a new <span class=\'code\'>applyUIScaling</span> parameter to deal with HDPI displays.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> There are new &quot;unscaled&quot; versions of these System Globals:</p>\n\
<ul>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'><span class=\'code\'>sysInfo.DesktopSizeUnscaled</span></a></li>\n\
<li><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\' title=\'\'><span class=\'code\'>mouse.posUnscaled</span></a></li>\n\
<li><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\' title=\'\'><span class=\'code\'>mouse.screenposUnscaled</span></a></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New function to get the scale factor for High DPI displays: <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomControlsOptions.html\' title=\'\'><span class=\'code\'>GetUIScaleFactor monitorID:&lt;int&gt;</span></a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New arguments have been added to the existing function to get the size of a string in pixels if it was displayed on a command panel: <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/getTextExtent.html\' title=\'\'><span class=\'code\'>&lt;point2&gt; getTextExtent &lt;string&gt; removeUiScaling:&lt;true&gt; useQtTextWidth:&lt;true&gt;</span></a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-879ECFAD-7928-44B3-BCD7-276D53C89B52.html#getproperty-and-setproperty\' title=\'\'><span class=\'code\'>getProperty()</span></a> and <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-879ECFAD-7928-44B3-BCD7-276D53C89B52.html#getproperty-and-setproperty\' title=\'\'><span class=\'code\'>setProperty()</span></a> functions now have optional <span class=\'code\'>removeUIScaling:&lt;boolean&gt;</span>/<span class=\'code\'>applyUIScaling:&lt;boolean&gt;</span> parameters.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> These methods now have an optional <span class=\'code\'>applyUIScaling:&lt;boolean&gt;</span> parameter:</p>\n\
<ul>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.htmlGUID-B09E5B84-8074-4888-B473-2B5F201FA19F\' title=\'\'><span class=\'code\'>windows.setWindowPos</span></a></li>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.htmlGUID-87C2E53F-AB20-41DD-B283-FA8A2CE944B9\' title=\'\'><span class=\'code\'>windows.clientToScreen</span></a></li>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.htmlGUID-9AE0C83F-0723-45E2-855C-B2D238ACF3E6\' title=\'\'><span class=\'code\'>windows.screenToClient</span></a></li>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\' title=\'\'><span class=\'code\'>systemTools.GetScreenWidth</span></a></li>\n\
<li><a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\' title=\'\'><span class=\'code\'>systemTools.GetScreenHeight</span></a></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.htmlGUID-F09BCE9F-67FF-4F55-BBE1-3DF9B7AC03CD\' title=\'\'><span class=\'code\'>windows.getWindowPos</span></a> function now has an optional <span class=\'code\'>removeUIScaling:&lt;boolean&gt;</span> parameter.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/imgTag.html\' title=\'\'>imgTag</a> classes have new <span class=\'code\'>iconName:&lt;filename&gt;</span> and <span class=\'code\'>iconSize:&lt;point2&gt;</span> parameters.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <span class=\'code\'>getIconAsBitmap()</span> function in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/imgTag.html\' title=\'\'>imgTag</a> gets a bitmap from a loaded icon.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotNet-Struct-Methods.html\' title=\'\'>dotNet Struct</a> has a new <span class=\'code\'>dotNet.loadIcon()</span> function to load icons.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> The <span class=\'code\'>getColorSchemeType()</span> and <span class=\'code\'>setColorSchemeType()</span> functions are removed from the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\' title=\'\'><span class=\'code\'>Interface: colorMan</span></a>.</p>\n\
<div class=\'section\'><a id=\"core-interfaces\"></a><h2 id=\"core-interfaces\">Core Interfaces</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaxThumbnailMgr.html\' title=\'\'><span class=\'code\'>Interface:MaxThumbnailMgr</span></a> Core Interface exposes the saving of viewport thumbnails with the saved .MAX file.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IAutoCamMax.html\' title=\'\'><span class=\'code\'>Interface:IAutoCamMax</span></a> Core Interface exposes the new viewport navigation Pivot Ball to MAXScript.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\' title=\'\'><span class=\'code\'>Interface:SceneConverter</span></a> Core Interface exposes properties and methods for setting up the scene converter system and its rules.</p>\n\
<div class=\'section\'><a id=\"importexport-dialogs-access\"></a><h2 id=\"importexport-dialogs-access\">Import/Export Dialogs Access</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\' title=\'\'>following new functions</a> can be used to control the FBX settings dialog:</p>\n\
<ul>\n\
<li><span class=\'code\'>OpenFbxSetting()</span></li>\n\
<li><span class=\'code\'>GetEnableEditFbxSetting()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following new functions can be used to control the display of the Game Exporter dialog represented by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GameExporter-UtilityPlugin.html\' title=\'\'><span class=\'code\'>GameExporter: UtilityPlugin</span></a>:</p>\n\
<ul>\n\
<li><span class=\'code\'>GameExporterOpenDialog()</span></li>\n\
<li><span class=\'code\'>GameExporterShown()</span></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"debugging-support\"></a><h2 id=\"debugging-support\">Debugging Support</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following new functions have been added to the <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\' title=\'\'>systemTools</a> struct:</p>\n\
<ul>\n\
<li><span class=\'code\'>getSystemMetrics()</span> - calls the win32 function of the same name.</li>\n\
<li><span class=\'code\'>enumDisplayDevices()</span> - returns an array corresponding to displays.</li>\n\
<li><span class=\'code\'>isAeroEnabled()</span> - returns true if Windows Aero mode is enabled.</li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The following functions have been removed from the <span class=\'code\'>systemTools</span> struct since the respective platforms are not supported by 3ds Max anymore:</p>\n\
<ul>\n\
<li><span class=\'code\'>systemTools.isWindows98or2000()</span></li>\n\
<li><span class=\'code\'>systemTools.isWindows9x()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/MXSCallstackCaptureEnabled.html\' title=\'\'><span class=\'code\'>MXSCallstackCaptureEnabled</span></a> context allows you to better control how the MAXScript callstack is captured.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New function <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-624D3D05-B15D-4A97-9F15-DA35CDB0DDD2.html#merging-max-files\' title=\'\'><span class=\'code\'>&lt;array&gt;getLastMergedNodes()</span></a> - returns an array of merged nodes after a merge operation.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Debugger/Manual-Stack-Dump-using-the.html\' title=\'\'><span class=\'code\'>Stack()</span></a> function has a new <span class=\'code\'>exlcudeOwner:&lt;boolean&gt;</span> parameter.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>globalVars.gather</span> function in <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\' title=\'\'>globalVars Structure</a> now has an optional filter function parameter.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Several new functions are available with the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\' title=\'\'>Try Expression</a> to support advanced debugging:</p>\n\
<ul>\n\
<li><span class=\'code\'>hasCurrentExceptionStackTrace()</span></li>\n\
<li><span class=\'code\'>hasCurrentExceptionCallStack()</span></li>\n\
<li><span class=\'code\'>getCurrentExceptionStackTrace()</span></li>\n\
<li><span class=\'code\'>getCurrentExceptionCallStack()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\' title=\'\'><span class=\'code\'>getMaxExtensionVersion()</span></a> function returns the version number of the current Extension, or 0 if no Extension is installed.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'><span class=\'code\'>isValidValue()</span></a> function returns False if a value has been deleted, True if it is still valid.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'><span class=\'code\'>refs.getAddr()</span></a> method can be used to acquire the memory address of any MaxObject as a Pointer value.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following new <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>System Globals</a> and functions are used internally to control the dependency notification optimizations, and collect related statistics:</p>\n\
<ul>\n\
<li><span class=\'code\'>preferences.EnableOptimizeDependentNotifications</span></li>\n\
<li><span class=\'code\'>GetOptimizeDependentNotificationsStatistics()</span></li>\n\
<li><span class=\'code\'>ResetOptimizeDependentNotificationsStatistics()</span></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"miscellaneous-changes\"></a><h2 id=\"miscellaneous-changes\">Miscellaneous Changes</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\' title=\'\'>OpenEXR : BitmapIO</a> has new functions:</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;fopenxr.getRenderElementByLayer &lt;integer&gt;layer\n\
&lt;boolean&gt;fopenxr.getLayerEnabled &lt;integer&gt;layer\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>Interface: AssetManager</a> has a new function:</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;GetAssetById &lt;string&gt;assetid\n\
</pre></div><p>It returns the <span class=\'code\'>AssetUser</span> object of the asset with the given asset ID.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following FFD functions now support FFD Spacewarp objects:</p>\n\
<ul>\n\
<li><span class=\'code\'>conformToShape()</span></li>\n\
<li><span class=\'code\'>getDimensions()</span></li>\n\
<li><span class=\'code\'>setDimensions()</span></li>\n\
<li><span class=\'code\'>animateAll()</span></li>\n\
<li><span class=\'code\'>resetLattice()</span></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Tooltips are now supported for <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/multilistbox.html\' title=\'\'>MultiListBox</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\' title=\'\'>Listbox</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\' title=\'\'>Colorpicker</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\' title=\'\'>EditText</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\' title=\'\'>ComboBox</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\' title=\'\'>Label UI</a> Controls.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\' title=\'\'>Slider UI Control</a> has a new height creation parameter.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The filename being imported/exported is now returned in callbacks.notificationParam() for <span class=\'code\'>callbacskaddScript #postImport</span> and <span class=\'code\'>#postExport</span>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>There is a new max command, <span class=\'code\'>max align to view</span>, that displays the <strong>Align to View</strong> dialog.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>The Deformable gPoly is deprecated and removed. In MAXScript, the <span class=\'code\'>Turn_to_gPoly</span> modifier is no longer available. To maintain backwards compatibility with older scene files, the <span class=\'code\'>Deformable_gPoly</span> class is still available, but cannot be created.</p>\n\
<div class=\'section\'><a id=\"miscellaneous-functions\"></a><h2 id=\"miscellaneous-functions\">Miscellaneous Functions</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <span class=\'code\'>[convertKelvinToRGB](../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html)()</span> function returns the RGB color corresponding to black body radiation at the specified temperature in Kelvin.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'><span class=\'code\'>mesh_weld_overlapping_vertices()</span></a> function welds overlapping vertices in the TriMesh of an Editable_Mesh base object.</p>\n\
<div class=\'section\'><a id=\"bug-fixes\"></a><h2 id=\"bug-fixes\">Bug Fixes</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Strings are no longer truncated when passed as parameters to an invoked <span class=\'code\'>dotNetMethod</span>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>The <span class=\'code\'>classof</span>, <span class=\'code\'>superclassof</span> and <span class=\'code\'>isKindOf</span> functions now report the proper information for rollout control classes and instances.</p>\n\
<div class=\'section\'><a id=\"new-in-3dx-max-2016-extension-1\"></a><h2 id=\"new-in-3dx-max-2016-extension-1\">New in 3dx Max 2016 Extension 1</h2></div>\n\
<div class=\'section\'><a id=\"new-scripted-animation-controller-plug-ins\"></a><h3 id=\"new-scripted-animation-controller-plug-ins\">New Scripted Animation Controller Plug-ins</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Animation-Controller.html\' title=\'\'>Scripted Animation Controller Plug-ins</a> allow you to write scripted plug-ins in MAXScript for several controller types.</p>\n\
<div class=\'section\'><a id=\"new-textplus-tool\"></a><h3 id=\"new-textplus-tool\">New TextPlus Tool</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TextPlus-GeometryClass.html\' title=\'\'><span class=\'code\'>TextPlus</span></a> GeometryClass class, and related <span class=\'code\'>TextObject2</span> Mixin interface provide MAXScript exposure for the new TextPlus tool.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";