var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2012</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2012</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2012\"></a></div>\n\
<p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2012</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-7/Documentation-Changes-in-3ds-Max.html\' title=\'\'>Documentation Changes in 3ds Max 2012</a>.</p>\n\
<div class=\'section\'><a id=\"new-3ds-max-features-exposure\"></a><h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2></div>\n\
<div class=\'section\'><a id=\"nitrous-graphics-system\"></a><h3 id=\"nitrous-graphics-system\">Nitrous Graphics System</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'>NitrousGraphicsManager Core Interface</a> exposes the controls of the new viewports graphics manager to MAXScript. In addition, it provides script-only access to all parameters of all Non-Photorealistic Rendering styles which are not exposed to the <strong>3ds Max</strong> User Interface yet. The topic also contains a fully functioning script example implementing the dynamic dialog generation from the exposed parameters including the options to save and load presets for each rendering style.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OGSDiagnostics.html\' title=\'\'>OGSDiagnostics Core Interface</a> provides a property to access a graphics hardware-related report.</p>\n\
<div class=\'section\'><a id=\"massfx-dynamics-simulation\"></a><h3 id=\"massfx-dynamics-simulation\">MassFX Dynamics Simulation</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\' title=\'\'>Interface : nvpx</a> exposes the MassFX system settings to MAXScript.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\' title=\'\'>PhysXPanel : ReferenceTarget</a> exposes the settings of the MassFX control panel and its controls to MAXScript.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\' title=\'\'>UConstraint : Helper</a> is used to define constraints in the MassFX system.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\' title=\'\'>pxJoint : Helper</a> object is used to define joints in the MassFX system.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\' title=\'\'>Skeleton : Helper</a> object is used to introduce animated characters as Kinematic Skeleton objects to drive MassFX simulations.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/nvRagdoll-Helper.html\' title=\'\'>nvRagdoll : Helper</a> is used to define a ragdoll rig in the MassFX system.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX_RBody : Modifier</a> is used by the MassFX system to define the properties of a rigid body object.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\' title=\'\'>nvBox : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom box-shaped shell for physical simulation.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\' title=\'\'>nvCapsule : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom capsule-shaped shell for physical simulation.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\' title=\'\'>nvSphere : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom spherical shell for physical simulation.</p>\n\
<div class=\'section\'><a id=\"particle-flow-operators\"></a><h3 id=\"particle-flow-operators\">Particle Flow Operators</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_File-Helper.html\' title=\'\'>Birth_File : Helper</a> implements the loading of particle simulations files in the <strong>Autodesk Maya</strong> Nucleus Particle Cache format saved out of <strong>Autodesk Softimage ICE</strong>.</p>\n\
<div class=\'section\'><a id=\"substance-texture-maps\"></a><h3 id=\"substance-texture-maps\">Substance Texture Maps</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance-textureMap.html\' title=\'\'>Substance textureMap</a> exposes the Substance procedural 2D maps loader to MAXScript.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The SubstanceShader textureMap implements the mental ray shader of the Substance loader.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance_Output-textureMap.html\' title=\'\'>Substance_Output textureMap</a> serves as an output selector to the Substance textureMap - this allows you to connect a single Substance textureMap to multiple Substance_Output nodes in the Slate Material Editor to extract various outputs.</p>\n\
<div class=\'section\'><a id=\"vector-displacement-texture-maps\"></a><h3 id=\"vector-displacement-texture-maps\">Vector Displacement Texture Maps</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>max_vector displacement : textureMap</span> class exposes the Vector Displacement map used to load displacement data generated in Autodesk Mudbox.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>max_vdm : textureMap</span> class implements the mental ray shader for rendering the Vector Displacement maps generated in Autodesk Mudbox.</p>\n\
<div class=\'section\'><a id=\"iray-renderer\"></a><h3 id=\"iray-renderer\">iRay Renderer</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The iRay_Renderer : RendererClass provides access to the iRay path tracer used for physically correct lighting simulation using the CPUs and any available GPUs.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The iRay String Options provide access to some advanced features currently not exposed to the renderer&#39;s User Interface.</p>\n\
<div class=\'section\'><a id=\"animation\"></a><h3 id=\"animation\">Animation</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AutoTangentMan.html\' title=\'\'>AutoTangentMan Core Interface</a> provides access to the AutoTangent algorithm used by <strong>3ds Max</strong>, including the new unified AutoTangent implementation found in <strong>Autodesk 3ds Max</strong>, <strong>Autodesk Maya</strong> and <strong>Autodesk Softimage</strong>.</p>\n\
<div class=\'section\'><a id=\"help-system\"></a><h3 id=\"help-system\">Help System</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\' title=\'\'>HelpSystem Core Interface</a> provides access to the online and local product help systems.</p>\n\
<div class=\'section\'><a id=\"improvements-to-existing-features\"></a><h2 id=\"improvements-to-existing-features\">Improvements to Existing Features</h2></div>\n\
<div class=\'section\'><a id=\"quicksilver-hardware-renderer\"></a><h3 id=\"quicksilver-hardware-renderer\">Quicksilver Hardware Renderer</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\' title=\'\'>Quicksilver_Hardware_Renderer</a> has been updated to use the new Nitrous Graphics System, resulting in significant changes to both the User Interface controls and the MAXScript exposure of the corresponding features.</p>\n\
<div class=\'section\'><a id=\"unwrap-uvw-modifier\"></a><h3 id=\"unwrap-uvw-modifier\">Unwrap UVW Modifier</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW Modifier</a> has been significantly improved in <strong>3ds Max 2012</strong>:</p>\n\
<ul>\n\
<li>A new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\' title=\'\'>Least Squares Conformal Mapping (LSCM) unwrap method</a> has been introduced, allowing the fast peeling of the Mapping Coordinates.</li>\n\
<li>A new set of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Regular.html\' title=\'\'>Regular Mapping</a> functions has been added to the existing unwrap6 MixinInterface of the modifier.</li>\n\
<li>A new set of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Group.html\' title=\'\'>Grouping</a> functions have been added to the UI and to MAXScript.</li>\n\
<li>A new set of Cluster Rescaling and Aligning functions has been added to the UI and to MAXScript.</li>\n\
<li>A set of new functions for <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-7/GUID-A182EFF2-5FE1-4B2D-AC4E-DB3DB48136E9.html#custom-toolbars-and-floaters\' title=\'\'>adding custom toolbars and floaters</a> to the Edit UVWs Floater has been added to MAXScript. These custom UI elements can be defined manually via a dedicated .INI configuration file to expose additional tools.</li>\n\
<li>The User Interface of the Unwrap_UVW Modifier, both in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Command.html\' title=\'\'>Command Panel</a> and in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\' title=\'\'>Edit UVWs Floater</a>, has been redesigned for faster access to often used features.</li>\n\
<li>The documentation of the Unwrap_UVW Modifier which had grown over the last decade to one of the biggest topics in the MAXScript Reference has been split into a large number of sub-topics covering related tools. These sub-topics are easily accessible through the main <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW Modifier</a> topic.</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"retired-removed-and-unavailable-features\"></a><h2 id=\"retired-removed-and-unavailable-features\">Retired, Removed and Unavailable Features</h2></div>\n\
<div class=\'section\'><a id=\"interface-viewportssb\"></a><h3 id=\"interface-viewportssb\">Interface: ViewportSSB</h3></div>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\' title=\'\'>ViewportSSB Interface</a></strong> is not available by default in <strong>3ds Max 2012</strong> because the Viewports are set to use the Nitrous Graphics System. You must switch the Viewports to the Direct3D driver to access this interface.</p>\n\
<div class=\'section\'><a id=\"legacy-dynamics\"></a><h3 id=\"legacy-dynamics\">Legacy Dynamics</h3></div>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The properties <span class=\'code\'>.bounce</span> , <span class=\'code\'>.staticFriction</span> and <span class=\'code\'>.slidingFriction</span> have been removed from the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/StandardMaterial-Material.html\' title=\'\'>Standard</a> Material due to the complete removal of the legacy Dynamics system introduced back in <strong>3ds Max 2</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The following SpacewarpObjects have been removed from <strong>3ds Max 2012</strong> due to the complete removal of the legacy Dynamics system introduced back in <strong>3ds Max 2</strong>:</p>\n\
<ul>\n\
<li><span class=\'code\'>SDynaFlect : SpacewarpObjects</span></li>\n\
<li><span class=\'code\'>UDynaflect : SpacewarpObjects</span></li>\n\
<li><span class=\'code\'>UDynaDeflector : SpacewarpObjects</span></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"reactor-dynamics\"></a><h3 id=\"reactor-dynamics\">Reactor Dynamics</h3></div>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>All reactor interfaces, modifiers and objects have been removed from <strong>3ds Max 2012</strong> due to the complete removal of the <strong>reactor dynamics system</strong> introduced back in <strong>3ds Max 5</strong>.</p>\n\
<div class=\'section\'><a id=\"maxscript-language-improvements\"></a><h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2></div>\n\
<div class=\'section\'><a id=\"maxclass-dll-related-properties\"></a><h3 id=\"maxclass-dll-related-properties\">maxClass DLL-Related Properties</h3></div>\n\
<p>To reduce the initial memory footprint and to speed up the startup process, <strong>3ds Max 2012</strong> increases the number of plugins that can be deferred and loaded on demand.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>Two new read-only properties</a> - <span class=\'code\'>.dllName</span> and <span class=\'code\'>.dllIsLoaded</span> - have been added to maxClass to query the DLL it was defined in and to check whether that DLL has been already loaded.</p>\n\
<div class=\'section\'><a id=\"macroscript-multi-threaded-loading\"></a><h3 id=\"macroscript-multi-threaded-loading\">MacroScript Multi-Threaded Loading</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> MacroScripts are now processed on <strong>3ds Max</strong> startup using multiple threads.</p>\n\
<div class=\'section\'><a id=\"custom-attributes-version-number-support-on-loading\"></a><h3 id=\"custom-attributes-version-number-support-on-loading\">Custom Attributes Version Number Support On Loading</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> In previous versions, Custom Attribute definitions loaded from a file always replced the definitions in the scene. Starting with <strong>3ds Max 2012</strong>, this will only happen if the version number of the definition from the loaded scene is higher than the current definition&#39;s version number. <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Version-Number.html\' title=\'\'>See this topic for implementation details</a>.</p>\n\
<div class=\'section\'><a id=\"resource-string-replacement\"></a><h3 id=\"resource-string-replacement\">Resource String Replacement</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> To simplify localization of scripts, it is now possible to <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Resource-String-Replacement.html\' title=\'\'>replace hard-coded strings with Resource IDs</a> defined in external .res files.</p>\n\
<div class=\'section\'><a id=\"stringstream-value\"></a><h3 id=\"stringstream-value\">StringStream Value</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>append()</span> method is now implemented by the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\' title=\'\'>StringStream Value class</a>, allowing for memory-efficient appending of a String value to an existing StringStream.</p>\n\
<div class=\'section\'><a id=\"free-method\"></a><h3 id=\"free-method\">Free() Method</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>free()</span> method has been implemented since <strong>3ds Max 9</strong> but has remained undocumented. This method frees the memory used by the value without waiting for a garbage collection to occur. It is implemented for the following classes: <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>String Value</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\' title=\'\'>StringStream Value</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Value</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>BitMap Value</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Value</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\' title=\'\'>BitArray Value</a>, Mesh Value</p>\n\
<div class=\'section\'><a id=\"rollout-help-event\"></a><h3 id=\"rollout-help-event\">Rollout Help Event</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new <span class=\'code\'>on &lt;rollout&gt; help do()</span> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.htmlCODEBLOCK_CB374BB1FFC848A1A312C9BA44F6DB7D\' title=\'\'>event handler can be specified in rollouts</a> to handle F1 pressed while a rollout has focus.</p>\n\
<div class=\'section\'><a id=\"rollout-and-ui-control-caption\"></a><h3 id=\"rollout-and-ui-control-caption\">Rollout and UI Control Caption</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Non-Local-Variables-As-Captions.html\' title=\'\'>Caption construction parameter of Rollouts and UI Controls</a> used to be required as string literal, now it can be a non-local variable (global or top-level local variable in struct or plugin definitions)</p>\n\
<div class=\'section\'><a id=\"radiobutton-tooltips\"></a><h3 id=\"radiobutton-tooltips\">Radiobutton Tooltips</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Tooltops have been added to <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\' title=\'\'>radiobutton user interface controls</a> - either a single string for all labels, or one tooltip per label.</p>\n\
<div class=\'section\'><a id=\"test-framework-assert-functions\"></a><h3 id=\"test-framework-assert-functions\">Test Framework Assert Functions</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Several new <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-7/GUID-821E791F-6D80-48C7-8A65-65BE73C551C6.html#test-framework-assert-functions\' title=\'\'>Assert functions and an AssertReporter</a> struct to manage their message log have been exposed to MAXScript and are now used internally by Autodesk for unit tests during the development of <strong>3ds Max</strong>.</p>\n\
<div class=\'section\'><a id=\"crt-debug-functions\"></a><h3 id=\"crt-debug-functions\">CRT Debug Functions</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Several <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Debugger/CRT-Debug-Functions.html\' title=\'\'>C Run-Time Debug Functions</a> have been exposed to MAXScript and are provided as examples in the SDK. They are meant for hard-core programmers and allow the corruption of the MAXScript Heap, the check for Heap validity and the generating of C-level asserts.</p>\n\
<div class=\'section\'><a id=\"changes-to-existing-features\"></a><h3 id=\"changes-to-existing-features\">Changes To Existing Features:</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The previously broken methods <span class=\'code\'>GetEulerQuatAngleRatio()</span> and <span class=\'code\'>GetMatQuatAngleRatio()</span> documented in the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\' title=\'\'>EulerAngles Values topic</a> have been fixed to output correct values using arrays, eulerAngles or by-reference variables.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The existing <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\' title=\'\'>Viewport Drawing Methods</a> must be wrapped in a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\' title=\'\'>Viewport Redraw Callback</a> function when the Nitrous Graphics Manager is active. Otherwise the gw. methods will not be executed due to the progressive refinement approach used by the Nitrous system.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";