var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Orientation_Constraint - superclass: RotationController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Orientation_Constraint - superclass: RotationController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"orientation_constraint---superclass-rotationcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Orientation_Constraint - superclass: RotationController; super-superclass:MAXWrapper - 2:0 - classID: #(8224, 0) \n\
</pre></div><p>An <strong>Orientation Constraint</strong> causes an object&#39;s orientation to follow the orientation of an object or averaged orientation of several objects.</p>\n\
<p>An Orientation Constrained object can be any type of object that inherits its rotation from a target object. Once constrained you can not rotate the object manually. You may move or scale the object as long as its not constrained in a manner that affects the object&#39;s position or scale controller.</p>\n\
<p>The target object can be any type of object. The rotation of a target object drives the constrained object. Targets can be animated using any of the standard translation, rotation, scale tools.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Orientation_Constraint...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Orientation_Constraint&gt;.relative Boolean default: false -- boolean \n\
&lt;Orientation_Constraint&gt;.local_world Integer default: 0 -- integer; LocalOrWorld \n\
</pre></div><p><strong>Orientation_Constraint interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:constraints \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTargets () \n\
</pre></div><p>Returns the number of target nodes in the target list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getNode &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the indexed target node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getWeight &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the weight of the indexed target if the <span class=\'code\'>targetNumber</span> is relevant, 0.0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight \n\
</pre></div><p>Sets the weight of the indexed node specified by <span class=\'code\'>targetNumber</span> . Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight \n\
</pre></div><p>Appends the specified node to the list and sets its weight to the specified value. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber \n\
</pre></div><p>Deletes the indexed target. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";