var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controller Out-Of-Range Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controller Out-Of-Range Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controller-out-of-range-functions\"></a></div>\n\
<div class=\'codeBlock\'><pre>getBeforeORT &lt;controller&gt;\n\
</pre></div><p>Gets the Out-of-Range type (ORT) for the controller for the time <strong>before</strong> the <strong>first</strong> key.</p>\n\
<p>Returns one of the following name values:</p>\n\
<div class=\'codeBlock\'><pre>#constant #cycle #loop #pingPong #linear #relativeRepeat\n\
getAfterORT &lt;controller&gt;\n\
</pre></div><p>Gets the Out-of-Range (ORT) type for the controller for the time <strong>after</strong> the <strong>last</strong> key. Returns one of the name values as for <span class=\'code\'>getBeforeORT()</span> shown above.</p>\n\
<div class=\'codeBlock\'><pre>setBeforeORT &lt;controller&gt; &lt;ORT_type_name&gt;\n\
</pre></div><p>Sets the Out-of-Range (ORT) type for the controller for the time <strong>before</strong> the <strong>first</strong> key.</p>\n\
<p>The <span class=\'code\'>&lt;ORT_type_name&gt;</span> must be one of the following name values:</p>\n\
<div class=\'codeBlock\'><pre>#constant #cycle #loop #pingPong #linear #relativeRepeat\n\
setAfterORT &lt;controller&gt; &lt;ORT_type_name&gt;\n\
</pre></div><p>Sets the Out-of-Range (ORT) type for the controller for the time <strong>after</strong> the <strong>last</strong> key. The <span class=\'code\'>&lt;ORT_type_name&gt;</span> must be one of the symbolic values shown in <span class=\'code\'>setBeforeORT()</span> above. No testing done on the validity of <span class=\'code\'>&lt;ORT_type_name&gt;</span> is performed.</p>\n\
<div class=\'codeBlock\'><pre>enableORTs &lt;controller&gt; &lt;boolean&gt;\n\
</pre></div><p>Enables or disables the Out-of-Range processing for the controller. If set to disabled with <span class=\'code\'>false</span> , the controller effectively employs a <strong>constant</strong> ORT.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";