var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GetDriverController() Method</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GetDriverController() Method</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"getdrivercontroller-method\"></a></div>\n\
<p>The <strong>GetDriverController</strong> method lets you get the driver controller of a system. It is available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>GetDriverController &lt;System&gt;\n\
</pre></div><p>Returns the driver controller of a system (for example RingArray, Sunlight System etc.)</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this method was called <span class=\'code\'>GetMasterController()</span>.</p>\n\
</blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<div class=\'codeBlock\'><pre>--First create a Sunlight System using the UI.\n\
--Then get its driver controller:\n\
theDriver = GetDriverController $Sun01\n\
ReferenceTarget:Sunlight\n\
show theDriver\n\
.Solar_Time : integer\n\
.Solar_Date : float\n\
.Latitude : float\n\
.Longitude : float\n\
.Orbital_Scale : float\n\
false\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";