var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>float_limit : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>float_limit : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"float_limit-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>float_limit - superclass: FloatController; super-superclass:MAXWrapper - 6:0 - classID: #(387087934, 0) \n\
</pre></div><p>The <strong>Float_Limit</strong> controller can be used to limit the values of another controller to a user-defined value range.</p>\n\
<p>It is available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>float_limit... FloatLimitCtrl... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.enable BooleanClass default: true -- boolean \n\
</pre></div><p>Enable and disable the limit controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.lower_limit Float default: -10000.0 -- animatable; float \n\
</pre></div><p>Get and set the lower limit of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.lower_limit_enabled BooleanClass default: true -- boolean \n\
</pre></div><p>Enable and disable the use of the lower limit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.static_value Float default: 0.0 -- float \n\
</pre></div><p>Get and set the static value of the limit controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.upper_limit Float default: 10000.0 -- animatable; float \n\
</pre></div><p>Get and set the upper limit of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_limit&gt;.upper_limit_enabled BooleanClass default: true -- boolean \n\
</pre></div><p>Enable and disable the use of the upper limit.</p>\n\
<p><strong>float_limit interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:limits \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsEnabled () \n\
</pre></div><p>Returns true if the limit controller is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetEnabled &lt;boolean&gt;enabled \n\
</pre></div><p>Sets the enabled state of the controller to the boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;GetLimitedControl () \n\
</pre></div><p>Returns the controller which is being limited.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetLimitedControl &lt;control&gt;limitedCtrl \n\
</pre></div><p>Sets the controller to be limited.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetUpperLimit &lt;time&gt;time &lt;(null)&gt;value  \n\
value is In and Out parameter\n\
</pre></div><p>Sets the upper limit of the controller at the specified time to the given value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetLowerLimit &lt;time&gt;time &lt;(null)&gt;value \n\
value is In and Out parameter\n\
</pre></div><p>Sets the lower limit of the controller at the specified time to the given value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";