var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>transform_script - superclass: Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>transform_script - superclass: Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"transform_script---superclass-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>transform_script - superclass: Matrix3Controller; super-superclass:MAXWrapper - 1:0 - classID: #(2136360284, 468085864)\n\
</pre></div><p>The <strong>Transform Script controller</strong> contains all of the information contained in a Position/Rotation/Scale (PRS) controller in one scripted matrix value. Instead of having three separate tracks for position, rotation, and scale, all three values can be simultaneously accessed from one script controller dialog. Because the transform values are defined by a script, they are easier to animate.</p>\n\
<p>The Transform Script controller exposes the same properties and interfaces as all other script controllers. See the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Script Controllers</a> topic for details.</p>\n\
<p>The value of the controller script must be a matrix3 value.A matrix3 valueis a 4x3 3D transformation matrix. For more information, see the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\' title=\'\'>Matrix3 Values</a> topic.</p>\n\
<p>For a practical example of a Transform Script controller, see <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\' title=\'\'>How do I keep a Plane aligned to 3 Point Helpers?</a> in the MAXScript FAQ section of the Reference.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>transform_script ...\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";