var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point3_XRef_Controller : Point3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point3_XRef_Controller : Point3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point3_xref_controller-point3controller\"></a></div>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre> Point3_XRef_Controller\n\
Point3XRefCtrl \n\
</pre></div><div class=\'section\'><a id=\"point3_xref_controller-interfaces\"></a><h2 id=\"point3_xref_controller-interfaces\">Point3_XRef_Controller interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefItem\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.srcFileName : filename : Read|Write\n\
</pre></div><p>Gets/sets the source file name of the XRef Controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.srcItemName : string : Read|Write\n\
</pre></div><p>Gets/sets the source item name of the XRef Controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.xrefRecord : Interface : Read\n\
</pre></div><p>Contains the record Interface of the XRef Controller. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.unresolved : boolean : Read\n\
</pre></div><p>Contains True if the XRef is unresolved, False if it is resolved. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.nested : boolean : Read\n\
</pre></div><p>Contains True if the XRef is nested, False if it is not nested. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.retargetable : boolean : Read\n\
</pre></div><p>Contains True if the XRef is retargetable, False if it is not retargetable. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;Point3_XRef_Controller&gt;.GetSrcItem resolveNested:&lt;boolean&gt;\n\
resolveNested default value: false\n\
\n\
&lt;integer&gt;&lt;Point3_XRef_Controller&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems\n\
parentItems is Out parameter\n\
\n\
&lt;integer&gt;&lt;Point3_XRef_Controller&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems\n\
rootItems is Out parameter\n\
\n\
&lt;integer&gt;&lt;Point3_XRef_Controller&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems\n\
childItems is Out parameter\n\
\n\
&lt;void&gt;&lt;Point3_XRef_Controller&gt;.GetNodes &lt;&amp;node array&gt;xrefNodes\n\
xrefNodes is Out parameter\n\
\n\
</pre></div><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefCtrl\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3_XRef_Controller&gt;.xrefCtrlStatus : enum : Read|Write\n\
xrefCtrlStatus enums: {#XRefed|#Local}\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;&lt;Point3_XRef_Controller&gt;.GetSourceCtrl\n\
&lt;boolean&gt;resolveNestedXRef\n\
\n\
&lt;void&gt;&lt;Point3_XRef_Controller&gt;.ResetOffsetTM()\n\
</pre></div><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";