var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Attachment : PositionController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Attachment : PositionController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"attachment-positioncontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Attachment - superclass: PositionController; super-superclass:MAXWrapper - classID: #(-1155013103, -1490074649) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>attachment ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;attachment&gt;.keys : MAXKeyArray \n\
</pre></div><p>Returns the keys of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;attachment&gt;.node : Node \n\
</pre></div><p>Get/set the node the controller is attaching to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;attachment&gt;.align : Booleandefault: true \n\
</pre></div><p>Fixes the orientation of the attached object to the face where it’s assigned.</p>\n\
<p>When this is turned off, the orientation of the attached object is not affected by the orientation of the face on the target object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;attachment&gt;.manupdate : Booleandefault: false \n\
</pre></div><p>Enables the update button.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>AttachCtrl.getKey &lt;attachment&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns theindexed key as a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Attachment-Controller-Keys.html\' title=\'\'>MAXAKey value</a> (NOT MAXKey - see notes below).</p>\n\
<div class=\'codeBlock\'><pre>AttachCtrl.addNewKey &lt;attachment&gt; &lt;time&gt; \n\
</pre></div><p>Returns the indexed key as a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Attachment-Controller-Keys.html\' title=\'\'>MAXAKey value</a> (NOT MAXKey - see notes below)</p>\n\
<div class=\'codeBlock\'><pre>AttachCtrl.update &lt;attachment&gt; \n\
</pre></div><p>Causes the controller to update if the manual update property is turned on for the attachment controller.</p>\n\
<p>This method was previously broken but was fixed in <strong>3ds Max 8</strong>.</p>\n\
<p>Note:</p>\n\
<p>Accessing a key of an attachment controller by indexing into the.keysproperty will return a <span class=\'code\'>MAXKey</span> value. The only properties available for a key accessed in this manner are the <span class=\'code\'>.time</span> and <span class=\'code\'>.selected</span> properties.</p>\n\
<p>Instead, you can use the <span class=\'code\'>AttachCtrl.getKey()</span> method which returns a key of class <span class=\'code\'>MAXAKey</span> . This class provides access to the attachment controller key specific properties. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Attachment-Controller-Keys.html\' title=\'\'>Attachment Controller Keys</a> for details and examples.</p>\n\
<p>All the common key functions like <span class=\'code\'>deleteKey</span> , <span class=\'code\'>selectKeys</span> , <span class=\'code\'>movekeys</span> , etc. can be used with Attachment controllers.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";