var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RotationController : MAXWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RotationController : MAXWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rotationcontroller-maxwrapper\"></a></div>\n\
<p><span class=\'code\'>RotationController</span> is the superclass for all <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Controllers-1.html\' title=\'\'>controllers</a> that can be assigned to rotation parameters.</p>\n\
<p>The following is a list of the core <span class=\'code\'>RotationController</span> classes accessible in MAXScript:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Audio-Controllers.html\' title=\'\'>AudioRotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/Bezier-Controllers-1.html\' title=\'\'>Bezier_Rotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Dynamics-Controllers.html\' title=\'\'>Dynamics_Rotation_Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/XYZ-Controllers.html\' title=\'\'>Euler_XYZ</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Linear-Controllers/Linear-Controllers-1.html\' title=\'\'>Linear_Rotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/XYZ-Controllers.html\' title=\'\'>Local_Euler_XYZ</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Noise-Controllers.html\' title=\'\'>Noise_Rotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/List-Controllers.html\' title=\'\'>Rotation_List</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Motion-Capture-Controllers.html\' title=\'\'>Rotation_Motion_Capture</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Reactor-Controllers/Reactor-Controllers-1.html\' title=\'\'>Rotation_Reactor</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Rotation_Script</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Driven-Controllers.html\' title=\'\'>DrivenRotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCB-Controllers-1.html\' title=\'\'>TCB_Rotation</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Rotation_Layer.html\' title=\'\'>Rotation_Layer</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";