var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>&#39;This&#39; Local Variable in Scripted Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>&#39;This&#39; Local Variable in Scripted Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"this-local-variable-in-scripted-controllers\"></a></div>\n\
<p>The <span class=\'code\'>this</span> local variable in scripted controllers will contain a MAXWrapper value wrapping the scripted controller.</p>\n\
<p>The <span class=\'code\'>this</span> is a local variable that exists while evaluating the scripted controller&#39;s script, and is not a property of the scripted controller.</p>\n\
<p>In order to access the actual object the controller is assigned to, you can use the <span class=\'code\'>refs.dependents</span> method using the <span class=\'code\'>this</span> variable, then filter the valid nodes.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` refsArray = (refs.dependents this) for i in refsArray where isvalidnode i do print i.name 0.0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The example returns the name of the object the scripted controller is assigned to.</p>\n\
<p>Obviously it is <strong>not possible</strong> to tell the actual node when the controller is instanced across multiple objects which is a <strong>known limitation</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";