var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Fog : Atmospheric</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Fog : Atmospheric</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fog-atmospheric\"></a></div>\n\
<div class=\'codeBlock\'><pre>Fog - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(268435457, 0) \n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>fog ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Fog_Color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Get/set the fog color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Use_Color_Map Integer default: 0 \n\
</pre></div><p>Get/set the state of the Use Color Map option:</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Use_Opacity_Map Integer default: 0 \n\
</pre></div><p>Get/set the state of theUseOpacityMapoption:</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Fog_Background Integer default: 1 \n\
</pre></div><p>Get/set the Fog Background option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Fog_Type Integer default: 0 \n\
</pre></div><p>Get/set theFogtype.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Standard</p>\n\
<p>1 - Layered</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Exponential Integer default: 0 \n\
</pre></div><p>Get/set the state of the exponential fog option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Near Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Get/set the fog near value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Far Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>Get/set the fog far value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Top Float default: 100.0 -- animatable \n\
</pre></div><p>Get/set the layered fog top location.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Bottom Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the layered fog bottom location.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Density Float default: 50.0 -- animatable \n\
</pre></div><p>Get/set the layered fog density.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.falloff Integer default: 2 \n\
</pre></div><p>Get/set the layered fogfalloffmode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Top</p>\n\
<p>1 - Bottom</p>\n\
<p>2 - None</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.Horizon_Noise Integer default: 0 \n\
</pre></div><p>Get/set the state of theHorizonNoiseoption.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.size Float default: 20.0 -- animatable \n\
</pre></div><p>Get/set the noise size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.angle Float default: 5.0 -- animatable, angle \n\
</pre></div><p>Get/set the noise angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fog&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the noise phase.</p>\n\
<p>Note:</p>\n\
<p>You currently cannot assign texture maps as the color and opacity maps using MAXScript. Once these texture maps have been assigned, they are accessible as subAnims of Fog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";