var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Volume_Light : Atmospheric</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Volume_Light : Atmospheric</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"volume_light-atmospheric\"></a></div>\n\
<div class=\'codeBlock\'><pre>Volume_Light - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(268435474, 0) \n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>volume_light ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Fog_Color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Get/set the Fog Color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.attenuation_color Color default: (color 0 0 255) -- animatable \n\
</pre></div><p>Get/set the Attenuation Color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Exponential Integer default: 0 \n\
</pre></div><p>Get/set the state of the Exponential option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Density Float default: 5.0 -- animatable \n\
</pre></div><p>Get/set the Density value of the Fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Max_Light Float default: 90.0 -- animatable \n\
</pre></div><p>Get/set the Max. Light value of the Fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Min_Light Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the Min. Light value of the Fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Use_Attenuation_Color Integer default: 0 \n\
</pre></div><p>Get/set the state of the Use Attenuation Color option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Attenuation_Color_Multiplier Float default: 2.0 -- animatable \n\
</pre></div><p>Get/set the Attenuation Color Multiplier value of the Fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Filter_Shadows Integer default: 3 \n\
</pre></div><p>Get/set the state of the Filter Shadows option.</p>\n\
<p>Possible values are</p>\n\
<p>0 - Low</p>\n\
<p>1 - Medium</p>\n\
<p>2 - High</p>\n\
<p>3 - Use Light Sample Range</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Samples Integer default: 20 \n\
</pre></div><p>Get/set the number of samples.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Auto_Sample Integer default: 1 \n\
</pre></div><p>Get/set the state of the Auto Sample option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Atten__Start Float default: 100.0 -- animatable \n\
</pre></div><p>Get/set the Attenuation Start value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Atten__End Float default: 100.0 -- animatable \n\
</pre></div><p>Get/set the Attenuation End value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Noise_On Integer default: 0 \n\
</pre></div><p>Get/set the state of the Noise On option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Noise_Amount Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the Noise Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Link_To_Light Integer default: 0 \n\
</pre></div><p>Get/set the state of the Link To Light option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Noise_Type Integer default: 0 \n\
</pre></div><p>Get/set the Noise Type option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Regular</p>\n\
<p>1 - Fractal</p>\n\
<p>2 - Turbulence</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.invert Integer default: 0 \n\
</pre></div><p>Get/set the state of the Invert Noise option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.High_Threshold Float default: 1.0 -- animatable \n\
</pre></div><p>Get/set the High Threshold value of the Noise function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Low_Threshold Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the Low Threshold value of the Noise function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Uniformity Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the Noise Uniformity value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Levels Float default: 3.0 -- animatable \n\
</pre></div><p>Get/set the Noise Levels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.size Float default: 20.0 -- animatable \n\
</pre></div><p>Get/set the Noise Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the Noise Phase value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Wind_Strength Float default: 0.0 \n\
</pre></div><p>Get/set the Wind Strength value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volume_Light&gt;.Wind_Direction Integer default: 0 \n\
</pre></div><p>Get/set the state of the Wind Direction option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Front</p>\n\
<p>1 - Back</p>\n\
<p>2 - Left</p>\n\
<p>3 - Right</p>\n\
<p>4 - Top</p>\n\
<p>5 - Bottom</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";