var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Ambient_Occlusion : BakeElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Ambient_Occlusion : BakeElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ambient_occlusion-bakeelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>Ambient_Occlusion - superclass: BakeElement; super-superclass:MAXWrapper - 17:0 - classID: #(65547, 0) \n\
</pre></div><p>This BakeElement allows the Ambient Occlusion to be baked to a bitmap.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Ambient_Occlusion... AmbientOcclusionBakeElement... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.autoSzOn BooleanClass default: false -- boolean; Auto_Size_On \n\
</pre></div><p>Enable/Disable AutoSize.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.bitmap UndefinedClass default: undefined -- bitmap \n\
</pre></div><p>Get the bake element’s bitmap. This property cannot be set through MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.bright Color default: (color 255 255 255) -- fRGBA color \n\
</pre></div><p>Get/set the bright color of the ambient occlusion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.dark Color default: (color 0 0 0 0) -- fRGBA color \n\
</pre></div><p>Get/set the dark color of the ambient occlusion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.elementName String default: &quot;Ambient Occlusion (MR)&quot; -- string \n\
</pre></div><p>Get/Set the element name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.enabled BooleanClass default: true -- boolean \n\
</pre></div><p>Get/Set the enabled state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.falloff Float default: 1.0 -- float \n\
</pre></div><p>Get/set the falloff value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.fileName Filenamedefault: &quot;&quot; -- string \n\
</pre></div><p>Get/Set the bake element file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.filenameUnique BooleanClass default: false -- boolean; Filename_Unique \n\
</pre></div><p>Get/set whether the file name should be made unique.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.fileType Filenamedefault: &quot;&quot; -- string \n\
</pre></div><p>Get/Set the file type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.filterOn BooleanClass default: true -- boolean; FilteringOn \n\
</pre></div><p>Enable/Disable filtering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.maxDistance Float default: 0.0 -- float; Max_Dist \n\
</pre></div><p>Get/set the maximum distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.outputSzX Integer default: 256 -- integer; output_width \n\
</pre></div><p>Get/set the output width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.outputSzY Integer default: 256 -- integer; output_height \n\
</pre></div><p>Get/set the output height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.samples Integer default: 16 -- integer \n\
</pre></div><p>Get/set the number of samples.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.spread Float default: 0.8 -- float \n\
</pre></div><p>Get/set the spread value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Ambient_Occlusion&gt;.targetMapSlotName String default: &quot;&quot; -- string\n\
</pre></div><p>Get/Set the name of the map slot where element output will be applied.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";