var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BlendMap : BakeElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BlendMap : BakeElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"blendmap-bakeelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>BlendMap - superclass: BakeElement; super-superclass:MAXWrapper - classID: #(65544, 0) \n\
</pre></div><p>BlendMap allows baking of a selection of lighting components when lighting is on. When lighting is off it can be used to bake ONLY ONE component as raw, for example it gives you the ability to bake a selfillumination map.</p>\n\
<p>Note:</p>\n\
<p>It doesn&#39;t make sense to have more than one unlit channel on, as there is no way to combine them in a meaningful way.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>BlendMap ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.ambientOn Boolean default: true -- boolean; Ambient \n\
</pre></div><p>Enable/Disable baking of the ambient color component.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.autoSzOn Boolean default: false -- boolean; Auto_Size_On \n\
</pre></div><p>Enable/Disable AutoSize.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.bitmap Bitmap default: undefined -- bitmap \n\
</pre></div><p>Get the bake element’s bitmap. This property cannot be set through MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.diffuseOn Boolean default: true -- boolean; Diffuse \n\
</pre></div><p>Enable/Disable baking of the diffuse color component.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.elementName String default: &quot;BlendMap&quot; -- string \n\
</pre></div><p>Get/Set the bake element’s name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.emissionOn Boolean default: true -- boolean; Self_Illum \n\
</pre></div><p>Enable/Disable baking of self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.enabled Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the bake element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.fileName Filenamedefault: &quot;&quot; -- string; \n\
</pre></div><p>Get/Set the element’s output file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.filenameUnique Boolean default: false -- boolean; Filename_Unique \n\
</pre></div><p>Enable/Disable unique file name generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.fileType Filenamedefault: &quot;&quot; -- string; \n\
</pre></div><p>Get/Set the element’s output file type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.filterOn Boolean default: false -- boolean; FilteringOn \n\
</pre></div><p>Enable/Disable filtering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.lightingOn Boolean default: true -- boolean; Lighting \n\
</pre></div><p>Enable/Disable baking of lighting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.outputSzX Integer default: 256 -- integer; output_width \n\
</pre></div><p>Get/Set the output width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.outputSzY Integer default: 256 -- integer; output_height \n\
</pre></div><p>Get/Set the output height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.reflectionOn Boolean default: true -- boolean; Reflection \n\
</pre></div><p>Enable/Disable baking of reflections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.refractionOn Boolean default: true -- boolean; Refraction \n\
</pre></div><p>Enable/Disable baking of refractions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.shadowsOn Boolean default: true -- boolean; Shadows \n\
</pre></div><p>Enable/Disable baking of shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.specularOn Boolean default: true -- boolean; Specular \n\
</pre></div><p>Enable/Disable baking of specularity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlendMap&gt;.targetMapSlotName String default: &quot;&quot; \n\
</pre></div><p>Get/Set the name of the map slot where element output will be applied</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";