var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Targa interfaces:</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Targa interfaces:</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"targa-interfaces\"></a></div>\n\
<div class=\'codeBlock\'><pre>Targa - superclass: BitmapIO; super-superclass:MAXWrapper - classID: #(6, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Targa tgaio \n\
</pre></div><p><strong>Targa interfaces</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: itgaio \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>Targa.getColorDepth () \n\
</pre></div><p>This method returns the color depth, which would be 16, 24, or 32.</p>\n\
<div class=\'codeBlock\'><pre>Targa.setColorDepth &lt;integer&gt;colorDepth \n\
</pre></div><p>This method allows you to set the color depth.</p>\n\
<p><span class=\'code\'>colorDepth:</span> The color depth, being either 16, 24, or 32.</p>\n\
<div class=\'codeBlock\'><pre>Targa.getCompressed () \n\
</pre></div><p>This method returns <span class=\'code\'>True</span> if the compression flag is set, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>Targa.setCompressed &lt;boolean&gt;compression \n\
</pre></div><p>This method allows you to set the compression flag.</p>\n\
<p><span class=\'code\'>compression:</span> <span class=\'code\'>True</span> to set the compression flag, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>Targa.getAlphaSplit () \n\
</pre></div><p>This method returns <span class=\'code\'>True</span> if the alpha split flag is set, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>Targa.setAlphaSplit &lt;boolean&gt;alphaSplit \n\
</pre></div><p>This method allows you to set the alpha split flag.</p>\n\
<p><span class=\'code\'>alphaSplit:</span> <span class=\'code\'>True</span> to set the alpha split flag, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>Targa.getPreMultAlpha () \n\
</pre></div><p>This method returns <span class=\'code\'>True</span> if the premultiplied alpha flag is set, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>Targa.setPreMultAlpha &lt;boolean&gt;preMultAlpha \n\
</pre></div><p>This method allows you to set the premultiplied alpha flag.</p>\n\
<p><span class=\'code\'>preMultAlpha:</span> <span class=\'code\'>True</span> to set the premultiplied alpha flag, otherwise <span class=\'code\'>False</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Targa.getAuthor () \n\
&lt;void&gt;Targa.setAuthor &lt;string&gt;author \n\
</pre></div><p>The author name will be clamped to 40 characters</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Targa.getJobName () \n\
&lt;void&gt;Targa.setJobName &lt;string&gt;jobname \n\
</pre></div><p>The Job name will be clamped to 40 characters</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Targa.getComment1 () \n\
&lt;void&gt;Targa.setComment1 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment2 () \n\
&lt;void&gt;Targa.setComment2 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment3 () \n\
&lt;void&gt;Targa.setComment3 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment4 () \n\
&lt;void&gt;Targa.setComment4 &lt;string&gt;comment \n\
</pre></div><p>The Comments will be clamped to 80 characters</p>\n\
<p>The methods in this interface can be accessed by specifying the class, interface, and method. For example: <span class=\'code\'>targa.itgaio.getType()</span> .</p>\n\
<p>MAXScript will automatically search through a class’ interfaces for a property or method name if the name isn’t found as a class method or property. This allows you to say: <span class=\'code\'>targa.getType()</span> .</p>\n\
<p>Providing the fully qualified name of the method results in faster script execution. Providing the fully qualified name is also safer, as at some point in time another interface can be could be specified for the class, and a method or property with the same name could be defined in that interface. Which method or property is used would then be dependent on the order in which the the interfaces were searched for the method or property name.</p>\n\
<p>See Also Class IBitmapIO_Tga, in the SDK Help file accompanying this product.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";