var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ADT_Style : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ADT_Style : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"adt_style-referencetarget\"></a></div>\n\
<p>This class provides access to the Style of Architectural Desktop objects imported into <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p><strong>Alias:</strong></p>\n\
<div class=\'codeBlock\'><pre>ADTStyle\n\
</pre></div><div class=\'section\'><a id=\"adt_style-interfaces\"></a><h2 id=\"adt_style-interfaces\">ADT_Style interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IADTStyle \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Name :String: Read|Write \n\
</pre></div><p>Get/set the name of the Style</p>\n\
<div class=\'codeBlock\'><pre>.numComponents : integer : Read \n\
</pre></div><p>Returns the number of components.</p>\n\
<div class=\'codeBlock\'><pre>.numInstances : integer : Read \n\
</pre></div><p>Returns the number of instances.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetCategory () \n\
</pre></div><p>Returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/DWG-Import/Architectural-Desktop-Import/ADT_Category-ReferenceTarget.html\' title=\'\'>ADT_Category MixinInterface</a> providing access to the category.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;SetInstance &lt;node&gt;styleInst &lt;boolean&gt;hasCompVisOvrd \n\
&lt;boolean&gt;RemoveInstance &lt;node&gt;styleInst \n\
&lt;Interface&gt;SetComponent &lt;integer&gt;styleInstIterator &lt;node&gt;compInst &lt;string&gt;compName &lt;boolean&gt;hasMtlOvrd &lt;boolean&gt;keepRelTransf\n\
&lt;boolean&gt;RemoveComponent &lt;string&gt;compName\n\
&lt;Interface&gt;GetCompositeStyle () \n\
&lt;integer&gt;GetComponents &lt;&amp;Interface array&gt;components\n\
       components is In and Out parameter\n\
&lt;integer&gt;GetInstances &lt;&amp;node array&gt;instances mtlOverrides:&lt;&amp;bitArray&gt;\n\
       instances is In and Out parameter\n\
       mtlOverrides default value: undefined\n\
       mtlOverrides is In and Out parameter\n\
&lt;integer&gt;FindInstance &lt;node&gt;node mtlOverride:&lt;&amp;boolean&gt;\n\
       mtlOverride default value: undefined\n\
       mtlOverride is In and Out parameter\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";