var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesh Subdivision Displacement Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesh Subdivision Displacement Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesh-subdivision-displacement-methods\"></a></div>\n\
<p>The following methods set the Subdivision Displacement Surface Properties for a mesh object. These methods are not applicable to TriMeshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>setSplitMesh &lt;mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Turns on or off split mesh subdivision displacement for the mesh. Calling this function will enable <span class=\'code\'>subdivisionDisplacement</span> if it is set to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>getSplitMesh &lt;mesh&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if split mesh subdivision displacement is turned on for the mesh, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>setSubdivisionDisplacement &lt;mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Turns on or off subdivision displacement for the mesh.</p>\n\
<div class=\'codeBlock\'><pre>getSubdivisionDisplacement &lt;mesh&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if subdivision displacement is turned on for the mesh, <span class=\'code\'>false</span> if off.</p>\n\
<div class=\'codeBlock\'><pre>displacementToPreset &lt;mesh&gt; (#low | #medium | #high)\n\
</pre></div><p>Sets the mesh subdivision parameters to the specified preset value set.</p>\n\
<div class=\'codeBlock\'><pre>setDisplacementMapping &lt;mesh&gt; &lt;boolean&gt;\n\
</pre></div><p>Turns on or off whether to perform displacement mapping for the mesh. There is no corresponding user interface element for this method.</p>\n\
<div class=\'codeBlock\'><pre>getDisplacementMapping &lt;mesh&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if displacement mapping is turned on for the mesh, <span class=\'code\'>false</span> if off.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";