var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly: GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly: GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Editable_Poly - superclass: GeometryClass; super-superclass:node - 127:0 - classID: #(469250957, 422535320)\n\
</pre></div><p><strong>Editable_Poly</strong> is the general editable version of all the editable poly objects, in the same way that Editable meshes relate to geometry objects. They are the class of node objects that are the result of collapsing a modifier stack to anEditablePolyobject.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p>Note:</p>\n\
<p>While Editable_Poly class instances cannot be created directly by MAXScript, geometry objects of other classes can be converted to Editable_Poly.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ep = editable_mesh name:(uniquename&quot;EPoly&quot;) --create an empty EMesh convertTo ep Editable_Poly --convert to Editable_Poly</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Alias</strong></p>\n\
<div class=\'codeBlock\'><pre>EditablePolyMesh\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Editable_Poly Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\' title=\'\'>Editable_Poly Properties</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\' title=\'\'>Editable_Poly Methods</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Mapping-Methods.html\' title=\'\'>Editable_Poly Mapping Methods(polyOp struct)</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\' title=\'\'>Interface: EditablePoly</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";