var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Break, Divide and Split Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Break, Divide and Split Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-break-divide-and-split-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.breakVerts &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>For each vertex in <span class=\'code\'>&lt;vertlist&gt;</span>, N-1 new vertices are created at the same location, where N is the number of faces using that vertex.</p>\n\
<p>Each of these faces will use one of these vertices.</p>\n\
<div class=\'codeBlock\'><pre>polyop.divideEdge &lt;Poly poly&gt; &lt;int edge&gt; &lt;float fraction&gt;\n\
</pre></div><p>Divides the specified edge at the specified fractional distance along the edge.</p>\n\
<p>The return value is the index of the new vertex or <span class=\'code\'>undefined</span> if no vertex was created.</p>\n\
<div class=\'codeBlock\'><pre>polyop.divideFace &lt;Poly poly&gt; &lt;int face&gt; &lt;point3 pos&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Divides the specified face with the new vertex being created at the closest point on the face to the specified position.</p>\n\
<p>If the specified position is outside the face, the vertex is created at the center of the face.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the position is in the poly&#39;s local coordinate system.</p>\n\
<p>Returns the index of the created vertex.</p>\n\
<div class=\'codeBlock\'><pre>polyop.splitEdges &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Splits the specified edges at their middle.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";