var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Create Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Create Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-create-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.createVert &lt;Poly poly&gt; &lt;point3 pos&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Creates a vertex as the specified position.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the position is in the poly&#39;s local coordinate system.</p>\n\
<p>Returns the index of the created vertex or undefined if no vertex was created.</p>\n\
<div class=\'codeBlock\'><pre>polyop.createEdge &lt;Poly poly&gt; &lt;int vert1&gt; &lt;int vert2&gt;\n\
</pre></div><p>Creates an edge using the two specified vertices.</p>\n\
<p>The vertices must be used by a common face.</p>\n\
<p>Returns the index of the created edge or <span class=\'code\'>undefined</span> if no edge was created.</p>\n\
<div class=\'codeBlock\'><pre>polyop.createPolygon &lt;Poly poly&gt; &lt;vertex array&gt;\n\
</pre></div><p>Creates a face using the specified vertices.</p>\n\
<p>The order of the vertices in the face is the order in the vertex array. For each successive vertex pair, at most one edge might exist between the vertices and that edge must not go from the first to second vertex.</p>\n\
<p>The default triangulation for a face with the specified number of vertices is used if the face is not convex. This triangulation might be inappropriate.</p>\n\
<p>If this is the case, call <span class=\'code\'>retriangulate()</span> on this face after it is created.</p>\n\
<p>Returns the index of the created face or undefined if no face was created.</p>\n\
<div class=\'codeBlock\'><pre> polyop.createShape &lt;Poly poly&gt; &lt;edgelist&gt; \\\n\
smooth:&lt;boolean=false&gt; name:&lt;string=&quot;Shape01&quot;&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Creates a shape node from the specified edges.</p>\n\
<p>If <span class=\'code\'>&lt;smooth&gt;</span> is <span class=\'code\'>true</span> , the shape is created as a smooth curve.</p>\n\
<p>The name of the new node is specified by <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly (not a node), <span class=\'code\'>&lt;node&gt;</span> must be specified.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";