var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Dead Elements Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Dead Elements Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-dead-elements-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.getDeadVerts &lt;Poly poly&gt;\n\
</pre></div><p>Returns the current dead vertices selection as a bitarray. Normally, this returns an empty bitarray.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getDeadEdges &lt;Poly poly&gt;\n\
</pre></div><p>Returns the current dead edges selection as a bitarray. Normally, this returns an empty bitarray.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getDeadFaces &lt;Poly poly&gt;\n\
</pre></div><p>Returns the current dead faces selection as a bitarray. Normally, this returns an empty bitarray.</p>\n\
<div class=\'codeBlock\'><pre>polyop.GetHasDeadStructs &lt;Poly poly&gt;\n\
</pre></div><p><span class=\'code\'>Bit 1</span> in the return value is set if the poly has any dead vertices, <span class=\'code\'>bit 2</span> if any dead edges, and <span class=\'code\'>bit 3</span> if any dead faces.</p>\n\
<div class=\'codeBlock\'><pre>polyop.isFaceDead &lt;Poly poly&gt; &lt;int face&gt;\n\
</pre></div><p>Returns true if the specified face is dead.</p>\n\
<div class=\'codeBlock\'><pre>polyop.isEdgeDead &lt;Poly poly&gt; &lt;int edge&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified edge is dead.</p>\n\
<div class=\'codeBlock\'><pre>polyop.isVertDead &lt;Poly poly&gt; &lt;int vert&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified vertex is dead.</p>\n\
<div class=\'codeBlock\'><pre>polyop.CollapseDeadStructs &lt;Poly poly&gt;\n\
</pre></div><p>Removes all dead SO elements from the poly.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";