var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Slice Plane Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Slice Plane Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-slice-plane-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.resetSlicePlane &lt;Poly poly&gt;\n\
</pre></div><p>Resets the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getSlicePlane &lt;Poly poly&gt; \\\n\
size:&lt;&amp;size_float_var&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the location and direction of the slice plane as a Ray value.</p>\n\
<p>If <span class=\'code\'>&lt;size&gt;</span> is specified, the size of the slice plane is returned in the referenced variable.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the ray returned is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return value is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setSlicePlane &lt;Poly poly&gt; &lt;ray plane_and_dir&gt; &lt;float size&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Sets the slice plane to the location and direction as specified by <span class=\'code\'>&lt;plane_and_dir&gt;</span>, and the size as specified by <span class=\'code\'>&lt;size&gt;</span>.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the ray is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the ray is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.slice &lt;Poly poly&gt; &lt;facelist&gt; &lt;ray plane_and_dir&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Slices the poly based on the plane and direction as specified by <span class=\'code\'>&lt;plane_and_dir&gt;</span>.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the ray is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the ray is in the poly&#39;s local coordinate system.</p>\n\
<p>Uses the split property of the editable poly. Returns <span class=\'code\'>true</span> if the slice is successful.</p>\n\
<div class=\'codeBlock\'><pre>polyop.inSlicePlaneMode &lt;Poly poly&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the editable poly is in the slice mode, <span class=\'code\'>false</span> otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";