var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Subdivision Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Subdivision Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-subdivision-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.forceSubdivision &lt;Poly poly&gt;\n\
</pre></div><p>Forces an update of the surface subdivision at the next viewport redraw.</p>\n\
<p>Use when NURMS Subdivision is on and Update Options is Manually.</p>\n\
<div class=\'codeBlock\'><pre>polyop.meshSmoothByVert &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Smooths the faces associated with the specified vertices.</p>\n\
<p>Uses the <span class=\'code\'>.smoothness</span> , <span class=\'code\'>.separateBySmoothing</span> , and <span class=\'code\'>.separateByMaterial</span> properties of the editable poly.</p>\n\
<div class=\'codeBlock\'><pre>polyop.meshSmoothByFace &lt;Poly poly&gt; &lt;facelist&gt;\n\
</pre></div><p>Smooths the specified faces.</p>\n\
<p>Uses the <span class=\'code\'>.smoothness</span> , <span class=\'code\'>.separateBySmoothing</span> , and <span class=\'code\'>.separateByMaterial</span> properties of the editable poly.</p>\n\
<div class=\'codeBlock\'><pre>polyop.meshSmoothByEdge &lt;Poly poly&gt; &lt;edgelist&gt;\n\
</pre></div><p>Smooths the faces associated with the specified edges.</p>\n\
<p>Uses the <span class=\'code\'>.smoothness</span> , <span class=\'code\'>.separateBySmoothing</span> , and <span class=\'code\'>.separateByMaterial</span> properties of the editable poly.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";