var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Third-Party Plug-In Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Third-Party Plug-In Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"third-party-plug-in-classes\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\' title=\'\'>MAXWrapper Value</a> classes are the core <strong>3ds Max</strong> classes that are supported directly within MAXScript. Many of the kinds of <strong>3ds Max</strong> objects you will work with are provided through 3rd-party plug-ins for <strong>3ds Max</strong>, they are not built directly in to MAXScript.</p>\n\
<p>For these classes, an automatic plug-in detector scans for plug-ins that MAXScript doesn&#39;t internally know about and attempts to provide MAXScript access to them. This includes new core classes in new releases of <strong>3ds Max</strong> that MAXScript doesn&#39;t internally know about, and 3rd-party plug-ins. Not <strong>all</strong> parameters and properties of the detected plug-ins are accessible. In general, the detector will only find <strong>animatable</strong> parameters on these plug-ins, and in some cases none at all, if the plug-in uses non-standard parameter coding.</p>\n\
<p>You can use the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>class and object inspector functions</a> in MAXScript to browse through the <strong>3ds Max</strong> core and 3rd-party classes accessible in MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";