var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Import and Export Filters</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Import and Export Filters</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"import-and-export-filters\"></a></div>\n\
<p>The following topics discuss the MAXScript access to various Importer and Exporter Plugins, functions and interfaces:</p>\n\
<div class=\'section\'><a id=\"alembic-import-and-export\"></a><h3 id=\"alembic-import-and-export\">Alembic Import And Export</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\' title=\'\'>Alembic_Export : ExporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\' title=\'\'>Alembic_Import : ImporterPlugin</a></p>\n\
<div class=\'section\'><a id=\"atf-autodesk-translation-framework-importers\"></a><h3 id=\"atf-autodesk-translation-framework-importers\">ATF (Autodesk Translation Framework) Importers</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\' title=\'\'>ATF_Alias_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V4_importer.html\' title=\'\'>ATF_CATIA_V4_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\' title=\'\'>ATF_CATIA_V5_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\' title=\'\'>ATF_IGES_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\' title=\'\'>ATF_JT_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\' title=\'\'>ATF_ProE_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\' title=\'\'>ATF_Solidworks_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\' title=\'\'>ATF_STEP_importer : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\' title=\'\'>ATF_UG_NX_importer : ImporterPlugin</a></p>\n\
<div class=\'section\'><a id=\"dwf-export-dialog-access\"></a><h3 id=\"dwf-export-dialog-access\">DWF Export Dialog Access</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DwfExportPreferences.html\' title=\'\'>Interface: DwfExportPreferences</a></p>\n\
<div class=\'section\'><a id=\"fbx-import-and-export-dialog-access\"></a><h3 id=\"fbx-import-and-export-dialog-access\">FBX Import and Export Dialog Access</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\' title=\'\'>FBX Import Dialog Access</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\' title=\'\'>FBX Export Dialog Access</a></p>\n\
<div class=\'section\'><a id=\"flight-studio-import-and-export\"></a><h3 id=\"flight-studio-import-and-export\">Flight Studio Import and Export</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImport.html\' title=\'\'>Interface: FlightStudioImport</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioExport.html\' title=\'\'>Interface: FlightStudioExport</a></p>\n\
<div class=\'section\'><a id=\"inventor-import\"></a><h3 id=\"inventor-import\">Inventor Import</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\' title=\'\'>InventorImport : ImporterPlugin</a></p>\n\
<div class=\'section\'><a id=\"obj-import-and-export\"></a><h3 id=\"obj-import-and-export\">OBJ Import and Export</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjImp-ImporterPlugin.html\' title=\'\'>ObjImp : ImporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjExp-ExporterPlugin.html\' title=\'\'>ObjExp : ExporterPlugin</a></p>\n\
<div class=\'section\'><a id=\"revit-import\"></a><h3 id=\"revit-import\">Revit Import</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Revit_importer-ImporterPlugin.html\' title=\'\'>Revit_importer : ImporterPlugin</a></p>\n\
<div class=\'section\'><a id=\"sketchup-import\"></a><h3 id=\"sketchup-import\">SketchUp Import</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/sketchUp-ImporterPlugin.html\' title=\'\'>sketchUp : ImporterPlugin</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";