var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BoneSys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BoneSys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-bonesys\"></a></div>\n\
<p>The <strong>BoneSys Core Interface</strong> allows the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Bones/Bone-Creation.html\' title=\'\'>Bone Creation</a> via MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Interface: BoneSys \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;BoneSys.createBone &lt;point3&gt;startPos &lt;point3&gt;endPos &lt;point3&gt;zAxis   \n\
</pre></div><p>It returns the new bone node that was created.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;startPos</span> : The location of the new bone as point3</p>\n\
<p><span class=\'code\'>&lt;point3&gt;endPos</span> : The direction (X axis) of the bone and the bone length as point3</p>\n\
<p><span class=\'code\'>&lt;point3&gt;zAxis</span>: The direction of the Z axis for the new bone node as point3</p>\n\
<p>Note:</p>\n\
<p>If the Z axis is not perpendicular to the X axis, the Z axis will be made perpendicular. To create a bone chain, call createBone repeatedly with the startPosition set to the value of the previous endPosition. Note that newly created bones are not linked to any parent. So to create a bone chain, the script would also need to link each newly created bone segment to the previous.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BoneSys.refineBone() \n\
</pre></div><p>Enables the Refine Bone mode.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";