var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FlightStudioExport</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FlightStudioExport</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-flightstudioexport\"></a></div>\n\
<p>The <strong>FlightStudioExport Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to Flight Studio data export filter.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;FlightStudioExport.GetMatrixEpsilon()     \n\
</pre></div><p>Get the Matrix Epsilon value as float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioExport.SetMatrixEpsilon &lt;float&gt;MatrixEpsilon   \n\
</pre></div><p>Set the Matrix Epsilon value to the given float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioExport.GetAutoGroup() \n\
</pre></div><p>Get the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioExport.SetAutoGroup &lt;boolean&gt;AutoGroup \n\
</pre></div><p>Set the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioExport.GetAutoObject() \n\
</pre></div><p>Get the state of the Auto Object checkbox in the Flight Studio Exporter dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioExport.SetAutoObject &lt;boolean&gt;AutoObject \n\
</pre></div><p>Set the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioExport.GetCopyTextures() \n\
</pre></div><p>Get the state of the Copy Textures To Output Directory checkbox in the Flight Studio Exporter dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioExport.SetCopyTextures &lt;boolean&gt;CopyTextures \n\
</pre></div><p>Set the state of the Copy Textures To Output Directory checkbox in the Flight Studio Exporter dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";