var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FlightStudioImport</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FlightStudioImport</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-flightstudioimport\"></a></div>\n\
<p>The <strong>FlightStudioImport Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to Flight Studio data import filter.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;FlightStudioImport.GetVertexThreshold()   \n\
</pre></div><p>Get the Vertex Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetVertexThreshold &lt;float&gt;VertexThreshold   \n\
</pre></div><p>Set the Vertex Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;FlightStudioImport.GetTrivialArea() \n\
</pre></div><p>Get the Trivial Area value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetTrivialArea &lt;float&gt;TrivialArea \n\
</pre></div><p>Set the Trivial Area value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioImport.GetReadXRefs() \n\
</pre></div><p>Get the state of the Read External References option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetReadXRefs &lt;boolean&gt;KeepFaces \n\
</pre></div><p>Set the state of the Read External References option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudioImport.GetKeepFaces() \n\
</pre></div><p>Get the state of the Keep Faces option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetKeepFaces &lt;boolean&gt;KeepFaces \n\
</pre></div><p>Get the state of the Keep Faces option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetIgnoreMaterials &lt;boolean&gt;IgnoreMaterials \n\
</pre></div><p>Set the state of the Ignore Materials option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetIgnoreTextures &lt;boolean&gt;IgnoreTextures \n\
</pre></div><p>Set the state of the Ignore Textures option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetIgnoreBead &lt;string&gt;Opcode &lt;boolean&gt;IgnoreBead \n\
</pre></div><p>Set the state of the Ignore Bead option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudioImport.SetMapFacesToSelections &lt;boolean&gt;MapFacesToSelections \n\
</pre></div><p>Set the state of the Map Faces To Selection option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FlightStudioImport.GetStats() \n\
</pre></div><p>Returns the import statistics as a string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FlightStudioImport.GetTextureStats() \n\
</pre></div><p>Returns the texture statistics as a string.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";