var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: gridPrefs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: gridPrefs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-gridprefs\"></a></div>\n\
<p>Originally implemented in Gmax, this core interface exposes the Home Grid settings in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: gridPrefs \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.spacing : float : Read|Write   \n\
</pre></div><p>Get/set the grid spacing value.</p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.majorLines : integer : Read|Write \n\
</pre></div><p>Get/set the major line every Nth line value.</p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.perspViewGridExtents : integer : Read|Write \n\
</pre></div><p>Get/set the extents of the grid in perspective views.</p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.inhibitGridSubdivision : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>&quot;Inhibit Grid Subdivision Below Grid Spacing&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.inhibitPerspViewGridResize : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>&quot;Inhibit Perspective View Grid Resize&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>gridPrefs.dynamicUpdateAllVpts : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>&quot;Dynamic Update&quot;</strong> radio buttons.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";