var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LuminosityUtil</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LuminosityUtil</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-luminosityutil\"></a></div>\n\
<p>The <strong>LuminosityUtil Interface</strong> exposes a method for calculating the luminosity using the given R, G, and B components:</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;LuminosityUtil.illumination &lt;float&gt;r &lt;float&gt;g &lt;float&gt;b    \n\
</pre></div><p>Returns the illumination based on the supplied Red, Green and Blue values.</p>\n\
<p>Note that the contribution of the Red, Green and Blue channels is not identical:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` LuminosityUtil.illumination 255 255 255 255.0 LuminosityUtil.illumination 255 0 0 67.575 LuminosityUtil.illumination 0 255 0 170.85 LuminosityUtil.illumination 0 0 255 16.575 LuminosityUtil.illumination 255 255 0 238.425 LuminosityUtil.illumination 255 0 255 84.15 LuminosityUtil.illumination 0 255 255 187.425</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";