var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MaterialExplorerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MaterialExplorerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-materialexplorermanager\"></a></div>\n\
<p>The <strong>MaterialExplorerManager Core Interface</strong> exposes methods for interacting with the Material Explorer feature.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaterialExplorerManager.OpenMaterialExplorer() \n\
</pre></div><p>Opens the Material Explorer.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success (even if the Material Explorer was already open), <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaterialExplorerManager.CloseMaterialExplorer() \n\
</pre></div><p>Closes the Material Explorer.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success (even if the Material Explorer was already closed), <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaterialExplorerManager.IsMaterialExplorerOpen() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Material Explorer is open, <span class=\'code\'>false</span> if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaterialExplorerManager.LoadMaterialExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadMaterialExplorerConfiguration - no automatic redraw after invoked\n\
</pre></div><p>Loads the given configuration file into the Material Explorer.</p>\n\
<p>Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaterialExplorerManager.SaveMaterialExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveMaterialExplorerConfiguration - no automatic redraw after invoked\n\
</pre></div><p>Saves the current settings of the Material Explorer to the given configuration file.</p>\n\
<p>Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";