var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface : MaxThumbnailMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface : MaxThumbnailMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-maxthumbnailmgr\"></a></div>\n\
<p>This Core Interface can be used to control the saving of a viewport thumbnail with the .MAX scene file. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxThumbnailMgr.EnableViewportThumbnailSaving : boolean : Read|Write\n\
</pre></div><p>Get/set whether to save viewport thumbnails with the .MAX scene file.</p>\n\
<p>When set to True (default), viewport thumbnails will be saved.</p>\n\
<p>When set to False, no viewport thumbnails will be saved.</p>\n\
<p>Equivalent to the Customize &gt; Preferences &gt; File tab &gt; &quot;Save Viewport Thumbnail Image&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>MaxThumbnailMgr.ThumbnailSize : enum : Read|Write\n\
\n\
ThumbnailSize enums: {#ThumbnailSmall|#ThumbnailMedium|#ThumbnailLarge|#ThumbnailExtraLarge|#ThumbnailDefault}\n\
</pre></div><p>Get/set the size of the viewport thumbnail saved with the .MAX file when <span class=\'code\'>MaxThumbnailMgr.EnableViewportThumbnailSaving</span> is set to True.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";