var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: NVIDIARenderersHelper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: NVIDIARenderersHelper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-nvidiarenderershelper\"></a></div>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: The NVIDIARenderersHelper Core Interface exposes a method for checking whether mental ray us installed.</p>\n\
<p>In 3ds Max 2017 and higher, the mental ray and iRay renderers and related components are an optional installation.</p>\n\
<p>Scripts that depend on their presence could use this interface to ensure they are available on the current system.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p><strong>Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;NVIDIARenderersHelper.IsMentalrayDllPresent()\n\
</pre></div><p>Returns True if the optional mental ray installation is present, False if mental ray is not installed.</p>\n\
<p><strong>Actions</strong>:</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";