var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: nvpxConsts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: nvpxConsts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-nvpxconsts\"></a></div>\n\
<p>This Core Interface exposes the NVIDIA PHYSX Constants used by the MassFX Simulation sub-system.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>nvpxConsts.PX_RBTYPE_DYNAMIC : integer : Read\n\
nvpxConsts.PX_RBTYPE_KINEMATIC : integer : Read\n\
nvpxConsts.PX_RBTYPE_STATIC : integer : Read\n\
nvpxConsts.PX_SHAPE_SPHERE : integer : Read\n\
nvpxConsts.PX_SHAPE_BOX : integer : Read\n\
nvpxConsts.PX_SHAPE_CAPSULE : integer : Read\n\
nvpxConsts.PX_SHAPE_CONVEX : integer : Read\n\
nvpxConsts.PX_SHAPE_ORIGINAL : integer : Read\n\
nvpxConsts.PX_SHAPE_CUSTOM : integer : Read\n\
nvpxConsts.PX_SHAPE_COMPOSITE : integer : Read\n\
nvpxConsts.PX_DOF_LOCKED : integer : Read\n\
nvpxConsts.PX_DOF_LIMITED : integer : Read\n\
nvpxConsts.PX_DOF_FREE : integer : Read\n\
nvpxConsts.PX_SIM_DISABLED : integer : Read\n\
nvpxConsts.PX_SIM_PREPARING : integer : Read\n\
nvpxConsts.PX_SIM_RUNNING : integer : Read\n\
nvpxConsts.PX_SIM_REWINDING : integer : Read\n\
nvpxConsts.PX_HOST_PLAYBACK : integer : Read\n\
nvpxConsts.PX_HOST_BAKE : integer : Read\n\
nvpxConsts.PX_HOST_UNBAKE : integer : Read\n\
nvpxConsts.PX_HOST_EXPORT : integer : Read\n\
nvpxConsts.PX_HOST_SETTLE : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_RIGID : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_SLIDE : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_HINGE : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_TWIST : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_UNIV : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_BALLSOCK : integer : Read\n\
nvpxConsts.PX_CONSTRAINT_GEAR : integer : Read\n\
nvpxConsts.PX_ONLASTFRAME_CONTINUE : integer : Read\n\
nvpxConsts.PX_ONLASTFRAME_STOP : integer : Read\n\
nvpxConsts.PX_ONLASTFRAME_LOOP : integer : Read\n\
nvpxConsts.PX_LOOP_RESET : integer : Read\n\
nvpxConsts.PX_LOOP_CONTINUE : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_DYNAMIC : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_KINEMATIC : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_STATIC : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_RB_OVER : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_UNDEFINED : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_CLOTH : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_SOFTBODY : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_FORCEFIELD : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_FLUID : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_METAL_CLOTH : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_RB : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_RB_RAGDOLL : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_RB_BONE : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_CLOTHING : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_D6 : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_RIGIDSHAPE : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_SBCLOTHING : integer : Read\n\
nvpxConsts.PX_ACTORTYPE_DESTRUCTION : integer : Read\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";