var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: sceneStateMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: sceneStateMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-scenestatemgr\"></a></div>\n\
<p>This Interface provides access to the Scene State Manager feature in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface:sceneStateMgr \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;sceneStateMgr.GetCount()   \n\
</pre></div><p>Returns the number of scene states.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;sceneStateMgr.GetSceneState &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed scene state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;sceneStateMgr.FindSceneState &lt;string&gt;name \n\
</pre></div><p>Returns the index of the named scene state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.Capture &lt;string&gt;name &lt;bitArray by value&gt;parts \n\
</pre></div><p>Creates a scene state with the given name and the supplied array of parts. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.Restore &lt;string&gt;name &lt;bitArray by value&gt;parts \n\
</pre></div><p>Restores the scene state with the given name using the supplied array of parts. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.Delete &lt;string&gt;name \n\
</pre></div><p>Deletes the scene state with the given name. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.Rename &lt;string&gt;oldname &lt;string&gt;newname \n\
</pre></div><p>Renames the scene state with the given old name to the new name. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray by value&gt;sceneStateMgr.GetParts &lt;string&gt;name \n\
</pre></div><p>Returns a bitarray containing the parts in the scene state with the given name. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;sceneStateMgr.PartsCount() \n\
</pre></div><p>Returns the number of parts as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;sceneStateMgr.MapPartToIndex &lt;string&gt;part \n\
</pre></div><p>Returns the index of the supplied part name string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;sceneStateMgr.MapIndexToPart &lt;index&gt;index \n\
</pre></div><p>Returns the name string of the indexed part.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.CaptureAllParts &lt;string&gt;name \n\
</pre></div><p>Captures all parts to a state with the given name. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sceneStateMgr.RestoreAllParts &lt;string&gt;name \n\
</pre></div><p>Restores all parts to the given state. Returns true on success, false otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";