var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: timeSlider</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: timeSlider</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-timeslider\"></a></div>\n\
<p>The <strong>timeSlider Core Interface</strong> provides MAXScript access for the time slider display.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;timeSlider.setVisible &lt;boolean&gt;visible \n\
</pre></div><p>This method allows you to set the visibility flags of the time slider. This Setting is sticky across sessions and will be stored in the .ini file.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt;visible: True</span> to set the time slider visible, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;timeSlider.isVisible()   \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the time slider is visible, otherwise <span class=\'code\'>false</span> .</p>\n\
<p>See also Class ItimeSlider, in the SDK Help file accompanying this product.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";