var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ViewportButtonMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ViewportButtonMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-viewportbuttonmgr\"></a></div>\n\
<p>The <strong>ViewportButtonMgr Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> provides access to the viewport buttons.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ViewportButtonMgr.EnableButtons : boolean : Read|Write   \n\
</pre></div><p>Get/set the visibility of the Viewport Buttons.</p>\n\
<p>In DirectX mode, the viewport requires a full reinitialization for the change to take effect, for example by toggling the maximize view.</p>\n\
<p>The buttons will not be drawn unless the mouse is rolled over their location.</p>\n\
<p>This can be useful to remove the overlays when creating screenshots of the viewport.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";