var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GetInterfaces Interface Inspector</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GetInterfaces Interface Inspector</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"getinterfaces-interface-inspector\"></a></div>\n\
<div class=\'codeBlock\'><pre>getInterfaces {&lt;MAXWrapper&gt; | &lt;MAXClass&gt;}\n\
</pre></div><p>The <span class=\'code\'>getInterfaces()</span> function returns an array containing the interfaces exposed by the argument.</p>\n\
<p>If the argument is a node, the node level interfaces for that node are returned. If you want the interfaces for the node&#39;s base object, you need to specify <span class=\'code\'>&lt;node&gt;.baseobject</span> as the argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s=sphere() --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] converttopoly s --&gt; $Editable_Poly:Sphere01 @ [0.000000,0.000000,0.000000] getInterfaces s --&gt; #(<mixininterface:iassembly>, <mixininterface:inodegiproperties>, <mixininterface:inode>, <mixininterface:inodelayerproperties>, <mixininterface:inodebakeproperties>, <mixininterface:skinpose>, <mixininterface:inodebakeprojproperties>, <mixininterface:inodementalrayproperties>, <mixininterface:inodedisplayproperties>, <mixininterface:inodeshadingproperties>) getInterfaces s.baseobject --&gt; #(<mixininterface:editablepoly>)<p>\n\
<p>```</p>\n\
</mixininterface:editablepoly></mixininterface:inodeshadingproperties></mixininterface:inodedisplayproperties></mixininterface:inodementalrayproperties></mixininterface:inodebakeprojproperties></mixininterface:skinpose></mixininterface:inodebakeproperties></mixininterface:inodelayerproperties></mixininterface:inode></mixininterface:inodegiproperties></mixininterface:iassembly></blockquote>\n\
<p>If the argument is a MAXClass, only static interfaces for that class are returned. Typically, only utility plugin classes define static interfaces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` getInterfaces Plug_in_Manager #(<interface:pluginmgraction>)<p>\n\
<p>```</p>\n\
</interface:pluginmgraction></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";