var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: INodeDisplayProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: INodeDisplayProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inodedisplayproperties\"></a></div>\n\
<p>The <strong>INodeDisplayProperties Node</strong> <strong>Interface</strong> exposes the adaptive degradation node properties to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface:INodeDisplayProperties\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.NeverDegrade : boolean : Read|Write   \n\
</pre></div><p>Get/set the Never Degrade node option.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the node will not be considered by the adaptive degradation system.</p>\n\
<p>When set to <span class=\'code\'>false</span> , the node can be degraded if it matches the conditions set in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Adaptive-Degradation-Access.html\' title=\'\'>Adaptive Degradation dialog</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C4EDB297-4683-47D6-945E-3150FDF4BF25-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";