var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DigitData : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DigitData : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"digitdata-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>DigitData : ReferenceTarget {67e7064d,28271d66} \n\
</pre></div><p>This object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>In versions prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><span class=\'code\'>DigitData : FloatController</span></strong> with the same ClassID.</p>\n\
<p><strong>Constrcutor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript. \n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>DigitData... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.Bones : maxObject array\n\
</pre></div><p>Contains an array of the digit bones .</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.CurlWeight : float\n\
</pre></div><p>Get/set the curl weight value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.Width : float\n\
</pre></div><p>Get/set the width of the digit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.Depth : float\n\
</pre></div><p>Get/set the depth value of the digit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.DigitID : index\n\
</pre></div><p>Contains the Digit ID value.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.NumBones (NumSegs) : integer\n\
</pre></div><p>Get/set the number of bone segments in the digit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.Palm : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\' title=\'\'>PalmTranscontroller</a> of the hand the digit belongs to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DigitData&gt;.RootPos : point3\n\
</pre></div><p>Get/set the root position of the digit.</p>\n\
<div class=\'section\'><a id=\"digitdata-interfaces\"></a><h2 id=\"digitdata-interfaces\">DigitData interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ICATControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:CATGroupManagerFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>Interface: CATGroupManagerFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";