var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATFootBend : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATFootBend : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catfootbend-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATFootBend : FloatController {74b50fd8,7ad665e} \n\
</pre></div><p>This is a CATMotion Controller used in the animation of Ankles in <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATFootBend... FootBend ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.CATBranch : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.LimbData (CATLimbData) : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object of the Bone.</p>\n\
<div class=\'section\'><a id=\"foot-bend-key-1\"></a><h2 id=\"foot-bend-key-1\">Foot Bend Key 1</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.KEY1Val : float \n\
&lt;CATFootBend&gt;.KEY1Time : float \n\
&lt;CATFootBend&gt;.KEY1Tangent : float \n\
&lt;CATFootBend&gt;.KEY1InTanLength (Key1InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY1OutTanLength (Key1OutTanLen) : float\n\
</pre></div><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the first key.</p>\n\
<div class=\'section\'><a id=\"foot-bend-key-2\"></a><h2 id=\"foot-bend-key-2\">Foot Bend Key 2</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.KEY2Val : float \n\
&lt;CATFootBend&gt;.KEY2Time : float \n\
&lt;CATFootBend&gt;.KEY2Tangent : float \n\
&lt;CATFootBend&gt;.KEY2InTanLength (Key2InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY2OutTanLength (Key2OutTanLen) : float\n\
</pre></div><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the second key.</p>\n\
<div class=\'section\'><a id=\"foot-bend-key-3\"></a><h2 id=\"foot-bend-key-3\">Foot Bend Key 3</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.KEY3Val : float \n\
&lt;CATFootBend&gt;.KEY3Time : float \n\
&lt;CATFootBend&gt;.KEY3Tangent : float \n\
&lt;CATFootBend&gt;.KEY3InTanLength (Key3InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY3OutTanLength (Key3OutTanLen) : float\n\
</pre></div><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the third key.</p>\n\
<div class=\'section\'><a id=\"foot-bend-key-4\"></a><h2 id=\"foot-bend-key-4\">Foot Bend Key 4</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATFootBend&gt;.KEY4Val : float \n\
&lt;CATFootBend&gt;.KEY4Time : float \n\
&lt;CATFootBend&gt;.KEY4Tangent : float \n\
&lt;CATFootBend&gt;.KEY4InTanLength (Key4InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY4OutTanLength (Key4OutTanLen) : float\n\
</pre></div><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the fourth key.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";