var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATHierarchyBranch : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATHierarchyBranch : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cathierarchybranch-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATHierarchyBranch : FloatController {94e2d9c,2c702b5} \n\
</pre></div><p>This Controller is a component of the CAT Motion Controllers Hierarchy of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3E038686-6902-4E71-A6AA-FA68E0969937-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATHierarchyBranch CATHierarchyBranch2 \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.Branches (Layer) : float array \n\
</pre></div><p>Contains the array of sub-branches of the current controller.</p>\n\
<p>Accessing the .controller property if the array&#39;s items returns the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>CATHierarchyBranch controller</a> of the corresponding sub-branch.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.BranchNames (LayerNames) : string array \n\
</pre></div><p>Get/set the array of sub-branch names.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.Expandable : integer \n\
</pre></div><p>Get/set the Expandable option value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.BranchParent : maxObject \n\
</pre></div><p>Contains the parent controller of the current branch.</p>\n\
<p>This can be either a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\' title=\'\'>CATHierarchyRoot</a> or a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>CATHierarchyBranch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.BranchIndex : integer \n\
</pre></div><p>Contains the index of the current branch within the hierarchy of its parent.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.BranchOwner : maxObject \n\
</pre></div><p>Contains the branch owner controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.Leaves : maxObject array \n\
</pre></div><p>Contains the array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyLeaf-FloatController.html\' title=\'\'>CATHierarchyLeaf</a> controllers.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.LeafNames : string array \n\
</pre></div><p>Contains the array of leaf names.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.UIType : integer \n\
</pre></div><p>Get/set the UI Type option value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.isWelded : integer \n\
</pre></div><p>Get/set the Welded option value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.Controller : maxObject array \n\
</pre></div><p>Contains an array of controllers.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.OwnerSubNum : integer \n\
</pre></div><p>Contains the Sub-anim index within the Owner of the Branch.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.Limbs (CATLimbData) : maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2 controllers</a>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATHierarchyBranch&gt;.CATHierarchyRoot : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\' title=\'\'>CATHierarchyRoot</a> controller of the Branch.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";