var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATLegWeight : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATLegWeight : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catlegweight-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATLegWeight : FloatController {7c125bf5,3a880ece} \n\
</pre></div><p>This is a CATMotion controller used in the animation of Legs in <strong>3ds Max CAT</strong>.</p>\n\
<p>Other controllers used for CATMotion Limb Animation include <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATKneeAngle-FloatController.html\' title=\'\'>CATKneeAngle : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATLiftPlantMod-FloatController.html\' title=\'\'>CATLiftPlantMod : FloatController</a></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-17F1825E-4C41-4E51-9B0B-79F0CD74838F-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATLegWeight LegWeight \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.CATBranch : maxObject\n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.LiftStartTime : float\n\
</pre></div><p>Get/set the Lift Start Time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.LiftEndTime : float\n\
</pre></div><p>Get/set the Lift End Time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.PlantStartTime : float\n\
</pre></div><p>Get/set the Plant Start Time value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATLegWeight&gt;.TroughTanLength (PlantEndTime) : float\n\
</pre></div><p>Get/set the Through Tangent Length value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";