var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATStepShape : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATStepShape : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catstepshape-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATStepShape : FloatController {18e02664,21d309c3}\n\
</pre></div><p>This is a CATMotion Controller responsible for the shape of the step in <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4B26F494-6ABD-4D7A-8052-CF546477532A-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATStepShape StepShape\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.CATBranch : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'section\'><a id=\"lift-tangent\"></a><h2 id=\"lift-tangent\">Lift Tangent</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.LiftTangent : float\n\
</pre></div><p>Get/set the Lift Tangent value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.LiftOutTanLen (LiftTanLen) : float\n\
</pre></div><p>Get/set the Lift Out Tangent Length value.</p>\n\
<div class=\'section\'><a id=\"plant-tangent\"></a><h2 id=\"plant-tangent\">Plant Tangent</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.PlantTangent : float\n\
</pre></div><p>Get/set the Plant Tangent value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATStepShape&gt;.PlantInTanLen (PlantTanLen) : float\n\
</pre></div><p>Get/set the Plant In Tangent Length value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";