var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATBoneSegTrans : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATBoneSegTrans : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catbonesegtrans-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATBoneSegTrans : Matrix3Controller {485a734c,795557cc} \n\
</pre></div><p>This Controller is part of <strong>3ds Max CAT</strong>. It is used to store the transform data of bone segments.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATBoneSegTrans BoneSegTrans \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATBoneSegTrans&gt;.Bone (BoneData) : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>BoneData</a> controller object of the bone segment.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATBoneSegTrans&gt;.SegID (SegNum) : index \n\
</pre></div><p>Contains the Segmnet ID index of the bone segment.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATBoneSegTrans&gt;.TwistWeight: float \n\
</pre></div><p>Get/set the twist weigth of the bone segment.</p>\n\
<div class=\'section\'><a id=\"catbonesegtrans-interfaces\"></a><h2 id=\"catbonesegtrans-interfaces\">CATBoneSegTrans interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATControlInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: CATControlInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: CATNodeControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ExtraRigNodesInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";