var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HubTrans : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HubTrans : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hubtrans-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>HubTrans : Matrix3Controller {1cbb1d2f,30ea5264} \n\
</pre></div><p>This Controller is part of <strong>3ds Max CAT</strong> and represents the Hub bones used to connect limbs, spines and tails to the character rig.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>HubTrans Hub \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;HubTrans&gt;.Colour: color\n\
</pre></div><p>Get/set the color of the Hub.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HubTrans&gt;.InSpine: maxObject \n\
</pre></div><p>Get/set theSpine that the Hub is linked to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HubTrans&gt;.Spines (SpineData) : maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATSpineData2-ReferenceTarget.html\' title=\'\'>CATSpineData2 Controllers</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HubTrans&gt;.Tails (TailData) : maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/TailData2-ReferenceTarget.html\' title=\'\'>TailData2 : ReferenceTarget</a> objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HubTrans&gt;.Limbs (CATLimbData2) : maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2 Controllers</a></p>\n\
<div class=\'section\'><a id=\"hubtrans-interfaces\"></a><h2 id=\"hubtrans-interfaces\">HubTrans interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: HubFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-HubFPInterface.html\' title=\'\'>Interface: HubFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ICATControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: CATNodeControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ExtraRigNodesInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";