var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ILayerControlFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ILayerControlFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-ilayercontrolfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\' title=\'\'>LayerFloat : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\' title=\'\'>LayerMatrix3 : Matrix3Controller</a> which are components of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-ilayercontrolfpinterface-1\"></a><h2 id=\"interface-ilayercontrolfpinterface-1\">Interface: ILayerControlFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.LayerRoot: control : Read   \n\
</pre></div><p>Contains the Layer Root Controller.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .Weights : control : Read   \n\
</pre></div><p>Contains the Weights Controller.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .CATControl : control : Read \n\
</pre></div><p>Contains the CAT Controller.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .UseSetupController : boolean : Read|Write \n\
</pre></div><p>Get/set whether to use the Setup controller.</p>\n\
<div class=\'codeBlock\'><pre> .SetupController : control : Read \n\
</pre></div><p>Contains the Setup Controller.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .AdditiveToSetupValue : boolean : Read|Write \n\
</pre></div><p>Get/set whether to apply the layer data additively to the value of the Setup controller.</p>\n\
<div class=\'codeBlock\'><pre> .SelectedLayerCtrl : control : Read \n\
</pre></div><p>Contains the Selected Layer Controller.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .NumLayers : integer : Read \n\
</pre></div><p>Contains the number of layers.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> .LayerControllers : control by value array : Read \n\
</pre></div><p>Contains the array of Layer Controllers.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;BakeCurrentLayerSettings() \n\
</pre></div><p>Bakes the current layer settings.</p>\n\
<p>Read-only.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\' title=\'\'>LayerFloat : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\' title=\'\'>LayerMatrix3 : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";