var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CATMotion Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CATMotion Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-catmotion-functions\"></a></div>\n\
<p>This Function Publishing Interface is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\' title=\'\'>CATHierarchyRoot : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\' title=\'\'>CATMotionLayer : FloatController</a> which are part of the CATMotion animation system of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-catmotion-functions-1\"></a><h2 id=\"interface-catmotion-functions-1\">Interface: CATMotion Functions</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> .FootStepMasks : boolean : Read|Write   \n\
</pre></div><p>Get/set the the state of the Footsetp Masks option.</p>\n\
<div class=\'codeBlock\'><pre> .ManualUpdates : boolean : Read|Write   \n\
</pre></div><p>Get/set the state of the Manual Update option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;CreateCATWindow() \n\
</pre></div><p>Creates a CATWindow.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadPreset &lt;String&gt;filename &lt;boolean&gt;newlayer \n\
</pre></div><p>Loads a preset from the file specified by the first argument.</p>\n\
<p>If the second argument is true, the preset will be loaded into a new layer.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SavePreset &lt;String&gt;filename \n\
</pre></div><p>Saves a preset to the file specified by the first argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddLayer() \n\
</pre></div><p>Adds a new layer.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;RemoveLayer &lt;integer&gt;index \n\
</pre></div><p>Removes the indexed layer.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;CreateFootPrints() \n\
</pre></div><p>Creates footprints.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;ResetFootPrints &lt;boolean&gt;bOnlySelected \n\
</pre></div><p>Resets the footprints.</p>\n\
<p>If the argument is true, only the selected footprints will be reset.</p>\n\
<p>If the argument is false, all footprints will be reset.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;RemoveFootPrints &lt;boolean&gt;bOnlySelected \n\
</pre></div><p>Removes the footprints.</p>\n\
<p>If the argument is true, only the selected footprints will be removed.</p>\n\
<p>If the argument is false, all footprints will be removed.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SnapToGround &lt;node&gt;grnd &lt;boolean&gt;bOnlySelected \n\
</pre></div><p>Removes Snaps the footprints to the ground object specified by the first argument.</p>\n\
<p>If the second argument is true, only the selected footprints will be snapped to the ground.</p>\n\
<p>If the second argument is false, all footprints will be snapped to the ground.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;UpdateDistCovered() \n\
</pre></div><p>Updates the covered distance information.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;UpdateSteps() \n\
</pre></div><p>Updates the steps.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\' title=\'\'>CATHierarchyRoot : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\' title=\'\'>CATMotionLayer : FloatController</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";