var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>About CATUnit Ratio</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>About CATUnit Ratio</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"about-catunit-ratio\"></a></div>\n\
<p>The CATUnits Ratio value is used throughout <strong>3ds Max CAT</strong> to scale the character and its motion to allow sharing between characters.</p>\n\
<p>Every bone length in a CATRig is multiplied by the CATUnits Ratio. For example, if a bone length is 3.5 and CATUnits is set to 2.0, then the actual bone length is 7.0.</p>\n\
<p>Also, CATMotion uses CATUnits Ratio to scale the size of the motion to fit the rig. The height of the foot lift graph in the CATMotion editor for CATMotion is also scaled by CATUnits Ratio.</p>\n\
<p>If you set CATUnits Ratio to 1.0, then all the bone lengths listed on the Modify panel are actual 3ds Max units and CATUnits Ratio has no effect on them. Thus you might be tempted to set CATUnits Ratio to 1.0 so bone lengths are measured in familiar units.</p>\n\
<p>This is not recommended because CATUnits Ratio serves a useful function by providing an approximate size setting for your character. A bigger character should have a larger CATUnits Ratio setting than a smaller character.</p>\n\
<p>What means is that if you need to share animation data between the big character and the small character, CAT can use CATUnits Ratio to scale the motion to fit both characters.</p>\n\
<p>When you load an animation clip, an option to scale the data is available. This scaling is calculated using the CATUnits Ratio values of the two characters.</p>\n\
<p>In most default rigs, the CATParent fits comfortably underneath the feet of the character. When building a custom rig, it’s good practice to make the CATParent approximately the same scale relative to the skeleton of your character. The easiest way to do this is to use an existing rig and modify it.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";