var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATBone : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATBone : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catbone-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATBone : GeometryClass {2e6a0c09,43d5c9c0}\n\
</pre></div><p>This Geometry Object is part of 3ds Max CAT.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBone&gt;.DigitData : maxObject\n\
</pre></div><p>Contains a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/DigitData-ReferenceTarget.html\' title=\'\'>DigitData : FloatController</a> which provides access to other bones connected to the current one.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBone&gt;.CATUnits : worldUnits\n\
</pre></div><p>Contains the [ <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/About-CATUnit-Ratio.html\' title=\'\'>CATUnits Ratio</a>] value of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a> in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBone&gt;.Length: float \n\
&lt;CATBone&gt;.Width: float\n\
&lt;CATBone&gt;.Depth: float\n\
</pre></div><p>Get/Set the Length, Width and Depth dimensions of the bone.</p>\n\
<div class=\'section\'><a id=\"catbone-interfaces\"></a><h2 id=\"catbone-interfaces\">CATBone interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATObjectFPInterface\n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATObjectFPInterface.html\' title=\'\'>Intertface: CATObjectFPInterface</a> for properties and methods.</p>\n\
<p>It provides properties controlling the use of a custom mesh by the bone and giving access to the transform controller of the bone, as well as methods for copying of a custom mesh from a scene object and for the pasting of rig data.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";