var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HubObject : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HubObject : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hubobject-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>HubObject : GeometryClass {73dc4833,65c93caa} \n\
</pre></div><p>This Controller is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.HubTrans: maxObject   \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans controller</a> of the HubObject bone.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.CATUnits: worldUnits \n\
</pre></div><p>Get/set the [<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/About-CATUnit-Ratio.html\' title=\'\'>CATUnits Ratio</a>] value of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.Length: float \n\
</pre></div><p>Get/set the Length of the Hub bone.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.Width: float \n\
</pre></div><p>Get/set the Width of the Hub bone.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.Height: float \n\
</pre></div><p>Get/set the Height of the Hub bone.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.PivotPosY: float \n\
</pre></div><p>Get/set the Pivot&#39;s Y Position of the Hub bone.</p>\n\
<div class=\'codeBlock\'><pre> &lt;HubObject&gt;.PivotPosZ: float \n\
</pre></div><p>Get/set the Pivot&#39;s Z Position of the Hub bone.</p>\n\
<div class=\'section\'><a id=\"hubobject-interfaces\"></a><h2 id=\"hubobject-interfaces\">HubObject interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:CATObjectFPInterface \n\
</pre></div><p><strong>See</strong> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATObjectFPInterface.html\' title=\'\'>Intertface: ATObjectFPInterface</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";