var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Body_Utility : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Body_Utility : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"body_utility-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Body_Utility - superclass: GeometryClass; super-superclass:node - 80:0 - classID: #(1481052916, 322005602)\n\
</pre></div><p>The Body_Utility class introduced in <strong>3ds Max 2011</strong> allows the tweaking of the surface representation parameters of multiple <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\' title=\'\'>Body_Objects</a> at once.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Body_Utility...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"operator-parameters\"></a><h2 id=\"operator-parameters\">Operator Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BEDD3651-B6E2-4799-B976-230E902EFCE3-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"display\"></a><h3 id=\"display\">Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ShowResultOP BooleanClass default: true -- boolean; Show_Result__Hide_Ops\n\
</pre></div><p>Get/set the state of the Result checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ShowAllOperandsOP BooleanClass default: false -- boolean; Show_Ops__Hide_Result\n\
</pre></div><p>Get/set the state of the All Operands checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ShowSelectedOperandsOP BooleanClass default: true -- boolean; Show_Selected_Operands\n\
</pre></div><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.TwoSidedMeshesOP BooleanClass default: false -- boolean; Two_Sided_Mesh\n\
&lt;Body_Utility&gt;.FastEditOP BooleanClass default: false -- boolean; Fast_Edit\n\
&lt;Body_Utility&gt;.SaveBrepsOP BooleanClass default: false -- boolean; Save_NURBS_Breps\n\
&lt;Body_Utility&gt;.OP_NOT_USED1 Integer default: 0 -- integer; Update_Radio\n\
&lt;Body_Utility&gt;.OP_NOT_USED2 BooleanClass default: false -- boolean; Update_Now\n\
&lt;Body_Utility&gt;.OP_NOT_USED3 BooleanClass default: false -- boolean; Save_Render_Mesh\n\
&lt;Body_Utility&gt;.OP_NOT_USED4 BooleanClass default: true -- boolean; Save_Viewport_Mesh\n\
</pre></div><div class=\'section\'><a id=\"rendering-approximation\"></a><h2 id=\"rendering-approximation\">Rendering Approximation</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BDD5A618-CF24-4557-8C91-C8E29EE9C273-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>&lt;Body_Utility&gt;.RenderViewportMeshRA</span> BooleanClass default: false -- boolean; Render_Viewport_Mesh</p>\n\
<p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<div class=\'section\'><a id=\"render-mesh-generation\"></a><h3 id=\"render-mesh-generation\">Render Mesh Generation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.RenderRadioRA Integer default: 0 -- integer; Render_Radio\n\
</pre></div><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx.</p>\n\
<div class=\'section\'><a id=\"render-mesh-quality-presets\"></a><h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.LowQualityRA BooleanClass default: false -- boolean; LowQuality\n\
</pre></div><p>Get/set the state of the Draft checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.MediumQualityRA BooleanClass default: false -- boolean; MediumQuality\n\
</pre></div><p>Get/set the state of the Good checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.HighQualityRA BooleanClass default: true -- boolean; HighQuality\n\
</pre></div><p>Get/set the state of the Production checkbutton.</p>\n\
<div class=\'section\'><a id=\"approximation\"></a><h3 id=\"approximation\">Approximation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.FaceApproxAngleRA Float default: 40.0 -- animatable; float; Face_Angle\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.EdgeApproxAngleRA Float default: 0.0 -- animatable; float; Edge_Angle\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.FaceChordRA Float default: 0.5 -- animatable; float; Face_Chord\n\
</pre></div><p>Get/set the Face Chord %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.EdgeChordRA Float default: 0.0 -- animatable; float; Edge_Chord\n\
</pre></div><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.MaxEdgeRA Float default: 0.0 -- animatable; float; Edge_Length_Rendering\n\
</pre></div><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<div class=\'section\'><a id=\"misc.-options\"></a><h3 id=\"misc.-options\">Misc. Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.WeldAndSmoothRA BooleanClass default: false -- boolean; Weld_and_Smooth\n\
</pre></div><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.SaveRenderMeshRA BooleanClass default: false -- boolean; Save_Render_Mesh\n\
</pre></div><p>Get/set the state of the Save Render Meshcheckbox.</p>\n\
<div class=\'section\'><a id=\"viewport-display-settings\"></a><h2 id=\"viewport-display-settings\">Viewport Display Settings</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A2AE6C5A-43BE-4EC4-8161-C6096F0C312E-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.DisplayRadioVDS Integer default: 0 -- integer; Display_Radio\n\
</pre></div><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<div class=\'section\'><a id=\"mesh-quality-presets\"></a><h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.LowQualityVDS BooleanClass default: false -- boolean; LowQuality\n\
</pre></div><p>Get/set the state of the Coarse checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.MediumQualityVDS BooleanClass default: true -- boolean; MediumQuality\n\
</pre></div><p>Get/set the state of the Medium checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.HighQualityVDS BooleanClass default: false -- boolean; HighQuality\n\
</pre></div><p>Get/set the state of the Fine checkbutton.</p>\n\
<div class=\'section\'><a id=\"mesh-display\"></a><h3 id=\"mesh-display\">Mesh Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.CleanMeshVDS BooleanClass default: false -- boolean; CleanMesh\n\
</pre></div><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.FaceApproxAngleVDS Float default: 20.0 -- float; Face_Approx__Angle\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.EdgeApproxAngleVDS Float default: 0.0 -- float; Edge_Approx__Angle\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.FaceChordHeightVDS Float default: 0.2 -- float; Face_Chord_Height\n\
</pre></div><p>Get/set the Face Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.EdgeChordHeightVDS Float default: 0.0 -- float; Edge_Chord_Height\n\
</pre></div><p>Get/set the Edge Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.MaxEdgeLengthPctVDS Float default: 0.0 -- float; Edge_Length\n\
</pre></div><p>Get/set the Max.Edge Len. % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.SmoothingPassesVDS Float default: 0.0 -- float; Smoothing_Passes\n\
</pre></div><p>Get/set the Smoothing Passes value.</p>\n\
<div class=\'section\'><a id=\"curve-display\"></a><h3 id=\"curve-display\">Curve Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ULinesVDS Float default: 0.0 -- float; U_Lines\n\
</pre></div><p>Get/set the Lines U value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.VLinesVDS Float default: 0.0 -- float; V_Lines\n\
</pre></div><p>Get/set the Lines V value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.DisplaySurfaceKnotsVDS BooleanClass default: false -- boolean; Display_Surface_Knots\n\
</pre></div><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.IsoAngleDS Float default: 3.0 -- float; Iso_Angle\n\
</pre></div><p>Get/set the Approx value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.IsoChordHeightVDS Float default: 0.0 -- float; Iso_Chord\n\
</pre></div><p>Get/set the Curve Distance value.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-ui\"></a><h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.SubDMeshVDS BooleanClass default: false -- boolean; SubDMesh\n\
&lt;Body_Utility&gt;.VDS_NOT_USED1 BooleanClass default: false -- boolean; Update\n\
</pre></div><div class=\'section\'><a id=\"face-display-parameters\"></a><h2 id=\"face-display-parameters\">Face Display Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6D347016-0148-45E3-97C3-F76E0B087085-low.gif\' title=\'\'></div>\n\
<p>No Properties Exposed.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-ui-1\"></a><h2 id=\"not-exposed-to-ui-1\">Not Exposed To UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ApproximateArcFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.BlendStrengthFAO Float default: 1.0 -- animatable; float\n\
&lt;Body_Utility&gt;.ConstantDistanceFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.CornerExtensionFAO BooleanClass default: true -- boolean; Corner_Extension\n\
&lt;Body_Utility&gt;.FilletAllEdgesFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.FilletRadiusFAO Float default: 0.0 -- animatable; float\n\
&lt;Body_Utility&gt;.FirstOrEndEdgesFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.LinearCrossSectionFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.OffsetRadiusFAO Float default: 0.0 -- animatable; float\n\
&lt;Body_Utility&gt;.SecondOrSideEdgesFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.SectionTypeFAO Integer default: 0 -- integer\n\
&lt;Body_Utility&gt;.ShellEndFaceFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.ShellRadioFAO Integer default: 0 -- integer\n\
&lt;Body_Utility&gt;.ShellStartFaceFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.ThirdOrStartEdgesFAO BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.FAO_NOT_USED1 BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.FAO_NOT_USED2 BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.FAO_NOT_USED3 BooleanClass default: false -- boolean\n\
&lt;Body_Utility&gt;.FAO_NOT_USED4 BooleanClass default: false -- boolean\n\
</pre></div><div class=\'section\'><a id=\"surface-analysisnot-exposed-to-ui\"></a><h2 id=\"surface-analysisnot-exposed-to-ui\">Surface Analysis(Not Exposed To UI)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.CurvatureDensitySA Float default: 50.0 -- float; Curvature_Density\n\
&lt;Body_Utility&gt;.CurvatureScaleSA Float default: 400.0 -- float; Curvature_Scale\n\
&lt;Body_Utility&gt;.CurveCurvatureTypeSA Integer default: 3 -- integer; Curve_Curvature_Type\n\
&lt;Body_Utility&gt;.DisplayControlMeshSA BooleanClass default: false -- boolean; Display_Control_Mesh\n\
&lt;Body_Utility&gt;.DisplayControlPointsSA BooleanClass default: false -- boolean; Display_Control_Points\n\
&lt;Body_Utility&gt;.DisplayCurveCurvatureSA BooleanClass default: false -- boolean; Display_Curve_Curvature\n\
&lt;Body_Utility&gt;.DisplaySurfaceCurvatureSA BooleanClass default: false -- boolean; Display_Surface_Curvature\n\
&lt;Body_Utility&gt;.StdDevMaxRangeSA Float default: 0.0 -- float; Std__Dev__Max_Range\n\
&lt;Body_Utility&gt;.StdDevMinRangeSA Float default: 0.0 -- float; Std__Dev__Min_Range\n\
&lt;Body_Utility&gt;.StdDevMultiplesSA Float default: 2.0 -- float; Std__Dev__Multiples\n\
&lt;Body_Utility&gt;.SurfaceCurvatureTypeSA Integer default: 0 -- integer; Surface_Curvature_Type\n\
&lt;Body_Utility&gt;.SurfAnalysisQuickHelpSA BooleanClass default: false -- boolean; Surface_Analysis_Quick_Help\n\
&lt;Body_Utility&gt;.UseMinMaxRangeSA BooleanClass default: false -- boolean; Use_Min_Max_Range\n\
</pre></div><div class=\'section\'><a id=\"nqnot-exposed-to-ui\"></a><h2 id=\"nqnot-exposed-to-ui\">NQ(Not Exposed To UI)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Body_Utility&gt;.ExtrToBrepNQ BooleanClass default: false -- boolean; Extr_To_NURBS_Brep\n\
&lt;Body_Utility&gt;.ExtrToCurveNQ BooleanClass default: false -- boolean; Extr_To_Curve\n\
&lt;Body_Utility&gt;.ExtrToNURBSNQ BooleanClass default: false -- boolean; Extr_To_Nurbs\n\
&lt;Body_Utility&gt;.NQ_NOT_USED1 BooleanClass default: false -- boolean; Flip_All\n\
&lt;Body_Utility&gt;.NQ_NOT_USED2 BooleanClass default: false -- boolean; Flip_Selected\n\
&lt;Body_Utility&gt;.NQ_NOT_USED3 BooleanClass default: false -- boolean; Extract_To_Spline\n\
&lt;Body_Utility&gt;.NQ_NOT_USED4 BooleanClass default: false -- boolean; Show_Counts\n\
&lt;Body_Utility&gt;.NQ_NOT_USED5 BooleanClass default: false -- boolean; Extract_To_CShape\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";