var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Limitations on using MAXScript with Particle Flow</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Limitations on using MAXScript with Particle Flow</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"limitations-on-using-maxscript-with-particle-flow\"></a></div>\n\
<p>MAXScript can be used in the Every Step and Final Step scripts of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source</a> and in the Scripted Actions &amp;endash; <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test</a>.</p>\n\
<p>These scripts are executed very often and in a very special environment, for example, during rendering. This is why it is not possible to use all MAXScript commands with <strong>Particle Flow</strong>.</p>\n\
<p><strong>Here are some known limitations:</strong></p>\n\
<ul>\n\
<li><p>You <strong>cannot</strong> reset <strong>3ds Max</strong> from inside a <strong>Particle Flow</strong> script.</p></li>\n\
<li><p>You <strong>cannot</strong> create a new <strong>3ds Max</strong> scene.</p></li>\n\
<li><p>You <strong>cannot</strong> open an existing.MAX file.</p></li>\n\
<li><p>You <strong>cannot</strong> merge a MAX file with the current scene.</p></li>\n\
<li><p>You <strong>cannot</strong> create or delete <strong>Particle Flow</strong> Operators.</p></li>\n\
<li><p>You <strong>cannot</strong> excessively create objects during the evaluation of <strong>Particle Flow</strong> scripts (for example inside the <strong>on Proceed</strong> method).</p></li>\n\
<li><p>You <strong>cannot</strong> delete objects from inside a <strong>Particle Flow</strong> script.</p></li>\n\
<li><p>The MAXScript <span class=\'code\'>snapshot as mesh</span> method should not be used during render time (like in the Proceed method), or all objects that the shapshot as mesh method is used upon should be hidden during render, otherwise a crash will occur.</p></li>\n\
</ul>\n\
<p>Note: There are techniques allowing the creation of a <strong>limited</strong> number of new objects as shown in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\' title=\'\'>Fragmentation script example</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";