var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Input_mParticles : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Input_mParticles : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"input_mparticles-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Input_mParticles - superclass: ReferenceTarget; super-superclass:MAXWrapper - 5:0 - classID: #(1137313793, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Input_mParticles</strong> Particle Data View sub-operator copies simulation-related particle properties</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Input_mParticles...\n\
InputPhysX...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_mParticles&gt;.Data_Type     Integer    default: 3   --  radiobtnIndex; IDC_DATATYPE\n\
</pre></div><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Apply Anti-Gravity</strong></p>\n\
<p>1 - <strong>Mass</strong></p>\n\
<p>2 - <strong>Match</strong></p>\n\
<p>3 - <strong>Turn Off Simulation</strong> (default)</p>\n\
<p>4 - <strong>Interpenetration Tolerance</strong></p>\n\
<p>5 - unused</p>\n\
<p>6 - <strong>Threshold Type Is Energy</strong></p>\n\
<p>7 - <strong>Threshold</strong></p>\n\
<p>8 - <strong>Collided</strong></p>\n\
<p>9 - <strong># Collisions</strong></p>\n\
<p>10 - <strong>Test Immunity</strong></p>\n\
<p>11 - <strong>Force</strong></p>\n\
<p>12 - <strong>Force Influence</strong></p>\n\
<p>13 - <strong>Torque</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_mParticles&gt;.Collision_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list in the <strong>Collision Registration</strong> group of controls.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>With Deflectors</strong> (default)</p>\n\
<p>1 - <strong>With Particles</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_mParticles&gt;.Match_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Position</strong></p>\n\
<p>1 - <strong>Rotation</strong></p>\n\
<p>2 - <strong>Speed</strong> (default)</p>\n\
<p>3 - <strong>Spin</strong></p>\n\
<p>4 - <strong>Speed Limit</strong></p>\n\
<p>5 - <strong>Spin Limit</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_mParticles&gt;.Threshold_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Threshold&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Energy</strong> (default)</p>\n\
<p>1 - <strong>Speed</strong></p>\n\
<p>2 - <strong>Spin Rate</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_mParticles&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the boolean output sub-operator controlling when the Input_mParticles will be evaluated.</p>\n\
<p>Setting this property to a sub-operator with boolean output will effectively wire it to the Input_mParticles sub-operator&#39;s Filter socket.</p>\n\
<p>Setting it to undefined will remove the Filter wiring.</p>\n\
<div class=\'section\'><a id=\"input_mparticles-interfaces\"></a><h2 id=\"input_mparticles-interfaces\">Input_mParticles interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Input_mParticles Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";