var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NotesReferenceTarget : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NotesReferenceTarget : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"notesreferencetarget-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>NotesReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 2:0 - classID: #(1137313556, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>NotesReferenceTarget</strong> Particle Data View sub-operator is non-executable and can be used to place comments in Data View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>NotesReferenceTarget...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;NotesReferenceTarget&gt;.Comments     UndefinedClass    default: undefined   --  string; \n\
</pre></div><p>Get/set the comment string.</p>\n\
<p>While the initial value of this property is undefined by default, it is not possible to set its value to undefined via MAXScript. To clear, assign an empty string &quot;&quot; instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;NotesReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>While there is a filter socket, it makes no sense to be writed since this sub-operator is non-executable.</p>\n\
<div class=\'section\'><a id=\"notesreferencetarget-interfaces\"></a><h2 id=\"notesreferencetarget-interfaces\">NotesReferenceTarget interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the NotesReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";