var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ObjectParameter : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ObjectParameter : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"objectparameter-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>ObjectParameter - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1137313562, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>ObjectParameter</strong> Particle Data View sub-operator acquires parameter data from a reference object.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>ObjectParameter...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"object-group-of-controls\"></a><h2 id=\"object-group-of-controls\">Object group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.object     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the scene object to access parameters from.</p>\n\
<p>Note: Currently there is no way to set the parameter to be read using MAXScript.</p>\n\
<div class=\'section\'><a id=\"parameter-group-of-controls\"></a><h2 id=\"parameter-group-of-controls\">Parameter group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.Subframe_Sampling     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Subframe Sampling&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list used when <span class=\'code\'>.Use_As_Speed_Or_Spin_Rate</span> is set to True.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.Input     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the first Input socket of the ObjectParameter sub-operator.</p>\n\
<p>It provides the Timing control input when the <span class=\'code\'>.Subframe_Sampling</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ObjectParameter&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the ObjectParameter sub-operator.</p>\n\
<div class=\'section\'><a id=\"objectparameter-interfaces\"></a><h2 id=\"objectparameter-interfaces\">ObjectParameter interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the ObjectParameter Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";