var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OutputNew : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OutputNew : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"outputnew-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>OutputNew - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313542, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>OutputNew</strong> Particle Data View sub-operator creates new data channel that can be used by Input Custom and Output Custom.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>OutputNew...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Data_Type     Integer    default: 3   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - unused</p>\n\
<p>1 - <strong>Boolean</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Real</strong> (default)</p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>Vector</strong></p>\n\
<p>6 - <strong>Quaternion</strong></p>\n\
<p>7 - <strong>Matrix</strong></p>\n\
<p>8 - <strong>Pair</strong></p>\n\
<p>9 - <strong>Complex</strong></p>\n\
<p>10 - <strong>Object</strong></p>\n\
<div class=\'section\'><a id=\"data-access-scope-group-of-controls\"></a><h2 id=\"data-access-scope-group-of-controls\">Data Access Scope group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Scope_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Data Access Scope&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Local</strong> (default)</p>\n\
<p>1 - <strong>Global</strong></p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order-group-of-controls\"></a><h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Priority_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input connection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Filter connection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputNew&gt;.Data_Handle     Integer    default: 658938   --  integer\n\
</pre></div><div class=\'section\'><a id=\"outputnew-interfaces\"></a><h2 id=\"outputnew-interfaces\">OutputNew interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the OutputNew Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";