var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OutputTest : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OutputTest : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"outputtest-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>OutputTest - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313543, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>OutputTest</strong> Particle Data View sub-operator transfers calculated data to Data Test for particle exit decision.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>OutputTest...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Output Test Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>True To Satisfy Test</strong> (default)</p>\n\
<p>1 - <strong>False To Satisfy Test</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Use_T2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;T2 As Event Exit Time&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order-group-of-controls\"></a><h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Priority_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input 1 connection to a sub-operator with Boolean output.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input 2 connection. Used only if <span class=\'code\'>.Use_T2</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputTest&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Filter connection to a sub-operator with Boolean output.</p>\n\
<div class=\'section\'><a id=\"outputtest-interfaces\"></a><h2 id=\"outputtest-interfaces\">OutputTest interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the OutputTest Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";