var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Switch : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Switch : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"switch-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Switch - superclass: ReferenceTarget; super-superclass:MAXWrapper - 12:0 - classID: #(1137313550, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Switch</strong> Particle Data View sub-operator works as an animatable relay from several inputs to the output of the same type.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Switch...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Switch&gt;.Type     Integer    default: 6   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Complex</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Matrix</strong></p>\n\
<p>4 - <strong>Pair</strong></p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Real</strong> (default)</p>\n\
<p>7 - <strong>Time</strong></p>\n\
<p>8 - <strong>Vector</strong></p>\n\
<p>9 - <strong>Object</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Switch&gt;.Active_Input     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the index of the active input (if existing).</p>\n\
<p>Currently there is no method to create Inputs using MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Switch&gt;.Render_Viewport_Switch     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render / VIewport Switch&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"inpit-and-filter-sockets\"></a><h2 id=\"inpit-and-filter-sockets\">Inpit and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Switch&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Switch&gt;.Input_8     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the Switch sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Switch&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Switch sub-operator.</p>\n\
<div class=\'section\'><a id=\"switch-interfaces\"></a><h2 id=\"switch-interfaces\">Switch interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Switch Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";