var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mapping : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mapping : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mapping-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mapping - superclass: helper super-superclass:node - classID: #(1962490637, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Mapping</strong> operator lets you assign a constant UVW mapping to the entire surface of the particles. It works in conjunction with a map specified in a material operator in the current event. By animating the mapping coordinates, you can vary the location on the material map from which the particle color is taken, thus changing the particle color in a predictable way over time.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Mapping... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping&gt;.U_Map Float default:0.0 alias: U_Map_Coordinate \n\
&lt;Mapping&gt;.V_Map Float default:0.0 alias: V_Map_Coordinate \n\
&lt;Mapping&gt;.W_Map Float default:0.0 alias: W_Map_Coordinate \n\
</pre></div><p>Set the coordinates on the map from which the particle color is taken. One pixel from this location is used to color the entire particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Controls the state of the Synch By drop-down list in the UI. Specifies the time frame for applying animated parameters. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping&gt;.Channel_Type Integer default:0 \n\
</pre></div><p>Controls the state of the Channel radio buttons in the UI. Possible values are:</p>\n\
<p>0: <strong>Map Channel</strong> - Use the Map Channel specified by the <span class=\'code\'>.Map_Channel</span> value</p>\n\
<p>1: <strong>Vertex Color Channel</strong> - Use the Vertex Color channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping&gt;.Map_Channel Integer default:1 \n\
</pre></div><p>The mapping is applied to the specified map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping&gt;.Show_In_Viewport Boolean default:false \n\
</pre></div><p>The mapping is visible in the viewports.</p>\n\
<div class=\'section\'><a id=\"mapping-interfaces\"></a><h2 id=\"mapping-interfaces\">mapping Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";