var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AirFlow_Node : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AirFlow_Node : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"airflow_node-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>AirFlow_Node - superclass: helper; super-superclass:node - 26:0 - classID: #(1509449990L, 515064320L)\n\
<blockquote>\n\
</blockquote></pre></div><p>Note: The AirFlow_Node helper is deprecated as of <strong>3ds Max 2022</strong> and may be removed in a future release.</p>\n\
\n\
<p>The AirFlow_Node helper converts CFD Data to particle flow nodes for airflow simulations. Available in <strong>in 3ds Max 2018 and higher</strong>.</p>\n\
<p>Note: this class is not creatable in the 3ds Max ParticleFlow UI. It can only be created via MAXScript.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Color     Color    default: (color 255 255 255)   --  RGB color\n\
</pre></div><p>Gets or sets the node color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Color_Levels     Integer    default: 16   --  integer\n\
</pre></div><p>Gets or sets the number of color levels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Color_RGB_To_Script_Vector     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets the value of the Color RBG --&gt; Script Vector check box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Color_Type     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets or sets the value of the Color Coordinated check box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Data_Display     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the Color Data setting for the node, where:</p>\n\
<ul>\n\
<li><p>0 = None</p></li>\n\
<li><p>1=Pressure</p></li>\n\
<li><p>2=Temperature</p></li>\n\
<li><p>3=Scal1</p></li>\n\
<li><p>4=Turbk</p></li>\n\
<li><p>5=Heat Flux</p></li>\n\
<li><p>6=Shear Mag</p></li>\n\
<li><p>7=NVol</p></li>\n\
<li><p>8=Density</p></li>\n\
<li><p>9=Match</p></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Data_Source_File     UndefinedClass    default: undefined   --  filename; !error setting value!\n\
</pre></div><p>Gets or sets the .csv data source file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Display_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the display type where:</p>\n\
<ul>\n\
<li><p>0=None</p></li>\n\
<li><p>1=Dots</p></li>\n\
<li><p>2=Ticks</p></li>\n\
<li><p>3=Circles</p></li>\n\
<li><p>4=Boxes</p></li>\n\
<li><p>5=Lines</p></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Emit_Time     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the Emit Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Icon_Height     Float    default: 10.0   --  worldUnits\n\
&lt;AirFlow_Node&gt;.Icon_Length     Float    default: 10.0   --  worldUnits\n\
&lt;AirFlow_Node&gt;.Icon_Width     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Gets or sets the Icon Size values for height, length, and width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Intensity_To_Script_Integer     BooleanClass    default: false   --  boolean; Intensity_To_Script_Vector\n\
</pre></div><p>Gets or sets the value of the Intensity --&gt; Script Integer check box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Load_For_Inside_Icon_Only     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets the value of the Load For Inside Icon Only checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Load_For_Visible_Only     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets the value of the Load For Visible % Only checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Random_Seed     Integer    default: 45921   --  integer\n\
</pre></div><p>Gets or sets the Visibility Randomness random seed value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Rotation_Offset_X     Float    default: 0.0   --  angle\n\
&lt;AirFlow_Node&gt;.Rotation_Offset_Y     Float    default: 0.0   --  angle\n\
&lt;AirFlow_Node&gt;.Rotation_Offset_Z     Float    default: 0.0   --  angle\n\
</pre></div><p>Gets or sets the Data Rotation Offset value for X, Y and Z axes. This is a Euler angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Save_Data_With_Max_File     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets or sets the value of the Save Data With .max File checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Speed_Factor     Float    default: 1.0   --  float\n\
</pre></div><p>Gets or sets the speed factor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Translation_Offset_X     Float    default: 0.0   --  worldUnits \n\
&lt;AirFlow_Node&gt;.Translation_Offset_Y     Float    default: 0.0   --  worldUnits \n\
&lt;AirFlow_Node&gt;.Translation_Offset_Z     Float    default: 0.0   --  worldUnits\n\
</pre></div><p>Gets or sets the Data Translation Offset X, Y, and Z values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Upper_Limit     Integer    default: 1000000   --  integer\n\
</pre></div><p>Gets or sets the Upper Limit for data statistics.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Visible_Inside_Icon_Only     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets the Visible Inside Icon Only checkbox value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AirFlow_Node&gt;.Visible_Ratio     Float    default: 100.0   --  percent\n\
</pre></div><p>Gets or sets the Visible % value.</p>\n\
<div class=\'section\'><a id=\"airflow_node-interfaces\"></a><h2 id=\"airflow_node-interfaces\">AirFLow_Node interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the AirFlow_Node Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";