var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Stop : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Stop : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"stop-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Stop - superclass: Helper; super-superclass:node - 2:0 - classID: #(1509449985, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Stop</strong> operator instantly stops particle movement and spinning when a particle enters the event. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Stop...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;stop&gt;.Position     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Position&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Linear motion will be stopped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;stop&gt;.Rotation     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Angular motion will be stopped.</p>\n\
<div class=\'section\'><a id=\"stop-interfaces\"></a><h2 id=\"stop-interfaces\">stop Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";