var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PFlow_Collision_Shape : SpacewarpModifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PFlow_Collision_Shape : SpacewarpModifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pflow_collision_shape-spacewarpmodifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>PFlow_Collision_Shape - superclass: SpacewarpModifier; super-superclass:MAXWrapper - 15:0 - classID: #(-2103479135, 1733841833)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Skinner</strong> SpacewarpModifier enables standard mesh objects to participate as particle deflectors in the MassFX simulation.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>PFlow_Collision_Shape... \n\
PhysXShapeWSM... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.active     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Activate&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Shape     Integer    default: 6   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Shape&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Plane</strong></p>\n\
<p>1 - <strong>Sphere</strong></p>\n\
<p>2 - <strong>Box</strong></p>\n\
<p>3 - <strong>Capsule</strong></p>\n\
<p>4 - unused</p>\n\
<p>5 - <strong>Convex Hull</strong></p>\n\
<p>6 - <strong>Geometry</strong> (default)</p>\n\
<p>100 - <strong>Animated Surface</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Smooth_Surface     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Smooth Surface&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"bounce-and-friction-group-of-controls\"></a><h2 id=\"bounce-and-friction-group-of-controls\">Bounce And Friction group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Restitution     Float    default: 0.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Restitution&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Static_Friction     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Static Friction&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Dynamic_Friction     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Dynamic Friction&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"animated-surface-group-of-controls\"></a><h2 id=\"animated-surface-group-of-controls\">Animated Surface group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Thickness     Float    default: 1.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Thickness&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Normal_Offset     Float    default: 0.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Normal Offset&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Side_Overlap     Float    default: 0.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Side Overlap&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"collision-primitive-location-group-of-controls\"></a><h3 id=\"collision-primitive-location-group-of-controls\">Collision Primitive Location group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Placement_Vertices     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Vertices&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Placement_Edges     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Edges&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Placement_Polygons     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Polygons&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Selected_Only     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Selected Only&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"collision-promotove-size-group-of-controls\"></a><h3 id=\"collision-promotove-size-group-of-controls\">Collision Promotove Size group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Primitive_Size_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Collision Primitive Size&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Fit By Current Frame</strong> (default)</p>\n\
<p>1 - <strong>Fit By Minimization</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PFlow_Collision_Shape&gt;.Visualize_Collision_Shape     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Visualize Collision Shape&quot;</strong> checkbox.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";