var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Split_Group : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Split_Group : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"split_group-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Split_Group- superclass: helper; super-superclass:node - 7:0 - classID:#(1395943681, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Split_Group</strong> test splits the particle stream based on particle’s selection status as defined by a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Select</a> operator.</p>\n\
<p>The <strong>Split_Group</strong> test was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Split_Group... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Group_Selection_Operators : node array \n\
</pre></div><p>Get/set the available Group_Select operators.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Group_Selection_Operator : node \n\
</pre></div><p>Get/set the selected Group_Select operator defining the particle group to be split.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Use_Proxy_Particles : boolean \n\
</pre></div><p>Get/set the state of the &quot;Use Proxy Particles&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Proxy_Particle_System : node \n\
</pre></div><p>Get/set the Proxy Particle System node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Multiplier : float \n\
</pre></div><p>Get/set the &quot;Proxy Index -&gt; Particle Index&quot; Multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Index_Offset : integer \n\
</pre></div><p>Get/set the &quot;Proxy Index -&gt; Particle Index&quot; Index offset value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Group&gt;.Condition_Type : integer \n\
</pre></div><p>Get/set the selection of the &quot;Test True If Particle&quot; dropdown list.</p>\n\
<div class=\'section\'><a id=\"split_group-interfaces\"></a><h2 id=\"split_group-interfaces\">Split_Group Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by theSplit_GroupClass:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";