var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Split_Source : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Split_Source : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"split_source-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Split_Source - superclass: helper super-superclass:node - classID: #(1962490892, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Split_Source</strong> test lets you split the particle stream based on particles&#39; origin. You can specify that particles from one or more specific <strong>Particle Flow</strong> sources should or should not be eligible for redirection to the next event.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Split_Source... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Source&gt;.Condition_Type   Integer    default: 0   --  radiobtnIndex  \n\
</pre></div><p>Controls the state of the radio buttons in the <strong>Test True If Particle</strong> group in the UI. Lets you choose how to split the particle stream. Default Is From Selected Source.</p>\n\
<p>0: <strong>Is From Selected Source</strong> - All particles from sources highlighted in the Selected Emission Sources list are eligible for redirection to another event.</p>\n\
<p>1: <strong>Is Not From Selected Source</strong> - All particles from sources <strong>not</strong> highlighted in the Selected Emission Sources list are eligible for redirection to another event</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Source&gt;.Selected_Sources ArrayParameter  default: #()   --  int array \n\
</pre></div><p>Get/Set the list of selected sources to be considered by the Test.</p>\n\
<div class=\'section\'><a id=\"split_source-interfaces\"></a><h2 id=\"split_source-interfaces\">Split_Source Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";