var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_InterCollision : helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_InterCollision : helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_intercollision-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_InterCollision - superclass: helper; super-superclass:node - 8:0 - classID: #(1935830277, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_InterCollision</strong> test is used to track collisions between particles as triggers for sending the particles to the next event.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_InterCollision...\n\
PhysXInterCollision... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"collision-registration-with-group-of-controls\"></a><h2 id=\"collision-registration-with-group-of-controls\">Collision Registration With group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Scope_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Collision Registration With&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particles In Current Event</strong> (default)</p>\n\
<p>1 - <strong>Particles In Events</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Selected_Events     ArrayParameter    default: #()   --  int array; SubAnim\n\
</pre></div><p>Get/set the list of Event objects to register collisions with.</p>\n\
<div class=\'section\'><a id=\"test-true-if-particle-group-of-controls\"></a><h2 id=\"test-true-if-particle-group-of-controls\">Test True If Particle group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Test_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Test True If Particles&quot;</strong> radio buttons:</p>\n\
<p>0 - <strong>Collides</strong> (default)</p>\n\
<p>1 - <strong>Is Slow After Collision(s)</strong></p>\n\
<p>2 - <strong>Is Fast After Collision(s)</strong></p>\n\
<p>3 - <strong>Collided Multiple Times</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Min_Speed     Float    default: 1.0   --  animatable; worldUnits; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Min&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Max_Speed     Float    default: 1000.0   --  animatable; worldUnits; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Max&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Collision_Count     Integer    default: 5   --  integer; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;# Times&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Report_To_Data_Operator     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Report To Data Operator&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_InterCollision&gt;.Additive_Count     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Additive Count&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"mp_intercollision-interfaces\"></a><h2 id=\"mp_intercollision-interfaces\">mP_InterCollision interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_InterCollision Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\' title=\'\'>Interface: integrator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";