var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Solvent : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Solvent : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_solvent-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Solvent - superclass: helper; super-superclass:node - 15:0 - classID: #(1935830280, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Solvent</strong> operator removes bindings created by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\' title=\'\'>mP_Glue</a>.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Solvent...\n\
PhysXSolvent... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"binding-type-to-break-group-of-controls\"></a><h2 id=\"binding-type-to-break-group-of-controls\">Binding Type To Break group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Particles_To_Particles     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Particles To Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Particles_To_Deflectors     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Particles To Deflectors&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Particles_To_Ground     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Particles To Ground&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"massfx-glue-to-dissolve-controls\"></a><h2 id=\"massfx-glue-to-dissolve-controls\">MassFX Glue To Dissolve controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Limit_Solvent_By_List     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Solvent By List&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Glue_Tests     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\' title=\'\'>mP_Glue</a> tests to dissolve.</p>\n\
<div class=\'section\'><a id=\"limit-solvent-by-time-controls\"></a><h2 id=\"limit-solvent-by-time-controls\">Limit Solvent By Time controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Limit_Solvent_By_Time     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Solvent By Time&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Start&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Stop&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"limit-solvent-by-data-controls\"></a><h2 id=\"limit-solvent-by-data-controls\">Limit Solvent By Data controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Limit_Solvent_By_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Solvent By Data&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the data channel to control the Solvent with.</p>\n\
<div class=\'section\'><a id=\"limit-solvent-by-icon-controls\"></a><h2 id=\"limit-solvent-by-icon-controls\">Limit Solvent By Icon controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Limit_Solvent_By_Icon     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Solvent By Icon&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.mode     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Mode&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Slice</strong> (default)</p>\n\
<p>1 - <strong>Volume</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Icon_Shape     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Icon&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong></p>\n\
<p>1 - <strong>Rectangle</strong> (default)</p>\n\
<p>2 - <strong>Sphere</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Icon_Size     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Size&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Solvent&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"mp_solvent-interfaces\"></a><h2 id=\"mp_solvent-interfaces\">mP_Solvent interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Solvent Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";