var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle Flow Sample Scripts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle Flow Sample Scripts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle-flow-sample-scripts\"></a></div>\n\
<p><strong>The following Sample Scripts show how to use MAXScript to control Particle Flow particles</strong>.</p>\n\
<div class=\'section\'><a id=\"update-step-scripts\"></a><h2 id=\"update-step-scripts\">Update Step Scripts:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\' title=\'\'>Every Step Update Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\' title=\'\'>Final Step Update Example</a></p>\n\
<div class=\'section\'><a id=\"particle-channel-scripts\"></a><h2 id=\"particle-channel-scripts\">Particle Channel Scripts:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleInteger-Sample-Script.html\' title=\'\'>particleInteger Sample Script</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\' title=\'\'>particleFloat Sample Script</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleVector-Sample-Script.html\' title=\'\'>particleVector Sample Script</a></p>\n\
<div class=\'section\'><a id=\"birth-script\"></a><h2 id=\"birth-script\">Birth Script:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Birth-Scripts/Birth-Script-Example.html\' title=\'\'>Birth Script Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\' title=\'\'>Fragmentation Sample Script</a></p>\n\
<div class=\'section\'><a id=\"script-operator\"></a><h2 id=\"script-operator\">Script Operator:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Script-Operator-Example.html\' title=\'\'>Script Operator Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\' title=\'\'>Speed Operator in Script Operator Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/View-Dependent-Particle.html\' title=\'\'>View-Dependent Particle Resolution Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Metaball-Sample-Script.html\' title=\'\'>Metaball Sample Script</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Flying-Letters-from-a-Custom.html\' title=\'\'>Flying Letters from a Custom Text</a></p>\n\
<div class=\'section\'><a id=\"script-test\"></a><h2 id=\"script-test\">Script Test:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Script-Test-Example.html\' title=\'\'>Script Test Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Scripted-Position-Test-Example.html\' title=\'\'>Scripted Position Test Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Age-Test-in-Script-Test-Example.html\' title=\'\'>Age Test in Script Test Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Integrator-ProceedSynch-Example.html\' title=\'\'>Integrator ProceedSynch Example</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Proceed-With-Integrate.html\' title=\'\'>Proceed With Integrate Script_Test Example</a></p>\n\
<div class=\'section\'><a id=\"creating-and-connecting-actions\"></a><h2 id=\"creating-and-connecting-actions\">Creating and Connecting Actions:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\' title=\'\'>VolumeDocking Sample Script</a></p>\n\
<div class=\'section\'><a id=\"misc.-examples\"></a><h2 id=\"misc.-examples\">Misc. Examples:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\' title=\'\'>MacroScript: Open Particle View</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-View-Access-and/Particle-View-Access/Particle_View-Helper.html\' title=\'\'>MacroScript: Open Particle View on Second Monitor</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";