var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Script Test Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Script Test Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"script-test-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following sample script is the default script of the Script Test. It shows how to test particles against a spherical volume.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>This script must be used in a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test</a> action.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6FAFC7BB-8ED1-4E70-8ECD-201BC60C251E-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script goes through all particles, compares the particle position with a radius of 20 and sets the particle’s test status to <span class=\'code\'>true</span> when the particle is inside the radius.</p>\n\
<p>In the above setup, the particles that pass through the sphere are sent to the next event where they change their color:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9D03B3FC-5CF4-4800-8CA5-A3FFFCCB0871-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( --Enable the Time channel: pCont.useTime = true --Enable the Position channel: pCont.usePosition = true )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --get the total number of particles count = pCont.NumParticles() --loop through all particles for i in 1 to count do ( --Set the particle index in the container to the current i value. --This makes the i-th particle in the container the current one pCont.particleIndex = i -- all particles inside a sphere with radius 20 satisfy the test if length (pCont.particlePosition) &lt; 20 then ( --set the Test Status of the particle to True pCont.particleTestStatus = true --set the Test Time of the particle to the current Particle Time pCont.particleTestTime = pCont.particleTime ) )--end i loop )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";