var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Every Step Update Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Every Step Update Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"every-step-update-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows the default Every Step Update script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Used by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source</a> as default Every Step Update script.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script modifies particle speed and direction, causing particles to follow a spiral path:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6B4C2B59-6E09-4B1D-9352-5B4F035BEEB1-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Get the current particle system executing the script pf_node_current = particleFlow.scriptRunner()</p>\n\
<p>--In case the current particle system is a valid node if (pf_node_current != undefined) then (</p>\n\
<p>--Get the total number of particles count = pf_node_current.NumParticles() --Loop from 1 to the number of particles for i in 1 to count do (</p>\n\
<p>--Set the particle index in the container to the current i value. --This makes the i-th particle in the container the current one: pf_node_current.particleIndex = i</p>\n\
<p>--Get the age of the particle, multiply by 5 and use as angle --to define the particle speed --Decreasing the constant 5 will slow down the rotation --Increasing the constant will speed up the rotation age = 5*pf_node_current.particleAge</p>\n\
<p>--Calculate the speed of the particle using the --function of the circle. --Info: In general, a circle can be drawn using an Angle --going from 0 to 2<em>Pi and the following functions for X and Y: --X = CenterX+Radius</em>Cos(Angle) --Y = CenterY+Radius*Sin(Angle) --In our case, CenterX and CenterY are 0, Radius is 0.05 units, --and Angle is based on the Age of the particles (see above). --Changing the constant 0.05 will change the radius of the path. --Changing the -0.05 (Z speed) will change the height of the spiral. pf_node_current.particleSpeed = [0.05<em>cos(age), 0.05</em>sin(age), -0.05]</p>\n\
<p>)--end i loop )--end if</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";