var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle Flow and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle Flow and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle-flow-and-maxscript\"></a></div>\n\
<p><strong>Particle Flow</strong> is an extremely versatile and powerful particle system for <strong>3ds Max</strong>. Like with most components of <strong>3ds Max</strong>, <strong>Particle Flow</strong> classes are largely exposed to MAXScript giving the user access to creation parameters, properties and methods. In addition, <strong>Particle Flow</strong> features MAXScript-based operators and tests and provides support for scripting control over certain values via <strong>Particle Flow</strong>’s value channels.</p>\n\
<p><strong>The following Chapters describe various aspects of Particle Flow access in MAXScript:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Using-MAXScript-with-Particle.html\' title=\'\'>Using MAXScript with Particle Flow</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Limitations-on-using-MAXScript.html\' title=\'\'>Limitations on using MAXScript with Particle Flow</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces.html\' title=\'\'>Particle Flow Interfaces</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes.html\' title=\'\'>Particle Flow Classes</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-View-Access-and/Particle-View-Access.html\' title=\'\'>Particle View Access</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Internal-Classes.html\' title=\'\'>Particle Flow Internal Classes</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\' title=\'\'>Using MAXScript in Script Actions</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\' title=\'\'>Particle Flow Sample Scripts</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";