var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using MAXScript with Particle Flow</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using MAXScript with Particle Flow</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-maxscript-with-particle-flow\"></a></div>\n\
<p>MAXScript can be used with <strong>Particle Flow</strong> for the following tasks:</p>\n\
<ul>\n\
<li><p>Creating new instances of exposed <strong>Particle Flow</strong> classes. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes.html\' title=\'\'>Particle Flow Classes</a> for a list of all exposed classes.</p></li>\n\
<li><p>Accessing properties and methods of existing <strong>Particle Flow</strong> objects (Sources, Events, Operators, Tests etc.), either created by the user via the UI or by MAXScript.</p></li>\n\
<li><p>Controlling values in the Integer, Float, Vector etc. channels supported by <strong>Particle Flow</strong>. Certain <strong>Particle Flow</strong> actions have built-in options to access these channels to control some of their properties.</p></li>\n\
<li><p>Updating particle values in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source</a> using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\' title=\'\'>Every Step Update</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\' title=\'\'>Final Step Update</a> scripts.</p></li>\n\
<li><p>Controlling particle creation using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script</a> action.</p></li>\n\
<li><p>Creating custom <strong>Particle Flow</strong> operators using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a> action.</p></li>\n\
<li><p>Creating custom tests using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test</a> action.</p></li>\n\
<li><p>Low-level access to the <strong>Particle Flow</strong> system components using their <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces.html\' title=\'\'>Interfaces</a>’ Properties and Methods.</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";