var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Animation Manipulation and Clearing</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Animation Manipulation and Clearing</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-animation-manipulation-and-clearing\"></a></div>\n\
<p>The following methods let you delete animation from specific biped controllers and the complete biped:</p>\n\
<div class=\'codeBlock\'><pre>biped.clearAllAnimation &lt;biped_controller&gt;   \n\
</pre></div><p>Clears all animation in the whole biped. Any biped controller can be passed as argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` biped.clearAllAnimation$Bip01.controller--pass any controller to clear animation in the whole biped</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>biped.clearSelectedAnimation &lt;biped_controller&gt;   \n\
</pre></div><p>Clears the animationonlyin the biped controllers of selected body parts. Any biped controller can be passed as argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --select some body parts first, then execute: biped.clearAllAnimation$&#39;Bip01&#39;.controller --the animation of the selected body parts will be removed.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>biped.mirror &lt;biped_controller&gt; \n\
</pre></div><p>Mirrorsthecompletebiped animation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";