var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MoFlowScript : MaxWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MoFlowScript : MaxWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"moflowscript-maxwrapper\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>addScript &lt;moflow&gt; &lt;script_name&gt;     \n\
</pre></div><p>Create a new motion flow script with the given name to the motion flow. Returns the new MoFlowScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowScript&gt;.startFrame Integer Default: 0f   \n\
&lt;MoFlowScript&gt;.snippets Array Default: #() -- Read-only \n\
</pre></div><p>Array ofMoFlowSnippet values defined in the motion flow script</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowScript&gt;.name String Default: Varies \n\
&lt;MoFlowScript&gt;.startPos Point3 Default: [0,0,0] \n\
&lt;MoFlowScript&gt;.startRot Float Default: 0 \n\
&lt;MoFlowScript&gt;.tranIndices Array Default: #() \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; \n\
</pre></div><p>Adds the specified MoFlowSnippet to a motion flow script. Returns the MoFlowSnippet value.</p>\n\
<div class=\'codeBlock\'><pre>insertSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; &lt;index_integer&gt; \n\
</pre></div><p>Inserts the snippet at the location specified and returns the new script item. Returns the MoFlowSnippet value.</p>\n\
<div class=\'codeBlock\'><pre>deleteSnippet &lt;MoFlowScript&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowSnippet from the motion flow script.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>deleteScript &lt;moflow&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowScript from the motion flow.</p>\n\
<div class=\'codeBlock\'><pre>computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] \n\
</pre></div><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. redraw:true will redraw the viewports. incGlobals:true will also include the global motion flow network</p>\n\
<p>Note:</p>\n\
<p>Changes to the MoFlowScript property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to recompute the biped motion.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";