var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Twist Poses</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Twist Poses</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-twist-poses\"></a></div>\n\
<div class=\'codeBlock\'><pre>biped.createTwistPose &lt;biped_ctrl&gt;   \n\
</pre></div><p>Creates a new twist pose for the specified biped limb.Corresponds to the &quot;Add&quot; button in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;biped.numTwistPoses &lt;biped_ctrl&gt;   \n\
</pre></div><p>Returns the number of twist poses in the specified biped limb.</p>\n\
<div class=\'codeBlock\'><pre>biped.setTwistPose &lt;biped_ctrl&gt;&lt;pose_index&gt; \n\
</pre></div><p>Sets the twist pose in the specified biped limb to the indexed pose. Corresponds to the &quot;Set&quot; button in the UI.</p>\n\
<div class=\'codeBlock\'><pre>biped.setDefaultTwistPoses &lt;biped_ctrl&gt; \n\
</pre></div><p>Resets the twist poses in the specified biped limb to the default poses and values, removes custom poses. Corresponds to pressing the &quot;Default&quot; button in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;biped.getTwistPoseTwist &lt;biped_ctrl&gt; &lt;pose_index&gt; \n\
</pre></div><p>Returns the twist value of the indexed twist pose in the specified biped limb.</p>\n\
<div class=\'codeBlock\'><pre>biped.setTwistPoseTwist &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;float_value&gt; \n\
</pre></div><p>Sets the twist value of the indexed twist pose in the specified biped limb to the given floating point value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;biped.getTwistPoseBias &lt;biped_ctrl&gt; &lt;pose_index&gt; \n\
</pre></div><p>Returns the bias value of the indexed twist pose in the specified biped limb.</p>\n\
<div class=\'codeBlock\'><pre>biped.setTwistPoseBias &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;float_value&gt; \n\
</pre></div><p>Sets the bias value of the indexed twist pose in the specified biped limb to the given floating point value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;name&gt;biped.getTwistPoseName &lt;biped_ctrl&gt; &lt;pose_index&gt; \n\
</pre></div><p>Returns the name of the indexed twist pose in the specified biped limb as a name value.</p>\n\
<div class=\'codeBlock\'><pre>biped.setTwistPoseName &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;name_or_string&gt; \n\
</pre></div><p>Sets the name of the indexed twist pose in the specified biped limb to the given string or name value.</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteTwistPose &lt;biped_ctrl&gt; &lt;pose_index&gt; \n\
</pre></div><p>Deletes the indexed twist pose for the specified biped limb.Corresponds to the &quot;Delete&quot; button in the UI.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";