var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped-Related Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped-Related Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-related-classes\"></a></div>\n\
<p>The following classes associated with Biped systems. Instances of these classes are not creatable by MAXScript.</p>\n\
<p><strong>Geometry</strong></p>\n\
<div class=\'codeBlock\'><pre>Biped_Object : GeometryClass\n\
</pre></div><p>This class represents each object within the biped system.</p>\n\
<p><strong>Controllers</strong></p>\n\
<div class=\'codeBlock\'><pre>Vertical_Horizontal_Turn : Matrix3Controller\n\
</pre></div><p>This class represents the transform controller for the root object within the biped system.</p>\n\
<div class=\'codeBlock\'><pre>BipDriven_Control : Matrix3Controller\n\
</pre></div><p>This class represents the transform controller for each object within the biped system. If the object does not have a transform controller (that is, it is a driven of another object in the biped), a value of <span class=\'code\'>undefined</span> is returned.</p>\n\
<div class=\'codeBlock\'><pre>Footsteps : Matrix3Controller\n\
</pre></div><p>This class represents both the transform controller for the footsteps and the footstep object.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";