var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipedExportInterface Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipedExportInterface Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bipedexportinterface-values\"></a></div>\n\
<p>The <strong>BipedExportInterface</strong> class is an interface into a Biped.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>getBipedExportInterface &lt;biped_node&gt;\n\
</pre></div><p>Returns an instance of BipedExportInterface class. The <span class=\'code\'>biped_node</span> can be any node associated with the Biped system, including the footprints.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>setNonUniformScale &lt;BipedExportInterface&gt; &lt;boolean&gt;\n\
</pre></div><p>Biped-based bone systems created prior to Character Studio version R2.1 have non-uniform scaling on the nodes that make up the biped object. This scaling can cause difficulties when exporting the biped. This function removes or restores the non-uniform scaling on a biped object. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> the non-uniform scaling will be set, and <span class=\'code\'>false</span> will remove it. All non-uniform scaling information has been removed from new bipeds created with version R2.1 or greater of Character Studio, and this method is not required for exporting these bipeds.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";