var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Extensions for Crowd</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Extensions for Crowd</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-extensions-for-crowd\"></a></div>\n\
<p>The following topics describe the constructors, properties and methods providing MAXScript access to the Crowd feature of <strong>character studio</strong>:</p>\n\
<div class=\'section\'><a id=\"crowds\"></a><h2 id=\"crowds\">Crowds</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\' title=\'\'>Crowd : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Delegate-Helper.html\' title=\'\'>Delegate:Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdScatter-ReferenceTarget.html\' title=\'\'>CrowdScatter:</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdAssignment-MAXObject.html\' title=\'\'>CrowdAssignment : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdTeam-ReferenceTarget.html\' title=\'\'>CrowdTeam : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdState-ReferenceTarget.html\' title=\'\'>CrowdState:MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/CrowdTransition-MAXObject.html\' title=\'\'>CrowdTransition : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Crowds-Methods.html\' title=\'\'>Crowds - Methods</a></p>\n\
<div class=\'section\'><a id=\"crowd-behaviors\"></a><h2 id=\"crowd-behaviors\">Crowd Behaviors</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors.html\' title=\'\'>Crowd Behaviors</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Avoid_Behavior-MAXObject.html\' title=\'\'>Avoid_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/CogControl-ReferenceTarget.html\' title=\'\'>CogControl : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Orientation_Behavior-MAXObject.html\' title=\'\'>Orientation_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Path_Follow_Behavior-MAXObject.html\' title=\'\'>Path_Follow_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Repel_Behavior-ReferenceTarget.html\' title=\'\'>Repel_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Scripted_Behavior-MAXObject.html\' title=\'\'>Scripted_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Seek_Behavior-MAXObject.html\' title=\'\'>Seek_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Space_Warp_Behavior.html\' title=\'\'>Space_Warp_Behavior: MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Speed_Vary_Behavior-MAXObject.html\' title=\'\'>Speed_Vary_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Surface_Arrive_Behavior.html\' title=\'\'>Surface_Arrive_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Surface_Follow_Behavior.html\' title=\'\'>Surface_Follow_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wall_Repel_Behavior.html\' title=\'\'>Wall_Repel_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wall_Seek_Behavior.html\' title=\'\'>Wall_Seek_Behavior : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wander_Behavior-MAXObject.html\' title=\'\'>Wander_Behavior : MAXObject</a></p>\n\
<div class=\'section\'><a id=\"motion-clips\"></a><h2 id=\"motion-clips\">Motion Clips</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip.html\' title=\'\'>MotionClips and GlobalMotionClip</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/Clip_Associations.html\' title=\'\'>Clip_Associations : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/ClipAssigner-ReferenceTarget.html\' title=\'\'>ClipAssigner : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/MinMaxAvg-ReferenceTarget.html\' title=\'\'>MinMaxAvg : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/ClipState-ReferenceTarget.html\' title=\'\'>ClipState : ReferenceTarget</a></p>\n\
<div class=\'section\'><a id=\"space-warps\"></a><h2 id=\"space-warps\">Space Warps</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/SpaceWarps/Vector_Field-SpacewarpObject.html\' title=\'\'>Vector_Field: SpacewarpObject</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";