var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Surface_Follow_Behavior : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Surface_Follow_Behavior : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"surface_follow_behavior-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Surface_Follow_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 11:0 - classID: #(1709052632, 1358959157) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Surface_Follow_Behavior ... SurfaceFollowBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.name String Default: &quot;Surface Follow&quot; \n\
&lt;Surface_Follow_Behavior&gt;.surfaces ArrayParameter Default: #() -- node array \n\
</pre></div><p>See Notes below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.useProjection Bolean Default: False \n\
</pre></div><p>When true, Surface Follow calculates delegate direction from the specified vector, rather than using the default.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.xVector Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies the x component of a vector using world coordinates. Range=-1.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.yVector Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies the y component of a vector using world coordinates. Range=-1.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.zVector Float Default: 1.0 -- animatable \n\
</pre></div><p>Specifies the z component of a vector using world coordinates. Range=-1.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;space_warp_behavior&gt;.targetColor Color Default: (color 0 0 127.5) \n\
</pre></div><p>Sets the color used to draw the Surface Follow during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;space_warp_behavior&gt;.displayTarget Boolean Default: True \n\
</pre></div><p>When true, the interim goal for each delegate influenced by the Surface Follow behavior is drawn in the viewports as a wireframe sphere during the simulation solution.</p>\n\
<p>Note:</p>\n\
<p>If the delegate starts out away from the surface to be followed then the target is most visible before the delegate reaches the surface where the target is positioned along the surface edge.</p>\n\
<p>While the delegate is actually following the surface, the target is usually coincident with the delegate because Surface follow sets a new destination only a frame or two ahead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;space_warp_behavior&gt;.targetScale Float Default: 5.0 \n\
</pre></div><p>Specifies the overall size of the target icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.offset Float Default: 0.0 -- animatable \n\
</pre></div><p>Specifies the delegate&#39;s distance above the surface, using the surface normal.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.displayOffset Boolean Default: False \n\
</pre></div><p>When true, shows the <strong>.offset</strong> distance as lines emanating from each vertex in the surface object, perpendicular to the surface.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Surface_Follow_Behavior&gt;.surfaces \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";