var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wall_Seek_Behavior : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wall_Seek_Behavior : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wall_seek_behavior-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wall_Seek_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 13:0 - classID: #(1204300713, 972582825) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Wall_Seek_Behavior ... WallSeekBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.name String Default: &quot;Wall Seek&quot; \n\
</pre></div><p>Get/Set the name of the behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.seekGrids ArrayParameter Default: #() -- node array \n\
</pre></div><p>Set the repelling grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.seekMethod Integer Default: 0 -- animatable \n\
</pre></div><p>Determines whether delegate direction as influenced by the behavior is calculated by an angular method or a force method.</p>\n\
<p>0 - <strong>Angle</strong>: Applies a force to the delegate based on the angle between the delegate&#39;s current direction and the direction it would need to take in order to be moving directly toward the target. If the behavior&#39;s Weight is set to 1, the delegate will be given a force that points directly away from the target. If Weight is set to .5, the force will bisect the angle between its current direction and the direction opposite that of the target.</p>\n\
<p>1 - <strong>Force</strong>: Always applies a force directly toward the target. If the behavior&#39;s Weight is 1, the magnitude of the force will be the average speed. If the Weight is .5, the magnitude of the force will be half the average speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.seekDirection Integer Default: 0 -- animatable \n\
</pre></div><p>Determines whether the grid attracts from its positive-axis side, its negative-axis side, or both.</p>\n\
<p>0 - <strong>Positive Axis</strong>: The grid attracts only from the positive-axis side.</p>\n\
<p>1 - <strong>Negative Axis</strong>: The grid attracts only from the negative-axis side.</p>\n\
<p>2 - <strong>Both Axes</strong>: The grid attracts from both sides.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.useDistance Boolean Default: True \n\
</pre></div><p>When true, the behavior applies only to delegates closer to the target than the Outer Distance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.innerDistance Float Default: 0.0 -- animatable \n\
</pre></div><p>The distance from the target at which the force is applied at full strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.outerDistance Float Default: 10.0 -- animatable \n\
</pre></div><p>The distance from the target at which the force begins to be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.falloff Float Default: 2.0 -- animatable \n\
&lt;Wall_Seek_Behavior&gt;.showDistance Boolean Default: True \n\
&lt;Wall_Seek_Behavior&gt;.gridSpacing Integer Default: 500 \n\
&lt;Wall_Seek_Behavior&gt;.gridEnd Boolean Default: True Alias: End_force_at_grid_edges \n\
</pre></div><p>When true, the force emanates only from the grid object. When off, the force emanates from an imaginary infinite grid created by extending the grid plane in all directions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.forceColor Color Default: (color 255 0 255) \n\
</pre></div><p>Sets the color used to draw the Seek force vector during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wall_Seek_Behavior&gt;.displayForce Boolean Default: True \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Seek behavior is drawn in the viewports as a vector during the simulation solution. If <strong>BuseRadii</strong> is turned on, the radii are also displayed when the force is active.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";