var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CrowdAssignment : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CrowdAssignment : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowdassignment-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>CrowdAssignment - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1352022790, 1524464408) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>CrowdAssignment ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.team CrowdTeam Default: Undefined-- max object \n\
</pre></div><p>A named group of delegates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.delegate Node Default: Undefined-- node \n\
</pre></div><p>A delegate object. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Delegate-Helper.html\' title=\'\'>CrowdDelegate : Helper</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.behavior MAXObject Default: Undefined-- max object \n\
</pre></div><p>One of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors.html\' title=\'\'>Crowd Behavior</a>classes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.cogcontrol CogControl Default: Undefined-- max object;CognitiveController \n\
</pre></div><p>A cognitive controller. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowd-Behaviors/CogControl-ReferenceTarget.html\' title=\'\'>CogControl:MAXObject</a> for more details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.weight Float Default: 1.0 -- animatable; float \n\
</pre></div><p>The relative effect of the assigned behavior or cognitive controller. The higher an assignment&#39;s <strong>weight</strong> setting is than others&#39;, the more effect it will have. This setting is animatable. Range=0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdassignment&gt;.active BooleanDefault: true -- animatable; boolean \n\
</pre></div><p>When true, the assignment is currently in effect. When false, the assignment has no effect. Default=true.</p>\n\
<p>Note:</p>\n\
<p>Normally either the team or the delegate property will contain a value of undefined. If both properties contain a value other than undefined, the assigment is applied to the team.</p>\n\
<p>Normally either the cogcontrol or the behavior property will contain a value of undefined. If both properties contain a value other than undefined, the behavior will be used.</p>\n\
<p>Do not assign a value other than undefined or a CrowdTeam value to the team property.</p>\n\
<p>Do not assign a value other than undefined or a Behavior value to the behavior property.</p>\n\
<p>Do not assign a value other than undefined or a CogControl value to the cogcontrol property.</p>\n\
<p>Do not assign a node type other than a Delegate node to the delegate property.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";