var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CrowdState:ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CrowdState:ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowdstatereferencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>CrowdState - superclass: ReferenceTarget; super-superclass:MAXWrapper - 4:0 - classID: #(633734037, 2042692069) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>CrowdState ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdstate&gt;.name String Default: &quot;State&quot; \n\
</pre></div><p>The name of the state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdstate&gt;.behaviors ArrayParameter Default: #() -- array of behaviors \n\
</pre></div><p>The names of all behaviors associated with the state.</p>\n\
<p>See Notes below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdstate&gt;.weights ArrayParameter Default: #() -- array of floats \n\
</pre></div><p>Specifies the selected behavior&#39;s weight. The higher the weight in relation to other behaviors&#39; weights, the more evident the results of the behavior in the state. Default=1.0. Range=0.0 to 1.0.</p>\n\
<p>See Notes below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdstate&gt;.transitions ArrayParameter Default: #() -- array of CrowdTransition objects \n\
</pre></div><p>See Notes below.</p>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations:</p>\n\
<div class=\'codeBlock\'><pre>&lt;CrowdState&gt;.behaviors-- array of behaviors \n\
&lt;CrowdState&gt;.weights-- array of floats \n\
&lt;CrowdState&gt;.transitions-- array of CrowdTransition objects \n\
</pre></div><p>If you add or delete elements to the Behaviors ArrayParameter, the corresponding element in the Weights ArrayParameter <strong>must</strong> be added or deleted.</p>\n\
<blockquote>\n\
<p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set Behavior ArrayParameter element to undefined.</p>\n\
<p><strong>NEVER</strong> set a Behavior ArrayParameter element to anything other than an object of the appropriate type.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";