var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CrowdTransition : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CrowdTransition : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowdtransition-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>CrowdTransition - superclass: ReferenceTarget; super-superclass:MAXWrapper - 8:0 - classID: #(1649620504, 273694790) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>CrowdTransition ... Transition ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.priority Integer Default: 0-- integer \n\
</pre></div><p>Sets the transition&#39;s priority.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.duration Integer Default: 25-- integer \n\
</pre></div><p>The number of frames the software takes to affect the transition between states.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.easeIn Float Default: 0.5-- float \n\
</pre></div><p>Ease in value for the source clip.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.easeOut Float Default: 0.5-- float \n\
</pre></div><p>Ease out value for the destination clip.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.functionName String Default: &quot;transFunc&quot;-- string;Alias: Script_Context_Name \n\
</pre></div><p>The name of the MAXScript conditional that specifies when/how the transition is to occur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.script String Default: Undefined-- string; \n\
&lt;crowdtransition&gt;.fromCrowdState Default: Undefined-- max object;Alias: FromState \n\
</pre></div><p>The state that the transition originated from.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowdtransition&gt;.toCrowdState Default: Undefined-- max object;Alias: ToState \n\
</pre></div><p>The state that the transition is destined for.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>&lt;CrowdTransition&gt;.functionName</span> value must match the name of the function defined in <span class=\'code\'>&lt;CrowdTransition&gt;.script</span> .</p>\n\
<p>The script function is compiled with the function name in global scope. The function name cannot be the same as a MAXScript-defined global variable name.</p>\n\
<p>The <crowdtransition>.script is of the form:<p>\n\
<div class=\'codeBlock\'><pre>fn transFunc del trans t =(if t &lt; 50 then 0 else 1)\n\
</pre></div><p>where <strong>del</strong> is the delegate node, <strong>trans</strong> is the CrowdTransition value, and <strong>t</strong> is the time value of the frame being evaluated. The <strong>3ds Max</strong> time context will also be frame being evaluated. The return value must be an integer value. If the return value is 0, the transition is not taken. For any other return value, the transition is taken.</p>\n\
<p>The <strong>&lt;</strong>CrowdTransition<strong>&gt;.script</strong> is not evaluated for a delegate while the delegate is in transition between states.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CrowdTeam&gt;.members-- array of Delegatenodes \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set the <strong>from</strong> or <strong>to</strong> properties to undefined.</p>\n\
<p><strong>NEVER</strong> set the <strong>from</strong> or <strong>to</strong> properties to anything other than a CrowdState object.</p>\n\
\n\
</crowdtransition>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";