var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Global_Motion_Clip : DriverBlockController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Global_Motion_Clip : DriverBlockController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"global_motion_clip-driverblockcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Global_Motion_Clip - superclass: DriverBlockController; super-superclass:MAXWrapper - 0:0 - classID: #(936531797, 663513431) \n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Global_Motion_Clip GlobalMotionClip \n\
</pre></div><p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>globalMotionClipOps.loadfile &lt;global_motion_clip&gt; &lt;filename_string&gt; \n\
</pre></div><p>&#39;loadfile&#39; expects a GlobalMotionClip, then a filename for a &quot;*.ant&quot; GlobalMotionClip file to load.</p>\n\
<div class=\'codeBlock\'><pre>globalMotionClipOps.savefile &lt;global_motion_clip&gt; &lt;filename_string&gt; \n\
</pre></div><p>&#39;savefile&#39; expects a GlobalMotionClip, then a filename for the &quot;*.ant&quot; file to save.</p>\n\
<div class=\'codeBlock\'><pre>globalMotionClipOps.synthesize &lt;global_motion_clip&gt; \n\
</pre></div><p>&#39;synthesize&#39; expects a GlobalMotionClip and will synthesize it.</p>\n\
<p>Note: The <strong>GlobalMotionClip</strong> objects are found under <strong>the GlobalTracks.Block_Control</strong> list controller.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>In order to call <span class=\'code\'>globalMotionClipOps.savefile</span>, you could use</p>\n\
<p>``` GlobalMotionClipOps.savefile GlobalTracks.Block_Control.global_Motion_Clip__XXXXXX&quot;globalObject.ant&quot; --where XXXXXX is the name of the object.</p>\n\
<p>```</p>\n\
<p>The available global motion clips can be seen by using the following code:</p>\n\
<p>``` for i = 1 to GlobalTracks.Block_Control.numsubs do ( localcontroller =GlobalTracks.Block_Control[i].object if (classof controller == Global_Motion_Clip) do print controller )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";