var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>themixer const StructDef</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>themixer const StructDef</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"themixer-const-structdef\"></a></div>\n\
<p>This struct contains a number of system global variables and methods to access the <strong>mixerManagerclass</strong> which affects all Character Studio Animation Mixers.</p>\n\
<p><strong>System Global Variables</strong></p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-seen-as-icons-in-the-mixer-user-interface\"></a><h2 id=\"the-following-properties-are-seen-as-icons-in-the-mixer-user-interface\">The following properties are seen as icons in the mixer user interface:</h2></div>\n\
<div class=\'codeBlock\'><pre>themixer.snapFrames SystemGlobal:snapFrames boolean default:true        \n\
themixer.snapToClips SystemGlobal:snapToClips boolean default:false      \n\
themixer.lockTransitions SystemGlobal:lockTransitionsboolean default:false   \n\
</pre></div><div class=\'section\'><a id=\"the-following-properties-appear-in-the-preferences-dialog-in-themixer-user-interface\"></a><h2 id=\"the-following-properties-appear-in-the-preferences-dialog-in-themixer-user-interface\">The following properties appear in the Preferences dialog in theMixer user interface:</h2></div>\n\
<div class=\'codeBlock\'><pre>themixer.showBalanceCurves SystemGlobal:showBalanceCurvesboolean default:true \n\
themixer.showClipBounds SystemGlobal:showClipBounds boolean default:true \n\
themixer.showClipNames SystemGlobal:showClipNames boolean default:true \n\
themixer.showClipScale SystemGlobal:showClipScaleboolean default:false \n\
themixer.showGlobalFrames SystemGlobal:showGlobalFramesboolean default:true \n\
themixer.showInpoints SystemGlobal:showInpointsboolean default:true \n\
themixer.showOutpoints SystemGlobal:showOutpointsboolean default:false \n\
themixer.showTgRangebars SystemGlobal:showTgRangebarsboolean default:true \n\
themixer.showTimeWarps SystemGlobal:showTimeWarpsboolean default:true \n\
themixer.showWgtCurves SystemGlobal:showWgtCurvesboolean default:true \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;themixer.showMixer() \n\
</pre></div><p>Show the Mixer.Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;themixer.hideMixer() \n\
</pre></div><p>Hide the Mixer.Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>themixer.addMixerToDisplay &lt;biped_controller&gt; \n\
</pre></div><p>Adds the Biped the supplied controller belongs to to the Mixer.Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>themixer.removeMixerFromDisplay &lt;biped_controller&gt; \n\
</pre></div><p>Removes the Biped the supplied controller belongs to from the Mixer.Returns true on success.</p>\n\
<p>The following functions are available through icons in theMixer user interface:</p>\n\
<div class=\'codeBlock\'><pre>themixer.setAnimationRange() \n\
</pre></div><p>Sets the animation range. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>themixer.updateDisplay \n\
</pre></div><p>Updates the Mixer&#39;s display. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>themixer.zoomExtents() \n\
</pre></div><p>Zooms the Mixer&#39;s display to the extents of the animation. Returns true on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";