var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipFilter Core Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipFilter Core Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bipfilter-core-interface\"></a></div>\n\
<div class=\'codeBlock\'><pre>Interface:BipFilter \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.angSmoothing&lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range   \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Rot Smoothing</strong> Filter using the supplied width and damping values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.angBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Rot Blurring</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.angBoosting &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Rot Boosting</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.advAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Adv Rot Smoothing</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.posSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Pos Smoothing</strong> Filter using the supplied width and damping values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.posBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Pos Blurring</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.posBoosting &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Pos Boosting</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.keyReduction &lt;&amp;node array&gt;nodeTab &lt;float&gt;tolerance &lt;integer&gt;keySpacing &lt;float&gt;COMTolerance&lt;float&gt;COMKeySpacing &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Key Reducer</strong> Filter using the supplied tolerance and key spacing for nodes and Center of Mass in the specified time range.</p>\n\
<p>The COMKeySpacing argument was changed from <span class=\'code\'>&lt;integer&gt;</span> to <span class=\'code\'>&lt;float&gt;</span> in<strong>3ds Max 2011</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.keyPerFrame &lt;&amp;node array&gt;nodeTab \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Create a Key on every frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.enablePosSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Enable/Disable Position Sub-Anims in the specified objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.enableRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Enable/Disable Rotation Sub-Anims in the specified objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.enableScaleSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Enable/Disable Scale Sub-Anims in the specified objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.collapsePosSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;perFrame &lt;boolean&gt;delete \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Collapse Position Sub-Anims in the specified objects. When <span class=\'code\'>perFrame</span> is supplied as <span class=\'code\'>true</span> , a key will be created on every frame, otherwise the existing keys will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.collapseRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;perFrame &lt;boolean&gt;delete \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Collapse Rotation Sub-Anims in the specified objects. When <span class=\'code\'>*perFrame*</span> is supplied as <span class=\'code\'>true</span> , a key will be created on every frame, otherwise the existing keys will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.createPosSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
 \n\
nodeTab is In and Out parameter \n\
</pre></div><p>Creates Position Sub-Anims in the specified objects by cloning the specified <span class=\'code\'>controlToClone</span> controller. If <span class=\'code\'>checkForExistence</span> is supplied as <span class=\'code\'>true</span> , a check for existing controller will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.createRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Creates Rotation Sub-Anims in the specified objects by cloning the specified <span class=\'code\'>controlToClone</span> controller. If <span class=\'code\'>checkForExistence</span> is supplied as <span class=\'code\'>true</span> , a check for existing controller will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.createScaleSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
 \n\
nodeTab is In and Out parameter \n\
</pre></div><p>Creates Scale Sub-Anims in the specified objects by cloning the specified <span class=\'code\'>controlToClone</span> controller. If <span class=\'code\'>checkForExistence</span> is supplied as <span class=\'code\'>true</span> , a check for existing controller will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.DoKneeWobbleFilter &lt;&amp;node array&gt;nodeTab &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Knee Wobble</strong> Filter using the supplied frame and fluctuation thresholds in the specified time range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFilter.DoKneeExtensionFilter &lt;&amp;node array&gt;nodeTab &lt;float&gt;kneeAngle &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Filter the specified nodes with the <strong>Knee Extension</strong> Filter using the supplied knee angle in the specified time range.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";