var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipFixer Core Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipFixer Core Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bipfixer-core-interface\"></a></div>\n\
<div class=\'codeBlock\'><pre>Interface:BipFixer \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping   \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Rot Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoAngBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Rot Blurring</strong> Fixer using the supplied width and damping values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoAdvAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Adv Rot Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoPosSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Pos Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoPosBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Pos Blurring</strong> Fixer using the supplied width and damping values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoRemoveKeys &lt;&amp;node array&gt;nodeTab &lt;integer&gt;intervalWidth &lt;boolean&gt;deleteKeys \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Remove Keys</strong> Fixer using the supplied interval width. When deleteKeys is supplied as <strong>true</strong> , keys will be deleted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoKneeWobbleFix &lt;&amp;node array&gt;nodeTab &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold  \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Knee Wobble</strong> Fixer using the supplied frame and fluctuation thresholds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipFixer.DoKneeExtensionFix &lt;&amp;node array&gt;nodeTab &lt;float&gt;kneeAngle \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Fix the specified nodes with the <strong>Knee Extension</strong> Fixer using the supplied knee angle.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";