var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXNoteKey Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXNoteKey Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxnotekey-values\"></a></div>\n\
<p>Note tracks store their notes as <span class=\'code\'>MAXNoteKey</span> s. As seen by MAXScript, note keys are stored in a <span class=\'code\'>MAXNoteKeyArray</span> . The <span class=\'code\'>MAXNoteKeyArray</span> for a note track is accessed via the <span class=\'code\'>keys</span> property of the note track.</p>\n\
<p>For more information on MAXNoteKeyArrays, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/Note-Track-Access/MAXNoteKeyArray-Values-1.html\' title=\'\'>MAXNoteKeyArray Values</a>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>addNewNoteKey &lt;MAXNoteKeyArray&gt; &lt;time&gt; [#select]     \n\
</pre></div><p>Adds a new note key to the note track at the time specified. The new note key is also selected in the track view if the <span class=\'code\'>#select</span> optional argument is specified. The value for the new note key is a null string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXNoteKeyArray&gt; [ &lt;index_integer&gt; ]   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXNoteKey&gt;.time Time \n\
</pre></div><p>Time value or number (interpreted as frames)</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXNoteKey&gt;.selected Boolean \n\
</pre></div><p>Specifies whether the key is selected. Read/write access.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXNoteKey&gt;.value String \n\
</pre></div><p>String contained in the note key</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";