var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Architectural : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Architectural : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"architectural-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Architectural - superclass: material; super-superclass:MAXWrapper - 57:1 - classID: #(332471230, 1763586103) \n\
</pre></div><p><strong>Architectural</strong> is a material class providing simplified user interface for advanced material effects in <strong>3ds Max 6</strong> and higher.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Architectural ...    \n\
ArchitecturalMaterial ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.bumpMap UndefinedClass default: undefined -- texmap; Bump_Map \n\
</pre></div><p>Get/Set the Bump Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.bumpMapAmount Float default: 100.0 -- percentage; Bump_Map_Amount \n\
</pre></div><p>Get/Set the bump map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.bumpMapEnable BooleanClass default: true -- boolean; Bump_Map_Enable \n\
</pre></div><p>Enable/Disable the Bump Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.colorBleed Float default: 100.0 -- animatable; percentage; Color_Bleed_Scale; \n\
</pre></div><p>Get/Set the Color Bleeding amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.cutoutMap UndefinedClass default: undefined -- texmap; Cutout_Map \n\
</pre></div><p>Get/Set the Cutout Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.cutoutMapAmount Float default: 100.0 -- percentage; Cutout_Map_Amount \n\
</pre></div><p>Get/Set the cutout map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.cutoutMapEnable BooleanClass default: true -- boolean; Cutout_Map_Enable \n\
</pre></div><p>Enable/Disable the Cutout Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.diffuse Color default: (color 150 150 150) -- animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255)); \n\
&lt;Architectural&gt;.diffuseColor Color default: (color 255 255 255) -- animatable; alias for diffuse; Controller Scaling: ([1,1,1] : (color 255 255 255)); \n\
</pre></div><p>Get/Set the diffuse color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.diffuseMap UndefinedClass default: undefined -- texmap; Diffuse_Map \n\
</pre></div><p>Get/Set the Diffuse Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.diffuseMapAmount Float default: 100.0 -- percentage; Diffuse_Map_Amount \n\
</pre></div><p>Get/Set the diffuse map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.diffuseMapEnable BooleanClass default: true -- boolean; Diffuse_Map_Enable \n\
</pre></div><p>Enable/Disable the Diffuse Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.displacementMap UndefinedClass default: undefined -- texmap; Displacement_Map \n\
</pre></div><p>Get/Set the Displacement Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.displacementMapAmount Float default: 100.0 -- percentage; Displacement_Map_Amount \n\
</pre></div><p>Get/Set the displacement map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.displacementMapEnable BooleanClass default: true -- boolean; Displacement_Map_Enabled \n\
</pre></div><p>Enable/Disable the Displacement Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.emitLuminance BooleanClass default: false -- boolean; Emit_Luminance \n\
</pre></div><p>Enable/Disable the Luminance Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.exposureControlInvertReflection BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/Disable Inverted Reflections in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.exposureControlInvertRefraction BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/Disable Inverted Refractions in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.exposureControlInvertSelfIllum BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/Disable Inverted Self Illumination in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.noExposureControl BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, the material will not be processed by Exposure Controls. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.filterMap UndefinedClass default: undefined -- texmap; Filter_Map \n\
</pre></div><p>Get/Set the Filter Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.indirectBumpAmount Float default: 100.0 -- animatable; percentage; Indirect_Bump_Scale; Controller Scaling: (1 : 100.0); \n\
</pre></div><p>Get/Set the Indirect Bump Amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.intensityMap UndefinedClass default: undefined -- texmap; Intensity_Map \n\
</pre></div><p>Get/Set the intensity map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.intensityMapAmount Float default: 100.0 -- percentage; Intensity_Map_Amount \n\
</pre></div><p>Get/Set the intensity map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.intensityMapEnable BooleanClass default: true -- boolean; Intensity_Map_Enable \n\
</pre></div><p>When set to <span class=\'code\'>True</span> , the intensity map will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.ior Float default: 1.5 -- animatable; float \n\
</pre></div><p>Get/Set the Index Of Refraction value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.luminance Float default: 0.0 -- float \n\
</pre></div><p>Get/Set the luminance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.luminanceMap UndefinedClass default: undefined -- texmap; Luminance_Map \n\
</pre></div><p>Get/Set the Luminance Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.luminanceMapEnable BooleanClass default: true -- boolean; Luminance_Map_Enable \n\
</pre></div><p>Enable/Disable the Luminance Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.mapAmounts ArrayParameter default: #(100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0) -- percent array; Map_Amounts; SubAnim \n\
</pre></div><p>An array of all map amounts used by the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.maps ArrayParameter default: #(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined) -- texmap array; SubAnim \n\
</pre></div><p>An array of all maps used by the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.mapsEnables ArrayParameter default: #(true, true, true, true, true, true, true, true, true) -- bool array; Map_Enables; SubAnim \n\
</pre></div><p>An array of all map enable switches used by the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.rawDiffuseTexture BooleanClass default: false -- boolean; Raw_Diffuse_Texture \n\
</pre></div><p>Enable/Disable the raw diffuse texture option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.reflectanceScale Float default: 100.0 -- animatable; percentage; Refllectance_Scale; Controller Scaling: (1 : 100.0); \n\
</pre></div><p>Get/Set the reflectance scale value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.sampler Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the sampler by index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerAdaptOn BooleanClass default: false -- boolean; Sampler_Adapt_On \n\
</pre></div><p>Enable/Disable adaptive sampling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerAdaptThreshold Float default: 0.0 -- float; Sampler_Adapt_Threshold \n\
</pre></div><p>Get/Set the sampler adaptive threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerAdvancedOptions BooleanClass default: false -- boolean; Sampler_Advanced_Options \n\
</pre></div><p>Enable/Disable the advanced options.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerByName String default: &quot;&quot;Max 2.5 Star&quot;&quot; -- string; Sampler_By_Name \n\
</pre></div><p>Get/Set the the sampler by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerEnable BooleanClass default: false -- boolean; Sampler_Enabler \n\
</pre></div><p>Enable/Disable the sampler.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerQuality Float default: 0.1 -- float; Sampler_Quality \n\
</pre></div><p>Get/Set the sampler quality value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.samplerUseGlobal BooleanClass default: true -- boolean; Use_Global_Settings \n\
</pre></div><p>When set to true, the global sampler settings will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.shininess Float default: 0.0 -- percentage \n\
</pre></div><p>Get/Set the shininess value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.shininessMap UndefinedClass default: undefined -- texmap; Shininess_Map \n\
</pre></div><p>Get/Set the Shininess Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.shininessMapEnable BooleanClass default: true -- boolean; Shininess_Map_Enable \n\
</pre></div><p>Enable/Disable the Shininess Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.subSampleTextureOn BooleanClass default: true -- boolean; Subsample_Texture_On \n\
</pre></div><p>Enable/Disable sampling of maps.</p>\n\
<div class=\'codeBlock\'><pre>Architectural&gt;.supersampling Max_2_5_Star default: ReferenceTarget:Max_2_5_Star \n\
</pre></div><p>Get/Set the Supersampler object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.template String default: &quot;User Defined&quot; -- string \n\
</pre></div><p>Get/Set the template by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.textureHeight Float default: 40.0 -- animatable; world units; Texture_Height \n\
</pre></div><p>Get/Set the texture height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.textureUOffset Float default: 0.0 -- animatable; world units; Texture_U_Offset \n\
</pre></div><p>Get/Set the texture U offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.textureVOffset Float default: 0.0 -- animatable; world units; Texture_V_Offset \n\
</pre></div><p>Get/Set the texture V offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.textureWidth Float default: 40.0 -- animatable; world units; Texture_Width \n\
</pre></div><p>Get/Set the texture width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.translucency Float default: 0.0 -- percentage \n\
</pre></div><p>Get/Set the translucency value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.translucencyEnable BooleanClass default: true -- boolean; Translucency_Enable \n\
</pre></div><p>Enable/Disable the Transparency.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.translucencyMap UndefinedClass default: undefined -- texmap; Translucency_Map \n\
</pre></div><p>Get/Set the Translucency Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.transmittanceScale Float default: 100.0 -- animatable; percentage; Transmittance_Scale; Controller Scaling: (1 : 100.0); \n\
</pre></div><p>Get/Set the transmittance scale value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.transparency Float default: 0.0 -- percentage \n\
</pre></div><p>Get/Set the transparency value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.transparencyMapEnable BooleanClass default: true -- boolean; Filter_Map_Enable \n\
</pre></div><p>Enable/Disable the Transparency Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.twoSided BooleanClass default: false -- boolean; Two_Sided \n\
</pre></div><p>Enable/Disable the two-sided option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.UserParam0 Float default: 0.0 -- float; User_Param0 \n\
</pre></div><p>User parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.UserParam1 Float default: 0.0 -- float; User_Param1 \n\
</pre></div><p>User parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Architectural&gt;.useTextureSize BooleanClass default: false -- boolean; Use_Texture_Size \n\
</pre></div><p>Enable/Disable texture size usage.</p>\n\
<div class=\'section\'><a id=\"architectural-interfaces\"></a><h2 id=\"architectural-interfaces\">Architectural interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ExposureMaterialControl \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.noExposureControl: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Exposure Controls will ignore the material.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertSelfIllum: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Self-Illumination values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertReflection: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Reflection values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertRefraction: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Refraction values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>Interface:ArchMatMixin \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;averageColor &lt;&amp;color&gt;color [map:&lt;texturemap&gt;] \n\
</pre></div><p><span class=\'code\'>color</span> is Out parameter</p>\n\
<p><span class=\'code\'>map</span> default value: undefined</p>\n\
<p>Returns the average color of material or of the optional texture map in the by-reference color Out parameter. The method itself returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;convertMaterial&lt;material&gt;material [replace:&lt;boolean&gt;] \n\
</pre></div><p><span class=\'code\'>replace</span> default value: false</p>\n\
<p>Converts the Architectural material to the supplied material by copying relevant properties. If the optional parameter replace is set to <span class=\'code\'>true</span> , replaces all occurrences of the supplied material in the scene and the Material Editor with the Architectural material. Returns <span class=\'code\'>true</span> on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";