var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Blend : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Blend : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"blend-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Blend - superclass: material; super-superclass:MAXWrapper - classID: #(592, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>blend...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.map1 Material default: Standard -- alias: Map_1 \n\
</pre></div><p>The first material to be blended.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>Turn on/off the use of the first material in the blend.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.map2 Material default: Standard -- alias: Map_1 \n\
</pre></div><p>the second material to be blended.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>Turn on/off</p>\n\
<div class=\'codeBlock\'><pre>&lt;Blend&gt;.mask TextureMap default: undefined \n\
</pre></div><p>Selects a map to use as a mask. The two materials will blend in greater or lesser degree according to the intensity of the map. Lighter (whiter) areas of the mask show Material 1. Darker (blacker) areas of the mask show Material 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.maskEnabled Boolean default: true -- alias: MaskEnable \n\
</pre></div><p>Enable/disable the use of the map mask.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.interactive Integer default: 0 \n\
</pre></div><p>Selects which of the two materials is displayed on object surfaces in viewports by the interactive renderer:</p>\n\
<p>1 - Material 1</p>\n\
<p>2 - Material 2</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.mixAmount Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The proportion of the blend (percentage). 0 means only Material 1 is visible on the surface; 100 means only Material 2 is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.useCurve Boolean default: false \n\
</pre></div><p>Determines whether the Mixing Curve affects the mix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blend&gt;.upper Float default: 0.75 -- animatable\n\
&lt;blend&gt;.lower Float default: 0.25 -- animatable \n\
</pre></div><p>These values adjust the level of the Upper and Lower limits. If the two values are the same, the two materials meet at a definite edge. Wider ranges give more gradual blending from one sub-material to the other. The mixing curve displays the effect of changing these values.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";