var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CompositeMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CompositeMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"compositematerial-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>compositematerial - superclass: material; super-superclass:MAXWrapper - classID: #(1641811159, 325323510) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>compositeMaterial... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;compositematerial&gt;.materialList Array default: #(Standard, undefined, ... , undefined, undefined) -- alias: Material \n\
</pre></div><p>This array contains all of the materials included in the composite material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;compositematerial&gt;.mapEnables Array default: #(true, true, ... , true, true) -- alias: Map_Enable \n\
</pre></div><p>This array turns on/off the use of materials (corresponding to the <span class=\'code\'>.materialList</span> array) in the composite material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;compositematerial&gt;.mixType Array default: #(0, 0, ... , 0, 0) -- alias: Composite_Type \n\
</pre></div><p>This array sets the mix type for each material in the <span class=\'code\'>.materialList</span> of the composite material:</p>\n\
<p>0- Additive</p>\n\
<p>1- Subtractive</p>\n\
<p>2- Mix</p>\n\
<div class=\'codeBlock\'><pre>&lt;compositematerial&gt;.amount Array default: #(100.0, 100.0, ... , 100.0, 100.0) -- animatable \n\
</pre></div><p>This array sets the amount of mixing for each corresponding material in the <span class=\'code\'>.materialList</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;compositematerial&gt;.baseMaterial Standard Material default: (null) - alias for materialList[0] \n\
</pre></div><p>S ets a base material for the composite material.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>materialList</span> array stores the material for the base material and the sub-materials, the <span class=\'code\'>mapEnables</span> array stores whether a sub-material is enabled, the <span class=\'code\'>mixTypes</span> array stores the type of mixing to be performed for a sub-material, and the <span class=\'code\'>mixTypes</span> array stores the amount of mixing to be performed for a sub-material. The <span class=\'code\'>materialList</span> array contains N elements, corresponding to the base material and the (N-1) sub-materials. The remaining arrays store (N-1) elements, corresponding to the (N-1) sub-materials.</p>\n\
<p>A property alias exists for each element of the <span class=\'code\'>amount</span> array. The property aliases have the name <span class=\'code\'>amount_X</span> , where <span class=\'code\'>X</span> is the array element index. So the alias for the first <span class=\'code\'>amount</span> element is <span class=\'code\'>amount_1</span> , for the second <span class=\'code\'>amount_2</span> , etc.</p>\n\
<p><span class=\'code\'>baseMaterial</span> is an alias for <span class=\'code\'>materialList\\[1\\]</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";