var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MorpherMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MorpherMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"morphermaterial-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>MorpherMaterial - superclass: material; super-superclass:MAXWrapper - classID: #(1268332512, 974929316) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>MorpherMaterial... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MorpherMaterial&gt;.Channel_0 Float default: 0.0 -- animatable, percentage \n\
&lt;MorpherMaterial&gt;.Channel_1 Float default: 0.0 -- animatable, percentage \n\
&lt;MorpherMaterial&gt;.Channel_2 Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>......</p>\n\
<div class=\'codeBlock\'><pre>&lt;MorpherMaterial&gt;.Channel_98 Float default: 0.0 -- animatable, percentage \n\
&lt;MorpherMaterial&gt;.Channel_99 Float default: 0.0 -- animatable, percentage \n\
&lt;MorpherMaterial&gt;.Channel_100 Float default: 0.0 -- animatable, percentage \n\
&lt;MorpherMaterial&gt;.base \n\
&lt;MorpherMaterial&gt;.Mat_1 \n\
&lt;MorpherMaterial&gt;.Mat_2 \n\
&lt;MorpherMaterial&gt;.Mat_3 \n\
</pre></div><p>......</p>\n\
<div class=\'codeBlock\'><pre>&lt;MorpherMaterial&gt;.Mat_98 \n\
&lt;MorpherMaterial&gt;.Mat_99 \n\
&lt;MorpherMaterial&gt;.Mat_100 \n\
</pre></div><p>Note:</p>\n\
<p>The Morph modifier associated with a MorpherMaterial cannot be set using MAXScript.</p>\n\
<p>The <span class=\'code\'>Channel_N</span> properties are instances of the Morph modifier channel percentage properties, where MorpherMaterial <span class=\'code\'>Channel_N</span> corresponds to the Morph modifier channel <span class=\'code\'>N+1</span> . The MorpherMaterial <span class=\'code\'>Channel_100</span> value corresponds to Morph modifier base object percentage.</p>\n\
<p>The <span class=\'code\'>Channel_N</span> property values are 100* the value shown for the corresponding Morph modifier channel percentage value.</p>\n\
<p>The submaterial for each channel is accessible through the properties <span class=\'code\'>.base</span> and <span class=\'code\'>.Mat_1</span> through <span class=\'code\'>.Mat_100</span> .</p>\n\
<p>For example, suppose you have an object called <span class=\'code\'>MyMorph</span> that has two morph channels defined, and a MorpherMaterial applied to it. You will need to assign the channel submaterials in the <strong>3ds Max</strong> user interface. To access this material and its submaterials you can use:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` mtl=$MyMorph.material-- get the MorpherMaterial MM_C1_percent=mtl.Channel_0/100.-- get morph target 1 percentage and scale it correctly MM_C1_mtl=mtl.Mat_1-- get morph target 1 submaterial MM_base_percent=mtl.Channel_100/100.-- get morph base object percentage and scale it correctly MM_base_mtl=mtl.base -- get morph base object submaterial</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";