var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RayTraceMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RayTraceMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"raytracematerial-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>RaytraceMaterial - superclass: material; super-superclass:MAXWrapper - classID: #(655953908, 849023086) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>rayTraceMaterial...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Ambient_Color_On Boolean default: true -- animatable; boolean \n\
</pre></div><p>If Ambient_Color_On is false, <span class=\'code\'>Ambient_Amount</span> is used, otherwise <span class=\'code\'>Ambient</span> is used</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Ambient Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Sets the degree to which the material absorbs ambient light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Ambient_Amount Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount that the ambient map affects the material expressed as a percentage of full intensity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Luminosity_Color_On Boolean default: true -- animatable; boolean \n\
</pre></div><p>If Luminosity_Color_On is false, <span class=\'code\'>Self_Illum__AmountA</span> is used, otherwise <span class=\'code\'>Luminosity</span> is used</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Luminosity Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>The self-illumination color of the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Self_Illum_Amount Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount that the self-illumination map affects the material expressed as a percentage of full intensity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Diffuse Color default: (color 127.5 127.5 127.5) -- animatable \n\
</pre></div><p>Sets the diffuse color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Transparency_Color_On Boolean default: true \n\
</pre></div><p>If Transparency_Color_On is false, <span class=\'code\'>Transparency_Amount</span> is used, otherwise <span class=\'code\'>Transparecy</span> is used</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Transparecy Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>The filter color of the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Transparency_Amount Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount that the transparency map affects the material expressed as a percentage of full intensity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflect_Color_On Integer default: 1 -- animatable \n\
</pre></div><p>If Reflect_Color_On is false, <span class=\'code\'>Reflect_Amount</span> is used, otherwise <span class=\'code\'>Reflect</span> is used</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflect Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>The specular reflection color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflect_amount Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount that the reflection map affects the material expressed as a percentage of full intensity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Index_of_Refraction Float default: 1.55 -- animatable; float \n\
</pre></div><p>The index of refraction (IOR) controls how severely the material refracts transmitted light. At 1.0, the IOR of air, the object behind the transparent object does not distort. At 1.5, the object behind distorts greatly, like a glass marble. At an IOR slightly less than 1.0, the object reflects along its edges, like a bubble seen from under water.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Spec__Color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Sets the color of specular highlights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Specular_Level Float default: 50.0 -- animatable; percentage \n\
</pre></div><p>Sets the intensity of specular highlights. Set the Specular Level to a very high value for very strong, tight highlights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Glossiness Float default: 40.0 -- animatable; percentage \n\
</pre></div><p>Affects the size of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Soften Float default: 0.1 -- animatable \n\
</pre></div><p>Softens the effect of highlights formed by glancing light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Extra_Lighting Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Adds light to the surface of objects with the Raytrace material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.translucency Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Creates a translucent effect. The Translucency color is a non-directional diffuse reflection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fluorescence Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>Creates an effect similar to black light on a black light poster. The light from a black light is largely ultraviolet, outside the visible spectrum. Under black light, fluorescent paints flare or glow. The fluorescence in Raytrace material takes whatever light it sees in the scene, applies the Bias to it, and then, regardless of the color of the lights in the scene, illuminates the fluorescent material as if it were lit by white light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fluorescence_Bias Float default: 70.0 -- animatable; percentage \n\
</pre></div><p>At 0.5, The Bias makes Fluorescence behave just like diffuse coloring. Bias values higher than 0.5 increase the fluorescent effect, making the object brighter than other objects in the scene. Bias values lower than 0.5 make the object dimmer than other objects in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Wire_Size Float default: 1.0 -- animatable; \n\
</pre></div><p>Sets the size of the wire in wireframe mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.wireUnits Integer default: 0 -- \n\
</pre></div><p>Sets the units to use with the <span class=\'code\'>.wiresize</span> value:</p>\n\
<p>0- Pixels</p>\n\
<p>1- Units</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Color_Density_Enable Boolean default: false&amp;emdash;animatable \n\
</pre></div><p>Turns on/off the color density controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Color_Density_Start Float default: 0.0 -- animatable \n\
</pre></div><p>The position in the object where the density color begins to appear.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Color_Density_End Float default: 25.0 -- animatable \n\
</pre></div><p>The position in the object where the density color reaches its full Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Color_Density_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>The amount of density color. It can range from 0 to 1.0. Reducing this value reduces the density color effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Color_Density_Color Color default: (color 255 255 255) -- animatable \n\
</pre></div><p>Sets a transmission color based on thickness. While filter (Transparency) color tints objects behind the transparent object, the density color gives the appearance of color <em>within</em> the object itself, like tinted glass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fog_Enable Boolean default: false&amp;emdash;animatable \n\
</pre></div><p>Turn on/off the use of density fog in the raytrace material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fog_Start Float default: 0.0 -- animatable \n\
</pre></div><p>The position in the object where the density fog begins to appear.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fog_End Float default: 25.0 -- animatable \n\
</pre></div><p>The position in the object where the density fog reaches its full Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fog_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the amount of density fog. It can range from 0 to 1.0. Reducing this value reduces the density fog effect and makes the fog translucent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Fog_Color Color default: (color 0 0 0) -- animatable \n\
</pre></div><p>The color of the density fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflection_Type Integer default: 0 -- animatable \n\
</pre></div><p>Set the type of reflection:</p>\n\
<p>1 - Default (Reflections are layered with the diffuse color)</p>\n\
<p>2 - Additive (Reelections are added to the diffuse color)</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflection_Gain Float default: 0.5 -- animatable \n\
</pre></div><p>Controls reflection brightness. The lower the gain value, the brighter the reflection. At a gain of 1.0, no reflection is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Enable_Raytraced_Reflections Boolean default: true -- animatable \n\
</pre></div><p>Turns raytracing of reflective objects on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Enable_Raytraced_Refractions Boolean default: true -- animatable \n\
</pre></div><p>Turns raytracing of transparent objects on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflection_Falloff_Mode Integer default: 0 -- animatable \n\
</pre></div><p>When on, dims reflections to black at distance specified by Reflection_Falloff_End_Distance:</p>\n\
<p>0- Off (Turns off attenuation)</p>\n\
<p>1- Linear</p>\n\
<p>2- Inverse Square (Inverse square is the actual attenuation rate for light in the real world.)</p>\n\
<p>3- Exponential</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflection_Falloff_End_Distance Float default: 100.0 -- animatable \n\
</pre></div><p>The distance in world units where the reflected ray is fully attenuated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Refraction_Falloff_Mode Integer default: 0 -- animatable \n\
</pre></div><p>Sets the falloff mode for refraction in the raytrace material:</p>\n\
<p>0- Off (Turns off attenuation)</p>\n\
<p>1- Linear</p>\n\
<p>2- Inverse Square (Inverse square is the actual attenuation rate for light in the real world.)</p>\n\
<p>3- Exponential</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Refraction_Falloff_End_Distance Float default: 100.0 -- animatable \n\
</pre></div><p>The distance in world units where the refracted ray is fully attenuated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Bump_Map_Effect Float default: 1.0 -- animatable \n\
</pre></div><p>Adjusts the effect of bump maps on raytraced reflections and refractions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Override_Global_Antialiasing_Settings Boolean default: false&amp;emdash;animatable \n\
</pre></div><p>If Override_Global_Antialiasing_Settings = <span class=\'code\'>false</span> , Global Antialiasing Settings are used. If <span class=\'code\'>true</span> , the antialiaser is determined by <span class=\'code\'>Adaptive_Antialiasing_On</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Adaptive_Antialiasing_On Boolean default: false&amp;emdash;animatable \n\
</pre></div><p>If Adaptive_Antialiasing_On = <span class=\'code\'>true</span> , the Multiresolution Adaptive Antialiaser is used; otherwise the Fast Adaptive Antialiaser is used. This property only has an effect if <span class=\'code\'>Override_Global_Antialiasing_Settings</span> = <span class=\'code\'>true</span> .</p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-associated-with-the-options-dialog\"></a><h3 id=\"the-following-properties-are-associated-with-the-options-dialog\">The following properties are associated with the Options dialog</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Raytracer_Enable Boolean default: true -- animatable \n\
</pre></div><p>Turns the raytracer on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Antialiasing_Enable Boolean default: true -- animatable \n\
</pre></div><p>Turns antialiasing on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Self_Reflect_Refract Boolean default: true -- animatable \n\
</pre></div><p>Turns self reflection/refraction on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Raytrace_Atmospherics Boolean default: true -- animatable \n\
</pre></div><p>Turns the raytracing of atmospheric effects on or off. Atmospheric effects include fire, fog, volume light, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Reflect_Refract_Material_ID_s Boolean default: true -- animatable \n\
</pre></div><p>When on, the material reflects effects assigned to material IDs in the renderer’s G-Buffer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Raytrace_Objects_in_Glass Boolean default: true -- animatable \n\
</pre></div><p>Turns the raytracing of objects inside raytraced objects on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Raytrace_Atmospherics_in_Glass Boolean default: true -- animatable \n\
</pre></div><p>Turns the raytracing of atmospherics inside raytraced objects on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Options___Color_Density___Fog_Enable Boolean default: true -- animatable \n\
</pre></div><p>Turns the color density and fog features on or off.</p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-associated-with-the-antialiaser-configuration-dialogs.\"></a><h3 id=\"the-following-properties-are-associated-with-the-antialiaser-configuration-dialogs.\">The following properties are associated with the Antialiaser configuration dialogs.</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Threshold Float default: 0.1 -- animatable \n\
</pre></div><p>The sensitivity of the adaption algorithm. This value can range from 0 to 1, where 0 always casts the maximum number of rays and 1 always casts only the minimum number of rays.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Min__Rays Integer default: 4 -- animatable \n\
</pre></div><p>The minimum number of rays that the algorithm casts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Max__Rays Integer default: 32 -- animatable \n\
</pre></div><p>The maximum number of rays the algorithm casts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Blur_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>The sharpness or blurriness of reflections or refractions without regard to distance. This value is specified in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Blur_Aspect Float default: 1.0 -- animatable \n\
</pre></div><p>Changes the shape of the blur by changing the aspect ratio.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Defocus Float default: 0.0 -- animatable \n\
</pre></div><p>Blurs based on distance. Objects near the surface are not blurred, but objects farther away are blurred. The rays cast are spread as they leave the surface of the raytrace map object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Local_Defocus_Aspect Float default: 1.0 -- animatable \n\
</pre></div><p>Changes the shape of the defocusing by changing the aspect ratio.</p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-associated-with-the-maps-rollout.\"></a><h3 id=\"the-following-properties-are-associated-with-the-maps-rollout.\">The following properties are associated with the Maps rollout.</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.ambientMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the ambient map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.ambientMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the ambient map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.ambientMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the ambient map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.bumpMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the bump map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.bumpMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the bump map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.bumpMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the bump map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffuseMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the diffuse map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffuseMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the diffuse map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffuseMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the diffuse map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.displacementMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the displacement map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.displacementMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the displacement map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.displacementMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the displacement map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.reflectionMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the reflection map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.reflectionMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the reflection map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.reflectionMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the reflection map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.refractionMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the refraction map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.refractionMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the refraction map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.refractionMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the refraction map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.glossinessMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the glossiness map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.glossinessMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the glossiness map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.glossinessMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the glossiness map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularLevelMapTextureMap default: undefined \n\
</pre></div><p>The map assigned to the specularLevel map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularLevelMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the specularLevel map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularLevelMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the specularLevel map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.luminosityMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the luminosity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.luminosityMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the luminosity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.luminosityMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the luminosity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transparencyMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the transparency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transparencyMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the transparency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transparencyMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the transparency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.environmentMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the environment map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.environmentMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the environment map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.environmentMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the environment map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transEnvMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the transEnv map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transEnvMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the transEnv map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.transEnvMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the transEnv map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.iorMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the ior map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.iorMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the ior map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.iorMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the ior map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.translucencyMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the translucency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.translucencyMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the translucency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.translucencyMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the translucency map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.extraLightingMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the extraLighting map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.extraLightingMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the extraLighting map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.extraLightingMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the extraLighting map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fluorescenceMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the fluorescence map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fluorescenceMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the fluorescence map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fluorescenceMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the fluorescence map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.colorDensityMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the colorDensity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.colorDensityMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the colorDensity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.colorDensityMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the colorDensity map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fogColorMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the fogColor map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fogColorMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the fogColor map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.fogColorMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the fogColor map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffusionMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the diffusion map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffusionMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the diffusion map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.diffusionMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the diffusion map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularMap TextureMap default: undefined \n\
</pre></div><p>The map assigned to the specular color map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularMapAmount Float default: 100.0 \n\
</pre></div><p>The relative strength of the specular color map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.specularMapEnable Boolean default: false \n\
</pre></div><p>Turn on/off use of the specular color map channel.</p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-associated-with-the-dynamics-properties-rollout.\"></a><h3 id=\"the-following-properties-are-associated-with-the-dynamics-properties-rollout.\">The following properties are associated with the Dynamics Properties rollout.</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Bounce_Coefficient Float default: 1.0 -- animatable \n\
</pre></div><p>Sets how far an object bounces after hitting a surface. The higher the value, the greater the bounce. A value of 1 represents a &quot;perfectly elastic collision&quot; or a bounce in which no kinetic energy is lost.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Static_Friction Float default: 0.0 -- animatable \n\
</pre></div><p>Sets how difficult it is for the object to start moving along a surface. The higher this value, the more difficult.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Sliding_Friction Float default: 0.0 -- animatable \n\
</pre></div><p>Sets how difficult it is for the object to keep moving over a surface. The higher this value, the more difficult for the object to keep moving.</p>\n\
<p>The following properties do not correspond to any user-interface items, but appear to be used by the raytracer. These properties appear to be similar to the corresponding properties for the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Raytrace-TextureMap.html\' title=\'\'>Raytrace TextureMap</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Start Float default: 0.0 \n\
</pre></div><p>The distance in world units where attenuation begins.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Exponent Float default: 2.0 \n\
</pre></div><p>The distance in world units where the ray is fully attenuated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Color_Mode Integer default: 0 \n\
</pre></div><p>This affects the behavior of light rays as they attenuate out:</p>\n\
<p>0 - <strong>Background</strong> (As the ray attenuates out, returns the background (either the scene’s background or the background specified locally in the Raytracer Parameters rollout) rather than the actual color of what the reflected/refracted ray sees.)</p>\n\
<p>1 - <strong>Use Attenuation_Color</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Color Color default: (color 0 0 0) \n\
</pre></div><p>The color used for attenuation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Near Float default: 1.0 \n\
</pre></div><p>The strength of the reflected/refracted ray at the start range distance. This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Control_1 Float default: 0.6666 \n\
</pre></div><p>Controls the shape of the curve near the curve start.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Control_2 Float default: 0.3333 \n\
</pre></div><p>Controls the shape of the curve near the curve end.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Attenuation_Far Float default: 0.0 \n\
</pre></div><p>Sets the strength of the reflected/refracted ray at the end range distance. This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Blur_Map Boolean default: false \n\
</pre></div><p>When on, the software uses a map to apply the Blur Offset value. That is, where the map is white, blur offset is fully applied, and where it is black, it is ignored. For example, if the map is a Checker map, blur offset is applied only in every other square. Values between black and white cause less blur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Defocus_Map Boolean default: false \n\
</pre></div><p>When on, uses a map to apply the Defocus value. That is, where the map is white, Defocus is fully applied, and where it is black, it is ignored. For example, if the map is a Checker map, Defocus is applied only in every other square. Values between black and white cause less defocusing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Enable_Reflection_Falloff Boolean default: false \n\
</pre></div><p>Turns on/off falloff of reflection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Reflection_Falloff_Distance Float default: 0.0 \n\
</pre></div><p>The distance until the reflections are fully attenuated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Enable_Refraction_Falloff Boolean default: false \n\
</pre></div><p>Turns on/off falloff of refraction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Refraction_Falloff_Distance Float default: 0.0 \n\
</pre></div><p>The distance until the refractions are fully attenuated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.supersample Boolean default: false \n\
</pre></div><p>Toggle Supersampling on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.ShaderType Integer default: 1 \n\
</pre></div><p>The shader index:</p>\n\
<p>1- Phong</p>\n\
<p>2- Metal</p>\n\
<p>3- Blinn</p>\n\
<p>4- Oren Nayar-Blinn</p>\n\
<p>5- Anisotropy</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.shaderByName String default: &quot;Phong&quot; \n\
</pre></div><p>Sets the type of shader with a string, rather than a number. Enter <span class=\'code\'>&quot;phong&quot;</span> , <span class=\'code\'>&quot;metal&quot;</span> , <span class=\'code\'>&quot;blinn&quot;</span> , &quot; <span class=\'code\'>ONB&quot;</span> or&quot; <span class=\'code\'>Anisotropic&quot;</span></p>\n\
<p>Note: The <span class=\'code\'>.shaderType</span> and <span class=\'code\'>.shaderByName</span> are linked and will automatically change each others values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.TwoSided Boolean default: false \n\
</pre></div><p>Turns on/off the 2-Sided property</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Wire Boolean default: false \n\
</pre></div><p>Turns on/off wireframe mode</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.FaceMap Boolean default: false \n\
</pre></div><p>Turns on/off face mapping</p>\n\
<p><strong>The following additional properties have been exposed since 3ds Max 5:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Anisotropy Float default: 50.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the Anisotropy percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.Orientation Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the Anisotropy Orientation percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.sampler_param_block SubAnim default: SubAnim:sampler_Param_Block -- SubAnim \n\
</pre></div><p>Read-only access to the Sampler Parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial.sampler_param_block&gt;.sampler_on Boolean default: false -- animatable \n\
</pre></div><p>Get/Set the Sampler enabled state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial.sampler_param_block&gt;.sampler_quality Float default: 0.5 -- animatable \n\
</pre></div><p>Get/Set the Sampler quality value.</p>\n\
<p>Note:</p>\n\
<p>MacroRecorder gives incorrect property names when changing SuperSampling rollout items.</p>\n\
<p>Some items in SuperSampling rollout are not scriptable.</p>\n\
<div class=\'section\'><a id=\"raytracematerial-interfaces\"></a><h2 id=\"raytracematerial-interfaces\">RaytraceMaterial interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ExposureMaterialControl \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.noExposureControl: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Exposure Controls will ignore the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.exposureControlInvertSelfIllum: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Self-Illumination values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.exposureControlInvertReflection: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Reflection values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RaytraceMaterial&gt;.exposureControlInvertRefraction: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Refraction values from this material will be inverted.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";