var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shell_Material : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shell_Material : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shell_material-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Shell_Material - superclass: material; super-superclass:MAXWrapper - classID: #(597, 0) \n\
</pre></div><p>This material is used to accomodate texture baking results with alternative display in viewport and rendering.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Shell_Material...    \n\
BakeShell... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell_Material&gt;.bakedMaterial Standardmaterial default: Standard -- material; Baked_Material; SubAnim \n\
</pre></div><p>Get/Set the baked material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell_Material&gt;.originalMaterial Standardmaterial default: Standard -- material; Original_Material; SubAnim \n\
</pre></div><p>Get/Set the original material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell_Material&gt;.renderMtlIndex Integer default: 0 -- integer; Rendering_Material \n\
</pre></div><p>Get/Set the index of the material for rendering.</p>\n\
<p>0 - use the Original Material for rendering</p>\n\
<p>1 - use the Baked Material for rendering</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shell_Material&gt;.viewportMtlIndex Integer default: 0 -- integer; Viewport_Material \n\
</pre></div><p>Get/Set the index of the material for viewport display.</p>\n\
<p>0 - use the Original Material in the viewport</p>\n\
<p>1 - use the Baked Material in the viewport</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Set all scene Shell materials to use Original in Viewport --and Baked in rendering: for m in scenematerials do ( if classof m == Shell_Material then ( m.viewportMtlIndex = 0 m.renderMtlIndex = 1 ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";