var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TopBottom : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TopBottom : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"topbottom-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>TopBottom - superclass: material; super-superclass:MAXWrapper - classID: #(256, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>topBottom ...    \n\
topBottomMat ...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.topMaterial Material default: Standard -- alias: Top______Standard \n\
</pre></div><p>The top material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.bottomMaterial Material default: Standard -- alias: Bottom______Standard \n\
</pre></div><p>The bottom material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>Turns on/off the use of the top material in the topbottom material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>Turns on/off the use of the bottom material in the topbottom material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.blend Float default: 0.0 -- animatable \n\
</pre></div><p>Blends the edge between the top and bottom sub-materials.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<p>At 0, there is a sharp line between the top and bottom sub-materials.</p>\n\
<p>At 100, the top and bottom sub-materials tint each other.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.position Float default: 50.0 -- animatable \n\
</pre></div><p>Determines where the division between the two materials lies on an object.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<p>0 is at the bottom of the object, and displays only the top material.</p>\n\
<p>100 is at the top of the object, and displays only the bottom material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TopBottom&gt;.coordinates Integer default: 0 \n\
</pre></div><p>Choose how the software determines the boundary between top and bottom:</p>\n\
<p>0 - <strong>World</strong> (Faces point up or down according to the scene’s world coordinates. When you rotate the object, the boundary between top and bottom faces remains in place.)</p>\n\
<p>1 - <strong>Local</strong> (Faces point up or down according to the object’s local coordinates. When you rotate the object, the material rotates with it.)</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";