var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Missing Object Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Missing Object Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"missing-object-classes\"></a></div>\n\
<p>The following classes are used to represent objects in the scene for which the plug-in defining the object class is missing. An example of this is if you load a scene containing a Biped, but you do not have the Character Studio plugins, the biped objects will be retained in the scene, and the object’s class will be shown as the appropriate missing object class. These classes are not creatable by MAXScript and do not have any properties or methods.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Atmospheric \n\
</pre></div><p>Standin for missing Atmospheric class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Camera \n\
</pre></div><p>Standin for missing Camera class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Custom_Attribute_Plugin \n\
</pre></div><p>Standin for missing Custom Attributes class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Exposure_Control \n\
</pre></div><p>Standin for missing Exposure Control class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Float_Control \n\
</pre></div><p>Standin for missing Float controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_GeomObject \n\
</pre></div><p>Standin for missing Geometry object class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Helper \n\
</pre></div><p>Standin for missing Helper object class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Light \n\
</pre></div><p>Standin for missing Light object class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Matrix3_Control \n\
</pre></div><p>Standin for missing Matrix3 controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Morph_Control \n\
</pre></div><p>Standin for missing Morph controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Mtl \n\
</pre></div><p>Standin for missing Material class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_OSM \n\
</pre></div><p>Standin for missing Object Space Modifier class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Point3_Control \n\
</pre></div><p>Standin for missing Point3 controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Point4_Control \n\
</pre></div><p>Standin for missing Point4 controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Position_Control \n\
</pre></div><p>Standin for missing Position controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Radiosity \n\
</pre></div><p>Standin for missing Radiosity class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_RefMaker \n\
</pre></div><p>Standin for missing Reference Maker class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_RefTarget \n\
</pre></div><p>Standin for missing Reference Target class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Render_Effect \n\
</pre></div><p>Standin for missing Render Effect class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Render_Element_Plug_in \n\
</pre></div><p>Standin for missing Render Element class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Renderer \n\
</pre></div><p>Standin for missing Renderer class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Rotation_Control \n\
</pre></div><p>Standin for missing Rotation controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Scale_Control \n\
</pre></div><p>Standin for missing Scale controller class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Shader_Plug_in \n\
</pre></div><p>Standin for missing Shadow Generator class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Shadow_Type \n\
</pre></div><p>Standin for missing Shadow Generator class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Shape \n\
</pre></div><p>Standin for missing Shape class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_System \n\
</pre></div><p>Standin for missing System class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_Texture_Bake_Element \n\
</pre></div><p>Standin for missing Texture_Bake_Element class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_TextureMap \n\
</pre></div><p>Standin for missing TextureMap class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_UVGen \n\
</pre></div><p>Standin for missing UVGen class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_WSM \n\
</pre></div><p>Standin for missing World Space Modifier class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_WSM_Object \n\
</pre></div><p>Standin for missing World Space Modifier Object class objects.</p>\n\
<div class=\'codeBlock\'><pre>Missing_XYZGen \n\
</pre></div><p>Standin for missing XYZGen class objects.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";