var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Flex : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Flex : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"flex-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Flex - superclass: modifier; super-superclass:MAXWrapper - classID: #(-568876209, -1975393616) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>flex ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.flex Float default: 1.0 -- animatable \n\
</pre></div><p>Sets the amount of flex and bend. Larger values increase the effect. Range=0 to 1000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.strength Float default: 3.0 -- animatable \n\
</pre></div><p>Sets the spring strength. A value of 100 is rigid. Range=0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.sway Float default: 7.0 -- animatable \n\
</pre></div><p>Sets the time for the object to come to rest. Lower values increase the time for the object to come to rest. Range=0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.chase Booleandefault: true \n\
</pre></div><p>Turns chase springs on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.center Boolean default: true \n\
</pre></div><p>Turns the use of weights on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.solver Integer default: 0 \n\
</pre></div><p>The type of solver that will be used:</p>\n\
<p>0- Euler Solver</p>\n\
<p>1- Mid-point solver</p>\n\
<p>2- Runnge Kutta</p>\n\
<p>The higher the solver number, the more accurate/stable it is, and the slower it will run.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.samples Integer default: 5 -- animatable \n\
</pre></div><p>The number of samples per frame that the solver will use. The higher the number, the more accurate and stable; at the cost of a slower system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.stretch Float default: 5.0 -- animatable \n\
</pre></div><p>This parameter is driven by the stretch strength/sway fields. It is normalized then copied to the strength/sway fields to prevent the system from becoming unstable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.stiffness Float default: 0.1 -- animatable \n\
</pre></div><p>This parameter is driven by the torque strength/sway fields. It is normalized then copied to the strength/sway fields to prevent the system from becoming unstable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.paintStrength Float default: 0.1 \n\
</pre></div><p>Sets the amount of weight that the brush leaves on the mesh. Higher values leave more weight. Range=-1 to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.paintRadius Float default: 36.0 \n\
</pre></div><p>Set the size of the brush in world units. Range=.001 to 99999.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.paintFeather Float default: 0.7 \n\
</pre></div><p>Set the hardness of the brush. A value of 1 is soft. Range=-1 to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.absolute Boolean default: false \n\
</pre></div><p>Turn on to change the value of the Vertex Weight parameter to assign absolute weights to the selected vertices. Turn off to add or remove weight based on the vertices current weight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.forceNode ArrayParameter default: #() --array containing Force Nodes; alias: Force_Nodes \n\
</pre></div><p>Assigns force effect to particle space warps identified in an array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.colliderNode ArrayParameter default: #() -- node array \n\
</pre></div><p>Array contains a list of collider objects that flex will use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.referenceFrame Integer default: 0 -- alias: Reference_Frame \n\
</pre></div><p>Flex will start computing at this frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.endFrame Integer default: 100 \n\
</pre></div><p>Flex will stop computing after this time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.enableEndFrame Boolean default: false \n\
</pre></div><p>Turns the end frame on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.affectAll Boolean default: false \n\
</pre></div><p>Forces flex to ignore any selection in the stack, causing it to flex the entire object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.enableAdvanceSprings Boolean default: false \n\
</pre></div><p>Enables the advance spring fields. When this is off, the Stretch and Torque parameters are driven by the Stretch and Stiffness parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.stretchStrength Float default: 0.2 -- animatable \n\
</pre></div><p>Controls the strength of stretch springs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.stretchSway Float default: 0.2 -- animatable \n\
</pre></div><p>Controls the sway of stretch springs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.torqueStrength Float default: 0.2 -- animatable \n\
</pre></div><p>Controls the strength of torque springs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.torqueSwayFloat default: 0.2 -- animatable \n\
</pre></div><p>Controls the sway of torque springs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.holdLength Boolean default: false \n\
</pre></div><p>Turns on/off the hold length parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.holdLengthPercent Float default: 25.0 \n\
</pre></div><p>The maximum percentage the spring can stretch/squash.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.addMode Integer default: 0 \n\
</pre></div><p>Flag to determine how springs will be added:</p>\n\
<p>0- Single spring across selected vertices</p>\n\
<p>1- Edge Springs</p>\n\
<p>2- Edge Springs across only selected vertices</p>\n\
<p>3- Hold Springs</p>\n\
<p>4- Hold Springs across only selected vertices</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.displaySprings Booleandefault: false \n\
</pre></div><p>Turns on/off the display of spring when in sub-object mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.holdRadius Float default: 50.0 \n\
</pre></div><p>The maximum distance that will be looked around when the hold springs are added.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.extraStrength ArrayParameter default: #(0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2) -- float array \n\
</pre></div><p>Control the strength of extra springs (those that belong to a group other than 0 [stretch] or 1 [torque]).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.extraSway ArrayParameter default: #(0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2) -- float array \n\
</pre></div><p>Control the sway of extra springs (those that belong to a group other than 0 [stretch] or 1 [torque]).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.lazyEval Boolean default: false \n\
</pre></div><p>Turns on/off lazy evaluation, which causes the system to be reevaluated less at the expense of a less accurate display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.springColors ArrayParameter default: #([0,0,1], [0.909091,0,0], [0.818182,0,0], [0.727273,0,0], [0.636364,0,0], [0.545455,0,0], [0.454545,0,0], [0.363636,0,0], [0.272727,0,0], [0.181818,0,0], [0.0909091,0,0], [0,0,0]) -- point3 array\n\
</pre></div><p>The colors for the springs for each group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.customSpringDisplay ArrayParameter default: #(true, true, true, true, true, true, true, true, true, true, true, true) -- bool array \n\
</pre></div><p>This boolean array lets you turn on/off the display of the spring group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.createSpringDepth Integer default: 2 \n\
</pre></div><p>The number of times the system is recursed when using create soft body.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.createSpringMult Float default: 2.0 \n\
</pre></div><p>The amount the flex effect is multiplied after each recursion when using create soft body.</p>\n\
<p>The following property is defined by Flex, but is not used:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flex&gt;.paintBackface Boolean default: true \n\
</pre></div><p><strong>Flex interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: flexOps \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>flexOps.Paint &lt;flex&gt; \n\
</pre></div><p>Presses the paint button in the flex interface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SetReference &lt;flex&gt; \n\
</pre></div><p>Presses the Set Reference button in the flex interface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.Reset &lt;flex&gt; \n\
</pre></div><p>Presses the Reset button in the flex interface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.AddForce &lt;flex&gt; &lt;force&gt; \n\
</pre></div><p>Adds a force to the force list.</p>\n\
<p><span class=\'code\'>force</span> (node) - The force to be added to the force list.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.RemoveForce &lt;flex&gt; &lt;force&gt; \n\
</pre></div><p>Removes a force to the force list.</p>\n\
<p><span class=\'code\'>force</span> (integer) - The index of the force to be removed. If this index = -1 then the selected force will be removed.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.NumberVertices &lt;flex&gt; \n\
</pre></div><p>Returns and integer containing the number of points in the system.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SelectVertices &lt;flex&gt; &lt;sel&gt; &lt;update&gt; \n\
</pre></div><p>Selects the vertices passed in <span class=\'code\'>sel</span> .</p>\n\
<p><span class=\'code\'>Sel</span> (bitarray) - The bitarray that holds the selection.</p>\n\
<p><span class=\'code\'>Update</span> (boolean) - Determines whether the viewports get updated.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.GetSelectedVertices &lt;flex&gt; \n\
</pre></div><p>Returns bitarray containing the current selected vertices.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.GetVertexWeight &lt;flex&gt; &lt;index&gt; \n\
</pre></div><p>Returns the weight of a specific vertex.</p>\n\
<p><span class=\'code\'>index</span> (integer) - The index of the vertex you want to get the weight of.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SetVertexWeight &lt;flex&gt; &lt;Index_tab&gt; &lt;values_tab&gt; \n\
</pre></div><p>Sets the weight of vertices. These tables should be the same size.</p>\n\
<p><span class=\'code\'>index_tab</span> (integer table) - A table of indices of the vertex you want to set the weight of.</p>\n\
<p><span class=\'code\'>values_tab</span> (float table) - A table of values containing the weights.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SetEdgeList &lt;flex&gt; &lt;sel&gt; &lt;update&gt; \n\
</pre></div><p>Sets the edges to <span class=\'code\'>sel</span> .</p>\n\
<p><span class=\'code\'>Sel</span> (bitarray) - The bitarray that holds the edge selection.</p>\n\
<p><span class=\'code\'>Update</span> (boolean) - Determines whether the viewports get updated.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.GetEdgeList &lt;flex&gt; \n\
</pre></div><p>Returns bitarray containing the current edge selection list.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.AddSpringFromSelection &lt;flex&gt; &lt;flag&gt; &lt;addDupes&gt; \n\
</pre></div><p>This creates one spring between 2 selected vertices that belong to a group.</p>\n\
<p><span class=\'code\'>flag</span> (integer) - The group that this spring will belong to.</p>\n\
<p><span class=\'code\'>addDupes</span> (boolean) - Will add duplicates if true.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.addSpring &lt;flex&gt; &lt;a&gt; &lt;b&gt; &lt;flag&gt; &lt;addDupes&gt; \n\
</pre></div><p>This creates a spring between the 2 specified vertices.</p>\n\
<p><span class=\'code\'>a</span> (integer) - Index of vertex of the start of the spring.</p>\n\
<p><span class=\'code\'>b</span> (integer) - Index of the vertex of the end of the spring.</p>\n\
<p><span class=\'code\'>flag</span> (integer) - Group springs belongs to (0 to12).</p>\n\
<p><span class=\'code\'>addDupes</span> (boolean) - When true, if there is a duplicate spring it will be added.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.removeAllSprings &lt;flex&gt; \n\
</pre></div><p>Removes all the springs the in the system.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.addSpringButton &lt;flex&gt; \n\
</pre></div><p>Equivalent of hitting the Add Spring button in theuserinterface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.RemoveSpringButton &lt;flex&gt; \n\
</pre></div><p>Equivalent of hitting the Remove Spring button in theuserinterface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.optionsButton &lt;flex&gt; \n\
</pre></div><p>Equivalent of hitting the Options button in theuserinterface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.createSimpleSoftButton &lt;flex&gt; \n\
</pre></div><p>Equivalent of hitting the Create Simple Soft Bodies button in theuserinterface.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.RemoveSpringByEnd &lt;flex&gt; &lt;a&gt; \n\
</pre></div><p>This removes all springs that are connected to a vertex.</p>\n\
<p><span class=\'code\'>a</span> (integer) - The vertex index to be checked.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.removeSpringByEnds &lt;flex&gt; &lt;a&gt; &lt;b&gt; \n\
</pre></div><p>This removes all springs that are connected to both vertex a and b.</p>\n\
<p><span class=\'code\'>a</span> (integer) - First vertex index.</p>\n\
<p><span class=\'code\'>b</span> (integer) - Second vertex index.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.removeSpringByIndex &lt;flex&gt; &lt;index&gt; \n\
</pre></div><p>Remove a spring from the list which is at index in the spring list.</p>\n\
<p><span class=\'code\'>index</span> (integer) - Index of the spring.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.numberSprings &lt;flex&gt; \n\
</pre></div><p>Returns the number of springs in the system</p>\n\
<div class=\'codeBlock\'><pre>flexOps.getSpringGroup &lt;flex&gt; &lt;index&gt; \n\
</pre></div><p>Returns the group that the spring belongs to.</p>\n\
<p><span class=\'code\'>index</span> (integer) - Index of the spring you want to examine.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.setSpringGroup &lt;flex&gt; &lt;index&gt; &lt;group&gt; \n\
</pre></div><p>Sets the spring’s groups.</p>\n\
<p><span class=\'code\'>index</span> (integer) - Index of the spring.</p>\n\
<p><span class=\'code\'>group</span> (integer) - The group number (0-12).</p>\n\
<div class=\'codeBlock\'><pre>flexOps.getSpringLength &lt;flex&gt; &lt;index&gt; \n\
</pre></div><p>Gets the rest length of a particular spring.</p>\n\
<p><span class=\'code\'>index</span> (integer) - Index of the spring that you want to examine.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.setSpringLength &lt;flex&gt; &lt;index&gt; &lt;length&gt; \n\
</pre></div><p>Sets the rest length of a particular spring.</p>\n\
<p><span class=\'code\'>index</span> (integer) - Index of the spring that you want to examine.</p>\n\
<p><span class=\'code\'>length</span> (float) - The rest length of the spring.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.getIndex &lt;flex&gt; &lt;a&gt; &lt;b&gt; \n\
</pre></div><p>Returns the index of a spring that uses vertex a and b.</p>\n\
<p><span class=\'code\'>a</span> (integer) - Index of the start vertex of the spring.</p>\n\
<p><span class=\'code\'>b</span> (integer) - Index of the start end of the spring.</p>\n\
<div class=\'codeBlock\'><pre>FlexOps Methods \n\
flexOps.GetNumberVertices &lt;Flex&gt; \n\
</pre></div><p>Returns the number of vertices in the object the Flex modifier is applied to.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.GetVertexWeight &lt;Flex&gt; &lt;vertex_index_integer&gt; \n\
</pre></div><p>Returns the weight of the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SelectVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt; | &lt;bitarray&gt;) \n\
</pre></div><p>Selects the specified vertices. Clears any previously selected vertices.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.isEdgeVertex &lt;Flex&gt; &lt;vertex_index_integer&gt; \n\
</pre></div><p>Returns 0 if the specified vertex is not an edge vertex, 1 if it is an edge vertex.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.ClearEdgeVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) \n\
</pre></div><p>Sets the specified vertices to not be edge vertices.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SetEdgeVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) \n\
</pre></div><p>Sets the specified vertices to be edge vertices.</p>\n\
<div class=\'codeBlock\'><pre>flexOps.SetVertexWeights &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) (&lt;weight_integer&gt; | &lt;weight_integer_array&gt;) \n\
</pre></div><p>Assigns the specified weights to the specified vertices. If the vertices and weights are specified as arrays, the arrays must be of equal size.</p>\n\
<p>Note:</p>\n\
<p>If deferred plug-in loading is enabled, an instance of the Flex modifier must be created before these methods will be visible. This is because these methods are defined in the Flex modifier plug-in.</p>\n\
<p>You can&#39;t add deflectors to Flex through MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";