var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PathDeform : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PathDeform : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pathdeform-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>PathDeform - superclass: modifier; super-superclass:MAXWrapper - classID: #(2135386771, 731264007)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>PathDeform ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.path Node default: undefined\n\
</pre></div><p>The selected path object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.Percent_along_path Float default: 0.0 -- animatable, percentage\n\
</pre></div><p>Moves the object along the gizmo path based on a percentage of the path length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.Stretch Float default: 1.0 -- animatable\n\
</pre></div><p>Scales the object along the gizmo path, using the object’s pivot point as the base of the scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.rotation Float default: 0.0 -- animatable, angle\n\
</pre></div><p>Rotates the object about the gizmo path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.Twist Float default: 0.0 -- animatable, angle\n\
</pre></div><p>Twists the object about the path. The twist angle is based on the rotation of one end of the overall length of the path.</p>\n\
<p>Typically, the deformed object takes up only a portion of the path, so the effect can be subtle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.axis Integer default: 2\n\
</pre></div><p>The axus if the gizmo object which is aligned with the corresponding local axis of the path object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.Flip_deformation_axis Integer default: 0\n\
</pre></div><p>When on, reverses the gizmo path 180 degrees about the specified axis.</p>\n\
<p>0- Don’t flip</p>\n\
<p>1- Flip</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform&gt;.gizmo SubAnim\n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the modifier.</p>\n\
<p>The PathDeform gizmo is a representation of the deforming path object, so transforming it determines which part of the path affects the modified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable\n\
</pre></div><p>The position of the pathdeform gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable\n\
</pre></div><p>The rotation of the pathdeform gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PathDeform.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable\n\
</pre></div><p>The scale of the pathdeform gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";