var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skin : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skin : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skin-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skin - superclass: modifier; super-superclass:MAXWrapper - 91:0 - classID: #(9815843, 87654) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Skin ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.enableDQ     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Dual Quaternion&quot;</strong> &gt; <strong>&quot;DQ Skinning Toggle&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.Effect Float default: 0.0 \n\
</pre></div><p>Absolute weight of selected vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.filter_vertices Boolean default: false \n\
</pre></div><p>Turn vertex selection on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.filter_cross_sections Boolean default: true \n\
</pre></div><p>Turn cross-section selection on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.filter_envelopes Boolean default: true \n\
</pre></div><p>Turn envelope selection on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.draw_all_envelopes Boolean default: false \n\
</pre></div><p>When turned on, displays all envelopes. When off, only the selected envelopes are displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.draw_vertices Boolean default: true \n\
</pre></div><p>Turn on/off the display of weighted vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.ref_frame Integer default: 0 \n\
</pre></div><p>Sets the frame where the bones and the mesh are in a reference position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.paint_radius Float default: 24.0 \n\
</pre></div><p>Sets the brush radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.paint_feather Float default: 0.7 \n\
</pre></div><p>Sets the brush falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.cross_radius Float default: 10.0 \n\
</pre></div><p>Scales the selected envelope cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.always_deform Boolean default: true \n\
</pre></div><p>Always deforms the skin when the bones are moved. The Animate button does not have to be turned on to move bones and deform the skin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.paint_str Float default: 0.1 \n\
</pre></div><p>Sets the brush strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.localSquash Array default: #() -- float array \n\
</pre></div><p>Amount of squash applied to each bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialSquash Array default: #() -- float array \n\
</pre></div><p>Array containing initial squash values for a bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialStaticEnvelope Boolean default: false \n\
</pre></div><p>When turned on, an initial static envelope size is used when a bone is added. When off, the initial envelope size is determined by the object bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialInnerEnvelopePercent Float default: 0.75 \n\
</pre></div><p>The multiplier used to find the inner cross-section size when <span class=\'code\'>initialStaticEnvelope</span> is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialOuterEnvelopePercent Float default: 3.5 \n\
</pre></div><p>The multiplier used to find the outer cross-section size when <span class=\'code\'>initialStaticEnvelope</span> is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialEnvelopeInner Float default: 10.0 \n\
</pre></div><p>The inner cross-section size when <span class=\'code\'>initialStaticEnvelope</span> is <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.initialEnvelopeOuter Float default: 50.0 \n\
</pre></div><p>The outer cross-section size when <span class=\'code\'>initialStaticEnvelope</span> is <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.draw_all_gizmos Boolean default: true \n\
</pre></div><p>Turn on/off the display off all gizmos.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.draw_all_vertices Boolean default: false \n\
</pre></div><p>Turns on/off the display of all vertices as small dots.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.shadeweights Boolean default: true \n\
</pre></div><p>Turn on/off display of weighted vertices using vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.envelopesAlwaysOnTop Boolean default: true \n\
</pre></div><p>Turn on/off display of envelopes on top of the mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.crossSectionsAlwaysOnTop Boolean default: true \n\
</pre></div><p>Turn on/off display of cross-sections on top of the mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.rigid_vertices Boolean default: false \n\
</pre></div><p>When turned on, a single vertex can only be affected by one bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.rigid_handles Boolean default: false \n\
</pre></div><p>When turned on, all handles have the same weights as the knot that owns them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.fast_update Boolean default: false \n\
</pre></div><p>When turned on, the system uses only rigid vertices for the viewport display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.gizmos Array default: #() -- max object array \n\
</pre></div><p>Array containing all gizmos assigned to skin.</p>\n\
<p><strong>The following properties have been added to the skin modifier in 3ds Max 5</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.backTransform Boolean default: true -- boolean; Back_Transform_Verts \n\
</pre></div><p>Get/Set the state of the &quot;Back Transform Vertices&quot; checkbox in the Advanced Parameters rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.bone_Limit Integer default: 20 -- integer \n\
</pre></div><p>Get/Set the value of the &quot;Bone Affect Limit&quot; control in the Advanced Parameters rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.debugMode Boolean default: true -- boolean \n\
</pre></div><p>Get/Set the Debug mode for the modifier.</p>\n\
<p>Not exposed to the UI, for internal use only.</p>\n\
<p>When enabled, data will be output to the Listener window which may be useful for tracking bugs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.shortenBoneNames Boolean default: true -- boolean; Shorten_Bone_Names \n\
</pre></div><p>Get/Set the Shorten Bone Names mode state.</p>\n\
<p>When set to true, bone names longer than the width of the bone list will be shortened by adding &quot;...&quot; in the middle of the name and displaying only the start and end characters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.showNoEnvelopes Boolean default: false -- boolean; Shade_Weights \n\
</pre></div><p>Get/Set the state of the &quot;Show No Envelopes&quot; checkbox in the Display rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.updateOnMouseUp Boolean default: false -- boolean; Update_On_Mouse_Up \n\
</pre></div><p>Get/Set the state of the &quot;Update on mouse up&quot; checkbox in the Advanced Parameters rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_activeVertexSet Integer default: 0 -- integer; Active_Vertex_Set \n\
</pre></div><p>Get/Set the index of the Active Vertex Set drop-down list in the Weight Table dialog.</p>\n\
<p>0 - All Vertices</p>\n\
<p>1 - Selected Vertices</p>\n\
<p>2 - Selected Bone</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_affectSelected Boolean default: false -- boolean; Affect_Selected \n\
</pre></div><p>Get/Set the Weight Table Affect Selected mode.</p>\n\
<p>When set to true, the &quot;Affect Selected&quot; option will be selected in the drop-down list in the Weight Table dialog.</p>\n\
<p>When false, &quot;Affect All Verts&quot; will be selected instead.</p>\n\
<p>To see the drop-down list, Options&gt;Show Global should be checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_attribLabelHeight Integer default: 1 -- integer; Attrib_Label_Height \n\
</pre></div><p>Get/Set the Weight Table Height of the attribute labels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_dragLeftRightMode Boolean default: true -- boolean; Drag_Left_Right_Mode \n\
</pre></div><p>Get/Set the Weight Table Drag direction mode.</p>\n\
<p>When set to true, dragging the mouse left-right will increase/decrease the value.</p>\n\
<p>When false, dragging up/down will change the value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_flipUI Boolean default: false -- boolean; Flip_UI \n\
</pre></div><p>Get/Set the Weight Table UI Flip mode.</p>\n\
<p>When set to true, the bone names will be displayed at the left side.</p>\n\
<p>When false, the bone names will be displayed on top.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_fontSize Integer default: 14 -- integer; FontSize \n\
</pre></div><p>Get/Set the Weight Table font size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_markerColor Color default: (color 255 0 255) -- Marker_Color \n\
</pre></div><p>Get/Set the Weight Table marker color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_markerType Integer default: 6 -- integer; Marker_Type \n\
</pre></div><p>Get/Set the Weight Table marker type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_precision Float default: 0.01 -- float; Precision \n\
</pre></div><p>Get/Set the Weight Table precision when dragging a field.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_shortenLabels Boolean default: true -- boolean; Shortern_Labels \n\
</pre></div><p>When set to true, the Weight Table labels will be shortened.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showAffectedBones Boolean default: false -- boolean; Show_Affected_Bones \n\
</pre></div><p>Get/Set the Show Affected Bones mode state.</p>\n\
<p>When enabled, it will filter out any bones that do not have any influence on the currently displayed vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showAttributes Boolean default: true -- boolean; Show_Attributes \n\
</pre></div><p>Get/Set the Show Attributes mode state.</p>\n\
<p>Corresponds to the item in the Weight Table’s Options menu.</p>\n\
<p>When set to true will show the vertex attribute in the window, when set to false will remove the vertex attribute from the window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showCopyPasteUI Boolean default: true -- boolean; Show_Copy_and_Paste_UI \n\
</pre></div><p>Controls the visibility of the Copy and Paste buttons in the Weight Table UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showExclusions Boolean default: false -- boolean; Show_Exclusions \n\
</pre></div><p>Gets/Sets the visibility of the exclusion toggle boxes.</p>\n\
<p>Corresponds to the item in the Weight Table’s Options menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showGlobal Boolean default: false -- boolean; Show_Global \n\
</pre></div><p>Get/Set the Show Global mode state.</p>\n\
<p>Corresponds to the item in the Weight Table’s Options menu.</p>\n\
<p>When set to true the global fields will be shown.</p>\n\
<p>When set to false, the global fields will be hidden.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showLocks Boolean default: false -- boolean; Show_Locks \n\
</pre></div><p>Gets/Sets the visibility of the Locks toggle boxes.</p>\n\
<p>Corresponds to the item in the Weight Table’s Options menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showMarker Boolean default: true -- boolean; Show_Weight_Table_Marker \n\
</pre></div><p>Controls the marker visibility in the viewport for the selected vertices in the Weight Table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showMenu Boolean default: true -- boolean; Show_Menu \n\
</pre></div><p>Controls the menu visibility. Takes effect after re-opening the Weight Table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showOptionsUI Boolean default: false -- boolean; Show_Options_UI \n\
</pre></div><p>Controls the Options panel visibility of the Weight Table dialog.</p>\n\
<p>This is not exposed to the standard UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_showSetUI Boolean default: false -- boolean; Show_Set_Sets_UI \n\
</pre></div><p>Controls the Vertex Selection sets panel visibility of the Weight Table dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_tableY Integer default: 10 -- integer; Top_Border \n\
</pre></div><p>Controls the Y position of the top of the Weight Table.</p>\n\
<p>In other words it defines the height of the additional options panel on top of the Weight Table dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_updateOnMouseUp Boolean default: false -- boolean; Update_On_Mouse_Up \n\
</pre></div><p>Controls the state of the &quot;Update On Mouse Up&quot; item the Weight Table’s Options menu.</p>\n\
<p>When set to true, the viewport and stack will be updated only when the mouse is released.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_winHeight Integer default: 500 -- integer; Height \n\
</pre></div><p>Get/set the Weight Table’s window height.</p>\n\
<p>Setting takes effect after re-opening the Weight Table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_winWidth Integer default: 800 -- integer; Width \n\
</pre></div><p>Get/set the Weight Table’s window width. Setting takes effect after re-opening the Weight Table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_winXPos Integer default: 0 -- integer; Xpos \n\
</pre></div><p>Get/set the Weight Table’s window horizontal position in pixels relatively to the upper left corner of the Windows desktop. Setting takes effect after re-opening the Weight Table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.wt_winYPos Integer default: 0 -- integer; YPos \n\
</pre></div><p>Get/set the Weight Table’s window vertical position in pixels relatively to the upper left corner of the Windows desktop. Setting takes effect after re-opening the Weight Table.</p>\n\
<p><strong>The following properties have been added to the Skin modifier in 3ds Max 6</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorPlane Integer default: 0 -- integer; Mirror_Plane \n\
</pre></div><p>Get/Set the mirror plane axis. Possible values are:</p>\n\
<p>0 - X (default)</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorOffset Float default: 0.0 -- float; Mirror_Offset \n\
</pre></div><p>Get/Set the mirror offset value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorUseInitialTM BooleanClass default: true -- boolean; Use_Initial_TM \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the mirror will use the initial transformation matrix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorEnabled BooleanClass default: false -- boolean; Mirror_Enabled \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , mirror mode will be enabled. Corresponds to the &quot;Mirror Mode&quot; checkbutton in the Skin Modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorThreshold Float default: 0.5 -- float; Mirror_Threshold \n\
</pre></div><p>Get/Set the mirror treshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorProjection Integer default: 0 -- integer; Mirror_Projection \n\
</pre></div><p>Get/Set the mirror projection mode. Possible values are:</p>\n\
<p>0 - Default Display</p>\n\
<p>1 - Positive Direction</p>\n\
<p>2 - Negative Direction</p>\n\
<p>3 - None</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.manualUpdate BooleanClass default: false -- boolean; Manual_Update \n\
</pre></div><p>Controls the state of the &quot;Manual Update&quot; checkbox in the Skin Modifier&#39;s UI, &quot;Mirror Parameters&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.mirrorFast BooleanClass default: true -- boolean; Fast_Engine \n\
</pre></div><p>When set to <span class=\'code\'>false</span> , disables the fast mirror mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.ignoreBoneScale BooleanClass default: false -- boolean; Ignore_Bone_Scale \n\
</pre></div><p>Controls the state of the &quot;Ignore Bone Scale&quot; checkbox in the &quot;Advanced Parameters&quot; rollout of the Skin Modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.rightJustifyBoneText BooleanClass default: true -- boolean; Right_Justify_Bone_Names \n\
</pre></div><p>When set to <span class=\'code\'>true</span> (default), bone text in the Weight Table dialog will be right-justified.</p>\n\
<p><strong>The following property has been added to 3ds Max 6 but is not officially supported</strong>.</p>\n\
<blockquote>\n\
<p><strong>Use at your own risk:</strong></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.paintBlendMode BooleanClass default:false \n\
</pre></div><p>Lets you paint Skinweights in Blend mode when set to true.</p>\n\
<p><strong>The following properties have been added to the Skin modifier in 3ds Max 8</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.selectElement BooleanClass default: false -- boolean; Select_Element \n\
</pre></div><p>Get/Set the state of the Select Element checkbox in the <strong>Select</strong> group of controls in the <strong>Parameters</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.backFaceCull BooleanClass default: true -- boolean; Backface_Cull \n\
</pre></div><p>Get/Set the state of the Backface Cull Vertices checkbox in the <strong>Select</strong> group of controls in the <strong>Parameters</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.colorAllWeights BooleanClass default: false -- boolean; Shade_Weights \n\
</pre></div><p>Get/Set the state of the Color All Weights checkbox in the <strong>Display</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.showHiddenVertices BooleanClass default: false -- boolean; Show_Hidden_Vertices \n\
</pre></div><p>Get/Set the state of the Show Hidden vertices checkbox in the <strong>Display</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.animatableEnvelopes BooleanClass default: false -- boolean; Animatable_Envelopes \n\
</pre></div><p>Get/Set the state of the Animatable Envelopes checkbox in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.weightAllVertices BooleanClass default: true -- boolean; Weight_All_Vertices \n\
</pre></div><p>Get/Set the state of the Weight All vertices checkbox in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.clearZeroLimit Float default: 0.0 -- float; Clear_Zero_Weights_Limit \n\
</pre></div><p>Get/Set the Remove Zero Limit value in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.weightColors ArrayParameter default: #([0.9,0,0], [0,0.9,0], [0,0,0.9], [0.9,0.9,0], [0,0.9,0.9], [0.9,0,0.9], [0.49,0,0], [0,0.49,0], [0,0,0.49], [0.49,0.49,0], [0,0.49,0.49], [0.9,0.49,0], [0,0.49,0.9], [0.49,0.9,0], [0,0.9,0.49], [0.49,0,0.49], [0.9,0,0.49], [0.49,0,0.9], [0.49,0.49,0.9], [0.9,0.49,0.49], [0.9,0.49,0.9], ...) -- point3 array; Weight_Colors \n\
</pre></div><p>Get/Set the colors to be used to display the weights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.weightTool_scale Float default: 0.95 -- float; Scale \n\
</pre></div><p>Get/Set theWeight Tool&#39;sscale value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.weightTool_tolerance Float default: 0.1 -- float; Tolerance \n\
</pre></div><p>Get/Set theWeight Tool&#39;stolerance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin&gt;.weightTool_weight Float default: 0.5 -- float; Weight \n\
</pre></div><p>Get/Set theWeight Tool&#39;sweight value.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>In previous versions, some of these methods required the target object be selected, and that the Skin modifier be active in the Modify panel. Available in <strong>3ds Max 2019.2 Update and higher</strong>. These methods now take an optional <span class=\'code\'>node:&lt;node&gt;</span> or <span class=\'code\'>name:&lt;string&gt;</span> argument, and are applied to that node or named node. These arguments may be a single node or name, or an array of nodes or names. If no node is specified, the methods require that the Skin modifier be the displayed modifier in the Modify panel, and that the Modify panel is active.</p>\n\
<p>In previous versions these methods always required that the target object is selected, the Skin modifier be the displayed modifier in the Modify panel, and that the Modify panel is active.</p>\n\
<div class=\'section\'><a id=\"add...\"></a><h3 id=\"add...\">Add...</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.addbone &lt;Skin&gt; &lt;Bone_node&gt; &lt;Update_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Adds a bone to the current system.</p>\n\
<p>For <span class=\'code\'>Update_integer</span> , - 1 forces a complete update and redraw, 0 does not update the system.</p>\n\
<p>This allows you to add a bunch of bones to a system and then update once at the end.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.addBoneFromViewEnd &lt;Skin&gt; \n\
</pre></div><p>Ends the <span class=\'code\'>addBoneFromViewStart</span> command mode.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.addBoneFromViewStart &lt;Skin&gt; \n\
</pre></div><p>Puts you in a command mode where you can select bones from the viewport by clicking on them.</p>\n\
<p>You can exit this mode by right clicking or calling <span class=\'code\'>addBoneFromViewEnd</span> .</p>\n\
<div class=\'codeBlock\'><pre>skinOps.addCrossSection &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;U_float&gt; &lt;InnerRadius_float&gt; &lt;OuterRadius_float&gt; \\\n\
    [node:&lt;node&gt;] \n\
</pre></div><p>Adds a cross section to the bone whose index matches <span class=\'code\'>BoneID_integer.U_float</span> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.addCrossSection &lt;Skin&gt; &lt;U_float&gt; \n\
</pre></div><p>Adds a cross section to the current selected bone.</p>\n\
<p>The inner and outer radii are computed based on the neighboring cross sections <span class=\'code\'>.U_float</span> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.addCrossSection &lt;Skin&gt; &lt;U_float&gt; &lt;InnerRadius_float&gt; &lt;OuterRadius_float&gt; \n\
</pre></div><p>Adds a cross section to the current selected bone<span class=\'code\'>.U_float</span> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<div class=\'section\'><a id=\"vertex-selection\"></a><h3 id=\"vertex-selection\">Vertex Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.growSelection &lt;Skin&gt; \n\
</pre></div><p>Grows the current vertex selection of the specified Skin modifier.</p>\n\
<p>Equivalent to pressing the Grow button in the Parameters rollout &gt; Select group of controls in the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.shrinkSelection &lt;Skin&gt; \n\
</pre></div><p>Shrinks the current vertex selection of the specified Skin modifier.</p>\n\
<p>Equivalent to pressing the Shrink button in the Parameters rollout &gt; Select group of controls in the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.loopSelection &lt;Skin&gt; \n\
</pre></div><p>Performs Loop Selection using the current vertex selection of the specified Skin modifier as base.</p>\n\
<p>Equivalent to pressing the Loop button in the Parameters rollout &gt; Select group of controls in the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.ringSelection &lt;Skin&gt; \n\
</pre></div><p>Performs Ring Selection using the current vertex selection of the specified Skin modifier as base.</p>\n\
<p>Equivalent to pressing the Ring button in the Parameters rollout &gt; Select group of controls in the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.bakeSelectedVerts &lt;Skin&gt; \n\
</pre></div><p>Bake the selected vertices.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.blendSelected &lt;Skin&gt; \n\
</pre></div><p>Blends the selected vertices.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedVertices &lt;Skin&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Gets an array of selected vertices.</p>\n\
<div class=\'section\'><a id=\"button-commands\"></a><h3 id=\"button-commands\">Button Commands</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonAdd &lt;Skin&gt; \n\
</pre></div><p>Presses the add bone button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonAddCrossSection &lt;Skin&gt; \n\
</pre></div><p>Presses the add cross section button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonAddGizmo &lt;Skin&gt; \n\
</pre></div><p>Presses the add gizmo button in the gizmo rollout.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonCopyGizmo &lt;Skin&gt; \n\
</pre></div><p>Presses the copy gizmo button in the gizmo rollout.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonExclude &lt;Skin&gt; \n\
</pre></div><p>Presses the exclude vertices button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonInclude &lt;Skin&gt; \n\
</pre></div><p>Presses the include vertices button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonPaint &lt;Skin&gt; \n\
</pre></div><p>Presses the paint button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonPasteGizmo &lt;Skin&gt; \n\
</pre></div><p>Presses the paste gizmo button in the gizmo rollout.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonRemove &lt;Skin&gt; \n\
</pre></div><p>Presses the remove bone button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonRemoveGizmo &lt;Skin&gt; \n\
</pre></div><p>Presses the remove gizmo button in the gizmo rollout.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonSelectExcluded &lt;Skin&gt; \n\
</pre></div><p>Presses the select excluded vertices button.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.paintOptionsButton &lt;Skin&gt; \n\
</pre></div><p>Presses the Paint Options button and opens the Paint Options dialog.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>skinOps.paintOptionsButton $.skin</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>skinOps.paintWeightsButton &lt;Skin&gt; \n\
</pre></div><p>Presses the Weights button and enters the Paint Weights mode.</p>\n\
<div class=\'section\'><a id=\"weight-table-tool\"></a><h3 id=\"weight-table-tool\">Weight Table &amp; Tool</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.buttonWeightTable &lt;Skin&gt; \n\
</pre></div><p>Brings up the Skin Weight Table for the specified modifier.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.isWeightTableOpen &lt;Skin&gt; \n\
</pre></div><p>Returns 1 if the Skin Weight Table is open for the specified modifier, 0 if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.closeWeightTable &lt;Skin&gt; \n\
</pre></div><p>Closes the Skin Weight Table of the specified modifier.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.WeightTool &lt;Skin&gt; \n\
</pre></div><p>Opens the Weight Tool of the specified Skin modifier.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.isWeightToolOpen &lt;Skin&gt; \n\
</pre></div><p>Returns 1 if the Weight Tool of the specified Skin modifier is open, 0 if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.closeWeightTool &lt;Skin&gt; \n\
</pre></div><p>Closes the Weight Tool of the specified Skin modifier if it is already open.</p>\n\
<div class=\'section\'><a id=\"remove-bone\"></a><h3 id=\"remove-bone\">Remove Bone</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.removebone &lt;Skin&gt; \n\
</pre></div><p>Removes the current selected bone from the bones system.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.removebone &lt;Skin&gt; &lt;BoneID_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Removes the BoneID from the bones system.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.multiRemove &lt;Skin&gt; \n\
</pre></div><p>Brings up a list box where the user can delete multiple bones instead of one at a time.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.replaceBone &lt;Skin&gt; &lt;BoneID_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)] vertices:&lt;list&gt;\n\
</pre></div><p>Replaces the specified bone with a bone defined by the vertices list.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.removeUnusedBones &lt;Skin&gt; threshold:&lt;float&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Removes bones with weights below the specified threshold.</p>\n\
<div class=\'section\'><a id=\"copy-and-paste\"></a><h3 id=\"copy-and-paste\">Copy and Paste</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.copySelectedBone &lt;Skin &lt;Skin&gt; \n\
</pre></div><p>Copies current selected bone properties to the copy buffer.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.pasteAllBones &lt;SkinModifier&gt; &lt;boolean&gt; \n\
</pre></div><p>This method will paste all bones across the mirror plane going in the direction defined by the Bool parameter - if <span class=\'code\'>true</span> , it pastes from blue to green, otherwise from green to blue.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.pasteToAllBones &lt;Skin&gt; \n\
</pre></div><p>Pastes the copy buffer to all the bones.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.pasteToBone &lt;Skin&gt; &lt;BoneID_int&gt; \n\
</pre></div><p>Pastes the copy buffer to bone id supplied.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.pasteToSelectedBone &lt;Skin&gt; \n\
</pre></div><p>Pastes the copy buffer to the current selected bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.copyWeights &lt;Skin&gt; \n\
skinOps.pasteWeights &lt;Skin&gt; \n\
skinOps.pasteWeightsByPos &lt;Skin&gt; \n\
skinOps.pasteAllVerts &lt;SkinModifier&gt; &lt;boolean&gt; \n\
</pre></div><p>This method will paste all vertices across the mirror plane going in the direction defined by the Bool parameter - if <span class=\'code\'>true</span> , it pastes from blue to green, otherwise from green to blue.</p>\n\
<div class=\'section\'><a id=\"dual-quaternions\"></a><h3 id=\"dual-quaternions\">Dual Quaternions</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.enableDQOverrideWeighting\n\
skinOps.getVertexDQWeight\n\
skinOps.setVertexDQWeight\n\
</pre></div><div class=\'section\'><a id=\"bone-properties\"></a><h3 id=\"bone-properties\">Bone Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.GetSelectedBone &lt;Skin&gt; \n\
</pre></div><p>Returns the index of the current selected bone in the Bone list.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetNumberBones &lt;Skin&gt; \n\
</pre></div><p>Returns the number of bones in the system.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetBoneName &lt;Skin&gt; &lt;bone_index&gt; &lt;nameflag_index&gt; \n\
</pre></div><p>Returns the bone name or node name of a bone specified by ID.</p>\n\
<p><span class=\'code\'>bone_index</span> is the bone system ID for the bone.</p>\n\
<p><span class=\'code\'>nameflag_index</span> can be 0 or 1:</p>\n\
<ul>\n\
<li>0 - returns the name of the node that holds the transform for the bone.</li>\n\
<li>1 - returns the name of the bone in the UI list box.</li>\n\
</ul>\n\
<p>If a Bones system is used for the Skin bones, the transform for a bone is held by its parent.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetBoneIDByListID &lt;Skin&gt; &lt;ListID_integer&gt;\n\
</pre></div><p>Returns the BoneID index given the ListID index value.</p>\n\
<p>The ListID index is the index into the name-sorted bone listbox.</p>\n\
<p>The BoneID index is the non-sorted index, and is the index used by other methods that require a bone index.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetListIDByBoneID &lt;Skin&gt; &lt;BoneID_integer&gt;\n\
</pre></div><p>Returns the ListID index given the BoneID index value.</p>\n\
<p>The ListID index is the index into the name-sorted bone listbox.</p>\n\
<p>The BoneID index is the non-sorted index, and is the index used by other methods that require a bone index.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetBoneNodes &lt;Skin&gt;\n\
</pre></div><p>Returns an array of bone nodes in the same order they exist in the skin modifier.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetBoneNode &lt;Skin&gt; &lt;BoneIndex_integer&gt;\n\
</pre></div><p>Returns the bone node specified by index.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getBonePropFalloff &lt;Skin&gt; &lt;BoneID_integer&gt; \n\
</pre></div><p>Returns the falloff parameter of the bone.</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setBonePropFalloff &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Falloff_integer&gt; \n\
</pre></div><p>Sets the falloff parameter of the bone.</p>\n\
<p>For <span class=\'code\'>Faloff_integer</span> , the fall off of the bone is:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getBonePropRelative &lt;Skin&gt; &lt;BoneID_integer&gt; \n\
</pre></div><p>Gets the relative property of the bone. It returns 1 if relative, or 0 if absolute.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setBonePropRelative &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Relative_integer&gt; \n\
</pre></div><p>Sets the relative property of the bone whose index matches <span class=\'code\'>BoneID_integer</span> .</p>\n\
<p>For Relative_integer, 0 is absolute and 1 is relative.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getBonePropEnvelopeVisible &lt;Skin&gt; &lt;BoneID_integer&gt; \n\
</pre></div><p>Returns the bone visibility parameter of the bone. 0 is invisible, 1 is visible.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setBonePropEnvelopeVisible &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Visible_integer&gt; \n\
</pre></div><p>Sets the bone visibility parameter of the bone whose index matches <span class=\'code\'>BoneID_integer</span> .</p>\n\
<p>For <span class=\'code\'>Visible_integer</span> , 0 is visible, 1 is invisible when not selected.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedBonePropEnvelopeVisible &lt;Skin&gt; \n\
</pre></div><p>Returns the bone visibility parameter of the current selected bone. 0 is invisible, 1 is visible.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setSelectedBonePropEnvelopeVisible &lt;Skin&gt; &lt;Visible_integer&gt; \n\
</pre></div><p>Sets the bone visibility parameter of the current selected bone.</p>\n\
<p>For <span class=\'code\'>Visible_integer</span> , 0 = visible, 1 = invisible when not selected</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetStartPoint &lt;Skin&gt; &lt;BoneID_integer&gt; \n\
</pre></div><p>Returns a point3 which is the start point of the bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetStartPoint &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;EndPointPos_point3&gt; \n\
</pre></div><p>Sets the start point of the specified bone</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetEndPoint &lt;Skin&gt; &lt;BoneID_integer&gt; \n\
</pre></div><p>Returns a point3 which is the end point of the bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetEndPoint &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;EndPointPos_point3&gt; \n\
</pre></div><p>Sets the end point of the specified bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetInnerRadius &lt;Skin&gt; &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; \n\
</pre></div><p>Returns the inner cross section radius for the specified bone and cross section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetInnerRadius &lt;Skin&gt; \\ &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; &lt;Radius_float&gt; \n\
</pre></div><p>Sets the inner cross section radius for the specified bone and cross section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetOuterRadius &lt;Skin&gt; &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; \n\
</pre></div><p>Returns the outer cross section radius for the specified bone and cross section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetOuterRadius &lt;Skin&gt; \\ &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; &lt;Radius_float&gt; \n\
</pre></div><p>Sets the outer cross section radius for the specified bone and cross section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetCrossSectionU &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; \n\
</pre></div><p>Gets the U value from the specified bone and cross section</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetCrossSectionU &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; &lt;U_float&gt; \n\
</pre></div><p>Sets the U value from the specified bone and cross section.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.enableGizmo &lt;Skin&gt; &lt;GizmoID_integer&gt; &lt;Enable_bool&gt; \n\
</pre></div><p>Enables/disables the gizmo type whose index equals <span class=\'code\'>GizmoID_integer</span> .</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getNumberOfGizmos &lt;Skin&gt; \n\
</pre></div><p>Returns the number of gizmos.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getNumberOfGizmoTypes &lt;Skin&gt; \n\
</pre></div><p>Returns the number of gizmo types.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedBonePropFalloff &lt;Skin&gt; \n\
</pre></div><p>Returns the falloff parameter of the current selected bone:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setSelectedBonePropFalloff &lt;Skin&gt; &lt;Falloff_integer&gt; \n\
</pre></div><p>Sets the falloff parameter of the current selected bone.</p>\n\
<p>The <span class=\'code\'>falloff_integer</span> sets the fall off of the bone:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedBonePropRelative &lt;Skin&gt; \n\
</pre></div><p>Gets the relative property of the current selected bone. It returns 1 if relative or 0 is absolute.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getNumberCrossSections &lt;Skin&gt; &lt;bone_integer&gt; \n\
</pre></div><p>Returns the number of cross sections for the specified bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedCrossSectionIndex &lt;Skin&gt; \n\
skinOps.getSelectedCrossSectionIsInner &lt;Skin&gt; \n\
skinOps.getSelectedGizmo &lt;Skin&gt; \n\
</pre></div><p>Returns the current selected gizmo.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.getSelectedGizmoType &lt;Skin&gt; \n\
skinOps.GetNumberVertices &lt;Skin&gt; \n\
</pre></div><p>Returns the number of vertices for the object the Skin modifier is applied to.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.RemoveCrossSection$ &lt;Skin&gt; \n\
</pre></div><p>Removes the current selected cross section from the current selected bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.RemoveCrossSection &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; \n\
</pre></div><p>Removes a particular cross-section from a particular bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.setSelectedBonePropRelative &lt;Skin&gt; &lt;Relative_integer&gt; \n\
</pre></div><p>Sets the relative property of the current selected bone.</p>\n\
<p>For <span class=\'code\'>relative_integer</span> , 0 is relative mode, 1 is absolute mode.</p>\n\
<div class=\'section\'><a id=\"weighting\"></a><h3 id=\"weighting\">Weighting</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.addWeight \n\
skinOps.SetWeight &lt;Skin&gt; &lt;weight_float&gt; \n\
</pre></div><p>Sets the weight of the selected vertices in the specified Skin modifier to the given floating point weight value.</p>\n\
<p>Note:</p>\n\
<p>If deferred plug-in loading is enabled, an instance of the Skin modifier must be created before these methods will be visible.</p>\n\
<p>This is because these methods are defined in the Skin modifier plug-in.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.scaleWeight\n\
skinOps.GetVertexWeight &lt;Skin&gt; &lt;vertex_integer&gt; &lt;vertex_bone_integer&gt; \n\
</pre></div><p>Returns the influence of the Nth bone affecting the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetVertexWeights &lt;Skin&gt; &lt;vertex_integer&gt; \\ ( &lt;vertex_bone_integer&gt; | &lt;vertex_bone_array&gt; ) \\\n\
 ( &lt;weight_float&gt; | &lt;weight_array&gt; )  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Sets the influence of the specified bone(s) to the specified vertex.</p>\n\
<p>Any influence weights for the bone(s) that are not specified are retained.</p>\n\
<p>If the bones and weights are specified as arrays, the arrays must be of the same size.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetVertexWeightBoneID &lt;Skin&gt; &lt;vertex_integer&gt; &lt;vertex_bone_integer&gt; \n\
</pre></div><p>Returns the system bone index of the Nth bone affecting the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.GetVertexWeightCount &lt;Skin&gt; &lt;vertex_integer&gt; \n\
</pre></div><p>Returns the number of bones influencing the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.ReplaceVertexWeights &lt;Skin&gt; &lt;vertex_integer&gt; \\ ( &lt;vertex_bone_integer&gt; | &lt;vertex_bone_array&gt; ) \\\n\
 ( &lt;weight_float&gt; | &lt;weight_array&gt; )  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Sets the influence of the specified bone(s) to the specified vertex.</p>\n\
<p>Any influence weights for the bone(s) that are not specified are erased.</p>\n\
<p>If the bones and weights are specified as arrays, the arrays must be of the same size.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.RemoveZeroWeights &lt;Skin&gt;\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Removes the influence of bones that have a weight on a vertex that is less than the threshold value specified by the <span class=\'code\'>.clearZeroLimit</span>. property of the modifier.</p>\n\
<p>Equivalent to pressing the &quot;Remove Zero Weights&quot; button in the &quot;Advanced Parameters&quot; rollout of the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.voxelWeighting &lt;Skin&gt; &lt;mode_integer&gt; &lt;falloff_float&gt; &lt;max_influence_integer&gt; \\\n\
  &lt;max_res_integer&gt; &lt;winding_bool&gt; &lt;envelope_off_bool&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Performs voxel weighting of the specified Skin modifier.</p>\n\
<p>The <span class=\'code\'>&lt;mode_integer&gt;</span> argument defines the Weight Solver to use, where 0 = Voxel, 1 = Heat Map</p>\n\
<p>The <span class=\'code\'>&lt;falloff_float&gt;</span> argument defines the Falloff, UI default is 0.2.</p>\n\
<p>The <span class=\'code\'>&lt;max_influence_integer&gt;</span> argument defines the maximum number of bones that can influence a vertex. UI default is 0 which means no limit.</p>\n\
<p>The <span class=\'code\'>&lt;max_res_integer&gt;</span> argument defines the Maximum resolution of the voxel grid. The UI default is 256. Only used by the Voxel mode, but must be specified even when performing Heat Map Weighting.</p>\n\
<p>The <span class=\'code\'>&lt;winding_bool&gt;</span> argument corresponds to the &quot;Use Winding Numbers&quot; checkbox in the UI which is unchecked by default. Only used by the Voxel mode, but must be specified even when performing Heat Map Weighting.</p>\n\
<p>The <span class=\'code\'>&lt;envelope_off_bool&gt;</span> argument corresponds to the &quot;Turn Off Envelope Gizmos&quot; checkbox in the UI which is checked by default.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SetBoneWeights &lt;Skin&gt; &lt;boneIds&gt; &lt;weights&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Sets all vertex influence weights for a specified bone, erasing all previous weights for the bone. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>The <span class=\'code\'>&lt;boneIds&gt;</span> argument can be a bone ID, or an array of bone IDs.</p>\n\
<p>The <span class=\'code\'>&lt;weights&gt;</span> argument can be an array of floats, in the case of a single bone ID, or an array of arrays of floats, when the <boneid> argument is an array. There needs to be one float weight for each vertex.<p>\n\
<div class=\'codeBlock\'><pre>skinOps.Hammer &lt;Skin&gt; &lt;vertices&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Performs a vertex weight &quot;hammer&quot; operation on the specified vertices. Available in <strong>3ds Max 2019.2 Update and higher</strong>. This resets the bone vertex weights to an average of all adjacent vertices.</p>\n\
<p>The <span class=\'code\'>&lt;vertices&gt;</span> argument can be a single vertex number, an array of vertices, or a bitarray.</p>\n\
<div class=\'section\'><a id=\"is...-tests\"></a><h3 id=\"is...-tests\">Is... Tests</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.isBoneSelected &lt;Skin&gt; &lt;BoneID_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Returns 1 if the bone is selected, otherwise 0.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.isRigidHandle &lt;Skin&gt; &lt;handle_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the handle is rigid, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.isRigidVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the vertex is rigid, false otherwise.</p>\n\
<p>A rigid vertex will only be weighted to one bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.IsVertexModified &lt;Skin&gt; &lt;vertex_integer&gt; \n\
</pre></div><p>Returns 1 if the vertex has been modified, 0 if it has not been modified.</p>\n\
<p>A modified vertex is vertex that has been weighted by hand or painting, an unmodified vertex weight depends solely on the envelopes.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.IsVertexSelected &lt;Skin&gt; &lt;vertex_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Returns 1 if the vertex is selected, 0 if it is not selected.</p>\n\
<div class=\'section\'><a id=\"vertex-normalization\"></a><h3 id=\"vertex-normalization\">Vertex Normalization</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.isUnNormalizeVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the vertex is unnormalized, <span class=\'code\'>false</span> if it is normalized.</p>\n\
<p>A normalized vertex’ weights will sum up to 1.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.unNormalizeVertex &lt;Skin&gt; &lt;vertex_integer&gt; &lt;boolean&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Unnormalizes the specified vertex. A normalized vertex’ weights will sum up to 1.</p>\n\
<div class=\'section\'><a id=\"load-and-save-envelopes\"></a><h3 id=\"load-and-save-envelopes\">Load and Save Envelopes</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.loadEnvelope &lt;Skin&gt; [&lt;filename_string&gt;] \n\
</pre></div><p>If the optional filename_string is supplied, loads the envelopes from the file supplied.</p>\n\
<p>If not, opens the load envelopes dialog.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.saveEnvelope &lt;Skin&gt; [&lt;filename_string&gt;] \n\
</pre></div><p>If the optional filename_string is not supplied, opens the save envelopes dialog. If the optional filename_string is supplied, saves the envelopes to the file supplied.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.loadEnvelopeAsASCII &lt;Skin&gt; \n\
</pre></div><p>Loads the envelopes to the file supplied</p>\n\
<div class=\'codeBlock\'><pre>skinOps.saveEnvelopeAsASCII &lt;Skin&gt; [&lt;filename_string&gt;] \n\
</pre></div><p>If the optional filename_string is not supplied, opens the save envelopes dialog.</p>\n\
<p>If the optional filename_string is supplied, saves the envelopes to the file supplied as ASCII text file.</p>\n\
<div class=\'section\'><a id=\"cross-section\"></a><h3 id=\"cross-section\">Cross Section</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.SetSelectedCrossSection \n\
skinOps.buttonRemoveCrossSection &lt;Skin&gt; \n\
</pre></div><p>Presses the remove cross section button.</p>\n\
<div class=\'section\'><a id=\"reset\"></a><h3 id=\"reset\">Reset</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.resetAllBones &lt;Skin&gt; \n\
</pre></div><p>Resets all bones.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.resetSelectedBone &lt;Skin&gt; \n\
</pre></div><p>Resets the current selected bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.resetSelectedVerts &lt;Skin&gt; \n\
</pre></div><p>Resets the current selected vertices.</p>\n\
<div class=\'section\'><a id=\"rigid\"></a><h3 id=\"rigid\">Rigid</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.rigidHandle &lt;Skin&gt; &lt;handle_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Sets the specified handle as rigid. A rigid handle vertex will have the same weight as the knot that owns it.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.rigidVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Sets the specified vertex as rigid. A rigid vertex will only be weighted to one bone.</p>\n\
<div class=\'section\'><a id=\"select\"></a><h3 id=\"select\">Select</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.SelectBone &lt;Skin&gt; &lt;bone_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]\n\
</pre></div><p>Selects the specified bone in the Bone list.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectBoneByNode \n\
skinOps.selectNextBone &lt;Skin&gt; \n\
</pre></div><p>Selects the next bone in the bone list.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectPreviousBone &lt;Skin&gt; \n\
</pre></div><p>Selects the next bone in the bone list.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectParent \n\
skinOps.selectChild \n\
skinOps.selectPreviousSibling \n\
skinOps.selectNextSibling \n\
skinOps.selectMirrorBones \n\
skinOps.selectCrossSection &lt;Skin&gt; &lt;CrossSectionID_integer&gt; &lt;Inner_Outer_integer&gt; \n\
</pre></div><p>Selects a cross section on the current selected bone.</p>\n\
<p>For <span class=\'code\'>Inner_Outer_integer</span> , 0 is the inner envelope 1 is the outer envelope.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectStartPoint &lt;Skin&gt; \n\
</pre></div><p>Selects the end point of the envelope of the current selected bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectEndPoint &lt;Skin&gt; \n\
</pre></div><p>Selects the start point of the envelope the current selected bone.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectGizmo &lt;Skin&gt; &lt;gizmoID_int&gt; \n\
</pre></div><p>Desc - this function selects the gizmo who index equals <span class=\'code\'>gizmoID</span> .</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectGizmoType &lt;Skin&gt; &lt;gizmoTypeID_int&gt; \n\
</pre></div><p>Selects the gizmo type whose index equals <span class=\'code\'>gizmoTypeID</span> .</p>\n\
<div class=\'codeBlock\'><pre>skinOps.SelectVertices &lt;Skin&gt; \\ ( &lt;vertex_integer&gt; | &lt;vertex_array &gt; | &lt;&lt;vertex_bitarray&gt; ) \n\
</pre></div><p>Selects the specified vertices.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.selectVerticesByBone \n\
</pre></div><div class=\'section\'><a id=\"mirror\"></a><h3 id=\"mirror\">Mirror</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.setMirrorTM \n\
skinOps.updateMirror \n\
skinOps.mirrorPaste \n\
skinOps.mirrorPasteBone \n\
</pre></div><div class=\'section\'><a id=\"zoom-to\"></a><h3 id=\"zoom-to\">Zoom To</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.ZoomToBone &lt;Skin&gt; &lt;All_boolean&gt; \n\
</pre></div><p>Zooms the active or all views to the selected bone. If <span class=\'code\'>All_boolean</span> is <span class=\'code\'>true</span> , then all views are zoomed.</p>\n\
<div class=\'codeBlock\'><pre>skinOps.ZoomToGizmo &lt;Skin&gt; &lt;All_boolean&gt; \n\
</pre></div><p>Zooms the active or all views to the selected gizmo. If <span class=\'code\'>All_boolean</span> is <span class=\'code\'>true</span> , then all views are zoomed.</p>\n\
<div class=\'section\'><a id=\"other-methods\"></a><h3 id=\"other-methods\">Other Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>skinOps.gizmoResetRotationPlane \n\
skinOps.Invalidate &lt;Skin&gt; &lt;integer&gt; \n\
</pre></div><p>Invalidates the Skin’s internal cache, forcing it to recompute all the data.</p>\n\
<p>The integer parameter is not used, but should be passed when calling the method.</p>\n\
<p><strong>Related Interfaces</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-SkinPose.html\' title=\'\'>Interface: SkinPose</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SkinUtils.html\' title=\'\'>Interface: SkinUtils</a></p>\n\
</boneid>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";