var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skin_Morph : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skin_Morph : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skin_morph-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skin_Morph - superclass: modifier; super-superclass:MAXWrapper - 32:0 - classID: #(2060490561, 1770267731) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Skin_Morph... MorphByBone ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h3 id=\"parameters-rollout\">Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.bones ArrayParameter default: #() --node array; Bone_Nodes; SubAnim   \n\
</pre></div><p>Get/set the bones array.</p>\n\
<div class=\'section\'><a id=\"selection-rollout\"></a><h3 id=\"selection-rollout\">Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.useSoftSelection BooleanClass default: false-- boolean; Use_Soft_Selection \n\
</pre></div><p>Get/set the state of the Use Soft Selection checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.selectionRadius Float default: 10.0 -- float; Selection_Radius \n\
</pre></div><p>Get/set the Soft Selection Radius value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.useEdgeLimit BooleanClass default: false -- boolean; Use_Edge_Limit \n\
</pre></div><p>Get/set the state of the Edge Limit checbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.edgeLimit Integer default: 10 -- integer; Edge_Limit \n\
</pre></div><p>Get/set the Soft Selection Edge Limit value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.falloffGraphs ArrayParameter default: #() -- max objectarray; Falloff_Graphs; SubAnim \n\
&lt;Skin_Morph&gt;.softSelectionGraph CurveControl default: ReferenceTarget:Animatable -- max object; Soft_Selection_Graph; SubAnim \n\
</pre></div><p>Accesses the Soft Selection <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Curve-Control.html\' title=\'\'>Curve Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>Skin_Morph.softSelectionGraph - superclass: ReferenceMaker; super-superclass:MAXWrapper - 1:1 - classID: #(341333875, 1211792847) \n\
&lt;Skin_Morph.softSelectionGraph&gt;.curve_1 SubAnim default: SubAnim:Curve_1 -- SubAnimSkin_Morph.softSelectionGraph.curve_1 : MAXObject ; \n\
</pre></div><p>Accesses the curve in the Soft Selection <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Curve-Control.html\' title=\'\'>Curve Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.targetNodes ArrayParameter default: #() -- node array; Node_List; SubAnim \n\
</pre></div><p>Get/set the External Mesh Target nodes array.</p>\n\
<div class=\'section\'><a id=\"local-properties-rollout\"></a><h3 id=\"local-properties-rollout\">Local Properties Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.enabled BooleanClassdefault: true -- boolean \n\
</pre></div><p>Get/set the state of the Enabled checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.MorphName String default: &quot;Morph0&quot; -- string \n\
</pre></div><p>Get/set the name of the Morph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.influenceAngle Float default: 90.0 -- float; Influence \n\
</pre></div><p>Get/set theInfluence Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.falloff Integer default: 0 -- integer \n\
</pre></div><p>Get/set the Falloff drop-down list selection. Possible values are:</p>\n\
<p>0 - Linear</p>\n\
<p>1 - Sinual</p>\n\
<p>2 - Fast</p>\n\
<p>3 - Slow</p>\n\
<p>4 - Custom Falloff</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.jointType Integer default: 0 -- integer; Joint_Type \n\
</pre></div><p>Get/set the Joint Type drop-down list selection. Possible values are:</p>\n\
<p>0 - Ball Joint</p>\n\
<p>1 - Planar Joint</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.reloadSelected BooleanClass default: false -- boolean; Only_Reload_Selected_Vertices \n\
</pre></div><p>Get/set the state of the &quot;Reload only selected verts&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"copy-and-paste-rollout\"></a><h3 id=\"copy-and-paste-rollout\">Copy and Paste Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showMirrorPlane BooleanClass default: false-- boolean; Show_Mirror_Plane \n\
</pre></div><p>Get/set the state of the Show Mirror Plane checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.previewBone BooleanClass default: false -- boolean;Preview_Bones \n\
</pre></div><p>Get/set the state of the Preview Bone checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.previewVerts BooleanClass default: false -- boolean; Preview_Verts \n\
</pre></div><p>Get/set the state of the Preview Vertices checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.mirrorPlane Integer default: 0 -- integer; Mirror_Plane \n\
</pre></div><p>Get/set the Mirror Plane axis. Possible values are:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.mirrorOffset Float default: 0.0 -- float; Mirror_Offset \n\
</pre></div><p>Get/set the Mirror Offset value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.mirrorThreshold Float default: 1.0 -- float; Mirror_Threshold \n\
</pre></div><p>Get/set the Mirror Threshold value.</p>\n\
<div class=\'section\'><a id=\"options-rollout\"></a><h3 id=\"options-rollout\">Options Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.safemode BooleanClass default: true -- boolean; Safe_Mode \n\
</pre></div><p>Get/set the state of the <strong>Beginner Mode</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showDriverBone BooleanClass default: true-- boolean; Show_Driver_Bone \n\
</pre></div><p>Get/set the state of the Show Driver Bone checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showMorphBone BooleanClass default: true --boolean; Show_Morph_Bone \n\
</pre></div><p>Get/set the state of the Show Morph Bone checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showCurrentAngle BooleanClass default: true-- boolean; Show_Current_Angle \n\
</pre></div><p>Get/set the state of the Show Current Angle checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showEdges BooleanClass default:true -- boolean; Show_Edges \n\
</pre></div><p>Get/set the state of the Show Edges checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.matrixSize Float default: 10.0 -- float; Matrix_Size \n\
</pre></div><p>Get/set the matrix size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.boneSize Float default: 1.0 -- float; Bone_Size \n\
</pre></div><p>Get/set the bones size value.</p>\n\
<div class=\'section\'><a id=\"additional-options-not-exposed-to-the-ui\"></a><h3 id=\"additional-options-not-exposed-to-the-ui\">Additional Options not exposed to the UI</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showLimitAngle BooleanClass default: false-- boolean; Show_Limit_Angle \n\
</pre></div><p>When set to true, shows the Limit Angle in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showDeltas BooleanClass default:true -- boolean; Show_Deltas \n\
</pre></div><p>When set to true, shows the Deltas in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Morph&gt;.showX BooleanClass default: true -- boolean; Show_X \n\
&lt;Skin_Morph&gt;.showY BooleanClass default: true -- boolean; Show_Y\n\
&lt;Skin_Morph&gt;.showZ BooleanClass default: true -- boolean; Show_Z \n\
</pre></div><div class=\'section\'><a id=\"skin_morph-interfaces\"></a><h2 id=\"skin_morph-interfaces\">Skin_Morph interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:skinMorphOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addBone &lt;node&gt;node \n\
</pre></div><p>Adds the specified bone to the Bones list under Parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeBone &lt;node&gt;node \n\
</pre></div><p>Removes the specified bone from the Bones list under Parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; selectBone &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Selects the specified bone from the specified morph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;selectVertices &lt;node&gt;node &lt;bitArray&gt;sel \n\
</pre></div><p>Selects the vertices of the specified node using the specified bitArray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSelectedVertex &lt;node&gt;node &lt;integer&gt;vertexIndex \n\
</pre></div><p>Returns true if the indexed vertex of the specified node is selected</p>\n\
<div class=\'section\'><a id=\"selection-rollout-1\"></a><h3 id=\"selection-rollout-1\">Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;resetSelectionGraph()\n\
</pre></div><p>Resets the Soft Selection graph. Corresponds to pressing the Reset Graph button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ring() \n\
</pre></div><p>Corresponds to pressing the Ring button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;loop() \n\
</pre></div><p>Corresponds to pressing the Loop button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;shrink() \n\
</pre></div><p>Corresponds to pressing the Shrink button in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;grow() \n\
</pre></div><p>Corresponds to pressing the Grow button in the Selection rollout.</p>\n\
<div class=\'section\'><a id=\"local-properties-rollout-1\"></a><h3 id=\"local-properties-rollout-1\">Local Properties Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;createMorph &lt;node&gt;node \n\
</pre></div><p>Corresponds to pressing the Create Morph button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeMorph &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Corresponds to pressing the Delete Morph button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;editMorph &lt;boolean&gt;edit \n\
</pre></div><p>Corresponds to pressing the Edit button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;clearSelectedVertices() \n\
</pre></div><p>Corresponds to pressing the Clear Verts button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;resetOrientation &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Affects the specified node and morph. Corresponds to pressing the Reset Orient. button with the corresponding morph and node selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteSelectedVertices() \n\
</pre></div><p>Corresponds to pressing the Remove Verts button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;editFalloffGraph &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Corresponds to pressing the G button next to the Falloff drop-down list when in Custom Falloff mode for the specified node and morph. Opens a Custom Falloff curve editor.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>$Cylinder01.modifiers[1].editFalloffGraph $Bone01   --&gt;&quot;Morph 0&quot;   --Cylinder01 is the node the Skin_Morph is assigned to   --Bone01 is the bone node   --&quot;Morph 0&quot; is the name of the morph</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setExternalNode &lt;node&gt;morphnode &lt;string&gt;morphName &lt;node&gt;externalnode \n\
</pre></div><p>Sets the external Mesh for the specified node and morph to the supplied externalNode. Corresponds to using the External Mesh button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;reloadTarget &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Corresponds to pressing the Reload Target button for the specified node and morph.</p>\n\
<div class=\'section\'><a id=\"copy-and-paste-rollout-1\"></a><h3 id=\"copy-and-paste-rollout-1\">Copy and Paste Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;mirrorPaste &lt;node&gt;node \n\
</pre></div><p>Corresponds to pressing the Paste Mirror button for the specified node.</p>\n\
<div class=\'section\'><a id=\"transformation-methods\"></a><h3 id=\"transformation-methods\">Transformation Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;moveVerts &lt;point3&gt;vec \n\
</pre></div><p>Moves the selected vertices by the specified vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;transformVerts&lt;&lt;matrix3&gt;tmMotion &lt;matrix3&gt;tmToLocalSpace \n\
</pre></div><p>Transforms the verticesiusing the given matrices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;boneGetInitialNodeTM &lt;node&gt;node \n\
</pre></div><p>Returns the initial node transformation matrix of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetInitialNodeTM &lt;node&gt;node &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the initial node transformation matrix of the specified bone node to the supplied matrix value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;boneGetInitialObjectTM &lt;node&gt;node \n\
</pre></div><p>Returns the initial object transformation matrix of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetInitialObjectTM &lt;node&gt;node &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the initial object transformation matrix of the specified bone node to the supplied matrix value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;boneGetInitialParentTM &lt;node&gt;node \n\
</pre></div><p>Returns the initial parent transformation matrix of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetInitialParentTM &lt;node&gt;node &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the initial parent transformation matrix of the specified bone node to the supplied matrix value.</p>\n\
<div class=\'section\'><a id=\"additional-controls\"></a><h3 id=\"additional-controls\">Additional Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numberOfBones() \n\
</pre></div><p>Returns the number of bones in the modifier as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;boneGetNumberOfMorphs &lt;node&gt;node \n\
</pre></div><p>Returns the number of morphs for the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;boneGetMorphName &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the name of the indexed morph of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphName &lt;node&gt;node &lt;integer&gt;index &lt;string&gt;name \n\
</pre></div><p>Sets the name of the indexed morph of the specified bone node to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;boneGetMorphAngle &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the morph angle of the indexed morph of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphAngle &lt;node&gt;node &lt;integer&gt;index &lt;float&gt;angle \n\
</pre></div><p>Sets the morph angle of the indexed morph of the specified bone node to the given angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;boneGetMorphTM &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the morph transformation matrix of the indexed morph of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphTM &lt;node&gt;node &lt;integer&gt;index &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the morph transformation matrix of the indexed morph of the specified bone node to the given matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;boneGetMorphParentTM &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the morph&#39;s parent transformation matrix of the indexed morph of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphParentTM &lt;node&gt;node &lt;integer&gt;index &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the morph&#39;s parent transformation matrix of the indexed morph of the specified bone node to the given matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;boneGetMorphIsDead &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns true if the indexed morph of the specified bone node is dead, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphSetDead &lt;node&gt;node &lt;integer&gt;index &lt;boolean&gt;dead \n\
</pre></div><p>Sets the dead state of indexed morph of the specified bone node to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;boneGetMorphNumPoints &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the number of points of the indexed morph of the specified bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphNumPoints &lt;node&gt;node &lt;integer&gt;index &lt;integer&gt;numPoints \n\
</pre></div><p>Sets the number of points of the indexed morph of the specified bone node to the given integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;boneGetMorphVertID &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex \n\
</pre></div><p>Returns the Vertex ID of the indexed morph of the specified bone node as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphVertID &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex &lt;integer&gt;index \n\
</pre></div><p>Sets the Vertex ID of the indexed morph of the specified bone node to the given integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;boneGetMorphVec &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex \n\
</pre></div><p>Returns the Morph Vector of the indexed morph of the specified bone node as Point3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphVec &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex &lt;point3&gt;vec \n\
</pre></div><p>Sets the Morph Vector of the indexed morph of the specified bone node to the given Point3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;boneGetMorphVecInParentSpace &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex \n\
</pre></div><p>Returns the Morph Vector in parent space of the indexed morph of the specified bone node as Point3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphVecInParentSpace &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex &lt;point3&gt;vec \n\
</pre></div><p>Sets the Morph Vector in parent space of the indexed morph of the specified bone node to the given Point3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;boneGetMorphBasePoint &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex \n\
</pre></div><p>Returns the Base Point of the indexed morph of the specified bone node as Point3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphBasePoint &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex &lt;point3&gt;point \n\
</pre></div><p>Sets the Base Point of the indexed morph of the specified bone node to the given Point3 value</p>\n\
<div class=\'codeBlock\'><pre> &lt;node&gt;boneGetMorphOwner &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex \n\
</pre></div><p>Returns the owner node of the indexed vertex in the indexed morph of the specified bone node</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphOwner &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;ithVertIndex &lt;node&gt;node \n\
</pre></div><p>Sets the owner of the indexed vertex in the indexed morph of the specified bone node to the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;boneGetMorphFalloff &lt;node&gt;node &lt;integer&gt;morphIndex \n\
</pre></div><p>Returns the falloff of the indexed morph of the specified bone node</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphFalloff &lt;node&gt;node &lt;integer&gt;morphIndex &lt;integer&gt;falloff \n\
</pre></div><p>Sets the falloff of the indexed morph of the specified bone node</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getWeight &lt;node&gt;node &lt;string&gt;morphName \n\
</pre></div><p>Returns the Weigth of the indexed morph of the specified bone node</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;boneGetMorphEnabled &lt;node&gt;node &lt;integer&gt;morphIndex \n\
</pre></div><p>Returns the Enabled state of the indexed morph of the specified bone node</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;boneSetMorphEnabled &lt;node&gt;node &lt;integer&gt;morphIndex &lt;boolean&gt;enabled \n\
</pre></div><p>Sets the Enabled state of the indexed morph of the specified bone node to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;update() \n\
</pre></div><p>Forces an update of the Skin_Morph modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";