var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skin_Wrap : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skin_Wrap : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skin_wrap-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skin_Wrap - superclass: modifier; super-superclass:MAXWrapper - 17:0 - classID: #(582466825, 1731904975) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>Skin_Wrap</strong> modifier lets you transfer deformations from one mesh to another, typically from low-resolution proxy mesh to a high-resolution final mesh.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Skin_Wrap ... MeshDeformPW ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h3 id=\"parameters-rollout\">Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.meshList ArrayParameter default: #() -- node array   \n\
</pre></div><p>Get/Set the mesh list nodes array. Corresponds to the node list in the Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.mesh UndefinedClassdefault: undefined -- node \n\
&lt;Skin_Wrap&gt;.engine Integer default: 1 -- integer \n\
</pre></div><p>Get/Set the Deformation Engine drop-down list selection. Possible values are:</p>\n\
<p>0 - Face Deformation</p>\n\
<p>1 - Vertex Deformation (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.falloff Float default: 1.0 -- float \n\
</pre></div><p>Get/Set the Falloff value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.Distance Float default: 1.2 -- float \n\
</pre></div><p>Get/Set the &quot;Distance Infl.&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.faceLimit Integer default: 3 -- integer; Face_Limit \n\
</pre></div><p>Get/Set the &quot;Face Limit&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.blend BooleanClass default: false-- boolean; Blend_To_Base_Mesh \n\
</pre></div><p>Get/Set the state of the &quot;Blend To Base Mesh&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.blendDistance Float default:5.0 -- float; Blend_Distance \n\
</pre></div><p>Get/Set the Blend Distance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.threshold Float default: 5.0 -- float \n\
</pre></div><p>Get/Set the Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.weightAllVerts BooleanClass default: false -- boolean; Weight_All_Verts \n\
</pre></div><p>Get/Set the state of the &quot;Weight All Points&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"advanced-parameters-rollout\"></a><h3 id=\"advanced-parameters-rollout\">Advanced Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showMirrorData BooleanClass default: false-- boolean; Show_Mirror_Data \n\
</pre></div><p>Get/Set the state of the &quot;Show Mirror Data&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.mirrorPlane Integer default: 0 -- integer; Mirror_Plane \n\
</pre></div><p>Get/Set the selection of the &quot; Mirror Plane&quot; radio buttons. Possible values are:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.mirrorOffset Float default:0.0 -- float; Mirror_Offset \n\
</pre></div><p>Get/Set the &quot;Mirror Offset&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.mirrorThreshold Float default: 0.5 -- float; Mirror_Threshold \n\
</pre></div><p>Get/Set the &quot;Mirror Threshold&quot; value.</p>\n\
<div class=\'section\'><a id=\"display-parameters-rollout\"></a><h3 id=\"display-parameters-rollout\">Display Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showLoops BooleanClass default: true -- boolean; Show_Loops \n\
</pre></div><p>Get/Set the state of the &quot;Display Loops&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showAxis BooleanClass default: true -- boolean; Show_Axis \n\
</pre></div><p>Get/Set the state of the &quot;Display Axis&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showFaceLimit BooleanClass default: true-- boolean; Show_Face_Limit \n\
</pre></div><p>Get/Set the state of the &quot;Display Face Limit&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showUnassignedVerts BooleanClass default: false --boolean; Show_Unassigned_Verts \n\
</pre></div><p>Get/Set the state of the &quot;Display Unassigned Points&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skin_Wrap&gt;.showVerts BooleanClass default:true -- boolean; Show_Verts \n\
</pre></div><p>Get/Set the state of the &quot;Display Control Verts&quot; checkbox.</p>\n\
<p><strong>Skin_Wrap interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: meshDeformOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout-1\"></a><h3 id=\"parameters-rollout-1\">Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;reset() \n\
</pre></div><p>Resest both the Strength and Scale values of the selected control vertices. Corresponds to pressing the &quot;Reset&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setLocalStr &lt;float&gt;str \n\
</pre></div><p>Sets the local strengthof the selected control verticesto the specified float value. Affects the value represented by the Local Str. spinner in the Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setLocalScale &lt;index&gt;axis &lt;float&gt;scale \n\
</pre></div><p>Sets the local scaleof the selected control verticesalong the indexed axis to the specified float value.</p>\n\
<p>Possible axis values are</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>Affects the values represented by the Local X, Local Y and Local Z spinners in the Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ConvertToSkin &lt;boolean&gt;silent \n\
</pre></div><p>Corresponds to pressing the &quot;Convert To Skin&quot; button.</p>\n\
<div class=\'section\'><a id=\"advanced-parameters-rollout-1\"></a><h3 id=\"advanced-parameters-rollout-1\">Advanced Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;mirrorSelectedControlPoints() \n\
</pre></div><p>Mirrors the selected control vertices. Corresponds to pressing the &quot;Mirror Selected&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;bakeControlPoint() \n\
</pre></div><p>Bakes the control vertices. Corresponds to pressing the &quot;Bake Control Verts&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;retrieveControlPoint() \n\
</pre></div><div class=\'section\'><a id=\"control-vertex-access-methods\"></a><h3 id=\"control-vertex-access-methods\">Control Vertex Access Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;getSelectedVertices &lt;index&gt;wrapNodeIndex \n\
</pre></div><p>Returns a bitarray containing the selected vertices affected by the indexed wrap node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setSelectVertices &lt;index&gt;wrapNodeIndex &lt;bitArray&gt;sel &lt;boolean&gt;update \n\
</pre></div><p>Sets the vertex selection for the indexed wrap node to the given bitarray. If the update argument is false, no update will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumberOfControlPoints &lt;index&gt;wrapNodeIndex \n\
</pre></div><p>Returns the number of control vertices of the indexed wrap node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getControlPointScale &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the control vertex scale of the indexed vertex of the indexed wrap node as a point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setControlPointScale &lt;index&gt;wrapNodeIndex &lt;index&gt;index &lt;point3&gt;scale \n\
</pre></div><p>Sets the control vertex scale of the indexed vertex of the indexed wrap node to the given point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getControlPointStr &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the control vertex strength of the indexed vertex of the indexed wrap node as a float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setControlPointStr &lt;index&gt;wrapNodeIndex &lt;index&gt;index &lt;float&gt;str \n\
</pre></div><p>Sets the control vertex strength of the indexed vertex of the indexed wrap node to the given float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;getControlPointInitialTM &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the initial transformation matrix of the indexed control vertex in the indexed wrap node as a matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;getControlPointCurrentTM &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the current transformation matrix of the indexed control vertex in the indexed wrap node as a matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getControlPointDist &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the indexed control vertex&#39; distance in the indexed wrap node as a float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getControlPointXVert &lt;index&gt;wrapNodeIndex &lt;index&gt;index \n\
</pre></div><p>Returns the transformed vertex index of the indexed control vertex in the indexed wrap node as an integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OutputVertexData &lt;node&gt;node &lt;integer&gt;vertexIndex\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";