var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SurfDeform : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SurfDeform : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"surfdeform-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SurfDeform - superclass: modifier; super-superclass:MAXWrapper - classID: #(1950247845, 1970939916) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>surfDeform ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.surface Node default: undefined \n\
</pre></div><p>The surface used to apply deformation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.U_Percent Float default: 50.0 -- animatable, percentage \n\
</pre></div><p>Moves the object along the U (horizontal) axis of the gizmo patch, based on a percentage of the U distance. This defaults to a setting of 50 percent, which places the object at the center of the gizmo patch. A setting of 0 percent places the object at the left edge of the gizmo patch, as seen from the viewport where the patch was created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.U_Stretch Float default: 1.0 -- animatable \n\
</pre></div><p>Scales the object along the U (horizontal) axis of the gizmo patch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.V_Percent Float default: 50.0 -- animatable, percentage \n\
</pre></div><p>Moves the object along the V (vertical) axis of the gizmo patch, based on a percentage of the V distance. A setting of 0 percent places the object at the bottom of the gizmo patch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.V_Stretch Float default: 1.0 -- animatable \n\
</pre></div><p>Scales the object along the V (vertical) axis of the gizmo patch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.rotation Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the modified object with respect to the gizmo patch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.Plane_to_Patch_Deform Integer default: 0 \n\
</pre></div><p>Choose a two-axis plane of the object to make parallel with the XY plane of the gizmo patch:</p>\n\
<p>0- XY</p>\n\
<p>1- YZ</p>\n\
<p>2- ZX</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.Flip_deformation_axis Integer default: 0 \n\
</pre></div><p>When on, reverses the gizmo direction.</p>\n\
<p>0- Don’t flip</p>\n\
<p>1- Flip</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the modifier. The PatchDeform gizmo is a representation of the deforming patch object, so transforming it determines which part of the patch affects the modified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the surfdeform gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the surfdeform gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SurfDeform.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the surfdeform gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";