var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bevel : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bevel : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bevel-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bevel - superclass: modifier; super-superclass:MAXWrapper - classID: #(4119, 32670) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Bevel...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Cap_Bottom Integer default: 1 \n\
</pre></div><p>When on, caps the end with the lowest local Z value (bottom) of the object.</p>\n\
<p>When turned off, the bottom is open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Cap_Top Integer default: 1 \n\
</pre></div><p>When on, caps the end with the highest local Z value (top) of the object.</p>\n\
<p>When turned off, the end is left open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Cap_Type Integer default: 0 \n\
</pre></div><p>Sets cap type:</p>\n\
<p>0- Morph (Creates cap faces suitable for morphing.)</p>\n\
<p>1- Grid (Creates cap faces in a grid pattern. This cap type deforms and renders better than morph capping.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Side_Type Integer default: 0 \n\
</pre></div><p>Side type:</p>\n\
<p>0- Linear Sides (Segment interpolation between levels follows a straight line.)</p>\n\
<p>1- Curved Sides (Segment interpolation between levels follows a Bezier curve.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of intermediate segments between each level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Smooth_Levels Integer default: 0 \n\
</pre></div><p>Controls whether smoothing groups are applied to the sides of a beveled object.</p>\n\
<p>Caps always use a different smoothing group than the sides.</p>\n\
<p>When turned on, smoothing groups are applied to the sides, and the sides appear rounded.</p>\n\
<p>When turned off, smoothing groups are not applied, and the sides appear as flat bevels.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Produce_Mapping_Coords Integer default: 0 \n\
</pre></div><p>When turned on, mapping coordinates are applied to the beveled object.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Keep_Lines_From_Crossing Integer default: 0 \n\
</pre></div><p>When on, this prevents outlines from crossing over themselves.</p>\n\
<p>This is accomplished by inserting extra vertices in the outline and replacing sharp corners with a flat line segment.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Separation_Between_LinesFloat default: 1.0 -- animatable \n\
</pre></div><p>The distance to be maintained between edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Starting_Outline Float default: 0.0 -- animatable \n\
</pre></div><p>The distance the outline is offset from the original shape.</p>\n\
<p>A non-zero setting changes the original shape’s size.</p>\n\
<p>Positive values make the outline larger and negative values make the outline smaller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_1_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The distance of Level 1 above the Start level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_1_Outline Float default: 0.0 -- animatable \n\
</pre></div><p>The distance to offset the Level 1 outline from the Start Outline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Use_Level_2 Integer default: 0 \n\
</pre></div><p>Adds a level after Level 1 when on.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_2_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The distance above Level 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_2_Outline Float default: 0.0 -- animatable \n\
</pre></div><p>The offset distance of the Level 2 outline from Level 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Use_Level_3 Integer default: 0 \n\
</pre></div><p>Adds a level after the previous level.</p>\n\
<p>If Level 2 is not on, Level 3 is added after Level 1.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_3_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The distance above the previous level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel&gt;.Level_3_Outline Float default: 0.0 -- animatable \n\
</pre></div><p>The offset distance of Level 3 from the previous level.</p>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";