var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bevel_Profile : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bevel_Profile : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bevel_profile-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bevel_Profile - superclass: modifier; super-superclass:MAXWrapper - classID: #(2051146448, 295048994) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Bevel_Profile...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Produce_Mapping_Coords Integer default: 0 \n\
</pre></div><p>When on, assigns UV coordinates.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Cap_Bottom Integer default: 1 \n\
</pre></div><p>When on, caps the end with the lowest local Z value (bottom) of the object. When turned off, the bottom is open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Cap_Top Integer default: 1 \n\
</pre></div><p>When on, caps the end with the highest local Z value (top) of the object. When turned off, the end is left open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Cap_Type Integer default: 0 \n\
</pre></div><p>Cap type:</p>\n\
<p>0- Morph (Selects a deterministic method of capping that provides the same number of vertices for morphing between objects.)</p>\n\
<p>1- Grid (Creates gridded caps that are better for cap deformations.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Keep_Lines_From_Crossing Integer default: 0 \n\
</pre></div><p>When on, prevents beveled surfaces from self intersecting. This requires more processor calculation and can be time-consuming in complex geometry.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.Separation_Between_Lines Float default: 1.0 -- animatable \n\
</pre></div><p>The distance that sides should be kept apart to prevent intersections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile&gt;.profile_gizmo SubAnim \n\
</pre></div><p>You can move, scale, and rotate the gizmo to alter the effect of the bevel profile modifier on the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile.Profile_Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the profile gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile.Profile_Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the profile gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bevel_Profile.Profile_Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the profile gizmo.</p>\n\
<p>Note: There is no way to set the Profile shape using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";