var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Crease : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Crease : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crease-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Crease - superclass: modifier; super-superclass:MAXWrapper - 4:0 - classID: #(-1615608024, 1823637527)\n\
</pre></div><p>Exposes the Crease modifier to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Crease ...\n\
CreaseMod ...\n\
\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Crease&gt;.creasecolor     Color    default: (color 0 255 0)   --  RGB color\n\
</pre></div><p>Gets/sets the display color of the creases.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crease&gt;.displayColor     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets whether to display the color of the creases.</p>\n\
<p>Not exposed in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crease&gt;.crease     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Gets/sets the crease amount.</p>\n\
<p>Possible values are between 0.0 and 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crease&gt;.selectionoption     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the 0-based selection index of the <strong>&quot;Selection&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>From Stack</strong> (default)</p>\n\
<p>1 - <strong>Selected Vertices</strong></p>\n\
<p>2 - <strong>All Vertices</strong></p>\n\
<p>3 - <strong>Selected Edges</strong></p>\n\
<p>4 - <strong>All Edges</strong></p>\n\
<p>5 - <strong>Selected Face Edges</strong></p>\n\
<p>6 - <strong>Selected Faces Border</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";