var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Edit_Poly : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Edit_Poly : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"edit_poly-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Edit_Poly -superclass: modifier; super-superclass:MAXWrapper - classID:#(2041212445, 1906341303) \n\
</pre></div><p>{{toc}}</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Edit_Poly ... EditPolyMod... \n\
</pre></div><p>{{toc}}</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"edit-poly-mode\"></a><h2 id=\"edit-poly-mode\">Edit Poly Mode</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.animationMode Integer default: 0 -- integer; Animation_Mode \n\
</pre></div><p>Get/set the state of the Model/Animation radio buttons in the Edit Poly Mode rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Model</strong></p>\n\
<p>1 - <strong>Animate</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.currentOperation Integer default: 0 -- integer; Edit_Type \n\
</pre></div><p>Get/set the current editing operation of the modifier.</p>\n\
<p>Possible values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>1</strong></td>\n\
<td align=\"left\">HideVertex</td>\n\
<td align=\"left\"><strong>2</strong></td>\n\
<td align=\"left\">Hide Polygon</td>\n\
<td align=\"left\"><strong>3</strong></td>\n\
<td align=\"left\">Unhide Vertices</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>4</strong></td>\n\
<td align=\"left\">Unhide Polygons</td>\n\
<td align=\"left\"><strong>5</strong></td>\n\
<td align=\"left\">Hide Unselected Vertices</td>\n\
<td align=\"left\"><strong>6</strong></td>\n\
<td align=\"left\">Hide Unselected Polygons</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>7</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>8</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>9</strong></td>\n\
<td align=\"left\">Cap Holes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>10</strong></td>\n\
<td align=\"left\">Delete Vertex</td>\n\
<td align=\"left\"><strong>11</strong></td>\n\
<td align=\"left\">Delete Polygon</td>\n\
<td align=\"left\"><strong>12</strong></td>\n\
<td align=\"left\">Detach Vertex</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>13</strong></td>\n\
<td align=\"left\">Detach Polygon</td>\n\
<td align=\"left\"><strong>14</strong></td>\n\
<td align=\"left\">Split Edge</td>\n\
<td align=\"left\"><strong>15</strong></td>\n\
<td align=\"left\">BreakVertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>16</strong></td>\n\
<td align=\"left\">Collapse Vertex</td>\n\
<td align=\"left\"><strong>17</strong></td>\n\
<td align=\"left\">Collapse Edge</td>\n\
<td align=\"left\"><strong>18</strong></td>\n\
<td align=\"left\">Collapse Polygon</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>19</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>20</strong></td>\n\
<td align=\"left\">Slice</td>\n\
<td align=\"left\"><strong>21</strong></td>\n\
<td align=\"left\">Slice Polygon</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>22</strong></td>\n\
<td align=\"left\">Weld Vertex</td>\n\
<td align=\"left\"><strong>23</strong></td>\n\
<td align=\"left\">Weld Edge</td>\n\
<td align=\"left\"><strong>24</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>25</strong></td>\n\
<td align=\"left\">Make Planar</td>\n\
<td align=\"left\"><strong>26</strong></td>\n\
<td align=\"left\">Remove Isolated Vertices</td>\n\
<td align=\"left\"><strong>27</strong></td>\n\
<td align=\"left\">MeshSmooth</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>28</strong></td>\n\
<td align=\"left\">Tessellate</td>\n\
<td align=\"left\"><strong>29</strong></td>\n\
<td align=\"left\">Retriangulate</td>\n\
<td align=\"left\"><strong>30</strong></td>\n\
<td align=\"left\">Flip Normals</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>31</strong></td>\n\
<td align=\"left\">Flip Normals</td>\n\
<td align=\"left\"><strong>32</strong></td>\n\
<td align=\"left\">Bevel Polygon</td>\n\
<td align=\"left\"><strong>33</strong></td>\n\
<td align=\"left\">Chamfer Vertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>34</strong></td>\n\
<td align=\"left\">Chamfer Edge</td>\n\
<td align=\"left\"><strong>35</strong></td>\n\
<td align=\"left\">Cut</td>\n\
<td align=\"left\"><strong>36</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>37</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>38</strong></td>\n\
<td align=\"left\">Inset Polygon</td>\n\
<td align=\"left\"><strong>39</strong></td>\n\
<td align=\"left\">ExtrudeVertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>40</strong></td>\n\
<td align=\"left\">Extrude Edge</td>\n\
<td align=\"left\"><strong>41</strong></td>\n\
<td align=\"left\">Extrude Polygon</td>\n\
<td align=\"left\"><strong>42</strong></td>\n\
<td align=\"left\">Extrude Along Spline</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>43</strong></td>\n\
<td align=\"left\">Connect Edge</td>\n\
<td align=\"left\"><strong>44</strong></td>\n\
<td align=\"left\">Connect Vertex</td>\n\
<td align=\"left\"><strong>45</strong></td>\n\
<td align=\"left\">Hinge From Edge</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>46</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>47</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>48</strong></td>\n\
<td align=\"left\">Remove Unused Map Verts</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>49</strong></td>\n\
<td align=\"left\">Remove Vertex</td>\n\
<td align=\"left\"><strong>50</strong></td>\n\
<td align=\"left\">Remove Edge</td>\n\
<td align=\"left\"><strong>51</strong></td>\n\
<td align=\"left\">Outline Polygon</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>52</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>53</strong></td>\n\
<td align=\"left\">Transform</td>\n\
<td align=\"left\"><strong>54</strong></td>\n\
<td align=\"left\">Delete Edge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>55</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>56</strong></td>\n\
<td align=\"left\">Create</td>\n\
<td align=\"left\"><strong>57</strong></td>\n\
<td align=\"left\">Align</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>58</strong></td>\n\
<td align=\"left\">Attach</td>\n\
<td align=\"left\"><strong>59</strong></td>\n\
<td align=\"left\">Target Weld Vertex</td>\n\
<td align=\"left\"><strong>60</strong></td>\n\
<td align=\"left\">Target Weld Edge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>61</strong></td>\n\
<td align=\"left\">EditTriangulation</td>\n\
<td align=\"left\"><strong>62</strong></td>\n\
<td align=\"left\">Create Edge</td>\n\
<td align=\"left\"><strong>63</strong></td>\n\
<td align=\"left\">Clone Vertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>64</strong></td>\n\
<td align=\"left\">Clone Edge</td>\n\
<td align=\"left\"><strong>65</strong></td>\n\
<td align=\"left\">Clone Face</td>\n\
<td align=\"left\"><strong>66</strong></td>\n\
<td align=\"left\">Insert Vertex In Edge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>67</strong></td>\n\
<td align=\"left\">Insert Vertex In Poly</td>\n\
<td align=\"left\"><strong>68</strong></td>\n\
<td align=\"left\">Auto Smooth</td>\n\
<td align=\"left\"><strong>69</strong></td>\n\
<td align=\"left\">Set Smoothing Groups</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>70</strong></td>\n\
<td align=\"left\">Set Material ID</td>\n\
<td align=\"left\"><strong>71</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>72</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>73</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>74</strong></td>\n\
<td align=\"left\">Bridge Border</td>\n\
<td align=\"left\"><strong>75</strong></td>\n\
<td align=\"left\">Bridge Polygon</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>76</strong></td>\n\
<td align=\"left\">Make Planar in X</td>\n\
<td align=\"left\"><strong>77</strong></td>\n\
<td align=\"left\">Make Planar in Y</td>\n\
<td align=\"left\"><strong>78</strong></td>\n\
<td align=\"left\">Make Planar in Z</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>79</strong></td>\n\
<td align=\"left\">Turn Edge</td>\n\
<td align=\"left\"><strong>80</strong></td>\n\
<td align=\"left\">Relax</td>\n\
<td align=\"left\"><strong>81</strong></td>\n\
<td align=\"left\">Paint Deformations</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>82</strong></td>\n\
<td align=\"left\">Bridge Edge</td>\n\
<td align=\"left\"><strong>83</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>84</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.worldToObjectTransform Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) -- matrix3; World_to_Object_Transform \n\
&lt;Edit_Poly&gt;.showCage BooleanClass default:false -- boolean; Show_Cage \n\
</pre></div><p>Get/set the state of the Show Cage checkbox in the Edit Poly Mode rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.CageColor Point3 default: [1,0.588235,0] -- point3; Cage_Color \n\
</pre></div><p>Get/set the Cage color. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectedCageColor Point3 default: [0.94902,0.85098,0] -- point3; Selected_Cage_Color \n\
</pre></div><p>Get/set the Selected Cage color. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selection\"></a><h2 id=\"selection\">Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.useStackSelection BooleanClass default: false -- boolean; Use_Stack_Selection \n\
</pre></div><p>Get/set the state of the Use Stack Selection checkbox in the Selection rollout. When checked, the incoming stack selection is used instead of the modifier&#39;s sub-object selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectByVertex BooleanClass default: false-- boolean; Select_By_Vertex \n\
&lt;Edit_Poly&gt;.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing \n\
</pre></div><p>Get/set the state of the Ignore Backfacing checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectByAngle BooleanClass default: false -- boolean; Select_by_Angle \n\
</pre></div><p>Get/set the state of the Select By Angle checkbox in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectAngle Float default: 45.0 -- angle; Selection_Angle \n\
</pre></div><p>Get/set the Select Angle value in the Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.loopEdgeSel Integer default: 0 -- integer; Edge_Loop \n\
</pre></div><p>Get/set the Edge Loop value. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.ringEdgeSel Integer default: 0 -- integer; Edge_Ring \n\
</pre></div><p>Get/set the Edge Ring value. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectMode Integer default: 0 -- integer; Select_Mode \n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Selection-Mode.html\' title=\'\'>Edit Poly Selection Mode</a>. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>Sub-Object</strong></p>\n\
<p>2 - <strong>Multi</strong></p>\n\
<div class=\'section\'><a id=\"soft-selection\"></a><h2 id=\"soft-selection\">Soft Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.useSoftSel BooleanClass default: false-- boolean; Use_Soft_Selection \n\
</pre></div><p>Get/set the state of the &quot;Use Soft Selection&quot; checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.ssUseEdgeDist BooleanClass default: false-- boolean; Use_Edge_Distance \n\
</pre></div><p>Get/set the state of the Edge Distance checkbox in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.ssEdgeDist Integer default:1 -- integer; Edge_Distance \n\
</pre></div><p>Get/set the Edge Distance in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.affectBackfacing BooleanClass default: true-- boolean; Affect_Backfacing \n\
</pre></div><p>Get/set the Affect Backfacing checkbox state in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.falloff Float default: 20.0 -- animatable; world units \n\
</pre></div><p>Get/set the Falloff value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.pinch Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the Pinch value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bubble Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the Bubble value in the Soft Selection rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.lockSoftSel BooleanClass default: false -- boolean; Lock_Soft_Selection \n\
</pre></div><p>Get/set the state of the Lock Soft Selection checkbox in the Soft Selection rollout. When enabled, the soft selection is not recalculated automatically and can be defined using the Paint Soft Selection tools.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintSelValue Float default: 1.0 -- float; Selection_Value \n\
</pre></div><p>Get/set the Selection Value in the Paint Soft Selection group of controls in the Soft Selection rollout. Controls the selection value that is applied to the vertices by the paint brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintSelSize Float default: 10.0 -- world units; Brush_Size \n\
</pre></div><p>Get/set the size of the paint selection brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintSelStrength Float default: 1.0 -- float; Brush_Strength \n\
</pre></div><p>Get/set the strength of the paint selection brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintSelMode     Integer    default: 0   --  integer; Paint_Mode\n\
</pre></div><p>Get/set the Paint Soft Selection mode, where:</p>\n\
<ul>\n\
<li>0 = disabled / off</li>\n\
<li>1 = Paint</li>\n\
<li>2 = Revert</li>\n\
<li>3 = Blur</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"edit-verticesedgesborderspolygonselements\"></a><h2 id=\"edit-verticesedgesborderspolygonselements\">Edit Vertices/Edges/Borders/Polygons/Elements</h2></div>\n\
<div class=\'section\'><a id=\"extrude-vertexedgeface\"></a><h3 id=\"extrude-vertexedgeface\">Extrude Vertex/Edge/Face</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeEdgeHeight Float default: 0.0 -- animatable; world units; Edge_Extrude_Height \n\
</pre></div><p>Get/set the edge extrusion height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeEdgeWidth Float default: 0.0 -- animatable; world units; Edge_Extrude_Width \n\
</pre></div><p>Get/set the edge extrusion width value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeFaceHeight Float default: 0.0 -- animatable; world units; Polygon_Extrude_Height \n\
</pre></div><p>Get/set the face extrusion height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeFaceType Integer default: 0 -- integer; Type_of_Extrusion \n\
</pre></div><p>Get/set the radio button state controlling the face extrusion type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>Local Normal</strong></p>\n\
<p>2 - <strong>By Polygon</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeFaceBias     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get set the face extrusion bias level. This affects extrusion when <strong>extrudeFaceType</strong> is 1 (local normal). A setting of 1.0 extrudes faces along their original normal. When two or more faces share an edge, a setting of 0.0 biases the result toward the averages of the shared edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeVertexHeight Float default: 0.0 -- animatable; world units; Vertex_Extrude_Height \n\
</pre></div><p>Get/set the vertex extrusion height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeVertexWidth Float default: 0.0 -- animatable; world units; Vertex_Extrude_Width \n\
</pre></div><p>Get/set the vertex extrusion width value.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Extrude</strong> button, see the <span class=\'code\'>#ExtrudeVertex, #ExtrudeEdge</span> , and <span class=\'code\'>#ExtrudeFace</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod InterfaceEditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"weld\"></a><h3 id=\"weld\">Weld</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.weldEdgeThreshold Float default: 0.1 -- animatable; world units; Edge_Weld_Threshold \n\
</pre></div><p>Get/set the Weld Edge Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.weldVertexThreshold Float default: 0.1 -- animatable; world units; Vertex_Weld_Threshold \n\
</pre></div><p>Get/set the Weld Vertex Threshold value.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Weld</strong> button, see the <span class=\'code\'>#WeldVertex</span> and <span class=\'code\'>#WeldEdge</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<p>See also <a href=\'Edit_Poly-Modifier.html#weld-methods\' title=\'\'>EditPolyMod Interface - Weld Methods</a>.</p>\n\
<div class=\'section\'><a id=\"chamfer\"></a><h3 id=\"chamfer\">Chamfer</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferEdgeAmount Float default:1.0 -- animatable; world units; Edge_Chamfer_Amount \n\
</pre></div><p>Get/set the edge chamfer amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferEdgeOpen BooleanClass default: false -- boolean; Open_Chamfer \n\
</pre></div><p>Get/set the state of the &quot;Open&quot; checkbox in the Edge Chamfer options dialog. When set to true, the new polygons created by the Chamfer operation are removed, leaving an opening. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexAmount Float default: 1.0 -- animatable; world units; Vertex_Chamfer_Amount \n\
</pre></div><p>Get/set the Vertex Chamfer amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexDepth     Float    default: 0.5   --  float; Vertex_Depth \n\
</pre></div><p>Get/set the vertex chamfer depth. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexOpen BooleanClass default: false -- boolean; Open_Chamfer \n\
</pre></div><p>Get/set the state of the &quot;Open&quot; checkbox in the Vertex Chamfer options dialog. When set to true, the new polygons created by the Chamfer operation are removed, leaving an opening. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexSegments     Integer    default: 1   --  integer; Vertex_Chamfer_Segments\n\
</pre></div><p>Get/set the number of vertex chamfer segments. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexSmooth BooleanClass default: true -- boolean; Smooth \n\
</pre></div><p>Get/set the vertex chamfer smooth setting. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexSmoothThreshold Float default: 30.0 -- float; Smooth_Threshold \n\
</pre></div><p>Get/set the vertex chamfer smoothing threshold. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.chamferVertexSmoothType Integer default: 0 -- integer; Smooth_Type  \n\
</pre></div><p>Get/set the vertex chamfer smoothing type, where: <strong>Available in 3ds Max 2021 and higher.</strong> - 0 = smooth entire object - 1 = smooth chamfers only</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferDepth Float default: 0.5 -- float; Edge_Depth \n\
</pre></div><p>Get/set the edge chamfer depth. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferEndBias Float default: 0.5 -- float; Edge_End_Bias \n\
</pre></div><p>Get/set the edge chamfer end bias. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferMiteringType Integer default: 2 -- integer; Chamfer_Edge_Mitering_Type \n\
</pre></div><p>Get/set the edge chamfer mitering type, where: <strong>Available in 3ds Max 2021 and higher.</strong> - 0 = Quad - 1 = Tri - 2 = Uniform - 3 = Radial - 4 = Patch</p>\n\
<p>Note: This property replaces the now obsolete <span class=\'code\'>edgeChamferType</span> and <span class=\'code\'>edgeChamferQuadIntersections</span> properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferRadialBias     Float    default: 0.0   --  float; Edge_Radial_Bias\n\
</pre></div><p>Get/set the edge chamfer radial bias. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferSegments Integer default: 1 -- integer; Edge_Chamfer_Segments \n\
</pre></div><p>Get/set the Edge Chamfer Segments amount. Adding Segments to the Edge Chamfer effectively performs an Edge Fillet, rounding the edge. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferQuadIntersections BooleanClass default: false -- boolean; alias: quad_intersections\n\
</pre></div><p>Obsolete: Get/set the Quad Intersections mode. This property is replaced by <span class=\'code\'>edgeChamferMiteringType</span> in <strong>3ds Max 2021</strong>.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Chamfer</strong> button, see the <span class=\'code\'>#ChamferVertex</span> and <span class=\'code\'>#ChamferEdge</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferSmooth BooleanClass default: true -- boolean; Smooth       \n\
</pre></div><p>Get/set the state of the Smooth checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferSmoothThreshold Float default: 30.0 -- float; Smooth_Threshold     \n\
</pre></div><p>Get/set the value of the &quot;Smooth Threshold&quot; checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferSmoothType Integer default: 0 -- integer; Smooth_Type          \n\
</pre></div><p>Get/set the selection of the Smooth Type option in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Smooth Entire Object</strong></p>\n\
<p>1 - <strong>Smooth Chamfers Only</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferTension Float default: 1.0 -- float; Edge_Tension          \n\
</pre></div><p>Get/set the Tension value for the <strong>Chamfer</strong> mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferType Integer default: 0 -- integer; Chamfer_Type           \n\
</pre></div><p>Obsolete: Get/set the Chamfer type. This property is replaced by <span class=\'code\'>edgeChamferMiteringType</span> in <strong>3ds Max 2021</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.edgeChamferInvert BooleanClass default: false -- boolean; Invert_Open         \n\
</pre></div><p>Get/set the state of the Invert Open checkbox in the <strong>Chamfer</strong> options dialog.</p>\n\
<p>When set to True, the chamfered polygons will be retained and the original polygons will be removed.</p>\n\
<div class=\'section\'><a id=\"connect\"></a><h3 id=\"connect\">Connect</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.connectEdgeSegments Integer default: 1 -- animatable; integer; Connect_Edge_Segments \n\
</pre></div><p>Get/set the default Connect Edge Segments value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.connectEdgePinch Integer default: 0 -- animatable; integer; Connect_Edge_Pinch \n\
</pre></div><p>Get/set the Pinch value in the Edge Connect options dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.connectEdgeSlide Integer default: 0 -- animatable; integer; Connect_Edge_Slide \n\
</pre></div><p>Get/set the Slide value in the Edge Connect options dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Connect</strong> button, see the <span class=\'code\'>#ConnectVertices</span> and <span class=\'code\'>#ConnectEdges</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"outline\"></a><h3 id=\"outline\">Outline</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.outlineAmount Float default: 0.0 -- animatable; world units; Outline_Amount \n\
</pre></div><p>Get/set the outline amount value.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Outline</strong> button, see the <span class=\'code\'>#Outline</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"bevel\"></a><h3 id=\"bevel\">Bevel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bevelHeight Float default: 0.0 -- animatable; world units; Bevel_Height \n\
</pre></div><p>Get/set the Bevel Extrusion Height value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bevelOutline Float default: 0.0 -- animatable; world units; Bevel_Outline \n\
</pre></div><p>Get/set the Bevel Outline value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bevelType Integer default: 0 -- integer; Bevel_Type \n\
</pre></div><p>Get/set the Extrusion Type in the Bevel dialog.</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>Local Normal</strong></p>\n\
<p>2 - <strong>by Polygon</strong></p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Bevel</strong> button, see the <span class=\'code\'>#Bevel</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bevelFaceBias     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Bevel bias value. This affects the bevel when <strong>bevelType</strong> is 1 (local normal). A setting of 1.0 bevels faces along their original normal. When two or more faces share an edge, a setting of 0.0 biases the result toward the averages of the shared edges.</p>\n\
<div class=\'section\'><a id=\"inset\"></a><h3 id=\"inset\">Inset</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.insetAmount Float default: 0.0 -- animatable; world units; Inset_amount \n\
</pre></div><p>Get/set the Inset Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.insetType Integer default: 0 -- integer; Inset_Type \n\
</pre></div><p>Get/set the Inset Type:</p>\n\
<p>0 - <strong>Group</strong></p>\n\
<p>1 - <strong>By Polygon</strong></p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Inset</strong> button, see the <span class=\'code\'>#Inset</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"bridge\"></a><h3 id=\"bridge\">Bridge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeSelected Integer default: 1-- integer; Bridge_Selected \n\
</pre></div><p>Get/set the state of the radio buttons in the Bridge dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use Specific Polygons</strong></p>\n\
<p>1 - <strong>Use Polygon Selection</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeSegments Integer default: 1 -- animatable; integer; Bridge_Segments \n\
</pre></div><p>Get/set the number of Bridge segments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeTaper Float default: 0.0 --animatable; float; Bridge_Taper \n\
</pre></div><p>Get/set the Bridge Taper value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeBias Float default: 0.0 --animatable; float; Bridge_Bias \n\
</pre></div><p>Get/set the Bridge Bias value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeSmoothThreshold Float default: 45.0 -- animatable; angle; Bridge_Smoothing_Threshold; \n\
</pre></div><p>Get/set the Bridge Smooth Threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeTarget1 Integer default: 0-- integer; Bridge_Target_1 \n\
</pre></div><p>Get/set the index of the Bridge&#39;s first Target Polygon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeTarget2 Integer default: 0-- integer; Bridge_Target_2 \n\
</pre></div><p>Get/set the index of the Bridge&#39;s second Target Polygon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeTwist1 Integer default:0 -- integer; Bridge_Twist_1 \n\
</pre></div><p>Get/set the first Twist value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeTwist2 Integer default:0 -- integer; Bridge_Twist_2 \n\
</pre></div><p>Get/set the second Twist value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeEdgeAdjacent Float default: 45.0 -- animatable; angle; Bridge_Adjacent \n\
</pre></div><p>Get/set the Bridge Adjacent value. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.bridgeReverseTriangle Integer default: 0 -- integer; Reverse_Triangles \n\
</pre></div><p>Get/set the state of the Reverse Triangulation checkbox. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are</p>\n\
<p>0 - disabled</p>\n\
<p>1 - enabled</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Bridge</strong> button, see the <span class=\'code\'>#BridgeBorder</span> and <span class=\'code\'>#BridgePolygon</span> operations and <span class=\'code\'>#PickBridgeTarget1</span> and <span class=\'code\'>#PickBridgeTarget2</span> command modes in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<p>See also <a href=\'Edit_Poly-Modifier.html#bridge-methods\' title=\'\'>EditPolyMod Interface - Bridge Methods</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;editPolyModReadyToBridge()\n\
</pre></div><p>Returns whether the currently selected faces, edges, borders or elements on the currently selected object with an Edit_Poly modifier applied are ready to bridge. This is similar to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\' title=\'\'>EdititablePoly.ReadyToBridgeFlagged()</a>, except it does not take a selection level argument or flag, and applies only to the current selection level.</p>\n\
<div class=\'section\'><a id=\"hinge\"></a><h3 id=\"hinge\">Hinge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.hingeAngle Float default: 0.0 -- animatable; angle; Hinge_From_Edge_Angle \n\
</pre></div><p>Get/set the Hinge Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.hingeBase Point3 default: [0,0,0] -- animatable; point3; Hinge_from_Edge_Base \n\
&lt;Edit_Poly&gt;.hingeDirection Point3 default: [1,0,0] -- animatable; point3; Hinge_from_Edge_Direction \n\
&lt;Edit_Poly&gt;.hingeSegments Integer default: 1 -- animatable; integer; Hinge_From_Edge_Segments \n\
</pre></div><p>Get/set the Hinge Segment value.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Hinge</strong> button, see the <span class=\'code\'>#HingeFromEdge</span> operation and the <span class=\'code\'>#HingeFromEdge</span> and <span class=\'code\'>\\# PickHinge</span> command modes in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"extrude-along-spline\"></a><h3 id=\"extrude-along-spline\">Extrude Along Spline</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineAlign BooleanClass default: true -- animatable; boolean; Extrude_Along_Spline_Align \n\
</pre></div><p>Get/set the state of the Align To Face Normal checkbox in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineNode UndefinedClass default: undefined -- node; Extrude_Along_Spline_Node \n\
</pre></div><p>Get/set the spline node for the Extrude Along Spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineRotation Float default: 0.0 -- animatable; angle; Extrude_Along_Spline_Rotation; \n\
</pre></div><p>Get/set the rotation value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineSegments Integer default: 6 -- animatable; integer; Extrude_Along_Spline_Segments \n\
</pre></div><p>Get/set the number of segments value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineTaper Float default: 0.0 -- animatable; float; Extrude_Along_Spline_Taper_Amount \n\
</pre></div><p>Get/set the taper amount in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineTaperCurve Float default: 0.0 -- animatable; float; Extrude_Along_Spline_Taper_Curve \n\
</pre></div><p>Get/set the taper curve value in the Extrude Along Spline dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.extrudeAlongSplineTwist Float default: 0.0 -- animatable; angle; Extrude_Along_Spline_Twist \n\
</pre></div><p>Get/set the twist value in the Extrude Along Spline dialog.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Extrude Along Spline</strong> button, see the <span class=\'code\'>#ExtrudeAlongSpline</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"remove-vertexedge\"></a><h3 id=\"remove-vertexedge\">Remove Vertex/Edge</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Remove</strong> button, see the <span class=\'code\'>#RemoveVertex</span> and <span class=\'code\'>#RemoveEdge</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"break-vertex\"></a><h3 id=\"break-vertex\">Break Vertex</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Break</strong> button, see the <span class=\'code\'>#BreakVertex</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"split-edge\"></a><h3 id=\"split-edge\">Split Edge</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Split</strong> button, see the <span class=\'code\'>#SplitEdges</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"flip-faceelement\"></a><h3 id=\"flip-faceelement\">Flip Face/Element</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Flip</strong> button, see the <span class=\'code\'>#FlipFace</span> and <span class=\'code\'>#FlipElement</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"insert-vertex-in-edgeface\"></a><h3 id=\"insert-vertex-in-edgeface\">Insert Vertex in Edge/Face</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Insert Vertex</strong> button, see the <span class=\'code\'>#InsertVertexInEdge</span> and <span class=\'code\'>#InsertVertexInFace</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"remove-isolated-vertices\"></a><h3 id=\"remove-isolated-vertices\">Remove Isolated Vertices</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>RemoveIsolated Vertices / Remove Unused Map Verts</strong> buttons, see the <span class=\'code\'>#RemoveIsoVerts</span> and <span class=\'code\'>#RemoveIsoMapVerts</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"edit-geometry\"></a><h2 id=\"edit-geometry\">Edit Geometry</h2></div>\n\
<div class=\'section\'><a id=\"constraints\"></a><h3 id=\"constraints\">Constraints</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.constrainType Integer default: 0 -- integer; Vertex_Constraint_Type \n\
</pre></div><p>Get/set the Vertex Constraint type.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - <strong>None</strong></p>\n\
<p>1 - <strong>Edge</strong></p>\n\
<p>2 - <strong>Face</strong></p>\n\
<p>3 - <strong>Normal</strong></p>\n\
<div class=\'section\'><a id=\"preserve-uvs\"></a><h3 id=\"preserve-uvs\">Preserve UVs</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.preserveUVs BooleanClass default: false -- boolean; Preserve_UVs \n\
</pre></div><p>Get/set the state of the Preserve UVs checkbox. When set to true, moving sub-object elements do not affect the texture coordinates.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\'Edit_Poly-Modifier.html#preserve-map-methods\' title=\'\'>EditPolyMod Interface - PreserveMap Methods</a>.</p>\n\
<div class=\'section\'><a id=\"relax-dialog\"></a><h3 id=\"relax-dialog\">Relax dialog</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.relaxAmount Float default: 0.5 -- animatable; float; Amount \n\
</pre></div><p>Get/set the relax Amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.relaxIterations Integer default: 1 -- animatable; integer; Iterations \n\
</pre></div><p>Get/set the relax Iterations value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.relaxHoldBoundaryPoints BooleanClass default: true -- boolean; Hold_Boundary_Points \n\
</pre></div><p>Get/set the state of the Hold Boundary Points checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.relaxHoldOuterPoints BooleanClass default: false -- boolean; Hold_Outer_Points \n\
</pre></div><p>Get/set the state of the Hold Outer Points checkbox.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Relax</strong> button, see the <span class=\'code\'>#Relax</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"slice-plane\"></a><h3 id=\"slice-plane\">Slice Plane</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.slice_plane SubAnim default: SubAnim:Slice_Plane -- transform; SubAnim \n\
Edit_Poly.slice_plane - superclass: MAXObject; super-superclass:Value - 3:3 - classID: #(8197, 0) \n\
&lt;Edit_Poly.slice_plane&gt;.position Point3 default: [0,0,0] -- animatable; point3 \n\
</pre></div><p>Get/set the position of the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly.slice_plane&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable; quat \n\
</pre></div><p>Get/set the rotation of the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly.slice_plane&gt;.scale Point3 default: [1,1,1] -- animatable; point3 \n\
</pre></div><p>Get/set the scale of the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.split BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the Split option.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To perform Slicing operations, see the <span class=\'code\'>#ResetSlicePlane, #Slice</span> , and <span class=\'code\'>#SliceSelectedFaces</span> operations and the <span class=\'code\'>#SlicePlane</span> command mode in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<p>See also the <a href=\'Edit_Poly-Modifier.html#slice-methods\' title=\'\'>EditPolyMod Interface - Slice Methods</a>.</p>\n\
<div class=\'section\'><a id=\"align-plane\"></a><h3 id=\"align-plane\">Align Plane</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.alignPlaneNormal Point3 default: [0,0,0] -- animatable; point3; Align_Plane_Normal \n\
</pre></div><p>Get/set the normal vector of the align plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.alignPlaneOffset Float default: 0.0 -- animatable; float; Align_Plane_Offset \n\
</pre></div><p>Get/set the offset of the align plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.alignType Integer default: 0 -- integer; Align_Type \n\
</pre></div><p>Get/set the type of the align plane.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To perform the Align operation, see the <span class=\'code\'>#Align</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"meshsmooth\"></a><h3 id=\"meshsmooth\">MeshSmooth</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.smoothness Float default: 1.0 -- float \n\
</pre></div><p>Get/set the Viewport Smoothness value in the Subdivision Surface rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.separateByMaterial BooleanClass default: false -- boolean; Separate_by_Material_ID \n\
</pre></div><p>Get/set the Separate By Materials checkbox in the Subdivision Surface rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.separateBySmoothing BooleanClass default: false -- boolean; Separate_by_Smoothing_Groups \n\
</pre></div><p>Get/set the Separate By Smoothing checkbox in the Subdivision Surface rollout.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To perform the Align operation, see the <span class=\'code\'>#MeshSmooth</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"tessellate\"></a><h3 id=\"tessellate\">Tessellate</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.tessellateByFace Integer default: 0 -- animatable; integer; Tessellate_By \n\
</pre></div><p>Get/set the Tessellation type:</p>\n\
<p>0 - <strong>Edge</strong></p>\n\
<p>1 - <strong>Face</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.tessTension Float default: 0.0 -- animatable; float; Tessellation_Tension \n\
</pre></div><p>Get/set the Tessellation Tension.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To perform the Align operation, see the <span class=\'code\'>#Tessellate</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"delete-isolated-vertices\"></a><h3 id=\"delete-isolated-vertices\">Delete Isolated Vertices</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.deleteIsolatedVerts BooleanClass default: true -- boolean; Delete_Isolated_Vertices \n\
</pre></div><p>Get/set the state of the Delete Isolated Vertices checkbox.</p>\n\
<div class=\'section\'><a id=\"collapse\"></a><h3 id=\"collapse\">Collapse</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Collapse</strong> button, see the <span class=\'code\'>#CollapseVertex, #CollapseEdge</span> , and <span class=\'code\'>#CollapseFace</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"hideunhide\"></a><h3 id=\"hideunhide\">Hide/Unhide</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Hide/Unhide</strong> buttons, see the <span class=\'code\'>#HideVertex, #HideFace, #HideUnselectedVertex, #HideUnselectedFace, #UnhideAllVertex</span> , and <span class=\'code\'>#UnhideAllFace</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"copypaste-named-selection-sets\"></a><h3 id=\"copypaste-named-selection-sets\">Copy/Paste Named Selection Sets</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Copy/Paste</strong> buttons, see the <span class=\'code\'>#NamedSelectionCopy</span> and <span class=\'code\'>#NamedSelectionPaste</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"make-planar\"></a><h3 id=\"make-planar\">Make Planar</h3></div>\n\
<p>No properties related to this feature are exposed. To press the <strong>Make Planar</strong> buttons, see the <span class=\'code\'>#MakePlanar, #MakePlanarInX, #MakePlanarInY</span> , and <span class=\'code\'>#MakePlanarInZ</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"polygonmaterial-ids\"></a><h2 id=\"polygonmaterial-ids\">PolygonMaterial IDs</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.materialIDToSet Integer default: 0 -- animatable; integer; Material_ID_to_Set \n\
</pre></div><p>Get/set the material ID value to set for the selected faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectByMaterialID Integer default: 0 -- integer; Select_By_Material_ID \n\
</pre></div><p>Get/set the ID to use in the Select By Material ID feature.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectByMaterialClear BooleanClass default: false -- boolean; Select_By_Material_Clear \n\
</pre></div><p>Get/set the Clear checkbox state in the Select By Material ID feature. When set to true, the previous selection is cleared before new faces are selected.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.MatID Floater() \n\
</pre></div><p>Toggles the visibility of a Polygon Material IDs floater version of this rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Edit_Poly&gt;.MatID FloaterVisible() \n\
</pre></div><p>Returns true if the Polygon Material IDs floater is visible, false if it is hidden.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>To press the <strong>Select ID</strong> button, see the <span class=\'code\'>#SelectByMaterial</span> operation in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"polygon-smoothing-groups\"></a><h2 id=\"polygon-smoothing-groups\">Polygon Smoothing Groups</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.smoothingGroupsToSet Integer default: 0 -- integer; Smoothing_Groups_to_Set \n\
</pre></div><p>Get/set the smoothing group to set.</p>\n\
<p>Note:</p>\n\
<p>The value is a long integer where each of the 32 bits stands for a smoothing group to be set. The first bit is 2^0, the second is 2^1, and so on, and the last bit is 2^31. To calculate the integer to assign to this property, calculate the sum of all the bits to be set.</p>\n\
<p>For example, to set bit 20, you can set the value to 2^(20-1) = 524288.</p>\n\
<p>To set smoothing groups 1, 5, and 17, you need to add 2^(1-1) + 2^(5-1) + 2^(17-1) = 65553.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.smoothingGroupsToClear Integer default: 0 -- integer; Smoothing_Groups_to_Clear \n\
</pre></div><p>Get/set the smoothing groups to clear. The value is a long integer where each of the 32 bits stands for a smoothing group to be cleared. See previous property for an example.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A536650B-8749-418A-A252-0A752F86A7EB-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectBySmoothingGroup Integer default: 0 -- integer; Select_By_Smoothing_Group \n\
</pre></div><p>Get/set the smoothing groups to select by.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.selectBySmoothingGroupClear BooleanClass default: false -- boolean; Select_By_Smoothing_Group_Clear \n\
</pre></div><p>Get/set the <strong>Clear</strong> checkbox state in the <strong>Select By Smooth Group</strong> dialog. When set to true, the previous selection is cleared before new faces are selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.autoSmoothThreshold Float default: 45.0 -- animatable; angle; Autosmooth_Threshold \n\
</pre></div><p>Get/set the auto-smoothing threshold angle. The angle between the normals of two neighbor faces are compared to the threshold. If below the threshold, the two faces are automatically assigned the same smoothing group, causing smooth shading across the common edge.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.SmGrp Floater() \n\
</pre></div><p>Toggles the visibility of a Smoothing Groups floater version of this rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Edit_Poly&gt;.SmGrp FloaterVisible() \n\
</pre></div><p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>See the <span class=\'code\'>#SelectBySmooth, #AutoSmooth</span> and <span class=\'code\'>#SetSmooth</span> operations in <a href=\'Edit_Poly-Modifier.html#operation-methods\' title=\'\'>EditPolyMod Interface - Operation Methods</a>.</p>\n\
<div class=\'section\'><a id=\"paint-deformation\"></a><h2 id=\"paint-deformation\">Paint Deformation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintDeformAxis Integer default: 1 -- integer; Push_Pull_Direction \n\
</pre></div><p>Get/set the state of the Push/Pull Direction radio buttons in the Paint Deformation rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Original Normals</strong></p>\n\
<p>2 - <strong>Deformed Normals</strong></p>\n\
<p>3 - <strong>Transform Axis : X</strong></p>\n\
<p>4 - <strong>Transform Axis : Y</strong></p>\n\
<p>5 - <strong>Transform Axis : Z</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintDeformValue Float default: 10.0 -- float; Deformation_Value \n\
</pre></div><p>Get/set the Value applied by the Paint Deform brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintDeformSize Floatdefault: 10.0 -- world units; Deformation_Size \n\
</pre></div><p>Get/set the Size of the Paint Deform brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintDeformStrength Float default: 1.0 -- float; Deformation_Strength \n\
</pre></div><p>Get/set the Strength of the Paint Deform brush.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.paintDeformMode Integer    default: 0   --  integer; Paint_Mode\n\
</pre></div><p>Get/set the Paint Deformation mode, where:</p>\n\
<ul>\n\
<li>0 = off / disabled</li>\n\
<li>4 = Push/Pull</li>\n\
<li>5 = Relax</li>\n\
<li>6 = Revert</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"other-properties\"></a><h3 id=\"other-properties\">Other Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.breakDistance Float default: 0.0 -- animatable; float; Amount \n\
</pre></div><p>Get/set the break distance value. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.remveEdgeCtrlKey BooleanClass default: false -- boolean; Remove_Edge_Control_Key \n\
</pre></div><p>Get/set the remove edge control key option state. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.dataChannel     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the data channel as integer.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.dataValue     Float    default: 0.0   --  float\n\
</pre></div><p>Get/set the data value as float.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.hardedgedisplay     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the hard edge display option as an integer.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - disabled</p>\n\
<p>1 - enabled</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Poly&gt;.hardedgedisplaycolor     Color    default: (color 0 237.15 39.78)   --  RGB color\n\
</pre></div><p>Get/set the hard edge display color value.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hardedgedisplay : integer\n\
</pre></div><p>Get/set the state of the hard edge display option as an integer.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - disabled</p>\n\
<p>1 - enabled</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Editable_Poly&gt;.hardedgedisplaycolor : RGB color\n\
</pre></div><p>Get/set the hard edge display color value.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"edit_poly-interfaces\"></a><h2 id=\"edit_poly-interfaces\">Edit_Poly Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:EditPolyMod \n\
</pre></div><p>Note:</p>\n\
<p>The <span class=\'code\'>EditPolyMod</span> Interface is a [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] exposed by the <span class=\'code\'>Edit_Poly</span> modifier.</p>\n\
<p>You can call the methods listed below by accessing the Interface as stand-alone, passing the Edit_Poly modifier as first argument before all other arguments.</p>\n\
<p>Thus, you can use:</p>\n\
<div class=\'codeBlock\'><pre>EditPolyMod.GetSelection $Box01.modifiers[#Edit_Poly] #Vertex\n\
--or shorter,\n\
EditPolyMod.GetSelection $Box01.Edit_Poly #Vertex\n\
</pre></div><p>You can also call the methods listed below as methods exposed by the Edit_Poly modifier itself because MAXScript searches both the modifier and all its Interfaces for the method name.</p>\n\
<p>Thus, instead of using something like:</p>\n\
<div class=\'codeBlock\'><pre>$Box01.modifiers[#Edit_Poly].EditPolyMod.GetSelection #Vertex\n\
--or\n\
$Box01.Edit_Poly.EditPolyMod.GetSelection #Vertex\n\
</pre></div><p>you can use either:</p>\n\
<div class=\'codeBlock\'><pre>$Box01.modifiers[#Edit_Poly].GetSelection #Vertex\n\
--or\n\
$Box01.Edit_Poly.GetSelection #Vertex\n\
</pre></div><p>The stand-alone interface access is typically orders of magnitude faster than the alternative method.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"selection-methods\"></a><h2 id=\"selection-methods\">Selection Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetEPolySelLevel() \n\
\n\
GetEPolySelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
</pre></div><p>Returns the EditPoly selection level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetMeshSelLevel() \n\
\n\
GetMeshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel} \n\
</pre></div><p>Returns the Mesh selection level.</p>\n\
<p>When the Edit Poly selection level is set to <span class=\'code\'>#Border</span> , the Mesh selection level is returned as <span class=\'code\'>#Edge</span> .</p>\n\
<p>When the Edit Poly selection level is set to <span class=\'code\'>#Element</span> , the Mesh selection level is returned as <span class=\'code\'>#Face</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetEPolySelLevel &lt;enum&gt;selectionLevel \n\
\n\
selectionLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
</pre></div><p>Sets the EditPoly selection level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ConvertSelection &lt;enum&gt;fromLevel &lt;enum&gt;toLevel requireAll:&lt;boolean&gt; \n\
\n\
fromLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
toLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
requireAll default value: false \n\
</pre></div><p>Converts the selection from the fromLevel into the toLevel. If <span class=\'code\'>requireAll</span> : is set to <span class=\'code\'>true</span> , all source sub-elements shared by a target sub-element must be selected for the target sub-element to be selected. For example, a polygon is selected only when all its vertices are selected, a vertex is selected only when all polygons that share it are selected, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;GetSelection &lt;enum&gt;meshSelLevel node:&lt;node&gt; \n\
\n\
meshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel} \n\
node default value: undefined \n\
</pre></div><p>Returns the specified selection as bitArray value.</p>\n\
<p>If <span class=\'code\'>node</span> : is supplied, returns the selection from the modifier instance assigned to the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetSelection &lt;enum&gt;meshSelLevel &lt;&amp;bitArray&gt;newSelection node:&lt;node&gt; \n\
\n\
meshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel} \n\
newSelection is In and Out parameter node default value: undefined \n\
</pre></div><p>Sets the specified selection using the supplied bitArray.</p>\n\
<p>If <span class=\'code\'>node</span> : is supplied, uses the modifier instance assigned to the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Select &lt;enum&gt;meshSelLevel &lt;&amp;bitArray&gt;newSelection invert:&lt;boolean&gt; select:&lt;boolean&gt; node:&lt;node&gt; \n\
\n\
meshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel} \n\
newSelection is In and Out parameter \n\
invert default value: false \n\
]select default value: true \n\
node default value: undefined \n\
</pre></div><p>Adds the bitArray passed by reference to the sub-object selection at the specified sub-object level. The modifier must be displayed in the command panel and must be in the requested sub-object mode for the selection to be set correctly.</p>\n\
<p>If the optional <span class=\'code\'>invert</span> : keyword is supplied and set to <span class=\'code\'>true</span> , the selected state of the specified sub-objects is inverted - if they were selected they are deselected and vice-versa. If <span class=\'code\'>false</span> or not supplied, they become selected or remain selected if they were selected already.</p>\n\
<p>If the optional <strong>select</strong>: keyword is supplied and set to <span class=\'code\'>false</span> , the specified sub-objects are deselected if they were already selected, or remain deselected if they were not selected. If true or not supplied, they are selected if they were previously not or remain selected if they were already selected.</p>\n\
<p>If the modifier is instanced across multiple nodes and the optional <span class=\'code\'>node</span> : keyword is supplied, the method uses the specified node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Create a box with 10x10x10 segments: b = box width:100 length:100 height:100 heightsegs:10 widthsegs:10 lengthsegs:10 ep = Edit_Poly()--create an Edit_Poly modifier addModifier b ep--add the Edit_Poly modifier to the box max modify mode--switch to Modify tab of Command panel modPanel.setCurrentObject ep--set the Edit_Poly as the current level subObjectLevel = 3--switch to Border level --Now print the selection level using stand-alone interface access: format&quot;Selection Level Is: %\\n&quot;(EditPolyMod.GetEPolySelLevel ep) --Now print the Mesh selection level using interface access via the modifier: format&quot;Mesh Selection Level Is: %\\n&quot;(ep.EditPolyMod.GetMeshSelLevel()) subObjectLevel = 4--switch to Face level --Select a whole side of the box- last 100 polygons. Call the method --without explicitly specifying the EditPolyMod interface - still works: ep.Select #Face #{501..600} ep.convertSelection #Face #Edge--convert the face selection to edge selection subObjectLevel = 2--switch to edge mode to see the result</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` $Box:Box01 @ [0.000000,0.000000,0.000000] Edit_Poly:Edit Poly OK OK OK 3 Selection Level Is: #Border OK Mesh Selection Level Is: #edge OK 4 true 220 2</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CC402C8D-FBE8-4D52-B826-0E39D644ED68-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MoveSelection &lt;point3&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt; localOrigin:&lt;boolean&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       localOrigin default value: false\n\
</pre></div><p>Moves the current selection by the specified Point3 value.</p>\n\
<p>If <span class=\'code\'>parent</span> : is specified, its local coordinate system is used.</p>\n\
<p>If <span class=\'code\'>axis</span> : is specified, it is used as a custom coordinate system.</p>\n\
<p>If <span class=\'code\'>localOrigin</span> : is specified, the translation uses the selection&#39;s local transformation center as the origin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RotateSelection &lt;quat&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt; localOrigin:&lt;boolean&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       localOrigin default value: false\n\
</pre></div><p>Rotates the current selection by the specified quaternion value.</p>\n\
<p>If <span class=\'code\'>parent:</span> is specified, its local coordinate system is used.</p>\n\
<p>If <span class=\'code\'>axis:</span> is specified, it is used as a custom coordinate system.</p>\n\
<p>If <span class=\'code\'>localOrigin:</span> is specified, the rotation is about the selection&#39;s local transformation center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ScaleSelection &lt;point3&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt; localOrigin:&lt;boolean&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       localOrigin default value: false\n\
</pre></div><p>Scales the current selection by the specified Point3 value.</p>\n\
<p>If <span class=\'code\'>parent:</span> is specified, its local coordinate system is used.</p>\n\
<p>If <span class=\'code\'>axis:</span> is specified, it is used as a custom coordinate system.</p>\n\
<p>If <span class=\'code\'>localOrigin:</span> is specified, the scaling is about the selection&#39;s local transformation center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RingSelect &lt;integer&gt;RingValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add \n\
</pre></div><p>Moves the Ring selection. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>RingValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is <span class=\'code\'>true</span> , the selected edges are moved.</p>\n\
<p>If Addis <span class=\'code\'>true</span> and MoveOnly is <span class=\'code\'>true</span> , the newly selected edges are added to the current selection.</p>\n\
<p>If MoveOnly is <span class=\'code\'>true</span> and Add is <span class=\'code\'>false</span> , the newly selected edges are removed from the current selection.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = plane width:100 length:100 widthsegs:10 lengthsegs:10--create a plane ep = Edit_Poly()--create an Edit_Poly modifier addModifier p ep--add modifier to the plane max modify mode--switch to modify mode select p--select theplane subObjectLevel = 2--switch to Edge mode ep.select #Edge #{1}--select first edge ep.ButtonOp #SelectEdgeLoop--select Loop using the first edge ep.RingSelect 3 true false--shift the selection by 3</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-17FAF903-3213-4617-A8D7-4C3F29397C88-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p>Shifting one or all edge loops by three using all possible argument combinations:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">MoveOnly</th>\n\
<th align=\"left\">Add</th>\n\
<th align=\"left\">Result:</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"><strong>true</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"><strong>false</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoopSelect &lt;integer&gt;LoopValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add \n\
</pre></div><p>Moves the Loop selection. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>LoopValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is <span class=\'code\'>true</span> , the selected edges are moved.</p>\n\
<p>If Add is <span class=\'code\'>true</span> and MoveOnly is <span class=\'code\'>true</span> , the newly selected edges are added to the current selection.</p>\n\
<p>If MoveOnly is <span class=\'code\'>true</span> and Add is <span class=\'code\'>false</span> , the newly selected edges are removed from the current selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ConvertSelectionToBorder &lt;enum&gt;fromLevel &lt;enum&gt;toLevel \n\
\n\
fromLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
toLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel} \n\
</pre></div><p>Converts the current selection to border selection. The first argument represents the sub-object type to convert from, the second one represents the sub-object type to convert to.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = plane width:100 length:100 widthsegs:10 lengthsegs:10--create a plane ep = Edit_Poly()--create an Edit_Poly modifier addModifier p ep--add modifier to the plane max modify mode--switch to modify mode select p--select theplane subObjectLevel = 4--switch to face SO level editPolyMod.select ep #Face #{12,13,14,23,33}--select some faces editPolyMod.ConvertSelectionToBorder ep #Face #Edge--convert to edge selection subObjectLevel = 2--switch toedgeSO levelto see the result:</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CBDD2DB6-F36F-409C-85D6-80D950FCEC9B-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"operation-methods\"></a><h2 id=\"operation-methods\">Operation Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetOperation() \n\
\n\
GetOperation enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | #GetStackSelection | #HideVertex | #HideFace | #HideUnselectedVertex | #HideUnselectedFace | #UnhideAllVertex | #UnhideAllFace | #NamedSelectionCopy | #NamedSelectionPaste | #Cap | #DeleteVertex | #DeleteFace | #RemoveVertex | #RemoveEdge | #DetachVertex | #DetachFace | #SplitEdges | #BreakVertex | #CollapseVertex | #CollapseEdge | #CollapseFace | #ResetSlicePlane | #Slice | #SliceSelectedFaces | #Cut | #WeldVertex | #WeldEdge | #CreateShape | #MakePlanar | #MakePlanarInX | #MakePlanarInY | #MakePlanarInZ | #Align | #Relax | #MeshSmooth | #Tessellate | #Retriangulate | #FlipFace | #FlipElement | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | #ConnectVertices | #ConnectEdges | #ChamferVertex | #ChamferEdge | #RemoveIsoVerts | #RemoveIsoMapVerts | #ToggleShadedFaces | #TransformVertex | #TransformEdge | #TransformFace | #Create | #Attach | #TargetWeldVertex | #TargetWeldEdge | #EditTriangulation | #TurnEdge | #CreateEdge | #CloneVertex | #CloneEdge | #CloneFace | #InsertVertexInEdge | #InsertVertexInFace | #Autosmooth | #SetSmooth | #SetMaterial | #SelectBySmooth | #SelectByMaterial | #BridgeBorder | #BridgePolygon | #BridgeEdge| #PreserveUVSettings | #RemoveEdgeRemoveVertices | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges | #DeleteEdge} \n\
</pre></div><p>Returns the current EditPoly Operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetOperation&lt;enum&gt;operation \n\
\n\
operation enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | #GetStackSelection | #HideVertex | #HideFace | #HideUnselectedVertex | #HideUnselectedFace | #UnhideAllVertex | #UnhideAllFace | #NamedSelectionCopy | #NamedSelectionPaste | #Cap | #DeleteVertex | #DeleteFace | #RemoveVertex | #RemoveEdge | #DetachVertex | #DetachFace | #SplitEdges | #BreakVertex | #CollapseVertex | #CollapseEdge | #CollapseFace | #ResetSlicePlane | #Slice | #SliceSelectedFaces | #Cut | #WeldVertex | #WeldEdge | #CreateShape | #MakePlanar | #MakePlanarInX | #MakePlanarInY | #MakePlanarInZ | #Align | #Relax | #MeshSmooth | #Tessellate | #Retriangulate | #FlipFace | #FlipElement | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | #ConnectVertices | #ConnectEdges | #ChamferVertex | #ChamferEdge | #RemoveIsoVerts | #RemoveIsoMapVerts | #ToggleShadedFaces | #TransformVertex | #TransformEdge | #TransformFace | #Create | #Attach | #TargetWeldVertex | #TargetWeldEdge | #EditTriangulation | #TurnEdge | #CreateEdge | #CloneVertex | #CloneEdge | #CloneFace | #InsertVertexInEdge | #InsertVertexInFace | #Autosmooth | #SetSmooth | #SetMaterial | #SelectBySmooth | #SelectByMaterial | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #RemoveEdgeRemoveVertices | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges | #DeleteEdge} \n\
</pre></div><p>Puts the Edit Poly modifier into the specified Operation mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PopupDialog&lt;enum&gt;operation \n\
\n\
operation enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | #GetStackSelection | #HideVertex | #HideFace | #HideUnselectedVertex | #HideUnselectedFace | #UnhideAllVertex | #UnhideAllFace | #NamedSelectionCopy | #NamedSelectionPaste | #Cap | #DeleteVertex | #DeleteFace | #RemoveVertex | #RemoveEdge | #DetachVertex | #DetachFace | #SplitEdges | #BreakVertex | #CollapseVertex | #CollapseEdge | #CollapseFace | #ResetSlicePlane | #Slice | #SliceSelectedFaces | #Cut | #WeldVertex | #WeldEdge | #CreateShape | #MakePlanar | #MakePlanarInX | #MakePlanarInY | #MakePlanarInZ | #Align | #Relax | #MeshSmooth | #Tessellate | #Retriangulate | #FlipFace | #FlipElement | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | #ConnectVertices | #ConnectEdges | #ChamferVertex | #ChamferEdge | #RemoveIsoVerts | #RemoveIsoMapVerts | #ToggleShadedFaces | #TransformVertex | #TransformEdge | #TransformFace | #Create | #Attach | #TargetWeldVertex | #TargetWeldEdge | #EditTriangulation | #TurnEdge | #CreateEdge | #CloneVertex | #CloneEdge | #CloneFace | #InsertVertexInEdge | #InsertVertexInFace | #Autosmooth | #SetSmooth | #SetMaterial | #SelectBySmooth | #SelectByMaterial | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #RemoveEdgeRemoveVertices | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges | #DeleteEdge} \n\
</pre></div><p>Opens the corresponding pop-up dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ButtonOp&lt;enum&gt;operation \n\
\n\
operation enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | #GetStackSelection | #HideVertex | #HideFace | #HideUnselectedVertex | #HideUnselectedFace | #UnhideAllVertex | #UnhideAllFace | #NamedSelectionCopy | #NamedSelectionPaste | #Cap | #DeleteVertex | #DeleteFace | #RemoveVertex | #RemoveEdge | #DetachVertex | #DetachFace | #SplitEdges | #BreakVertex | #CollapseVertex | #CollapseEdge | #CollapseFace | #ResetSlicePlane | #Slice | #SliceSelectedFaces | #Cut | #WeldVertex | #WeldEdge | #CreateShape | #MakePlanar | #MakePlanarInX | #MakePlanarInY | #MakePlanarInZ | #Align | #Relax | #MeshSmooth | #Tessellate | #Retriangulate | #FlipFace | #FlipElement | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | #ConnectVertices | #ConnectEdges | #ChamferVertex | #ChamferEdge | #RemoveIsoVerts | #RemoveIsoMapVerts | #ToggleShadedFaces | #TransformVertex | #TransformEdge | #TransformFace | #Create | #Attach | #TargetWeldVertex | #TargetWeldEdge | #EditTriangulation | #TurnEdge | #CreateEdge | #CloneVertex | #CloneEdge | #CloneFace | #InsertVertexInEdge | #InsertVertexInFace | #Autosmooth | #SetSmooth | #SetMaterial | #SelectBySmooth | #SelectByMaterial | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #RemoveEdgeRemoveVertices | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges | #DeleteEdge} \n\
</pre></div><p>Presses the corresponding User Interface button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Commit() \n\
</pre></div><p>Corresponds to pressing the Commit button in the User Interface. Commits the edits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CommitUnlessAnimating() \n\
</pre></div><p>Pressed the Commit button in the User Interface unless the modifier is in animation mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CommitAndRepeat() \n\
</pre></div><p>Pressed the Commit button and repeats the last operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Cancel() \n\
</pre></div><p>Corresponds to pressing the Cancel button. Rejects all changes in the current operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ToggleCommandMode &lt;enum&gt;commandMode \n\
\n\
commandMode enums: {#CreateVertex | #CreateEdge | #CreateFace | #DivideEdge | #DivideFace | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #ChamferVertex | #ChamferEdge | #Bevel | #InsetFace | #OutlineFace | #SlicePlane | #Cut | #Weld | #EditTriangulation | #TurnEdge | #QuickSlice | #HingeFromEdge | #PickHinge | #BridgeBorder | #BridgePolygon | #PickBridgeTarget1 | #PickBridgeTarget2} \n\
</pre></div><p>Toggles the specified command mode. Enables if disabled, disables if enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getCommandMode \n\
</pre></div><p>Returns the current command mode (see the enums for <span class=\'code\'>toggleCommandMode()</span> above), or -1 if no command mode is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;EnterCommandMode &lt;enum&gt;commandMode \n\
\n\
commandMode enums: {#CreateVertex | #CreateEdge | #CreateFace | #DivideEdge | #DivideFace | #ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #ChamferVertex | #ChamferEdge | #Bevel | #InsetFace | #OutlineFace | #SlicePlane | #Cut | #Weld | #EditTriangulation | #TurnEdge | #QuickSlice | #HingeFromEdge | #PickHinge | #BridgeBorder | #BridgePolygon | #PickBridgeTarget1| #PickBridgeTarget2} \n\
</pre></div><p>Enables the specified command mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;EnterPickMode &lt;enum&gt;commandMode \n\
\n\
commandMode enums: {#Attach|#PickShape} \n\
</pre></div><p>Enters the specified pick mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetCommandMode() \n\
\n\
GetCommandMode enums: {#CreateVertex| #CreateEdge| #CreateFace| #DivideEdge| #DivideFace| #ExtrudeVertex| #ExtrudeEdge| #ExtrudeFace| #ChamferVertex| #ChamferEdge| #Bevel| #InsetFace| #OutlineFace| #SlicePlane| #Cut| #Weld| #EditTriangulation| #TurnEdge| #QuickSlice| #HingeFromEdge| #PickHinge| #BridgeBorder| #BridgePolygon| #PickBridgeTarget1| #PickBridgeTarget2} \n\
</pre></div><p>Returns the current command mode. Returns -1 if no mode is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetPickMode() \n\
GetPickMode enums: {#Attach|#PickShape} \n\
</pre></div><p>Returns the current pick mode. Returns -1 if no mode is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RepeatLastOperation() \n\
</pre></div><p>Corresponds to pressing the Repeat Last button in the Edit Geometry rollout. Repeats the last operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int&gt;GetLastOperation() \n\
</pre></div><p>Returns the last performed operation, indicating what operation will be performed if <span class=\'code\'>RepeatLastOperation()</span> is called. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\' title=\'\'>currentOperation()</a> above for a list of possible values and corresponding operations that this method can return.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ShowOperationDialog() \n\
</pre></div><p>Shows the operation dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ShowingOperationDialog() \n\
</pre></div><p>Returns true if the modifier is showing an operation dialog, false otherwise. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CloseOperationDialog() \n\
</pre></div><p>Closes the operation dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"topology-editing-methods\"></a><h2 id=\"topology-editing-methods\">Topology Editing Methods</h2></div>\n\
<div class=\'section\'><a id=\"slice-methods\"></a><h3 id=\"slice-methods\">Slice Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MoveSlicePlane &lt;point3&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
</pre></div><p>Moves the slice plane by the specified Point3 value. If parent is specified, its local coordinate system is used. If axis is specified, it is used as a custom coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RotateSlicePlane &lt;quat&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt; localOrigin:&lt;boolean&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       localOrigin default value: false\n\
</pre></div><p>Rotates the slice plane by the specified quaternion value. If parent is specified, its local coordinate system is used. If axis is specified, it is used as a custom coordinate system. If localOrigin is specified, the rotation is about the slice plane&#39;s local transformation center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ScaleSlicePlane &lt;point3&gt;amount parent:&lt;matrix3&gt; axis:&lt;matrix3&gt; localOrigin:&lt;boolean&gt;\n\
       parent default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       axis default value: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
       localOrigin default value: false\n\
</pre></div><p>Scales the slice plane by the specified Point3 value. If parent is specified, its local coordinate system is used. If axis is specified, it is used as a custom coordinate system. If localOrigin is specified, the scaling is about the slice plane&#39;s local transformation center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;InSlicePlaneMode() \n\
</pre></div><p>Returns true if the Edit Poly modifier is in slice plane mode, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetSlicePlane() \n\
</pre></div><p>Resets the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;GetSlicePlaneTM() \n\
</pre></div><p>GetSlicePlaneTM - no automatic redraw after invoking.</p>\n\
<p>Returns the transformation matrix of the slice plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetSlicePlane &lt;point3&gt;planeNormal &lt;point3&gt;planeCenter\n\
</pre></div><p>Sets the slice plane orientation using the supplied normal vector and plane center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetSlicePlane &lt;&amp;point3&gt;planeNormal &lt;&amp;point3&gt;planeCenter \n\
\n\
planeNormal is Out parameter\n\
planeCenter is Out parameter\n\
</pre></div><p>Returns the normal vector and plane center of the slice plane by writing into the supplied by-reference arguments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;InSlice() \n\
</pre></div><p>Returns true if the modifier is in Slice mode, false otherwise. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"create-methods\"></a><h3 id=\"create-methods\">Create Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;CreateVertex &lt;point3&gt;point node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Creates a new vertex at the specified point. Returns the index of the new vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;CreateFace &lt;index array&gt;vertices node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Creates a new face from the supplied array of indices. Returns the index of the new face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;CreateEdge &lt;index&gt;vertex1 &lt;index&gt;vertex2 node:&lt;node&gt; \n\
\n\
node default value:undefined\n\
</pre></div><p>Creates an edge between the two supplied vertex indices. Returns the index of the new edge.</p>\n\
<div class=\'section\'><a id=\"edit-triangulation-methods\"></a><h3 id=\"edit-triangulation-methods\">Edit Triangulation Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetDiagonal &lt;index&gt;vertex1 &lt;index&gt;vertex2 node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Sets the diagonal between vertex1 and vertex2. This method can be used to manually adjust triangulation.</p>\n\
<div class=\'section\'><a id=\"cut-methods\"></a><h3 id=\"cut-methods\">Cut Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;StartCut &lt;enum&gt;level &lt;index&gt;index &lt;point3&gt;point &lt;point3&gt;normal node:&lt;node&gt; \n\
\n\
level enums: {#Object | #Vertex | #Edge | #Face | #CurrentLevel} node default value: undefined \n\
</pre></div><p>Enters Cut mode at the specified sub-object level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetCutEnd &lt;point3&gt;endPoint node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Sets the cut end to the specified point in the object space. If the optional node parameter is provided, the point is taken in its object space. This can be useful when the modifier is instanced across multiple nodes. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetLastCutEnd() \n\
</pre></div><p>Returns the index of the last cut end. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ClearLastCutEnd() \n\
</pre></div><p>Clears the last cut end. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CutCancelnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Cancels the cut. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"weld-methods\"></a><h3 id=\"weld-methods\">Weld Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WeldVertices &lt;index&gt;vertex1 &lt;index&gt;vertex2 node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Welds the two specified vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WeldEdges &lt;index&gt;edge1 &lt;index&gt;edge2 node:&lt;node&gt; \n\
</pre></div><p>node default value: undefined.</p>\n\
<p>Welds the two specified edges.</p>\n\
<div class=\'section\'><a id=\"bridge-methods\"></a><h3 id=\"bridge-methods\">Bridge Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BridgeBorders &lt;index&gt;edge1 &lt;index&gt;edge2 node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Bridges the two specified edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BridgePolygons&lt;index&gt;poly1 &lt;index&gt;poly2 node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Bridges the two specified polygons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BridgeEdges &lt;index&gt;edge1 &lt;index&gt;edg2 node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Bridges the two specified edges. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;GetBridgeNode() \n\
</pre></div><p>Returns the Bridge node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetBridgeNode&lt;node&gt;node \n\
</pre></div><p>Sets the Bridge node.</p>\n\
<div class=\'codeBlock\'><pre>editPolyModReadyToBridge &lt;modifier&gt;mod\n\
</pre></div><p>Returns true if the specified selection level and flags are ready to be bridged, false otherwise.</p>\n\
<div class=\'section\'><a id=\"divide-methods\"></a><h3 id=\"divide-methods\">Divide Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;DivideEdge &lt;index&gt;edgeID &lt;float&gt;proportion node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Divides the specified edge into two edges with the given proportions. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;DivideFace &lt;index&gt;faceID &lt;float array&gt;vertexCoefficients node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Divides the specified face using the supplied array of vertex coefficients. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"preserve-map-methods\"></a><h3 id=\"preserve-map-methods\">Preserve Map Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetPreserveMap &lt;integer&gt;mapChannel \n\
</pre></div><p>Returns the Preserve UVs state for the specified map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetPreserveMap &lt;integer&gt;mapChannel &lt;boolean&gt;preserve \n\
</pre></div><p>Sets the Preserve UVs state for the specified map channel to the supplied boolean value.</p>\n\
<div class=\'section\'><a id=\"attach-detach-methods\"></a><h3 id=\"attach-detach-methods\">Attach / Detach Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Attach &lt;node&gt;nodeToAttach editPolyNode:&lt;node&gt; \n\
\n\
editPolyNode default value: undefined\n\
</pre></div><p>Attaches the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AttachList &lt;node array&gt;nodesToAttach editPolyNode:&lt;node&gt;\n\
       editPolyNode default value: undefined\n\
</pre></div><p>Attaches the specified nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DetachToObject &lt;&amp;string&gt;newObjectName \n\
\n\
newObjectName is In and Out parameter\n\
</pre></div><p>Detaches the selected sub-object selection to a new object with the specified name.</p>\n\
<div class=\'section\'><a id=\"create-shape-methods\"></a><h3 id=\"create-shape-methods\">Create Shape Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CreateShape &lt;&amp;string&gt;newShapeName \n\
\n\
newShapeName is In and Out parameter\n\
</pre></div><p>Creates a shape with the given name from the selected edges.</p>\n\
<div class=\'section\'><a id=\"geometry-data-methods\"></a><h2 id=\"geometry-data-methods\">Geometry Data Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumVerticesnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of vertices in the Edit_Poly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;GetVertex &lt;index&gt;vertexID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the vertex with the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetVertexFaceCount &lt;index&gt;vertexID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of faces sharing the specified indexed vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetVertexFace &lt;index&gt;vertexID &lt;index&gt;face node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed faces sharing the specified indexed vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetVertexEdgeCount &lt;index&gt;vertexID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of edges sharing the specified indexed vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetVertexEdge &lt;index&gt;vertexID &lt;inredex&gt;edge node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed edge sharing the specified indexed vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumEdgesnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeVertex &lt;index&gt;edgeID &lt;index&gt;end node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed vertex shared by the specified edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeFace &lt;index&gt;edgeID &lt;index&gt;side node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed face shared by the specified edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumFacesnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetFaceDegree &lt;index&gt;faceID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of sides (edges/vertices) of the indexed face. A value of three means a triangular face, a value of four means a quad face, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetFaceVertex &lt;index&gt;faceID &lt;index&gt;corner node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the vertex used at the specified indexed corner of the given indexed face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetFaceEdge &lt;index&gt;faceID &lt;index&gt;side node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the edge used at the specified indexed side of the given indexed face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetFaceMaterial &lt;index&gt;faceID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the Material ID of the indexed face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetFaceSmoothingGroups &lt;index&gt;faceID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the Smoothing group of the indexed face. Smoothing groups are stored in long integers where the 32 bits correspond to the states of the 32 smoothing groups.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumMapChannelsnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of mapping channels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetMapChannelActive &lt;integer&gt;mapChannel node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns true if the supplied mapping channel is active, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumMapVertices &lt;integer&gt;mapChannel node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the number of map vertices in the specified mapping channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt; GetMapVertex &lt;integer&gt;mapChannel &lt;index&gt;vertexID node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed map vertex from the specified mapping channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetMapFaceVert &lt;integer&gt;mapChannel &lt;index&gt;faceID &lt;index&gt;corner node:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the indexed corner vertex of the indexed face from the specified mapping channel.</p>\n\
<div class=\'section\'><a id=\"other-methods\"></a><h2 id=\"other-methods\">Other Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RefreshScreen() \n\
</pre></div><p>Redraws the screen to update changes. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetPrimaryNode &lt;node&gt;node \n\
</pre></div><p>Sets the primary node. An Edit Poly modifier can be assigned as instance to any number of nodes. This method specifies which is the primary one.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;GetPrimaryNode() \n\
</pre></div><p>Returns the primary node. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;GetNodeTMnode:&lt;node&gt; \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns the Node Transformation Matrix. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Listnode:&lt;node&gt; \n\
</pre></div><p>node default value: undefined.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LocalDataChanged &lt;integer&gt;parts \n\
</pre></div><p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";