var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Extrude : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Extrude : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"extrude-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Extrude - superclass: modifier; super-superclass:MAXWrapper - classID: #(160, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Extrude ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.amount Float default: 25.0 -- animatable\n\
</pre></div><p>The depth of the extrusion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.segs Integer default: 1 -- animatable, alias: segments\n\
</pre></div><p>The number of segments that will be created in the extruded object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.capStart Boolean default: true\n\
</pre></div><p>When on, generates a flat surface over the start of the extruded object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.capEnd Boolean default: true\n\
</pre></div><p>When on, generates a flat surface over the end of the extruded object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.capType Integer default: 0\n\
</pre></div><p>Cap type:</p>\n\
<p>0 - <strong>Morph</strong> (Arranges cap faces in a predictable, repeatable pattern, which is necessary for creating morph targets. Morph capping can generate long, thin faces that don’d t render or deform as well as grid capping. Use morph capping primarily if you’re extruding multiple morph targets.)</p>\n\
<p>1 - <strong>Grid</strong> (Arranges cap faces in a square grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can be deformed easily by other modifiers. When you choose the Grid capping option, the grid lines are hidden edges rather than visible edges.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.output Integer default: 1\n\
</pre></div><p>Set the output:</p>\n\
<p>0 - <strong>Patch</strong> (Produces an object that you can collapse to a patch object.)</p>\n\
<p>1 - <strong>Mesh</strong> (Produces an object that you can collapse to a mesh object.)</p>\n\
<p>2 - <strong>NURBS</strong> (Produces an object that you can collapse to a NURBS surface.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.matIDs Boolean default: true\n\
</pre></div><p>When on, assigns different material IDs to the sides and the caps of the extruded object.</p>\n\
<p>Specifically, the sides receive ID 3, and the caps receive IDs 1 and 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.useShapeIDs Booleandefault: false\n\
</pre></div><p>When on, the software uses the material ID values assigned to segments in the modified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.smooth Boolean default: true\n\
</pre></div><p>When on, applies smoothing to the extruded shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.mapCoords Boolean default: false\n\
</pre></div><p>Creates the extruded object with mapping coordinates already applied.</p>\n\
<p>When Generate Mapping Coordinates is turned on, additional mapping coordinates are applied to the end caps placing a single 1 x 1 tile on each cap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Extrude&gt;.realWorldMapSize BooleanClassdefault: false -- boolean\n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";