var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tessellate : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tessellate : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tessellate-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Tessellate - superclass: modifier; super-superclass:MAXWrapper - classID: #(-1548587022, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Tessellate ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Tessellate&gt;.tension Float default: 2500.0 -- animatable, percentage\n\
</pre></div><p>Determines if the new faces are flat, concave, or convex after Edge tessellation. A positive value rounds faces by pushing vertices outward. A negative value creates concave faces by pulling vertices inward. A setting of 0 keeps the faces flat.</p>\n\
<p>Note: The <span class=\'code\'>tension</span> value is 100 times the value shown in the <strong>3ds Max</strong> user interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;tessellate&gt;.faceType Integer default: 0\n\
</pre></div><p>The faceType mode corresponding to the Operate On option in the UI:</p>\n\
<p>0 - Operate on Faces</p>\n\
<p>1 - Operate on Polygons</p>\n\
<div class=\'codeBlock\'><pre>&lt;tessellate&gt;.type Integer default: 0\n\
</pre></div><p>The tessellation type:</p>\n\
<p>0 - Edge</p>\n\
<p>1 - Face-Center</p>\n\
<div class=\'codeBlock\'><pre>&lt;tessellate&gt;.iterations Integer default: 0\n\
</pre></div><p>The number of tessellation iterations. Note that while the UI limits the number of iterations to 4, you can set higher values via MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;tessellate&gt;.updateWhen Integer default: 0\n\
</pre></div><p>The update mode:</p>\n\
<p>0 - Always</p>\n\
<p>1 - When Rendering</p>\n\
<p>2 - Manually</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";