var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bend : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bend : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bend-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bend - superclass: modifier; super-superclass:MAXWrapper - classID: #(16, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Bend...      \n\
BendMod... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.angle Float default: 0.0 -- animatable \n\
</pre></div><p>The angle to bend from the vertical plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.direction Float default: 0.0 -- animatable \n\
</pre></div><p>The direction of the bend relative to the horizontal plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.axis Integer default: 2 \n\
</pre></div><p>Specifies the axis to be bent. Note that this axis is local to the Bend gizmo and not related to the selected entity:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.limit Boolean default: false \n\
</pre></div><p>When on, applies limit constraints to the bend effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit \n\
</pre></div><p>The upper boundary in world units from the bend center point beyond which the bend no longer affects geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit \n\
</pre></div><p>The lower boundary in world units from the bend center point beyond which the bend no longer affects geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>You can translate and animate the center, altering the Bend gizmo’s shape, and thus the shape of the bent object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend&gt;.gizmo SubAnim \n\
</pre></div><p>You can transform and animate the gizmo like any other object, altering the effect of the Bend modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend.gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the gizmo object. Translating the gizmo translates its center an equal distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the gizmo object. Rotating the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bend.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scaling of the gizmo object. Scaling the gizmo takes place with respect to its center.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";