var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Stretch : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Stretch : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"stretch-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Stretch - superclass: modifier; super-superclass:MAXWrapper - classID: #(65712, 12332321) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>stretch...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.Stretch Float default: 0.0 -- animatable \n\
</pre></div><p>The base scale factor for all three axes. The scale factor derived from the Stretch value varies according to the sign of the value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.Amplify Float default: 0.0 -- animatable \n\
</pre></div><p>The scale factor applied to the minor axes. Amplify generates a multiplier using the same technique as <span class=\'code\'>stretch</span> .</p>\n\
<p>The multiplier is then applied to the <span class=\'code\'>stretch</span> value before the scale factor for the minor axes is calculated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.axis Integer default: 2 \n\
</pre></div><p>Determines which of the object’s local axes is the Stretch Axis:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.limit Boolean default: false \n\
</pre></div><p>When on, the stretch effect is limited by the <span class=\'code\'>from</span> and <span class=\'code\'>to</span> values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.from Float default: 0.0 -- animatable \n\
</pre></div><p>The boundary of the stretch effect along the negative Stretch Axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.to Float default: 0.0 -- animatable \n\
</pre></div><p>The boundary of the stretch effect along the positive Stretch Axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center, altering the Stretch gizmo’s shape, and thus the shape of the stretched object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Stretch modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the stretch gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the stretch gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stretch.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the stretch gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";