var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Taper : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Taper : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"taper-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Taper - superclass: modifier; super-superclass:MAXWrapper - classID: #(32, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>taper ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.amount Float default: 1.0 -- animatable \n\
</pre></div><p>The extent to which the ends are scaled. Amount is a relative value with a maximum of 10.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.curve Float default: 0.0 -- animatable, alias: curvature \n\
</pre></div><p>Applies a curvature to the sides of the Taper gizmo, thus affecting the shape of the tapered object.</p>\n\
<p>Positive values produce an outward curve along the tapered sides, negative values an inward curve.</p>\n\
<p>At 0, the sides are unchanged.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.primaryaxis Integer default: 2 \n\
</pre></div><p>The central axis or spine of the taper:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.effectaxis Integer default: 2 \n\
</pre></div><p>The axis, or pair of axes, indicating the direction of the taper from the primary axis.</p>\n\
<p>The available choices are determined by the choice of primary axis.</p>\n\
<p>The effect axis can be either of the two remaining axes, or their combination.</p>\n\
<p>If the primary axis is X, the effect axis can be Y, Z, or YZ.</p>\n\
<p>0- Z</p>\n\
<p>1- Y</p>\n\
<p>2- ZY</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.symmetry Boolean default: false -- animatable \n\
</pre></div><p>When on, produces a symmetrical taper around the primary axis. A taper is always symmetrical around the effect axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.limit Boolean default: false -- boolean\n\
</pre></div><p>Enables/disables upper and lower limits for the taper effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit \n\
</pre></div><p>The upper limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit \n\
</pre></div><p>The lower limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center, altering the Taper gizmo’s shape, and thus the shape of the melted object</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Taper modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the taper gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the taper gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Taper.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the taper gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";