var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wave : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wave : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wave-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wave - superclass: modifier; super-superclass:MAXWrapper - classID: #(71, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>wave ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.amplitude1 Float default: 5.0 -- animatable, alias: Amplitude_1 \n\
</pre></div><p>This produces a sine wave along the gizmo’s Y-axis.</p>\n\
<p>Switching a value from positive to negative reverses the positions of peaks and troughs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.amplitude2 Float default: 5.0 -- animatable, alias: Amplitude_2 \n\
</pre></div><p>This produces a sine wave the gizmo’s X-axis.</p>\n\
<p>Switching a value from positive to negative reverses the positions of peaks and troughs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.wavelength Float default: 25.0 -- animatable, alias: Wave_Length \n\
</pre></div><p>The distance in current units between the crests of both waves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Shifts the wave pattern over the object.</p>\n\
<p>Positive numbers move the pattern in one direction, while negative numbers move it in the other.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.decay Float default: 0.0 -- animatable \n\
</pre></div><p>Limits the effect of the wave generated from its origin.</p>\n\
<p>A decay value decreases the amplitude at increasing distance from the center.</p>\n\
<p>As this value increases, the wave is concentrated at the center and flattened until it disappears (completely decays).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>At this sub-object level, you can translate and animate the center, altering the Wave gizmo’s shape, and thus the shape of the wavy object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave&gt;.gizmo SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Wave modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the wave gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the wave gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wave.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the wave gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";