var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Normalize_Spl - superclass: modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Normalize_Spl - superclass: modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"normalize_spl---superclass-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Normalize_Spl - superclass: modifier; super-superclass:MAXWrapper - 2:0 - classID: #(474287708, 772671746)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>normalize_spl ... normalize_spline ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spl&gt;.Accuracy     Integer    default: 10   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Accuracy&quot;</strong> spinner.</p>\n\
<p>This value controls the accuracy of the spline interpolation.</p>\n\
<p>Valid values are in the range from 0 (lowest accuracy) to 20 (highest accuracy).</p>\n\
<p>Default is 10.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spl&gt;.Length Float default: 20.0 -- float\n\
</pre></div><p>Determines how many control points are added. Smaller values produce more control points; larger values produce fewer.</p>\n\
<p>The positions of the original vertices are disregarded. Vertices are set to regular intervals once the Normalize Spline modifier is applied.</p>\n\
<blockquote>\n\
<p>Note: In versions prior <strong>3ds Max 4</strong>, this class was called <span class=\'code\'>Normalize_Spline</span> . It has been rewritten to use ParamBlock2 but has retained the same ClassID and properties. Both the old and the new constructor will create an instance of <span class=\'code\'>Normalize_Spl</span> class i n <strong>3ds Max 4</strong> and above. Loading old .MAX files with a <span class=\'code\'>Normalize_Spline</span> modifier will create <span class=\'code\'>a Normalize_Spl</span> modifier in the scene so handling is completely transparent to the user and will not break existing scripts. Testing the class of the modifier using classof against both the old and the new class name will return <span class=\'code\'>true</span> .</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";