var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SplineOverlap : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SplineOverlap : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splineoverlap-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SplineOverlap - superclass: modifier; super-superclass:MAXWrapper - 5:0 - classID: #(1923908001L, 3670906846L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that raises the parts of a spline that overlaps itself so that they do not touch.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SplineOverlap() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;SplineOverlap&gt;.Drape Float default: 50.0 -- animatable; float\n\
</pre></div><p>Defines the shape of the overlap - the higher the value, the steeper the slope of the drape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineOverlap&gt;.ShowKnots BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to display the spline&#39;s knots in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineOverlap&gt;.thickness Float default: 1.0 -- animatable; float\n\
</pre></div><p>Gets or sets the thickness of the offset applied at overlaps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineOverlap&gt;.UseNormals BooleanClass default: true -- Boolean\n\
</pre></div><p>Gets or sets whether to use knot normals to determine the &quot;up&quot; direction. This parameter is only applicable when the modifier is applied to a freehand spline drawn on top of an object. If normals are not present, the Z direction is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineOverlap&gt;.UseSelection BooleanClass default: true -- Boolean\n\
</pre></div><p>When true, the overlap amount is scaled partially using soft selection values.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";