var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaterialByElement : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaterialByElement : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"materialbyelement-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>MaterialByElement - superclass: modifier; super-superclass:MAXWrapper - classID: #(1501386990, 233576367) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-AE86E99B-9D57-4747-84DD-99D5408A5861-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>materialByElement ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.method Integer default: 1 \n\
</pre></div><p>Set method:</p>\n\
<p>0- Random Distribution (Assigns the materials at random to different elements in the object.)</p>\n\
<p>1- List Frequency (Determines an approximate relative weight (percentage) for each of up to eight material ID’s)</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID_Count Integer default: 2 -- animatable \n\
</pre></div><p>The minimum number of material IDs to assign. Because material ID assignment is random, setting it to the number of materials in the multi/sub-object material or higher doesn’t guarantee that all materials get used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__1 Float default: 0.5 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for first material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__2 Float default: 0.5 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for second material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__3 Float default: 0.0 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for third material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__4 Float default: 0.0 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for fourth material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__5 Float default: 0.0 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for fifth material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__6 Float default: 0.0 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for sixth material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__7 Float default: 0.0 -- animatable\n\
</pre></div><p>Approximate relative weight (percentage) for seventh material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Material_ID__8 Float default: 0.0 -- animatable \n\
</pre></div><p>Approximate relative weight (percentage) for eighth material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaterialByElement&gt;.Random_Seed Integer default: 12345 \n\
</pre></div><p>The seed value for the (pseudo-)randomization of material ID assignments.</p>\n\
<p><span class=\'code\'>Material_ID</span> values are shown aspercentagesin the <strong>3ds Max</strong> user interface, but stored as fractions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";