var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaterialModifier : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaterialModifier : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"materialmodifier-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Materialmodifier - superclass: modifier; super-superclass:MAXWrapper - classID: #(1017362, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AE86E99B-9D57-4747-84DD-99D5408A5861-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>materialModifier ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Materialmodifier&gt;.materialid Integer default: 1 -- animatable, alias: Material_ID\n\
</pre></div><p>The material ID to be assigned. If the input object is in face sub-selection, then the ID is only applied to selected faces, otherwise it is applied to the entire object.</p>\n\
<p>The ID number refers to one of the materials in a multi/sub-object material.</p>\n\
<p>Note: The default modifier name used when creatinga MaterialModifier modifier is &quot;material&quot;. If you then try to access the modifier as a property of the node it is applied to, a name conflict occurs with the <span class=\'code\'>material</span> property of nodes. To prevent this conflict, you should specify a name during MaterialModifier creation.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` addModifier myObj (materialModifier materialID:5 name:&quot;MaterialMod&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";