var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UnwrapUVW Modifier - Main Toolbar</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UnwrapUVW Modifier - Main Toolbar</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrapuvw-modifier---main-toolbar\"></a></div>\n\
<p>The main toolbar of the Edit UVWs Floater exposes the transform tools and the background map controls:</p>\n\
<div class=\'section\'><a id=\"moverotatescale-icons\"></a><h2 id=\"moverotatescale-icons\">Move/Rotate/Scale Icons</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.move() \n\
</pre></div><p>Presses the Move icon in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveH() \n\
</pre></div><p>Presses the Move Horizontal button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveV() \n\
</pre></div><p>Presses the Move Vertical button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.rotate() \n\
</pre></div><p>Presses the Rotate button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scale() \n\
</pre></div><p>Presses the Scale button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleH() \n\
</pre></div><p>Presses the Scale Horizontal button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleV() \n\
</pre></div><p>Presses the Scale Vertical button in the Edit UVWs floater&#39;s main toolbar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFreeFormMode() \n\
</pre></div><p>Returns true if in FreeForm Mode, false otherwise.</p>\n\
<p>In this mode, you select anywhere inside the bounding rectangle to move the selection. You select the corners to scale the selection, and select the edge centers to rotate the selection. You can also move the center cross which is your rotation pivot point.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFreeFormMode &lt;boolean&gt;freeFormMode \n\
</pre></div><p>Enable / Disable FreeForm Mode.</p>\n\
<p>In this mode, you select anywhere inside the bounding rectangle to move the selection. You select the corners to scale the selection, and select the edge centers to rotate the selection. You can also move the center cross which is your rotation pivot point.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mirrorH() \n\
</pre></div><p>Presses the Mirror Horizontal button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.mirrorV() \n\
</pre></div><p>Presses the Mirror Vertical button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flipHorizontal() \n\
</pre></div><p>This presses the Flip Horizontal button in the edit floater dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flipVertical() \n\
</pre></div><p>This presses the Flip Vertical button in the edit floater dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"texture-map-display\"></a><h2 id=\"texture-map-display\">Texture Map Display</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.updateMap() \n\
</pre></div><p>Presses the Update Map button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.displayMap &lt;boolean&gt;displayMap \n\
</pre></div><p>Toggles the Display Map button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isMapDisplayed() \n\
</pre></div><p>Returns the state of the Display Map button.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowMap() \n\
</pre></div><p>Returns the Show Map button state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowMap &lt;boolean&gt;showMap \n\
</pre></div><p>Sets the Show Map button state.</p>\n\
<p>Same functionality as <span class=\'code\'>.displayMap()</span> method.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getCurrentMap() \n\
</pre></div><p>Returns the index into the map drop down list of the current map in the view of the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.SetCurrentMap &lt;integer&gt;map \n\
</pre></div><p>Changes the currently displayed map to the index provided, where <span class=\'code\'>map</span> is the index of the map in the drop down list that you want to display.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberMaps() \n\
</pre></div><p>Returns the number of maps in the map drop down list.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.addMap &lt;texturemap&gt;map \n\
</pre></div><p>Adds the supplied texture map to the Maps drop-down list of the Unwrap_UVW Editor.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"uv-space-flyout\"></a><h2 id=\"uv-space-flyout\">UV Space Flyout</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setUVSpace &lt;integer&gt;UVSpace \n\
</pre></div><p>Sets the UV Space fly out in the edit floater, where <span class=\'code\'>UVSpace</span> defines the space that you want to view the texture vertices in:</p>\n\
<p>1 - UV</p>\n\
<p>2 - VW</p>\n\
<p>3 - UW</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.GetUVSpace() \n\
</pre></div><p>Returns the state of the UV Space fly out in the edit floater:</p>\n\
<p>1 - UV</p>\n\
<p>2 - VW</p>\n\
<p>3 - UW</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"auto-background\"></a><h2 id=\"auto-background\">Auto-Background</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAutoBackground() \n\
</pre></div><p>Returns the AutoBackground option’s state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setAutoBackground &lt;boolean&gt;enable \n\
</pre></div><p>Sets the AutoBackground option’s state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.SetAutoBackGround &lt;boolean&gt;autoBackground \n\
</pre></div><p>There is a new auto background option which, when set to True, will tie the current background to the current Mat. Filter ID. When you change the Mat. Filter ID, the background will automatically change to a map that uses that material id.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetAutoBackGround() \n\
</pre></div><p>Returns the state of the Auto Background option (see above)</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";