var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Pelt Mapping</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Pelt Mapping</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---pelt-mapping\"></a></div>\n\
<p>The following methods introduced in <strong>3ds Max 8</strong> expose the Pelt Mapping Dialog controls to MAXScript.</p>\n\
<div class=\'section\'><a id=\"pelt-map-parameters-dialog\"></a><h2 id=\"pelt-map-parameters-dialog\">Pelt Map Parameters Dialog</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialog() \n\
</pre></div><p>Opens the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pelt-map-parameters-dialog---stretcher-group-of-controls\"></a><h2 id=\"pelt-map-parameters-dialog---stretcher-group-of-controls\">Pelt Map Parameters Dialog - Stretcher group of controls</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogResetStretcher() \n\
</pre></div><p>Presses the <strong>Reset Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSnapToSeams() \n\
</pre></div><p>Presses the <strong>Snap To Seams</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStraightenMode() \n\
</pre></div><p>Returns true if in Straighten mode, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStraightenMode &lt;boolean&gt;mode \n\
</pre></div><p>Pass true as argument to enable the Straighten mode (check the <strong>Straighten Stretcher</strong> checkbutton in the Pelt map Parameters dialog), or false to disable.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogStraighten &lt;index&gt;vert1 &lt;index&gt;vert2 \n\
</pre></div><p>Straigtens using the specified indexed vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogMirrorStretcher() \n\
</pre></div><p>Presses the <strong>Mirror Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogMirrorAxis() \n\
</pre></div><p>Returns the Mirror Axis.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogMirrorAxis &lt;float&gt;axis \n\
</pre></div><p>Sets the Mirror Axis.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pelt-map-parameters-dialog---springs-group-of-controls\"></a><h2 id=\"pelt-map-parameters-dialog---springs-group-of-controls\">Pelt Map Parameters Dialog - Springs group of controls</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStretcherStrength() \n\
</pre></div><p>Returns the Stretcher <strong>Pull Strength</strong> value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStretcherStrength &lt;float&gt;strength \n\
</pre></div><p>Sets the Stretcher <strong>Pull Strength</strong> value. Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStiffness() \n\
</pre></div><p>Returns the Stretcher <strong>Stiffness</strong> value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStiffness &lt;float&gt;stiffness \n\
</pre></div><p>Sets the Stretcher <strong>Stiffness</strong> value. Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogDampening() \n\
</pre></div><p>Returns the <strong>Dampening</strong> value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogDampening &lt;float&gt;dampening \n\
</pre></div><p>Sets the <strong>Dampening</strong> value. Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogDecay() \n\
</pre></div><p>Returns the Decay value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogDecay &lt;float&gt;decay \n\
</pre></div><p>Sets the Decay value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltLockOpenEdges() \n\
</pre></div><p>Returns the state of the Lock Open Edges checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltLockOpenEdges &lt;boolean&gt;lock \n\
</pre></div><p>Sets the state of the <strong>Lock Open Edges</strong> checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pelt-map-parameters-dialog---select-group-of-controls\"></a><h2 id=\"pelt-map-parameters-dialog---select-group-of-controls\">Pelt Map Parameters Dialog - Select group of controls</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSelectStretcher() \n\
</pre></div><p>Presses the <strong>Select Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSelectPelt() \n\
</pre></div><p>Presses the <strong>Select PeltUVs</strong> button in the <strong>Pelt Map Parameters</strong>dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pelt-map-parameters-dialog---simulation-group-of-controls\"></a><h2 id=\"pelt-map-parameters-dialog---simulation-group-of-controls\">Pelt Map Parameters Dialog - Simulation group of controls</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPeltDialogFrames() \n\
</pre></div><p>Returns the number of Iterations of the Pelt simulation in frames.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogFrames &lt;integer&gt;frames \n\
</pre></div><p>Sets the Iterations of the Pelt simulation in frames. Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPeltDialogSamples() \n\
</pre></div><p>Returns the number of Samples for the Pelt simulation.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogSamples &lt;integer&gt;samples \n\
</pre></div><p>Sets the number of Samples for the Pelt simulation.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRelaxLight() \n\
</pre></div><p>Performs light relaxing. Corresponds to pressing the <strong>Relax(Light)</strong> button in the <strong>Pelt Map Parameters</strong> Dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRelaxHeavy() \n\
</pre></div><p>Performs heavy relaxing. Corresponds to pressing the <strong>Relax(Heavy)</strong> button in the <strong>Pelt Map Parameters</strong> Dialog. Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRun() \n\
</pre></div><p>Runs the Pelt simulation. Corresponds to pressing the <strong>Sumulate Pelt Pulling</strong> button.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";