var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Relax</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Relax</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---relax\"></a></div>\n\
<p>The following methods expose the Relax Tool of the UnwrapUVW Modifier to MAXScript.</p>\n\
<div class=\'section\'><a id=\"relax-one-click\"></a><h2 id=\"relax-one-click\">Relax One Click</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0FA33099-12A7-4887-8E0A-89FD7D4C72F1-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RelaxOneClick()\n\
</pre></div><p>Equivalent to pressing the &quot;Relax Until Flat&quot; icon in the Edit UVs dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"relax-tool\"></a><h2 id=\"relax-tool\">Relax Tool</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FBF56E95-63EA-4478-8608-1A8D2A3EF85F-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relax2dialog() \n\
</pre></div><p>Opens the Relax Tool dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRelaxIteration() \n\
</pre></div><p>Returns the relax iterations count.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxIteration &lt;integer&gt;amount \n\
</pre></div><p>Sets the relax iterations count to the specified value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getRelaxAmount() \n\
</pre></div><p>Returns the relax amount.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxAmount &lt;float&gt;amount \n\
</pre></div><p>Sets the relax amount to the spacified value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxBoundary() \n\
</pre></div><p>Get the Relax Boundary Points status.</p>\n\
<p>When <span class=\'code\'>true</span> , the boundary points will remain fixed. Returns the state of the &quot;Keep Boundary Points Fixed&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBoundary &lt;boolean&gt;boundary \n\
</pre></div><p>Set the Relax Boundary Points status.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the boundary points will remain fixed. Affects the state of the &quot;Keep Boundary Points Fixed&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxSaddle() \n\
</pre></div><p>Get Relax saddle status.</p>\n\
<p>Returns the state of the &quot;Save Outer Corners&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxSaddle &lt;boolean&gt;saddle \n\
</pre></div><p>Set Relax saddle status.</p>\n\
<p>Affects the state of the &quot;Save Outer Corners&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxByFaceAngle &lt;integer&gt;iterations &lt;float&gt;stretch &lt;float&gt;strength &lt;boolean&gt;lockBoundaries \n\
</pre></div><p>Performs a &quot;Relax By Face Angles&quot; operation without opening the Relax Tool dialog.</p>\n\
<p>The arguments correspond to the <strong>Iterations</strong> value, <strong>Stretch</strong> value, <strong>Amount</strong> value and <strong>Keep Boundary Points Fixed</strong> checkbox state found in the <strong>Relax Tool &gt; Relax By Face Angles</strong> mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxByEdgeAngle &lt;integer&gt;iterations &lt;float&gt;stretch &lt;float&gt;strength &lt;boolean&gt;lockBoundaries \n\
</pre></div><p>Performs a &quot;Relax By Edge Angles&quot; operation without opening the Relax Tool dialog.</p>\n\
<p>The arguments correspond to the <strong>Iterations</strong> value, <strong>Stretch</strong> value, <strong>Amount</strong> value and <strong>Keep Boundary Points Fixed</strong> checkbox state found in the <strong>Relax Tool&gt;Relax By Edge Angles</strong> mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relax2() \n\
</pre></div><p>Performs a &quot;Relax by Centers&quot; operation using the current settings.</p>\n\
<p>Same as pressing the Apply button in the Relax Dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap3</span> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"relax-by-spring\"></a><h2 id=\"relax-by-spring\">Relax By Spring</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringIteration() \n\
</pre></div><p>Returns the Iteration value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringIteration &lt;integer&gt;iteration \n\
</pre></div><p>Sets the Iteration value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringStretch() \n\
</pre></div><p>Returns the Stretch value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringStretch &lt;float&gt;stretch \n\
</pre></div><p>Sets the Stretch value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringUseOnlyVEdges() \n\
</pre></div><p>Returns the state of the Lock Bondaries checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringUseOnlyVEdges &lt;boolean&gt;useOnlyVEdges \n\
</pre></div><p>Sets the state of the Lock Bondaries checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxBySpring &lt;integer&gt;frames &lt;float&gt;stretch &lt;boolean&gt;useOnlyVEdges \n\
</pre></div><p>Performs the relax by spring without opening the dialog.</p>\n\
<p>The arguments correspond to the Iterations value, Stretch value and Lock Boundaries checkbox state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"relax-by-angle\"></a><h2 id=\"relax-by-angle\">Relax By Angle</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"other-obsolete-relax-method\"></a><h2 id=\"other-obsolete-relax-method\">Other Obsolete Relax Method</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.relax &lt;integer&gt;iterations &lt;float&gt;strength &lt;boolean&gt;lockEdges &lt;boolean&gt;matchArea \n\
</pre></div><p>Performs the <strong>pre-3ds Max 6</strong> Relax operation using the provided arguments.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<p>Note: In <strong>3ds Max 6 and higher</strong>, you should consider using the <span class=\'code\'>Relax2()</span> method and related methods described below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;fitRelax &lt;integer&gt;iterations &lt;float&gt;strength \n\
</pre></div><p>Performs a Fit Relax.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";