var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Render UV Template</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Render UV Template</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---render-uv-template\"></a></div>\n\
<p>The following properties and methods expose the Render UV Template Dialog settings of the UnwrapUVW Modifier to MAXScript.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BD118061-ACF4-4D08-8DCB-5EDBA753BC3D-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_width Integer default: 1024 -- integer; Width \n\
</pre></div><p>Get/Set the Image Width.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_height Integer default: 1024 -- integer; Height \n\
</pre></div><p>Get/Set the Image Height.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_force2sided BooleanClass default: true -- boolean; Force_2_Sided \n\
</pre></div><p>Get/Set the state of the Force 2-Sided checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_fillColor Color default: (color 127.5 127.5 127.5) -- RGB color; Fill_Color \n\
</pre></div><p>Get/Set the Fill Color value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_fillalpha Float default: 1.0 -- float; Fill_Alpha \n\
</pre></div><p>Get/Set the Fill Alpha value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_fillmode Integer default: 0 -- integer; Fill_Mode \n\
</pre></div><p>Get/Set the Fill Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong></p>\n\
<p>1 - <strong>Solid</strong></p>\n\
<p>2 - <strong>Normal</strong></p>\n\
<p>3 - <strong>Shaded</strong></p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_showoverlap BooleanClass default: true -- boolean; Overlap \n\
</pre></div><p>Get/Set the state of the Show Overlap checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_overlapColor Color default: (color 255 0 0) -- RGB color; Overlap_Color \n\
</pre></div><p>Get/Set the Overlap color. A</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_edgeColor Color default: (color 255 255 255) -- RGB color; Edge_Color \n\
</pre></div><p>Get/Set the Edge color.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_edgealpha Float default: 1.0 -- float; Edge_Alpha \n\
</pre></div><p>Get/Set the Edge Alpha value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_visibleedges BooleanClass default: true -- boolean; Visible_Edges \n\
</pre></div><p>Get/Set the state of the Visible Edges checkbox. When true, visible edges will be rendered.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_invisibleedges BooleanClass default: false -- boolean; Invisible_Edges \n\
</pre></div><p>Get/Set the state of the Invisible Edges checkbox. When true, invisible edges will be rendered.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_seamedges BooleanClass default: true -- boolean; Seam_Edges \n\
</pre></div><p>Get/Set the state of the Seam Edges checkbox. When true, seam edges will be rendered.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_seamColor Color default: (color 0 255 0) -- RGB color; Seam_Color \n\
</pre></div><p>Get/Set the color to render Seam Edges with.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.renderuv_showframebuffer BooleanClass default: true -- boolean; Show_Frame_Buffer \n\
</pre></div><p>When true, theframe buffer will be displayed.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.renderUVDialog() \n\
</pre></div><p>Opens the Render UVW Template dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.renderUV &lt;filename&gt;fileName \n\
</pre></div><p>Renders a UVW Template to the specified file name using the current Render UVW Template dialog settings.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";