var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpacePathDeform : SpacewarpModifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpacePathDeform : SpacewarpModifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacepathdeform-spacewarpmodifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpacePathDeform - superclass: SpacewarpModifier; super-superclass:MAXWrapper - classID: #(69812, 32670) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SpacePathDeform...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.path Node default: undefined \n\
</pre></div><p>The node designated as the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.Percent_along_path Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Moves the object along the gizmo path based on a percentage of the path length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.Stretch Float default: 1.0 -- animatable \n\
</pre></div><p>Scales the object along the gizmo path, using the object’s pivot point as the base of the scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.rotation Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the object about the gizmo path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.Twist Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Twists the object about the path. The twist angle is based on the rotation of one end of the overall length of the path.</p>\n\
<p>Typically, the deformed object takes up only a portion of the path, so the effect can be subtle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.axis Integer default: 2 \n\
</pre></div><p>Choose one to rotate the gizmo path to align with a specified local axis of the object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpacePathDeform&gt;.Flip_deformation_axis Integer default: 0 \n\
</pre></div><p>When on, reverses the gizmo path 180 degrees about the specified axis.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<p>Note:</p>\n\
<p>What it does is setting the transformation matrix of the deformed object to the transformation matrix of the deformation path.</p>\n\
<p>The PathDeform World Space Modifier provides an additional <strong>&quot;Move To Path&quot;</strong> button in the UI which is not directly exposed to MAXScript, but its functionality can be easily scripted.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` thePath = Circle pos:[200,300,400]--create a circle theObj = Box heightsegs:20--create a box with 20 height segments theMod = SpacePathDeform()--create an instance of thePathDeformWSM addModifier theObj theMod--add to the box theMod.path = thePath--set the path to the Circle shape theObj.transform = thePath.transform--MOVE TO PATH!</p>\n\
<p>```</p>\n\
<p>You can link the deformed object to the path to keep the transformation matrix identical - moving the path around should keep the deformed object aligned.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";