var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceWarp Binding SpacewarpModifiers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceWarp Binding SpacewarpModifiers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacewarp-binding-spacewarpmodifiers\"></a></div>\n\
<p>The SpaceWarp Binding SpacewarpModifiers are not directly created in MAXScript, but are created and applied to a node using the <span class=\'code\'>bindSpaceWarp()</span> method. Most of the SpacewarpModifiers do not have any additional properties.</p>\n\
<p><strong>Constructors and Properties</strong></p>\n\
<div class=\'section\'><a id=\"simpleosmtowsmmod\"></a><h3 id=\"simpleosmtowsmmod\">SimpleOSMToWSMMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceBend_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceNoise_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceSkew_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceStretch_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceTaper_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceTwist_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"bombbinding\"></a><h3 id=\"bombbinding\">BombBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;bomb_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"deflectorbinding\"></a><h3 id=\"deflectorbinding\">DeflectorBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;deflector_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"displacebinding\"></a><h3 id=\"displacebinding\">DisplaceBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceDisplace_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"ffd_binding\"></a><h3 id=\"ffd_binding\">FFD_Binding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceFFDBox_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceFFDCyl_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"gravitybinding\"></a><h3 id=\"gravitybinding\">GravityBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;gravity_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"motormod\"></a><h3 id=\"motormod\">MotorMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;motor_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"pathfollowmod\"></a><h3 id=\"pathfollowmod\">PathFollowMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;path_Follow_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"pbombmod\"></a><h3 id=\"pbombmod\">PBombMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;pbomb_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"pdynaflectmod\"></a><h3 id=\"pdynaflectmod\">PDynaFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;PDynaFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"pomniflectmod\"></a><h3 id=\"pomniflectmod\">POmniFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;POmniFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"pushmod\"></a><h3 id=\"pushmod\">PushMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;pushSpaceWarp_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"ripplebinding\"></a><h3 id=\"ripplebinding\">RippleBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceRipple_node&gt;\n\
&lt;RippleBinding&gt;.Flexibility Float default: 1.0 -- animatable\n\
</pre></div><div class=\'section\'><a id=\"sdeflectmod\"></a><h3 id=\"sdeflectmod\">SDeflectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;sdeflector_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"sdynaflectmod\"></a><h3 id=\"sdynaflectmod\">SDynaFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;SDynaFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"somniflectmod\"></a><h3 id=\"somniflectmod\">SOmniFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;SOmniFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"spaceconform\"></a><h3 id=\"spaceconform\">SpaceConform:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;conformSpaceWarp_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"udeflectormod\"></a><h3 id=\"udeflectormod\">UDeflectorMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;uDeflector_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"udynaflectmod\"></a><h3 id=\"udynaflectmod\">UDynaFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;UDynaFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"uomniflectmod\"></a><h3 id=\"uomniflectmod\">UOmniFlectMod:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;UOmniFlect_node&gt;\n\
</pre></div><div class=\'section\'><a id=\"wavebinding\"></a><h3 id=\"wavebinding\">WaveBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceWave_node&gt;\n\
&lt;WaveBinding&gt;.Flexibility Float default: 1.0 -- animatable\n\
</pre></div><div class=\'section\'><a id=\"windbinding\"></a><h3 id=\"windbinding\">WindBinding:</h3></div>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;wind_node&gt;\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";