var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSBlendCurve : NURBSCurve</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSBlendCurve : NURBSCurve</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsblendcurve-nurbscurve\"></a></div>\n\
<p>This class defines a dependent Blend curve. A Blend curve connects the end of one curve to the end of another, blending the curvature of the parents to create a smooth curve between them.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSBlendCurve [&lt;property&gt;:&lt;val&gt;]...    \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.parent1 : integer \n\
</pre></div><p>The 1 st parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.parent1ID : integer \n\
</pre></div><p>The 1 st parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.parent2 : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.parent2ID : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.flip1 : boolean \n\
</pre></div><p><span class=\'code\'>true</span> to use the end of 1 st parent curve; <span class=\'code\'>false</span> to use the beginning, defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.flip2 : boolean \n\
</pre></div><p><span class=\'code\'>true</span> to use the end of 2 nd parent curve; <span class=\'code\'>false</span> to use the beginning, defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.tension1 : float \n\
</pre></div><p>The tension value for the 1 st parent curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendcurve&gt;.tension2 : float \n\
</pre></div><p>The tension value for the 2 nd parent curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";