var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSObject Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSObject Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsobject-values\"></a></div>\n\
<p>This is the parent class for all the NURBS classes and so is not directly constructable.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>Because this is a parent class, all the NURBS classes except NURBSSet have the following properties:</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsobject&gt;.name : string\n\
</pre></div><p>The name of the NURBS object</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsobject&gt;.index : integer, read-only\n\
</pre></div><p>Only valid <strong>after</strong> a NURBSSet is instantiated via <span class=\'code\'>NURBSNode()</span> or if the NURBS object is part of a non-relational NURBSSet.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";