var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSLatheSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSLatheSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbslathesurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Lathe surface. A Lathe surface is generated from a curve sub-object. It is similar to a surface created with the Lathe modifier. The advantage is that a lathe sub-object is part of the NURBS model, so you can use it to construct other curve and surface sub-objects.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSLatheSurface [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbslathesurface&gt;.parent : integer \n\
</pre></div><p>The parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbslathesurface&gt;.parentID : integer \n\
</pre></div><p>The parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbslathesurface&gt;.axisTM : matrix3 \n\
</pre></div><p>The axis system for the surface of revolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbslathesurface&gt;.sweep : float \n\
</pre></div><p>The angle of the revolution in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsextrudesurface&gt;.curveStartPoint : float \n\
</pre></div><p>The start point on the parent curve. This value is only applicable if the curve is closed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";