var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSMultiCurveTrimSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSMultiCurveTrimSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsmulticurvetrimsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Multicurve Trim surface which is a surface that is trimmed by multiple curves forming a loop.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSMultiCurveTrimSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsmulticurvetrimsurface&gt;.surfaceParent : Integer \n\
</pre></div><p>The parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsmulticurvetrimsurface&gt;.surfaceParentID : Integer \n\
</pre></div><p>The parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsmulticurvetrimsurface&gt;.numCurves : Integer \n\
</pre></div><p>The number of curves used for the trim loop.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsmulticurvetrimsurface&gt;.flipTrim : Boolean \n\
</pre></div><p>The state of the trim flip toggle. This controls which portion of the surface is trimmed.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getParent &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSSet index of the indexed trim loop.</p>\n\
<div class=\'codeBlock\'><pre>setParent &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Sets the indexed trim loop to the curve specified by the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getParentID &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSId of the indexed trim loop.</p>\n\
<div class=\'codeBlock\'><pre>setParentID &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Sets the indexed curve in the trim loop to the curve specified by the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>appendCurve &lt;nurbsmulticurvetrimsurface&gt; &lt;curve&gt; \n\
</pre></div><p>Adds a curve to the end of the list of curves comprising the trim loop by specifying the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>appendCurveByID &lt;nurbsmulticurvetrimsurface&gt; &lt;curveID&gt; \n\
</pre></div><p>Adds a curve to the end of the list of curves comprising the trim loop by specifying the NURBSId.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";