var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Materials Assignment and Texture Coordinates</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Materials Assignment and Texture Coordinates</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"materials-assignment-and-texture-coordinates\"></a></div>\n\
<p><strong>Materials and NURBS</strong></p>\n\
<p>Each NURBS surface has its own material ID. If you assign a Multi-SubObject material you can apply a different material to each surface in a NURBS object by setting the <span class=\'code\'>&lt;NURBSSurface&gt;</span> property <span class=\'code\'>.MatID</span> .</p>\n\
<p><strong>Texture Coordinates and NURBS</strong></p>\n\
<p>Texture coordinates are assigned to each of the four corners of a NURBS surface. On the standard <strong>3ds Max</strong> primitives for example most are assigned to use (0,0) to (1,1) across the surface. Some primitives, such as the Prism, don&#39;t use (0,0) to (1,1) because of the way they wrap. Developers may of course assign any values using the API. The <span class=\'code\'>&lt;NURBSSurface&gt;</span> method to do this is <span class=\'code\'>setTextureUVs()</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";