var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using the NURBS Classes and Functions to Create and Modify 3ds Max NURBS Models</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using the NURBS Classes and Functions to Create and Modify 3ds Max NURBS Models</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-the-nurbs-classes-and-functions-to-create-and-modify-3ds-max-nurbs-models\"></a></div>\n\
<p>For NURBS objects in the scene, <strong>3ds Max</strong> uses a different internal representation of NURBS objects than the MAXScript and SDK classes do. These MAXScript and SDK classes are simply a means to access these internal <strong>3ds Max</strong> NURBS objects and allow them to be manipulated.</p>\n\
<p>The object used in communication between the internal <strong>3ds Max</strong> NURBS objects and the classes in MAXScript available to work with these objects is the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\' title=\'\'>NURBSSet</a>. There are also two functions used in this communication. The first is the constructor <span class=\'code\'>NURBSNode()</span> and the second is a node method, <span class=\'code\'>getNURBSSet()</span> . How these are used is described in the following topics:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\' title=\'\'>Creating New NURBS Objects</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Modifying-Existing-NURBS-Objects.html\' title=\'\'>Modifying Existing NURBS Objects</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Parameter-Ranges-for-Curves-and.html\' title=\'\'>Parameter Ranges for Curves and Surfaces</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Materials-Assignment-and-Texture.html\' title=\'\'>Materials Assignment and Texture Coordinates</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-NURBS-Scene-Objects.html\' title=\'\'>Creating NURBS Scene Objects</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-NURBSCVSurface-Values.html\' title=\'\'>Creating NURBSCVSurface Values</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\' title=\'\'>NURBS Node Properties and Methods</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";