var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Viewport State Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Viewport State Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-viewport-state-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>hide &lt;node&gt; -- mapped \n\
</pre></div><p>Hides the specified node or node collection.</p>\n\
<div class=\'codeBlock\'><pre>unhide &lt;node&gt; [doLayer:&lt;boolean&gt;] -- mapped \n\
</pre></div><p>Unhides the specified node or node collection.</p>\n\
<p>If the optional <span class=\'code\'>doLayer</span> keyword is set to <span class=\'code\'>true</span> and the node is in a layer that is hidden, the entire layer is unhidden. When <span class=\'code\'>false</span> (the default), just the node is unhidden.</p>\n\
<div class=\'codeBlock\'><pre>freeze &lt;node&gt; -- mapped \n\
</pre></div><p>Freezes the specified node or node collection.</p>\n\
<div class=\'codeBlock\'><pre>unfreeze &lt;node&gt; [doLayer:&lt;boolean&gt;] -- mapped \n\
</pre></div><p>Unfreezes the specified node or node collection.</p>\n\
<p>If the optional doLayer keyword is set to true and the node is in a layer that is frozen, the entire layer is unfrozen. When false (the default), just the node is unfrozen.</p>\n\
<div class=\'codeBlock\'><pre>flagForeground &lt;node&gt; &lt;boolean&gt; -- mapped \n\
</pre></div><p>Controls the disposition of scene nodes in the viewport foreground/background planes, so you can influence interactive performance on a node. Nodes placed in the foreground plane are redrawn individually, so interactive changes to them through spinners in scripted rollout panels are much faster.</p>\n\
<p>The boolean argument puts the scene node(s) into the foreground plane if <span class=\'code\'>true</span> , or into the background plane if <span class=\'code\'>false</span> . You must be judicious in putting nodes in the foreground plane because putting too many objects in the foreground plane reduces the foreground plane&#39;s effectiveness. Remember to unflag objects when you do not need to interactively control them any more.</p>\n\
<div class=\'codeBlock\'><pre>getTrajectoryOn &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if Trajectory is shown for the node, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>setTrajectoryOn &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether Trajectory is shown for the node. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , Trajectory is shown. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> , Trajectory is not shown.</p>\n\
<div class=\'codeBlock\'><pre>isBoneOnly &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node&#39;s <span class=\'code\'>showLinksOnly</span> property is <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>getCVertMode &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if node is displayed using vertex colors in shaded viewports, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>setCVertMode &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether to display the effect of assigned vertex colors for the node in shaded viewports. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , node is displayed using vertex colors. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> , node is displayed using the material or wireframe color.</p>\n\
<div class=\'codeBlock\'><pre>getShadeCVerts &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the vertex color display for the node is shaded in the viewports, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>setShadeCVerts &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the vertex color display for the node is shaded in the viewports. When <span class=\'code\'>true</span> , the colors are unshaded and appear in their pure RGB values. When <span class=\'code\'>false</span> , the colors appear like any other assigned color in the viewports.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";