var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node : MAXWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node : MAXWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-maxwrapper\"></a></div>\n\
<p>Nodes represent <strong>3ds Max</strong> scene objects such as geometry, cameras, shapes, etc. Each kind of <strong>3ds Max</strong> scene object is represented by a class that inherits from Node.</p>\n\
<p>The classes derived directly from the Node class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Node-Subclasses-1.html\' title=\'\'>Node Subclasses</a>. Other classes are derived from these classes, and inherit the properties and methods defined for the Node class.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the Node class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators.html\' title=\'\'>Node Common Properties, Operators, and Methods</a>.</p>\n\
<p>The Node class is derived from the MAXWrapper class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";