var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Conform : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Conform : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"conform-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Conform - superclass: GeometryClass; super-superclass:node - classID:#(447821655, 305552280) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<p>Conform compound objects are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Conform&gt;.Projection_Distance Floatdefault: 1.0 -- animatable   \n\
</pre></div><p>The distance a vertex in the Wrapper object will move from its original location if it does not intersect the Wrap-To object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Conform&gt;.Standoff_Distance Floatdefault: 1.0 -- animatable \n\
</pre></div><p>The distance maintained between the vertex of the Wrapper object and the surface of the Wrap-To object</p>\n\
<p>The following properties are available only after the conform object has been created.</p>\n\
<p>The values shown for the properties are those for a conform object created from two spheres.</p>\n\
<p>The operand transforms are in the local coordinate system of the conform object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Conform&gt;.S_Sphere02SubAnim default: SubAnim:S_Sphere02\n\
&lt;Conform&gt;.Operand_A_Transform SubAnim default: SubAnim:Operand_A_Transform\n\
&lt;Conform&gt;.D_Sphere01SubAnim default: SubAnim:D_Sphere01\n\
&lt;Conform&gt;.Operand_B_Transform SubAnim default: SubAnim:Operand_B_Transform\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";