var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Loft : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Loft : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"loft-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Loft - superclass: GeometryClass; super-superclass:node - classID:#(6553, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Loft compound objects are not creatable by MAXScript. \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Loft&gt;.Def_Scale_X SubAnim default: SubAnim:Def_Scale_X \n\
&lt;Loft&gt;.Def_Scale_Y SubAnim default: SubAnim:Def_Scale_Y \n\
&lt;Loft&gt;.Def_Twist SubAnim default: SubAnim:Def_Twist \n\
&lt;Loft&gt;.Def_Teeter_X SubAnim default: SubAnim:Def_Teeter_X \n\
&lt;Loft&gt;.Def_Teeter_Y SubAnim default: SubAnim:Def_Teeter_Y \n\
&lt;Loft&gt;.Def_Bevel SubAnim default: SubAnim:Def_Bevel \n\
&lt;Loft&gt;.Def_Fit_X SubAnim default: SubAnim:Def_Fit_X \n\
&lt;Loft&gt;.Def_Fit_Y SubAnim default: SubAnim:Def_Fit_Y   \n\
</pre></div><p>These SubAnims contain the deformation curves of the loft object.</p>\n\
<p>You cannot create or access points in these curves unless the point is animated. In this case, you can access the animated point position as a SubAnim of the property.</p>\n\
<p>The following properties are available only after the loft object has been created.</p>\n\
<p>The values shown for the properties are those for a loft object created from an ellipse (the path) and a circle (the shape).</p>\n\
<div class=\'codeBlock\'><pre>&lt;loft&gt;.ellipse SubAnim default: SubAnim:Ellipse&lt;Loft&gt;.circle SubAnim default: SubAnim:Circle\n\
</pre></div><p>These SubAnims contain the parameters of the path and shape objects, respectively. If multiple shapes are used in a loft, each of these shape objects will have a corresponding SubAnim.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";