var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShapeMerge : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShapeMerge : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapemerge-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>ShapeMerge - superclass: GeometryClass; super-superclass:node - classID:#(1787264003, 1737781638) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<p>ShapeMerge compound objects are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMerge&gt;.Operation_Type Integer default: 1   \n\
</pre></div><p>Set the shapemerge operation type:</p>\n\
<p>0- <strong>Cookie Cutter</strong> (Cuts the shape out of the mesh object&#39;s surface.)</p>\n\
<p>1- <strong>Merge</strong> (Merges the shape with the surface of the mesh object.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMerge&gt;.Remove_Interior_Exterior Integer default: 0 \n\
</pre></div><p>Reverses the effect of Cookie Cutter or Merge. With the Cookie Cutter option, the effect is obvious.</p>\n\
<p>When Invert is off, the shape is a hole in the mesh object.</p>\n\
<p>When Invert is on, the shape is solid and the mesh is missing.</p>\n\
<p>When you&#39;re using Merge, Invert reverses the sub-object mesh selection.</p>\n\
<p>0- <strong>Invert OFF</strong></p>\n\
<p>1- <strong>Invert ON</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMerge&gt;.Output_Sub_Mesh_Selection Integer default: 0 \n\
</pre></div><p>Sets which selection level is output:</p>\n\
<p>0- <strong>None</strong> (Outputs the full object.)</p>\n\
<p>1- <strong>Vertex</strong> (Outputs the vertices defined by the spline of the shape.)</p>\n\
<p>2- <strong>Edge</strong> (Outputs the edge of the merged shape.)</p>\n\
<p>3- <strong>Face</strong> (Outputs the faces within the merged shape.)</p>\n\
<p><strong>The following properties are available only after the ShapeMerge object has been created</strong>.</p>\n\
<p>The values shown for the properties are those for a ShapeMerge object created from a sphere and a circle.</p>\n\
<p>SubAnims similar to the Circle01 SubAnim would be created if additions operands were used.</p>\n\
<p>The operand transforms are in the local coordinate system of the ShapeMerge object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMerge&gt;.mesh__sphere01 SubAnim default: SubAnim:Mesh__Sphere01\n\
&lt;ShapeMerge&gt;.mesh_transform SubAnim default: SubAnim:Mesh_Transform\n\
&lt;ShapeMerge&gt;.shape_1__circle01 SubAnim default: SubAnim:Shape_1__Circle01\n\
&lt;ShapeMerge&gt;.shape_1_transform SubAnim default: SubAnim:Shape_1_Transform\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";