var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Railing : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Railing : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"railing-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Railing - superclass: GeometryClass; super-superclass:node - 37:0 - classID: #(2112369932, 2115246037) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4EAAAC23-4F44-4A9D-80A1-4437DF85DD48-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>railing...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Railing&gt;.Top_Rail_Depth Float default: 4.0 -- animatable; float \n\
&lt;Railing&gt;.Top_Rail_Width Float default: 3.0 -- animatable; float \n\
&lt;Railing&gt;.Top_surface_of_Top_Rail_Height Float default: 42.0 -- animatable; float \n\
&lt;Railing&gt;.Railing_Length Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Top_Rail_Profile Integer default: 2 -- integer \n\
</pre></div><p>Top_Rail_Profile = 0 - (none); 1 - Round; 2 - Square</p>\n\
<div class=\'codeBlock\'><pre>&lt;Railing&gt;.Lower_Rail_Depth Float default: 2.0 -- animatable; float \n\
&lt;Railing&gt;.Lower_Rail_Width Float default: 1.0 -- animatable; float \n\
&lt;Railing&gt;.Lowest_Rail_Height Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Lower_Rail_Spacing Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Number_of_Lower_Rails Integer default: 1 -- integer \n\
&lt;Railing&gt;.Lower_Rail_Profile Integer default: 2 -- integer \n\
</pre></div><p>Lower_Rail_Profile = 0 - (none); 1 - Round; 2 - Square</p>\n\
<div class=\'codeBlock\'><pre>&lt;Railing&gt;.Post_Depth Float default: 2.0 -- animatable; float \n\
&lt;Railing&gt;.Post_Width Float default: 2.0 -- animatable; float \n\
&lt;Railing&gt;.First_Post_Offset Float default: 1.0 -- animatable; float \n\
&lt;Railing&gt;.Post_Spacing Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Number_of_Posts Integer default: 2 -- integer \n\
&lt;Railing&gt;.Posts_oriented_with_curved_Railing BooleanClass default: true -- Boolean \n\
&lt;Railing&gt;.Post_Extension_beyond_bottom_of_Top_Rail Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Post_Profile Integer default: 2 -- integer \n\
&lt;Railing&gt;.Fencing_Type Integer default: 1 -- integer \n\
</pre></div><p>Fencing_Type = 0 - (none); 1 - Pickets; 2 - Solid Fill</p>\n\
<div class=\'codeBlock\'><pre>&lt;Railing&gt;.Picket_Depth Float default: 1.0 -- animatable; float \n\
&lt;Railing&gt;.Picket_Width Float default: 1.0 -- animatable; float \n\
&lt;Railing&gt;.First_Picket_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Picket_Spacing Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Number_of_Pickets_between_each_pair_of_Posts Integer default: 2 -- integer \n\
&lt;Railing&gt;.Pickets_oriented_with_curved_Railing BooleanClass default: true -- Boolean \n\
&lt;Railing&gt;.Picket_Profile Integer default: 2 -- integer \n\
</pre></div><p>Picket_Profile = 0 - Round; 1 - Square</p>\n\
<div class=\'codeBlock\'><pre>&lt;Railing&gt;.Picket_Extension_beyond_bottom_of_Top_Rail Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Picket_Bottom_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Fill_Thickness Float default: 0.25 -- animatable; float \n\
&lt;Railing&gt;.Fill_Top_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Fill_Bottom_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Fill_Left_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Fill_Right_Offset Float default: 0.0 -- animatable; float \n\
&lt;Railing&gt;.Texture_Mapped BooleanClass default: false -- Boolean \n\
&lt;Railing&gt;.Number_of_segments_between_each_pair_of_Posts Integer default: 1 -- integer \n\
&lt;Railing&gt;.Respect_Path_Corners_in_rails BooleanClass default: false -- Boolean \n\
</pre></div><p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize : boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";