var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Capsule : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Capsule : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"capsule-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Capsule - superclass: GeometryClass; super-superclass:node - classID: #(1832744876, 2043230633) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>capsule...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.radius Float default: 15.0 -- animatable \n\
</pre></div><p>The radius of the capsule.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.height Float default: 25.0 -- animatable \n\
</pre></div><p>The height of the capsule.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.heighttype Integer default: 1 \n\
</pre></div><p>Set what <span class=\'code\'>.height</span> specifies:</p>\n\
<p>0 - <strong>Overall</strong></p>\n\
<p>1 - <strong>Centers</strong> (not including domed caps)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.sides Integer default: 24 -- animatable \n\
</pre></div><p>Sets the number of sides around the capsule.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.heightsegs Integer default: 1 -- animatable; alias: height_segments \n\
</pre></div><p>The number of divisions along the capsule&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.smooth BooleanClassdefault: true -- animatable \n\
</pre></div><p>When on, blends the faces of the capsule, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.smooth_on Integer default: 1 -- animatable \n\
</pre></div><p><span class=\'code\'>Smooth_on</span> is an integer alias of <span class=\'code\'>smooth</span> :</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.sliceon BooleanClassdefault: false--animatable \n\
</pre></div><p>Turns on/off the Slice function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.slice_on Integer default: 0 -- animatable \n\
</pre></div><p><span class=\'code\'>Slice_on</span> is an integer alias of <span class=\'code\'>sliceon</span> :</p>\n\
<p>0- off</p>\n\
<p>1- on</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.slicefrom Float default: 0.0 -- animatable, angle; alias: slice_from \n\
</pre></div><p>Sets the starting angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.sliceto Float default: 0.0 -- animatable, angle; alias: slice_to \n\
</pre></div><p>Sets the angle (on the local Z-axis) to slice to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Capsule&gt;.mapCoords BooleanClass  default: false \n\
</pre></div><p>When on, sets up the required coordinates for applying mapped materials to the capsule.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";