var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Torus_Knot : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Torus_Knot : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"torus_knot-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Torus_Knot - superclass: GeometryClass; super-superclass:node - classID: #(1824, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>torus_knot...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Base_Curve Integer default: 0 \n\
</pre></div><p>Select the base curve for the Torus Know object:</p>\n\
<p>0 - <strong>Knot</strong> (The torus interweaves itself.)</p>\n\
<p>1 - <strong>Circle</strong> (The base curve is a circle, resulting in a standard torus if parameters are left at their defaults.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.radius Float default: 0.0 -- animatable \n\
</pre></div><p>The radius of the base curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.segments Integer default: 120 -- animatable \n\
</pre></div><p>The number of segments around the perimeter of the torus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.p Float default: 2.0 -- animatable \n\
</pre></div><p>Describe up and around-the-center winding numbers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.q Float default: 3.0 -- animatable \n\
</pre></div><p>Describe down and around-the-center winding numbers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Warp_Count Float default: 0.0 -- animatable \n\
</pre></div><p>The number of &quot;points&quot; in a star shape around the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Warp_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the &quot;points&quot; given as a percentage of the base curve radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.radius2 Float default: 10.0 -- animatable \n\
</pre></div><p>The radius of the cross section of the torus knot object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.sides Integer default: 12 -- animatable \n\
</pre></div><p>The number of sides around the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Eccentricity Float default: 1.0 -- animatable \n\
</pre></div><p>The ratio of the major to minor axes of the cross section.</p>\n\
<p>A value of 1 provides a circular cross section, while other values create elliptical cross sections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Twist Float default: 0.0 -- animatable \n\
</pre></div><p>The number of times the cross section twists around the base curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Lumps Float default: 0.0 -- animatable \n\
</pre></div><p>The number of bulges in the torus knot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Lump_Height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the lumps, as a percentage of the radius of the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Lump_Offset Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The offset of the start of the lumps, measured in degrees.</p>\n\
<p>The purpose of this value is to animate the lumps around the torus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.smooth Integer default: 2 \n\
</pre></div><p>Set smoothing in the torus knot:</p>\n\
<p>0 - <strong>None</strong> (The torus knot is faceted.)</p>\n\
<p>1 - <strong>Sides</strong> (Smoothes only the adjacent sides of the torus knot.)</p>\n\
<p>2 - <strong>All</strong> (The torus knot is faceted.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.Gen_UV  Integer default: 0 \n\
</pre></div><p>Turn on/off generate mapping coordinates</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.U_Tile Float default: 1.0 -- animatable \n\
</pre></div><p>Tile the mapping coordinates along U.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.V_Tile Float default: 1.0 -- animatable \n\
</pre></div><p>Tile the mapping coordinates along V.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.U_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>Offset the mapping coordinates along U.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus_Knot&gt;.V_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>Offset the mapping coordinates along V.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";