var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Box : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Box : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"box-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Box - superclass: GeometryClass; super-superclass:node - classID: #(16, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>box...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.length Float default: 25.0 -- animatable, worldunits \n\
</pre></div><p>Sets the length of the box object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.width Float default: 25.0 -- animatable, worldunits \n\
</pre></div><p>Sets the width of the box object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.height Float default: 25.0 -- animatable, worldunits \n\
</pre></div><p>Sets the height of the box object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.lengthsegs Integer default: 1 -- animatable, alias: Length_Segments \n\
</pre></div><p>Sets the number of divisions along the length of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.widthsegs Integer default: 1 -- animatable, alias: Width_Segments \n\
</pre></div><p>Sets the number of divisions along the width of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments \n\
</pre></div><p>Sets the number of divisions along the height of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.mapcoords BooleanClass default: false -- alias: Generate_Texture_Coords \n\
</pre></div><p>When on, generates coordinates for applying mapped materials to the box.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.typeinCreationMethod     Integer    default: 0   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Box</li>\n\
<li>1 = Cube only the <strong>typeInLength</strong> property is used.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
&lt;Box&gt;.typeInLength     Float    default: 0.0   --  float; Length\n\
&lt;Box&gt;.typeInWidth     Float    default: 0.0   --  float; Width\n\
</pre></div><p>Gets or sets the Keyboard Entry values for height, length, and width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/GeometryClass-Common-Properties.html\' title=\'\'>GeometryClass Common Properties, Operators, and Methods</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";