var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cone : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cone : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cone-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Cone - superclass: GeometryClass; super-superclass:node - classID: #(-1469307939, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>cone...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.radius1 Float default: 15.0 -- animatable; worldunits; alias: Radius_1 \n\
</pre></div><p>The first radius of the cone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.radius2 Float default: 0.0 -- animatable; worldunits; alias: Radius_2 \n\
</pre></div><p>The second radius of the cone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.height Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>Height along the central axis. Negative values create the cone below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.heightsegs Integer default: 5 -- animatable, alias: Height_Segments \n\
</pre></div><p>The number of divisions along the cone&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.capsegs Integer default: 1 -- animatable, alias: Cap_Segments \n\
</pre></div><p>The number of concentric divisions around the center of the cone&#39;s top and bottom.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.sides Integer default: 24 -- animatable \n\
</pre></div><p>The number of sides around the cone. Higher numbers shade and render as true circles with Smooth selected. Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.smooth Boolean default: true -- animatable \n\
</pre></div><p>When on, blends the faces of the cone, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.slice Boolean default: false -- animatable, alias: sliceon, slice_on \n\
</pre></div><p>Turns on/off slice function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From \n\
</pre></div><p>Sets the starting angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To \n\
</pre></div><p>Sets the angle (on the local Z-axis) to slice to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.mapCoords BooleanClass default: false \n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the cone.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.typeInRadius1     Float    default: 0.0   --  float; Radius_1\n\
&lt;Cone&gt;.typeInRadius2     Float    default: 0.0   --  float; Radius_2\n\
</pre></div><p>Gets or sets the Radius 1 (bottom) and Radius 2 (top) Keyboard Entry values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cone&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";