var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cylinder : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cylinder : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cylinder-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Cylinder - superclass: GeometryClass; super-superclass:node - classID: #(18, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>cylinder...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.radius Float default: 15.0 -- animatable; worldunits \n\
</pre></div><p>The radius of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.height Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>Height along the central axis.</p>\n\
<p>Negative values create the cylinder below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments \n\
</pre></div><p>The number of divisions along the cylinder&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.capsegs Integer default: 1 -- animatable, alias: Cap_Segments \n\
</pre></div><p>The number of concentric divisions around the center of the cylinder&#39;s top and bottom.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.sides Integer default: 24 -- animatable \n\
</pre></div><p>The number of sides around the cylinder.</p>\n\
<p>With Smooth on, higher numbers shade and render as true circles.</p>\n\
<p>With Smooth off, lower numbers create regular polygonal objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.smooth booleanclass default: true -- animatable \n\
</pre></div><p>When on, the faces of the cylinder are blended together, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.slice booleanclass default: false -- animatable; boolean; alias: sliceon, slice_on \n\
</pre></div><p>Turns on/off slice function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From \n\
</pre></div><p>Sets the starting angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To \n\
</pre></div><p>Sets the angle (on the local Z-axis) to slice to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.mapCoords booleanclass default: false -- boolean; alias: generate_texture_coords\n\
</pre></div><p>When on, sets up the required coordinates for applying mapped materials to the cylinder.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.typeInHeight     Float    default: 0.01   --  float; Height\n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.typeInRadius     Float    default: 0.0   --  float; Radius\n\
</pre></div><p>Gets or sets the Radius 1 (bottom) and Radius 2 (top) Keyboard Entry values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cylinder&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";