var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GeometryClass : Node</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GeometryClass : Node</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"geometryclass-node\"></a></div>\n\
<p>The following lists show the <strong>3ds Max</strong> geometry class objects:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></td>\n\
<td align=\"left\">Standard Primitives<br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Box-GeometryClass.html\' title=\'\'>Box</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cone-GeometryClass.html\' title=\'\'>Cone</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cylinder-GeometryClass.html\' title=\'\'>Cylinder</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Geosphere-GeometryClass.html\' title=\'\'>Geosphere</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Plane-GeometryClass.html\' title=\'\'>Plane</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Pyramid-GeometryClass.html\' title=\'\'>Pyramid</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\' title=\'\'>Sphere</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Teapot-GeometryClass.html\' title=\'\'>Teapot</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Torus-GeometryClass.html\' title=\'\'>Torus</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Tube-GeometryClass.html\' title=\'\'>Tube</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Extended Primitives</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Capsule-GeometryClass.html\' title=\'\'>Capsule</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferBox-GeometryClass.html\' title=\'\'>ChamferBox</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferCyl-GeometryClass.html\' title=\'\'>ChamferCyl</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\' title=\'\'>C_Ext</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Gengon-GeometryClass.html\' title=\'\'>Gengon</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Hedra-GeometryClass.html\' title=\'\'>Hedra</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Hose-superclass-GeometryClass.html\' title=\'\'>Hose</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\' title=\'\'>L_Ext</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/OilTank-GeometryClass.html\' title=\'\'>OilTank</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Prism-GeometryClass.html\' title=\'\'>Prism</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/RingWave-GeometryClass.html\' title=\'\'>RingWave</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Spindle-GeometryClass.html\' title=\'\'>Spindle</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TargetObject-GeometryClass.html\' title=\'\'>TargetObject</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Torus_Knot-GeometryClass.html\' title=\'\'>Torus_Knot</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Compound Objects</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/BlobMesh-GeometyClass.html\' title=\'\'>BlobMesh</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Boolean2-GeometryClass.html\' title=\'\'>Boolean2</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Conform-GeometryClass.html\' title=\'\'>Conform</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Connect-GeometryClass.html\' title=\'\'>Connect</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Loft-GeometryClass.html\' title=\'\'>Loft</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Mesher-superclass-GeometryClass.html\' title=\'\'>Mesher</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Morph-GeometryClass.html\' title=\'\'>Morph</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\' title=\'\'>ProBoolean&amp; ProCutter</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Scatter-GeometryClass.html\' title=\'\'>Scatter</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/ShapeMerge-GeometryClass.html\' title=\'\'>ShapeMerge</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Terrain-GeometryClass.html\' title=\'\'>Terrain</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Particle Systems</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/Blizzard-GeometryClass.html\' title=\'\'>Blizzard</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/PArray-GeometryClass.html\' title=\'\'>PArray</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/PCloud-GeometryClass.html\' title=\'\'>PCloud</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/Snow-GeometryClass.html\' title=\'\'>Snow</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/Spray-GeometryClass.html\' title=\'\'>Spray</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/SuperSpray-GeometryClass.html\' title=\'\'>SuperSpray</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-7A357D54-D99B-4B25-8542-4B6A44AD8F99-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Patch Grids</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Patch-Objects/Quadpatch-GeometryClass.html\' title=\'\'>QuadPatch</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Patch-Objects/TriPatch-GeometryClass.html\' title=\'\'>TriPatch</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-FCA44498-15FE-4792-8553-93EA55807B82-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>NURBS Surfaces</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-NURBS-Objects/NURBSSurf-GeometryClass.html\' title=\'\'>NURBSSurf</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-NURBS-Objects/Point_Surf-GeometryClass.html\' title=\'\'>Point_Surf</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Dynamics Objects</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Dynamics-Objects/Damper-GeometryClass.html\' title=\'\'>Damper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Dynamics-Objects/Spring-GeometryClass.html\' title=\'\'>Spring</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-29711734-AD4C-4E5B-A081-4C79D53F1203-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Doors</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/BiFold-GeometryClass.html\' title=\'\'>BiFold</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Pivot-GeometryClass.html\' title=\'\'>Pivot</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/SlidingDoor-GeometryClass.html\' title=\'\'>SlidingDoor</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-273CCDA3-8FBE-442B-A56E-46D801A379EF-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Windows</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Awning-GeometryClass.html\' title=\'\'>Awning</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Casement-GeometryClass.html\' title=\'\'>Casement</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Fixed-GeometryClass.html\' title=\'\'>Fixed</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Pivoted-GeometryClass.html\' title=\'\'>Pivoted</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/Projected-GeometryClass.html\' title=\'\'>Projected</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Doors-and-Windows/SlidingWindow-GeometryClass.html\' title=\'\'>SlidingWindow</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-4EAAAC23-4F44-4A9D-80A1-4437DF85DD48-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>AEC Extended Objects</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-AEC-Objects/Foliage-GeometryClass.html\' title=\'\'>Foliage</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-AEC-Objects/Railing-GeometryClass.html\' title=\'\'>Railing</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-AEC-Objects/Wall-GeometryClass.html\' title=\'\'>Wall</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-48C60B27-FB79-4D2D-9B45-F7013C0ECD5D-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Stairs</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Stairs/L_Type_Stair-GeometryClass.html\' title=\'\'>L_Type_Stair</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Stairs/Spiral_Stair-GeometryClass.html\' title=\'\'>Spiral_Stair</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Stairs/Straight_Stair-GeometryClass.html\' title=\'\'>Straight_Stair</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Stairs/U_Type_Stair-GeometryClass.html\' title=\'\'>U_Type_Stair</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-117FF2C7-1D86-45A0-88CB-0557F44B4054-low.png\' title=\'\'></td>\n\
<td align=\"left\"><strong>Alembic</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\' title=\'\'>Object</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\' title=\'\'>Container</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-00850E28-1D5F-4292-9269-705AF2DA5417-low.png\' title=\'\'></td>\n\
<td align=\"left\"><strong>Fluids</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Stairs/L_Type_Stair-GeometryClass.html\' title=\'\'>MaxLiquid</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>MassFX (internal)</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\' title=\'\'>nvBox : GeometryClass</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\' title=\'\'>nvCapsule : GeometryClass</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\' title=\'\'>nvSphere : GeometryClass</a></td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>Miscellaneous</strong> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/DWG-Import/LinkComposite-GeometryClass.html\' title=\'\'>LinkComposite</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";