var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Plane_Angle : helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Plane_Angle : helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"plane_angle-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Plane_Angle - superclass: helper; super-superclass:node - 6:0 - classID: #(635524970, 561654288) \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Plane_Angle ... PlaneAngleManip ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.Origin Point3 default: [0,0,0] -- point3 \n\
</pre></div><p>Get/set the origin of the manipulator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.NormalVec Point3 default: [0,0,1] -- point3; Normal_Vector \n\
</pre></div><p>Get/set the normal vector of the manipulator plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.UpVec Point3 default: [0,1,0] -- point3; Up_Vector \n\
</pre></div><p>Get/set the up vector of the manipulator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.Angle Float default: 0.0 -- animatable; angle \n\
</pre></div><p>The angle of the manipulator, from 0.0 to 360.0 (both values are perpendicular in the Y axis of the viewport where you created the manipulator, unless you have rotated the manipulator object). Default=0.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.Distance Float default: 0.0 -- float \n\
</pre></div><p>The length of the manipulator, in <strong>3ds Max</strong> units. Default=the distance of mouse drag when the manipulator was created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Plane_Angle&gt;.Size Float default: 1.0 -- float \n\
</pre></div><p>The size of the manipulator&#39;s handle, in <strong>3ds Max</strong> units. Default=1.0.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";