var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Helper : Node</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Helper : Node</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"helper-node\"></a></div>\n\
<p>The following list shows the helper objects:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Standard</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Compass-Helper.html\' title=\'\'>Compass</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>Container</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\' title=\'\'>Crowd</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Delegate-Helper.html\' title=\'\'>Delegate</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Dummy-Helper.html\' title=\'\'>Dummy</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/ExposeTm-Helper.html\' title=\'\'>ExposeTm</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\' title=\'\'>Grid</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Point-Helper.html\' title=\'\'>Point</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Protractor-Helper.html\' title=\'\'>Protractor</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Tape-Helper.html\' title=\'\'>Tape</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Bone-Helper.html\' title=\'\'>Bone</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-32345715-91AE-4D37-933F-C4C12C025C4A-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Atmospheric</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Atmospheric/BoxGizmo-Helper.html\' title=\'\'>BoxGizmo</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Atmospheric/CylGizmo-Helper.html\' title=\'\'>CylGizmo</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Atmospheric/SphereGizmo-Helper.html\' title=\'\'>SphereGizmo</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-2CE8BBB7-9AE7-4971-8C24-522845B0F52D-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Camera Match</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Camera-Match/CamPoint-Helper.html\' title=\'\'>CamPoint</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5915100E-2836-4ABE-8B06-39239123B7B9-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Assembly Heads</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/Luminaire-Helper.html\' title=\'\'>Luminaire</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-C72CEEED-E619-4F3B-A265-65929BC4B3D8-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Manipulators</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Cone_Angle-helper.html\' title=\'\'>Cone_Angle</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Plane_Angle-helper.html\' title=\'\'>Plane_Angle</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/sliderManipulator-helper.html\' title=\'\'>sliderManipulator</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-FB898DC6-F710-4DC6-A313-507C822C7B26-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>Particle Flow</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/SpeedByIcon-Helper.html\' title=\'\'>SpeedByIcon</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Helpers/Particle_Paint-Helper.html\' title=\'\'>Particle_Paint</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\' title=\'\'>Birth_Texture</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\' title=\'\'>Initial_State</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Select</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5E9F64E7-7059-412C-A67E-8E21CD28355A-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><strong>VRML97</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/Anchor-Helper.html\' title=\'\'>Anchor</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/AudioClip-Helper.html\' title=\'\'>AudioClip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/Background-Helper.html\' title=\'\'>Background</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/Billboard-Helper.html\' title=\'\'>Billboard</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/FogHelper-Helper.html\' title=\'\'>FogHelper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/Inline-Helper.html\' title=\'\'>InlineHelper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/LOD-Helper.html\' title=\'\'>LODHelper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/NavInfo-Helper.html\' title=\'\'>NavInfo</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/ProxSensor-Helper.html\' title=\'\'>ProxSensor</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/Sound-Helper.html\' title=\'\'>Sound</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/TouchSensor-Helper.html\' title=\'\'>TouchSensor</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-VRML97/TimeSensor-Helper.html\' title=\'\'>TimeSensor</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>Internal Non-Creatable Manipulators</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Falloff_Manipulator-helper.html\' title=\'\'>Falloff_Manipulator</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Hotspot_Manip-helper.html\' title=\'\'>Hotspot_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/IK_Spline_End_Twist_Manip-helper.html\' title=\'\'>IK_Spline_End_Twist_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/IK_Spline_Start_Twist_Manip.html\' title=\'\'>IK_Spline_Start_Twist_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/IK_Swivel_Manip-helper.html\' title=\'\'>IK_Swivel_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Position_Manip-helper.html\' title=\'\'>Position_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Reactor_Angle_Manip-helper.html\' title=\'\'>Reactor_Angle_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Position_Value-helper.html\' title=\'\'>Position_Value</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/Slider_Manip-helper.html\' title=\'\'>Slider_Manip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingHeightManip-helper.html\' title=\'\'>uvwMappingHeightManip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingLengthManip-helper.html\' title=\'\'>uvwMappingLengthManip</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingWidthManip-helper.html\' title=\'\'>uvwMappingWidthManip</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><strong>Miscellaneous</strong><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\' title=\'\'>Axis_Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/DWG-Import/LinkOriginPtHelper-Helper.html\' title=\'\'>LinkOriginPtHelper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Substitute/Substitute_Object-helper.html\' title=\'\'>Substitute_Object</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";