var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bone : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bone : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bone-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bone - superclass: helper; super-superclass:node - 0:0 - classID: #(9069504, 0)\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>bone...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>There are no additional properties for Bone.</p>\n\
<p>Note:</p>\n\
<p>The Bone helper object was used by <strong>3ds Max</strong> prior to <strong>3ds Max 4</strong> to represent the nodes in a Bones system.</p>\n\
<p>In <strong>3ds Max4 and higher</strong>, it is not possible to create a Bones system using IK controllers on the Bones&#39; nodes.</p>\n\
<p>You can create a hierarchy of Bone helper objects which use the standard PRS transform controller for each node.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<div class=\'codeBlock\'><pre>b0 = bone pos:[x,y,z]\n\
in b0 b1 = bone pos:[x1,y1,z1]\n\
in b1 b2 = bone pos:[x2,y2,z2]\n\
in b2 b3 = bone pos:[x3,y3,z3]\n\
</pre></div><p>You can rearrange bone hierarchies using the <span class=\'code\'>*parent*</span> property.</p>\n\
<p>When a hierarchy of Bone helper objects is built, the <span class=\'code\'>*showLinks*</span> and <span class=\'code\'>*showLinksOnly*</span> properties are automatically set to <span class=\'code\'>*true*</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";