var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>InfluenceHelper : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>InfluenceHelper : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"influencehelper-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>InfluenceHelper - superclass: helper; super-superclass:node - 12:0 - classID: #(1959648626L, 2311833249L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A helper that shows the boundaries of near and far parameters, which can be used in conjunction with the SplineInfluence modifier.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>InfluenceHelper...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.bias     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>A bias value applied to the falloff curve, used when <strong>EnableBias</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.BiasSelected     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Indicates that the bias value is applied to the falloff curve only when the helper is selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.EnableBias     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When true, the <strong>bias</strong> value is applied to the falloff curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.FalloffType     Integer    default: 0   --  integer\n\
</pre></div><p>Indicates the type of falloff curve applied, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.farColor     Color    default: (color 255 140.25 0)   --  RGB color\n\
</pre></div><p>The color of the helper&#39;s far distance boundary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.farDist     Float    default: 10.0   --  animatable; float; Far\n\
</pre></div><p>The scale of the helper&#39;s far distance boundary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.invert     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When true, the falloff curve is inverted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.nearColor     Color    default: (color 255 0 0)   --  RGB color\n\
</pre></div><p>The color of the helper&#39;s near distance boundary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.nearDist     Float    default: 1.0   --  animatable; float; Near\n\
</pre></div><p>The scale of the helper&#39;s near distance boundary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.on     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Turns the influence helper on and off. When &quot;off&quot;, the boundaries are still visible in the viewport, but not colored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.showFar     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Turns the far boundary visibility on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;InfluenceHelper&gt;.showNear     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Turns the near boundary visibility on or off.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";