var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Targetspot : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Targetspot : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"targetspot-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>targetSpot - superclass: light; super-superclass:node - classID: #(4114, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>targetSpot...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.aspect Float default: 1.0 -- animatable, alias: Aspect_Ratio \n\
</pre></div><p>The aspect ratio for the rectangular light beam.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.falloff Float default: 45.0 -- animatable \n\
</pre></div><p>The angle of a light&#39;s falloff. The Falloff value is measured in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.showCone Boolean default: false \n\
</pre></div><p>Turns display of the cone on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.hotspot Float default: 43.0 -- animatable \n\
</pre></div><p>The angle of a light&#39;s cone. The Hotspot value is measured in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.overShoot Boolean default: false \n\
</pre></div><p>When on, the light casts light in all directions. However, projections and shadows occur only within its falloff cone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Targetspot&gt;.coneShape Integer default: 1 -- alias: lightShape \n\
</pre></div><p>The shape of the falloff and hotspot areas:</p>\n\
<p>1- <strong>Circle</strong></p>\n\
<p>2- <strong>Rectangle</strong></p>\n\
<p>Note:</p>\n\
<p>In MAXScript, you must explicitly construct a target for those objects that need one.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` c = Targetspot pos:[x,y,z] target:(targetObject pos:[xt,yt,zt])</p>\n\
<p>```</p>\n\
<p>Note that the name of the target isn&#39;t derived from the name of the object being created. The above example creates a Target Spot (\\(Spot01) and target (\\)Target01). If you create the Target spot in the UI, the target name would be $Direct01.Target.</p>\n\
<p>See additional notes under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TargetObject-GeometryClass.html\' title=\'\'>TargetObject : GeometryClass</a></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";