var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Deflector : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Deflector : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"deflector-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Deflector - superclass: SpacewarpObject; super-superclass:node - classID: #(938562, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>deflector...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.bounce Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the speed at which particles bounce off the deflector. At a setting of 1.0, particles bounce off the deflector at the same speed they struck it. At 0.0, particles do not bounce at all. At values between 0.0 and 1.0, particles bounce off the deflector at a speed reduced from their initial speed. At values greater than 1.0, particles bounce off the deflector at a speed greater than their initial speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.width Float default: 10.0 -- animatable \n\
</pre></div><p>The deflector&#39;s width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.length Float default: 10.0 -- animatable \n\
</pre></div><p>The deflector&#39;s length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.variation Float default: 0.0 -- animatable \n\
</pre></div><p>The bounce variation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.chaos Float default: 0.0 -- animatable \n\
</pre></div><p>Angle variation after bounce.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.friction Float default: 0.0 -- animatable \n\
</pre></div><p>Amount of friction applied to particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Deflector&gt;.inheritVelocity Float default: 0.0 -- animatable \n\
</pre></div><p>Percentage of deflector&#39;s motion inherited by the particle.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;deflector_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>DeflectorBinding \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";