var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SOmniFlect : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SOmniFlect : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"somniflect-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SOmniFlect - superclass: SpacewarpObject; super-superclass:node - classID: #(1700857802, 522734191)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>SOmniFlect...    \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;time on&#39; Integer default: 0 -- animatable; alias: time_on   \n\
</pre></div><p>Time at which the deflection starts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;time off&#39; Integer default: 16000 -- animatable; alias: time_off \n\
</pre></div><p>Time at which the deflection ends.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.affects Float default: 100.0 -- animatable, percentage; alias: reflects \n\
</pre></div><p>The percentage of particles to be reflected by the SOmniFlect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.bounce Float default: 1.0 -- animatable \n\
</pre></div><p>This is a multiplier that specifies how much of the initial speed of the particle is maintained after collision with the SOmniFlect. Using the default setting of 1.0 causes the particle to rebound with the same speed as it collides. A real-world effect would usually be less than 1.0. For a &quot;flubber&quot; effect, set greater than 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.bouncevar Float default: 0.0 -- animatable, percentage; alias: bounce_variation \n\
</pre></div><p>The variation of Bounce applied to the range of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.chaos Float default: 0.0 -- animatable \n\
</pre></div><p>Applies a random variation to the bounce angle. When set to 0.0 (no chaos), all particles bounce off the SOmniFlect surface perfectly (like banking pool balls). A non-zero setting causes the deflected particles to scatter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.Refracts Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>The percentage of particles <em>not already reflected</em> that will be refracted by the SOmniFlect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;pass velocity&#39; Float default: 1.0 -- animatable; alias: pass_velocity \n\
</pre></div><p>Defines how much of a particle&#39;s initial speed is maintained after passing through the SOmniFlect. The default setting of 1 retains the initial speed is retained, so there&#39;s no change. A setting of 0.5 reduces the speed by half.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;passvel var&#39; Float default: 0.0 -- animatable; percentage; alias: pass_velocity_variation \n\
</pre></div><p>Variation of the Pass Velocity setting applied to the range of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.refraction Float default: 50.0 -- animatable; percentage; alias: distortion \n\
</pre></div><p>Controls the angle of refraction. A value of 0 means there&#39;s no refraction. A value of 100% sets the angle of the particles to be parallel with the SOmniFlect surface. A value of -100% sets the angle perpendicular to the surface. The Distortion effect is reversed when particles strike the SOmniFlect from the back side.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;refraction var&#39; Float default: 0.0 -- animatable; percentage; alias: distortion_variation \n\
</pre></div><p>Range of variation of the Distortion effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.Diffusion Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Applies a diffusion effect to the refraction by randomly modifying each particle&#39;s Distortion angle by the Diffusion angle. This effectively scatters the particles into a hollow cone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;diffusion var&#39; Float default: 0.0 -- animatable; percentage; alias: diffusion_variation \n\
</pre></div><p>Range of variation of the Diffusion value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.inheritVelocity Float default: 1.0 -- animatable; alias: velocity_inheritance \n\
</pre></div><p>Determines how much of a moving SOmniFlect&#39;s speed is applied to reflected or refracted particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.deceleration Float default: 1.0 -- animatable \n\
</pre></div><p>Sets the deceleration of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.&#39;decel var&#39; Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>Sets the variation in deceleration of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.spawn Float default: 100.0 -- animatable; percentage; alias: spawn_percentage \n\
</pre></div><p>The percentage of particles that can use spawn effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.friction Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>When set to 0.0 (the default), the surface of the deflector is treated as frictionless, and there&#39;s no change in the particle behavior. As the friction value increases, particles begin to rebound at incorrect angles and with greater speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SOmniFlect&gt;.radius Float default: 0.0 -- animatable \n\
</pre></div><p>The radius of the SomniFlect icon.</p>\n\
<p>Note: <span class=\'code\'>getPropnames()</span> and <span class=\'code\'>showProperties()</span> show two sets of parameters called <span class=\'code\'>Pass_Velocity</span> and <span class=\'code\'>Pass_Velocity_Variation</span> . The first set is for Refraction, the second for Spawn Effects Only groups. Due to this sharing of property names, you cannot access the Spawn Effects Only <span class=\'code\'>Pass_Velocity</span> and <span class=\'code\'>Pass_Velocity_Variation</span> using their property names. You can access the value assigned to these parameters, and their controller if assigned, as subAnims 17 and 18 of the base object.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;SOmniFlect_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SOmniFlectMod \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";