var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ConformSpaceWarp : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ConformSpaceWarp : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"conformspacewarp-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>ConformSpaceWarp - superclass: SpacewarpObject; super-superclass:node - classID: #(1038158332, 1077350422)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>conformSpaceWarp...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ConformSpaceWarp&gt;.Projection_Distance Float default: 0.0 -- animatable\n\
</pre></div><p>The distance a vertex in the bound object moves from its original location if it does not intersect the target object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ConformSpaceWarp&gt;.Standoff_Distance Float default: 1.0 -- animatable\n\
</pre></div><p>The distance maintained between the vertex and the surface of the target object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ConformSpaceWarp&gt;.Selected_Verts Integer default: 0 -- animatable\n\
</pre></div><p>When on, only the sub-object selection of vertices on the Stack are pushed. When off, all vertices in the object are pushed regardless of the Stack selection:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ConformSpaceWarp&gt;.Icon_Size Float default: 0.0\n\
</pre></div><p>The size of the icon.</p>\n\
<p>Note: There is not a way to set the Wrap To Object using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;conformSpaceWarp_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SpaceConform\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";