var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceRipple : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceRipple : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spaceripple-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spaceripple - superclass: SpacewarpObject; super-superclass:node - classID: #(48, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>spaceRipple...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.amplitude1 Float default: 5.0 -- animatable, alias: Amplitude_1 \n\
</pre></div><p>Ripple amplitude along the ripple warp object&#39;s local X axis. Amplitude is expressed in active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.amplitude2 Float default: 5.0 -- animatable, alias: Amplitude_2 \n\
</pre></div><p>Ripple amplitude along the ripple warp object&#39;s local Y axis. Amplitude is expressed in active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.wavelength Float default: 25.0 -- animatable, alias: Wave_Length \n\
</pre></div><p>The length of each wave, in active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Offsets the phase of the wave from its origin at the ripple object&#39;s center. Whole values have no effect; only fractional values do. Animating this parameter makes the ripple appear to travel through space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.decay Float default: 0.0 -- animatable \n\
</pre></div><p>When set to 0.0, the ripple has the same amplitude or amplitudes throughout world space. Increasing the Decay value causes amplitude to diminish as distance increases from the position of the ripple warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.circles Integer default: 10 \n\
</pre></div><p>The number of circles in the ripple icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.segments Integer default: 16 \n\
</pre></div><p>The number of segments (pie slices) in the ripple icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spaceripple&gt;.divisions Integer default: 4 \n\
</pre></div><p>Adjusts the size of the ripple icon without altering the ripple effect as scaling would.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceRipple_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier and Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>RippleBinding \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. The following property is associated with this binding modifier:</p>\n\
<div class=\'codeBlock\'><pre>&lt;RippleBinding&gt;.Flexibility Float default: 1.0\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";