var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceWave : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceWave : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacewave-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spacewave - superclass: SpacewarpObject; super-superclass:node - classID: #(53, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceWave...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.amplitude1 Float default: 5.0 -- animatable, alias: Amplitude_1\n\
</pre></div><p>Wave amplitude along the wave warp object&#39;s local X axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.amplitude2 Float default: 5.0 -- animatable, alias: Amplitude_2\n\
</pre></div><p>Wave amplitude along the wave warp object&#39;s local Y axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.wavelength Float default: 25.0 -- animatable, alias: Wave_Length\n\
</pre></div><p>The length of each wave along the wave&#39;s local Y axis, in active units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.phase Float default: 0.0 -- animatable\n\
</pre></div><p>Offsets the phase of the wave from its origin at the wave object&#39;s center.</p>\n\
<p>Whole values have no effect; only fractional values do.</p>\n\
<p>Animating this parameter makes the wave appear to travel through space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.decay Float default: 0.0 -- animatable\n\
</pre></div><p>When set to 0.0, the wave has the same amplitude or amplitudes throughout world space.</p>\n\
<p>Increasing the Decay value causes amplitude to diminish as distance increases from the position of the wave warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.circles Integer default: 4\n\
</pre></div><p>The number of side segments along the wave object&#39;s local X dimension.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.segments Integer default: 20\n\
</pre></div><p>The number of segments along the wave object&#39;s local Y dimension.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spacewave&gt;.divisions Integer default: 10\n\
</pre></div><p>Adjusts the size of the wave icon without altering the wave effect as scaling would.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceWave_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier and Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>WaveBinding\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. The following property is associated with this binding modifier:</p>\n\
<div class=\'codeBlock\'><pre>&lt;WaveBinding&gt;.Flexibility Float default: 1.0\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";