var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceNoise : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceNoise : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacenoise-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpaceNoise - superclass: SpacewarpObject; super-superclass:node - classID: #(-107499228, 1)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8FE0BB7D-A073-4C14-9444-C053C51C472D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceNoise...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.length Float default: 0.0 -- animatable\n\
</pre></div><p>The length of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.width Float default: 0.0 -- animatable\n\
</pre></div><p>The width of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.height Float default: 0.0 -- animatable\n\
</pre></div><p>The height of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.decay Float default: 0.0 -- animatable\n\
</pre></div><p>When is set to 0, there is no decay, and the space warp affects its bound object regardless of its distance from the object. When you increase the decay, the effect on the bound object falls off exponentially.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.seed Integer default: 0 -- animatable\n\
</pre></div><p>Generates a random start point from the number you set. Especially useful in creating terrain, because each setting can produce a different configuration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.scale Float default: 100 -- animatable\n\
</pre></div><p>The size of the noise effect (not strength). Larger values produce smoother noise, lower values more jagged noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.fractal Integer default: 0 -- animatable\n\
</pre></div><p>When on, produces a fractal effect based on current settings:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.Rough Float default: 0.0 -- animatable\n\
</pre></div><p>Determines the extent of fractal variation. Lower values are less rough than higher values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.iterations Float default: 6.0 -- animatable\n\
</pre></div><p>The number of iterations (or octaves) used by the fractal function. Fewer iterations use less fractal energy and generate a smoother effect. An iteration of 1.0 is the same as turning Fractal off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.phase Integer default: 0 -- animatable\n\
</pre></div><p>Shifts the start and end points of the underlying wave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceNoise&gt;.strength Point3 default: [0,0,0] -- animatable\n\
</pre></div><p>The strength of the noise effect along each of three axes. Enter a value for at least one of these axes to produce a noise effect.</p>\n\
<p>Note: Since <span class=\'code\'>*scale*</span> is a property for all nodes, a name conflict exists between the <span class=\'code\'>*scale*</span> property for nodes and the <span class=\'code\'>*scale*</span> property for SpaceNoise. To access the SpaceNoise <span class=\'code\'>*scale*</span> property, you need to access this property as a property of a node&#39;s <span class=\'code\'>*baseObject*</span> property.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` sn=spaceNoise() sn.baseObject.scale=150</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note: The Animate Noise property is not accessible using MAXScript in <strong>3ds Max</strong></p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceNoise_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SimpleOSMToWSMMod\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";