var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceTwist : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceTwist : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spacetwist-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpaceTwist - superclass: SpacewarpObject; super-superclass:node - classID: #(144, 2)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8FE0BB7D-A073-4C14-9444-C053C51C472D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceTwist...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.length Float default: 0.0 -- animatable\n\
</pre></div><p>The length of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.width Float default: 0.0 -- animatable\n\
</pre></div><p>The width of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.height Float default: 0.0 -- animatable\n\
</pre></div><p>The height of the warp object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.decay Float default: 0.0 -- animatable\n\
</pre></div><p>When is set to 0, there is no decay, and the space warp affects its bound object regardless of its distance from the object.</p>\n\
<p>When you increase the decay, the effect on the bound object falls off exponentially.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.angle Float default: 0.0 -- animatable\n\
</pre></div><p>The amount of twist around the vertical axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.bias Float default: 0.0 -- animatable\n\
</pre></div><p>Causes the twist rotation to bunch up at either end of the object.</p>\n\
<p>When the parameter is negative, the object twists closer to the gizmo center.</p>\n\
<p>When the value is positive, the object twists more away from the gizmo center.</p>\n\
<p>When the parameter is 0, the twisting is uniform.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.Lower_Limit Float default: 0.0 -- animatable\n\
</pre></div><p>The lower limit for the twist effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceTwist&gt;.Upper_Limit Float default: 0.0 -- animatable\n\
</pre></div><p>The upper limit for the twist effect.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceTwist_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>SimpleOSMToWSMMod\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";