var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sunlight : System</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sunlight : System</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sunlight-system\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1D99D68C-E2EF-4209-B7F2-45D1FE4D3444-low.gif\' title=\'\'></div>\n\
<p><strong>Sunlight system objects are not creatable by MAXScript</strong>.</p>\n\
<p>A Sunlight system is comprised of a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Compass-Helper.html\' title=\'\'>Compass Helper</a> object and a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/TargetDirectionalLight-Light.html\' title=\'\'>TargetDirectionalLight</a> object. The TargetDirectionalLight&#39;s transform is controlled by a set of float controllers, which are sub-controllers of a non-accessible position controller (a <span class=\'code\'>Sunlight_Driven_Controller</span> position controller). These float controllers can be accessed as subAnims of the TargetDirectionalLight node.</p>\n\
<p>These float controllers and their subAnim index number are:</p>\n\
<div class=\'codeBlock\'><pre>Solar_Time - subAnim[3]\n\
Solar_Date - subAnim[4]\n\
Latitude - subAnim[5]\n\
Longitude - subAnim[6]\n\
Orbital_Scale - subAnim[7]\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>FOR EXAMPLE,</strong></p>\n\
<p>if node $Sun01 is the light for a Sunlight system, the Solar_Time controller can be accessed as:</p>\n\
<p>```</p>\n\
<p>solarTimeCont=$Sun01[3].object</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";