var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ART_Renderer_Noise_Filter : RenderElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ART_Renderer_Noise_Filter : RenderElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"art_renderer_noise_filter-renderelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>ART_Renderer_Noise_Filter - superclass: RenderElement; super-superclass:MAXWrapper - 5:0 - classID: #(917508805L, 2008838497L)\n\
</pre></div><p>The <span class=\'code\'>ART_Renderer_Noise_Filter</span> Render Element can be used to filter the noise from the ART_Renderer output as a post process. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre> ART_Renderer_Noise_Filter... RapidRT_Noise_Filter... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer_Noise_Filter&gt;.bitmap  Bitmap  default: undefined  --  bitmap\n\
</pre></div><p>Get the bitmap the RenderElement writes to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer_Noise_Filter&gt;.elementName    String    default: &quot;ART Renderer Noise Filter&quot;   --  string; Name\n\
</pre></div><p>Get/set the name of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer_Noise_Filter&gt;.enabled    BooleanClass    default: true   --  boolean; Bitmap\n\
</pre></div><p>Get/set the enabled state of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer_Noise_Filter&gt;.strength     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the strength of the Noise Filter as a float in the 0.0 to 1.0 range.</p>\n\
<p>Setting this value will automatically adjust the <strong><span class=\'code\'>.strength_percentage</span></strong> value (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer_Noise_Filter&gt;.strength_percentage     Float    default: 50.0   --  float\n\
</pre></div><p>Get/set the strength of the Noise Filter as a float in the 0.0 to 100.0 percent range.</p>\n\
<p>Setting this value will automatically adjust the <strong><span class=\'code\'>.strength</span></strong> value (see above).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";