var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mtl__Self_Illumination : RenderElement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mtl__Self_Illumination : RenderElement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mtl__self_illumination-renderelement\"></a></div>\n\
<div class=\'codeBlock\'><pre>Mtl__Self_Illumination - superclass: RenderElement; super-superclass:MAXWrapper - 6:0 - classID: #(1017512132, 1170749456)\n\
</pre></div><p>The Mtl__Self_Illumination RenderElement is used to output the self illumination pass of the iRay renderer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Mtl__Self_Illumination... \n\
iraySelfIllum...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.atmosphereOn     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set whether to include atmospheric effects in the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.bitmap     UndefinedClass    default: undefined   --  bitmap\n\
</pre></div><p>Contains the Render Element&#39;s internal bitmap.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.elementName     String    default: &quot;Mtl Self Illumination&quot;   --  string\n\
</pre></div><p>Get/set the name of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.enabled     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the enabled state of the Render Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.filterOn     BooleanClass    default: true   --  boolean; FilteringOn\n\
</pre></div><p>Get/set the state of the Render Element&#39;s filter option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mtl__Self_Illumination&gt;.lpeName     String    default: &quot;LE&quot;   --  string; LPE\n\
</pre></div><p>Get/set the Light Path Expression string of the Render Element.</p>\n\
<p>The Light Path Expression is a regular expression which controls which light transport paths to include in the Render Element&#39;s output.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";