var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Render Elements</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Render Elements</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"render-elements\"></a></div>\n\
<p>RenderElements can be used to save different elements of the final rendering to separate bitmaps for later compositing.</p>\n\
<p>The management of Render Elements is performed via the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\' title=\'\'>RenderElementMgr</a> Interface.</p>\n\
<p>The following RenderElements are exposed to MAXScript:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/alphaRenderElement-MAXObject.html\' title=\'\'>alphaRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/atmosphereRenderElement.html\' title=\'\'>atmosphereRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/BackgroundRenderElement.html\' title=\'\'>BackgroundRenderElement: MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Beauty-RenderElement.html\' title=\'\'>Beauty : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/BlendRenderElement-MAXObject.html\' title=\'\'>BlendRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/diffuseRenderElement-MAXObject.html\' title=\'\'>diffuseRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/emissionRenderElement-MAXObject.html\' title=\'\'>emissionRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Illuminance_Render_Element.html\' title=\'\'>Illuminance_Render_Element: RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Ink-RenderElement.html\' title=\'\'>Ink : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Lighting-RenderElement.html\' title=\'\'>Lighting : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Lighting_Analysis_Data.html\' title=\'\'>Lighting_Analysis_Data</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Lumination_Render_Element.html\' title=\'\'>Lumination_Render_Element : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Luminance_Render_Element.html\' title=\'\'>Luminance_Render_Element: RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Material_ID-RenderElement.html\' title=\'\'>Material_ID : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/MatteRenderElement-RenderElement.html\' title=\'\'>MatteRenderElement : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Object_ID-RenderElement.html\' title=\'\'>Object_ID : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/PaintRenderElement-RenderElement.html\' title=\'\'>PaintRenderElement : RenderElement</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/reflectionRenderElement.html\' title=\'\'>reflectionRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/refractionRenderElement.html\' title=\'\'>refractionRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Self_Illumination-MAXObject.html\' title=\'\'>Self_Illumination : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/ShadowRenderElement-MAXObject.html\' title=\'\'>ShadowRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/specularRenderElement-MAXObject.html\' title=\'\'>specularRenderElement : MAXObject</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/ZRenderElement-MAXObject.html\' title=\'\'>ZRenderElement : MAXObject</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";