var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lens_Effects - Star</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lens_Effects - Star</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lens_effects---star\"></a></div>\n\
<div class=\'codeBlock\'><pre>Star_Element - superclass: ReferenceTarget; super-superclass:MAXWrapper - classID: #(366678916, 1195116589) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>le.addStar &lt;Lens_Effects&gt;   \n\
</pre></div><p><strong>Aliases</strong></p>\n\
<div class=\'codeBlock\'><pre>Star_Element &#39;Star Element&#39; \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;star&gt;.elementName String default: &quot;Star&quot; -- alias: Name \n\
&lt;star&gt;.on Boolean default: true \n\
&lt;star&gt;.size Float default: 200.0 -- animatable \n\
&lt;star&gt;.intensity Float default: 20.0 -- animatable \n\
&lt;star&gt;.width Float default: 8.0 -- animatable \n\
&lt;star&gt;.angle Float default: 0.0 -- animatable \n\
&lt;star&gt;.taper Float default: 0.5 -- animatable \n\
&lt;star&gt;.sharp Float default: 9.5 -- animatable; alias: Sharpness \n\
&lt;star&gt;.quantity Integer default: 6 -- animatable \n\
&lt;star&gt;.objectsHide Boolean default: false -- alias: Object_Hide \n\
&lt;star&gt;.occlusion Float default: 50.0 -- animatable \n\
&lt;star&gt;.squeeze Boolean default: false \n\
&lt;star&gt;.colorSource Float default: 100.0 -- animatable; alias: Source_Color \n\
&lt;star&gt;.centerColor Color default: (color 0 0 255) -- animatable; alias: Center_Color \n\
&lt;star&gt;.edgeColor Color default: (color 255 255 255) -- animatable; alias: Edge_Color \n\
&lt;star&gt;.radialMtl TextureMap default: undefined -- alias: Radial_Material \n\
&lt;star&gt;.useRadialMtl Boolean default: false -- alias: Apply_Radial_Color_Map \n\
&lt;star&gt;.radial_falloff SubAnim \n\
&lt;star&gt;.radialMap TextureMap default: undefined -- alias: Radial_Falloff_Map \n\
&lt;star&gt;.useRadialMap Boolean default: false -- alias: Apply_Radial_Falloff_Map \n\
&lt;star&gt;.circularColorMix Float default: 0.0 -- animatable; alias: Circular_Color_Mix \n\
&lt;star&gt;.leftSectionColor Color default: (color 0 0 255) -- animatable; alias: Left_Section_Color \n\
&lt;star&gt;.centerSectionColor Color default: (color 255 255 255) -- animatable; alias: Center_Section_Color \n\
&lt;star&gt;.rightSectionColor Color default: (color 0 0 255) -- animatable; alias: Right_Section_Color \n\
&lt;star&gt;.circularMtl TextureMap default: undefined -- alias: Circular_Material \n\
&lt;star&gt;.useCircularMtl Boolean default: false -- alias: Apply_Circular_Color_Map \n\
&lt;star&gt;.circular_falloff SubAnim \n\
&lt;star&gt;.circularMap TextureMap default: undefined -- alias: Circular_Falloff_Map \n\
&lt;star&gt;.useCircularMap Boolean default: false -- alias: Apply_Circular_Falloff_Map \n\
&lt;star&gt;.radial_size SubAnim \n\
&lt;star&gt;.radialSizeMap TextureMap default: undefined -- alias: Radial_Size_Map \n\
&lt;star&gt;.useRadialSizeMap Boolean default: false -- alias: Apply_Radial_Size_Map \n\
&lt;star&gt;.applyLights Boolean default: true -- alias: Apply_to_Lights \n\
&lt;star&gt;.applyImage Boolean default: true -- alias: Apply_to_Image \n\
&lt;star&gt;.applyImageCenters Boolean default: false -- alias: Apply_to_Image_Centers \n\
&lt;star&gt;.sourceObjectID Boolean default: false -- alias: Source_Object_ID \n\
&lt;star&gt;.objectID Integer default: 1 -- animatable; alias: Object_ID \n\
&lt;star&gt;.sourceEffectsID Boolean default: false -- alias: Source_Effects_ID \n\
&lt;star&gt;.effectsID Integer default: 1 -- animatable; alias: Effects_ID \n\
&lt;star&gt;.sourceUnclampedColor Boolean default: false -- alias: Source_Unclamped_Color \n\
&lt;star&gt;.unclampedColor Float default: 1.0 -- animatable; alias: Unclamped_Color \n\
&lt;star&gt;.unclampedColorInvert Boolean default: false -- alias: Source_Unclamped_Color_Invert \n\
&lt;star&gt;.sourceSurfaceNormal Boolean default: false -- alias: Source_Surface_Normal \n\
&lt;star&gt;.surfaceNormal Float default: 0.0 -- animatable; alias: Surface_Normal \n\
&lt;star&gt;.surfaceNormalInvert Boolean default: false -- alias: Source_Surface_Normal_Invert \n\
&lt;star&gt;.sourceWhole Boolean default: false -- alias: Source_Whole \n\
&lt;star&gt;.sourceAlpha Boolean default: false -- alias: Source_Alpha \n\
&lt;star&gt;.alpha Integer default: 0 -- animatable \n\
&lt;star&gt;.sourceZBuffer Boolean default: false -- alias: Source_Z_Buffer \n\
&lt;star&gt;.zHi Float default: 1000.0 -- animatable; alias: Z_Hi \n\
&lt;star&gt;.zLo Float default: 0.0 -- animatable; alias: Z_Lo \n\
&lt;star&gt;.filterAll Boolean default: true -- alias: Filter_All \n\
&lt;star&gt;.filterEdge Boolean default: false -- alias: Filter_Edge \n\
&lt;star&gt;.filterPerimeterAlpha Boolean default: false -- alias: Filter_Perimeter_Alpha \n\
&lt;star&gt;.filterPerimeter Boolean default: false -- alias: Filter_Perimeter \n\
&lt;star&gt;.filterBrightness Boolean default: false -- alias: Filter_Brightness \n\
&lt;star&gt;.brightness Integer default: 0 -- animatable; alias: Bright \n\
&lt;star&gt;.brightnessInvert Boolean default: false -- alias: Filter_Brightness_Invert \n\
&lt;star&gt;.filterHue Boolean default: false -- alias: Filter_Hue \n\
&lt;star&gt;.hueRange Integer default: 0 -- animatable; alias: Hue_Range \n\
&lt;star&gt;.hue Color default: (color 255 0 0) -- animatable \n\
&lt;star&gt;.applyNoise Boolean default: false -- alias: Apply_Additional_Effects \n\
&lt;star&gt;.noiseMap TextureMap default: undefined -- alias: Noise_Map \n\
&lt;star&gt;.radial_density SubAnim \n\
&lt;star&gt;.radialDensity TextureMap default: undefined -- alias: Radial_Density_Map \n\
&lt;star&gt;.useRadialDensity Boolean default: false -- alias: Apply_Radial_Density_Map \n\
&lt;star.radial_falloff&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_falloff</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;star.circular_falloff&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>circular_falloff</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;star.radial_size&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_size</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;star.radial_density&gt;.curve_1 SubAnim \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the <span class=\'code\'>radial_density</span> curve. You cannot create or access points in this curve unless the point is animated. In this case, you can access the animated point position as a SubAnim of the <span class=\'code\'>curve_1</span> property.</p>\n\
<p>Note: The <span class=\'code\'>le.addStar &lt;Lens_Effects&gt;</span> method returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed. Once the element has been added, it can be accessed as a property of the <span class=\'code\'>lens_effects</span> value. The name of this property for <span class=\'code\'>star</span> elements is <span class=\'code\'>star</span> . If more than one element of the same type is added, only the first is accessible using the property name. You will need to access the remaining elements as subAnims of the <span class=\'code\'>lens_effects</span> value. The subAnim names are the same as the property names. The elements start at subAnim 7.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";