var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lighting_Analysis_Overlay : RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lighting_Analysis_Overlay : RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lighting_analysis_overlay-rendereffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>Lighting_Analysis_Overlay - superclass: renderEffect; super-superclass:MAXWrapper - 12:0 - classID: #(1508066200, -1360828798) \n\
</pre></div><p>The <strong>Lighting_Analysis_Overlay</strong> Render Effect allows the generation of lighting analysis data.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Lighting_Analysis_Overlay ... LightingAnalysisOverlay ... \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2EE64162-5434-409B-8B48-11181E9D47AE-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"type-and-range\"></a><h2 id=\"type-and-range\">Type and Range</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.quantity Integer default: 0 -- integer   \n\
</pre></div><p>Get/set the index of the Quantity drop-down list selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Illuminance</strong></p>\n\
<p>1 - <strong>Luminance</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.scaleType Integer default: 0 -- integer; scale \n\
</pre></div><p>Get/set the index of the Scale drop-down list selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Linear</strong></p>\n\
<p>1 - <strong>Logarithmic</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.rangeStart Float default: 0.0 -- animatable; float; quantity_min \n\
</pre></div><p>Get/set the Range&#39;s minimum value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.rangeEnd Float default: 100.0 -- animatable; float; quantity_max \n\
</pre></div><p>Get/set the Range&#39;s maximum value.</p>\n\
<div class=\'section\'><a id=\"display-options\"></a><h2 id=\"display-options\">Display Options</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.shownumbers BooleanClass default: true -- boolean; show_numbers \n\
</pre></div><p>Get/set the state of the &quot;Show Numbers On Entire Image (Screen Grid)&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.showhelper BooleanClass default: false -- boolean; show_numbers_from_helper_objects \n\
</pre></div><p>Get/set the state of the &quot;Show Numbers From Light Metering Helper Objects&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.showcameraname BooleanClass default: true -- boolean; show_camera_name \n\
</pre></div><p>Get/set the state of the &quot;Show Camera Name&quot; option. When set to true, the name of the view/camera will be included in theLighting Analysis Overlay.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.showdaylightinfo BooleanClass default: true -- boolean; show_daylight_info \n\
</pre></div><p>Get/set the state of the &quot;Show Daylight Info&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.fadeBackground BooleanClass default: true -- boolean; fade_background \n\
</pre></div><p>Get/set the state of the &quot;Fade Background Image&quot; option.</p>\n\
<div class=\'section\'><a id=\"screen-grid-layout-options\"></a><h2 id=\"screen-grid-layout-options\">Screen Grid Layout Options</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.verticalspacing Integer default: 40 -- animatable; integer; Vertical_spacing \n\
</pre></div><p>Get/set the Vertical Spacing value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.horizontalspacing Integer default: 40 -- animatable; integer; Horizontal_spacing \n\
</pre></div><p>Get/set the Horizontal Spacing value.</p>\n\
<div class=\'section\'><a id=\"statistics\"></a><h2 id=\"statistics\">Statistics</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Lighting_Analysis_Overlay&gt;.largestValue Float default: 0.0 -- float \n\
</pre></div><p>Get the Largest Displayed Value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";