var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TextureMap : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TextureMap : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"texturemap-material\"></a></div>\n\
<p>The TextureMap class represents the 2D and 3D texture maps which you can assign to materials or certain object properties in <strong>3ds Max</strong>. You can create texture maps like bitmap, dent, and swirl, access various properties on them, and assign these texture maps to materials and to certain <strong>3ds Max</strong> object properties.</p>\n\
<p>The classes derived directly from the TextureMap class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextureMap-Types-1.html\' title=\'\'>TextureMap Types</a>.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the TextureMap class are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Common-Properties.html\' title=\'\'>TextureMap Common Properties, Operators, and Methods</a>.</p>\n\
<p>TextureMaps also share a set of classes for properties that are used in several different TextureMap classes. These shared classes are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TextureMap-Shared-Classes-1.html\' title=\'\'>TextureMap Shared Classes</a>.</p>\n\
<p>The TextureMap class is derived from the Material class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\' title=\'\'>Material Common Properties, Operators, and Methods</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";