var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>StandardXYZGen : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>StandardXYZGen : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"standardxyzgen-material\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.coordType Integer default: 0     \n\
</pre></div><p>The type of coordinates used for mapping:</p>\n\
<p>0 - <strong>Object XYZ</strong> (Uses planar mapping based on the object’s local coordinates (disregarding the pivot point location).)</p>\n\
<p>1 - <strong>World XYZ</strong> (Uses planar mapping based on the scene’s world coordinates (disregarding the object’s bounding box).)</p>\n\
<p>2 - <strong>Explicit Map Channel</strong> (Uses the map channel specified by the <span class=\'code\'>.mapChannel</span> value.)</p>\n\
<p>3 - <strong>Vertex Color Channel</strong> (Uses assigned vertex colors as a channel.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.mapChannel Integer default: 1   \n\
</pre></div><p>The map channel used for mapping coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.offset Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>Changes the position of the map in UV coordinates. The map moves in relation to its size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.Tiling Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The number of times the map is tiled across each axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.angle Point3 default: [0,0,0] -- animatable, point3 angle \n\
</pre></div><p>Rotates the map about the U, V, and W-axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.blur Float default: 1.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the map based on its distance from the view. The farther away the map is, the greater the blurring. The Blur value blurs maps in world space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.Blur_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the map without regard to its distance from the view. Blur Offset blurs the image itself in object space.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";