var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Camera_Map_Per_Pixel : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Camera_Map_Per_Pixel : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"camera_map_per_pixel-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Camera_Map_Per_Pixel - superclass: textureMap; super-superclass:material - 11:0 - classID: #(1626110529, 169925758) \n\
</pre></div><p>This map provides precise camera mapping without image deformations when looking at the mapped surface at shallow angles.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Camera_Map_Per_Pixel...      \n\
CameraMapTexture...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.angleThreshold Float default: 90.0 -- animatable; float; Angle_Threshold \n\
</pre></div><p>Get/Set the Angle Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.backFace BooleanClass default: true --Boolean \n\
</pre></div><p>Enable/disable the <strong>Remove Back Face Pixels</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.camera UndefinedClass default: undefined -- node \n\
</pre></div><p>Get/Set the Camera node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.MapChannel Integer default: 1 -- animatable; integer; Map_Channel \n\
</pre></div><p>Get/Set the Map Channel value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.mask UndefinedClass default: undefined -- texmap \n\
</pre></div><p>Get/Set the Mask map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.maskUsesProjection BooleanClass default: true -- boolean; Mask_Uses_the_Camera_Projection \n\
</pre></div><p>Enable/Disable the <strong>Mask Uses the Camera Projection</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.texture UndefinedClass default:undefined -- texmap \n\
</pre></div><p>Get/Set the Texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.useMask BooleanClass default: false -- boolean; Use_Mask \n\
</pre></div><p>Enable/Disable the use of the mask map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.useZBuffer BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/Disable the use of the ZBuffer Mask map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.zbuffer UndefinedClassdefault: undefined -- bitmap \n\
</pre></div><p>Get/Set the ZBuffer Mask map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Map_Per_Pixel&gt;.ZFudge Float default: 1.0 -- animatable; float; Z_Fudge \n\
</pre></div><p>Get/Set the ZFudge value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";