var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Checker : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Checker : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"checker-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Checker - superclass: textureMap; super-superclass:material - classID: #(512, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>checker...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.soften Float default: 0.0 -- animatable \n\
</pre></div><p>Blurs the edges between the checkers. A little blurs a lot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the color of one of the checkers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.map1 textureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Selects a map to use within the area of the checker color.</p>\n\
<p>For example, you could put an additional checkerboard within one of the checker colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>This enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 \n\
</pre></div><p>Sets the color of the second checker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.map2 textureMap default: undefined -- alias: Map_2 \n\
</pre></div><p>Selects a map to use within the area of the checker color.</p>\n\
<p>For example, you could put an additional checkerboard within one of the checker colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>This enables the associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Checker&gt;.coords StandardUVGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";