var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mix : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mix : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mix-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Mix - superclass: textureMap; super-superclass:material - classID: #(560, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>mix...   \n\
mixTextures...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>The first color to be mixed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.map1 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Sets a map to be used instead of <span class=\'code\'>color1</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>When on, <span class=\'code\'>map1</span> is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 \n\
</pre></div><p>The second color to be mixed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.map2 TextureMap default: undefined -- alias: Map_2 \n\
</pre></div><p>Sets a map to be used instead of <span class=\'code\'>color2.</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>When on, <span class=\'code\'>map2</span> is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.mixAmount Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Determines the proportion of the mix. 0 means only <span class=\'code\'>color1</span> is visible on the surface, 1 means only <span class=\'code\'>color2</span> is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.mask TextureMap default: undefined \n\
</pre></div><p>You can also use a map instead of the mix amount. The two colors will mix in greater or lesser degree according to the intensity of the map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.maskEnabled Boolean default: true -- alias: MaskEnable \n\
</pre></div><p>When on, <span class=\'code\'>mask</span> is used instead of <span class=\'code\'>mixAmount</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.useCurve Boolean default: false \n\
</pre></div><p>Determines whether the Mixing Curve effects the mix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.lower Float default: 0.3 -- animatable &lt;Mix&gt;.upper Float default: 0.7 -- animatable \n\
</pre></div><p>Adjusts the level of the upper and lower limits. If the two values are the same, the two materials will meet at a definite edge. Wider ranges give more gradual mixing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mix&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";