var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Planet : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Planet : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"planet-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Planet - superclass: textureMap; super-superclass:material - classID: #(1178168561, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>planet...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.color1 Color default: (color 10.2 20.4 79.05) -- animatable, alias: Color_1 \n\
</pre></div><p>The color at the center of the water mass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.color2 Color default: (color 10.2 30.6 79.05) -- animatable, alias: Color_2 \n\
</pre></div><p>The color surrounding the center of the water mass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.color3 Color default: (color 10.2 40.8 79.05) -- animatable, alias: Color_3 \n\
</pre></div><p>The color surrounding <span class=\'code\'>color2</span> , meeting the land.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.color4 Color default: (color 10.2 99.45 12.75) -- animatable, alias: Color_4 \n\
&lt;Planet&gt;.color5 Color default: (color 99.45 79.05 12.75) -- animatable, alias: Color_5 \n\
&lt;Planet&gt;.color6 Color default: (color 79.05 20.4 7.65) -- animatable, alias: Color_6 \n\
&lt;Planet&gt;.color7 Color default: (color 99.45 79.05 51) -- animatable, alias: Color_7 \n\
&lt;Planet&gt;.color8 Color default: (color 99.45 99.45 99.45) -- animatable, alias: Color_8 \n\
</pre></div><p>The colors in these five swatches are applied to the land areas of the planet surface. Their arrangement continues that of the water colors. <span class=\'code\'>color4</span> is the shoreline of the land, meeting the water; <span class=\'code\'>color5</span> comes next, working toward the center of the land mass. <span class=\'code\'>color8</span> is at the center of the land mass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.continentSize Float default: 40.0 -- animatable, alias: Continent_Size \n\
</pre></div><p>Sets the size of the fractal noise pattern used to generate the continents. Can range from 0 to 100. The higher the value, the larger the continents.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.islandFactor Float default: 0.5 -- animatable, alias: Island_Factor \n\
</pre></div><p>Sets the size of the fractal noise pattern used to generate islands and mountains. Can range from 0 to 100. At 0, the geography is very low. Higher settings create a more rugged landscape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.oceanPercent Float default: 60.0 -- animatable, alias: Ocean_Percent \n\
</pre></div><p>Sets the percentage of the planet’s surface that is covered by water.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.randomSeed Integer default: 12345 \n\
</pre></div><p>Sets the seed for pseudo-random generation of the pattern. Changing this number can completely change the pattern, even if other settings remain the same. On the other hand, a different Planet map with the same settings including the same Random Seed will appear the same.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.blendWaterLand Boolean default: true \n\
</pre></div><p>When on, the boundary between water and land is blended, giving a hazy appearance. When off, the boundary between water and land is sharp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Planet&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";