var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Splat : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Splat : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splat-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Splat - superclass: textureMap; super-superclass:material - classID: #(151717113, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Splat...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.size Float default: 40.0 -- animatable \n\
</pre></div><p>Adjusts the size of the splats. Use this to make the splats match your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.iterations Integer default: 4 -- animatable \n\
</pre></div><p>Sets the number of times the fractal function is evaluated. The higher the number, the more detailed the splats, but the longer the calculation time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.threshold Float default: 0.2 -- animatable \n\
</pre></div><p>Determines how much of <span class=\'code\'>color1</span> is mixed with <span class=\'code\'>color2</span> . At 0, only <span class=\'code\'>color1</span> is displayed; at 1, only <span class=\'code\'>color2</span> is displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.color1 Color default: (color 178.5 204 204) -- animatable, Color_1 \n\
</pre></div><p>The color of the background.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>The map used as the color of the background.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.map1On Boolean default: true -- alias: Map1_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.color2 Color default: (color 51 127.5 255) -- animatable, Color_2 \n\
</pre></div><p>The color of the splats.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>The map used as the color of the splats.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.map2On Boolean default: true -- alias: Map2_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Splat&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";