var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Substance_Output : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Substance_Output : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"substance_output-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Substance_Output : textureMap {a665c75f,64a3723d}\n\
</pre></div><p>The <strong>Substance_Output textureMap</strong> serves as an output selector to the Substance textureMap.</p>\n\
<p>You can connect a single <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance-textureMap.html\' title=\'\'>Substance textureMap</a> to multiple Substance_Output nodes in the Slate Material Editor to extract various outputs from one source.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>Substance_Output.output : maxObject\n\
</pre></div><p>Get/set the Substance textureMap to output data from.</p>\n\
<div class=\'section\'><a id=\"substance_output-interfaces\"></a><h2 id=\"substance_output-interfaces\">Substance_Output interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: ISBS\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Substance_Output.getCurrentPackageName()\n\
</pre></div><p>Returns the name of the Substance Package loaded by the Substance textureMap assigned to the <span class=\'code\'>.output</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Substance_Output.getCurrentGraphName()\n\
</pre></div><p>Returns the name of the Substance Graph loaded by the Substance textureMap assigned to the <span class=\'code\'>.output</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;Substance_Output.getCurrentOutputName()\n\
</pre></div><p>Returns the name of the current Substance Output .</p>\n\
<div class=\'codeBlock\'><pre>&lt;string array&gt;Substance_Output.getOutputsNamesFromCurrentGraph()\n\
</pre></div><p>Returns an array of names supported by the current Substance Graph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Substance_Output.setCurrentOutputName &lt;string&gt;outputName\n\
</pre></div><p>Sets the name of the current output to the by-reference string argument.</p>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";