var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Swirl : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Swirl : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"swirl-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Swirl - superclass: textureMap; super-superclass:material - classID: #(1925732223, 966789659) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Swirl...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Base Color default: (color 229.5 147.9 76.5) -- animatable \n\
</pre></div><p>The underlying layer for the swirl effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Swirl Color default: (color 0 25.5 51) -- animatable \n\
</pre></div><p>Mixed with the <span class=\'code\'>Base</span> color or map, produces the swirl effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Color_Contrast Float default: 0.4 -- animatable \n\
</pre></div><p>Controls the contrast between Base and Swirl. At 0, the swirl is blurred. Higher values increase the contrast until all colors become black and white, even if Swirl Intensity and Swirl Amount are very high.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Swirl_Intensity Float default: 2.0 -- animatable \n\
</pre></div><p>Controls the intensity of the swirl color. Higher values create a more vibrant mix of colors. At 0, the swirl effect disappears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Swirl_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the quantity of the <span class=\'code\'>swirl</span> color that gets mixed into the <span class=\'code\'>base</span> color. If set to 0, only the <span class=\'code\'>base</span> color is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Twist Float default: 1.0 -- animatable \n\
</pre></div><p>Changes the number of spirals in the swirl effect. Higher values increase the number of spirals. Negative values change the direction of the twist. At 0, the colors are randomly distributed, not swirled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Constant_Detail Integer default: 4 -- animatable \n\
</pre></div><p>Changes the level of detail within a swirl. Lower values minimize the level of detail within the swirl. At 0, all detail is lost. Higher values increase detail until the swirl effect disappears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Center_Position_Y Float default: -0.5 -- animatable &lt;Swirl&gt;.Center_Position_X Float default: -0.5 -- animatable \n\
</pre></div><p>Adjusts the location of the swirl’s center on the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Lock_Background Integer default: 1 \n\
</pre></div><p>X and Y values remain identical as you adjust them. By turning off Lock and adjusting either the X or Y position, you can &quot;slide&quot; the swirl effect across the object.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.Random_Seed Float default: 23638.4 -- animatable \n\
</pre></div><p>Sets a new starting point for the swirl effect. Changes the swirl pattern while maintaining other parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Swirl&gt;.coordinates SubAnim \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
<p>Note: The Base and Swirl sub-maps are not accessible to MAXScript unless they have already been assigned to the Swirl map. Once these maps have been assigned, they are available as properties of the Swirl TextureMap value. The property names, however, are dependent on the type of maps assigned. For example, if a Checker and a Cellular map were assigned as the Base and Swirl sub-maps, the property names would be similar to <span class=\'code\'>Swirl__Map__7____Checker</span> and <span class=\'code\'>Swirl__Map__6____Cellular</span> . These maps are also stored as subAnims 12 and 13 of the Swirl TextureMap value. If the subAnim name for the subAnim is <span class=\'code\'>Swirl__None</span> and <span class=\'code\'>Swirl__None</span> , respectively, no map has been assigned.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";