var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Thin_Wall_Refraction : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Thin_Wall_Refraction : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"thin_wall_refraction-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Thin_Wall_Refraction - superclass: textureMap; super-superclass:material - classID: #(-772429820, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>thin_wall_refraction ...     \n\
thinWallRefraction...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.applyBlur Boolean default: true \n\
</pre></div><p>Turns on filtering to blur the maps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.blur Float default: 1.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring. Blur is primarily used to avoid aliasing.</p>\n\
<p>It’s a good idea to use a small amount of blurring for all maps in order to avoid the scintillation or aliasing that can occur when pixel details are reduced off in the distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.frame Integer default: 0 \n\
</pre></div><p>Affects how the refraction should behave in animations:</p>\n\
<p>0- <strong>First Frame Only</strong> (Tells the renderer to create the refracted image only on the first frame.)</p>\n\
<p>1- <strong>Every Nth Frame</strong> (Tells the renderer to regenerate the refracted image based on <span class=\'code\'>nthframe</span> .)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.nthFrame Integer default: 1 \n\
</pre></div><p>Sets the regeneration rate in animations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.useEnviroment Boolean default: true \n\
</pre></div><p>When off, environment maps are ignored by the refraction during rendering.</p>\n\
<p>It’s useful to turn it this off when you have refractions in the scene and you’re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment map types do, and will not render properly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.thicknessOffset Float default: 0.5 -- animatable, alias: Thickness_Offset \n\
</pre></div><p>Affects the size of the refractive offset, or jog effect. At 0, there’s no offset, and the object can appear invisible in the rendered scene. At 10.0, the offset is at its greatest.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Thin_Wall_Refraction&gt;.bumpMapEffect Float default: 1.0 -- animatable, alias: Bump_Map_Effect \n\
</pre></div><p>Affects the magnitude of refraction due to the presence of a bump map.</p>\n\
<p>This parameter multiplies the current bump map Amount in the parent material.</p>\n\
<p>Reduce this value to reduce the effect of the secondary refraction; increase this value to increase the effect.</p>\n\
<p>If there is no bump map assigned, this value has no effect.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";