var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Wood : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Wood : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"wood-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Wood - superclass: textureMap; super-superclass:material - classID: #(532, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Wood...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.thickness Float default: 7.0 -- animatable, alias: Grain_Thickness \n\
</pre></div><p>Sets the relative thickness of the color bands that make up the grain.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.radialNoise Float default: 1.0 -- animatable, alias: Radial_Noise \n\
</pre></div><p>Sets the relative randomness of the pattern on a plane perpendicular to the grain, the circular ring structure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.axialNoise Float default: 1.0 -- animatable, alias: Axial_Noise \n\
</pre></div><p>Sets the relative randomness of the pattern on a plane parallel with the grain, along the length of the grain.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.color1 Color default: (color 201.45 175.95 68.85) -- animatable, alias: Color_1 \n\
&lt;Wood&gt;.map1 TextureMap default: undefined \n\
&lt;Wood&gt;.map1Enabled Boolean default: true -- alias: MapOn1 \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.color2 Color default: (color 130.05 81.6 12.75) -- animatable, alias: Color_2 \n\
&lt;Wood&gt;.map2 TextureMap default: undefined \n\
&lt;Wood&gt;.map2Enabled Boolean default: true -- alias: MapOn2 \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Wood&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";