var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Physical_Camera_Exposure_Control : ToneOperator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Physical_Camera_Exposure_Control : ToneOperator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"physical_camera_exposure_control-toneoperator\"></a></div>\n\
<div class=\'codeBlock\'><pre>Physical_Camera_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - 11:0 - classID: #(664160923, 782579562)\n\
</pre></div><p>Exposes the Physical Camera Exposure Control to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Physical_Camera_Exposure_Control ...\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Exposure Control Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.active    BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets/sets the state of the Active checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.processBG     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the Process Background and Environment Maps checkbox.</p>\n\
<p><strong>Exposure Group Of Controls</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.use_global_ev    Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Gets/sets the state of the Exposure mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use Per-Camera Exposure</strong></p>\n\
<p>1 - <strong>Ignore Per-Camera Exposure (Use Global)</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.global_ev     Float    default: 6.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Exposure for Non-Physical Cameras&quot;</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.ev_compensation    Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;EV Compensation for Physical Cameras&quot;</strong> parameter.</p>\n\
<p>Image Control Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.highlights     Float    default: 0.25   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Highlights&quot;</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.midtones     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Midtones&quot;</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.shadows     Float    default: 0.2   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Shadows&quot;</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.saturation     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Color Saturation&quot;</strong> parameter.</p>\n\
<p>Physical Scale Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.physical_scale_mode     Integer    default: 1   --  integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Physical scale&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Disabled</strong></p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Camera_Exposure_Control&gt;.physical_scale     Float    default: 1500.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Custom ... candelas/RGB&quot;</strong> parameter.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";