var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Clean_MultiMaterial : UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Clean_MultiMaterial : UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"clean_multimaterial-utilityplugin\"></a></div>\n\
<p>The <strong>MultiMaterial Clean Utility</strong> cleans unused submaterials in scene Multi-Materials.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Alias:</strong></p>\n\
<div class=\'codeBlock\'><pre>MMClean \n\
</pre></div><div class=\'section\'><a id=\"clean_multimaterial-interface\"></a><h2 id=\"clean_multimaterial-interface\">Clean_MultiMaterial Interface:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: MMClean \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>findAll &lt;&amp;material array&gt;mtlsFound \n\
mtlsFound is Out parameter \n\
</pre></div><p>Collects all multi-materials with unused sub-materials, stores them in <span class=\'code\'>MtlsFound</span> array</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fix &lt;material array&gt;mtls prompt:&lt;boolean&gt;\n\
       prompt default value: true\n\
</pre></div><p>Removes unused sub-materials from submitted multi-materials array. if prompt=true, dialog shows up.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixAll prompt:&lt;boolean&gt;\n\
       prompt default value: true\n\
</pre></div><p>Removes all unused sub-materials from scene multi-materials. if prompt=true, dialog shows up.</p>\n\
<div class=\'section\'><a id=\"clean_multimaterial-interfaces\"></a><h2 id=\"clean_multimaterial-interfaces\">Clean_MultiMaterial Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: MMCleanActions \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>CleanMaterailsAll () -- Action Interface \n\
</pre></div><p>CUI member</p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: MultiMaterial_Clean_Actions; Action: Clean__MultiMaterial; Shortcut: -- none defined --\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";