var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Instance_Duplicate_Maps : UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Instance_Duplicate_Maps : UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"instance_duplicate_maps-utilityplugin\"></a></div>\n\
<p>This utility finds all duplicate maps and makes them instances instead of copies. Can affect user selection or all.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Alias:</strong></p>\n\
<div class=\'codeBlock\'><pre>InstanceDuplMap \n\
</pre></div><p>Note:</p>\n\
<p>Animation is not supported, due to the breadth and complexity of controllers.</p>\n\
<p>A warning message will be displayed if animation is found.</p>\n\
<p>Undo is not supported</p>\n\
<div class=\'section\'><a id=\"instance_duplicate_maps-interface\"></a><h2 id=\"instance_duplicate_maps-interface\">Instance_Duplicate_Maps Interface:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: InstanceDuplMapInterface \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;findDuplicateMap &lt;&amp;texturemap array&gt;mapsFound \n\
mapsFound is Out parameter \n\
</pre></div><p>Finds duplicate maps, stores them in the by-reference <span class=\'code\'>mapsFound</span> array</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;findCopyMap &lt;texturemap&gt;duplMap &lt;&amp;texturemap array&gt;mapsFound \n\
mapsFound is Out parameter \n\
</pre></div><p>Finds map copies of the supplied duplicate map, stores them in the by-reference <span class=\'code\'>mapsFound</span> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixMap &lt;texturemap array&gt;maps prompt:&lt;boolean&gt;\n\
       prompt default value: true\n\
</pre></div><p>Fixes the maps in the by-reference array. Prompts the user if the optional <span class=\'code\'>prompt</span> parameter is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;fixMapAll [prompt:&lt;boolean&gt;] \n\
prompt default value: true \n\
</pre></div><p>Fixes all maps. Prompts the user if the optional <span class=\'code\'>prompt</span> parameter is set to true.</p>\n\
<div class=\'section\'><a id=\"instance_duplicate_maps-interface-1\"></a><h2 id=\"instance_duplicate_maps-interface-1\">Instance_Duplicate_Maps Interface:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:InstanceDuplMapActions \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;InstanceDuplMapAll () -- Action Interface \n\
</pre></div><p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: Instance_Duplicate_Map_Actions; Action: Instance_Duplicate_Map; Shortcut: -- none defined --\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";