var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scene_Converter: GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scene_Converter: GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scene_converter-globalutilityplugin\"></a></div>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: The Scene_Converter GlobalUtilityPlugin facilitates the conversion of .MAX scene file content based on rules and custom MAXScript functions. It can be useful when converting scenes to render in a different renderer.</p>\n\
<p>For deeper MAXScript access to the Scene Converter dialog, its rules and features, see also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GUID-CDDF38BF-5AE2-4643-A5CA-12FE92469A01.html\' title=\'\'>SceneConverter Core Interface</a> page.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Scene_Converter interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: Actions\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Show()  -- Action Interface\n\
</pre></div><p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: ; Action: Scene_Converter; Shortcut: -- none defined --\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE</strong></p>\n\
<p>``` Scene_Converter.show() --open the Scene Converter dialog --&gt; True</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";