var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShineExp : UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShineExp : UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shineexp-utilityplugin\"></a></div>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p>The ShineExp UtilityPlugin renders the active viewport to a TIFF file. The TIFF file includes luminance and illuminance data that can be used for lighting analysis. (This is the 32-bit SGI LogLUV image type.)</p>\n\
<p>Note:</p>\n\
<p>The 2D Lighting Data Exporter does not render the TIFF file unless you have applied an exposure control to the scene.</p>\n\
<p>The same utility was available in <strong>Autodesk VIZ4</strong> under the name Lighting_Data_Export.</p>\n\
<p><strong>ShineExp interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: ShineExport \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;doExport () \n\
</pre></div><p>Presses the Export button in the Utility Plug-in, causing the export to the specified file. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;doPickFile () \n\
</pre></div><p>Presses the pick file button in the Utility Plug-in, causing a file selection dialog to be displayed. Returns <span class=\'code\'>true</span> if a valid output file has been specified, <span class=\'code\'>false</span> otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- Open the plug-in in the Utilities panel: UtilityPanel.OpenUtility ShineExp True ShineExp.ShineExport.doPickFile () True ShineExp.ShineExport.doExport () True</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";