var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I get the file name of the current scene?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I get the file name of the current scene?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-get-the-file-name-of-the-current-scene\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I can&#39;t seem to find a function for grabbing the name of the currently open maxfile!</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The file name of the currently loaded scene can be accessed via the <a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/GUID-141213A1-B5A8-457B-8838-E602022C8798/\' title=\'\'>System Global Variable</a> <strong>maxFileName</strong>.</p>\n\
<p>The path of the current scene is accessible through <strong>maxFilePath</strong>.</p>\n\
<p>Both variables are read-only!</p>\n\
<p>To get the complete scene file name, you can use</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` sceneName = maxFilePath + maxFileName</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>If the scene does not have a name yet (Untitled), both will return an empty string &quot;&quot;.</p>\n\
<p>These global variables are documented under the letter M in the topic <a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/GUID-141213A1-B5A8-457B-8838-E602022C8798.html#m\' title=\'\'>3ds Max System Globals</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";