var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I create a multi-dimensional array?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I create a multi-dimensional array?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-create-a-multi-dimensional-array\"></a></div>\n\
<p>A MAXScript Array is a one-dimensional list of elements. An element of an array is addressed by its index in brackets,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` myArray = #(10,20,30,40,50,60,70,80,90,100) myArray[5] --&gt; will return 50, the fifth element of the array.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Since an array can be an element inside of another array, you can create multi-dimensional arrays as you desire by placing multiple arrays inside an array. Using an index in brackets, you can reference the sub-array, using another pair of brackets and an index you can access an element inside the sub-array,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` -- create an array with two elements, each one an array with 10 elements. myMultiDimArray=#(#(1,2,3,4,5,6,7,8,9,10),#(10,20,30,40,50,60,70,80,90,100)) -- add a third element to the array containing 10 more elements append myMultiDimArray #(100,200,300,400,500,600,700,800,900,1000) myMultiDimArray[2][5]--&gt; returns 50 - the 5th element of the 2nd sub-array</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";