var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I get a Space Warp by Binding?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I get a Space Warp by Binding?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-get-a-space-warp-by-binding\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I created an object and a Conform space warp. I used bindSpaceWarp to bind the object to the space warp. After doing this many times, I want to know &quot;Which space warp was object A assigned to?&quot;</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>You can explore the dependencies of existing space warps in the scene to filter the one that is affecting your object:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn getSpaceWarpByBinding theBinding = ( --Loop through all space warps in the scene for s in SpaceWarps do ( --Loop through all dependents of the current space warp --If the space warp is dependent on the supplied binding, return it! for o in refs.dependents s where o == theBinding do returns )--end s loop )--end fn</p>\n\
<p>--Example Usage: s = sphere() theSW = getSpaceWarpByBinding $Sphere001.modifiers[1]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";