var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cache frequently used functions and objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cache frequently used functions and objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cache-frequently-used-functions-and-objects\"></a></div>\n\
<p>You can store frequently used functions and objects in user variables for faster access.</p>\n\
<blockquote>\n\
<p><strong>TEST CASE:</strong></p>\n\
<p>``` ep = converttopoly (mesh()) --node ep_bo = ep.baseobject --ediable poly polyop_getvert = polyop.getvert --structure method IEditablePoly = ep_bo.EditablePoly --FPS interface IEditablePoly_GetNumMapChannels = IEditablePoly.GetNumMapChannels --FPS interface</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` polyop.getvert ep 1 -- 470 msec. polyop_getvert ep 1 -- 79 msec. polyop.getvert ep_bo 1 -- 48 msec. polyop_getvert ep_bo 1 -- 0 msec. ep.EditablePoly.GetNumMapChannels() -- 76532 msec. ep.GetNumMapChannels() -- 72141 msec. ep_bo.EditablePoly.GetNumMapChannels()-- 36688 msec. ep_bo.GetNumMapChannels() -- 34219 msec. IEditablePoly.GetNumMapChannels() -- 6454 msec. IEditablePoly_GetNumMapChannels() -- 0 msec.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>TEST CASE:</strong></p>\n\
<p>``` gs = geosphere() gs_bo = gs.baseobject theBend = bend() addmodifier gs theBend</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` gs.radius -- 718 msec. gs.baseobject.radius -- 828 msec. gs_bo.radius -- 688 msec. gs.modifiers[1].angle -- 718 msec. gs.modifiers[#bend].angle -- 1187 msec. theBend.angle -- 609 msec.</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";