var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Use name values instead of strings when possible</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Use name values instead of strings when possible</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"use-name-values-instead-of-strings-when-possible\"></a></div>\n\
<p>Each use of a string literal requires creating a new string value.</p>\n\
<blockquote>\n\
<p><strong>PROBLEM CASE:</strong></p>\n\
<p>``` fn test = append &quot;A&quot; &quot;B&quot; test() --returns &quot;AB&quot; test() --returns &quot;ABB&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>TEST CASE:</strong></p>\n\
<p>``` fn test6 v = ()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` test6 &quot;A&quot; -- 125 msec. test6 #a -- 16 msec.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\' title=\'\'>Use StringStream to build large strings</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\' title=\'\'>Try not to use Execute function if there is an alternative</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";