var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Locale Information</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Locale Information</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"locale-information\"></a></div>\n\
<p>The <span class=\'code\'>localeInfo</span> struct contains methods for accessing system locale information. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; localeInfo.getLocale &lt;#LC_ALL | #LC_COLLATE | #LC_CTYPE | #LC_MONETARY | #LC_NUMERIC | #LC_TIME&gt;\n\
</pre></div><p>Gets the C runtime locale associated with the specified category.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; | &lt;false&gt; localeInfo.setLocale &lt;#LC_ALL | #LC_COLLATE | #LC_CTYPE | #LC_MONETARY | #LC_NUMERIC | #LC_TIME&gt; &lt;locale string&gt;\n\
</pre></div><p>Sets the C runtime locale with the specified category. If the local is successfully set, the previous locale is returned (as a string), or false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; localeInfo.getCPlusPlusLocale()\n\
</pre></div><p>Gets the C++ runtime locale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; | &lt;false&gt; localeInfo.setCPlusPlusLocale &lt;locale string&gt;\n\
</pre></div><p>Sets the C++ runtime locale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; localeInfo.getPerThreadLocale()\n\
</pre></div><p>Returns whether per-thread locale is set for the current thread.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; localeInfo.setPerThreadLocale &lt;boolean&gt;\n\
</pre></div><p>Sets whether to use per-thread locale for the current thread. Returns the previous value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;array&gt; localeInfo.getDecimalChars()\n\
</pre></div><p>Returns an array containing the decimal separator character from the windows GetLocaleInfo(), the C runtime, the C++ runtime, and the .NET system.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";