var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Converting Scripts From Using ActiveX Controls to DotNet Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Converting Scripts From Using ActiveX Controls to DotNet Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"converting-scripts-from-using-activex-controls-to-dotnet-controls\"></a></div>\n\
<p>The main reason for the introduction of DotNet support in MAXScript was the fact that ActiveX controls which were largely used in the <strong>3ds Max</strong> User Interface were made unavailable in 64 bit Windows versions.</p>\n\
<p>Scripts developed for versions prior to <strong>3ds Max 9</strong>wwould require a rewrite to be able to run under 64 bit Windows operating systems.</p>\n\
<div class=\'section\'><a id=\"the-following-examples-show-the-conversion-of-activex-controls-to-dotnet-controls\"></a><h3 id=\"the-following-examples-show-the-conversion-of-activex-controls-to-dotnet-controls\">The following examples show the conversion of ActiveX controls to DotNet Controls:</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\' title=\'\'>Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<div class=\'section\'><a id=\"see-also-these-3ds-max-components-which-were-updated-to-use-dotnet-controls\"></a><h3 id=\"see-also-these-3ds-max-components-which-were-updated-to-use-dotnet-controls\">See also these 3ds Max components which were updated to use DotNet controls:</h3></div>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>The Render To Texture dialog has been updated to use DotNet ListView controls instead of ActiveX controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_NamedSelSets.mcr</strong></p>\n\
<p>The Named Selection Sets editor dialog has been updated to use a DotNet TreeView control instead of an ActiveX control. It is a good example of using <strong>Drag And Drop</strong> in DotNet TreeView controls.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";