var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating A Simple DotNet MonthCalendar And Changing Its Colors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating A Simple DotNet MonthCalendar And Changing Its Colors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-a-simple-dotnet-monthcalendar-and-changing-its-colors\"></a></div>\n\
<p>The following example creates a simple dialog with a MonthCalendar dotNet control and assigns a mousedown event handler that prints the properties, methods, and events:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;test&quot; height:200 width:220 ( dotNetControl f1 &quot;MonthCalendar&quot; align:#left height:180 width:200 on f1 mousedown val do ( format &quot;in mousedown handler: arg: %\\n&quot; val format &quot;showproperties:\\n&quot; showproperties val format &quot;showmethods:\\n&quot; showmethods val format &quot;showevents:\\n&quot; showevents val format &quot;getpropnames : %\\n&quot; (getpropnames val) format &quot;prop values:\\n&quot; ) ) createdialog test escapeEnable:true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>After evaluation, a dialog showing a Month Calendar DotNet Control is displayed with default settings. You can see the constructor of the control using the dotnet.showconstructors() method:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --see the constructor of the control dotnet.showConstructors test.f1 System.Windows.Forms.MonthCalendar() true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7CCE27B0-DEAA-4859-B4D2-6E0B4EC20D76-low.gif\' title=\'\'></div>\n\
<p>You can also change the calendar&#39;s appearance by modifying its colors.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --First we list all properties of the control --and look to find those controlling some of its colors: showproperties test.f1 .AccessibilityObject : <system.windows.forms.accessibleobject>, read-only .AccessibleDefaultActionDescription : <system.string> .AccessibleDescription : <system.string> .AccessibleName : <system.string> .AccessibleRole : <system.windows.forms.accessiblerole> .AllowDrop : <system.boolean> .Anchor : <system.windows.forms.anchorstyles> .AnnuallyBoldedDates : <system.datetime[]> .AutoScrollOffset : <system.drawing.point> .AutoSize : <system.boolean> .BackgroundImage : <system.drawing.image> .BackgroundImageLayout : <system.windows.forms.imagelayout> .BindingContext : <system.windows.forms.bindingcontext> .BoldedDates : <system.datetime[]> .Bottom : <system.int32>, read-only .Bounds : <system.drawing.rectangle> .CalendarDimensions : <system.drawing.size> .CanFocus : <system.boolean>, read-only .CanSelect : <system.boolean>, read-only .Capture : <system.boolean> .CausesValidation : <system.boolean> .CheckForIllegalCrossThreadCalls : <system.boolean>, static .ClientRectangle : <system.drawing.rectangle>, read-only .ClientSize : <system.drawing.size> .CompanyName : <system.string>, read-only .Container : <system.componentmodel.icontainer>, read-only .ContainsFocus : <system.boolean>, read-only .ContextMenu : <system.windows.forms.contextmenu> .ContextMenuStrip : <system.windows.forms.contextmenustrip> .Controls : <system.windows.forms.control+controlcollection>, read-only .Created : <system.boolean>, read-only .Cursor : <system.windows.forms.cursor> .DataBindings : <system.windows.forms.controlbindingscollection>, read-only .DefaultBackColor : <system.drawing.color>, read-only, static .DefaultFont : <system.drawing.font>, read-only, static .DefaultForeColor : <system.drawing.color>, read-only, static .DisplayRectangle : <system.drawing.rectangle>, read-only .Disposing : <system.boolean>, read-only .Dock : <system.windows.forms.dockstyle> .Enabled : <system.boolean> .FirstDayOfWeek : <system.windows.forms.day> .Focused : <system.boolean>, read-only .Font : <system.drawing.font><p>\n\
<div class=\'codeBlock\'><pre>                             .Handle : &lt;System.IntPtr&gt;, read-only .HasChildren : &lt;System.Boolean&gt;, read-only .Height\n\
                            : &lt;System.Int32&gt; .ImeMode : &lt;System.Windows.Forms.ImeMode&gt; .InvokeRequired : &lt;System.Boolean&gt;,\n\
                            read-only .IsAccessible : &lt;System.Boolean&gt; .IsDisposed : &lt;System.Boolean&gt;, read-only\n\
                            .IsHandleCreated : &lt;System.Boolean&gt;, read-only .IsMirrored : &lt;System.Boolean&gt;, read-only\n\
                            .LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only .Left : &lt;System.Int32&gt;\n\
                            .Location : &lt;System.Drawing.Point&gt; .Margin : &lt;System.Windows.Forms.Padding&gt; .MaxDate\n\
                            : &lt;System.DateTime&gt; .MaximumSize : &lt;System.Drawing.Size&gt; .MaxSelectionCount : &lt;System.Int32&gt;\n\
                            .MinDate : &lt;System.DateTime&gt; .MinimumSize : &lt;System.Drawing.Size&gt; .ModifierKeys :\n\
                            &lt;System.Windows.Forms.Keys&gt;, read-only, static .MonthlyBoldedDates : &lt;System.DateTime[]&gt;\n\
                            .MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static .MousePosition\n\
                            : &lt;System.Drawing.Point&gt;, read-only, static .Name : &lt;System.String&gt; .Padding : &lt;System.Windows.Forms.Padding&gt;\n\
                            .Parent : &lt;System.Windows.Forms.Control&gt; .PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
                            .ProductName : &lt;System.String&gt;, read-only .ProductVersion : &lt;System.String&gt;, read-only\n\
                            .RecreatingHandle : &lt;System.Boolean&gt;, read-only .Region : &lt;System.Drawing.Region&gt;\n\
                            .Right : &lt;System.Int32&gt;, read-only .RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
                            .RightToLeftLayout : &lt;System.Boolean&gt; .ScrollChange : &lt;System.Int32&gt; .SelectionEnd\n\
                            : &lt;System.DateTime&gt; .SelectionRange : &lt;System.Windows.Forms.SelectionRange&gt; .SelectionStart\n\
                            : &lt;System.DateTime&gt; .ShowToday : &lt;System.Boolean&gt; .ShowTodayCircle : &lt;System.Boolean&gt;\n\
                            .ShowWeekNumbers : &lt;System.Boolean&gt; .SingleMonthSize : &lt;System.Drawing.Size&gt;, read-only\n\
                            .Site : &lt;System.ComponentModel.ISite&gt; .Size : &lt;System.Drawing.Size&gt; .TabIndex : &lt;System.Int32&gt;\n\
                            .TabStop : &lt;System.Boolean&gt; .Tag : &lt;System.Object&gt; .Text : &lt;System.String&gt; \n\
                                               \n\
                             .TitleForeColor : &lt;System.Drawing.Color&gt; .TodayDate : &lt;System.DateTime&gt; .TodayDateSet\n\
                            : &lt;System.Boolean&gt;, read-only .Top : &lt;System.Int32&gt; .TopLevelControl : &lt;System.Windows.Forms.Control&gt;,\n\
                            read-only .TrailingForeColor : &lt;System.Drawing.Color&gt; .UseWaitCursor : &lt;System.Boolean&gt;\n\
                            .Visible : &lt;System.Boolean&gt; .Width : &lt;System.Int32&gt; .WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;\n\
                            true \n\
                                             .BackColor : &lt;System.Drawing.Color&gt; .ForeColor : &lt;System.Drawing.Color&gt; .TitleBackColor : &lt;System.Drawing.Color&gt;\n\
</pre></div><p>```</p>\n\
</system.drawing.font></system.boolean></system.windows.forms.day></system.boolean></system.windows.forms.dockstyle></system.boolean></system.drawing.rectangle></system.drawing.color></system.drawing.font></system.drawing.color></system.windows.forms.controlbindingscollection></system.windows.forms.cursor></system.boolean></system.windows.forms.control+controlcollection></system.windows.forms.contextmenustrip></system.windows.forms.contextmenu></system.boolean></system.componentmodel.icontainer></system.string></system.drawing.size></system.drawing.rectangle></system.boolean></system.boolean></system.boolean></system.boolean></system.boolean></system.drawing.size></system.drawing.rectangle></system.int32></system.datetime[]></system.windows.forms.bindingcontext></system.windows.forms.imagelayout></system.drawing.image></system.boolean></system.drawing.point></system.datetime[]></system.windows.forms.anchorstyles></system.boolean></system.windows.forms.accessiblerole></system.string></system.string></system.string></system.windows.forms.accessibleobject></blockquote>\n\
<div class=\'section\'><a id=\"using-dotnet-color-presets\"></a><h3 id=\"using-dotnet-color-presets\">Using DotNet Color Presets</h3></div>\n\
<p>You can change the color properties of the control. First, take a look at their own properties:</p>\n\
<blockquote>\n\
<p>``` showproperties test.f1.ForeColor --see all properties of the color .A : <system.byte>, read-only .AliceBlue : <system.drawing.color>, read-only, static .AntiqueWhite : <system.drawing.color>, read-only, static .Aqua : <system.drawing.color>, read-only, static .Aquamarine : <system.drawing.color>, read-only, static .Azure : <system.drawing.color>, read-only, static .B : <system.byte>, read-only .Beige : <system.drawing.color>, read-only, static .Bisque : <system.drawing.color>, read-only, static .Black : <system.drawing.color>, read-only, static .BlanchedAlmond : <system.drawing.color>, read-only, static .Blue : <system.drawing.color>, read-only, static .BlueViolet : <system.drawing.color>, read-only, static .Brown : <system.drawing.color>, read-only, static .BurlyWood : <system.drawing.color>, read-only, static .CadetBlue : <system.drawing.color>, read-only, static .Chartreuse : <system.drawing.color>, read-only, static .Chocolate : <system.drawing.color>, read-only, static .Coral : <system.drawing.color>, read-only, static .CornflowerBlue : <system.drawing.color>, read-only, static .Cornsilk : <system.drawing.color>, read-only, static .Crimson : <system.drawing.color>, read-only, static .Cyan : <system.drawing.color>, read-only, static .DarkBlue : <system.drawing.color>, read-only, static .DarkCyan : <system.drawing.color>, read-only, static .DarkGoldenrod : <system.drawing.color>, read-only, static .DarkGray : <system.drawing.color>, read-only, static .DarkGreen : <system.drawing.color>, read-only, static .DarkKhaki : <system.drawing.color>, read-only, static .DarkMagenta : <system.drawing.color>, read-only, static .DarkOliveGreen : <system.drawing.color>, read-only, static .DarkOrange : <system.drawing.color>, read-only, static .DarkOrchid : <system.drawing.color>, read-only, static .DarkRed : <system.drawing.color>, read-only, static .DarkSalmon : <system.drawing.color>, read-only, static .DarkSeaGreen : <system.drawing.color>, read-only, static .DarkSlateBlue : <system.drawing.color>, read-only, static .DarkSlateGray : <system.drawing.color>, read-only, static .DarkTurquoise : <system.drawing.color>, read-only, static .DarkViolet : <system.drawing.color>, read-only, static .DeepPink : <system.drawing.color>, read-only, static .DeepSkyBlue : <system.drawing.color>, read-only, static .DimGray : <system.drawing.color>, read-only, static .DodgerBlue : <system.drawing.color>, read-only, static .Firebrick : <system.drawing.color>, read-only, static .FloralWhite : <system.drawing.color>, read-only, static .ForestGreen : <system.drawing.color>, read-only, static .Fuchsia : <system.drawing.color>, read-only, static .G : <system.byte>, read-only .Gainsboro : <system.drawing.color>, read-only, static .GhostWhite : <system.drawing.color>, read-only, static .Gold : <system.drawing.color>, read-only, static .Goldenrod : <system.drawing.color>, read-only, static .Gray : <system.drawing.color>, read-only, static .Green : <system.drawing.color>, read-only, static .GreenYellow : <system.drawing.color>, read-only, static .Honeydew : <system.drawing.color>, read-only, static .HotPink : <system.drawing.color>, read-only, static .IndianRed : <system.drawing.color>, read-only, static .Indigo : <system.drawing.color>, read-only, static .IsEmpty : <system.boolean>, read-only .IsKnownColor : <system.boolean>, read-only .IsNamedColor : <system.boolean>, read-only .IsSystemColor : <system.boolean>, read-only .Ivory : <system.drawing.color>, read-only, static .Khaki : <system.drawing.color>, read-only, static .Lavender : <system.drawing.color>, read-only, static .LavenderBlush : <system.drawing.color>, read-only, static .LawnGreen : <system.drawing.color>, read-only, static .LemonChiffon : <system.drawing.color>, read-only, static .LightBlue : <system.drawing.color>, read-only, static .LightCoral : <system.drawing.color>, read-only, static .LightCyan : <system.drawing.color>, read-only, static .LightGoldenrodYellow : <system.drawing.color>, read-only, static .LightGray : <system.drawing.color>, read-only, static .LightGreen : <system.drawing.color>, read-only, static .LightPink : <system.drawing.color>, read-only, static .LightSalmon : <system.drawing.color>, read-only, static .LightSeaGreen : <system.drawing.color>, read-only, static .LightSkyBlue : <system.drawing.color>, read-only, static .LightSlateGray : <system.drawing.color>, read-only, static .LightSteelBlue : <system.drawing.color>, read-only, static .LightYellow : <system.drawing.color>, read-only, static .Lime : <system.drawing.color>, read-only, static .LimeGreen : <system.drawing.color>, read-only, static .Linen : <system.drawing.color>, read-only, static .Magenta : <system.drawing.color>, read-only, static .Maroon : <system.drawing.color>, read-only, static .MediumAquamarine : <system.drawing.color>, read-only, static .MediumBlue : <system.drawing.color>, read-only, static .MediumOrchid : <system.drawing.color>, read-only, static .MediumPurple : <system.drawing.color>, read-only, static .MediumSeaGreen : <system.drawing.color>, read-only, static .MediumSlateBlue : <system.drawing.color>, read-only, static .MediumSpringGreen : <system.drawing.color>, read-only, static .MediumTurquoise : <system.drawing.color>, read-only, static .MediumVioletRed : <system.drawing.color>, read-only, static .MidnightBlue : <system.drawing.color>, read-only, static .MintCream : <system.drawing.color>, read-only, static .MistyRose : <system.drawing.color>, read-only, static .Moccasin : <system.drawing.color>, read-only, static .Name : <system.string>, read-only .NavajoWhite : <system.drawing.color>, read-only, static .Navy : <system.drawing.color>, read-only, static .OldLace : <system.drawing.color>, read-only, static .Olive : <system.drawing.color>, read-only, static .OliveDrab : <system.drawing.color>, read-only, static .Orange : <system.drawing.color>, read-only, static .OrangeRed : <system.drawing.color>, read-only, static .Orchid : <system.drawing.color>, read-only, static .PaleGoldenrod : <system.drawing.color>, read-only, static .PaleGreen : <system.drawing.color>, read-only, static .PaleTurquoise : <system.drawing.color>, read-only, static .PaleVioletRed : <system.drawing.color>, read-only, static .PapayaWhip : <system.drawing.color>, read-only, static .PeachPuff : <system.drawing.color>, read-only, static .Peru : <system.drawing.color>, read-only, static .Pink : <system.drawing.color>, read-only, static .Plum : <system.drawing.color>, read-only, static .PowderBlue : <system.drawing.color>, read-only, static .Purple : <system.drawing.color>, read-only, static .R : <system.byte>, read-only .Red : <system.drawing.color>, read-only, static .RosyBrown : <system.drawing.color>, read-only, static .RoyalBlue : <system.drawing.color>, read-only, static .SaddleBrown : <system.drawing.color>, read-only, static .Salmon : <system.drawing.color>, read-only, static .SandyBrown : <system.drawing.color>, read-only, static .SeaGreen : <system.drawing.color>, read-only, static .SeaShell : <system.drawing.color>, read-only, static .Sienna : <system.drawing.color>, read-only, static .Silver : <system.drawing.color>, read-only, static .SkyBlue : <system.drawing.color>, read-only, static .SlateBlue : <system.drawing.color>, read-only, static .SlateGray : <system.drawing.color>, read-only, static .Snow : <system.drawing.color>, read-only, static .SpringGreen : <system.drawing.color>, read-only, static .SteelBlue : <system.drawing.color>, read-only, static .Tan : <system.drawing.color>, read-only, static .Teal : <system.drawing.color>, read-only, static .Thistle : <system.drawing.color>, read-only, static .Tomato : <system.drawing.color>, read-only, static .Transparent : <system.drawing.color>, read-only, static .Turquoise : <system.drawing.color>, read-only, static .Violet : <system.drawing.color>, read-only, static .Wheat : <system.drawing.color>, read-only, static .White : <system.drawing.color>, read-only, static .WhiteSmoke : <system.drawing.color>, read-only, static .Yellow : <system.drawing.color>, read-only, static .YellowGreen : <system.drawing.color>, read-only, static .Empty : <system.drawing.color>, read-only, static true<p>\n\
<p>```</p>\n\
</system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.byte></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.string></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.boolean></system.boolean></system.boolean></system.boolean></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.byte></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.byte></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.drawing.color></system.byte></blockquote>\n\
<p>The color property itself has properties, some of them read-only definitions of typical colors. This means that you can set the .ForeColor and .BackColor properties to the static read-only values that are already defined:</p>\n\
<blockquote>\n\
<p>``` test.f1.ForeColor = test.f1.ForeColor.Blue --&gt; dotNetObject:System.Drawing.Color test.f1.BackColor = test.f1.BackColor.Yellow --&gt; dotNetObject:System.Drawing.Color test.f1.TitleBackColor = test.f1.TitleBackColor.Tomato --&gt; dotNetObject:System.Drawing.Color</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9BDD79B4-21AC-4390-B3BA-4AA7378659E3-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"using-user-defined-colors\"></a><h3 id=\"using-user-defined-colors\">Using User-Defined Colors</h3></div>\n\
<p>You can create your own DotNet colors instead of using the presets.</p>\n\
<p>Take a look at the methods that a System.Drawing.Color object exposes:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>showMethods test.f1.backcolor   .&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj   .[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB   .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;argb   .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;alpha &lt;System.Drawing.Color&gt;baseColor    .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;alpha &lt;System.Int32&gt;red &lt;System.Int32&gt;green                                    &lt;System.Int32&gt;blue .[static]&lt;System.Drawing.Color&gt;FromKnownColor &lt;System.Drawing.KnownColor&gt;color                                    .[static]&lt;System.Drawing.Color&gt;FromName &lt;System.String&gt;name .&lt;System.Single&gt;GetBrightness()                                    .&lt;System.Int32&gt;GetHashCode() .&lt;System.Single&gt;GetHue() .&lt;System.Single&gt;GetSaturation()                                    .&lt;System.Type&gt;GetType() .[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA                                    &lt;System.Object&gt;objB .&lt;System.Int32&gt;ToArgb() .&lt;System.Drawing.KnownColor&gt;ToKnownColor()                                    .&lt;System.String&gt;ToString() true                                                       .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;red &lt;System.Int32&gt;green &lt;System.Int32&gt;blue</span></p>\n\
</blockquote>\n\
<p>As you can see, the <span class=\'code\'>.FromARGB()</span> method allows to provide Red, Green, and Blue values, and it constructs a DotNet color value:</p>\n\
<blockquote>\n\
<p>``` test.f1.forecolor = test.f1.backcolor.FromArgb 255 255 100 test.f1.backcolor = test.f1.backcolor.FromArgb 100 200 234 dotNetObject:System.Drawing.Color</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-40BC8A13-30A1-4A42-AC12-E139F5C33272-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";