var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxCustomControls Assembly</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxCustomControls Assembly</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxcustomcontrols-assembly\"></a></div>\n\
<p>This Assembly can be used in 3ds Max 2010 and higher to access 3ds Max-specific DotNet Objects, Classes, and Controls that can be used to improve the integration of MAXScript and DotNet.</p>\n\
<p>The &quot;MaxCustomControls.dll&quot; assembly file is located in the 3ds Max root folder.</p>\n\
<p>The following are some of the types exported by the Assembly:</p>\n\
<p><strong>User Interface Controls</strong></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxForm.html\' title=\'\'>MaxForm</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxTextBox.html\' title=\'\'>MaxTextBox</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxCustomControls.html\' title=\'\'>MaxToolStripComboBox</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxCustomControls-1.html\' title=\'\'>MaxToolStripTextBox</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxUserControl.html\' title=\'\'>MaxUserControl</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/ProgressDialog.html\' title=\'\'>ProgressDialog</a></p>\n\
<p><strong>3ds Max Components</strong></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-2.html\' title=\'\'>ExplorerControl</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-3.html\' title=\'\'>SceneExplorerControls</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-4.html\' title=\'\'>ManageSceneExplorerForm</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-5.html\' title=\'\'>MaterialExplorerControls</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-6.html\' title=\'\'>BaseMaterialControls</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-7.html\' title=\'\'>RenameInstanceDialog</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-AdvancedSearch.html\' title=\'\'>AdvancedSearch</a></p>\n\
<p><strong>Win32</strong></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/MaxCustomControls-Win32API.html\' title=\'\'>Win32API</a></p>\n\
<p>The following script lists the Assembly&#39;s Exported Types with their constructors, properties, methods, and events:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` MCC_path = getdir #maxroot + &quot;MaxCustomControls.dll&quot; theMCC = dotnet.loadAssembly MCC_path format &quot;ASSEMBLY PROPERTIES:\\n&quot; showProperties theMCC format &quot;ASSEMBLY METHODS:\\n&quot; showMethods theMCC theTypes = theMCC.GetExportedTypes() for t in theTypes do ( format &quot;TYPE: &quot;%&quot;\\n&quot; t.fullname theObj = try(dotNetObject t.FullName)catch(dotNetClass t.fullname) format &quot;CONSTRUCTORS:\\n&quot; dotNet.showConstructors theObj format &quot;PROPERTIES:\\n&quot; showProperties theObj format &quot;METHODS:\\n&quot; showMethods theObj format &quot;EVENTS:\\n&quot; showEvents theObj format &quot;\\n\\n&quot; )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";