var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxCustomControls.Win32API dotNetObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxCustomControls.Win32API dotNetObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxcustomcontrols.win32api-dotnetobject\"></a></div>\n\
<p>These dotNetObjects are implemented by the MaxCustomControls Assembly and provide methods for accessing some of the major Win32 API functions including message sending, bringing windows to top, and wrapping of window handlers as DotNet Pointers.</p>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.Win32API&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.Win32API()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.WM_KEYUP : &lt;System.Int32&gt;, read-only, static\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.[static]&lt;System.Int32&gt;BringWindowToTop &lt;System.IntPtr&gt;hWnd\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Type&gt;GetType()\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Int32&gt;SendMessage &lt;System.IntPtr&gt;hWnd &lt;System.UInt32&gt;Msg &lt;System.UIntPtr&gt;wParam &lt;System.UIntPtr&gt;lParam\n\
.&lt;System.String&gt;ToString()\n\
\n\
</pre></div><p><strong>dotNetObject &quot;MaxCustomControls.Win32HandleWrapper&quot;</strong></p>\n\
<p><strong>Removed in 3ds Max 2015</strong></p>\n\
<p>Use <span class=\'code\'>System.Windows.Forms.NativeWindow.FromHandle()</span> instead:</p>\n\
<div class=\'codeBlock\'><pre>theHwnd = (dotNetObject &quot;System.Windows.Forms.NativeWindow&quot;).FromHandle thePtr\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";