var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxTextBox</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxTextBox</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxtextbox\"></a></div>\n\
<p>This dotNetObject is implemented by the MaxCustomControls Assembly and provides a DotNet TextBox Control with the 3ds Max Look-And-Feel.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theFrm = dotNetObject &quot;MaxCustomControls.MaxForm&quot; theBox = dotNetObject &quot;MaxCustomControls.MaxTextBox&quot; theBox.width = 290 theBox.height = 270 theBox.Multiline = true theBox.Text = &quot;Hey Jude, don&#39;t make it bad!\\r\\nTake a sad song and make it better...&quot; theBox.SelectionStart = 4 theBox.SelectionLength = 4 theFrm.controls.add theBox theFrm.topmost = true theFrm.text = &quot;MaxTextBox&quot; thePtr = DotNetObject &quot;System.IntPtr&quot; (windows.getMAXHWND()) theHwnd = (dotNetObject &quot;System.Windows.Forms.NativeWindow&quot;).FromHandle thePtr theFrm.Show(theHwnd)</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2D8A1B6F-1179-4473-8EBD-40506DE72BDA-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.MaxTextBox&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxCustomControls.MaxTextBox()\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.AcceptsReturn : &lt;System.Boolean&gt;\n\
.AcceptsTab : &lt;System.Boolean&gt;\n\
.AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only\n\
.AccessibleDefaultActionDescription : &lt;System.String&gt;\n\
.AccessibleDescription : &lt;System.String&gt;\n\
.AccessibleName : &lt;System.String&gt;\n\
.AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;\n\
.AllowDrop : &lt;System.Boolean&gt;\n\
.Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;\n\
.AutoCompleteCustomSource : &lt;System.Windows.Forms.AutoCompleteStringCollection&gt;\n\
.AutoCompleteMode : &lt;System.Windows.Forms.AutoCompleteMode&gt;\n\
.AutoCompleteSource : &lt;System.Windows.Forms.AutoCompleteSource&gt;\n\
.AutoScrollOffset : &lt;System.Drawing.Point&gt;\n\
.AutoSize : &lt;System.Boolean&gt;\n\
.BackColor : &lt;System.Drawing.Color&gt;\n\
.BackgroundImage : &lt;System.Drawing.Image&gt;\n\
.BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;\n\
.BindingContext : &lt;System.Windows.Forms.BindingContext&gt;\n\
.BorderStyle : &lt;System.Windows.Forms.BorderStyle&gt;\n\
.Bottom : &lt;System.Int32&gt;, read-only\n\
.Bounds : &lt;System.Drawing.Rectangle&gt;\n\
.CanFocus : &lt;System.Boolean&gt;, read-only\n\
.CanSelect : &lt;System.Boolean&gt;, read-only\n\
.CanUndo : &lt;System.Boolean&gt;, read-only\n\
.Capture : &lt;System.Boolean&gt;\n\
.CausesValidation : &lt;System.Boolean&gt;\n\
.CharacterCasing : &lt;System.Windows.Forms.CharacterCasing&gt;\n\
.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.ClientSize : &lt;System.Drawing.Size&gt;\n\
.CompanyName : &lt;System.String&gt;, read-only\n\
.Container : &lt;System.ComponentModel.IContainer&gt;, read-only\n\
.ContainsFocus : &lt;System.Boolean&gt;, read-only\n\
.ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt;\n\
.ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
.Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only\n\
.Created : &lt;System.Boolean&gt;, read-only\n\
.Cursor : &lt;System.Windows.Forms.Cursor&gt;\n\
.DataBindings : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DisplayRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.Disposing : &lt;System.Boolean&gt;, read-only\n\
.Dock : &lt;System.Windows.Forms.DockStyle&gt;\n\
.Enabled : &lt;System.Boolean&gt;\n\
.Focused : &lt;System.Boolean&gt;, read-only\n\
.Font : &lt;System.Drawing.Font&gt;\n\
.ForeColor : &lt;System.Drawing.Color&gt;\n\
.Handle : &lt;System.IntPtr&gt;, read-only\n\
.HasChildren : &lt;System.Boolean&gt;, read-only\n\
.Height : &lt;System.Int32&gt;\n\
.HideSelection : &lt;System.Boolean&gt;\n\
.ImeMode : &lt;System.Windows.Forms.ImeMode&gt;\n\
.InvokeRequired : &lt;System.Boolean&gt;, read-only\n\
.IsAccessible : &lt;System.Boolean&gt;\n\
.IsDisposed : &lt;System.Boolean&gt;, read-only\n\
.IsHandleCreated : &lt;System.Boolean&gt;, read-only\n\
.IsMirrored : &lt;System.Boolean&gt;, read-only\n\
.LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only\n\
.Left : &lt;System.Int32&gt;\n\
.Lines : &lt;System.String[]&gt;\n\
.Location : &lt;System.Drawing.Point&gt;\n\
.Margin : &lt;System.Windows.Forms.Padding&gt;\n\
.MaximumSize : &lt;System.Drawing.Size&gt;\n\
.MaxLength : &lt;System.Int32&gt;\n\
.MinimumSize : &lt;System.Drawing.Size&gt;\n\
.Modified : &lt;System.Boolean&gt;\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
.Multiline : &lt;System.Boolean&gt;\n\
.Name : &lt;System.String&gt;\n\
.Padding : &lt;System.Windows.Forms.Padding&gt;\n\
.Parent : &lt;System.Windows.Forms.Control&gt;\n\
.PasswordChar : &lt;System.Char&gt;\n\
.PreferredHeight : &lt;System.Int32&gt;, read-only\n\
.PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
.ProductName : &lt;System.String&gt;, read-only\n\
.ProductVersion : &lt;System.String&gt;, read-only\n\
.ReadOnly : &lt;System.Boolean&gt;\n\
.RecreatingHandle : &lt;System.Boolean&gt;, read-only\n\
.Region : &lt;System.Drawing.Region&gt;\n\
.Right : &lt;System.Int32&gt;, read-only\n\
.RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
.ScrollBars : &lt;System.Windows.Forms.ScrollBars&gt;\n\
.SelectedText : &lt;System.String&gt;\n\
.SelectionLength : &lt;System.Int32&gt;\n\
.SelectionStart : &lt;System.Int32&gt;\n\
.ShortcutsEnabled : &lt;System.Boolean&gt;\n\
.Site : &lt;System.ComponentModel.ISite&gt;\n\
.Size : &lt;System.Drawing.Size&gt;\n\
.TabIndex : &lt;System.Int32&gt;\n\
.TabStop : &lt;System.Boolean&gt;\n\
.Tag : &lt;System.Object&gt;\n\
.Text : &lt;System.String&gt;\n\
.TextAlign : &lt;System.Windows.Forms.HorizontalAlignment&gt;\n\
.TextLength : &lt;System.Int32&gt;, read-only\n\
.Top : &lt;System.Int32&gt;\n\
.TopLevelControl : &lt;System.Windows.Forms.Control&gt;, read-only\n\
.UseSystemPasswordChar : &lt;System.Boolean&gt;\n\
.UseWaitCursor : &lt;System.Boolean&gt;\n\
.Visible : &lt;System.Boolean&gt;\n\
.Width : &lt;System.Int32&gt;\n\
.WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;\n\
.WordWrap : &lt;System.Boolean&gt;\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.AppendText &lt;System.String&gt;text\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.BringToFront()\n\
.Clear()\n\
.ClearUndo()\n\
.&lt;System.Boolean&gt;Contains &lt;System.Windows.Forms.Control&gt;ctl\n\
.Copy()\n\
.CreateControl()\n\
 .&lt;System.Drawing.Graphics&gt;CreateGraphics()\n\
.&lt;System.Runtime.Remoting.ObjRef&gt;CreateObjRef &lt;System.Type&gt;requestedType\n\
.Cut()\n\
.DeselectAll()\n\
.Dispose()\n\
 .&lt;System.Windows.Forms.DragDropEffects&gt;DoDragDrop &lt;System.Object&gt;data &lt;System.Windows.Forms.DragDropEffects&gt;allowedEffects\n\
.DrawToBitmap &lt;System.Drawing.Bitmap&gt;bitmap &lt;System.Drawing.Rectangle&gt;targetBounds\n\
.&lt;System.Object&gt;EndInvoke &lt;System.IAsyncResult&gt;asyncResult\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Windows.Forms.Form&gt;FindForm()\n\
.&lt;System.Boolean&gt;Focus()\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
.&lt;System.Char&gt;GetCharFromPosition &lt;System.Drawing.Point&gt;pt\n\
.&lt;System.Int32&gt;GetCharIndexFromPosition &lt;System.Drawing.Point&gt;pt\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt &lt;System.Windows.Forms.GetChildAtPointSkip&gt;skipValue\n\
 .&lt;System.Windows.Forms.IContainerControl&gt;GetContainerControl()\n\
.&lt;System.Int32&gt;GetFirstCharIndexFromLine &lt;System.Int32&gt;lineNumber\n\
 .&lt;System.Int32&gt;GetFirstCharIndexOfCurrentLine()\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Object&gt;GetLifetimeService()\n\
.&lt;System.Int32&gt;GetLineFromCharIndex &lt;System.Int32&gt;index\n\
.&lt;System.Windows.Forms.Control&gt;GetNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward\n\
 .&lt;System.Drawing.Point&gt;GetPositionFromCharIndex &lt;System.Int32&gt;index\n\
.&lt;System.Drawing.Size&gt;GetPreferredSize &lt;System.Drawing.Size&gt;proposedSize\n\
.&lt;System.Type&gt;GetType()\n\
.Hide()\n\
 .&lt;System.Object&gt;InitializeLifetimeService()\n\
.Invalidate()\n\
.Invalidate &lt;System.Drawing.Region&gt;region\n\
.Invalidate &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Region&gt;region &lt;System.Boolean&gt;invalidateChildren\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.Paste()\n\
.Paste &lt;System.String&gt;text\n\
.PerformLayout()\n\
.PerformLayout &lt;System.Windows.Forms.Control&gt;affectedControl &lt;System.String&gt;affectedProperty\n\
.&lt;System.Drawing.Point&gt;PointToClient &lt;System.Drawing.Point&gt;p\n\
.&lt;System.Drawing.Point&gt;PointToScreen &lt;System.Drawing.Point&gt;p\n\
 .&lt;System.Windows.Forms.PreProcessControlState&gt;PreProcessControlMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.&lt;System.Boolean&gt;PreProcessMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToClient &lt;System.Drawing.Rectangle&gt;r\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToScreen &lt;System.Drawing.Rectangle&gt;r\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.Refresh()\n\
.RequestAcceptNative()\n\
.RequestCancelNative()\n\
.ResetBackColor()\n\
.ResetBindings()\n\
.ResetCursor()\n\
.ResetFont()\n\
.ResetForeColor()\n\
.ResetImeMode()\n\
.ResetRightToLeft()\n\
.ResetText()\n\
.ResumeLayout()\n\
.ResumeLayout &lt;System.Boolean&gt;performLayout\n\
.Scale &lt;System.Single&gt;ratio\n\
.Scale &lt;System.Drawing.SizeF&gt;factor\n\
.Scale &lt;System.Single&gt;dx &lt;System.Single&gt;dy\n\
.ScrollToCaret()\n\
.Select()\n\
.Select &lt;System.Int32&gt;start &lt;System.Int32&gt;length\n\
.SelectAll()\n\
.&lt;System.Boolean&gt;SelectNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward &lt;System.Boolean&gt;tabStopOnly &lt;System.Boolean&gt;nested &lt;System.Boolean&gt;wrap\n\
.SendToBack()\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height &lt;System.Windows.Forms.BoundsSpecified&gt;specified\n\
.Show()\n\
.SuspendLayout()\n\
.&lt;System.String&gt;ToString()\n\
.Undo()\n\
.Update()\n\
\n\
</pre></div><p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; AcceptedNative &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; AcceptsTabChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; AutoSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageLayoutChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BindingContextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BorderStyleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CanceledNative &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CausesValidationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ChangeUICues &lt;System.Windows.Forms.UICuesEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Click &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ClientSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuStripChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlAdded &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlRemoved &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CursorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Disposed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DockChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DoubleClick &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragDrop &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragEnter &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragOver &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; EnabledChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Enter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; FontChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ForeColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GiveFeedback &lt;System.Windows.Forms.GiveFeedbackEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GotFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleCreated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleDestroyed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HelpRequested &lt;System.Windows.Forms.HelpEventArgs&gt;hlpevent do ( ... )\n\
on &lt;control_name&gt; HideSelectionChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ImeModeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Invalidated &lt;System.Windows.Forms.InvalidateEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyDown &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyPress &lt;System.Windows.Forms.KeyPressEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyUp &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Layout &lt;System.Windows.Forms.LayoutEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Leave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LocationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LostFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MarginChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ModifiedChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseCaptureChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDoubleClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDown &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseEnter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseHover &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseMove &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseUp &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseWheel &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Move &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MultilineChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; PaddingChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Paint &lt;System.Windows.Forms.PaintEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ParentChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; PreviewKeyDown &lt;System.Windows.Forms.PreviewKeyDownEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryAccessibilityHelp &lt;System.Windows.Forms.QueryAccessibilityHelpEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryContinueDrag &lt;System.Windows.Forms.QueryContinueDragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ReadOnlyChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RegionChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Resize &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RightToLeftChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; StyleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SystemColorsChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabIndexChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabStopChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TextAlignChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validating &lt;System.ComponentModel.CancelEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; VisibleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";