var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Running the OLE Demo</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Running the OLE Demo</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"running-the-ole-demo\"></a></div>\n\
<p>The example supplied consists of 2 files:</p>\n\
<p><span class=\'code\'>ole.ms</span>- a MAXScript script containing a grapher interface</p>\n\
<p><span class=\'code\'>oledemo.xls</span> - an Excel spreadsheet with some data and a VBA script to call the grapher</p>\n\
<p>To run the example, make sure you&#39;ve registered <strong>3ds Max</strong> as an OLE server as described in <a href=\'#!/url=./developer/Interaction-with-Other/OLE-Automation/Setting-Up-MAXScript-OLE.html\' title=\'\'>Setting Up MAXScript OLE Automation</a>, start <strong>3ds Max</strong> and open the <span class=\'code\'>ole.ms</span> script file in a script Editor window. You&#39;ll see it contains definitions for six functions and a call to <span class=\'code\'>registerOLEInterface()</span> to expose some of those functions. Select the whole script and press number pad ENTER to evaluate it. This defines the functions and exposes them through OLE.</p>\n\
<p>Start Excel and open the <span class=\'code\'>oledemo.xls</span> spreadsheet (in the scripts directory). It contains one worksheet and one module sheet and defines a new <strong>Max</strong> menu. The worksheet contains some example data to be charted and the module sheet contains the VBA scripts that implement the menu commands in the new <strong>3ds Max</strong> menu.</p>\n\
<p>Bring up the <span class=\'code\'>sheet1</span> worksheet. It contains a table of numbers representing quarterly sales figure for a number of regions. Drag-select all the label and figure cells and choose the Max &gt; Build Animated Chart menu. This opens a connection to <strong>3ds Max</strong> and passes the selected column labels and figures to the appropriate functions in the exposed interface. It then brings <strong>3ds Max</strong> to the front which chugs away for a bit building the labeled bar chart and animating the bars over the range of quarters given. Drag the slider to see the bars animate. Business graphs in <strong>3ds Max</strong>!</p>\n\
<p>The Max &gt; Render Movie menu in Excel invokes another of the exposed MAXScript functions that creates and animates a camera in the bar chart scene and then sets off a render to an AVI file. (If you want to interrupt the render, hold down the ESC key until it stops at the beginning of the next frame - currently the MAXScript renderer interface only looks at the ESC key between frames).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";