var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Learning MAXScript by Walking Through a Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Learning MAXScript by Walking Through a Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"learning-maxscript-by-walking-through-a-script\"></a></div>\n\
<p>You can learn a lot about MAXScript by just using several different script files. The best method to learn MAXScript commands and command syntax is to step through a script and watch the responses in the Listener window and in the user interface. You can &quot;walk&quot; through a script by loading a script into the Script Editor window and executing one command line or a command block at a time:</p>\n\
<p><strong>To step through a script:</strong></p>\n\
<ol>\n\
<li><p>Open a script into the Script Editor window.</p></li>\n\
<li><p>Place the cursor into the first command line and press <strong>ENTER</strong> on the number pad of your keyboard. The Number Pad <strong>ENTER</strong> key is a shortcut for executing the current command line or the selected block of code. MAXScript executes the current command line and reflects the outcome in the Listener window and, if appropriate, in the user interface.</p></li>\n\
<li><p>Move the cursor to the next command line or select the next block of code from the script. Press the number pad <strong>ENTER</strong> key again, and so on.</p></li>\n\
</ol>\n\
<p>From here on, step through other scripts and take note of the effects. Most of the script files included with <strong>3ds Max</strong> are very well commented and include a description about the scripts purpose. For more information about using script files, see the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\' title=\'\'>Running Scripts</a> topic in the MAXScript Reference.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-with-the.html\' title=\'\'>Learning MAXScript with the Macro Recorder</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";