var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Learning MAXScript with the Macro Recorder</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Learning MAXScript with the Macro Recorder</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"learning-maxscript-with-the-macro-recorder\"></a></div>\n\
<p>Another useful tool for learning MAXScript is the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\' title=\'\'>Macro Recorder</a>.</p>\n\
<p>If you want to learn how to perform a task in MAXScript, you can use the Macro Recorder to get started.</p>\n\
<p>The Macro Recorder captures many of the actions performed by the user, and generates the MAXScript commands that correspond to those actions.</p>\n\
<p>The Macro Recorder output is displayed in the top pane of the MAXScript Listener window. This pane has a pink background.</p>\n\
<p>The Macro Recorder has several filtering options that control what types of user actions are recorded, whether the generated script commands contain explicit object references or are selection-relative, and whether the generated MAXScript commands contain explicit or relative transforms and coordinates. These options can be set using the Macro Recorder menu in the Listener window.</p>\n\
<p>Many user actions generate Macro Recorder output, but not all of them. In general, most of the buttons on the Menu Bar, toolbars, Status Bar, Create panel, and Modify panel generate Macro Recorder output. If the button invokes a secondary dialog, changing setting or performing actions in the secondary dialog typically will <em>not</em> generate Macro Recorder output. In the Create and Modify panels, Macro Recorder output is generated if MAXScript can create the object or modifier.</p>\n\
<p>This makes the Macro Recorder a useful tool for learning MAXScript, as you can perform tasks in the UI and simultaneously see how to perform these same tasks with MAXScript.</p>\n\
<p>For further documentation on the Macro Recorder, see the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\' title=\'\'>Macro Recorder</a> topic.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";