var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The MAXScript Editor Windows</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The MAXScript Editor Windows</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-maxscript-editor-windows\"></a></div>\n\
<p>The multiple MAXScript Editor windows used in <strong>3ds Max 2</strong> to <strong>9</strong> have been replaced with a single tabbed editor in <strong>3ds Max 2008</strong>. It is based on the Scintilla control and the SciTE editor and supports a large number of advanced features not available in the previous implementation.</p>\n\
<p>The MAXScript Listener and its MacroRecorder pane, the Mini-Listeners in the bottom left corner of the GUI and the script editor windows are all now using the Scintilla control.</p>\n\
<p>The <strong>undo depth</strong> for both the Listener and the Editor is now <strong>500</strong>.</p>\n\
<p>The documentation of the <strong>new Tabbed Editor Window</strong> is available here:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>MAXScript Tabbed Editor Window</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\' title=\'\'>MAXScript Editor Commands</a></p>\n\
<p>The <strong>legacy Editor Windows</strong> are still used in several areas of <strong>3ds Max</strong> like the Particle Flow Scripted Operators. The original documentation of the legacy Editor Windows is available under</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/The-MAXScript-Legacy-Editor.html\' title=\'\'>The MAXScript Legacy Editor Windows</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/MAXScript-Legacy-Editor-Commands.html\' title=\'\'>MAXScript Legacy Editor Commands</a></p>\n\
<p><strong>Related MAXScript Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>showSource &lt;fn&gt;\n\
</pre></div><p>If you need to locate the source of a scripted function, you can use the <span class=\'code\'>showSource()</span> method. It displays a MAXScript Editor window containing the source file in which the function was defined, positioned at the function&#39;s definition.</p>\n\
<div class=\'codeBlock\'><pre>editorShowPath\n\
</pre></div><p>The new system global variable <span class=\'code\'>editorShowPath</span> introduced in <strong>3ds Max 9</strong> controls whether the MAXScript Editor will display the full path of the edited script (true, default in <strong>3ds Max 9</strong>), or only the file name (false, the only mode prior to <strong>3ds Max 9</strong>) in the title bar. Changing the value will update the open MAXScript editor windows.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, when doing an Open or Save As from an editor window, and there is a filename associated with the editor window, the file open/save dialog will open to the filename&#39;s path. When doing an Open, Save, or Save As from an editor window without a filename, or from Listener or the main max window, the last directory specified in a MAXScript script file open/save dialog will be used (unless the user canceled out of the dialog).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";