var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using the MAXScript Listener</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using the MAXScript Listener</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-the-maxscript-listener\"></a></div>\n\
<p>The MAXScript Listener is a combination of text editor and command prompt window. MAXScript executes the commands you write when you press ENTER, but you can also scroll through the text to re-execute existing commands, or edit them and then have MAXScript execute the modified code.</p>\n\
<p><strong>Listener has the following features:</strong></p>\n\
<ul>\n\
<li><p>A line selection margin at the left window border. When you move the cursor into the left margin, it changes to a right-pointing arrow. A single-click selects an entire line, and click-dragging selects multiple lines.</p></li>\n\
<li><p>Drag-and-drop for copying text within Listener and to and from script Editor windows.</p></li>\n\
<li><p>Selected text is loaded automatically into the search text dialog field when you choose Search &gt; Find or Search &gt; Replace. This is useful for quickly finding other occurrences of the selected text.</p></li>\n\
<li><p>Color-coding for distinguishing between input text, output text, and error message text. Several MAXScript system global variables control these colors as well as background colors, and you can assign them new colors to customize your Listener.</p></li>\n\
</ul>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Text Type</th>\n\
<th align=\"left\">Variable</th>\n\
<th align=\"left\">Default Color</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">typed input text</td>\n\
<td align=\"left\"><span class=\'code\'>inputTextColor</span></td>\n\
<td align=\"left\">black</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">output text</td>\n\
<td align=\"left\"><span class=\'code\'>outputTextColor</span></td>\n\
<td align=\"left\">blue</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">error message text</td>\n\
<td align=\"left\"><span class=\'code\'>messageTextColor</span></td>\n\
<td align=\"left\">red</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">listener background color</td>\n\
<td align=\"left\"><span class=\'code\'>listenerBackgroundColor</span></td>\n\
<td align=\"left\">white</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">macro recorder background color</td>\n\
<td align=\"left\"><span class=\'code\'>macroRecorderBackgroundColor</span></td>\n\
<td align=\"left\">color 219 195 195</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">macro recorder text color</td>\n\
<td align=\"left\"><span class=\'code\'>macroRecorderTextColor</span></td>\n\
<td align=\"left\">black</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">python mode prompt color</td>\n\
<td align=\"left\"><span class=\'code\'>pythonPromptColor</span></td>\n\
<td align=\"left\">color 255 100 0</td>\n\
</tr>\n\
</table>\n\
<p>For commands within the Listener window, see <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Listener-Commands.html\' title=\'\'>Listener Commands</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";