var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Aborting Execution with the ESC Key</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Aborting Execution with the ESC Key</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"aborting-execution-with-the-esc-key\"></a></div>\n\
<p>You can abort running MAXScript code by pressing and holding the <strong>Esc</strong> key. MAXScript may take a moment to respond, so hold the <strong>Esc</strong> key down until it does. The <strong>Esc</strong> key aborts any currently executing MAXScript code, whether it is in a scripted utility, a script controller, or running in the MAXScript Listener window. If the MAXScript code that is aborted is in a script controller, a Script Controller dialog is displayed showing the script used by the controller. Execution of the script controller will restart when you click the Close button.</p>\n\
<p>MAXScript code locks out the rest of <strong>3ds Max</strong> while it is executing. You cannot work interactively in <strong>3ds Max</strong> while MAXScript code is running to avoid conflicts between code actions and your actions. If <strong>3ds Max</strong> appears unresponsive at any time, it may be running MAXScript code which you can attempt to abort by pressing <strong>Esc</strong> . If you are testing scripts and <strong>3ds Max</strong> doesn&#39;t return control to you within a reasonable time, press <strong>Esc</strong> to abort the code execution. You can also press <strong>Esc</strong> to abort a compilation of a multiline command in the MAXScript Listener window.</p>\n\
<p>Use the MAXScript global variable <span class=\'code\'>escapeEnable</span> in scripts to turn on and off the <strong>Esc</strong> key interrupt detection.</p>\n\
<p>In <strong>3ds Max 9 and higher</strong>, the default value was changed to <span class=\'code\'>false</span>. It used to default to <span class=\'code\'>true</span> in versions prior to <strong>3ds Max 9</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";