var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript DLX Extensions for New Users</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript DLX Extensions for New Users</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-dlx-extensions-for-new-users\"></a></div>\n\
<p>MAXScript can be extended just like any other part of <strong>3ds Max</strong> by installing additional 3 rd party plug-ins. These plug-ins will have the extension .DLX and should be installed exactly like any other type of <strong>3ds Max</strong> plug-in by just copying the .DLX file to any Plug-in path specified in the Customize... &gt; Configure Paths... &gt; Plug-Ins list.</p>\n\
<p>MAXScript DLX Extensions can add any sort of additional functionality like access to object properties, new UI elements etc. In fact, some features available in the current version of MAXScript used to be DLX extensions to earlier versions of <strong>3ds Max</strong>. This way, MAXScript can be enhanced between releases.</p>\n\
<p>Since the current version of MAXScript allows 3 rd party plug-in developers to expose properties and methods of their plug-ins via the Function Publishing Interface (FPS) introduced in <strong>3ds Max 4</strong>, the need for custom DLX extensions has been reduced significantly.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\' title=\'\'>Scripted Utilities for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\' title=\'\'>MacroScripts for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\' title=\'\'>Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\' title=\'\'>Scripted Functions for New Users</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";