var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Functions for New Users</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Functions for New Users</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-functions-for-new-users\"></a></div>\n\
<p>A function is a piece of code intended to complete a specific task. It can be defined once and called multiple times by different scripts. Using functions can make developing new scripts faster as often used parts of code are already available and just have to be called to get the desired results. In addition, using functions makes the final code better structured and easier to read and maintain.</p>\n\
<p>There are many pre-defined custom functions shipping with <strong>3ds Max</strong>, for example for defining object filters in MacroScripts, building rollouts automatically etc. There are also a multitude of freely available 3 rd party scripted functions downloadable from the Web. If you are a new MAXScript user starting to learn the language, using such functions can make your first steps much easier.</p>\n\
<p>A function in MAXScript can take no parameters or require any number of parameters. It is easy to find out what and how many parameters are required by a function by just looking at its definition. Functions that require zero parameters can be called by adding () to the name of the function.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\' title=\'\'>Scripted Utilities for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\' title=\'\'>MacroScripts for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\' title=\'\'>Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\' title=\'\'>MAXScript DLX Extensions for New Users</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";