var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Index vs Integer Function Arguments</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Index vs Integer Function Arguments</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"index-vs-integer-function-arguments\"></a></div>\n\
<p>In general, indices in MAXScript are 1-based.</p>\n\
<p>Functions expecting a 1-based index will specify this as <span class=\'code\'>&lt;index&gt;</span> in the function definition.</p>\n\
<p>For example,</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName &lt;index&gt;listIndex\n\
</pre></div><p><span class=\'code\'>&lt;index&gt;listIndex:</span> The index of the item for which to get the name.</p>\n\
<p>In the cases where a function requires a 0-based argument, it will be specified as <span class=\'code\'>&lt;integer&gt;</span> instead.</p>\n\
<p>Usually, the fact that the argument is expected as 0-based will also be noted explicitly in the description of the function.</p>\n\
<p>For example,</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetRenderElement &lt;integer&gt;index\n\
</pre></div><p>Returns a specific element, index is 0 based.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";