var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Debugger variables for Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Debugger variables for Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"debugger-variables-for-functions\"></a></div>\n\
<p>Each function exposesa special <span class=\'code\'>owner</span> variable that points to the owner of the function, if any.</p>\n\
<p>An owner can be a rollout, scripted plugin, rcmenu, mouse tool, macroscript, or anonymous code block.</p>\n\
<p>If a function is defined in the global scope, it does not have an owner.</p>\n\
<p>If it does have an owner, and the owner is not an anonymous code block, another debugger variable with the same name as the owner is created. Both of these variables contain the owner value.</p>\n\
<p>These variables are not true local variables, and arenot accessible in the function.</p>\n\
<p><strong>If the function declares a variable with the name &#39;owner&#39;, the debugger &#39;owner&#39; variable will not be created</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";