var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ModifierArray Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ModifierArray Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modifierarray-values\"></a></div>\n\
<p>A <strong>ModifierArray</strong> represents the modifiers present on a scene node as an array.</p>\n\
<p>As such, you can access a modifier by index, iterate over the modifiers, and apply mapped functions to the modifiers.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\' title=\'\'>Modifiers</a>.</p>\n\
<p>ModifierArray values are <strong>mappable</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.modifiers \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;modifierarray&gt;.count : Integer, read-only   \n\
</pre></div><p>Returns the number of modifiers in the modifier array.</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;modifierarray&gt;[&lt;integer&gt;] \n\
</pre></div><p>Retrieves indexed modifier. Index is 1-based with 1 being the modifier on the top of the modifier stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;modifierarray&gt;[( &lt;name&gt; | &lt;string&gt; )] \n\
</pre></div><p>Retrieves named modifier using modifier name as string or name.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";