var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skipping Loop Iterations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skipping Loop Iterations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skipping-loop-iterations\"></a></div>\n\
<p>MAXScript provides a <span class=\'code\'>continue</span> construct that allows you to jump to the end of a <span class=\'code\'>for</span> , <span class=\'code\'>do</span> , or <span class=\'code\'>while</span> loop body <span class=\'code\'>&lt;expr&gt;</span> and resume with the next loop iteration.</p>\n\
<p>Its <strong>syntax</strong> is:</p>\n\
<div class=\'codeBlock\'><pre>Continue\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p>``` for i=1 to 8 do (if i == 5 do continue; print i) -- prints 1..4, 6..8</p>\n\
<p>```</p>\n\
<p>``` while not eof f do -- read until reach end of file ( local line=readline f -- read in a line if line[1] = = &quot;-&quot; do continue -- if comment, skip to next line line1=parser1 line -- call function parser1 processobjs line1 -- call function processobjs )</p>\n\
<p>```</p>\n\
\n\
<p>If a <span class=\'code\'>continue</span> is executed in a <span class=\'code\'>for ... collect</span> loop, the expression result for that loop iteration is not collected in the array of body values.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` for i=1 to 8 collect (if i = = 5 do continue; i) -- returns #(1, 2, 3, 4, 6, 7, 8)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";