var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cascading Contexts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cascading Contexts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cascading-contexts\"></a></div>\n\
<p>You can cascade a set of context prefixes, optionally separated by commas, onto one subject expression, effectively applying all the contexts (in order) to the subject expression.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` animate on, at time (t+1), with undo off,coordsys local ( ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>All the context forms are true expressions, yielding the value of their subject expression, so:</p>\n\
<blockquote>\n\
<p>``` pos0 = at time 35 $box01.position pos1 = at time 75 $box01.position</p>\n\
<p>```</p>\n\
<p>assigns the <span class=\'code\'>box01</span> position at time&#39;s <span class=\'code\'>35</span> and <span class=\'code\'>75</span> to variables <span class=\'code\'>pos0</span> and <span class=\'code\'>pos1</span> .</p>\n\
</blockquote>\n\
<p>This is particularly useful with the <span class=\'code\'>at time</span> context, as you can very easily do across-time computations.</p>\n\
<p>The operand to an <span class=\'code\'>at time</span> context can be any valid time value (numbers are taken as frames for convenience), including sub-frame times down to the tick level.</p>\n\
<p>The animation system in <strong>3ds Max</strong> will interpolate animated parameters at these fine levels so you can easily do sub-frame simulation computations.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";