var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Nested Contexts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Nested Contexts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nested-contexts\"></a></div>\n\
<p>All context expressions remember the prior setting of the context when they are set, and restore the original setting when the expression completes. Therefore, you can nest context clauses in any way you want including contexts of the same type to override an outer setting.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` with animate on, at time t ( move ... -- all these place keys rotate ... animate off -- turn off animate for a bit ( move ... -- working maneuvers, these don&#39;t effect animation rotate ... ) -- animate on is restored here scale ... -- place keys again ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Further, all the contexts are <strong>dynamically scoped</strong>. Any code inside a context expression, any functions that code calls, and functions they call down to any level are executed in the current prevailing context. So, a function can move an object and place keyframes at a certain time when called from one client and do no keyframing when called from another client depending on how the callers have set up the contexts. The called function can explicitly set its own contexts if it wants to, overriding those that might have been set up by the caller.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";