var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>defaultAction Context</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>defaultAction Context</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"defaultaction-context\"></a></div>\n\
<p>This context is available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>with defaultAction &lt;action&gt; &lt;expression&gt;     \n\
</pre></div><p>where <span class=\'code\'>&lt;action&gt;</span> is <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , or <span class=\'code\'>#abort</span> .</p>\n\
<p>When entering this context, MAXScript stores the current state of the DefaultActionSys and when exiting it restores the DefaultActionSys to that state.</p>\n\
<p>Messages being held by the DefaultActionSys are not affected by entering or exiting this context.</p>\n\
<p>When entering this context, after storing the current state, all existing event actions are set to the specified action.</p>\n\
<p>The pre-defined <strong>3ds Max</strong> events (missingExtFiles, missingDLLs, missingXRefs, missingUVW, and unsupportedRendereffect) are added if not already present and set to the specified action.</p>\n\
<p>The defaultAction context state is <span class=\'code\'>#logToFile</span> .</p>\n\
<p>Also when entering this context (unless entering the context via a &#39;set defaultAction&#39;) the quiet mode is set on, and is restored when exiting the context.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";