var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>redraw Context</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>redraw Context</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"redraw-context\"></a></div>\n\
<p>While the expression within the <span class=\'code\'>redraw &lt;boolean&gt;</span> context is being evaluated, screen redraws are completely disabled, and the modify and motion panels are suspended.</p>\n\
<p>This is basically an exception safe form of</p>\n\
<div class=\'codeBlock\'><pre>disableSceneRedraw(); &lt;expr&gt;; enableSceneRedraw()    \n\
</pre></div><p>That is, if an exception is thrown in &lt; expr &gt;, the scene redraws will be automatically re-enabled as part of the exception handling.</p>\n\
<p>The modify and motion panels are suspended if they are the currently active command panel.</p>\n\
<p>If the expression sets the current command panel to either modify or motion, the command panel will not be suspended at that point.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` with redraw off for t=0 to 10 do ( sliderTime=t exportFile (&quot;outfile_&quot;+(t as string)+&quot;.dxf&quot;) #noPrompt selectedOnly:true )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";