var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Literal Constants</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Literal Constants</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"literal-constants\"></a></div>\n\
<p>MAXScript has many built-in data types: numbers, strings, names, arrays, vectors, and matrices, as well as special data types which store the <strong>3ds Max</strong> objects such as geometry objects, splines, materials, modifiers, etc.</p>\n\
<p>Some data types have special literal constant forms, where the literal constant is a value that is keyed directly into your program where it is needed. The syntax of the literal constant specifies both its value and data type. In MAXScript, the assignment of a literal constant might look like this:</p>\n\
<blockquote>\n\
<p>``` b=50</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In this line, <span class=\'code\'>b</span> is the variable name, and <span class=\'code\'>50</span> is the literal constant of type integer assigned to <span class=\'code\'>b</span> . <span class=\'code\'>50</span> is a literal constant because you cannot assign a value to <span class=\'code\'>50</span> , and its value cannot be changed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";