var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Comparison Expressions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Comparison Expressions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"comparison-expressions\"></a></div>\n\
<p>Using <strong>comparison expressions</strong> you can compare values of comparable types. The result is always one of the two Boolean values, <span class=\'code\'>true</span> or <span class=\'code\'>false.</span></p>\n\
<p>The various forms of <span class=\'code\'>&lt;compare_expr&gt;</span> are as follows:</p>\n\
<div class=\'codeBlock\'><pre>&lt;compare_operand&gt; == &lt;compare_operand&gt; -- equal\n\
&lt;compare_operand&gt; != &lt;compare_operand&gt; -- not equal \n\
&lt;compare_operand&gt; &gt; &lt;compare_operand&gt; -- greater than\n\
&lt;compare_operand&gt; &lt; &lt;compare_operand&gt; -- less than\n\
&lt;compare_operand&gt; &gt;= &lt;compare_operand&gt; -- greater than or equal\n\
&lt;compare_operand&gt; &lt;= &lt;compare_operand&gt; -- less than or equal\n\
</pre></div><p>where <span class=\'code\'>&lt;compare_operand&gt;</span> can be one of:</p>\n\
<div class=\'codeBlock\'><pre>&lt;math_expr&gt;\n\
&lt;operand&gt;\n\
&lt;function_call&gt;\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>a &gt; b   sin x == 0.0   a + b &lt;= n - 1</span></p>\n\
\n\
<p>Comparison operations have lower precedence than math operations.</p>\n\
<p>In the above examples, the <span class=\'code\'>sin</span> function call and the <strong>&quot;+&quot;</strong> and <strong>&quot;-&quot;</strong> operations are performed <strong>before</strong> the comparisons.</p>\n\
<p>As with math expressions, the comparison operators work on all appropriate types.</p>\n\
<p>Equal <strong>&quot;==&quot;</strong> and not-equal <strong>&quot;!=&quot;</strong> operate on all types, and the relative comparisons work between comparable types.</p>\n\
<p>The allowable comparison operators are documented with the value type descriptions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";