var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Math Assignment</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Math Assignment</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"math-assignment\"></a></div>\n\
<p>MAXScript provides the C language shorthand form of assignment that can be used to modify a value in place, as shown in the following long-form examples:</p>\n\
<blockquote>\n\
<p>``` x = x + 1 -- increment x by one $obj.pos = $obj.pos * scale -- multiply $obj.pos by scale</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Corresponding to the four math operations ( <span class=\'code\'>+</span> , <span class=\'code\'>-</span> , <span class=\'code\'>*</span> , and <span class=\'code\'>/</span> ) are assignment operators that apply the operation to the assignment&#39;s destination and update the destination with the result.</p>\n\
<p><strong>Their syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;destination&gt; += &lt;expr&gt; -- add &lt;expr&gt; to destination \n\
&lt;destination&gt; -= &lt;expr&gt; -- subtract &lt;expr&gt; from destination \n\
&lt;destination&gt; = &lt;expr&gt; -- multiply destination by &lt;expr&gt; \n\
&lt;destination&gt; = &lt;expr&gt; -- divide destination by &lt;expr&gt;\n\
</pre></div><p>Using the shorthand form of assignment, the previous examples can be written as:</p>\n\
<blockquote>\n\
<p>``` x += 1 -- increment x by one $obj.pos *= scale -- multiply $obj.pos by scale</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";