var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>polymorphism</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>polymorphism</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polymorphism\"></a></div>\n\
<p>As in mathematical expressions, MAXScript operators are <em>polymorphic</em>. This term means a single operator can be used to operate on a number of different types of values and performs the appropriate action for each type of value.</p>\n\
<p>For example, a <span class=\'code\'>&quot;+&quot;</span> operator between two integers performs integer arithmetic, between two floats it performs real arithmetic, and between two matrices it performs a matrix addition.</p>\n\
<p>MAXScript allows certain non-mathematical types to use certain math operators.You can concatenate two strings with the <span class=\'code\'>&quot;+&quot;</span> operator,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` &quot;twas brillig&quot; + &quot; and the slithy tobes&quot; x.name += sequence_number as string</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In some cases, you can mix operand types and MAXScript converts them appropriately. For example, adding a float to an integer results in a float. Multiplying a 3D point by a float results in a scalar vector product, and so on.</p>\n\
<p>Internally in MAXScript the allowable operators and the actions performed by the operators are defined for each type of value. The allowable operators and their actions are documented with the value type descriptions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";