var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>C++-style bracketing comments</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>C++-style bracketing comments</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"c-style-bracketing-comments\"></a></div>\n\
<p>C++-style bracketing can be used to comment out extended segments of code or add lengthy comments. These comments begin with the two characters <strong>/</strong>* and end at the next *<strong>/</strong> (or end of file).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` /* this is a long comment blah blah print &quot;debug 1&quot; -- code commented out more comments */</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You can also use this within a line to comment out a script fragment:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` for i in 1 to 10 do(/* messageBox &quot;in loop&quot;; */frabulate i )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>The <strong>/</strong>* and *<strong>/</strong> have to be adjacent characters.</p>\n\
<p>If you leave out the closing <em>/ or make it </em> /, the rest of the file will be commented out.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";