var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Punctuation and Symbols</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Punctuation and Symbols</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"punctuation-and-symbols\"></a></div>\n\
<p>The following table shows all MAXScript punctuation marks and symbols. Their meanings are described in the definitions of the various language constructs that use them and also in <a href=\'#!/url=./developer/MAXScript-Language-Reference/MAXScript-Grammar.html\' title=\'\'>MAXScript Grammar</a>. Some of these punctuation marks and symbols offer more information. Click a linked punctuation mark or symbol to go to a description of its usage. In some cases, a keyword may have more additional meanings, depending on its context.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Block-Expressions.html\' title=\'\'>(</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Block-Expressions.html\' title=\'\'>)</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\' title=\'\'>+</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\' title=\'\'>*</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\' title=\'\'>-</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\' title=\'\'>/</a></p>\n\
<p>[^](../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html)</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\' title=\'\'>+=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\' title=\'\'>-=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\' title=\'\'>*=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\' title=\'\'>/=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\' title=\'\'>--</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\' title=\'\'>=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\' title=\'\'>;</a></p>\n\
<p><eol><p>\n\
<p>,</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\' title=\'\'>[</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\' title=\'\'>]</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\' title=\'\'>:</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Names.html\' title=\'\'>&#39;</a></p>\n\
<p>&amp;</p>\n\
<p>.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\' title=\'\'>{</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\' title=\'\'>}</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>#</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>==</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>!=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>&lt;</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>&gt;</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>&gt;=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>&lt;=</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Using-the-Symbol.html\' title=\'\'>?</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\' title=\'\'>$</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\' title=\'\'>...</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\' title=\'\'>..</a></p>\n\
<p>[](../../MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html)</p>\n\
</eol>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";