var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Reserved Global Variables</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Reserved Global Variables</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reserved-global-variables\"></a></div>\n\
<p>Reserved global variables are variables to which MAXScript automatically assigns values. The MAXScript reserved global variables fall in 3 categories: predefined globals (such as <span class=\'code\'>red</span> and <span class=\'code\'>pi</span> ); <strong>3ds Max</strong> system globals which give you access to state information in the <strong>3ds Max</strong> system (such as <span class=\'code\'>currentTime</span> ); and MAXScript system globals which give you access to the MAXScript system state.</p>\n\
<p>Unlike language reserved keywords, you <strong>can</strong> re-use these variable names as local variables, with values that you specify. However, it is <strong>highly recommended</strong> that you <strong>do not re-use reserved global variable names</strong> as such usage can be <strong>highly confusing</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";