var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Structure Scope While Initializing</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Structure Scope While Initializing</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"structure-scope-while-initializing\"></a></div>\n\
<p>When initializing a structure, the scope will be set to the structure&#39;s context. Note that this effectively lets you run a function within the structure when an instance of the structure is created!</p>\n\
<p>For example, when creating an instance of the following structure, the variable &#39;foo&#39; is initialized to 2, the function &#39;onCreate&#39; increments the value of foo and then returns a value of foo plus 3, and the variable &#39;a&#39; is initialized to the result of calling the function &#39;onCreate&#39;:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` struct doinStuff ( foo = 2, fn onCreate= (foo += 1;foo+3), a = onCreate() ) DoIt = doinStuff()</p>\n\
<p>```</p>\n\
<p><strong>RESULTS IN:</strong></p>\n\
<p>``` doinStuff foo:3 a:6</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You can be real inventive with what you can do when you create a structure instance.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";