var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DontCollect Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DontCollect Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dontcollect-value\"></a></div>\n\
<p>The <span class=\'code\'>dontCollect</span> value is used in <span class=\'code\'>for</span> loops to signal that the value is not to be collected.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a> for details.</p>\n\
<p><span class=\'code\'>dontCollect</span> is a separate distinguished instance of the <span class=\'code\'>Undefined</span> class, and so will fail in the way the <span class=\'code\'>undefined</span> value does if used in computations.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>dontCollect \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES</strong></p>\n\
<p>``` -- collect all spheres with radius less than 5 little_spheres = for i in $* collect if classOf i == sphere and i.radius &lt; 5 then i else dontCollect</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";