var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NoValue Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NoValue Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"novalue-value\"></a></div>\n\
<p>The <strong>NoValue</strong> class implements a void and silent value returned by setListenerSel() to prevent &quot;OK&quot; from being printed to the listener.</p>\n\
<p>There is one distinguished instance of the <strong>NoValue</strong> class in the reserved system variable <span class=\'code\'>silentValue</span>.</p>\n\
<p>You can return <span class=\'code\'>silentValue</span> from a function and it will prevent anything from being printed in the listener, including an concluding &quot;OK&quot; and any output sent to <span class=\'code\'>format()</span> or <span class=\'code\'>print()</span>.</p>\n\
<blockquote>\n\
<p><strong>For Example</strong></p>\n\
<p>``` fn loudFunc = ( format &quot;I&#39;m printing something&quot;) fn quietFunc = (format &quot;I won&#39;t print anything&quot;; return silentValue)</p>\n\
<p>loudFunc() quietFunc()</p>\n\
<p>--&gt; output: loudFunc() quietFunc() I&#39;m printing somethingOK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";