var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unsupplied Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unsupplied Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unsupplied-value\"></a></div>\n\
<p>The <strong>Unsupplied</strong> class implements the value used to initialize unsupplied keyword parameters to functions.</p>\n\
<p>There is one distinguished instance of the <strong>Unsupplied</strong> class in the reserved system variable <span class=\'code\'>unsupplied</span> .</p>\n\
<p>You can test to see whether a caller has supplied an optional keyword argument by comparing it with <span class=\'code\'>unsupplied</span> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Unsupplied \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE</strong></p>\n\
<p>``` fn testFunction arg1 optionalArg2: = ( if optionalArg2 == unsupplied then format &quot;Optional Argument Was Not Supplied!\\n&quot; else format &quot;Arguments Were Supplied, Their Sum Was %!\\n&quot; (arg1+optionalArg2) )</p>\n\
<p>testFunction 10.0 --&gt; Optional Argument Was Not Supplied!</p>\n\
<p>testFunction 10.0 optionalArg2:32 --&gt; Arguments Were Supplied, Their Sum Was 42.0!</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";