var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>WindowStream Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>WindowStream Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"windowstream-values\"></a></div>\n\
<p>The <strong>WindowStream</strong> class allows you to output strings to a script Editor window. This is useful for directing output to a separate window for ease of inspection, editing, or later saving to a file.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>newScript()\n\
</pre></div><p>Opens an empty script Editor window and returns a WindowStream value.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>print &lt;value&gt; to:&lt;windowstream&gt;\n\
format &quot;&lt;fmt_string&gt;&quot; {values} to:&lt;windowstream&gt;\n\
</pre></div><p>Output to a WindowStream is inserted at the current cursor position in that window.</p>\n\
<p>Note: When using the <span class=\'code\'>format()</span> function with a WindowStream, a new line in the Editor window is not displayed until an end-of-line character (&quot; <span class=\'code\'>\\\\n</span> &quot;) is output!</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` debug = newScript() ... print $foo to:debug ... format &quot;name is %\\n&quot; obj.name to:debug</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";