var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Changes to Undeclared Implicit Global Variables</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Changes to Undeclared Implicit Global Variables</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"changes-to-undeclared-implicit-global-variables\"></a></div>\n\
<div class=\'section\'><a id=\"changes-to-undeclared-implicit-global-variables-since-3ds-max-4\"></a><h2 id=\"changes-to-undeclared-implicit-global-variables-since-3ds-max-4\">Changes to Undeclared Implicit Global Variables since 3ds Max 4</h2></div>\n\
<p>In releases prior to <strong>3ds Max 4</strong>, the MAXScript compiler was treating any <strong>undeclared</strong> variables used in rollout and plug-in and macroScript handlers as <strong>implicitly global</strong>.</p>\n\
<p>This was at variance with the use of undeclared variables inside ordinary functions and for-loop bodies and also at variance with the MAXScript documentation.</p>\n\
<p>It was also preventing the new stack-based MAXScript memory management system from achieving maximum effect in handler execution.</p>\n\
<p><strong>All undeclared variables</strong> in handler code are now <strong>implicitly declared as locals</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";