var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Definition Constructs Can Include Global Variable Declarations At Top Level</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Definition Constructs Can Include Global Variable Declarations At Top Level</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"definition-constructs-can-include-global-variable-declarations-at-top-level\"></a></div>\n\
<div class=\'section\'><a id=\"definition-constructs-can-include-global-variable-declarations-at-top-level-1\"></a><h2 id=\"definition-constructs-can-include-global-variable-declarations-at-top-level-1\">Definition Constructs Can Include Global Variable Declarations At Top Level</h2></div>\n\
<p>All the major definition constructs in MAXScript (such as, utility, rollout, macroScript, rcmenu, tool, plug-in, and others) can now include <strong>global</strong> variable declarations at the top-level within them.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout foo &quot;foo&quot; ( local a, b = undefined, c global d, f = 3 -- now possible spinner bar &quot;Bar&quot; checkBox baz &quot;Baz: &quot; on bar changed do print a --etc )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In releases prior to <strong>3ds Max 4</strong>, <strong>globals</strong> had to be declared inside on-handler bodies. Any initializers present in a global declaration like this are <strong>at compile time</strong>, so the initial value expressions must be executable at the time the script is compiled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";