var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Specifying Global Variables As Global Using ::</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Specifying Global Variables As Global Using ::</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"specifying-global-variables-as-global-using\"></a></div>\n\
<p>In <strong>3ds Max 8 and higher</strong>, a global variable can be specified by preceding its name with double-colon &#39;::&#39;.</p>\n\
<p>Such names are looked for <strong>only</strong> in the <strong>global</strong> variable pool, and will be created there if they do not currently exist.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` ( local pi = &quot;Hello!&quot; format &quot;% : %\\n&quot; pi ::pi fn test x:pi y:::pi = format &quot;% : %\\n&quot; x y test() )</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` Hello! : 3.14159 Hello! : 3.14159</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";