var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Layer System Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Layer System Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"layer-system-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#layerCreated: BaseLayer (reftarg) \n\
</pre></div><p>Sent after layer created.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns a layer ReferenceTarget.</p>\n\
<p>Note: There is a known problem with <span class=\'code\'>#layerCreated</span> - a layer may be created if an object is merged or an object XRef is performed, but these actions do not broadcast a <span class=\'code\'>#layerCreated</span> event.</p>\n\
<div class=\'codeBlock\'><pre>#layerDeleted: BaseLayer (reftarg) \n\
</pre></div><p>Sent before layer deleted, <span class=\'code\'>callbacks.notificationParam()</span> returns the layer.</p>\n\
<div class=\'codeBlock\'><pre>#layerParentChanged: #(BaseLayer, BaseLayer) \n\
</pre></div><p>Sent after the parent of a layer was changed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array containing two elements, the new parent and the old parent.</p>\n\
<div class=\'codeBlock\'><pre>#nodeLayerChanged: #(node, BaseLayer, BaseLayer) \n\
</pre></div><p>Sent after node placed on new layer, <span class=\'code\'>callbacks.notificationParam()</span> returns an array containing 3 elements - the node, the old layer and the new layer</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";