var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Modifier Panel Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Modifier Panel Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modifier-panel-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#modPanelObjPreChange: undefined \n\
</pre></div><p>Sent just before the current edit object is about to change in Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>#modPanelObjPostChange: undefined \n\
</pre></div><p>Sent just after the current edit object changes in Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>#modPanelSelChanged: undefined \n\
</pre></div><p>Sent whenever the Modify panel opens on a new selection, either because the Modify panel was just selected or because a new selection is made in the scene. The notify occurs at a point just prior to panel redraw but after the selection has been established, so that callback functions can modify the panel state without it being overwritten.</p>\n\
<div class=\'codeBlock\'><pre>#ModPanelSubObjectLevelChanged: #(newSOlevelIndex, oldSOlevelIndex) \n\
</pre></div><p>Sent whenever the Modify panel changes the sub-object level. Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array containing the new SO level number and the old SO level number. Available in <strong>3ds Max 9</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";