var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Undo System Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Undo System Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"undo-system-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#sceneUndo: string \n\
</pre></div><p>Sent after a scene undo is performed. <span class=\'code\'>callbacks.notificationParam()</span> returns the name of the undo entry in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#sceneRedo: string \n\
</pre></div><p>Sent after a scene redo is performed. <span class=\'code\'>callbacks.notificationParam()</span> returns the name of the undo entry <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` callbacks.removeScripts id:#test callbacks.addScript #sceneRedo &quot;format &quot;Redo: %\\n&quot; (callbacks.notificationParam())&quot; id:#test callbacks.addScript #sceneUndo &quot;format &quot;Undo: %\\n&quot; (callbacks.notificationParam())&quot; id:#test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>#preSceneRedo: string \n\
</pre></div><p>Sent before a scene redo is performed. <span class=\'code\'>callbacks.notificationParam()</span> returns the redo string.</p>\n\
<div class=\'codeBlock\'><pre>#preSceneUndo: string \n\
</pre></div><p>Sent after a scene undo is performed. <span class=\'code\'>callbacks.notificationParam()</span> returns the undo string.</p>\n\
<div class=\'codeBlock\'><pre>#postRestoreObjsDeleted: unefined \n\
</pre></div><p>Sent when the undo system is flushed, and at least one RestoreObj was present in the undo system.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";