var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActiveX Controls Cursor Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActiveX Controls Cursor Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"activex-controls-cursor-access\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following functions can be used to get the mouse cursor position in ActiveX controls:</p>\n\
<div class=\'codeBlock\'><pre>getCursorPos &lt;ActiveXControl&gt; removeUIScaling:&lt;true&gt;\n\
</pre></div><p>Returns a Point2 value in pixels giving the current mouse cursor position in the ActiveX control’s window coordinate space. When <span class=\'code\'>removeUIScaling</span> is true (the default), any scaling required by HDPI displays is removed from the returned Point2.</p>\n\
<div class=\'codeBlock\'><pre>mapPoint &lt;ActiveXControl&gt; &lt;Point2&gt; applyUIScaling:&lt;true&gt;\n\
</pre></div><p>Returns a Point2 value in pixels where the input Point2 coordinate value is mapped from the ActiveX control’s window coordinate space to the control&#39;s dialog coordinate space. When <span class=\'code\'>applyUIScaling</span> is true (the default), any scaling required by HDPI displays is applied to the returned Point2.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";