var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ListView ActiveX Control Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ListView ActiveX Control Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"listview-activex-control-example\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p>The following example will not work on your system unless it has a ListView ActiveX control installed.</p>\n\
<blockquote>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<p>``` rollout controlR92 &quot;Microsoft ListView Control, version 6.0&quot; ( activeXControl ax &quot;{BDD1F04B-858B-11D1-B16A-00C0F0283628}&quot; height:200 width:300 align:#left --on ax Click do format &quot;handler: Click\\n&quot; --on ax DblClick do format &quot;handler: DblClick\\n&quot; on controlR92 open do ( showProperties ax ax.MousePointer = #ccArrow ax.GridLines = true ax.AllowColumnReorder = true ax.BorderStyle = #ccFixedSingle ax.view = #lvwReport chs = ax.columnHeaders --showProperties chs --showMethods chs hTargets = chs.Add() hWeights = chs.Add() hTargets.text = &quot;Node&quot; hWeights.text = &quot;Weights&quot; lis = ax.listItems for i=0 to 10 do ( local li li = lis.Add() li.text = &quot;Item &quot; + i as string ) for li in ax.listItems do li.bold = true li = ax.HitTest 100 1500 if li != undefined do ( showProperties li li.text = &quot;Just Hit Tested&quot; showEvents controlR92.ax showMethods controlR92.ax ) ) ) nr92 = newRolloutFloater &quot;Microsoft ListView Control, version 6.0&quot; 350 300 10 10 addRollout ControlR92 nr92</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5B097B80-912F-4080-AFD1-4CFA9BE84EA6-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";