var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Internet Explorer ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Internet Explorer ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"internet-explorer-activex-control\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example should still work though since Internet Explorer continues to provide ActiveX controls for backwards compatibility.</p>\n\
<p>The following example creates an Internet Explorer browser control in a rollout and registers it as extended viewport.</p>\n\
<p>Pick &quot;Web Page&quot; from the Extended Views menu to display the rollout in the webpage. Also click various hypertext links to see the text change in the viewports</p>\n\
<blockquote>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<p>``` rollout rWebpage &quot;Web page&quot; ( local txtObj local vpsz = getViewSize() activeXControl ax &quot;http://www.yahoo.com&quot; height:(vpsz.y-50) width:(vpsz.x-50) align:#center fn checkTextObject = ( if $text01 == undefined then ( txtObj = text text:&quot;&quot; name:&quot;text01&quot; addModifier txtObj (extrude amount:10) txtObj.wirecolor = red ) else ( txtObj = $text01 ) ) on rWebpage open do ( checkTextObject() ) on ax TitleChange txt do ( checkTextObject() if not (matchPattern txt pattern:&quot;http:&quot;) then ( if txtObj.text != text then ( print txt txtObj.text = txt max tool zoomextents all ) ).y addRollout rWebPage fWebPage registerViewWindow fWebPage showProperties rWebpage.ax ) ) fWebPage = newRolloutFloater &quot;Web page&quot; rWebpage.vpsz.x rWebpage.vpsz.y addRollout rWebPage fWebPage</p>\n\
<p>registerViewWindow fWebPage showProperties rWebpage.ax</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1FBBB502-734D-4D31-BAF1-07873BFA7B55-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p>Warning: Due to a change in ActiveX controls handling by Microsoft, URLs are ALWAYS expected to start with &quot;http://&quot;. Thus, using just &quot;www.yahoo.com&quot; would work <strong>in 3ds Max 5</strong> but not in <strong>3ds Max 6</strong> and higher!</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";