var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Windows Media Player ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Windows Media Player ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"windows-media-player-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;AMovie (Microsoft ActiveMovie Control)?-0&quot; {05589FA1-C356-11CE-BF01-00AA0055595A} \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.ImageSourceWidth : integer, read-only   \n\
</pre></div><p>Returns the width of the image source as integer.</p>\n\
<div class=\'codeBlock\'><pre>.ImageSourceHeight : integer, read-only \n\
</pre></div><p>Returns the height of the image source as integer.</p>\n\
<div class=\'codeBlock\'><pre>.Author : string, read-only \n\
</pre></div><p>Returns the name of the author of the of source as string.</p>\n\
<div class=\'codeBlock\'><pre>.Title : string, read-only \n\
</pre></div><p>Returns the title if the image source as string.</p>\n\
<div class=\'codeBlock\'><pre>.Copyright : string, read-only \n\
</pre></div><p>Returns the copyright notice of the image source as string.</p>\n\
<div class=\'codeBlock\'><pre>.Description : string, read-only \n\
</pre></div><p>Returns the description of the image source as string.</p>\n\
<div class=\'codeBlock\'><pre>.Rating : string, read-only \n\
</pre></div><p>Returns the rating of the image source as string.</p>\n\
<div class=\'codeBlock\'><pre>.FileName : string \n\
</pre></div><p>Returns the file name of the image source as string.</p>\n\
<div class=\'codeBlock\'><pre>.Duration : float, read-only \n\
</pre></div><p>Returns the duration of the video stream as float.</p>\n\
<div class=\'codeBlock\'><pre>.CurrentPosition : float \n\
</pre></div><p>Get/Set the current position of the video stream as float.</p>\n\
<div class=\'codeBlock\'><pre>.PlayCount : integer \n\
</pre></div><p>Get/Set the play count (number of times to repeat the playback) as integer.</p>\n\
<div class=\'codeBlock\'><pre>.SelectionStart : float \n\
</pre></div><p>Get/Set the selection start as float.</p>\n\
<div class=\'codeBlock\'><pre>.SelectionEnd : float \n\
</pre></div><p>Get/Set the selection end as float.</p>\n\
<div class=\'codeBlock\'><pre>.CurrentState : StateConstants( #amvNotLoaded | #amvStopped | #amvPaused | #amvRunning), read-only \n\
</pre></div><p>Returns the current state of the Media Player.</p>\n\
<div class=\'codeBlock\'><pre>.Rate : float \n\
</pre></div><p>Get/Set the playback rate as a float.</p>\n\
<div class=\'codeBlock\'><pre>.Volume : integer \n\
</pre></div><p>Get/Set the audio volume as float.</p>\n\
<div class=\'codeBlock\'><pre>.Balance : integer \n\
</pre></div><p>Get/Set the audio balance as integer.</p>\n\
<div class=\'codeBlock\'><pre>.EnableContextMenu : Boolean \n\
</pre></div><p>Enable/Disable the context menu.</p>\n\
<div class=\'codeBlock\'><pre>.ShowDisplay : Boolean \n\
</pre></div><p>Enable/Disable the display.</p>\n\
<div class=\'codeBlock\'><pre>.ShowControls : Boolean \n\
</pre></div><p>Enable/Disable the controls display.</p>\n\
<div class=\'codeBlock\'><pre>.ShowPositionControls : Boolean \n\
</pre></div><p>Enable/Disable the position controls display.</p>\n\
<div class=\'codeBlock\'><pre>.ShowSelectionControls : Boolean \n\
</pre></div><p>Enable/Disable the selection controls display.</p>\n\
<div class=\'codeBlock\'><pre>.ShowTracker : Boolean \n\
</pre></div><p>Enable/Disable the tracker display.</p>\n\
<div class=\'codeBlock\'><pre>.EnablePositionControls : Boolean \n\
</pre></div><p>Enable/Disable the position controls.</p>\n\
<div class=\'codeBlock\'><pre>.EnableSelectionControls : Boolean \n\
</pre></div><p>Enable/Disable the selection controls.</p>\n\
<div class=\'codeBlock\'><pre>.EnableTracker : Boolean \n\
</pre></div><p>Enable/Disable the Tracker.</p>\n\
<div class=\'codeBlock\'><pre>.AllowHideDisplay : Boolean \n\
</pre></div><p>Enable/Disable the display hiding.</p>\n\
<div class=\'codeBlock\'><pre>.AllowHideControls : boolean \n\
</pre></div><p>Enable/Disable the controls hiding.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayMode : DisplayModeConstants( #amvTime | #amvFrames ) \n\
</pre></div><p>Get/Set the time/frames display mode.</p>\n\
<div class=\'codeBlock\'><pre>.AllowChangeDisplayMode : Boolean \n\
</pre></div><p>Enable/Disable the changing of the time.frames display mode.</p>\n\
<div class=\'codeBlock\'><pre>.FilterGraph : undefined .FilterGraphDispatch : DActiveMovieEvents, read-only .DisplayForeColor : integer \n\
</pre></div><p>Get/Set the display foreground color as integer.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayBackColor : integer \n\
</pre></div><p>Get/Set the display background color as integer.</p>\n\
<div class=\'codeBlock\'><pre>.MovieWindowSize : WindowSizeConstants( #amvOriginalSize | #amvDoubleOriginalSize | #amvOneSixteenthScreen | #amvOneFourthScreen | #amvOneHalfScreen ) \n\
</pre></div><p>Get/Set the movie window size.</p>\n\
<div class=\'codeBlock\'><pre>.FullScreenMode : Boolean \n\
</pre></div><p>Enable/Disable fullscreen mode.</p>\n\
<div class=\'codeBlock\'><pre>.AutoStart : boolean \n\
</pre></div><p>Enable/Disable Auto Start. When true, the movie will repeat playback when the last frame is reached. When false, the movie will not restart.</p>\n\
<div class=\'codeBlock\'><pre>.AutoRewind : Boolean \n\
</pre></div><p>Enable/Disable Auto Rewind. When true, the movie will automatically jump back to the first frame when playback is finished. When false, the movie will remain on the last frame.</p>\n\
<div class=\'codeBlock\'><pre>.hWnd : integer, read-only \n\
</pre></div><p>Returns the Windows handle of the ActiveX control.</p>\n\
<div class=\'codeBlock\'><pre>.Appearance : AppearanceConstants( #amvFlat | #amv3D ) \n\
</pre></div><p>Get/Set the appearance of the WMP control.</p>\n\
<div class=\'codeBlock\'><pre>.BorderStyle : BorderStyleConstants( #amvNone | #amvFixedSingle ) \n\
</pre></div><p>Get/Set the border style of the WMP control when <span class=\'code\'>.Appearance</span> is set to <span class=\'code\'>#amvFlat</span> .</p>\n\
<div class=\'codeBlock\'><pre>.Enabled : Boolean \n\
</pre></div><p>Enable/Disable the WMP control.</p>\n\
<div class=\'codeBlock\'><pre>.ReadyState : ReadyStateConstants( #amvUninitialized | #amvLoading | #amvInteractive | #amvComplete ), read-only \n\
</pre></div><p>Returns the Ready state of the WMP control.</p>\n\
<div class=\'codeBlock\'><pre>.MediaPlayer : DActiveMovieEvents \n\
</pre></div><p>Returns a DActiveMovieEvents object with the following methods:</p>\n\
<div class=\'section\'><a id=\"mediaplayer-dactivemovieevents-methods\"></a><h2 id=\"mediaplayer-dactivemovieevents-methods\">.MediaPlayer DActiveMovieEvents Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>.StateChange oldState:integer newState:integer \n\
</pre></div><p>Change the state of the Player.</p>\n\
<div class=\'codeBlock\'><pre>.PositionChange oldPosition:float newPosition:float \n\
</pre></div><p>Change the position of the Player.</p>\n\
<div class=\'codeBlock\'><pre>.Timer() \n\
</pre></div><p>Call the timer.</p>\n\
<div class=\'codeBlock\'><pre>.OpenComplete() \n\
</pre></div><p>Set the open state to complete.</p>\n\
<div class=\'codeBlock\'><pre>.Click() \n\
</pre></div><p>Call the click event handler.</p>\n\
<div class=\'codeBlock\'><pre>.DblClick() \n\
</pre></div><p>Call the double-click event handler.</p>\n\
<div class=\'codeBlock\'><pre>.KeyDown KeyCode:integer Shift:integer \n\
</pre></div><p>Causes the keyDown event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.KeyUp KeyCode:integer Shift:integer \n\
</pre></div><p>Causes the keyUp event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.KeyPress KeyAscii:integer \n\
</pre></div><p>Causes the keyPress event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS \n\
</pre></div><p>Causes the MouseDown event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS \n\
</pre></div><p>Causes the MouseMove event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS \n\
</pre></div><p>Causes the MouseUp event handler to be executed.</p>\n\
<div class=\'codeBlock\'><pre>.Error SCode:integer Description:string Source:string CancelDisplay:Boolean \n\
</pre></div><p>Causes the Error event handler to be executed.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>.AboutBox() \n\
</pre></div><p>Open the About box.</p>\n\
<div class=\'codeBlock\'><pre>.Run() \n\
</pre></div><p>Start Playback.</p>\n\
<div class=\'codeBlock\'><pre>.Pause() \n\
</pre></div><p>Pause Playback.</p>\n\
<div class=\'codeBlock\'><pre>.Stop() \n\
</pre></div><p>Stop Playback.</p>\n\
<div class=\'codeBlock\'><pre>.IsSoundCardEnabled() \n\
</pre></div><p>Returns true if the Sound Card is enabled, false otherwise.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; StateChange oldState:integer newState:integer do ( ... ) \n\
</pre></div><p>Called when the Player&#39;s state has changed. The arguments oldState and newState will contain the state before and after the change.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; PositionChange oldPosition:float newPosition:float do ( ... ) \n\
</pre></div><p>Called when the Player&#39;s position has changed. The arguments oldState and newState will contain the position before and after the change.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Timer do ( ... ) \n\
</pre></div><p>Called when the Timer has changed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OpenComplete do ( ... ) \n\
</pre></div><p>Called when the a loading of a new video stream has finished.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Click do ( ... ) \n\
</pre></div><p>Called when the user clicked the control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; DblClick do ( ... ) \n\
</pre></div><p>Called when the user double-clicked the control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed down a key.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user released a key.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed a key.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user pressed a mouse button over the Control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user moved the mouse over the Control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user released a mouse button over the Control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Error SCode:integer Description:string Source:string CancelDisplay:boolean do ( ... ) \n\
</pre></div><p>Called when an error has occurred.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; DisplayModeChange do ( ... ) \n\
</pre></div><p>Called when the display mode has changed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; ReadyStateChange ReadyState:ReadyStateConstants( #amvUninitialized | #amvLoading | #amvInteractive | #amvComplete ) do ( ... ) \n\
</pre></div><p>Called when the ready state has changed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; ScriptCommand bstrType:string bstrText:string do ( ... )\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";