var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Light Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Light Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-light-plug-ins\"></a></div>\n\
<p>Scripted Light plug-ins can only extend existing Light plug-ins.A scripted Light plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>light</span> . If a <span class=\'code\'>create</span> tool is specified, it will override the delegate&#39;s create tool. Current limitations prevent certain plug-ins from being extended, in particular those with custom creation managers. These include target light plug-ins. You can tell if a plug-in is not extendable if your new rollouts do not appear.</p>\n\
<p>An example of a scripted Light plug-in is shown in the Three Lights example in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\' title=\'\'>Scripted Plug-in Methods</a>.</p>\n\
<div class=\'codeBlock\'><pre>on getDisplayMesh do ....\n\
</pre></div><p>This <strong>optional</strong> event handler lets the developer replace the viewport display mesh of the delegate with a custom display mesh.</p>\n\
<p>Previously available in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Camera-Plug-ins.html\' title=\'\'>Scripted Cameras</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Helper-Plug-ins.html\' title=\'\'>Scripted Helper Plug-ins</a>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>on useWireColor do ....\n\
</pre></div><p>This <strong>optional</strong> event handler lets the developer specify whether to use the node&#39;s wire color when drawing the object in the viewport, or use the UI color for the object type (Light Object). If this handler returns true, the node&#39;s wire color is used, otherwise the UI color for the object type is used. If the event handler is not specified, the wire color is used. This handler is only applicable when a <span class=\'code\'>getDisplayMesh</span> handler is supplied.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";