var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Material Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Material Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-material-plug-ins\"></a></div>\n\
<p>Scripted Material plug-ins can only extend existing Material plug-ins.</p>\n\
<p>A scripted Material plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>material</span> .</p>\n\
<p>A scripted Material plug-in <strong>must have at least one rollout</strong> defined.</p>\n\
<p>In a scripted Material plug-in, Material and Map buttons that are associated with a parameter in a parameter block do not call the button’s <span class=\'code\'>picked</span> event handler. Instead, you should link the button to a parameter in a parameter block, and use the <span class=\'code\'>set</span> handler for the parameter.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` -- this is a level 3 plug-in, the beginnings of a custom glass material. -- It extends Standard material and replaces its UI with a single -- rollout with 2 spinners and a color picker plugin material myGlass name:&quot;Supa Glass&quot; classID:#(695425,446581) extends:Standard replaceUI:true version:1 ( parameters main rollout:params ( trans type:#float default:27 ui:trans refrac type:#float default:1.5 ui:refrac col type:#color default:blue ui:col on trans set val do delegate.opacity = val on refrac set val do delegate.ior = val on col set val do delegate.diffuse_color = val ) rollout params &quot;Glass Parameters&quot; ( spinner trans &quot;Transparency: &quot; fieldwidth:45 offset:[-90,0] spinner refrac &quot;Index of Refraction: &quot; fieldwidth:45 offset:[-90,0] colorpicker col &quot;Base color: &quot; align:#center ) on create do ( -- setup initial material delegate.opacityFalloff = 75 ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";