var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Modifier Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Modifier Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-modifier-plug-ins\"></a></div>\n\
<p>Scripted Modifier plug-ins can only extend existing Modifier plug-ins.</p>\n\
<p>A scripted Modifier plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>modifier</span> .</p>\n\
<p>The Modify panel actually creates a fresh instance of every modifier when it is to be shown in the More... list or the buttons in the Modifiers rollout. This will cause the <span class=\'code\'>create</span> handler to be called for a scripted Modifier plug-in. No special handling in the <span class=\'code\'>create</span> handler is required for this case.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` plugin modifier myMod name:&quot;Supa Mod&quot; classID:#(685325,452281) extends:Bend replaceUI:true version:1 ( parameters main rollout:params ( bendamt type:#float animatable:true ui:bendamt default:0.0 on bendamt set val do delegate.angle = val ) rollout params &quot;SupaMod Parameters&quot; ( spinner bendamt &quot;Bendiness: &quot; ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` plugin modifier NSpline name:&quot;Normal. Spline&quot; classID:#(0x133067, 0x54374) extends:normalize_spline replaceUI:true version:1 ( parameters main rollout:params ( seglen type:#float animatable:true ui:seglen default:20 on seglen set val do delegate.length = val ) rollout params &quot;Parameters&quot; ( spinner seglen &quot;Seg Length: &quot; range:[0.01,1e9,20] ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";