var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Deprecated RCmenu Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Deprecated RCmenu Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"deprecated-rcmenu-methods\"></a></div>\n\
<p>Right-click menus were used in <strong>3ds Max 2</strong> and <strong>3</strong> in place of the QuadMenus introduced in <strong>3ds Max 4</strong>.</p>\n\
<p>The following methods were made obsolete by the QuadMenus system, but still exist in <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>This page is provided as part of the history of MAXScript but does not reflect current features of <strong>3ds Max</strong>!</p>\n\
<div class=\'section\'><a id=\"the-following-methods-let-you-register-and-unregister-scripted-right-click-menus\"></a><h2 id=\"the-following-methods-let-you-register-and-unregister-scripted-right-click-menus\">The following methods let you register and unregister scripted right-click menus:</h2></div>\n\
<div class=\'codeBlock\'><pre>registerRightClickMenu &lt;rcmenu&gt;\n\
</pre></div><p>Registers the specified right-click menu.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>unRegisterRightClickMenu &lt;rcmenu&gt;\n\
</pre></div><p>Unregisters the specified right-click menu</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>unRegisterAllRightClickMenus()\n\
</pre></div><p>Unregisters all right-click menus.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<p>The following script for <strong>3ds Max</strong> 2 and 3 would add two items to the right-click menu: Cast Shadows and Receive Shadows. These items would be enabled only if one object is selected. If enabled, the items would be checked or unchecked based on the current state of the selected object. Choosing a menu item would flip the state of the corresponding object property.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT FROM 3DS MAX 3:</strong></p>\n\
<p>``` rcmenu MyRCmenu ( menuItem mi_cs &quot;Cast Shadows&quot; checked:false menuItem mi_rs &quot;Receive Shadows&quot; checked:false -- on MyRCmenu open do ( local sel = (selection.count == 1) -- Enable if only one object is selected mi_cs.enabled = mi_rs.enabled = sel -- Set check state of items if sel do ( mi_cs.checked = $.castShadows mi_rs.checked = $.receiveShadows ) ) -- set up event handlers for items on mi_cs picked do $.castShadows = (not \\(.castShadows)  on mi_rs picked do\\).receiveShadows = (not $.receiveShadows) ) -- register the rcmenu registerRightClickMenu MyRCmenu</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You could register as many scripted right-click menus as you like. Each scripted right-click menu registered was appended to the right-click menu window. If a scripted right-click menu with the same name was registered twice, the old one was overwritten by the new one.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";