var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>separator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>separator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"separator\"></a></div>\n\
<p>A <strong>separator</strong> is used to place a separator line in the right-click menu, and is normally used to group menu items. The syntax for a separator is:</p>\n\
<div class=\'codeBlock\'><pre>separator &lt;name&gt; [ filter:&lt;function&gt; ]\n\
</pre></div><p><strong>Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>name:\n\
</pre></div><p>Used to name an automatically constructed local variable that will hold the value representing the separator.</p>\n\
<div class=\'codeBlock\'><pre>filter:\n\
</pre></div><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <span class=\'code\'>true</span> the separator appears in the menu, otherwise it is not displayed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rcmenu MyRCmenu ( fn flt_objects = ($ != undefined) -- objects filter menuItem mi_cs &quot;Cast Shadows&quot; checked:false menuItem mi_rs &quot;Receive Shadows&quot; checked:false -- add only if one or more objects are selected separator sep1 filter:flt_objects menuItem mi_st &quot;Scale Twice&quot; filter:flt_objects menuItem mi_sh &quot;Scale Half&quot; filter:flt_objects -- event handlers would go here... ) registerRightClickMenu MyRcmenu -- register the rcmenu</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";