var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>submenu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>submenu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"submenu\"></a></div>\n\
<p>A <strong>subMenu</strong> is used to place an item in the right-click menu that, if the cursor is placed on, opens a submenu containing additional user-interface items. The syntax for a subMenu is:</p>\n\
<div class=\'codeBlock\'><pre>subMenu &lt;label&gt; [ filter:&lt;function&gt; ] ( &lt;submenu_body&gt; )\n\
</pre></div><p>The <span class=\'code\'>&lt;submenu_body&gt;</span> of a subMenu definition is made up of a sequence of RCMenu clauses as follows:</p>\n\
<div class=\'codeBlock\'><pre>&lt;submenu_body&gt; ::= { &lt;rcmenu_clause&gt; }+\n\
</pre></div><p><strong>Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>label:\n\
</pre></div><p>The string that appears in the right-click menu.</p>\n\
<div class=\'codeBlock\'><pre>filter:\n\
</pre></div><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <span class=\'code\'>true</span> the subMenu appears in the menu, otherwise it is not displayed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rcmenu MyRCmenu ( fn flt_objects = ($ != undefined) -- objects filter fn flt_shapes = (isKindOf $ Shape) -- shapes filter menuItem mi_cs &quot;Cast Shadows&quot; checked:false menuItem mi_rs &quot;Receive Shadows&quot; checked:false separator sep2 filter:flt_objects subMenu &quot;Modifiers&quot; filter:flt_objects -- begin subMenu ( -- Add common objects menuItem mi_bend &quot;Bend&quot; menuItem mi_twist &quot;Twist&quot; -- Add shape only modifiers separator sep3 filter:flt_shapes subMenu &quot;Shape&quot; filter:flt_shapes -- begin nested subMenu ( menuItem mi_extrude &quot;Extrude&quot; menuItem mi_EditSpline &quot;Edit Spline&quot; ) ) -- event handlers would go here... ) registerRightClickMenu MyRcmenu -- register the rcmenu</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";