var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Setting Focus on User Interface Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Setting Focus on User Interface Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"setting-focus-on-user-interface-controls\"></a></div>\n\
<p>You can set the focus on a specific User Interface Control Item, RolloutFloater or Rollout using</p>\n\
<div class=\'codeBlock\'><pre>setFocus (&lt;RolloutControl&gt;|&lt;RolloutFloater&gt;|&lt;Rollout&gt;|&lt;Rollout&gt;.hwnd)\n\
</pre></div><p>You can bring to the front (ie, make the &quot;top&quot; dialog) and set the focus on a User Interface Control item, RolloutFloater, or Rollout using <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>setForegroundWindow (&lt;RolloutControl&gt;|&lt;RolloutFloater&gt;|&lt;Rollout&gt;|&lt;Rollout&gt;.hwnd)\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout testFocus &quot;Test Focus&quot; ( edittext text1 &quot;Test&quot; edittext text2 &quot;Focus&quot; ) createDialog testFocus 200 100 testFloater = newRolloutFloater &quot;My Floater&quot; 300 220</p>\n\
<p>setfocus testFocus setfocus testFocus.hwnd setfocus testFocus.text2 -- the second text field gets focus setfocus testFloater</p>\n\
<p>setForegroundWindow testFocus setForegroundWindow testFocus.hwnd setForegroundWindow testFloater</p>\n\
<p>```</p>\n\
\n\
<p><strong>In 3ds Max 6 and higher,</strong></p>\n\
<p><span class=\'code\'>SetFocus()</span> can be used to set focus on ActiveX controls, too.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";