var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shortcut system replaced</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shortcut system replaced</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shortcut-system-replaced\"></a></div>\n\
<p>The &quot;<strong>shortcuts</strong>&quot; feature found in versions prior <strong>3ds Max 4</strong> has been removed. In it&#39;s place you can use macro-recording of actions.</p>\n\
<p>To determine how to invoke an action from MAXScript, you should go to the UI customization dialog and put that action on a button, menu or keyboard shortcut. Then turn on macro recording and execute the action.</p>\n\
<p>The code that is emitted can be cut and pasted in to your script.</p>\n\
<p>If you turn on macro recording and start using the menu, quad menu or toolbar, you&#39;ll see code emitted that looks like this</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>actionMan.executeAction 0 &quot;59225&quot; -- Manipulate Mode</span></p>\n\
</blockquote>\n\
<p>This is code that will execute the same action as pressing the &quot;Manipulate Mode&quot; button. The comment is also generated, and it uses the action&#39;s tool tip. The parameters of &quot;actionMan.executeAction&quot; are the integer ActionTableId of the table the action comes from, and the &quot;persistent id&quot; if the action. Actions exported from core all have persistent ids that are fixed integers as a string.</p>\n\
<p>Actions are accessible, all that you need to know are the ActionTableId and the persistent ID in order to invoke the operation.</p>\n\
<p>Note:</p>\n\
<p>Certain actions emit much better code. If an action is exported using a function published action table, then the code it emits calls that function. For example, if you bring up the &quot;Plug-in Manager&quot; from the customize menu, the code emitted is:</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";