var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Miscellaneous Dialogs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Miscellaneous Dialogs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"miscellaneous-dialogs\"></a></div>\n\
<p>For methods associated with the Render Effects dialog, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\' title=\'\'>RenderEffect : MAXWrapper</a>.</p>\n\
<p>For methods associated with the Render Environment dialog, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Atmospheric-MAXWrapper-1.html\' title=\'\'>Atmospheric : MAXWrapper</a>.</p>\n\
<div class=\'codeBlock\'><pre>exclusionListDlg()   \n\
</pre></div><p>Displays the Exclude/Include dialog used for Lights, and returns an array of the nodes moved into the Include/Exclude list.</p>\n\
<div class=\'codeBlock\'><pre>configureBitmapPaths()   \n\
</pre></div><p>This method puts up the Configure Bitmap Paths dialog to let the user configure the bitmap loading paths. Returns <span class=\'code\'>false</span> if the user cancels out of the Configure Bitmap Paths dialog, <span class=\'code\'>true</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>materialBrowseDlg [  #mats] [  #maps] [  #incNone] [  #instanceOnly] \n\
</pre></div><p>This method puts up the Material/Map Browser. This method returns <span class=\'code\'>undefined</span> if no Material or TextureMap is picked, otherwise a copy or instance of the Material or TextureMap is returned. The definition of the parameters are:</p>\n\
<div class=\'codeBlock\'><pre>#mats \n\
</pre></div><p>Display Materials only.</p>\n\
<div class=\'codeBlock\'><pre>#maps \n\
</pre></div><p>Display TextureMaps only.</p>\n\
<div class=\'codeBlock\'><pre>#incNone \n\
</pre></div><p>Include &quot;None&quot;as a Material and TextureMap.</p>\n\
<div class=\'codeBlock\'><pre>#instanceOnly \n\
</pre></div><p>If the selected Material or TextureMap already exists, the returned value contains an instance. Otherwise a dialog is displayed for the user to specify Copy or Instance.</p>\n\
<p>If neither <span class=\'code\'>#mats</span> or <span class=\'code\'>#maps</span> is specified, both Materials and TextureMaps are displayed. If both are specified, TextureMaps are displayed.</p>\n\
<div class=\'codeBlock\'><pre>mtlBrowser.browseFrom [#mtlLibrary | #mtlEditor | #activeSlot | #selected | #scene | #new] \n\
</pre></div><p>Lets you set the Browse From: source for the modeless material browser.</p>\n\
<div class=\'codeBlock\'><pre>nodeColorPicker() \n\
</pre></div><p>This method displays the Object Color picker dialog, and returns the selected color as a Color value.</p>\n\
<div class=\'codeBlock\'><pre>OSnap() \n\
</pre></div><p>This method toggles the Grid and Snap Settings dialog.</p>\n\
<div class=\'codeBlock\'><pre>USetup() \n\
</pre></div><p>This method displays the Units Setup dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";