var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Maz() / UnMaz()</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Maz() / UnMaz()</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maz-unmaz\"></a></div>\n\
<p>MAXScript access has been added to the Maz() and UnMaz() functions in the ImaxNet Interface.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maz &lt;filename&gt;archiveFile &lt;filename or filename array&gt;input\n\
</pre></div><p>The first parameter is the filename of the archive to create. The second parameter is either a single filename, or an array of filenames, to be archived.</p>\n\
<div class=\'codeBlock\'><pre>unmaz &lt;filename&gt;archiveFile &lt;string&gt;outputDir\n\
</pre></div><p>The first parameter is the filename of the maz archive to extract from. The second parameter is a directory name where all the files in the archive will be extracted.</p>\n\
<p>Note: In <strong>3ds Max 6 and higher</strong>, the <span class=\'code\'>Maz()</span> function outputs a .zip file instead of the old .maz format. The function <span class=\'code\'>UnMaz()</span> works correctly with both .zip and .maz files.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";