var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NetworkRTT()</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NetworkRTT()</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"networkrtt\"></a></div>\n\
<p>The <strong><span class=\'code\'>networkRTT()</span></strong> function allows you to send render to texture jobs to a network renderer. It takes the form:</p>\n\
<div class=\'codeBlock\'><pre>networkRTT &lt;nodes&gt; [ manager:&lt;string&gt; jobname:&lt;string&gt; jobdescription:&lt;string&gt; ]\n\
</pre></div><p>The <span class=\'code\'>&lt;nodes&gt;</span> can be a single node or node selection.</p>\n\
<p>The <strong>manager</strong>, <strong>jobname</strong>, and <strong>jobdescription</strong> parameters are optional, and if not specified, this method opens the <strong>Network Job Assignment</strong> dialog without a server or job specified. If either the <strong>manager</strong> or <strong>jobdescription</strong> parameter is specified, then the <strong>jobname</strong> parameter must also be specified.</p>\n\
<p>The <strong>manager</strong> parameter specifies the name of an existing network manager. For more information about getting network render manager information via MAXScript, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Network-Render-Interface-1.html\' title=\'\'>Inferface: NetRender</a>.</p>\n\
<p>The <strong>jobname</strong> and <strong>jobdescription</strong> parameters specify strings to use for the job name and its description.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";