var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Plug-In Manager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Plug-In Manager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"plug-in-manager\"></a></div>\n\
<p>The Plug-in Manager lets you manage plug-ins dynamically without any initialization required. The Plug-in Manager provides a list of all plug-ins found in the <strong>3ds Max</strong> plug-in directories, including the plug-in description, type (object, helper, modifier, and so on), status (loaded or deferred), size, and path. The Plug-in Manager provides options to load or tag as deferred, any particular plug-in, regardless where they reside on disk.</p>\n\
<p>Note: The Plug-In Manager does not list scripted or .NET plug-ins.</p>\n\
<p>When you start the Plug-in Manager, it scans through all the loaded plug-ins and lists them in the Plug-in Manager dialog. 3ds Max looks for plug-ins in a couple of places:</p>\n\
<ul>\n\
<li>Paths from Plugin.ini (in the 3ds Max install directory)</li>\n\
<li>Paths from Plugin.UserSettings.ini (in the user&#39;s AppData\\Local directory)</li>\n\
<li>The Autodesk\\ApplicationPlugins directory (typically in %PROGRAMDATA%\\Autodesk\\ApplicationPlugins, but this location can vary, see &quot;Packaging Plug-ins&quot; in the 3ds Max Developer Help).</li>\n\
</ul>\n\
<p>To use the Plug-in Manager via MAXScript, see the <a href=\'#!/url=./3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\' title=\'\'>Interface: pluginManager</a> topic.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";