var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pre-Render Script Evaluation Order Changes in 3ds Max 2008</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pre-Render Script Evaluation Order Changes in 3ds Max 2008</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pre-render-script-evaluation-order-changes-in-3ds-max-2008\"></a></div>\n\
<p>The following changes have been made to the evaluation of Pre-Render Scripts in <strong>3ds Max 2008</strong>:</p>\n\
<p><strong>Pre-Render Scripts</strong> specified in the Render Scene Dialog are now executed before the &quot;Render Begin&quot; timeframe. This means a Pre-Render script <strong>can create or modify objects</strong> in the scene, and <strong>can change any render settings</strong>.</p>\n\
<p>This has the following consequences:</p>\n\
<ul>\n\
<li><p>The Pre-Render Script is executed <strong>BEFORE</strong> any pre-render error or warning messages, including possible cancellation of the render.</p></li>\n\
<li><p>Previously, neither the Pre- nor Post-Render Scripts would be executed if the render was cancelled due to an error. Now both are executed if enabled, regardless of errors. The Post-Render script is executed after the render completes or is cancelled.</p></li>\n\
<li><p>In some circumstances, the output filenames for render elements are modified by the system during the &quot;Render Begin&quot; timeframe. This means the Pre-Render Script is executed too early to have access to the correct filenames of all render elements.</p></li>\n\
<li><p>The Pre-Render Script is executed <strong>BEFORE</strong> the image sequence file (.imsq or .ifl) is created. This is because creation of the sequence file requires the render element filenames, which are available only after the Pre-Render Script is executed, as explained above.</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";