var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Prompt Line</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Prompt Line</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"prompt-line\"></a></div>\n\
<p>The following methods are associated with <strong>3ds Max</strong>’s Status Bar Prompt Line:</p>\n\
<div class=\'codeBlock\'><pre>displayTempPrompt &lt;string&gt; &lt;milliseconds_integer&gt;\n\
</pre></div><p>Displays the specified string on the Prompt Line for the specified number of milliseconds. After the time elapses, the string is popped from the stack. This may be used to put up a temporary error message for example. Control is returned to MAXScript immediately after the call, that is, MAXScript execution continues even while the temporary prompt is displayed.</p>\n\
<div class=\'codeBlock\'><pre>removeTempPrompt()\n\
</pre></div><p>Removes the temporary prompt immediately.</p>\n\
<div class=\'codeBlock\'><pre>replacePrompt()\n\
</pre></div><p>Replaces the string on the top of the prompt stack.</p>\n\
<div class=\'codeBlock\'><pre>pushPrompt &lt;string&gt;\n\
</pre></div><p>Pushes the currently displayed prompt onto the prompt stack, and displays the specified string as the prompt.</p>\n\
<div class=\'codeBlock\'><pre>popPrompt()\n\
</pre></div><p>Pops the currently displayed prompt off the prompt stack. The previous prompt will be restored.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";