var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max Assert Display Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max Assert Display Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-assert-display-functions\"></a></div>\n\
<p>The following functions let you control the display and logging of 3ds Max Asserts. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetMaxAssertDisplay &lt;boolean&gt;\n\
</pre></div><p>When the argument is True, 3ds Max Asserts will be displayed to the user in an interactive dialog.</p>\n\
<p>When the argument is False, 3ds Max Asserts will not be displayed but will be logged to the 3ds Max Assert Log file specified using the methods below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;GetMaxAssertLogFileName()\n\
</pre></div><p>Returns the 3ds Max Assert Log filename.</p>\n\
<p>Default value is &quot;C:\\Program Files\\Autodesk\\3ds Max 20XX\\3dsmax.assert.log&quot; where XX is the <strong>3ds Max</strong> version number.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetMaxAssertLogFileName &lt;filename&gt;\n\
</pre></div><p>Sets the 3ds Max Assert Log filename to the path specified by the argument. Returns OK.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";