var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Direct 3D Cache Allocation Query Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Direct 3D Cache Allocation Query Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"direct-3d-cache-allocation-query-functions\"></a></div>\n\
<p>The following functions available in <strong>3ds Max 2010 and higher</strong> let you query the memory usage, face count and timing of the Direct3D Mesh Cache.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getD3DMeshAllocated()     \n\
</pre></div><p>Returns the Direct3D Mesh Cache memory allocation in Megabytes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getD3DMeshAllocatedFaces()   \n\
</pre></div><p>Returns the Direct3D Mesh Cache face count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getD3DTimer &lt;integer&gt;timer \n\
</pre></div><p>For internal use only.</p>\n\
<p>In addition, the Direct3D Mesh Cache creation is multi-threaded since <strong>3ds Max 2010</strong>.</p>\n\
<p>The following function can be used to switch back to the old single-threaded cache creation mode for compatibility reasons:</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetUseOldD3DCache &lt;boolean&gt;useOld \n\
</pre></div><p>When the argument is true, enables single-threaded cache creation.</p>\n\
<p>When the argument is false, enables multi-threaded cache creation (default).</p>\n\
<p>Returns true on success, false on failure.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";