var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>setKey Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>setKey Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"setkey-struct\"></a></div>\n\
<p>The <span class=\'code\'>setKey</span> struct contains functions that access the set key buffer for animatable scene nodes. These functions are implemented for any keyframable controller that supports the &quot;Set Key&quot; animation mode. When the &quot;Set Key&quot; mode is activated, the controller creates a temporary buffer where it stores any change made by the user until the user commits or cancels the change.</p>\n\
<div class=\'codeBlock\'><pre>setKey.revertBuffer &lt;max_obj&gt;\n\
</pre></div><p>Reverts the set key buffer for the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setKey.subAnimRevertBuffer &lt;max_obj&gt; &lt;subnum&gt;\n\
</pre></div><p>Reverts the set key buffer for the specified subanimatable on the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setKey.subAnimCommitBuffer &lt;max_obj&gt; &lt;subnum&gt;\n\
</pre></div><p>Commits the set key buffer for the specified subanimatable on the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setKey.subAnimBufferPresent &lt;max_obj&gt; &lt;subnum&gt;\n\
</pre></div><p>Returns whether a set key buffer exists for the specified subanimatable on the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setKey.commitBuffer &lt;max_obj&gt;\n\
</pre></div><p>Commits the set key buffer for the specified controller.</p>\n\
<div class=\'codeBlock\'><pre>setKey.bufferPresent &lt;max_obj&gt;\n\
</pre></div><p>Indicates whether a set key buffer exists for the specified controller.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";