var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Script Examples In This Help</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Script Examples In This Help</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"script-examples-in-this-help\"></a></div>\n\
<p>The following sample scripts can be found at various places in this Help as illustrations of certain features. They could be used directly or with small changes in the daily practice or as a starting point for your own scripts. This index should help you locate them quickly.</p>\n\
<div class=\'section\'><a id=\"sample-scripts\"></a><h2 id=\"sample-scripts\">Sample Scripts</h2></div>\n\
<div class=\'section\'><a id=\"my-first-utility-example\"></a><h4 id=\"my-first-utility-example\"><a href=\'#!/url=./developer/GUID-934D13D7-94E9-4481-8832-25A5B83C949F.html\' title=\'\'>My First Utility Example</a></h4></div>\n\
<p>Shows the creation of simple Scripted Utility.</p>\n\
<div class=\'section\'><a id=\"skyscraper-extrusion\"></a><h4 id=\"skyscraper-extrusion\"><a href=\'#!/url=./developer/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html\' title=\'\'>Skyscraper Extrusion</a></h4></div>\n\
<p>Illustrates the usage of EditablePoly extrusion functions</p>\n\
<div class=\'section\'><a id=\"atmospheric-effects-test-bed\"></a><h4 id=\"atmospheric-effects-test-bed\"><a href=\'#!/url=./developer/GUID-9394C031-25FB-434B-A744-A587C5D99C6A.html\' title=\'\'>Atmospheric Effects Test Bed</a></h4></div>\n\
<p>Illustrates the creation of Atmospheric effects.</p>\n\
<div class=\'section\'><a id=\"custom-compositing-example\"></a><h4 id=\"custom-compositing-example\"><a href=\'#!/url=./developer/GUID-9F6ABEE1-0728-4B39-8903-D909634C1304.html\' title=\'\'>Custom Compositing Example</a></h4></div>\n\
<p>Shows how to combine two images into one, in this case for anaglyph (red/cyan) stereo display.</p>\n\
<div class=\'section\'><a id=\"save-multi-frame-image-file\"></a><h4 id=\"save-multi-frame-image-file\"><a href=\'#!/url=./developer/GUID-9F6ABEE1-0728-4B39-8903-D909634C1304.html\' title=\'\'>Save Multi-Frame Image File</a></h4></div>\n\
<p>Shows the correct way for saving multi-frame image files.</p>\n\
<div class=\'section\'><a id=\"convert-bitmap-to-script\"></a><h4 id=\"convert-bitmap-to-script\"><a href=\'#!/url=./developer/GUID-9F6ABEE1-0728-4B39-8903-D909634C1304.html\' title=\'\'>Convert Bitmap to Script</a></h4></div>\n\
<p>Shows a way to convert a bitmap to MAXScript in order to distribute bitmaps as part of the script code.</p>\n\
<div class=\'section\'><a id=\"netrender-examples\"></a><h4 id=\"netrender-examples\"><a href=\'#!/url=./developer/GUID-DEF2CDBF-C729-46B9-BC0D-F030E255E3A7.html\' title=\'\'>NetRender Examples</a></h4></div>\n\
<p>Shows the correct way to work with the NetRender interfaces.</p>\n\
<div class=\'section\'><a id=\"trackbarkeylimit\"></a><h4 id=\"trackbarkeylimit\"><a href=\'#!/url=./developer/GUID-8C8AA5D7-5C8D-44C5-BAED-BA8EC10C59FC.html\' title=\'\'>TrackBarKeyLimit</a></h4></div>\n\
<p>Implements a limit spinner to control the number of keys allowed to be displayed in TrackBar using a trackbar filter callback function.</p>\n\
<div class=\'section\'><a id=\"scripted-functions\"></a><h2 id=\"scripted-functions\">Scripted Functions</h2></div>\n\
<div class=\'section\'><a id=\"applyplanarmap\"></a><h4 id=\"applyplanarmap\"><a href=\'#!/url=./developer/GUID-CA252E0A-3EB7-4DDD-9E9A-19B95E592902.html\' title=\'\'>ApplyPlanarMap</a></h4></div>\n\
<p>Shows the application of planar mapping</p>\n\
<div class=\'section\'><a id=\"calculatevolumeandcenterofmass\"></a><h4 id=\"calculatevolumeandcenterofmass\"><a href=\'#!/url=./developer/GUID-B94A1094-002C-4A7D-B5DD-AF5AB3435041.html\' title=\'\'>CalculateVolumeAndCenterOfMass</a></h4></div>\n\
<p>Reimplements the Measure Utility&#39;s functionality for finding the Volume and Center Of Mass of Geometry Objects.</p>\n\
<div class=\'section\'><a id=\"drawlinebetweentwopoints\"></a><h4 id=\"drawlinebetweentwopoints\">drawLineBetweenTwoPoints</h4></div>\n\
<p>Shows how to create a simple line between two points in space.</p>\n\
<div class=\'section\'><a id=\"edgeverts\"></a><h4 id=\"edgeverts\">EdgeVerts</h4></div>\n\
<p>Returns the two vertices used by an edge in an Editable Mesh.</p>\n\
<div class=\'section\'><a id=\"flipobjnormals\"></a><h4 id=\"flipobjnormals\">FlipObjNormals</h4></div>\n\
<p>Flips all normals of an Editable Mesh by reversing vertex order.</p>\n\
<div class=\'section\'><a id=\"getlocalfacerotation\"></a><h4 id=\"getlocalfacerotation\">getLocalFaceRotation</h4></div>\n\
<p>Returns the local face rotation as displayed in the Transform Type-In.</p>\n\
<div class=\'section\'><a id=\"getfilesrecursive\"></a><h4 id=\"getfilesrecursive\">getFilesRecursive</h4></div>\n\
<p>Returns all files matching a pattern from a given root and all its sub-directories.</p>\n\
<div class=\'section\'><a id=\"timefromsolartime\"></a><h4 id=\"timefromsolartime\">TimeFromSolarTime</h4></div>\n\
<p>Returns the time value stored in a <span class=\'code\'>Daylight_Driven_Controller</span></p>\n\
<div class=\'section\'><a id=\"getfacesmoothgroupb\"></a><h4 id=\"getfacesmoothgroupb\">getFaceSmoothGroupB</h4></div>\n\
<p>Gets the Editable Mesh Smoothing Groups</p>\n\
<div class=\'section\'><a id=\"setfacesmoothgroupb\"></a><h4 id=\"setfacesmoothgroupb\">setFaceSmoothGroupB</h4></div>\n\
<p>Sets the Editable Mesh Smoothing Groups</p>\n\
<div class=\'section\'><a id=\"maybe_savemaxfile\"></a><h4 id=\"maybe_savemaxfile\">maybe_saveMaxFile</h4></div>\n\
<p>Shows a replacement function for saveMaxFile to check for existing files and prompting before overwriting.</p>\n\
<div class=\'section\'><a id=\"maybe_savenodes\"></a><h4 id=\"maybe_savenodes\">maybe_saveNodes</h4></div>\n\
<p>Shows a replacement function for saveNodes to check for existing files and prompting before overwriting.</p>\n\
<div class=\'section\'><a id=\"setnodeworldrotation\"></a><h4 id=\"setnodeworldrotation\">setNodeWorldRotation</h4></div>\n\
<p>Sets a node&#39;s rotation relative to world space</p>\n\
<div class=\'section\'><a id=\"sortmultisubbyid\"></a><h4 id=\"sortmultisubbyid\">sortMultiSubById</h4></div>\n\
<p>Sorts the sub-materials of a Multi/Sub material by their Material IDs.</p>\n\
<div class=\'section\'><a id=\"splitmeshbyuvelements\"></a><h4 id=\"splitmeshbyuvelements\">splitMeshByUVElements</h4></div>\n\
<p>Splits a mesh to elements based on the UVW Face Elements.</p>\n\
<div class=\'section\'><a id=\"uppercase\"></a><h4 id=\"uppercase\">UpperCase</h4></div>\n\
<p>Converts a mixed case string to upper case to demonstrate the use of various string value related methods.</p>\n\
<div class=\'section\'><a id=\"macroscripts\"></a><h2 id=\"macroscripts\">MacroScripts</h2></div>\n\
<div class=\'section\'><a id=\"nitrous-npr-settings-macroscript\"></a><h4 id=\"nitrous-npr-settings-macroscript\">Nitrous NPR Settings MacroScript</h4></div>\n\
<p>Provides dynamic controls over all aspects of the current NPR (Stylized) visual style of the Nitrous Graphics Manager viewports.</p>\n\
<div class=\'section\'><a id=\"viewport-shading-explorer-macroscript\"></a><h4 id=\"viewport-shading-explorer-macroscript\">Viewport Shading Explorer MacroScript</h4></div>\n\
<p>Provides a User Interface to explore the advanced viewport shading settings like Ambient Occlusion, Indirect Illumination, Depth Of Field etc. available when using <em>Direct3D</em> drivers in <em>3ds Max 2010 and higher</em>.</p>\n\
<div class=\'section\'><a id=\"polytoelement-macroscript\"></a><h4 id=\"polytoelement-macroscript\">PolyToElement MacroScript</h4></div>\n\
<p>Shows how to split every polygon in an EditablePoly into an Element.</p>\n\
<div class=\'section\'><a id=\"render-to-ramplayer\"></a><h4 id=\"render-to-ramplayer\">Render to RamPlayer</h4></div>\n\
<p>Illustrates the usage of rollouts and rolloutFloaters in macroScripts</p>\n\
<div class=\'section\'><a id=\"subobject-vertex\"></a><h4 id=\"subobject-vertex\">SubObject Vertex</h4></div>\n\
<p>Illustrates the definition of Macro Scripts</p>\n\
<div class=\'section\'><a id=\"superexpertmode\"></a><h4 id=\"superexpertmode\">SuperExpertMode</h4></div>\n\
<p>Implements a Super Expert Mode with just the viewports and main menu visible.</p>\n\
<div class=\'section\'><a id=\"parameter-wire-altexectute\"></a><h4 id=\"parameter-wire-altexectute\">Parameter Wire altExectute</h4></div>\n\
<p>Illustrates the definition of alternative execute handlers in MacroScripts</p>\n\
<div class=\'section\'><a id=\"microlistener\"></a><h4 id=\"microlistener\">MicroListener</h4></div>\n\
<p>Illustrates the use of the Execute method to convert strings into MAXScript expressions.</p>\n\
<div class=\'section\'><a id=\"growshrinkloopringskinselection\"></a><h4 id=\"growshrinkloopringskinselection\">Grow/Shrink/Loop/RingSkinSelection</h4></div>\n\
<p>Implement Skin Selection Grow/Shrink, Loop and Ring ActionItems to be used in QuadMenus when skinning.</p>\n\
<div class=\'section\'><a id=\"editable-mesh-selection-converter-macroscripts\"></a><h2 id=\"editable-mesh-selection-converter-macroscripts\">Editable Mesh Selection Converter MacroScripts</h2></div>\n\
<div class=\'section\'><a id=\"edge2facesel\"></a><h4 id=\"edge2facesel\">Edge2FaceSel</h4></div>\n\
<p>Convert Edge to Face Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"edge2polysel\"></a><h4 id=\"edge2polysel\">Edge2PolySel</h4></div>\n\
<p>Convert Edge to Polygon Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"edge2vertsel\"></a><h4 id=\"edge2vertsel\">Edge2VertSel</h4></div>\n\
<p>Convert Edge to Vertex Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"face2edgesel\"></a><h4 id=\"face2edgesel\">Face2EdgeSel</h4></div>\n\
<p>Convert Face to Edge Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"face2vertsel\"></a><h4 id=\"face2vertsel\">Face2VertSel</h4></div>\n\
<p>Convert Face to Vertex Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"vert2edgesel\"></a><h4 id=\"vert2edgesel\">Vert2EdgeSel</h4></div>\n\
<p>Convert Vertex to Edge Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"vert2facesel\"></a><h4 id=\"vert2facesel\">Vert2FaceSel</h4></div>\n\
<p>Convert Vertex to Face Selection in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"selopenedges\"></a><h4 id=\"selopenedges\">SelOpenEdges</h4></div>\n\
<p>Select Open Edges in Editable Meshes</p>\n\
<div class=\'section\'><a id=\"scripted-plug-ins\"></a><h2 id=\"scripted-plug-ins\">Scripted Plug-ins</h2></div>\n\
<div class=\'section\'><a id=\"extended-rect-shape-plugin\"></a><h4 id=\"extended-rect-shape-plugin\">Extended Rect Shape Plugin</h4></div>\n\
<p>Illustrates the creation of Scripted Shape Plug-ins</p>\n\
<div class=\'section\'><a id=\"lightmaster\"></a><h4 id=\"lightmaster\">lightMaster</h4></div>\n\
<p>Illustrates the application of Scripted Plug-in Methods. See also threeLights.</p>\n\
<div class=\'section\'><a id=\"threelights\"></a><h4 id=\"threelights\">threeLights</h4></div>\n\
<p>Illustrates the application of Scripted Plug-in Methods. See also lightMaster.</p>\n\
<div class=\'section\'><a id=\"negative-rendereffect\"></a><h4 id=\"negative-rendereffect\">Negative renderEffect</h4></div>\n\
<p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<div class=\'section\'><a id=\"normal-spline-modifier-plug-in\"></a><h4 id=\"normal-spline-modifier-plug-in\">Normal Spline Modifier Plug-in</h4></div>\n\
<p>Illustrates the creation of Scripted Modifier Plug-ins</p>\n\
<div class=\'section\'><a id=\"saddledeform-simplemod\"></a><h4 id=\"saddledeform-simplemod\">SaddleDeform simpleMod</h4></div>\n\
<p>Illustrates the creation of Scripted SimpleMod Plug-ins</p>\n\
<div class=\'section\'><a id=\"squaretube-simpleobject\"></a><h4 id=\"squaretube-simpleobject\">SquareTube simpleObject</h4></div>\n\
<p>Illustrates the creation of Scripted SimpleObject Plug-ins</p>\n\
<div class=\'section\'><a id=\"supa-mod-modifier\"></a><h4 id=\"supa-mod-modifier\">Supa Mod modifier</h4></div>\n\
<p>Illustrates the creation of Scripted Modifier Plug-ins</p>\n\
<div class=\'section\'><a id=\"supaglass-material\"></a><h4 id=\"supaglass-material\">SupaGlass material</h4></div>\n\
<p>Illustrates the creation of Scripted Material Plug-ins</p>\n\
<div class=\'section\'><a id=\"super-blur-fx-rendereffect\"></a><h4 id=\"super-blur-fx-rendereffect\">Super Blur FX renderEffect</h4></div>\n\
<p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<div class=\'section\'><a id=\"super-color-balance-fx-rendereffect\"></a><h4 id=\"super-color-balance-fx-rendereffect\">Super Color Balance FX renderEffect</h4></div>\n\
<p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<div class=\'section\'><a id=\"super-fog-env-atmospheric\"></a><h4 id=\"super-fog-env-atmospheric\">Super Fog Env atmospheric</h4></div>\n\
<p>Illustrates the creation of Scripted Atmospheric Plug-ins</p>\n\
<div class=\'section\'><a id=\"texture-plane-simpleobject\"></a><h4 id=\"texture-plane-simpleobject\">Texture Plane SimpleObject</h4></div>\n\
<p>Illustrates the creation of Scripted SimpleObject Plug-ins with UVW Coordinates</p>\n\
<div class=\'section\'><a id=\"tower-plugin\"></a><h4 id=\"tower-plugin\">Tower plugin</h4></div>\n\
<p>Illustrates the creation of Scripted SimpleObject Plug-ins</p>\n\
<div class=\'section\'><a id=\"how-to-tutorials\"></a><h2 id=\"how-to-tutorials\">How To Tutorials:</h2></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-transform-lock-script\"></a><h4 id=\"how-to-...-develop-a-transform-lock-script\">How To ... Develop A Transform Lock Script</h4></div>\n\
<p>Developing a simple script for checking all Transformation locks.</p>\n\
<div class=\'section\'><a id=\"how-to-...-remove-all-materials\"></a><h4 id=\"how-to-...-remove-all-materials\">How To ... Remove All Materials</h4></div>\n\
<p>Creating a very simple script removing all materials from the scene.</p>\n\
<div class=\'section\'><a id=\"how-to-...-quickly-rename-selected-objects\"></a><h4 id=\"how-to-...-quickly-rename-selected-objects\">How To ... Quickly Rename Selected Objects</h4></div>\n\
<p>Developing a simple renaming utility to change the names of selected objects</p>\n\
<div class=\'section\'><a id=\"how-to-...-select-non-quad-polygons\"></a><h4 id=\"how-to-...-select-non-quad-polygons\">How To ... Select Non-Quad Polygons</h4></div>\n\
<p>Example of accessing and selecting Polygons in an EditablePoly object.</p>\n\
<div class=\'section\'><a id=\"how-to-...-assign-materials-automatically\"></a><h4 id=\"how-to-...-assign-materials-automatically\">How To ... Assign Materials Automatically</h4></div>\n\
<p>Shows how to use MAXScript callbacks to automate material assignment</p>\n\
<div class=\'section\'><a id=\"how-to-...-move-objects-to-a-surface\"></a><h4 id=\"how-to-...-move-objects-to-a-surface\">How To ... Move Objects to a Surface</h4></div>\n\
<p>Shows how to use the intersectRay function to find surface points on objects.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-object-data-to-file\"></a><h4 id=\"how-to-...-output-object-data-to-file\">How To ... Output Object Data To File</h4></div>\n\
<p>Shows the basic of writing object data to an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-geometry-data-to-text-file---part-one\"></a><h4 id=\"how-to-...-output-geometry-data-to-text-file---part-one\">How To ... Output Geometry Data To Text File - Part One</h4></div>\n\
<p>Shows the basic of writing mesh geometry data to an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-one\"></a><h4 id=\"how-to-...-read-geometry-data-from-text-file---part-one\">How To ... Read Geometry Data From Text File - Part One</h4></div>\n\
<p>Shows the basic of reading object data from an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-geometry-data-to-text-file---part-two\"></a><h4 id=\"how-to-...-output-geometry-data-to-text-file---part-two\">How To ... Output Geometry Data To Text File - Part Two</h4></div>\n\
<p>Enhances the mesh geometry output script with support of smoothing groups, material ids and edge visibility.</p>\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-two\"></a><h4 id=\"how-to-...-read-geometry-data-from-text-file---part-two\">How To ... Read Geometry Data From Text File - Part Two</h4></div>\n\
<p>Enhances the input script developed in Part One to support the new data added by the preceding tutorial.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-quick-preview\"></a><h4 id=\"how-to-...-create-a-quick-preview\">How To ... Create a Quick Preview</h4></div>\n\
<p>Implements a simple viewport preview and automatic RAMplayer loading</p>\n\
<div class=\'section\'><a id=\"how-to-...-access-the-z-depth-channel\"></a><h4 id=\"how-to-...-access-the-z-depth-channel\">How To ... Access the Z-Depth channel</h4></div>\n\
<p>A small experiment creating objects based on the Z-Depth of the camera</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-monochrome-rendereffect\"></a><h4 id=\"how-to-...-create-a-monochrome-rendereffect\">How To ... Create a MonoChrome RenderEffect</h4></div>\n\
<p>A simple example of a scripted RenderEffect plug-in</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-custom-mesh-object\"></a><h4 id=\"how-to-...-create-custom-mesh-object\">How To ... Create Custom Mesh Object</h4></div>\n\
<p>Shows how to create a custom mesh object</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-scripted-geometry-plug-in\"></a><h4 id=\"how-to-...-create-scripted-geometry-plug-in\">How To ... Create Scripted Geometry Plug-in</h4></div>\n\
<p>An example of a scripted geometry plug-in</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-dalmatian-texturemap-plug-in\"></a><h4 id=\"how-to-...-create-a-dalmatian-texturemap-plug-in\">How To ... Create a Dalmatian TextureMap Plug-in</h4></div>\n\
<p>An example of a scripted texture map plug-in in the famous polka-dot dog look</p>\n\
<div class=\'section\'><a id=\"how-to-...-access-windows-system-data\"></a><h4 id=\"how-to-...-access-windows-system-data\">How To ... Access Windows System Data</h4></div>\n\
<p>Shows an approach to access system data that is not directly exposed to MAXScript</p>\n\
<div class=\'section\'><a id=\"how-to-...-sort-trackview-alphabetically\"></a><h4 id=\"how-to-...-sort-trackview-alphabetically\">How To ... Sort TrackView Alphabetically</h4></div>\n\
<p>Shows an approach to sort the objects in the TrackView</p>\n\
<div class=\'section\'><a id=\"how-to-...-flatten-a-splineshape\"></a><h4 id=\"how-to-...-flatten-a-splineshape\">How To ... Flatten a SplineShape</h4></div>\n\
<p>Example of modifying a slineShape by moving knots and bezier vectors</p>\n\
<div class=\'section\'><a id=\"how-to-...-draw-a-freehand-spline\"></a><h4 id=\"how-to-...-draw-a-freehand-spline\">How To ... Draw a Freehand Spline</h4></div>\n\
<p>Example of drawing a spline with the mouse in the ground plane.</p>\n\
<div class=\'section\'><a id=\"how-to-...-enhance-the-morpher-modifier-with-floating-controls\"></a><h4 id=\"how-to-...-enhance-the-morpher-modifier-with-floating-controls\">How To ... Enhance the Morpher Modifier With Floating Controls</h4></div>\n\
<p>Example of dynamic UI creation, time and change callbacks usage to create a floater with controls linked interactively to a Morpher modifier.</p>\n\
<div class=\'section\'><a id=\"how-to-...-change-objects-at-render-time\"></a><h4 id=\"how-to-...-change-objects-at-render-time\">How To ... Change Objects At Render Time</h4></div>\n\
<p>An example of changing object properties at render time using callback scripts.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-vertex-renderer\"></a><h4 id=\"how-to-...-develop-a-vertex-renderer\">How To ... Develop a Vertex Renderer</h4></div>\n\
<p>An example of a scripted vertex realtime renderer.</p>\n\
<div class=\'section\'><a id=\"how-to-...-script-particle-flow\"></a><h3 id=\"how-to-...-script-particle-flow\">How To ... Script Particle Flow</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-transfer-particleflow-particle-motion-to-scene-objects\"></a><h4 id=\"how-to-...-transfer-particleflow-particle-motion-to-scene-objects\">How To ... Transfer ParticleFlow Particle Motion To Scene Objects</h4></div>\n\
<p>An example of moving scene objects using Particle Flow particles.</p>\n\
<div class=\'section\'><a id=\"how-to-...-affect-particle-flow-particles-by-mass\"></a><h4 id=\"how-to-...-affect-particle-flow-particles-by-mass\">How To ... Affect Particle Flow Particles by Mass</h4></div>\n\
<p>An example of applying a Force to particles based on their mass.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool-in-nine-easy-steps\"></a><h3 id=\"how-to-...-develop-a-bitmap-painting-tool-in-nine-easy-steps\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---basic-utility\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---basic-utility\">How To ... Develop a Bitmap Painting Tool - Basic Utility</h4></div>\n\
<p>The first step of the tool creation - The basic tool with a single point brush without strokes support.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---strokes-support\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---strokes-support\">How To ... Develop a Bitmap Painting Tool - Strokes Support</h4></div>\n\
<p>The second iteration of the tool adds continuous stroke drawing.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---brush-size-and-color\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---brush-size-and-color\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</h4></div>\n\
<p>The third iteration of the tool adds control over the size and color of the brush.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---airbrush-and-shapes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---airbrush-and-shapes\">How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</h4></div>\n\
<p>The fourth iteration of the tool adds circular brush shape support and an Airbrush option with variable strength.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---smooth-brushes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---smooth-brushes\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</h4></div>\n\
<p>The fifth iteration of the tool adds a brush with smooth falloff</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---load-and-save\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---load-and-save\">How To ... Develop a Bitmap Painting Tool - Load and Save</h4></div>\n\
<p>The sixth iteration of the tool adds bitmap file loading and saving. Finally, you can store your work of art to disk!</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---erase-changes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---erase-changes\">How To ... Develop a Bitmap Painting Tool - Erase Changes</h4></div>\n\
<p>The seventh iteration of the tool adds an eraser option to the right mouse button and a Commit Changes menu option to permanently bake the changes to the image.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---unwrap-uv-coordinates\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---unwrap-uv-coordinates\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</h4></div>\n\
<p>The eight iteration of the tool adds UV texture coordinates unwrapping and realtime updates of the bitmap as diffusemap on a selected object.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---3d-painting\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---3d-painting\">How To ... Develop a Bitmap Painting Tool - 3D Painting</h4></div>\n\
<p>The ninth iteration of the tool adds 3D Painting on a selected object in the viewport.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-tools-using-dotnet\"></a><h3 id=\"how-to-...-develop-tools-using-dotnet\">How To ... Develop Tools Using DotNet</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-copy-the-last-rendered-image-to-the-windows-clipboard\"></a><h4 id=\"how-to-...-copy-the-last-rendered-image-to-the-windows-clipboard\">How To ... Copy The Last Rendered Image To The Windows Clipboard</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet class to put the last rendered image into the Windows Clipboard.</p>\n\
<div class=\'section\'><a id=\"how-to-...-call-a-maxscript-function-periodically-using-dotnet\"></a><h4 id=\"how-to-...-call-a-maxscript-function-periodically-using-dotnet\">How To ... Call a MAXScript Function Periodically using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<div class=\'section\'><a id=\"how-to-...-generate-hash-checksums-using-dotnet\"></a><h4 id=\"how-to-...-generate-hash-checksums-using-dotnet\">How To ... Generate Hash Checksums using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<div class=\'section\'><a id=\"how-to-...-print-using-dotnet\"></a><h4 id=\"how-to-...-print-using-dotnet\">How To ... Print Using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet form to display a file from disk and then print it as multiple pages to the printer.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-xview-geometry-checker\"></a><h3 id=\"how-to-...-develop-an-xview-geometry-checker\">How To ... Develop An XView Geometry Checker</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part-1\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part-1\">How To ... Develop A Face AreaXViewChecker - Part 1</h4></div>\n\
<p>This tutorial demonstrates how to define and register MAXScript functions with the XView Checker interface introduced in <em>3ds Max 2010</em> to perform a Face Area test on geometry objects.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part2\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part2\">How To ... Develop A Face AreaXViewChecker - Part2</h4></div>\n\
<p>This tutorial expands on the previous example by adding multiple checker modes and custom text and display override functions.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part3\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part3\">How To ... Develop A Face AreaXViewChecker - Part3</h4></div>\n\
<p>This tutorial continues the development of the Face Area Geometry Checker by implementing sticky settings via an INI file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part4\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part4\">How To ... Develop A Face AreaXViewChecker - Part4</h4></div>\n\
<p>This tutorial finishes the development of the Face Area Geometry Checker by implementing a MacroScript to place in the Viewport Menus.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";