var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2018</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2018</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2018\"></a></div>\n\
<p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2018</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>Highlights</p>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col width=\"33.33333333333333%\" align=\"left\">\n\
<col width=\"33.33333333333333%\" align=\"left\">\n\
<col width=\"33.33333333333333%\" align=\"left\">\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\" align=\"left\" valign=\"bottom\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-16261D42-A6B2-4DFB-913C-3D7E25500ACF-low.png\">\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"bottom\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-370DFD6B-B6A8-4F4F-B2C8-686FD17E15BD-low.png\">\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"bottom\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-E5746E12-83E7-4794-BBEB-917EFA26359B-low.png\">\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Materials, Shaders and Maps</em>:<a name=\"UL_F06AB0B96D97464CA91EC4B9278D152D\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
You can now determine if a material (or any other MAXWrapper) is used in a scene using <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">isUsedInScene()</a></span>, and whether a material or texture is used in a material using <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\">isMtlUsedInSceneMtl()</a></span>.\n\
</li>\n\
<li>\n\
The Scene Material Library (<span class=\"code\" translate=\"no\">sceneMaterials</span> collection) can be forced to update using <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">UpdateSceneMaterialLib()</a></span>. In some cases this collection can get out of date and contain materials not currently used in the scene, such as when a node gets deleted.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader</a></span> now exposes the <span class=\"code\" translate=\"no\">.parentMaterial</span> property.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Vector_Map-TextureMap/Vector_Map-textureMap.html\">vector_map</a></span> now exposes the <span class=\"code\" translate=\"no\">.finiteResolution</span> and <span class=\"code\" translate=\"no\">.resType</span> properties.\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<a name=\"GUID-D22ACCFB-50CD-4BB8-A119-CEDC781AAF96\"></a>\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Scripted Plug-ins</em>:<a name=\"UL_A8BC0121E53B4B138E13F1E7C6F1A24A\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted Plug-ins</a></span> now support new parameter types of <em class=\"strong\">#paramBlock2</em> and <em class=\"strong\">#point2</em>.\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted Plug-ins</a></span> now support new parameter event handlers <em class=\"strong\">preSet</em> and <em class=\"strong\">postSet</em> that are guaranteed to use the original and new parameter value respectively.\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/MAXtoA-Scripted-Plug-ins.html\">Scripted MAXtoA</a></span> plug-ins can now be created for Arnold nodes.\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">TrackView</em>:<a name=\"UL_E1531B39D5424E859CDA0144AF7628AE\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
There are new filter flags for <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\">TrackView</a></span>: <em class=\"strong\">#activeLayer</em> and <em class=\"strong\">#unlockedTracks</em>. There is a new method to test flags, <span class=\"code\" translate=\"no\">testFilter()</span>.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Mixin Interface trackviews.current.ui</a></span> now exposes the <span class=\"code\" translate=\"no\">getToolbarObjectName</span> method to retrieve the non-localized toolbar name. By contrast, the <span class=\"code\" translate=\"no\">getToolbarName</span> method returns a localized string.\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-7F5779B3-2973-4D9A-BF8F-6BF0F3230566-low.png\">\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-53A6604C-BE7E-4334-919C-97BA781DCF2C-low.png\">\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
 <img src=\"developer/What-is-New-in-MAXScript/images/GUID-0480BD60-4A2A-4103-9EF1-592AAEC2A374-low.png\">\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<a name=\"GUID-569A7C70-2AB5-4C0C-8EDF-98BC2C96A699\"></a>\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Geometry Objects Type-in Properties</em>:<a name=\"UL_32B594AD41CE4B5187CC04E845155AD5\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
The <em class=\"strong\">Keyboard Entry</em> properties for several geometry objects are now exposed. These properties are now available for <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Box-GeometryClass.html\">Box</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferBox-GeometryClass.html\">ChamferBox</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferCyl-GeometryClass.html\">ChamferCyl</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cone-GeometryClass.html\">Cone</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cylinder-GeometryClass.html\">Cylinder</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Prism-GeometryClass.html\">Prism</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Pyramid-GeometryClass.html\">Pyramid</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Teapot-GeometryClass.html\">Teapot</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Torus-GeometryClass.html\">Torus</a></span>, and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Tube-GeometryClass.html\">Tube</a></span>.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a></span> now also define the <span class=\"code\" translate=\"no\">.CenterCreate</span> property which controls the offset of the mesh as though it had been created from its center.\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Chamfer Quad Intersection Mode</em>: The following boolean properties have been added to control the quad intersection mode. Enabling this mode attempts to preserve the quad structure of the faces participating in the chamfered edges.<a name=\"UL_2CC0F9FE11A24543AFE0140DCEBF6016\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer</a></span><span class=\"code\" translate=\"no\">.quadIntersectionMode</span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a></span><span class=\"code\" translate=\"no\">.edgeChamferQuadIntersections</span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\">Editable_Poly</a></span><span class=\"code\" translate=\"no\">.edgeChamferQuadIntersections</span>\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
<td class=\"table-body\" align=\"left\" valign=\"top\">\n\
<a name=\"GUID-6F9C383C-DC4A-452C-8AD9-DC8FA3DE4491\"></a>\n\
<p class=\"table-body\">\n\
<em class=\"strong\">BooleanClass Comparison</em>:<a name=\"UL_C06FE9DC792D4AA4A0C0CBE4ABC4B9BA\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/BooleanClass-Values.html\">BooleanClass</a></span> values can now be compared to Integer values, with 0 equivalent to <em class=\"strong\">false</em> and all other values equivalent to <em class=\"strong\">true</em>.\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"whats-new-in-3ds-max-2018.2-update\"></a><h2 id=\"whats-new-in-3ds-max-2018.2-update\">What&#39;s New in 3ds Max 2018.2 Update</h2></div>\n\
<p>This section covers enhancements and changes in 3ds Max 2018.2 Update.</p>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Spline Enhancements</em>\n\
</td>\n\
<td class=\"table-body\">\n\
Several new objects and modifiers in the Spline Tools feature are exposed in MAXScript:<a name=\"UL_73E824C713744D90A6CA0CC4702F65F3\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Freehand-Shape.html\">FreehandSpline: Shape</a></span> object\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Normalize_Spline2-Modifier.html\">Normalize_Spline2</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Path_Deform2-Modfier.html\">Path_Deform2</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Optimize_Spline-Modifier.html\">Optimize_Spline</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineInfluence-Modifier.html\">SplineInfluence</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/InfluenceHelper-Helper.html\">InfluenceHelper</a></span> helper\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineRelax-Modifier.html\">SplineRelax</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMorph-Modifier.html\">SplineMorph</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineOverlap-Modifier.html\">SplineOverlap</a></span> modifier\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMirror-Modifier.html\">SplineMirror</a></span> modifier\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Dump file creation</em>\n\
</td>\n\
<td class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\">systemTools</a></span> struct now exposes some functions to control how dump files are created and what they contain. These are <span class=\"code\" translate=\"no\">GenerateMiniDumpAndContinue()</span>, <span class=\"code\" translate=\"no\">SetMiniDumpContents()</span> and <span class=\"code\" translate=\"no\">SetBigMiniDumpContents()</span>.\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Previously Undocumented Items</em>\n\
</td>\n\
<td class=\"table-body\">\n\
Several previously undocumented items are now documented:<a name=\"UL_F840B82C437B4469829C2387118319F1\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Box3-Values.html\">Box3 Values</a></span>\n\
</li>\n\
<li>\n\
Global parameters in the <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup dialog</a></span>: <span class=\"code\" translate=\"no\">rendLockImageAspectRatio</span>, <span class=\"code\" translate=\"no\">rendImageAspectRatio</span>, <span class=\"code\" translate=\"no\">rendPixelAspectRatio</span>, <span class=\"code\" translate=\"no\">rendUseImgSeq</span>, and <span class=\"code\" translate=\"no\">rendImgSeqType</span>.\n\
</li>\n\
<li>\n\
Functions for <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curves</a></span>: <span class=\"code\" translate=\"no\">getMultiplierCurve()</span> and <span class=\"code\" translate=\"no\">getEaseCurve()</span>.\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">inverseHighPrecision()</span> function for <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3</a></span> values.\n\
</li>\n\
<li>\n\
Body_Object conversion functions: <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\">convertToBody()</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Join_Bodies-GeometryClass.html\">convertToJoinBodies()</a></span>, and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Cutter-GeometryClass.html\">convertToBodyCutter()</a></span>.\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">getCommandMode()</span> function for the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a></span> modifier and interface <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">Editable_Poly</a></span>.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"whats-new-in-3ds-max-2018.3-update\"></a><h2 id=\"whats-new-in-3ds-max-2018.3-update\">What&#39;s New in 3ds Max 2018.3 Update</h2></div>\n\
<p>This section covers enhancements and changes in 3ds Max 2018.3 Update.</p>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Fluid Simulation</em>\n\
</td>\n\
<td class=\"table-body\">\n\
New objects that support fluid simulation are exposed in MAXScript:<a name=\"UL_CE03A0239BB345BDBADB3CA41FC02B1A\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Fluids/MaxLiquid-GeometryClass.html\">MaxLiquid : GeometryClass</a></span> object\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/MaxLiquidSolver.html\">LiquidSolver</a></span> object\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"whats-new-in-3ds-max-2018.4-update\"></a><h2 id=\"whats-new-in-3ds-max-2018.4-update\">What&#39;s New in 3ds Max 2018.4 Update</h2></div>\n\
<p>This section covers enhancements and changes in 3ds Max 2018.4 Update.</p>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Missing Path Monitor Cache</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The new missing path monitor cache is exposed in MAXScript with the new <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\">missingPathCache</a></span> interface.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">.NET Support</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Improved support for conversion between C# and MAXScript values.\n\
</p>\n\
<a name=\"UL_2981F01816F94F0FB14FE9E9BD8B9DB5\"></a>\n\
<ul>\n\
<li>\n\
Conversion for C# built-in type names\n\
</li>\n\
<li>\n\
Conversion for Point2, Point3, Point4, Quat, EulerAngles and Matrix3 to .NET arrays.\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
See <span class=\"char_link\"><a href=\"#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript / DotNet Value Conversions</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">MeshOp Methods</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
New methods in the MeshOp struct take list parameters: <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFace()</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFaces()</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html#mesh-vertex-access\">meshOp.getVerts()</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">PolyOp Methods</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
New versions of existing methods in <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly</a></span> that take lists instead of a single index, and return arrays:\n\
</p>\n\
<a name=\"UL_6563975CFD8A4874BB7DBBE70F08F17C\"></a>\n\
<ul>\n\
<li>\n\
polyop.getEdgesVerts()\n\
</li>\n\
<li>\n\
polyop.getEdgesFaces()\n\
</li>\n\
<li>\n\
polyop.getFacesVerts()\n\
</li>\n\
<li>\n\
polyop.getFacesEdges()\n\
</li>\n\
<li>\n\
polyop.getVerts()\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">PRT Export</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Enhanced PRT file export for fluids is exposed in a new interface, <span class=\"code\" translate=\"no\"><span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PRTExport.html\">PRTExport</a></span></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Symbolic Path Names</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
A new <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\">symbolic path name</a></span> <span class=\"code\" translate=\"no\">#pageFile</span> is added to match the system directory global <span class=\"code\" translate=\"no\">$pageFile</span>.\n\
</p>\n\
<p class=\"table-body\">\n\
Several path names and system directory names introduced in 3ds Max 2017 that were previously undocumented are now documented.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">3ds Max Batch</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Some additions have been made to support the improved version of 3ds Max Batch introduced in this update:\n\
</p>\n\
<a name=\"UL_3DAC959466AE450781233CF294ACA12E\"></a>\n\
<ul>\n\
<li>\n\
New <span class=\"code\" translate=\"no\">quiet:&lt;bool&gt;</span> and <span class=\"code\" translate=\"no\">exitcode:&lt;int&gt;</span> arguments to the <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">quitMax()</a></span> function.\n\
</li>\n\
<li>\n\
New <span class=\"code\" translate=\"no\">mxsCmdLineArgs</span> member of <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">mxsOps</a></span> contains a dictionary of values passed from <span class=\"filePath\" translate=\"no\">3dsmaxbatch.exe</span> via the <span class=\"code\" translate=\"no\">-mxsString</span> and <span class=\"code\" translate=\"no\">-mxsValue</span> parameters.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Callbacks</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.show()</a></span> method has a new <span class=\"code\" translate=\"no\">to:&lt;stream&gt;</span> argument to specify a stream value that the method can send output to.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Scene Converter</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\">SceneConverter</a></span> interface has a new property and two new methods for dealing with missing legacy assets on file load or merge:\n\
</p>\n\
<a name=\"UL_544400DF8E94460784DEE3052DFBFBDB\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">sceneconverter.AutoRemoveMissingLegacyAssets</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">sceneconverter.GetMissingLegacyAssetsName()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">sceneconverter.RemoveMissingLegacyAssetsFromScene()</span>\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"enhancements-and-changes\"></a><h2 id=\"enhancements-and-changes\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>Enhancements and Changes</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col width=\"30.76923076923077%\">\n\
<col width=\"69.23076923076923%\">\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">mental ray and iray</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
By default, mental ray and iray are no longer installed with 3ds Max. All corresponding classes and interfaces have been removed, though the names have been reserved and appear as &quot;undefined&quot; if inspected with <span class=\"code\" translate=\"no\">apropos()</span> or <span class=\"code\" translate=\"no\">showclass()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Ray and Matrix3 Values</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Ray-Values.html\">Ray Values</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Maxtrix3 Values</a></span> now support comparisons using the <span class=\"code\" translate=\"no\">==</span> and <span class=\"code\" translate=\"no\">!=</span> operators.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Try Expression</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\">Try expressions</a></span>, You can now use <span class=\"code\" translate=\"no\">getErrorSourceFileName()</span>, <span class=\"code\" translate=\"no\">getErrorSourceFileLine()</span>, and <span class=\"code\" translate=\"no\">getErrorSourceFileOffset()</span> to obtain more information about the location of an error in a catch block. This can be useful if running external scripts via <span class=\"code\" translate=\"no\">fileIn()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">XRefScene Values</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a></span> has new parameters, <em class=\"strong\">root</em> and <em class=\"strong\">owner</em>, both of which return the owning root node for the XRefScene.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
A root node can now be coerced to an <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a></span> value using <span class=\"code\" translate=\"no\">&lt;RootNode&gt; as XRefScene</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Alembic</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/AlembicFloat-FloatController.html\">AlembicFloat</a></span> controller exposes the visibility track for imported Alembic objects.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import</a></span> plugins now expose a <span class=\"code\" translate=\"no\">.ShapeName</span> boolean property to control whether or not the &quot;Shape&quot; string suffix is trimmed from imported and exported objects.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Unwrap_UVW Modifer - Edit UVWs Floater</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">addFloater()</span>, <span class=\"code\" translate=\"no\">ShowFloater()</span> and <span class=\"code\" translate=\"no\">DeleteFloater()</span> methods for <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\">Unwrap_UVW</a></span> are removed.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Grid Helper</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">Grid Helper</a></span> now exposes the <span class=\"code\" translate=\"no\">.activeColor</span> and <span class=\"code\" translate=\"no\">.displayPlane</span> properties\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">cui.RegisterDialogBar</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <em class=\"strong\">maxSize</em> parameter for <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.RegisterDialogBox</a></span> is deprecated and no longer has any effect on the dialog box size.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">maxops Core Interface</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops Core Interface</a></span> now exposes the settings for <em class=\"strong\">Motion Paths</em> (previously known as <em class=\"strong\">Trajectories</em> in the user interface).\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops Core Interface</a></span> now also exposes the <span class=\"code\" translate=\"no\">isRibbonSupportEnabled</span> property to check if the ribbon has been deactivated.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">Exchange Store Package Manager Core Interface</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">ExchangeStorePackageManager</span> Core Interface now exposes the following method to process custom install directories based on a filepath: <span class=\"code\" translate=\"no\">ProcessCustomInstallDirectory</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">HelpSystem Core Interface</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">HelpSystem Core Interface</a></span> can now be used to open the Python and MaxScript help, and to open an arbitrary .CHM file on disk.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">AssetUser Mixin Interface</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Mixin Interface</a></span> now exposes the <span class=\"code\" translate=\"no\">Reset</span> method to relinquish its reference to the underlying asset.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<em class=\"strong\">PFlow and CFD Simulation</em>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Node-Helper.html\">AirFlow_Node</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Spline-Helper.html\">AirFlow_Spline</a></span> operators import CFD data for simulating air flows using Particle Flow.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
<td class=\"table-body\">\n\
 \n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<p><em>Icon made by <a href=\'https://www.flaticon.com/authors/freepik\' title=\'\' target=\'_blank\'>Freepik</a> from <a href=\'https://www.flaticon.com\' title=\'\' target=\'_blank\'>www.flaticon.com</a>.</em></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";