var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Documentation Changes in 3ds Max 2009</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Documentation Changes in 3ds Max 2009</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"documentation-changes-in-3ds-max-2009\"></a></div>\n\
<p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 2008</strong> update:</p>\n\
<div class=\'section\'><a id=\"fixed-errors\"></a><h2 id=\"fixed-errors\">Fixed Errors</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/thehold.html\' title=\'\'>TheHold</a></p>\n\
<p>Fixed errors in theHold documentation - <span class=\'code\'>isHolding()</span> returns Boolean values and not integers, <span class=\'code\'>theHold.SuperLevel()</span> is the correct name of the method formerly listed as <span class=\'code\'>theHold.getSupperLevel()</span></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Topology.html\' title=\'\'>Unwrap6Interface</a></p>\n\
<p>Fixed the names of all methods operating on a specific node by adding the missing &quot;ByNode&quot; suffix.</p>\n\
<div class=\'section\'><a id=\"additions\"></a><h2 id=\"additions\">Additions</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\' title=\'\'>Mesh Vertex Methods</a></p>\n\
<p>Added notes to both the <span class=\'code\'>setVert()</span> and <span class=\'code\'>meshop.setVert()</span> methods that only the latter supports vertex animation at the Editable Mesh level.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-11/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#set-key-mode\' title=\'\'>maxOps Se tKey Mode</a></p>\n\
<p>Added example and notes to the description of the <span class=\'code\'>maxOps.getDefaultTangentType()</span> and <span class=\'code\'>maxOps.setDefaultTangentType()</span> methods.</p>\n\
<div class=\'section\'><a id=\"mental-ray\"></a><h3 id=\"mental-ray\">mental ray</h3></div>\n\
<p>A large number of mental ray shaders have been included to allow interoperability with other Autodesk products supporting mental ray.</p>\n\
<p>This is a list of mental ray shaders implementing <strong>3ds Max</strong> maps and volumetic effects. These shaders provide identical results in mental ray to the native <strong>3ds Max</strong> maps and effects rendered in the Default Scanline renderer.</p>\n\
<div class=\'section\'><a id=\"color-values\"></a><h3 id=\"color-values\">Color Values</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\' title=\'\'>Color Values</a></p>\n\
<p>Added a note on Alpha display, Addition and Multiplication of Color Values.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Point4-Values.html\' title=\'\'>Point4 Values</a></p>\n\
<p>The <strong>Point4 Value class</strong> was implemented in <strong>3ds Max 6</strong> but never documented. It can be used to manipulate floating point color values without implicit conversion from/to 0-255 range.</p>\n\
<div class=\'section\'><a id=\"formatting\"></a><h2 id=\"formatting\">Formatting</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sun-Light.html\' title=\'\'>mr_Sun : Light</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sky-light.html\' title=\'\'>mr_Sky : light</a></p>\n\
<p>Reformatted the documentation of the two lights, added UI screenshots and ordered the properties in the same order as the parameters in the rollout for easier navigation.</p>\n\
<p>Arch___Design__mi: material</p>\n\
<p>mr_Physical_Sky : textureMap</p>\n\
<p>Reformatted the documentation of the two shaders, added UI <strong>screenshots with clickable hotspots</strong> and ordered the properties in the same order as the parameters in the rollout for easier navigation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";