var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2008</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2008</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2008\"></a></div>\n\
<p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2008</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"scite-maxscript-editor\"></a><h2 id=\"scite-maxscript-editor\">SciTE MAXScript Editor</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Editor-Windows.html\' title=\'\'>The MAXScript Editor Windows</a></p>\n\
<p>A <strong>new tabbed MAXScript Editor</strong> based on the open source Scintilla control and the SciTE editor has mostly replaced the original RichEdit-based MAXScript Editor.</p>\n\
<p>In addition to the MAXScript Editor, both the <strong>MAXScript Listener</strong> and its <strong>MacroRecorder</strong> pane and the <strong>Mini-Listeners</strong> in the bottom left corner of the GUI are now using the Scintilla control and provide an <strong>Undo depth of up to 500 operations</strong>!</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Overview.html\' title=\'\'>MAXScript Tabbed Editor Overview</a></p>\n\
<p>The above topic is an introduction to the new Editor and its main features and advantages.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\' title=\'\'>MAXScript Editor Commands</a></p>\n\
<p>This topic is an index with links to all relevant topics discussing the use of the new Editor, its menus, commands, keyboard shortcuts and the various customization methods. The same links are provided below for faster access:</p>\n\
<div class=\'section\'><a id=\"maxscript-editor---menu-options\"></a><h3 id=\"maxscript-editor---menu-options\">MAXScript Editor - Menu Options:</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-File-Menu.html\' title=\'\'>File Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Edit-Menu.html\' title=\'\'>Edit Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\' title=\'\'>Search Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/Regular-Expressions-Find-and.html\' title=\'\'>Regular Expressions Find and Replace in the MAXScript Editor</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Output-Pane.html\' title=\'\'>MAXScript Editor - Output Pane</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-View-Menu.html\' title=\'\'>View Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\' title=\'\'>Tools Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Options-Menu.html\' title=\'\'>Options Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Language-Menu.html\' title=\'\'>Language Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Windows-Menu.html\' title=\'\'>Windows Menu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Help-Menu.html\' title=\'\'>Help Menu</a></p>\n\
<div class=\'section\'><a id=\"maxscript-editor---keyboard-shortcuts\"></a><h3 id=\"maxscript-editor---keyboard-shortcuts\">MAXScript Editor - Keyboard Shortcuts:</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\' title=\'\'>MAXScript Editor - Keyboard Shortcuts</a></p>\n\
<div class=\'section\'><a id=\"maxscript-editor---configuration-and-customization\"></a><h3 id=\"maxscript-editor---configuration-and-customization\">MAXScript Editor - Configuration and Customization:</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\' title=\'\'>MAXScript Editor - MAXScript-Specific Language Settings</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\' title=\'\'>MAXScript Editor - Customizing Syntax Color Schemes</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>MAXScript Editor - Defining Custom Keyboard Shortcuts</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\' title=\'\'>MAXScript Editor - Defining Custom Context Menu Items</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\' title=\'\'>List of Editor Menu Commands</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Key-Commands.html\' title=\'\'>List of Editor Key Commands</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\' title=\'\'>MAXScript Editor - Defining And Using Abbreviations</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\' title=\'\'>MAXScript Editor - Defining Custom Status Bars</a></p>\n\
<div class=\'section\'><a id=\"new-3ds-max-features-exposure\"></a><h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2></div>\n\
<p>The following new features have been added to <strong>3ds Max 2008</strong> and have been exposed to MAXScript:</p>\n\
<div class=\'section\'><a id=\"viewport-shading---illumination-and-shadows\"></a><h3 id=\"viewport-shading---illumination-and-shadows\">Viewport Shading - Illumination and Shadows</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\' title=\'\'>Interface: IViewportShadingMgr</a></p>\n\
<p>This interface exposes the <strong>Viewport Shading System</strong> to MAXScript including shadows and per-pixel lighting.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\' title=\'\'>Interface: INodeShadingProperties</a></p>\n\
<p>This node interface exposes the <strong>Viewport Shading node properties</strong> to MAXScript.</p>\n\
<div class=\'section\'><a id=\"adaptive-degradation\"></a><h3 id=\"adaptive-degradation\">Adaptive Degradation</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Adaptive-Degradation-Access.html\' title=\'\'>Adaptive Degradation Access</a></p>\n\
<p>These new methods available in the <span class=\'code\'>viewport</span> struct provide means to get and set all controls of the completely rewritten <strong>Adaptive Degradation</strong> system.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeDisplayProperties.html\' title=\'\'>Interface: INodeDisplayProperties</a></p>\n\
<p>This new node interface provides access to the <span class=\'code\'>.neverDegrade</span> property which can be used to exclude nodes from <strong>Adaptive Degradation</strong>.</p>\n\
<div class=\'section\'><a id=\"show-map-in-viewports\"></a><h3 id=\"show-map-in-viewports\">Show Map In Viewports</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\' title=\'\'>Show Hardware MapIn Viewports</a></p>\n\
<p>The new <span class=\'code\'>enableHardwareMaterial()</span> and <span class=\'code\'>showHWTextureMap()</span> methods can be used to toggle the new flyout option in the Show Map In Viewports icon.</p>\n\
<div class=\'section\'><a id=\"viewport-controls\"></a><h3 id=\"viewport-controls\">Viewport Controls</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Viewport.SetFOV</a></p>\n\
<p>The new <span class=\'code\'>viewport.setFOV()</span> method sets the active viewport&#39;s field of view in degrees.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Viewport.GetFocalDistance</a></p>\n\
<p>The new method <span class=\'code\'>viewport.getFocalDistance()</span> and <span class=\'code\'>viewport.setFocalDistance()</span> get and set the active viewport&#39;s focal distance.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>ViewportPan, Zoom and Rotate</a></p>\n\
<p>The new <span class=\'code\'>viewport.pan(), viewport.zoom(),</span> <span class=\'code\'>viewport.zoomPerspective()</span> and <span class=\'code\'>viewport.rotate()</span> methods let you implement scripted viewport navigation operations similar to the interactive Pan, Zoom and Arc Rotate commands in the <strong>3ds Max</strong> UI.</p>\n\
<div class=\'section\'><a id=\"display-color-correction---gamma-and-lut\"></a><h3 id=\"display-color-correction---gamma-and-lut\">Display Color Correction - Gamma and LUT</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\' title=\'\'>Interface: IDisplayGamma</a></p>\n\
<p>The existing core interface has been extended to expose some Gamma and LUT settings including the color correction mode, the LUT filename and the Gamma value.</p>\n\
<div class=\'section\'><a id=\"scene-explorer\"></a><h3 id=\"scene-explorer\">Scene Explorer</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\' title=\'\'>Interface: SceneExplorerManager</a></p>\n\
<p>This new core interface provides <strong>Scene Explorer management functions</strong> including methods to open, close, load, save, position and resize named Scene Explorers, as well as methods for adding new property filters to Scene Explorers via scripted functions.</p>\n\
<div class=\'section\'><a id=\"actionitem-override\"></a><h3 id=\"actionitem-override\">ActionItem Override</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface.html\' title=\'\'>Interface: ActionItemOverrideManager</a></p>\n\
<p>This new core interface exposes the <strong>ActionItem Override</strong> feature to MAXScript.</p>\n\
<div class=\'section\'><a id=\"working-pivot\"></a><h3 id=\"working-pivot\">Working Pivot</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkingPivot.html\' title=\'\'>Interface: WorkingPivot</a></p>\n\
<p>This new core interface exposes the <strong>Working Pivot</strong> feature to MAXScript.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\' title=\'\'>Axis_Helper : Helper</a></p>\n\
<p>An instance of this internal helper class is used by the <strong>Working Pivot</strong> feature to display an axis tripod in the scene and set it as the current transformation system reference node.</p>\n\
<div class=\'section\'><a id=\"polygon-modeling\"></a><h3 id=\"polygon-modeling\">Polygon Modeling</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-9CA2E6DA-08C2-4279-87C9-B64351C0147E.html#selection\' title=\'\'>Edit_Poly Selection Properties</a></p>\n\
<p>A new property <span class=\'code\'>.selectMode</span> was added to the Edit_Poly modifier. It exposes the new sub-object selection modes (Off - SubObj - Multi).</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-9CA2E6DA-08C2-4279-87C9-B64351C0147E.html#chamfer\' title=\'\'>Edit_Poly Chamfer Properties</a></p>\n\
<p>A new property <span class=\'code\'>.edgeChamferSegments</span> was added to the Edit_Poly modifier. It exposes the new segmented edge chamfering feature.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#preview-selection\' title=\'\'>Editable Poly Preview Selection</a></p>\n\
<p>A new property <span class=\'code\'>.selectMode</span> was added to the Editable_Poly base object. It exposes the new sub-object selection modes (Off - SubObj - Multi).</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#edge-chamfer-extrude-values\' title=\'\'>Editable_Poly Edge Chamfer Properties</a></p>\n\
<p>A new property <span class=\'code\'>.edgeChamferSegments</span> was added to the Editable_Poly base object. It exposes the new segmented edge chamfering feature.</p>\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier\"></a><h3 id=\"unwrap_uvw-modifier\">Unwrap_UVW Modifier</h3></div>\n\
<p>The new <strong>unwrap6 interface</strong> exposed by the <strong>Unwrap_UVW Modifier</strong> provides access to new properties.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW : Modifier</a></p>\n\
<p>A new property <span class=\'code\'>.baseMaterial_list</span> was added to the <strong>Unwrap_UVW Modifier</strong>.</p>\n\
<div class=\'section\'><a id=\"projection-modifier\"></a><h3 id=\"projection-modifier\">Projection Modifier</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\' title=\'\'>Project_Mapping : ReferenceTarget</a></p>\n\
<p>Several new properties related to Projection Quality were added to the <strong>Project_Mapping modifier</strong>.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-73AC907D-1FE9-4B9B-8091-8B1AB98F1E85.html#cage-rollout\' title=\'\'>Projection Modifier Cage</a></p>\n\
<p>New methods <span class=\'code\'>exportCage()</span> and <span class=\'code\'>importCage()</span> were added to the <strong>projectionModOps Interface</strong> exposed by the Projection Modifier.</p>\n\
<div class=\'section\'><a id=\"point-cache-modifier-and-spacewarp\"></a><h3 id=\"point-cache-modifier-and-spacewarp\">Point Cache Modifier and SpaceWarp</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\' title=\'\'>Point_Cache: modifier</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\' title=\'\'>Point_CacheSpacewarpModifier: SpacewarpModifier</a></p>\n\
<p>A new <span class=\'code\'>.fileCount</span> property was added to the Point Cache Modifier and SpaceWarp, controlling whether a single file or a file per frame will be saved.</p>\n\
<div class=\'section\'><a id=\"load-save-animation\"></a><h3 id=\"load-save-animation\">Load / Save Animation</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\' title=\'\'>Interface: LoadSaveAnimation</a></p>\n\
<p>Several new methods were added to the <strong>LoadSaveAnimation Interface</strong>, as well as a <strong>stripLayers:</strong> option to some existing methods.</p>\n\
<div class=\'section\'><a id=\"biped\"></a><h3 id=\"biped\">Biped</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-F0DD10C3-9352-4C89-88B1-5375337D6377.html#object-space-object\' title=\'\'>Object Space Object and Head LookAt Target Properties</a></p>\n\
<p>The properties <span class=\'code\'>.osObject</span> and <span class=\'code\'>.headObject</span> of the <strong>Biped Vertical_Horizontal_Turn(Body):Matrix3 Controller</strong> were changed to accept <strong>undefined</strong> as a valid value.</p>\n\
<div class=\'section\'><a id=\"directx-shader\"></a><h3 id=\"directx-shader\">DirectX Shader</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\' title=\'\'>DirectX_9_Shader</a></p>\n\
<p>Several new methods related to getting the <strong>shader&#39;s techniques</strong> have been added to the function publishing interface exposed by the DirectX Shader Material</p>\n\
<div class=\'section\'><a id=\"export\"></a><h3 id=\"export\">Export</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-s3dexporter.html\' title=\'\'>Interface: s3dexporter</a></p>\n\
<p>This new core interface provides access to some actions in the <strong>Shockwave 3D Exporter Dialog</strong>.</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog\"></a><h3 id=\"render-scene-dialog\">Render Scene Dialog</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Pre-Render-Script-Evaluation.html\' title=\'\'>Pre-Render Script Evaluation Order Changes in 3ds Max 2008</a></p>\n\
<p>The evaluation order of Pre- and Post-Render Scripts has been changed.</p>\n\
<div class=\'section\'><a id=\"mental-ray\"></a><h3 id=\"mental-ray\">mental ray</h3></div>\n\
<p>mr_Sky_Portal : light</p>\n\
<p>The <strong>mental ray Sky Portal Light</strong> can be used to transfer outdoor lighting indoors by defining portals at openings like windows and doors and collecting light from skylight or HDRI environment maps.</p>\n\
<p>mr_Photographic_Exposure_Control : ToneOperator</p>\n\
<p>This new exposure control provides a real-world workflow familiar from traditional photography.</p>\n\
<div class=\'section\'><a id=\"bake-elements\"></a><h3 id=\"bake-elements\">Bake Elements</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\' title=\'\'>Interface: BakeElementProperties</a></p>\n\
<p>This new interface exposed by all BakeElements provides direct access to some Bake Element properties which were previously accessible only through the node&#39;s interface.</p>\n\
<div class=\'section\'><a id=\"maxops-interface\"></a><h3 id=\"maxops-interface\">MaxOps Interface</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>Interface: maxOps</a></p>\n\
<p>New properties and methods were added to the <strong>maxOps</strong> Interface to control the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#autokey-default-key\' title=\'\'>Default Key on Auto Key</a> creation and time.More new properties to control the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#motion-tab---motion-paths\' title=\'\'>Motion tab &gt; Trajectory</a> sub-object modes were added.</p>\n\
<p>A new <span class=\'code\'>maxOps.findNodes()</span> method was added. It can be used for <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-13/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#find-nodes\' title=\'\'>finidng similar nodes</a> including filtering by material and layer.</p>\n\
<div class=\'section\'><a id=\"menuman-interface\"></a><h3 id=\"menuman-interface\">MenuMan Interface</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>Interface: menuMan</a></p>\n\
<p>A new method <span class=\'code\'>createMenuItemFromAction()</span> was added to the <strong>menuMan Interface</strong>.</p>\n\
<div class=\'section\'><a id=\"animhandle-system\"></a><h3 id=\"animhandle-system\">AnimHandle System</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/AnimHandle-System.html\' title=\'\'>AnimHandle System</a></p>\n\
<p>The new <strong>AnimHandle System</strong> provides a <strong>unique ID number</strong> for <strong>every entity</strong> in the scene including nodes, modifiers, materials, controllers and so on.</p>\n\
<div class=\'section\'><a id=\"node-event-system\"></a><h3 id=\"node-event-system\">Node Event System</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\' title=\'\'>Node Event System</a></p>\n\
<p>The new <strong>Node Event System</strong> provides <strong>better handling of node-related events</strong> than the General Event Callback Mechanism available in previous releases of <strong>3ds Max</strong>.</p>\n\
<div class=\'section\'><a id=\"default-actions\"></a><h3 id=\"default-actions\">Default Actions</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-defaultActions.html\' title=\'\'>Interface: defaultActions</a></p>\n\
<p>The new <strong>default Actions core interface</strong> provides access to the default actions for several events like missing UVWs, missing DLLs and so on.</p>\n\
<div class=\'section\'><a id=\"maxscript-language-improvements\"></a><h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2></div>\n\
<p>The following new features have been added to MAXScript in <strong>3ds Max 2008</strong>:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/String-Literals.html\' title=\'\'>Verbatim String Literals</a></p>\n\
<p><strong>Verbatim string literals</strong> prefixed with the <span class=\'code\'>&#39;@&#39;</span> character are now supported and will not be expanded on evaluation even if containing escape character sequences like &#39;\\t&#39;, &#39;\\n&#39; or &#39;\\r&#39;.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\' title=\'\'>Standard Open and Save File Dialogs</a></p>\n\
<p>Anew <strong>historyCategory:</strong> optional keyword was added to the <span class=\'code\'>getOpenFilename()</span> and <span class=\'code\'>getSaveFilename()</span> methods. It allows you to specify a history category for your file dialogs.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>OpenBitmap</a></p>\n\
<p>The existing <span class=\'code\'>openBitMap()</span> method now returns <span class=\'code\'>undefined</span> if the bitmap cannot be loaded instead of generating a run time error.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Validity.html\' title=\'\'>World Space Modifiers - Validity Methods</a></p>\n\
<p>New <span class=\'code\'>isSpaceWarpValid()</span> method returns <span class=\'code\'>true</span> if a Space Warp can be applied to a given object.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Encrypting-Script-Files.html\' title=\'\'>Encrypting Script Files</a></p>\n\
<p>A new encryption scheme is provided in addition to the old encryption method. Scripts encrypted using the new method cannot be run in older versions of <strong>3ds Max</strong>!</p>\n\
<div class=\'section\'><a id=\"avguard-extensions\"></a><h2 id=\"avguard-extensions\">Avguard Extensions</h2></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard DLX Extension</a> has been completely incorporated into <strong>3ds Max 2008</strong>.</p>\n\
<div class=\'section\'><a id=\"node-related-methods\"></a><h3 id=\"node-related-methods\">Node Related Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\' title=\'\'>IntersectRayScene</a></p>\n\
<p>Added a new method for intersecting a ray with all nodes in the scene.</p>\n\
<p>Node Modifier Context Transform Methods</p>\n\
<p>Added new methods <span class=\'code\'>setModContextTM()</span> and <span class=\'code\'>setModContextBBox().</span></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Deformable-Methods.html\' title=\'\'>Node Deformable Methods</a></p>\n\
<p>Added new methods <span class=\'code\'>isDeformable(), numPoints()</span> and <span class=\'code\'>getPointPos().</span></p>\n\
<p>Node Bounding Box Methods</p>\n\
<p>Added new methods <span class=\'code\'>nodeGetBoundingBox()</span> and <span class=\'code\'>nodeLocalBoundingBox().</span></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>getNodeTM Method</a></p>\n\
<p>Added a new method <span class=\'code\'>getNodeTM()</span> which returns the node&#39;s transformation matrix, including the cases where the node is XRef Scene Object.</p>\n\
<div class=\'section\'><a id=\"references-dependencies-instances\"></a><h3 id=\"references-dependencies-instances\">References, Dependencies, Instances</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>refs.dependentNodes()</a></p>\n\
<p>Added a new method for getting nodes dependent on a given MAXObject.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>notifyDependents()</a></p>\n\
<p>Added a new method for notifying all dependents of a MAXObject.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>disableRefMsgs() and enableRefMsgs()</a></p>\n\
<p>Added new methods for disabling and enabling the Reference System.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>replaceInstances Method</a></p>\n\
<p>Updated the existing <span class=\'code\'>replaceInstances()</span> method.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>AreNodesInstances Method</a></p>\n\
<p>Added a new method <span class=\'code\'>areNodesInstances()</span> which returns <span class=\'code\'>true</span> if the two nodes passed as arguments are instances.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\' title=\'\'>Interface: Layer Manager</a></p>\n\
<p>Added a method <span class=\'code\'>getLayerObject()</span> which returns the layer&#39;s Reference Target. DEPRECATED, provided for backwards compatibility with scripts that use this method from the Avguard Extension.</p>\n\
<div class=\'section\'><a id=\"custattributes-structure-methods\"></a><h3 id=\"custattributes-structure-methods\">CustAttributes Structure Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Definition.html\' title=\'\'>Custom Attributes Definition Values</a></p>\n\
<p>Added two new methods: <span class=\'code\'>custAttributes.getDefClass()</span> and <span class=\'code\'>custAttributes.getDefInstances()</span></p>\n\
<div class=\'section\'><a id=\"controller-methods-and-structures\"></a><h3 id=\"controller-methods-and-structures\">Controller Methods and Structures</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\' title=\'\'>clearControllerNewFlag Method</a></p>\n\
<p>Added a new <span class=\'code\'>clearControllerNewFlag()</span> method to clear the flag signifying that a controller is a new instance that has not been assigned to a property yet.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/BezierDefaultParams-Structure.html\' title=\'\'>BezierDefaultParams Structure</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCBDefaultParams-Structure.html\' title=\'\'>TCBDefaultParams Structure</a></p>\n\
<p>Added two new structs to expose the default Bezier and TCB key settings for newly created keys.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/IK_ControllerMatrix3Controller.html\' title=\'\'>IK_ControllerMatrix3Controller : Matrix3Controller</a></p>\n\
<p>20 new methods added to the <strong>ik struct</strong> to provide access to the Axis settings of the IK controller, including Ease, Min, Max, Damping, Angle and Spring settings.</p>\n\
<div class=\'section\'><a id=\"meshop-structure-methods\"></a><h3 id=\"meshop-structure-methods\">Meshop Structure Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\' title=\'\'>Meshop Vertex Methods</a></p>\n\
<p>Tweaked the existing methods: <span class=\'code\'>meshop.setVert()</span> and <span class=\'code\'>meshop.moveVert()</span> to allow positions to be specified alternatively as array, thus allowing multiple vertices to be affected at the same time. Also adds soft-selection support to the latter method.</p>\n\
<div class=\'section\'><a id=\"polyop-structure-methods\"></a><h3 id=\"polyop-structure-methods\">Polyop Structure Methods</h3></div>\n\
<p>Editable Poly Methods</p>\n\
<p>Tweaked the existing methods: <span class=\'code\'>polyop.setVert()</span> and <span class=\'code\'>polyop.moveVert()</span> to allow positions to be specified alternatively as array, thus allowing multiple vertices to be affected at the same time. Also adds soft-selection support to the latter method.</p>\n\
<div class=\'section\'><a id=\"spline-shape-methods\"></a><h3 id=\"spline-shape-methods\">Spline Shape Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\' title=\'\'>New SplineShape Methods</a></p>\n\
<p>Added new methods: <span class=\'code\'>weldSpline(), findPathSegAndParam(), findLengthSegAndParam(), interpBezier3D(), tangetBezier3D().</span></p>\n\
<div class=\'section\'><a id=\"array-values\"></a><h3 id=\"array-values\">Array Values</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a></p>\n\
<p>Added new methods - <span class=\'code\'>appendIfUnique()</span> and <span class=\'code\'>makeUniqueArray()</span> - which can be used to ensure that the array contains only unique values.</p>\n\
<div class=\'section\'><a id=\"global-variables-management\"></a><h3 id=\"global-variables-management\">Global Variables Management</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\' title=\'\'>globalVars Structure</a></p>\n\
<p>The <span class=\'code\'>GlobalVars</span> struct provides methods to collect, inspect and manage global variables.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\' title=\'\'>Persistents Structure</a></p>\n\
<p>The <span class=\'code\'>Persistents</span> struct provides methods to collect, inspect and manage persistent global variables.</p>\n\
<div class=\'section\'><a id=\"bitmap-values\"></a><h3 id=\"bitmap-values\">Bitmap Values</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>pasteBitmap</a></p>\n\
<p>Added new methods - <span class=\'code\'>pasteBitmap()</span> and <span class=\'code\'>getBitmapInfo()</span> - which can be used to paste a bitmap into another bitmap and get info about the bitmap.</p>\n\
<div class=\'section\'><a id=\"datapair-values\"></a><h3 id=\"datapair-values\">DataPair Values</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\' title=\'\'>DataPair Values</a></p>\n\
<p>Added new <strong>DataPairValue</strong> class - a wrapper around two values of any type.</p>\n\
<div class=\'section\'><a id=\"string-value-methods\"></a><h3 id=\"string-value-methods\">String Value Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>String ValueMethods</a></p>\n\
<p>Added new methods <span class=\'code\'>toUpper(), toLower, substituteString(), replace_LF_with_CRLF()</span> and <span class=\'code\'>replace_CRFL_with_LF()</span> for changing a string to upper and lower case, replacing all occurrences of a string with another string and converting Line Feed and Carriage Return/Line Feed text files.</p>\n\
<div class=\'section\'><a id=\"quat-and-euler-value-methods\"></a><h3 id=\"quat-and-euler-value-methods\">Quat and Euler Value Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\' title=\'\'>Euler Angles Methods</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Quat-Values.html\' title=\'\'>Quat Related Methods</a></p>\n\
<p>Added anew method <span class=\'code\'>quatToEuler2()</span> which returns the same Euler value shown in the Transform Type-In dialog, and a new method <span class=\'code\'>quatArrayToEulerArray()</span> which converts an array of Quats into an array of EulerAngles.</p>\n\
<div class=\'section\'><a id=\"world-space-modifiers-and-space-warps\"></a><h3 id=\"world-space-modifiers-and-space-warps\">World Space Modifiers and Space Warps</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Force.html\' title=\'\'>World Space Modifiers - Force-Related Methods</a></p>\n\
<p>Addednew methods thatcan be used to calculate forces from World Space Modifiers.</p>\n\
<div class=\'section\'><a id=\"file-input-and-output\"></a><h3 id=\"file-input-and-output\">File Input and Output</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\' title=\'\'>BinStream for Binary Reading and Writing</a></p>\n\
<p>Added new BinStream I/Omethods <span class=\'code\'>writeLongLong(), writeDouble(), writeFloatAsDouble(), readLongLong(), readDouble()</span> and <span class=\'code\'>readDoubleAsFloat().</span></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\' title=\'\'>Accessing INI File Keys</a></p>\n\
<p>Added a new method <span class=\'code\'>hasINIsetting()</span> which returns true if the given key and/or section exists in the supplied INI file.</p>\n\
<div class=\'section\'><a id=\"filename-parsing\"></a><h3 id=\"filename-parsing\">Filename Parsing</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/File-Name-Parsing.html\' title=\'\'>File Name Parsing</a></p>\n\
<p>Added a new method <span class=\'code\'>pathIsNetworkPath()</span> which returns true if the argument is a network path.</p>\n\
<div class=\'section\'><a id=\"plug-ins-loading\"></a><h3 id=\"plug-ins-loading\">Plug-ins Loading</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\' title=\'\'>Miscellaneous Functions</a></p>\n\
<p>Added a new method <span class=\'code\'>scanForNewPlugins()</span> which scans for new plug-in classes and exposes them to MAXScript.</p>\n\
<div class=\'section\'><a id=\"viewports\"></a><h3 id=\"viewports\">Viewports</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Grids.html\' title=\'\'>Viewport Grids</a></p>\n\
<p>Addednew methods <span class=\'code\'>setGridSpacing()</span> and <span class=\'code\'>setGridMajorLines()</span> for setting the spacing and major lines of the viewport grids.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Viewport.GetViewportDib()</a></p>\n\
<p>Addedanew method <span class=\'code\'>viewport.getViewportDIB()</span> which can be used to get the viewport Device Independent Bitmap including Multi-Pass Camera Effects preview.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\' title=\'\'>Drawing Rectangle in the Viewport</a></p>\n\
<p>Addednew methods <span class=\'code\'>gw.hRect()</span> and <span class=\'code\'>gw.wRect()</span> for drawing a colored rectangle in the viewport.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\' title=\'\'>Drawing Triangles in the Viewport</a></p>\n\
<p>Addednew methods <span class=\'code\'>gw.startTriangles(). gw.endTriangles()</span> and <span class=\'code\'>gw.triangles()</span> for drawing a series of triangles to the viewport.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\' title=\'\'>Drawing TriStrip in the Viewport</a></p>\n\
<p>Addedanew method <span class=\'code\'>gw.triStrip()</span> for drawing a series of triangles to the viewport as a triangle strip.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\' title=\'\'>Refreshing the Viewports</a></p>\n\
<p>Addedanew method <span class=\'code\'>setNeedsRedraw()</span> which sets an internal MAXScript flag that theviewports need to be redrawn before MAXScript returns.</p>\n\
<div class=\'section\'><a id=\"animation-playback\"></a><h3 id=\"animation-playback\">Animation Playback</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>isAnimPlaying</a></p>\n\
<p>Addednew method <span class=\'code\'>isAnimPlaying()</span> which returns true if the animation is playing back and false if it is not.</p>\n\
<div class=\'section\'><a id=\"system-global-variables\"></a><h3 id=\"system-global-variables\">System Global Variables</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>timeDisplayMode</a></p>\n\
<p>Addednew system global variable <span class=\'code\'>timeDisplayMode</span> which can be used to get and set the time display mode.</p>\n\
<div class=\'section\'><a id=\"renderers\"></a><h3 id=\"renderers\">Renderers</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\' title=\'\'>Renderers</a></p>\n\
<p>Addednew methods <span class=\'code\'>renderers.GetDraftRenderer()</span> and <span class=\'code\'>renderers.ClearDraftRenderer()</span> for getting and resetting the former draft renderer which was retired in <strong>3ds Max 6</strong> but could still be present in old files.</p>\n\
<div class=\'section\'><a id=\"mouse-cursor\"></a><h3 id=\"mouse-cursor\">Mouse Cursor</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\' title=\'\'>Mouse Cursors</a></p>\n\
<p>Addednew read-only property <span class=\'code\'>mouse.inAbort</span></p>\n\
<div class=\'section\'><a id=\"paths-and-filenames\"></a><h3 id=\"paths-and-filenames\">Paths and Filenames</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\' title=\'\'>MAXScript Source Filename Access</a></p>\n\
<p>Addednew method <span class=\'code\'>getThisScriptFilename()</span> which is the same as <span class=\'code\'>getSourceFileName()</span> but has been available longer in the Avguard Extension and is providedfor backwards compatibility with scripts written to use the Extension.</p>\n\
<div class=\'section\'><a id=\"executing-external-commands\"></a><h3 id=\"executing-external-commands\">Executing External Commands</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\' title=\'\'>Executing External Commands</a></p>\n\
<p>Addedanew <span class=\'code\'>HiddenDOSCommand()</span> method to execute DOS commands in a hidden window.</p>\n\
<div class=\'section\'><a id=\"interaction-with-the-operating-system\"></a><h3 id=\"interaction-with-the-operating-system\">Interaction With The Operating System</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/Copy-To-and-From-Clipboard.html\' title=\'\'>Copy To and From Clipboard</a></p>\n\
<p>Addednew methods <span class=\'code\'>getClipBoardText(), setClipboardText(), getClipboardBitmap()</span> and <span class=\'code\'>setClipboardBitmap()</span> for getting and setting text and bitmap values from/to the Windows Clipboard.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'>System Information</a></p>\n\
<p>Addednew properties <span class=\'code\'>sysinfo.processAffinity</span> and <span class=\'code\'>sysinfo.systemAffinity</span> for getting and setting the process and system affinity per CPU.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\' title=\'\'>System Tools</a></p>\n\
<p>Addednew methods <span class=\'code\'>systemTools.getEnvVariable()</span> and <span class=\'code\'>systools.setEnvVariable()</span> for getting and setting values from/to the Windows Environment variables.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.html\' title=\'\'>Windows Structure</a></p>\n\
<p>Added a new <strong>Windows</strong> struct providing methods to access Windows HWND values of child windows, <strong>3ds Max</strong> and the Windows desktop.</p>\n\
<div class=\'section\'><a id=\"windows-registry-access\"></a><h3 id=\"windows-registry-access\">Windows Registry Access</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/Registry-Access/Registry-Structure.html\' title=\'\'>Registry Structure</a></p>\n\
<p>Added a new <strong>Registry</strong> struct providing methods to access Windows Registry keys and values.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-With-The-Operating/Registry-Access/HKey-Values.html\' title=\'\'>HKey Values</a></p>\n\
<p>Addednew <strong>HKey Value</strong> class representing a Registry Key value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";