var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Documentation Changes in 3ds Max 9</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Documentation Changes in 3ds Max 9</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"documentation-changes-in-3ds-max-9\"></a></div>\n\
<p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 9</strong> update:</p>\n\
<div class=\'section\'><a id=\"additions\"></a><h2 id=\"additions\">Additions</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing dommission documentation** of the <strong>IScriptCtrl</strong> Interface originally introduced in <strong>3ds Max 8</strong>. This interface provides full access to the new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>scripted controllers</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing dommission documentation** of the <span class=\'code\'>hdr:</span> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>bitmap value</a> parameter originally introduced in <strong>3ds Max 8</strong>. This parameter allows the construction of 32 bit per channel bitmaps instead of the default 8 bit per channel bitmaps.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing documentation** of the <span class=\'code\'>outputHDRbitmap:</span> parameter to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>render() method</a> introduced originally in <strong>3ds Max 8</strong>. This parameter allows the rendering to 32 bit per channel bitmaps instead of the default 8 bit per channel bitmaps.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing <strong>documentation</strong> of the Go To Line Or Character dialog available in the MAXScript Editor since <strong>3ds Max 8</strong>. By pressing <strong>Ctrl+J</strong>, the user can open a modal dialog to enter a line and/or character number to jump to the corresponding location in the source code, for example based on the output of the Debugger or an error message in the Listener.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing documentation** of the <span class=\'code\'>skinOps.setWeight(), skinOps.weightTool(), skinOps.isWeightToolOpen()</span> and <span class=\'code\'>skinOps.closeWeightTool()</span> methods added in <strong>3ds Max 8</strong> to the SkinOps struct exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\' title=\'\'>Skin Modifier</a>. Also added a missing third boolean parameter to the <span class=\'code\'>skinOps.unNormalizeVertex()</span> method.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing documentation** of the <strong>all:</strong> optional keyword argument to the <span class=\'code\'>makeDir()</span> method in the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\' title=\'\'>External File Methods</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added missing documentation** of the following methods in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\' title=\'\'>ATSOps Interface</a> exposing the Asset Tracking System: <span class=\'code\'>OpenProject(), CloseProject(), GetFilesByFileSystemStatus(), GetMinVersion(), GetMaxVersion(), GetVersion(), GetNotificationProviderIndex()</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added missing documentation</strong> of the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-4822E768-D5EF-44EF-89E7-5BF5404861A2.html#the-following-mixininterface-represents-an-object-xref-proxy-\' title=\'\'>IXrefProxy Interface</a> and the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-4822E768-D5EF-44EF-89E7-5BF5404861A2.html#the-following-mixininterface-represents-an-object-xref-proxy-\' title=\'\'>IXrefObject Interface</a> exposed by the XRef Object.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added the <strong>previously undocumented methods</strong> <span class=\'code\'>biped.loadFigJustTwists()</span> and <span class=\'code\'>biped.loadFigNoTwists()</span> to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Load-and-Save-Methods.html\' title=\'\'>Biped Load and Save</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Added the <span class=\'code\'>previously undocumented methods biped.createCopyCollection(), biped.numCopyCollections(), biped.getCopyCollection(), biped.deleteCopyCollection(), biped.deleteAllCopyCollections()</span> to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Copy-and-Paste-Posture.html\' title=\'\'>Biped Copy and Paste Posture</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added previously undocumented methods</strong> related to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Twist-Poses.html\' title=\'\'>Biped Twist Poses</a> controls.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Added previously undocumented methods</strong> related to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Quaternions-Euler.html\' title=\'\'>Biped Quaternions / Euler</a> controls.</p>\n\
<div class=\'section\'><a id=\"other-minor-changes\"></a><h2 id=\"other-minor-changes\">Other Minor Changes</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Changed the wording</strong> of the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>animationRange documentation</a> to match the terminology used in the Render Scene Dialog and to allow for easier searching.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Changed the wording</strong> of the <span class=\'code\'>&lt;index_integer&gt;</span> parameter description in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Reactor-Controllers/Reactor-Controllers-1.html\' title=\'\'>Reactor Controllers</a> topic. The original description was: &quot;...The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.&quot; This is no longer correct. The controller and the dialog have been refactored several releases ago and the dialog now reorders the reactions based on their values, so the order in the dialog does not match the creation order anymore. The new description is: &quot;...The order of reactions is the order in which they are created&quot;.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";