var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 9</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 9</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-9\"></a></div>\n\
<p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 9</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"geometry\"></a><h2 id=\"geometry\">Geometry</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\' title=\'\'>ProBoolean Extension</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-PolyBoolean.html\' title=\'\'>Interface: PolyBoolean</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Exposes methods to create and manage the ProBoolean Compound Object</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-ProCutter.html\' title=\'\'>Interface: ProCutter</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Exposes methods to create and manage the ProCutter Compound Object</p>\n\
<div class=\'section\'><a id=\"exposure-controls\"></a><h2 id=\"exposure-controls\">Exposure Controls</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/ToneOperator-MAXWrapper/Logarithmic_Exposure_Control.html\' title=\'\'>Logarithmic_Exposure_Control : ToneOperator</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A <strong>new tone mapping algorithm</strong> has been implemented for this exposure control. The old algorithm is still available for backwards compatibility.A new property <strong>.useLegacyAlgorithm</strong> has been added to allow the switching between the old and the new behavior.</p>\n\
<div class=\'section\'><a id=\"directx-and-directx-shaders\"></a><h2 id=\"directx-and-directx-shaders\">DirectX and DirectX Shaders</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneEffectLoader.html\' title=\'\'>Interface: SceneEffectLoader</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New SceneEffectLoader Interface</strong> exposes the Scene Effect Loader Utility to MAXScript.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\' title=\'\'>Viewport Drawing Methods</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <span class=\'code\'>Newmethodgw.setDirectXDisplayAllTriangle()</span> lets the user change the <strong>Display All Triangle Edges</strong> option available in the UI as a checkbox in the <strong>Customize &gt; Preferences &gt; Viewports &gt; Configure Driver</strong> dialog of the Direct3D driver.</p>\n\
<div class=\'section\'><a id=\"mental-ray\"></a><h2 id=\"mental-ray\">Mental Ray</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Two new read-only properties</strong> were added to the mental ray renderer: <strong>.LastTotalNonRenderTime_ms</strong> and <strong>.LastTotalGeomTranslationTime_ms</strong>. They will contain details about the translation time.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Arch and Design Material</strong> added to <strong>3ds Max 9</strong> provides advanced functionality like shader presets, glossy reflections, custom BRDF reflectivity functions, built-in environment occlusion and edge rounding effects etc.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Photometric Lights</strong> added to <strong>3ds Max 9</strong>. Provides physically correct sky light and sun light when rendering with mental ray.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New mental ray shader</strong> added to <strong>3ds Max 9</strong>. Provides visual representation of the physical sky as an environment map.</p>\n\
<div class=\'section\'><a id=\"bitmap-proxy-management\"></a><h2 id=\"bitmap-proxy-management\">Bitmap Proxy Management</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapProxyMgr.html\' title=\'\'>Interface: BitmapProxyMgr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New BitmapProxyMgr Interface</strong> exposes the Bitmap Proxy system to MAXScript.</p>\n\
<div class=\'section\'><a id=\"asset-tracking-system\"></a><h2 id=\"asset-tracking-system\">Asset Tracking System</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\' title=\'\'>Interface: ATSOps</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New property added</strong> to the Asset Tracking System: <strong>CheckNetworkPaths</strong></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New methods added</strong> to the Asset Tracking System to allow the querying of a file&#39;s status: <span class=\'code\'>GetFileStatus(), GetFileSystemStatus(), TestFileSystemStatus().</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New methods added</strong> to the Asset Tracking System to allow the conversion of selected paths to UNC, relative or absolute paths: <span class=\'code\'>ResolveSelectionToUNC(), ResolveSelectionRelativeToProjectFolder()</span> and <span class=\'code\'>ResolveSelectionToAbsolute()</span> .</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Return value for <span class=\'code\'>checkin(), checkout(), undocheckout(), addfiles()</span> and <span class=\'code\'>getlatest()</span> changed from <span class=\'code\'>&lt;void&gt;</span>to <span class=\'code\'>&lt;boolean&gt;</span>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New methods added</strong> to the Asset Tracking System: <span class=\'code\'>IsInputFile(), SetWorkingFolder(), GetWorkingFolder(), IsFileShareLocked()</span></p>\n\
<div class=\'section\'><a id=\"path-configuration-access-and-management\"></a><h2 id=\"path-configuration-access-and-management\">Path Configuration, Access and Management</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\' title=\'\'>PathConfig Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>The new PathConfig Struct</strong> exposes advanced methods for dealing with relative and absolute paths and provides access to System and Profile Paths.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>3ds Max System Directories</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New path names have been added</strong> as options to the <span class=\'code\'>GetDir(), SetDir()</span> and some <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\' title=\'\'>pathConfig struct</a> methods expecting a system directory name value: <span class=\'code\'>#animations, #archives, #downloads, #maxData, #Photometric, #proxies, #renderassets, #renderPresets, #renderoutput, #temp, #userMacros, #userScripts, #userStartupScripts, #userIcons</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New method has been added</strong> to MAXScript: <span class=\'code\'>ConvertDirIDToInt()</span> - returns an integer corresponding to the system directory name ID.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-F7577416-051E-478C-BB5D-81243BAAC8EC.html#map-path-methods-\' title=\'\'>mapPaths Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New method has been added</strong> to the <span class=\'code\'>mapPaths</span> struct: <span class=\'code\'>getFullFilePath()</span> . It resolvesthefilename using map paths, returning fully qualified filename if the file is found.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/pluginPaths-Struct.html\' title=\'\'>pluginPaths Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>The new plugin Paths</strong> struct provides two methods: <span class=\'code\'>count()</span> and <span class=\'code\'>get()</span> . The former method returns the number of defined plugin paths, the latter returns the indexed plugin path.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-F7577416-051E-478C-BB5D-81243BAAC8EC.html#xref-path-methods-\' title=\'\'>xrefPaths Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New method has been added</strong> to the <span class=\'code\'>mapPaths</span> struct: <span class=\'code\'>getFullFilePath()</span> . It resolves the filename using xref paths, returning fully qualified filename if the file is found.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-705ADA79-8521-448A-A7A3-68117AA8A973.html#symbolicpaths-struct\' title=\'\'>SymbolicPaths Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>The new symbolicPaths Struct</strong> exposes advanced methods for accessing system symbolic paths and managing user-defined symbolic paths.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Log-System.html\' title=\'\'>logsystem_Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New method <span class=\'code\'>logName</span> added to <span class=\'code\'>logsystem</span> struct. It lets you define the log file name and path.</p>\n\
<div class=\'section\'><a id=\"filename-properties-and-arguments-changed-from-string-to-filename-type\"></a><h2 id=\"filename-properties-and-arguments-changed-from-string-to-filename-type\">Filename Properties and Arguments Changed from String to Filename Type</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BakeElement/Bake-Elements.html\' title=\'\'>Bake Elements</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the Properties <span class=\'code\'>.fileName</span> and <span class=\'code\'>.fileType</span> in all Bake Elements has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/bipedSystem-System.html\' title=\'\'>bipedSystem : System</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the Properties <span class=\'code\'>.fileName</span> and <span class=\'code\'>.dirName</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BitmapTexture-TextureMap.html\' title=\'\'>BitmapTexture : TextureMap</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the Property <span class=\'code\'>.fileName</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairMod-Modifier.html\' title=\'\'>HairMod : Modifier</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the preset name argument in the <span class=\'code\'>SavePreset()</span> and <span class=\'code\'>LoadPreset()</span> methods of the Hair Interface has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Particle_Cache-SpacewarpModifier.html\' title=\'\'>Particle_Cache : SpacewarpModifier</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\' title=\'\'>Point_Cache : modifier</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\' title=\'\'>Point_CacheSpacewarpModifier : SpacewarpModifier</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the Property <span class=\'code\'>.cache_name</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Reflect_Refract-TextureMap.html\' title=\'\'>Reflect_Refract : TextureMap</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the Properties <span class=\'code\'>.bitmapName</span> and <span class=\'code\'>.outputName</span> has been changed from StringsArray res. String to FilenameArray resp. Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\' title=\'\'>Interface: RenderElementMgr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments in the <span class=\'code\'>SetCombustionOutputPath()</span> and <span class=\'code\'>SetRenderElementFilename()</span> methods as well as the type of the return values of the <span class=\'code\'>GetCombustionOutputPath()</span> and <span class=\'code\'>GetRenderElementFilename()</span> methods have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW : Modifier</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename argument to the method <span class=\'code\'>renderUV()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Viewport-Manager/ViewportManagerCustAttrib.html\' title=\'\'>ViewportManagerCustAttrib interfaces: viewportmanager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename argument to the method <span class=\'code\'>saveFXFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\' title=\'\'>Interface: colorMan</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments to the methods <span class=\'code\'>loadColorFile(), saveColorFile(), setIconFolder()</span> as well as the return value types of the methods <span class=\'code\'>getColorFile(), getFileName(), getIconFolder()</span> have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-msZip.html\' title=\'\'>Interface: msZip</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>fileInPackage()</span> and <span class=\'code\'>unloadPackage()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>Interface: menuMan</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments to the methods <span class=\'code\'>loadMenuFile()</span> and <span class=\'code\'>saveMenuFile()</span> as well as the return value type of the method <span class=\'code\'>getMenuFile()</span> have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\' title=\'\'>Interface: actionMan</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments to the methods <span class=\'code\'>loadKeyboardFile()</span> and <span class=\'code\'>saveKeyboardFile()</span> as well as the return value type of the method <span class=\'code\'>getKeyboardFile()</span> have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dragAndDrop.html\' title=\'\'>Interface: dragAndDrop</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments to the methods <span class=\'code\'>dropPackage(), downloadPackage()</span> and <span class=\'code\'>DownloadUrlToDisk()</span> as well as the return value type of the method <span class=\'code\'>getDownloadDirectory()</span> have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\' title=\'\'>Interface: LoadSaveAnimation</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The return type of the methods <span class=\'code\'>getAnimFileDirectory()</span> and <span class=\'code\'>getAnimMapFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapLayerManager.html\' title=\'\'>Interface: BitmapLayerManager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>getLayerCount()</span> and <span class=\'code\'>getLayerName()</span> and <span class=\'code\'>LoadLayer()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>Interface: maxOps</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>canImportBitmap()</span> and <span class=\'code\'>loadCUIFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BrushPresetMgr.html\' title=\'\'>Interface: BrushPresetMgr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>LoadPresetFile()</span> and <span class=\'code\'>SavePresetFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-visualMS.html\' title=\'\'>Interface: visualMS</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename argument to the method <span class=\'code\'>createFormFromFile()</span> has been changed from String to Filename.</p>\n\
<p>Interface: XMLMaterial</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>export()</span> and <span class=\'code\'>exportArray()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/Interface-Hair.html\' title=\'\'>Interface: Hair</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename argument to the method <span class=\'code\'>ExportDRA()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Workbench-MAXScript-Extensions/WorkBench-Core-Interfaces/BipAnalyzer-Core-Interface.html\' title=\'\'>Interface: BipAnalyzer</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>LoadAnalysisFile()</span> and <span class=\'code\'>SaveAnalysisFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSCustomDepsOps.html\' title=\'\'>Interface: ATSCustomDepsOps</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename arguments to the methods <span class=\'code\'>GetFiles(), AddFile(), SetFile()</span> and <span class=\'code\'>RemoveFileByName()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-25D8A8D7-6293-4FD4-8EAB-84437BCF21D1.html#memstreammgr---interface\' title=\'\'>Interface: memStreamMgr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the filename argument to the method <span class=\'code\'>openFile()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\' title=\'\'>Mixin Interface: maxOps.GetCurRenderElementMgr(...) : Interface: RenderElementMgr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The types of the filename arguments to the methods <span class=\'code\'>SetCombustionOutputPath()</span> and <span class=\'code\'>SetRenderElementFilename()</span> as well as the return value types of the methods <span class=\'code\'>GetCombustionOutputPath()</span> and <span class=\'code\'>GetRenderElementFilename()</span> have been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-9.html\' title=\'\'>Mixin Interface: memStreamMgr.openString(...) : Interface: memStream</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The return value type of the method <span class=\'code\'>getFileName()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\' title=\'\'>Mixin Interface: netRender.getManager(...) : Interface: NetManager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The type of the file: keyword argument to the method <span class=\'code\'>NewJob()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\' title=\'\'>Mixin Interface: (schematicviews.open &quot;A&quot;;schematicviews.current) : Interface: SchematicView</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The return value type of the method <span class=\'code\'>getBackgroundImageName()</span> as well as the type of the filename argument to the method <span class=\'code\'>setBackgroundImageName()</span> has been changed from String to Filename.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\' title=\'\'>Mixin Interface: batchRenderMgr.createView(...) : Interface: batchRenderViewOps</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The value type of the properties <span class=\'code\'>.presetFile</span> and <span class=\'code\'>.outputFilename</span> has been changed from String to Filename.</p>\n\
<div class=\'section\'><a id=\"auto-backup\"></a><h2 id=\"auto-backup\">Auto-Backup</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Controlling-the-Auto-Backup.html\' title=\'\'>Controlling the Auto-Backup</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\' title=\'\'>Interface: autosave</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New autosave Interface</strong> exposes the Auto-Backup feature and lets the user enable and disable it, change the backup interval, the number and the name of auto-backup files, reset the timer and check whether the system is currently active. The Auto-Backup system has been refactored and will now respect the scene dirty flag (scene needs saving). In addition, the timer will be reset after the saving has finished, leaving the user enough time to work on the scene before the next auto-save.</p>\n\
<div class=\'section\'><a id=\"controllers\"></a><h2 id=\"controllers\">Controllers</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/GetDriverController-Method.html\' title=\'\'>GetMasterController() Method</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New method</strong> provides access to the master controller of a System.</p>\n\
<div class=\'section\'><a id=\"animation-layers\"></a><h2 id=\"animation-layers\">Animation Layers</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\' title=\'\'>Interface: AnimLayerManager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New AnimLayerManager Interface</strong> exposes the Animation Layer system to MAXScript.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Float_Layer-FloatController.html\' title=\'\'>Float_Layer : FloatController</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Float_Layercontroller</strong> created and used by the Animation Layer system to manage layered Float controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point3_Layer-Point3Controller.html\' title=\'\'>Point3_Layer : Point3Controller</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>NewPoint3_Layercontroller</strong> created and used by the Animation Layer system to manage layered Point3 controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point4_Layer-Point4Controller.html\' title=\'\'>Point4_Layer : Point4Controller</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>NewPoint4_Layercontroller</strong> created and used by the Animation Layer system to manage layered Point4 controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Position_Layer.html\' title=\'\'>Position_Layer : PositionController</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Position_Layercontroller</strong> created and used by the Animation Layer system to manage layered Position controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Rotation_Layer.html\' title=\'\'>Rotation_Layer : RotationController</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Rotation_Layercontroller</strong> created and used by the Animation Layer system to manage layered Rotation controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Scale_Layer-ScaleController.html\' title=\'\'>Scale_Layer : ScaleController</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Scale_Layercontroller</strong> created and used by the Animation Layer system to manage layered Scale controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer_Output-FloatController.html\' title=\'\'>Layer_Output : FloatController</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Layer_Outputcontroller</strong> created and used by the Animation Layer system to manage the output of the Layer controllers.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer-Controller-Interfaces.html\' title=\'\'>Layer Controller Interfaces</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>All Animation Layer Controllers</strong> except the Layer_Output controller expose the <strong>Layer Interface</strong>.</p>\n\
<div class=\'section\'><a id=\"layermanager-interface\"></a><h2 id=\"layermanager-interface\">LayerManager Interface</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\' title=\'\'>Interface: LayerManager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Calling <span class=\'code\'>layermanger.newlayerfromname()</span> triggers a <strong>new layer created</strong> callback. In previous versions, when polling the callback notification parameter, it would report the wrong name - the same default name that <span class=\'code\'>layermanager.newlayer()</span> would report. This error has been fixed.</p>\n\
<div class=\'section\'><a id=\"object-xrefs\"></a><h2 id=\"object-xrefs\">Object XRefs</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\' title=\'\'>IXrefItem Interface</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following properties are now writable: <span class=\'code\'>srcFileName, srcItemName</span></p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-4822E768-D5EF-44EF-89E7-5BF5404861A2.html#the-following-mixininterface-represents-an-object-xref-proxy-\' title=\'\'>IXrefProxy</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following properties are now writable: <span class=\'code\'>proxyFileName, proxyItemName</span></p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-4822E768-D5EF-44EF-89E7-5BF5404861A2.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following properties are now read|write: <span class=\'code\'>srcFileName</span></p>\n\
<div class=\'section\'><a id=\"named-selection-sets\"></a><h2 id=\"named-selection-sets\">Named Selection Sets</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/SelectionSet-Values.html\' title=\'\'>SelectionSet Values</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <strong>new</strong> <span class=\'code\'>.name</span> <strong>property</strong> of named selection sets can be both get and set. This allows the direct renaming of existing named selection sets without the need to delete the old set and recreate a new one with a new name.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>isDeleted()</span> <strong>method</strong> is now valid for named selection sets.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\' title=\'\'>SelectionSetArray Values</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>deleteItem()</span> <strong>method</strong> for named selection sets can now accept the selection set value instead of the name of the selection set as the second argument.</p>\n\
<div class=\'section\'><a id=\"point-cache\"></a><h2 id=\"point-cache\">Point Cache</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\' title=\'\'>Point_Cache: modifier</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The PointCache Modifier has been replaced with the previously available as free plug-in PointCache2 modifier. It provides advanced controls over the cache playback and can now be used to share deformation and animation data with Autodesk Maya which implements a new cache using the same data format.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The same modifier defines the PointCacheMan struct exposing a method to get the current memory usage by PointCache modifiers: <span class=\'code\'>pointCacheMan.GetMemoryUsed()</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The same modifier defines the CacheOps struct exposing methods to enable and disable modifiers below the Cache, Record, Reload and Unload the cache via MAXScript <span class=\'code\'>: CacheOps.DisableBelow(), cacheOps.EnableBelow(), cacheOps.RecordCache(), cacheOps.Reload, cacheOps.Unload()</span></p>\n\
<div class=\'section\'><a id=\"simple-face-data\"></a><h2 id=\"simple-face-data\">Simple Face Data</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-simpleFaceManager.html\' title=\'\'>Interface: simpleFaceManager</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Per-Face Data storage</strong> exposed to MAXScript via the <strong>simpleFaceManager Interface</strong> and the <strong>simpleFaceChannel MixinInterface</strong> returned by some of its methods. Enables the storage of integer, index, float, boolean, point2 and point3 values in each face.</p>\n\
<div class=\'section\'><a id=\"dialog-monitor\"></a><h2 id=\"dialog-monitor\">Dialog Monitor</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DialogMonitorOPS.html\' title=\'\'>Interface: DialogMonitorOPS</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>Interface: UIAccessor</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>The DialogMonitorOPS Interface</strong> provides a system to register custom callbacks to be triggered by UI activities and handle dialogs and popups automatically using the methods exposed by the <strong>UIAccessor Interface</strong>.</p>\n\
<div class=\'section\'><a id=\"reference-target-monitor\"></a><h2 id=\"reference-target-monitor\">Reference Target Monitor</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RefTargetMonitor/RefTargMonitor-ReferenceTarget.html\' title=\'\'>RefTargMonitor : ReferenceTarget</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> This classicality an indirect reference to any ReferenceTarget. It was added mainly for internal testing, but was left accessible as someone could find it useful in a script.</p>\n\
<div class=\'section\'><a id=\"systems\"></a><h2 id=\"systems\">Systems</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RingArray.html\' title=\'\'>Interface: RingArray</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <strong>RingArrayinterface</strong> exposes a creation method for the RingArray System. This interface was created mainly for test and debugging purposes as the RingArray has no real function in 3ds Max. It is only an System example.</p>\n\
<div class=\'section\'><a id=\"character-studio\"></a><h2 id=\"character-studio\">Character Studio</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Node-Hierarchy.html\' title=\'\'>Biped Node Hierarchy</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New methods added</strong> to the Biped Struct to allow MAXScript access to the twisty nodes and links in a character studio Biped: <span class=\'code\'>biped.maxTwistNodes(), biped.maxTwistLinks()</span> and <span class=\'code\'>biped.getTwistStartID()</span> .</p>\n\
<div class=\'section\'><a id=\"viewport-frame-rate\"></a><h2 id=\"viewport-frame-rate\">Viewport Frame Rate</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>viewport.getFPS</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New method added</strong> to the viewport Struct to allow MAXScript access to the frame rate measurement of the current viewport provided by the Show Statistics option.</p>\n\
<div class=\'section\'><a id=\"communication-center\"></a><h2 id=\"communication-center\">Communication Center</h2></div>\n\
<p>CommCenterGUP : GlobalUtilityPlugin</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>New Global Utility Plugin added</strong> but does not expose any properties, methods or interfaces.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";