var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What was New in MAXScript in 3ds Max 2013</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What was New in MAXScript in 3ds Max 2013</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2013\"></a></div>\n\
<p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2013</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <strong>Documentation Changes and Additions</strong> at the bottom of this page.</p>\n\
<div class=\'section\'><a id=\"new-3ds-max-features-exposure\"></a><h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2></div>\n\
<div class=\'section\'><a id=\"new-objects\"></a><h3 id=\"new-objects\">New Objects</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Deformable-gPoly/Deformable_gPoly-GeometryClass.html\' title=\'\'>Deformable_gPoly GeometryClass</a> baseobject provides optimized viewport performance with deforming objects. See also the Turn_to_gPoly Modifier below.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Egg-Shape.html\' title=\'\'>Egg Shape</a> object is useful for the creation of pipe cross-sections.</p>\n\
<div class=\'section\'><a id=\"new-modifiers\"></a><h3 id=\"new-modifiers\">New Modifiers</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/mCloth-Modifier.html\' title=\'\'>mCloth Modifier</a> allows the integration of Cloth simulation with MassFX.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <strong>Turn_to_gPoly</strong> Modifier allows the dynamic conversion of geometry objects to Deformable_gPoly class on the modifier stack.</p>\n\
<div class=\'section\'><a id=\"workspace-manager\"></a><h3 id=\"workspace-manager\">Workspace Manager</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkspaceManager.html\' title=\'\'>WorkspaceManager Core Interface</a> exposes methods for creating and managing custom 3ds Max workspaces using MAXScript.</p>\n\
<div class=\'section\'><a id=\"view-panel-manager\"></a><h3 id=\"view-panel-manager\">View Panel Manager</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewPanelManager.html\' title=\'\'>ViewPanelManager Core Interface</a> exposes properties and functions to create and modify view panels with user-defined viewport configurations.</p>\n\
<div class=\'section\'><a id=\"interaction-and-mouse-configuration\"></a><h3 id=\"interaction-and-mouse-configuration\">Interaction And Mouse Configuration</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MouseConfigManager.html\' title=\'\'>MouseConfigManager Core Interface</a> exposes properties and functions to modify the viewports mouse behavior to match various user workflows, including the emulation of Autodesk Maya viewport controls.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IInteractionMode.html\' title=\'\'>IInteractionMode Core Interface</a> exposes the Interaction Mode tab of the Preference Settings dialog to MAXScript.</p>\n\
<div class=\'section\'><a id=\"isolate-selection\"></a><h3 id=\"isolate-selection\">Isolate Selection</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolateSelection.html\' title=\'\'>IsolateSelection Core Interface</a> exposes methods to access the reimplemented Isolate Selection functionality of 3ds Max.</p>\n\
<div class=\'section\'><a id=\"retimer-controller\"></a><h3 id=\"retimer-controller\">Retimer Controller</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\' title=\'\'>Retimer Controller</a> can be used in an EaseCurve of another controller to tweak its local timing, or as the Global Retimer Controller to affect the whole scene.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\' title=\'\'>RetimerMan Core Interface</a> exposes a method to access the Global Retimer Controller which controls the retiming of the whole scene.</p>\n\
<div class=\'section\'><a id=\"ghosting-manager\"></a><h3 id=\"ghosting-manager\">Ghosting Manager</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-GhostingManager.html\' title=\'\'>GhostingManager Core Interface</a> exposes properties to access and control the existing Animation Ghosting feature of 3ds Max.</p>\n\
<div class=\'section\'><a id=\"state-sets\"></a><h3 id=\"state-sets\">State Sets</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/State-Sets/State-Sets-MAXScript-Access.html\' title=\'\'>State Sets system</a> is exposed to MAXScript using DotNet objects, properties and methods.</p>\n\
<div class=\'section\'><a id=\"one-click-revit-workflow\"></a><h3 id=\"one-click-revit-workflow\">One Click Revit Workflow</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OneClickRevit.html\' title=\'\'>OneClickRevit Core Interface</a> exposes a method for requesting views from a Revit file.</p>\n\
<div class=\'section\'><a id=\"new-mental-ray-shaders\"></a><h3 id=\"new-mental-ray-shaders\">New mental ray Shaders</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>SSS2_Skin</strong> material has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>SSS2_Skin_Displacement</strong> material has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>SSS2_Surface_Shader</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>SSS_Lightmapping_shader</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>misss_set_normal</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>misss_fast_shader2</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>misss_fast_shader2_x</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>mia_physicalsun</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New mental ray shader <strong>Inverse_of_Photographic_Exposure</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<div class=\'section\'><a id=\"enhancements-to-existing-3ds-max-features\"></a><h2 id=\"enhancements-to-existing-3ds-max-features\">Enhancements to Existing 3ds Max Features</h2></div>\n\
<div class=\'section\'><a id=\"scene-objects-enhancements\"></a><h3 id=\"scene-objects-enhancements\">Scene Objects Enhancements</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Two new properties have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Ellipse-Shape.html\' title=\'\'>Ellipse Shape</a> to control the optional Offset.</p>\n\
<div class=\'section\'><a id=\"nitrous-graphics-system\"></a><h3 id=\"nitrous-graphics-system\">Nitrous Graphics System</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'>NitrousGraphicsManager Core Interface</a> to expose controls over the Make Preview quality, Multi-Threaded compiling of Shaders and Mouse Cursor behavior.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New methods have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'>NitrousGraphicsManager Core Interface</a> to expose Progressive Refinements, AppWindow Size and Position, get the Nitrous memory usage, and perform some internal tests.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-34892DB6-E840-4F52-9175-30332799B7B1.html#viewport-settings-iobject-interfaces-\' title=\'\'>ViewportViewSettingImpl MixinInterface</a> returned by the <span class=\'code\'>NitrousGraphicsManager.GetActiveViewportSetting()</span> method to control the Skylights As Ambient Light, Depth Of Field and Bokeh effects.</p>\n\
<div class=\'section\'><a id=\"quicksilver-hardware-renderer\"></a><h3 id=\"quicksilver-hardware-renderer\">Quicksilver Hardware Renderer</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\' title=\'\'>Quicksilver Hardware Renderer</a> to expose Shadows Intensity/Fade and Bokeh Shape.</p>\n\
<div class=\'section\'><a id=\"iray-renderer\"></a><h3 id=\"iray-renderer\">iRay Renderer</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Several new properties related to controlling the Motion Blur effect have been added to the existing <strong>iRay</strong> Renderer.</p>\n\
<div class=\'section\'><a id=\"massfx-dynamics-simulation\"></a><h3 id=\"massfx-dynamics-simulation\">MassFX Dynamics Simulation</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\' title=\'\'>nvpx Core Interface</a> to control the Gravity mode and reference object.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX_RBody modifier</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpxConsts.html\' title=\'\'>nvpxConsts Core Interface</a> exposing the read-only NVIDIA PHYSX Constants have been added to MassFX.</p>\n\
<div class=\'section\'><a id=\"cat---character-animation-tools\"></a><h3 id=\"cat---character-animation-tools\">CAT - Character Animation Tools</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new interface has been added to CAT: <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>CATGroupManagerFPInterface</a> .</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new interface has been added to CAT: <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-SpineFPInterface.html\' title=\'\'>SpineFPInterface</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The existing <strong>CATControlInterface</strong> has been renamed to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>ICATControlFPInterface</a> .</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The existing <strong>CATLimbData2 FloatController</strong> has been reimplemented as <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2ReferenceTarget : ReferenceTarget</a> with the same ClassID.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The existing <strong>CATBoneData FloatController</strong> has been reimplemented as <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>CATBoneDataMatrix3Controller : Matrix3Controller</a> with the same ClassID.</p>\n\
<div class=\'section\'><a id=\"importexport-filters\"></a><h3 id=\"importexport-filters\">Import/Export Filters</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New <span class=\'code\'>.MeshResolution</span> property has been added to the <strong>InventorImport</strong> ImporterPlugin. The page was lost in the documentation conversion last year and has now been restored.</p>\n\
<div class=\'section\'><a id=\"online-help-system-access\"></a><h3 id=\"online-help-system-access\">Online Help System Access</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new <span class=\'code\'>HelpSystem.SearchProductHelp()</span> method has been added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\' title=\'\'>HelpSystem Core Interface</a> allowing the search for a user-defined string in the documentation.</p>\n\
<div class=\'section\'><a id=\"updated-mental-ray-shaders\"></a><h3 id=\"updated-mental-ray-shaders\">Updated mental ray shaders</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New properties have been added to the existing mental ray shader <strong>mib_texture_filter_lookup_2</strong> textureMap</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New tinting-related properties have been added to all existing <strong>ProMaterials</strong> mental ray shaders.</p>\n\
<div class=\'section\'><a id=\"retiredremoved-3ds-max-features\"></a><h2 id=\"retiredremoved-3ds-max-features\">Retired/Removed 3ds Max Features</h2></div>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>LS_Colors</span> SpacewarpModifier has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>LS_Mesh</span> Modifier has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>Lightscape_Material</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>Lightscape_Materials</span> UtilityPlugin has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<div class=\'section\'><a id=\"removed-mental-ray-shaders\"></a><h2 id=\"removed-mental-ray-shaders\">Removed mental ray Shaders</h2></div>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>pass_through_color</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>pass_through_float</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>pass_through_float2</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>pass_through_float3</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>The <span class=\'code\'>pass_through_float4</span> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<div class=\'section\'><a id=\"maxscript-language-improvements\"></a><h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2></div>\n\
<div class=\'section\'><a id=\"modifiers\"></a><h3 id=\"modifiers\">Modifiers</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\' title=\'\'>Modifiers</a> can now be indexed in the <span class=\'code\'>.modifiers</span> array of a scene node using their <strong>class</strong>, in addition to by index, name string or literal.</p>\n\
<div class=\'section\'><a id=\"viewports\"></a><h3 id=\"viewports\">Viewports</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New methods <span class=\'code\'>viewport.EnableSolidBackgroundColorMode()</span> and <span class=\'code\'>viewport.IsSolidBackgroundColorMode()</span> have been added to the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-8AA71F9E-F4F0-4437-A44E-9683619E89DE.html#viewport-display-and-render-controls\' title=\'\'>existing viewport struct</a> to get and set the Solid Background Color mode vs. Background Gradient mode for the current viewport.</p>\n\
<div class=\'section\'><a id=\"user-interface-creation\"></a><h3 id=\"user-interface-creation\">User Interface Creation</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New optional <span class=\'code\'>offsets:</span> creation parameter has been added to the existing <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\' title=\'\'>radiobuttons User Interface control</a> to allow the tweaking of the individual label&#39;s placement within the control.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\' title=\'\'>context with macroRecorderEmitterEnabled <boolean></boolean></a> enables the MacroRecorder emission from paramBlock changes and scene node creation operations from inside a scripted rollout&#39;s event handlers.</p>\n\
<div class=\'section\'><a id=\"file-io\"></a><h3 id=\"file-io\">File I/O</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>openFile() append behavior</a> has been modified to create a new file if the file does not exist.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\' title=\'\'>fopen() append behavior</a> has been modified to create a new file if the file does not exist.</p>\n\
<div class=\'section\'><a id=\"unicode-character-encoding-support\"></a><h3 id=\"unicode-character-encoding-support\">Unicode Character Encoding Support</h3></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> 3ds Max (and MAXScript) now support Unicode <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\' title=\'\'>Characters Encoding</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New options have been added to the existing <span class=\'code\'>[MemStreamMgr](../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MemStream.html).openFile()</span> method to control the stream encoding preferences.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New optional keyword argument <span class=\'code\'>forceUTF16:</span> and related method <span class=\'code\'>setIniForceUTF16Default()</span> controlling its default value have been added to the existing <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\' title=\'\'>setINISetting()</a> method.</p>\n\
<div class=\'section\'><a id=\"documentation-changes-and-additions\"></a><h2 id=\"documentation-changes-and-additions\">Documentation Changes and Additions</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\' title=\'\'>Interface:actionMan topic</a> has been updated with previously undocumented methods and MixinInterfaces providing access to ActionTables and ActionItems.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new section about <strong>Memory Management Considerations</strong> has been added to the existing <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-9175301C-13E6-488B-ABA6-D27CD804B205.html#memory-management-considerations\' title=\'\'>Controlling The Renderer topic</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/Interaction-With-The-Operating/Windows-Structure.html\' title=\'\'>windows struct</a> was not fully documented, and the return values of several methods were changed from 5 to 8 elements in <strong>3ds Max 2011</strong>. The documentation of all methods has been improved.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The max command <span class=\'code\'>max show vfb</span> was introduced in <strong>3ds Max 2011</strong>, but was undocumented. This has been fixed.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\' title=\'\'>Rollouts</a> and Rollout <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\' title=\'\'>User Interface Controls</a> in <strong>3ds Max 2011 and higher</strong> expose a <span class=\'code\'>.hwnd</span> property containing the rollout&#39;s HWND Window Handle. It was previously undocumented.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Some methods of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'>NitrousGraphicsManager Core Interface</a> for setting the Texture and Background size were left undocumented.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Some properties of the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-34892DB6-E840-4F52-9175-30332799B7B1.html#viewport-settings-iobject-interfaces-\' title=\'\'>ViewportViewSettingImpl MixinInterface</a> for controlling the Lighting and Shadows Quality and Reflections were left undocumented.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The topics <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\' title=\'\'>FBX Import Dialog Access</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\' title=\'\'>FBX Export Dialog Access</a> have been updated to reflect the latest version of the plugins.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The documentation of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\' title=\'\'>meshop.getVertsUsingFace()</a> method has been enhanced with a Note explaining why it is not suitable for getting the three vertices of a face definition.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The topics describing Material and TextureMap classes were largely missing their Index entries. This has been fixed.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The mental ray SSS Shaders were listed twice in the Contents, including some duplicated topics documenting the same shaders. This has been cleaned up.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The topic <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\' title=\'\'>Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper</a> has been reformatted for clarity and has been enhanced with more examples.</p>\n\
<p><img src=\'developer/images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\' title=\'\'> The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\' title=\'\'>OpenEXR BitmapIO</a> topic has been updated with information about accessing the Main Render Layer.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";