var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What Was New in MAXScript in 3ds Max 2019 And Updates</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What Was New in MAXScript in 3ds Max 2019 And Updates</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2019-and-updates\"></a></div>\n\
<p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2019</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"new-in-3ds-max-2019.3-update\"></a><h2 id=\"new-in-3ds-max-2019.3-update\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in 3ds Max 2019.3 Update</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Viewport ActiveShade Mode</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-2.html\">ActiveShadeFragmentManager Interface</a></span> provides MAXScript access to the new viewport ActiveShade display mode.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Custom Attribute Container Owner</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
A new property is exposed on the custom attribute array returned by <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Access-to-Custom-Attributes.html\">MAXWrapper.custattributes</a></span>, <span class=\"code\" translate=\"no\">.owner</span>, that contains the owning object.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Node Event System Changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Two new functions have been added to retrieve information about registered <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\">NodeEventCallbacks</a></span>: <span class=\"code\" translate=\"no\">getNodeEvents()</span> and <span class=\"code\" translate=\"no\">showNodeEvents()</span>. A new handling option has been added to <span class=\"code\" translate=\"no\">NodeEventCallbackValue</span>, <em class=\"strong\">polling</em>, which tells the system the callback can be triggered by the new <span class=\"code\" translate=\"no\">triggerNodeEventCallback()</span> function.\n\
</p>\n\
<p class=\"table-body\">\n\
The general event callback inspection function <span class=\"char_link\">&lt;a href=&quot;../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html)</span> now takes an optional <em class=\"strong\"><span class=\"code\" translate=\"no\">asArray:</span></em> keyword argument, which causes the output to be formatted as an array.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">3ds Max Process Information</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Three new functions have been added to the <span class=\"char_link\"><a href=\"#!/url=./developer/Interaction-With-The-Operating/System-Information.html\">sysinfo</a></span> struct to get information about the 3ds Max process, <span class=\"code\" translate=\"no\">getMAXHandleCount()</span>, <span class=\"code\" translate=\"no\">getMAXUserObjectCount()</span>, and <span class=\"code\" translate=\"no\">getMAXGDIObjectCount()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Previously undocumented items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_E8B01165EE504067BCD757F116E6E932\"></a>\n\
<ul>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/3ds-Max-Configuration-File.html\">cfgMgr struct</a></span>, which provides access to the <span class=\"filePath\" translate=\"no\">3dsmax.ini</span> configuration file, is now documented.\n\
</li>\n\
<li>\n\
The <span class=\"code\" translate=\"no\">isDeleted &lt;MAXWrapper&gt;</span> function and <span class=\"code\" translate=\"no\">MAXWrapper.isDeleted</span> property are now documented; they indicate whether a <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper</a></span> is deleted.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">&lt;XRefScene&gt;.overlay</a></span> property is now documented.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-9CA2E6DA-08C2-4279-87C9-B64351C0147E.html#bridge\">editPolyModReadyToBridge()</a></span> function is now documented.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-3ds-max-2019.2-update\"></a><h2 id=\"new-in-3ds-max-2019.2-update\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in 3ds Max 2019.2 Update</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Fluid Loader</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/FluidLoader-GeometryClass.html\">FluidLoader</a></span> class is now accessible and creatable in MAXScript. This class exposes the Fluid Loader Geometry object.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Script Loading Detection</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The new <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">getMaxscriptStartupState()</a></span> function can be used to determine the loading state of standard and startup scripts. There is a new corresponding <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/\">#preStartupScriptLoad</a></span> event called immediately before the startup scripts are executed.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Rendering UV Range of TextureMaps</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Common-Properties.html\">renderMap()</a></span> function has an additional <span class=\"code\" translate=\"no\">range</span> parameter to specify a UV range to render, and a new <span class=\"code\" translate=\"no\">disableBitmapProxies</span> parameter to disable the proxy system.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Max Information</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_E1B6B75C7D904BC6AF7058409D3EAB0E\"></a>\n\
<ul>\n\
<li>\n\
The <span class=\"code\" translate=\"no\"><span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxVersion()</a></span></span> function now includes release year and product version items.\n\
</li>\n\
<li>\n\
New functions in the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-CAC36F27-CB51-4C9F-B265-167F636C9A4D.html#3ds-max-command-line-info\">sysinfo</a></span> stucture, <span class=\"code\" translate=\"no\">getCommandLine()</span> and <span class=\"code\" translate=\"no\">getCommandLineArgs()</span> return information about the command line that executed Max.\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/Interaction-With-The-Operating/System-Tools.html\">SystemTools.isDebugBuild()</a></span> is a new function that indicates whether the currently running 3ds Max is a debug or release build.\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Root Node User Properties</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">get/setUserProp/val/buffer()</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUerProp()</a></span>, and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a></span> functions now recognize a special <span class=\"code\" translate=\"no\">rootNode</span> parameter, allowing access to the scene root node user properties. The parameter can also be the root node of an xref, which is held in the xref file <span class=\"code\" translate=\"no\">.tree</span> property.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Adding Nodes via Layer Manager</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties</a></span> interface has a new method, <span class=\"code\" translate=\"no\">addNodes()</span>, that works like <span class=\"code\" translate=\"no\">addNode()</span>, but takes an array of nodes, allowing you to add multiple nodes in a single call.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">SkinOps changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">SkinOps</a></span> struct has two new functions: <span class=\"code\" translate=\"no\">SetBoneWeights()</span> and <span class=\"code\" translate=\"no\">Hammer()</span>. In addition, many functions that previously required that the modifier UI be selected, now take an optional <span class=\"code\" translate=\"no\">node:&lt;node&gt;</span> or <span class=\"code\" translate=\"no\">name:&lt;string&gt;</span> argument, which when supplied, is applied to the specified node even if it is not selected.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Alembic Importer File Inspection Methods</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Several methods have been removed from the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport Import Plugin</a></span>: <span class=\"code\" translate=\"no\">GetABCNodeType()</span>, <span class=\"code\" translate=\"no\">GetABCNodeDataType()</span>, <span class=\"code\" translate=\"no\">GetABCNodeExtent()</span>, and <span class=\"code\" translate=\"no\">IsPropertyNode()</span>. These have been replaced with new methods: <span class=\"code\" translate=\"no\">GetABCNodeProperties()</span>, <span class=\"code\" translate=\"no\">GetNumProperties()</span>, <span class=\"code\" translate=\"no\">GetChildPropertyFromIndex()</span>, <span class=\"code\" translate=\"no\">GetChildPropertyFromName()</span>, <span class=\"code\" translate=\"no\">GetPropertyType()</span>, <span class=\"code\" translate=\"no\">GetPropertyDataType()</span>, and <span class=\"code\" translate=\"no\">GetPropertyExtent()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Miscellaneous Changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_4FCB59C5450D4D1885D219D19E607B1D\"></a>\n\
<ul>\n\
<li>\n\
The <span class=\"code\" translate=\"no\">noValue</span> predefined global variable has been renamed <span class=\"code\" translate=\"no\"><span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Predefined-Globals.html\">silentValue</a></span></span> to more accurately indicate what it does.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Removed Items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Synchronization mode related items that were removed from the <em class=\"strong\">Unwrap_UVW modifer</em> in <em class=\"strong\">3ds Max 2018.2 Update</em>, have been removed from the documentation: <span class=\"code\" translate=\"no\">setSyncSelectionMode()</span>, <span class=\"code\" translate=\"no\">getSyncSelectionMode()</span>, <span class=\"code\" translate=\"no\">syncTVSelection()</span>, and <span class=\"code\" translate=\"no\">syncGeomSelection()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Previously undocumented items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_0EF2321EC1A14C7687FABE2BF54261C8\"></a>\n\
<ul>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/Interface-ParticleCache.html\">Interface : ParticleCache</a></span> used by the MaxLiquidSolver is now documented.\n\
</li>\n\
<li>\n\
Several previously undocumented properties and methods in Interface <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">pluginManager</a></span> are now covered.\n\
</li>\n\
<li>\n\
The <span class=\"code\" translate=\"no\">max group open recursively</span> <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">max command</a></span> is now documented.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-3ds-max-2019.1-update\"></a><h2 id=\"new-in-3ds-max-2019.1-update\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in 3ds Max 2019.1 Update</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col width=\"34.843205574912886%\">\n\
<col width=\"65.1567944250871%\">\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">File Archiving</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"MenuCascade\">File &gt; Archive</span> command is now exposed in MAXScript as <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">archiveMAXFile()</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">XRefObject re-parenting</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">xrefs.addNewXRefObject()</a></span> method has a new <span class=\"code\" translate=\"no\">reparentAction</span> parameter to specify how to handle xref re-parenting.\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefs.html\">objXRefs.addNewXRefObject()</a></span> method has new flag bits to specify how to handle xref re-parenting.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Improved version information</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxversion()</a></span> function now returns the build number, and is consistent with the information returned from <span class=\"code\" translate=\"no\">SystemTools.GetBuildNumber()</span>.\n\
</p>\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">SystemTools</span> struct now has a new function, <span class=\"char_link\">&lt;a href=&quot;../../Interaction-With-The-Operating/System-Tools.html)</span>, to report the OS version that works with Windows 10.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Node user-defined properties methods</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Two new methods provide better control over how user-defined node properties are stored and retrieved, <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">getUserPropVal() and setUserPropVal()</a></span>. The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a></span> method checks whether a user-defined node property exists, and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUserProp()</a></span> removes a user-defined node property.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Alembic Importer File Inspection Methods</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Several new methods have been added to the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport Import Plugin</a></span> to expose Alembic file inspection functionality.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">FBX Exporter Animation Option</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">FBX Exporter</a></span> has a new parameter option, &quot;ExportAnimationOnly&quot;.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Fluids</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The Volume helper object is exposed as the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/VolumeHelper-Helper.html\">VolumeHelper : Helper</a></span> class.\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Miscellaneous</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_18BFF87D84A346C693211F24067BA15B\"></a>\n\
<ul>\n\
<li>\n\
New miscellaneous function <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">createFloatControllerWithRandomValues()</a></span> for creating random data for testing.\n\
</li>\n\
<li>\n\
The scene compression setting is now exposed in the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps</a></span> interface methods <span class=\"code\" translate=\"no\">getCompressSceneFileOnSave()</span> and <span class=\"code\" translate=\"no\">setCompressSceneFileOnSave()</span>.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Previously undocumented items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<a name=\"UL_3AF15A1A540F45DEAA9879A0127BFA65\"></a>\n\
<ul>\n\
<li>\n\
Some parameter <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">clauses for scripted plug-ins</a></span> are now documented: <em class=\"strong\">readOnly</em>:&lt;boolean&gt;, <em class=\"strong\">readOnlyAsset</em>:&lt;boolean&gt;, and <em class=\"strong\">enumAsAsset</em>:&lt;boolean&gt;.\n\
</li>\n\
<li>\n\
A method for copying a modifier with its local data, <span class=\"code\" translate=\"no\">addModifierWithLocalData()</span>, is now documented in <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Properties, Operators, and Methods</a></span>.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/dontRepeatMessages-Context.html\">dontRepeatMessages context</a></span> is now documented.\n\
</li>\n\
<li>\n\
The <span class=\"code\" translate=\"no\">&lt;maxclass&gt;.isMSPluginClass</span> property and <span class=\"code\" translate=\"no\">&lt;string&gt;getObjectName &lt;maxwrapper&gt;</span> method are now documented in <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></span>.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/NetworkRTT-.html\">NetworkRTT()</a></span> function for creating network render to texture jobs is now documented.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">convertIntToDirID()</a></span> function returns the system directory name for the specified integer.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.removeProjectDirectoryCreateFilter()</a></span> function removes a single specified Project Directory Filter.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.getProjectDirectoryCreateFilters</a></span> function returns an array of all currently set Project Directory Filters.\n\
</li>\n\
<li>\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">getFiles() and getDirectories()</a></span> methods have a <em class=\"strong\">recurse:</em>&lt;bool&gt; parameter to indicate whether to recursively search for files or directories.\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
</p>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-3ds-max-2019\"></a><h2 id=\"new-in-3ds-max-2019\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in 3ds Max 2019</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col width=\"30.76923076923077%\">\n\
<col width=\"69.23076923076923%\">\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Advanced Wood</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The Advanced Wood procedural texture map is exposed as the <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/AdvancedWood-textureMap.html\">Advanced_Wood : TextureMap</a></span> map.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">OSL</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The Open Shading Language (OSL) is now supported in 3ds Max. There are many new OSL shaders available, and a generic <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/OSLMap-textureMap.html\">OSLMap</a></span> class that can be used to load or modify existing shaders, or create new ones.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Shape Booleans</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Compound-Shapes/ShapeBooleanObject-Shape.html\">ShapeBooleanObject</a></span> class exposes the functionality of the new Shape Booleans feature.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Alembic Import and Export</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
Improvements to the Alembic import and export plug-ins are exposed as new or changed properties and methods in <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import: Importer_Plugin</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export: ExporterPlugin</a></span>.\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Custom Scene File Data Streams</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
You can now write and read custom data to 3ds Max scene files. In MAXScript this functionality is exposed by methods in:<a name=\"UL_ABEF64F52A924F8187AAEAB56D00461C\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomFileStream.html\">CustomFileStream Interface</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-4.html\">CustomSceneStreamManager Interface</a></span>\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Rollout Resizing Changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Rollouts and Rollout Floaters now support automatically re-calculating the layout when they are re-sized. This accommodate resizing when docked in the command panel, since command panel can now be arbitrarily sized. Changes include:\n\
</p>\n\
<a name=\"UL_DF58C24895E64115B167476CA562FEAA\"></a>\n\
<ul>\n\
<li>\n\
New <span class=\"code\" translate=\"no\">autoLayoutOnResize: &lt;boolean&gt;</span> parameter is added to <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">CreateDialog()</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">newRolloutFloater()</a></span>, and rollout and subrollout specifications.\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-DC435555-362D-4A03-BCF2-21179C5442F2.html#rollout-properties-\">Rollouts</a></span> have new properties: <span class=\"code\" translate=\"no\">rolloutFloater</span> and <span class=\"code\" translate=\"no\">autoLayoutOnResize</span>.\n\
</li>\n\
<li>\n\
New methods <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">SetDialogSize()</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-DC435555-362D-4A03-BCF2-21179C5442F2.html#rollout-methods-\">updateRolloutLayout()</a></span>.\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Buttons</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">CheckButton</a></span> UI controls now have <span class=\"code\" translate=\"no\">.height</span> and <span class=\"code\" translate=\"no\">.width</span> properties.\n\
</li>\n\
<li>\n\
New <span class=\"code\" translate=\"no\">applyUiScaling: &lt;boolean&gt;</span> keyword argument is added to <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.htmlGUID-C9834590-BCF2-4B7A-978B-DF2D7D83548D\">setDialogPos()</a></span>.\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Stream parameter for peristents.show()</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\"><span class=\"code\" translate=\"no\"><span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\">persistents.show()</a></span></span></span> method has a new <span class=\"code\" translate=\"no\">to:&lt;stream&gt;</span> parameter to direct output to.\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\"><span class=\"code\" translate=\"no\">deepCopy()</span> changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The <span class=\"char_link\">&lt;a href=&quot;../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html)</span> method now applies to <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Dictionary-Values.html\">Dictionaries</a></span>, <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPairs</a></span>, and <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Structure-Definition/Structure-Inherited-Methods.html\">Structures</a></span>, as well as <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Arrays</a></span>. It has been optimized to guarantee that if the copied object contains two references to a value, only one copy of that value is made. That is, the returned object contains two references to a single value, rather than two copies (which was the previous behavior).\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Documentation Enhancements</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The procedure for enabling <span class=\"char_link\"><a href=\"#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Autocomplete.html\">autocomplete in the MAXScript Editor</a></span> is now documented.\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"whats-new-previous\"></a><h2 id=\"whats-new-previous\"><img src=\'developer/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>What&#39;s New Previous</h2></div>\n\
<p>Review <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in.html\' title=\'\'>new features in previous releases</a>.</p>\n\
<p><em>Icon made by <a href=\'https://www.flaticon.com/authors/freepik\' title=\'\' target=\'_blank\'>Freepik</a> from <a href=\'https://www.flaticon.com\' title=\'\' target=\'_blank\'>www.flaticon.com</a>.</em></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";